(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[    193593,       4382]
NotebookOptionsPosition[     88138,       2200]
NotebookOutlinePosition[    172464,       3960]
CellTagsIndexPosition[    172396,       3955]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 InterpretationBox[Cell[
  "Simple Descriptive Statistics", "SectionInline",ExpressionUUID->
   "3a830304-f6fb-4768-8cc3-4a9853ba8449"],
  $Line = 0; Null]], "Section",
 CellChangeTimes->{
  3.652728456208679*^9, 3.652728527108994*^9, {3.815756587980834*^9, 
   3.815756587980856*^9}},
 CounterAssignments->{{"Section", 5}, {"Subsection", 5}, {
   "Subsubsection", 5}, {"Exercise", 5}, {"Question", 5}},
 CellTags->"C:6",
 CellLabel->"In[1]:=",
 CellID->818845388,ExpressionUUID->"324da235-4689-4a3f-8313-385d4b1f76eb"],

Cell["\<\
Assuming that data collection has been completed properly, our first task in \
any data analysis project is to summarize the data. Human beings are simply \
not designed to stare at rows and rows of data point values and make any \
sense of them. Instead, we extract single values that are representative of \
the whole.\
\>", "Text",
 CellChangeTimes->{{3.752980543245241*^9, 3.752980689182991*^9}, 
   3.752980797935184*^9, 3.7572440716310883`*^9, {3.7572454762225223`*^9, 
   3.757245480750522*^9}, {3.809798363518427*^9, 3.809798364054104*^9}},
 CellID->534460736,ExpressionUUID->"a0e08406-2341-4309-a87c-c81391be10fa"],

Cell["\<\
Data point values hide information. It is our duty to explore and find that \
information through the many steps of data analysis. Summary or descriptive \
statistics is that first step.\
\>", "Text",
 CellChangeTimes->{{3.752980697281711*^9, 3.75298080831145*^9}, {
  3.752980859808793*^9, 3.7529808657599187`*^9}, {3.757245483838522*^9, 
  3.7572454869985223`*^9}},
 CellID->30510669,ExpressionUUID->"fe4684fa-f740-478a-8e7f-d5838fdd5ec8"],

Cell["\<\
We looked at a variety of data types in the previous chapter. In this \
chapter, we are going to do our first statistical analysis by way of \
describing our data. In order to accomplish this, we will create a variety of \
random data point values for a set of given variables, simulating real-world \
experiments. We will also use a variety of data types.\
\>", "Text",
 CellChangeTimes->{{3.7529790155724387`*^9, 3.7529790255350337`*^9}, {
   3.752979060377118*^9, 3.7529790604708643`*^9}, 3.757244090095935*^9, {
   3.757245490085522*^9, 3.757245506053522*^9}},
 CellID->277822520,ExpressionUUID->"32df5279-882f-4002-be6d-65dfa3a1d197"],

Cell["\<\
The Wolfram Language provides for an easy way to generate List objects \
containing random data point values.\
\>", "Text",
 CellChangeTimes->{
  3.7529790339526896`*^9, {3.752979074773775*^9, 3.752979111272212*^9}, {
   3.757245510012522*^9, 3.7572455137645226`*^9}, 3.776778182804613*^9, {
   3.8097983428926907`*^9, 3.809798343878099*^9}},
 CellID->150316316,ExpressionUUID->"0f742b62-3f17-48b4-85d8-1dfe01d7306c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Creating List Objects", "Subsection",
 CellChangeTimes->{{3.752979147932023*^9, 3.752979154769493*^9}, {
  3.757243667777102*^9, 3.757243668208145*^9}},
 CellID->69666475,ExpressionUUID->"a64386b7-83c5-4511-bb78-69adaca940d6"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s start by supposing we have an experiment that \
involves 50 humans and that we will therefore have ",
 Cell[BoxData[
  FormBox["50", TraditionalForm]],ExpressionUUID->
  "ee090bbc-cfda-48b9-bbfa-1f1d06b735e0"],
 " data point values for each variable. The first variable is ",
 StyleBox["age",
  FontSlant->"Italic"],
 ". Age represents a continuous, numerical data type, although we mostly \
capture this data as integers."
}], "Text",
 CellChangeTimes->{
  3.7529791632388535`*^9, {3.752979199889557*^9, 3.752979212223773*^9}, {
   3.757245517460522*^9, 3.757245536579522*^9}, 3.8157566453249073`*^9},
 CellID->351041172,ExpressionUUID->"4b871744-0d6f-411f-bfd9-afafab64630e"],

Cell[TextData[{
 "In the following example, we use the ",
 ButtonBox["RandomInteger",
  BaseStyle->"Link"],
 " function and ask for ",
 Cell[BoxData[
  FormBox["50", TraditionalForm]],ExpressionUUID->
  "8becdb39-be85-4945-a552-db4168c74d72"],
 " values, taken at random from the domain 18 through 80 years. Each \
execution of the line of code to generate these 50 values will yield a \
different set of values. As mentioned, this means that when you run this \
code, it will produce different values."
}], "Text",
 CellChangeTimes->{{3.7529792304953732`*^9, 3.7529792385497026`*^9}, {
   3.757245417282522*^9, 3.7572454560425224`*^9}, {3.7572600609292994`*^9, 
   3.757260073294299*^9}, 3.816448566253845*^9},
 CellID->2596419,ExpressionUUID->"380acd3f-744a-4a82-a68b-14c96e803039"],

Cell[TextData[{
 "The ",
 ButtonBox["RandomInteger",
  BaseStyle->"Link"],
 " function, as the name implies, returns a random integer value. We can \
specify the domain from which to choose. The lowest and highest values are \
placed in curly braces, as they represent a List object. Following a comma, \
we can specify how many values we require."
}], "Text",
 CellChangeTimes->{{3.752979294683937*^9, 3.752979314623471*^9}, {
   3.757245463786522*^9, 3.7572454638115225`*^9}, {3.757245527628522*^9, 
   3.757245527654522*^9}, {3.7572455656305223`*^9, 3.757245582194522*^9}, {
   3.7572459069758234`*^9, 3.7572459077348995`*^9}, 3.776778305580132*^9},
 CellID->497268013,ExpressionUUID->"b255e21c-866d-4e2c-9db1-b1940485a621"],

Cell[TextData[{
 "In the code below, we will assign the computer variable name ",
 Cell[BoxData[
 "age"], "InlineCodeText",ExpressionUUID->
  "ff48da1f-5f67-471c-8db1-f1cf52e477fe"],
 " to our list of values."
}], "Text",
 CellChangeTimes->{
  3.7529793337480083`*^9, 3.7572459140225277`*^9, 3.75724596554568*^9, {
   3.7572484220063114`*^9, 3.757248467043311*^9}},
 CellID->32568243,ExpressionUUID->"9b7ed253-eae7-4109-9cbc-9e13518eef60"],

Cell["\<\
Seed the pseudorandom number generator with an arbitrary integer. Create a \
List with 50 data point values from a constant distribution:\
\>", "CodeCaption",
 CellChangeTimes->{{3.7572459872498503`*^9, 3.757246020291154*^9}, {
  3.757248788446311*^9, 3.757248790642311*^9}, {3.776778461707906*^9, 
  3.776778474154633*^9}, {3.8157568020059643`*^9, 3.8157568268851357`*^9}},
 CellID->295848607,ExpressionUUID->"6129e406-5b2c-498c-8bed-ca27d2a81f61"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "12", "]"}], "\[IndentingNewLine]", 
 RowBox[{"age", "=", 
  RowBox[{"RandomInteger", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"18", ",", "80"}], "}"}], ",", "50"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7529793514025106`*^9, 3.752979449499426*^9}, 
   3.752979502837109*^9, {3.776050280197565*^9, 3.7760502872194448`*^9}},
 CellLabel->"In[1]:=",
 CellID->204895937,ExpressionUUID->"91ed5e52-85aa-4143-9976-63479077cd98"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "27", ",", "18", ",", "64", ",", "51", ",", "55", ",", "69", ",", "24", ",",
    "64", ",", "46", ",", "27", ",", "39", ",", "24", ",", "46", ",", "58", 
   ",", "39", ",", "32", ",", "48", ",", "26", ",", "39", ",", "77", ",", 
   "29", ",", "43", ",", "46", ",", "33", ",", "27", ",", "67", ",", "43", 
   ",", "40", ",", "75", ",", "57", ",", "67", ",", "31", ",", "33", ",", 
   "51", ",", "62", ",", "80", ",", "19", ",", "51", ",", "62", ",", "30", 
   ",", "47", ",", "49", ",", "66", ",", "36", ",", "40", ",", "39", ",", 
   "76", ",", "73", ",", "36", ",", "73"}], "}"}]], "Output",
 CellChangeTimes->{{3.7529793893170385`*^9, 3.752979415003961*^9}, {
   3.7529794508274417`*^9, 3.7529794557030096`*^9}, 3.776050428181472*^9, 
   3.8123812487050333`*^9},
 CellLabel->"Out[2]=",
 CellID->2078800851,ExpressionUUID->"b0833436-0a37-4593-afba-79652c793c97"]
}, Open  ]],

Cell[TextData[{
 "Randomly generated values are not absolutely random; instead, they are \
termed pseudorandom as they are produced by an algorithm. The ",
 ButtonBox["SeedRandom",
  BaseStyle->"Link"],
 " function allows for control over this random value creation. By seeding \
the pseudorandom number generator with an integer value, we can get \
reproducible results. After using the ",
 ButtonBox["SeedRandom",
  BaseStyle->"Link"],
 " function, the same values will be returned. This makes the code \
reproducible. It means that when you run the code again, the same values will \
be selected. In the code below, we overwrite the ",
 Cell[BoxData[
 "age"], "InlineCodeText",ExpressionUUID->
  "036a6ce2-5d90-4702-aa24-aee9c0180524"],
 " variable. The ",
 ButtonBox["SeedRandom",
  BaseStyle->"Link"],
 " function takes an integer of your choice as the argument. Every chosen \
integer will reproduce a different set of values. In this text, we will use \
the arbitrary value 123."
}], "Text",
 CellChangeTimes->{{3.752979578225795*^9, 3.7529796660458145`*^9}, {
  3.7529797045589724`*^9, 3.7529798020081463`*^9}, {3.752980215351085*^9, 
  3.752980235231984*^9}, {3.757245463824522*^9, 3.7572454638865223`*^9}, {
  3.7572455276675224`*^9, 3.757245527731522*^9}, {3.7572460286269875`*^9, 
  3.7572460871858425`*^9}, {3.757260078270299*^9, 3.7572600811582994`*^9}, {
  3.76827237300463*^9, 3.7682723733879843`*^9}, {3.776778702461151*^9, 
  3.7767787157703037`*^9}, {3.8157568887020483`*^9, 3.815756891885193*^9}, {
  3.8157569362025137`*^9, 3.815756977741234*^9}},
 CellID->38537442,ExpressionUUID->"2e9d0df9-f3be-490b-bb9a-869e4470ee55"],

Cell[TextData[{
 "Overwrite ",
 Cell[BoxData[
 "age"], "InlineCode",ExpressionUUID->"8dde240e-fb2f-486b-9fb1-a1917f03dd9f"],
 " to get a specified selection:"
}], "CodeCaption",
 CellChangeTimes->{{3.757246105638688*^9, 3.7572461342415476`*^9}, {
  3.7572465549546146`*^9, 3.757246558097929*^9}, {3.757247398126581*^9, 
  3.757247403189581*^9}, {3.757247485416581*^9, 3.757247486840581*^9}},
 CellID->530911708,ExpressionUUID->"425a7f79-2bec-4c2c-9292-32e06baef40d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "123", "]"}], "\[IndentingNewLine]", 
 RowBox[{"age", "=", 
  RowBox[{"RandomInteger", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"18", ",", "80"}], "}"}], ",", "50"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7529798144076824`*^9, 3.752979826393531*^9}},
 CellLabel->"In[3]:=",
 CellID->929029132,ExpressionUUID->"32f4ff08-1913-426f-8e72-745829f80a8f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "47", ",", "28", ",", "58", ",", "20", ",", "43", ",", "75", ",", "50", ",",
    "75", ",", "53", ",", "76", ",", "38", ",", "62", ",", "68", ",", "56", 
   ",", "27", ",", "52", ",", "19", ",", "33", ",", "23", ",", "72", ",", 
   "50", ",", "78", ",", "73", ",", "72", ",", "43", ",", "28", ",", "79", 
   ",", "55", ",", "33", ",", "23", ",", "47", ",", "37", ",", "48", ",", 
   "67", ",", "43", ",", "31", ",", "43", ",", "60", ",", "66", ",", "27", 
   ",", "76", ",", "41", ",", "55", ",", "25", ",", "47", ",", "76", ",", 
   "31", ",", "55", ",", "71", ",", "34"}], "}"}]], "Output",
 CellChangeTimes->{3.7529798282374325`*^9, 3.812381248730858*^9},
 CellLabel->"Out[4]=",
 CellID->994449714,ExpressionUUID->"bde24d30-03fb-486c-adfe-53a994690306"]
}, Open  ]],

Cell[TextData[{
 "Our next variable, which we will call ",
 StyleBox["q1",
  FontSlant->"Italic"],
 ", represents the answer selected for a survey question. Each participant in \
our experiment read the statement and could choose one of the following \
answers: ",
 StyleBox["totally disagree",
  FontSlant->"Italic"],
 ", ",
 StyleBox["disagree",
  FontSlant->"Italic"],
 ", ",
 StyleBox["neither agree not disagree",
  FontSlant->"Italic"],
 ", ",
 StyleBox["agree",
  FontSlant->"Italic"],
 ", or ",
 StyleBox["totally agree",
  FontSlant->"Italic"],
 ". There are five possible items to select from. This type of selection is \
an example of a Likert-style question."
}], "Text",
 CellChangeTimes->{{3.7529798512945633`*^9, 3.752979873511009*^9}, 
   3.7529799745243607`*^9, {3.757245463897522*^9, 3.7572454639175224`*^9}, {
   3.757245527743522*^9, 3.757245544227522*^9}, {3.7572462277488976`*^9, 
   3.757246309199042*^9}, {3.757246478064927*^9, 3.7572464922413445`*^9}, {
   3.7572465305541754`*^9, 3.757246534313551*^9}, {3.7572474805305815`*^9, 
   3.757247480899581*^9}},
 CellID->206684519,ExpressionUUID->"ca890f41-47e7-4d90-b2a0-64a135fa5e0e"],

Cell[TextData[{
 "We can represent the selection made by each participant as a digit, ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "f8c380c9-145b-4c37-877d-932248f7c656"],
 " through ",
 Cell[BoxData[
  FormBox["5", TraditionalForm]],ExpressionUUID->
  "c432d787-7443-44e9-9ebd-82bf72724f0a"],
 ". Even though these are numbers, they represent a categorical data type and \
we should not interpret this as a numerical data type. We can consider some \
order in the variable data point values, and as such, we view this variable \
as ordinal categorical. In keeping with the variable name, we will call the \
computer variable that holds our List object ",
 Cell[BoxData[
 "q1"], "InlineCodeText",ExpressionUUID->
  "979247e2-08f2-434b-bcba-02cdcd28a98c"],
 "."
}], "Text",
 CellChangeTimes->{{3.752979917636491*^9, 3.752979947041664*^9}, {
   3.757245463930522*^9, 3.757245463953522*^9}, {3.757245527776522*^9, 
   3.7572455277975225`*^9}, {3.757246359515073*^9, 3.7572463786259837`*^9}, 
   3.8157570002697897`*^9},
 CellID->266776295,ExpressionUUID->"1ef3e455-bf2a-4123-ba0c-d3a4c0808fbf"],

Cell["Create a list of 50 random integers:", "CodeCaption",
 CellChangeTimes->{{3.7572463861947403`*^9, 3.757246390723193*^9}, {
  3.757248703655311*^9, 3.7572487086623116`*^9}},
 CellID->800456117,ExpressionUUID->"18111f8d-44f5-495f-9d96-ae4527b39e4d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "123", "]"}], "\[IndentingNewLine]", 
 RowBox[{"q1", "=", 
  RowBox[{"RandomInteger", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "5"}], "}"}], ",", "50"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.752979992956379*^9, 3.7529800113026814`*^9}, 
   3.776778808554784*^9},
 CellLabel->"In[5]:=",
 CellID->12073147,ExpressionUUID->"6a3c5b8f-eda7-4abb-ab10-3d11bb3329f9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "4", ",", "2", ",", "3", ",", "1", ",", "1", ",", "3", ",", "4", ",", "2", 
   ",", "2", ",", "5", ",", "1", ",", "2", ",", "5", ",", "4", ",", "3", ",", 
   "3", ",", "5", ",", "5", ",", "3", ",", "5", ",", "2", ",", "2", ",", "5", 
   ",", "3", ",", "1", ",", "2", ",", "2", ",", "1", ",", "5", ",", "1", ",", 
   "5", ",", "4", ",", "2", ",", "2", ",", "3", ",", "5", ",", "2", ",", "1", 
   ",", "4", ",", "3", ",", "4", ",", "4", ",", "2", ",", "4", ",", "2", ",", 
   "2", ",", "4", ",", "2", ",", "3", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.7529800119433107`*^9, 3.8123812487382603`*^9},
 CellLabel->"Out[6]=",
 CellID->1998602244,ExpressionUUID->"695907db-4a28-461d-8c47-7b2bb0ff101b"]
}, Open  ]],

Cell[TextData[{
 "The next variable is ",
 StyleBox["country",
  FontSlant->"Italic"],
 " (computer variable name ",
 Cell[BoxData[
 "country"], "InlineCodeText",ExpressionUUID->
  "2fb1807d-4bfc-4557-a1cb-666769e3f14e"],
 "), and it represents the country of birth for each participant. This \
variable is a nominal categorical data type. Imagine that they are all from \
one of five countries (the sample space). We use the ",
 ButtonBox["RandomChoice",
  BaseStyle->"Link"],
 " function for this variable. The function takes a List object containing \
strings; hence, we use curly braces and quotations marks. After the comma, we \
specify that we want ",
 Cell[BoxData[
  FormBox["50", TraditionalForm]],ExpressionUUID->
  "2e5982c2-b6a1-4a00-b796-475f87b55d5e"],
 " random values."
}], "Text",
 CellChangeTimes->{{3.7529800283915033`*^9, 3.752980047652606*^9}, {
  3.7572454639655223`*^9, 3.7572454640115223`*^9}, {3.757245527810522*^9, 
  3.7572455278585224`*^9}, {3.7572533406954913`*^9, 3.7572533414716463`*^9}, {
  3.75725414401962*^9, 3.757254288801095*^9}, {3.776778885979821*^9, 
  3.776778888106612*^9}, {3.815757146384491*^9, 3.8157571494530478`*^9}},
 CellID->391404766,ExpressionUUID->"ed00cb4e-3078-4389-b290-dc3d5b57a65b"],

Cell[TextData[{
 "Create ",
 Cell[BoxData[
 "country"], "InlineCode",ExpressionUUID->
  "dbd14894-e513-4e01-958d-d4f1c553b740"],
 " with a list of 50 values, each chosen at random from a list of five \
countries:"
}], "CodeCaption",
 CellChangeTimes->{{3.7572543233640947`*^9, 3.757254392329095*^9}, {
  3.757254436830095*^9, 3.757254453853095*^9}, {3.7572546465780945`*^9, 
  3.757254648961095*^9}},
 CellID->323663336,ExpressionUUID->"a264b882-5364-45f4-bd31-1c8a2620d068"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "123", "]"}], "\[IndentingNewLine]", 
 RowBox[{"country", "=", 
  RowBox[{"RandomChoice", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<USA\>\"", ",", "\"\<Canada\>\"", ",", "\"\<Great Britain\>\"", ",", 
      "\"\<France\>\"", ",", "\"\<Germany\>\""}], "}"}], ",", "50"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.752980089653991*^9, 3.752980105412212*^9}},
 CellLabel->"In[7]:=",
 CellID->6237191,ExpressionUUID->"9fa79db9-dc4b-4233-9220-535f2a157f0c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"France\"\>", ",", "\<\"Canada\"\>", 
   ",", "\<\"Great Britain\"\>", ",", "\<\"USA\"\>", ",", "\<\"USA\"\>", 
   ",", "\<\"Great Britain\"\>", ",", "\<\"France\"\>", ",", "\<\"Canada\"\>",
    ",", "\<\"Canada\"\>", ",", "\<\"Germany\"\>", ",", "\<\"USA\"\>", 
   ",", "\<\"Canada\"\>", ",", "\<\"Germany\"\>", ",", "\<\"France\"\>", 
   ",", "\<\"Great Britain\"\>", ",", "\<\"Great Britain\"\>", 
   ",", "\<\"Germany\"\>", ",", "\<\"Germany\"\>", 
   ",", "\<\"Great Britain\"\>", ",", "\<\"Germany\"\>", 
   ",", "\<\"Canada\"\>", ",", "\<\"Canada\"\>", ",", "\<\"Germany\"\>", 
   ",", "\<\"Great Britain\"\>", ",", "\<\"USA\"\>", ",", "\<\"Canada\"\>", 
   ",", "\<\"Canada\"\>", ",", "\<\"USA\"\>", ",", "\<\"Germany\"\>", 
   ",", "\<\"USA\"\>", ",", "\<\"Germany\"\>", ",", "\<\"France\"\>", 
   ",", "\<\"Canada\"\>", ",", "\<\"Canada\"\>", ",", "\<\"Great Britain\"\>",
    ",", "\<\"Germany\"\>", ",", "\<\"Canada\"\>", ",", "\<\"USA\"\>", 
   ",", "\<\"France\"\>", ",", "\<\"Great Britain\"\>", ",", "\<\"France\"\>",
    ",", "\<\"France\"\>", ",", "\<\"Canada\"\>", ",", "\<\"France\"\>", 
   ",", "\<\"Canada\"\>", ",", "\<\"Canada\"\>", ",", "\<\"France\"\>", 
   ",", "\<\"Canada\"\>", ",", "\<\"Great Britain\"\>", ",", "\<\"USA\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.752980108068716*^9, 3.8123812487557497`*^9},
 CellLabel->"Out[8]=",
 CellID->1716192181,ExpressionUUID->"9830c9b9-c530-4944-ad4b-7f26a1799490"]
}, Open  ]],

Cell[TextData[{
 "Our last variable is ",
 StyleBox["height",
  FontSlant->"Italic"],
 " (computer variable name ",
 Cell[BoxData[
 "height"], "InlineCodeText",ExpressionUUID->
  "51f56e45-900e-43ae-afd0-a099d26b64e7"],
 "). This represents the height of each participant. It is a continuous, \
numerical data type. We will use the ",
 ButtonBox["RandomInteger",
  BaseStyle->"Link"],
 " function again, specifying a domain of ",
 Cell[BoxData[
  FormBox["150", TraditionalForm]],ExpressionUUID->
  "46499243-bee0-430c-b008-efc4c7422ad1"],
 " to ",
 Cell[BoxData[
  FormBox["196", TraditionalForm]],ExpressionUUID->
  "7cbaa774-8dc2-4724-a5c9-a4b14f72b080"],
 " (this is in centimeters) and 50 values."
}], "Text",
 CellChangeTimes->{{3.752980132326165*^9, 3.7529801388328223`*^9}, {
  3.7572454640235224`*^9, 3.757245464046522*^9}, {3.7572455278735223`*^9, 
  3.7572455279035225`*^9}, {3.7572582606150827`*^9, 3.757258292627283*^9}, {
  3.757260090846299*^9, 3.757260093477299*^9}},
 CellID->128795397,ExpressionUUID->"acb49101-e378-4cbd-84e2-0cf9e666ef68"],

Cell["\<\
Height in centimeters for 50 participants chosen from the integer sample \
space 150 through 196:\
\>", "CodeCaption",
 CellChangeTimes->{{3.7572583241764383`*^9, 3.757258373970417*^9}},
 CellID->601095566,ExpressionUUID->"710cf709-7388-4134-b819-4536a6342a39"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "123", "]"}], "\[IndentingNewLine]", 
 RowBox[{"height", "=", 
  RowBox[{"RandomInteger", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"150", ",", "196"}], "}"}], ",", "50"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7529801663003907`*^9, 3.752980184568139*^9}},
 CellLabel->"In[9]:=",
 CellID->161363401,ExpressionUUID->"fd5b6b9d-761b-432b-b266-a60a404fa9c2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "179", ",", "160", ",", "190", ",", "152", ",", "175", ",", "182", ",", 
   "185", ",", "170", ",", "194", ",", "188", ",", "159", ",", "184", ",", 
   "151", ",", "165", ",", "155", ",", "182", ",", "175", ",", "160", ",", 
   "187", ",", "165", ",", "155", ",", "179", ",", "169", ",", "180", ",", 
   "175", ",", "163", ",", "175", ",", "192", ",", "159", ",", "173", ",", 
   "187", ",", "157", ",", "179", ",", "163", ",", "187", ",", "166", ",", 
   "164", ",", "153", ",", "180", ",", "157", ",", "170", ",", "185", ",", 
   "153", ",", "168", ",", "167", ",", "184", ",", "196", ",", "175", ",", 
   "186", ",", "188"}], "}"}]], "Output",
 CellChangeTimes->{3.7529801854278035`*^9, 3.81238124876344*^9},
 CellLabel->"Out[10]=",
 CellID->1189123210,ExpressionUUID->"206ed589-d58c-4eca-898e-986e5c40a494"]
}, Open  ]],

Cell["\<\
Our variables contain a relatively large number of values and words. When \
viewed as such, it is difficult to make sense of it. It becomes much easier \
to grasp when we summarize these data point values by replacing them with \
values that are representative of the whole.\
\>", "Text",
 CellChangeTimes->{{3.752980261496627*^9, 3.7529802794409895`*^9}, {
   3.7572454640575223`*^9, 3.757245464067522*^9}, {3.757245527914522*^9, 
   3.757245527925522*^9}, 3.7572588517591906`*^9, 3.776794804192466*^9},
 CellID->207033495,ExpressionUUID->"54ce1bc5-0bbd-473b-92bb-f106c60aefbb"],

Cell["\<\
You will note that research papers show summarized data values without \
showing the actual set of all values. Instead, summary values are used to \
convey the essence of the data to the reader. This summary is also the first \
step toward understanding what the research data is trying to tell us.\
\>", "Text",
 CellChangeTimes->{
  3.752980302123316*^9, 3.757245464078522*^9, 3.7572455279365225`*^9, {
   3.757258861432158*^9, 3.7572588753925543`*^9}},
 CellID->234016758,ExpressionUUID->"d7026f19-aeb2-4fb9-b26c-e96bc91b1d30"],

Cell[TextData[{
 "There are three common methods of representing a set of values by a single \
number\[LongDash]the mean, the median, and the mode. Collectively, these are \
all",
 StyleBox[" measures of central tendency",
  FontSlant->"Italic"],
 ", alternatively called ",
 StyleBox["point estimates",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7529803348720446`*^9, {3.7572588878568*^9, 3.7572589004900637`*^9}},
 CellID->360984305,ExpressionUUID->"7632c91d-07be-4549-8767-da27b285fecf"],

Cell[TextData[{
 "Most papers will also describe the spread of the data points, also known as",
 StyleBox[" measures of dispersion",
  FontSlant->"Italic"],
 ". This is where you will come across terms such as ",
 StyleBox["range",
  FontSlant->"Italic"],
 ", ",
 StyleBox["quartiles",
  FontSlant->"Italic"],
 ", ",
 StyleBox["percentiles",
  FontSlant->"Italic"],
 ", ",
 StyleBox["variance",
  FontSlant->"Italic"],
 ", and the more common ",
 StyleBox["standard deviation",
  FontSlant->"Italic"],
 ", often abbreviated as SD. Let\[CloseCurlyQuote]s have a look."
}], "Text",
 CellChangeTimes->{
  3.752980356230528*^9, {3.7572454640895224`*^9, 3.757245464099522*^9}, {
   3.757245527947522*^9, 3.757245527958522*^9}, {3.7572589175077653`*^9, 
   3.7572589222742414`*^9}, {3.757261711971299*^9, 3.757261712626299*^9}},
 CellID->456476296,ExpressionUUID->"9a8d7c23-6981-4408-905c-4af5a1a5b980"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Measures of Central Tendency", "Subsection",
 CellChangeTimes->{{3.752980368329569*^9, 3.752980372861484*^9}, {
  3.757243675785903*^9, 3.75724367796212*^9}},
 CellID->672880010,ExpressionUUID->"dbe187f3-b2b3-4bdd-b087-96c30ca1dc10"],

Cell["\<\
Mean (average), median, and mode are all measures of central tendency. As the \
name implies, they represent values that tend to the middle of all the data \
point values in a set. What they achieve, in reality, is to summarize a set \
of data point values, replacing it with a single value that is somehow \
representative of all the values in the set.\
\>", "Text",
 CellChangeTimes->{{3.7529803965064*^9, 3.752980413169817*^9}, {
  3.757259405335048*^9, 3.7572594070548763`*^9}, {3.757259742850299*^9, 
  3.757259756513299*^9}},
 CellID->184994670,ExpressionUUID->"f0b897fc-9623-4e40-81e6-f3f2ccd3394c"],

Cell["\<\
In order for all of this to be meaningful, the measure of central tendency \
must be an accurate reflection of all the actual values. No one method can \
suffice for this purpose, and therefore, we look at the three common ones.\
\>", "Text",
 CellChangeTimes->{3.752980432926667*^9},
 CellID->117676252,ExpressionUUID->"e3fb2751-af7e-41de-8f55-3894928b14b7"],

Cell[CellGroupData[{

Cell["Mean", "Subsubsection",
 CellChangeTimes->{{3.7529804483711815`*^9, 3.752980449105577*^9}},
 CellID->725963921,ExpressionUUID->"a303e090-08ac-4f51-8bee-5170b24c5ab1"],

Cell["\<\
The mean, or average, refers to the simple mathematical operation of adding \
up all the data point values for a variable in a set and dividing that sum by \
the number of values in the set. It is a meaningful way to represent a set of \
numbers that do not have outliers (values that are very different from the \
large majority of numbers).\
\>", "Text",
 CellChangeTimes->{
  3.752980460378339*^9, {3.752980500819268*^9, 3.752980523420105*^9}, {
   3.7760511251062813`*^9, 3.776051148266984*^9}, {3.776051197766798*^9, 
   3.7760511989593744`*^9}, 3.776794962775581*^9},
 CellID->263450830,ExpressionUUID->"ff0c75fb-34aa-4053-b412-d2945301f249"],

Cell["\<\
The equation for the mean of a set of numerical values is given in (1) below.\
\>", "Text",
 CellChangeTimes->{{3.752981015874463*^9, 3.752981043778721*^9}},
 CellID->608599085,ExpressionUUID->"13be7150-486e-4eb1-8c55-92265c3ed585"],

Cell[BoxData[
 FormBox[
  RowBox[{"\[Mu]", "=", 
   FractionBox[
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "1"}], "n"], 
     SubscriptBox["x", "i"]}], "n"]}], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.7529810545498977`*^9, 3.752981081936225*^9}, 
   3.7573300885332627`*^9, 3.757330132297263*^9},
 CellID->17602149,ExpressionUUID->"79e23f54-2390-4dfc-91fd-d4088293ae0b"],

Cell[TextData[{
 "The symbol ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "e8d3a133-3ec6-4c0e-a368-67c8b0f3c253"],
 " is typically used to represent the mean of a variable in a population. The \
",
 Cell[BoxData[
  FormBox["\[Sum]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "db4a16b6-303d-4af3-9a9b-598e5ac0a19e"],
 " symbol is shorthand notation for summing or adding. Each of the values in \
the List object containing the numerical values is represented by ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "1"], ",", 
    SubscriptBox["x", "2"], ",", "\[NegativeThinSpace]", 
    StyleBox["\[Ellipsis]",
     FontColor->GrayLevel[0.6]]}], TraditionalForm]],ExpressionUUID->
  "340026df-d5be-441a-a475-3d4457a3667b"],
 ", with the ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]], "InlineMath",ExpressionUUID->
  "8fe67102-e018-40f8-87c3-ff8e1e57f8b4"],
 " playing the part of each of the ordered values in the List object. \
Finally, ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "7232fa30-040c-40ec-afb9-6dcc2517252a"],
 " is the total number of values in the List object. As mentioned, we use the \
Greek symbol ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]],ExpressionUUID->
  "f915017a-eb13-4b5c-8e2c-25c977f0ecfb"],
 " when calculating the mean of a population. When we have data point values \
for a sample, we use the symbol ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["x", "_"], TraditionalForm]],ExpressionUUID->
  "3296c637-2e41-4982-a26b-d6d39c49aadf"],
 ". Here, the ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]],ExpressionUUID->
  "58f6c55d-e56c-40d5-ab9e-f93b1a7574bf"],
 " is a placeholder for the variable name."
}], "Text",
 CellChangeTimes->{{3.752981318568613*^9, 3.7529813473960533`*^9}, {
   3.7572454641605225`*^9, 3.757245464217522*^9}, {3.757245528017522*^9, 
   3.7572455280755224`*^9}, 3.757260200399299*^9, {3.757260458089299*^9, 
   3.757260505017299*^9}, 3.768272571086903*^9, {3.776795050249428*^9, 
   3.776795067863801*^9}, 3.776795143072241*^9, 3.776795193023731*^9, 
   3.815757178408945*^9, {3.81575732731746*^9, 3.815757327317511*^9}, {
   3.819039890795732*^9, 3.819039890795845*^9}},
 CellID->87727975,ExpressionUUID->"33097f99-fba3-4564-a8e4-7d11adf71329"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s look at how to use the Wolfram Language to easily \
calculate the mean values for our variables ",
 Cell[BoxData[
 "age"], "InlineCodeText",ExpressionUUID->
  "c62547dd-6559-4424-9432-7b5b9c05d2a1"],
 " and ",
 Cell[BoxData[
 "height"], "InlineCodeText",ExpressionUUID->
  "b754da87-a4be-42db-8570-41c2d2645f2a"],
 ". It is achieved by using the function ",
 ButtonBox["Mean",
  BaseStyle->"Link"],
 ", which, simply takes our computer variable that holds the appropriate List \
object. Below we use postfix notation to get a numerical result."
}], "Text",
 CellChangeTimes->{{3.7529809080140085`*^9, 3.752980912858606*^9}, {
  3.757245464229522*^9, 3.7572454642405224`*^9}, {3.757245528088522*^9, 
  3.757245528099522*^9}, {3.757260546556299*^9, 3.7572605600882993`*^9}, {
  3.7572606598422995`*^9, 3.757260667003299*^9}, {3.757260742459299*^9, 
  3.757260768145299*^9}, {3.757264552679655*^9, 3.757264575222909*^9}},
 CellID->433791376,ExpressionUUID->"413b6998-91ef-461b-bee3-1ac4684aa42a"],

Cell[TextData[{
 "Calculate the mean of ",
 Cell[BoxData[
 "age"], "InlineCode",ExpressionUUID->"f58ff4ee-c1cf-44b8-b8de-6032d95af401"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7572646446258483`*^9, 3.7572646624406295`*^9}},
 CellID->322088256,ExpressionUUID->"bdd5ae59-edfc-4969-94c4-a9ab595205c3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Mean", "[", "age", "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.7529809390737286`*^9, 3.752980947316595*^9}},
 CellLabel->"In[11]:=",
 CellID->42666726,ExpressionUUID->"b80bc8f7-4a62-4df4-82b0-ca99fad2c058"],

Cell[BoxData["49.78`"], "Output",
 CellChangeTimes->{3.7529809476534305`*^9, 3.812381248781191*^9},
 CellLabel->"Out[11]=",
 CellID->1110971488,ExpressionUUID->"e438dc69-0438-4b90-9a4d-020c03ed2e40"]
}, Open  ]],

Cell[TextData[{
 "Calculate the mean of ",
 Cell[BoxData[
 "height"], "InlineCode",ExpressionUUID->
  "ec36a55c-27af-4833-9ee6-812007c9ec70"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.757264675563942*^9, 3.757264685464932*^9}},
 CellID->143292418,ExpressionUUID->"cb0145fe-3acc-42be-8ca2-243ec4ee333a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Mean", "[", "height", "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.7529809720863876`*^9, 3.7529809845009356`*^9}},
 CellLabel->"In[12]:=",
 CellID->23945333,ExpressionUUID->"cf2aa98b-8d5d-42e2-b25a-62fc6890fd58"],

Cell[BoxData["172.86`"], "Output",
 CellChangeTimes->{3.752980985923023*^9, 3.8123812487875357`*^9},
 CellLabel->"Out[12]=",
 CellID->1874971798,ExpressionUUID->"5c844e2b-8cc5-47b9-ac1d-462ef59521e0"]
}, Open  ]],

Cell[TextData[{
 "There are other forms of the mean. One you might often come across is the \
geometric mean. Instead of adding all the values, we multiply them and then \
take the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["n", "th"], TraditionalForm]],ExpressionUUID->
  "d48ce224-be81-4443-9ff2-31d77ecb7654"],
 " root of the multiplication, where ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "e8d76ee7-ff8c-4bb7-b827-9bfefc038c04"],
 " represents the number of elements. The geometric mean is shown by the \
expression (2) below."
}], "Text",
 CellChangeTimes->{{3.7529813809548645`*^9, 3.752981404015658*^9}, {
   3.757245464251522*^9, 3.7572454642735224`*^9}, {3.7572455281105223`*^9, 
   3.757245528132522*^9}, 3.812381439227376*^9},
 CellID->64293075,ExpressionUUID->"8eb77f07-f1e1-4fb1-b977-fff934bf9d66"],

Cell[BoxData[
 FormBox[
  RadicalBox[
   RowBox[{"\[Product]", 
    SubscriptBox["x", "i"]}], "n"], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{
  3.752981419771982*^9, {3.7573302135462627`*^9, 3.757330235505263*^9}},
 CellID->428512762,ExpressionUUID->"d204cf54-f999-4828-9c30-93703766685f"],

Cell[TextData[{
 "Here, ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "4807c85c-c75b-4ae3-a11d-e4069927c13d"],
 " is again the sample size and the ",
 Cell[BoxData[
  FormBox["\[Product]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "4119cdcb-e5c5-4292-98a4-4514ba72ac80"],
 " symbol refers to the product (multiplication) of values. The Wolfram \
Language function is ",
 ButtonBox["GeometricMean",
  BaseStyle->"Link"],
 "."
}], "Text",
 CellChangeTimes->{{3.752981431635693*^9, 3.7529814495453606`*^9}, 
   3.757245464284522*^9, 3.757245528145522*^9, 3.7572652422856083`*^9, {
   3.757265365031882*^9, 3.757265378077186*^9}, {3.768272910398285*^9, 
   3.768272929701537*^9}},
 CellID->645207473,ExpressionUUID->"801ecdba-bb59-4be3-9cbc-537246262bb3"],

Cell[TextData[{
 "Calculate the geometric mean of ",
 Cell[BoxData[
 "height"], "InlineCode",ExpressionUUID->
  "eaa77e14-56af-4d85-8130-c34b4c96c0af"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7572654024746256`*^9, 3.757265418379216*^9}},
 CellID->234625030,ExpressionUUID->"a2a46e3a-26f9-4e76-aa3a-6dfc2313898c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"GeometricMean", "[", "height", "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.7529814702045584`*^9, 3.7529814829723067`*^9}},
 CellLabel->"In[13]:=",
 CellID->100317924,ExpressionUUID->"612d4487-fc9a-4b16-a1c6-897d9b368797"],

Cell[BoxData["172.39897577538005`"], "Output",
 CellChangeTimes->{{3.7529814797053585`*^9, 3.752981483378536*^9}, 
   3.812381248803216*^9},
 CellLabel->"Out[13]=",
 CellID->475972908,ExpressionUUID->"dca99d14-0613-4bcc-b5bd-acfa03b8a324"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Median", "Subsubsection",
 CellChangeTimes->{{3.752981510670969*^9, 3.7529815115458717`*^9}},
 CellID->572478379,ExpressionUUID->"53c140fc-1f29-40fa-ab32-c5f945db7377"],

Cell[TextData[{
 "If we had the values ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "d84dd047-4740-446c-8464-b219c21104ea"],
 ", ",
 Cell[BoxData[
  FormBox["2", TraditionalForm]],ExpressionUUID->
  "2d7bce68-1817-4f3e-985c-b61cdbea1045"],
 ", ",
 Cell[BoxData[
  FormBox["3", TraditionalForm]],ExpressionUUID->
  "4ab1f6a4-9738-45fb-9628-2c0baa070664"],
 ", ",
 Cell[BoxData[
  FormBox["4", TraditionalForm]],ExpressionUUID->
  "2b32f06e-e8e7-4720-9743-4f4b5e539a34"],
 ", and ",
 Cell[BoxData[
  FormBox["100", TraditionalForm]],ExpressionUUID->
  "0e431b16-43b2-4a4e-8faa-a23b22bed436"],
 ", you could well imagine that the last value was an outlier. If we \
calculated a mean, it would be ",
 Cell[BoxData[
  FormBox["22", TraditionalForm]],ExpressionUUID->
  "5cecdcf4-a8fb-40e6-a1cb-2bb025f5b333"],
 ", since the values add to ",
 Cell[BoxData[
  FormBox["110", TraditionalForm]],ExpressionUUID->
  "0d9b1bd1-4c0c-456e-8e5a-c540df0ec6b3"],
 " and there are ",
 Cell[BoxData[
  FormBox["5", TraditionalForm]],ExpressionUUID->
  "004c299d-9373-4b40-bfd1-95ba8571318b"],
 " of them and ",
 Cell[BoxData[
  FormBox["5", TraditionalForm]],ExpressionUUID->
  "27177341-e3ea-4540-9a4e-1070c5e27752"],
 " divides ",
 Cell[BoxData[
  FormBox["110", TraditionalForm]],ExpressionUUID->
  "83596963-7d12-4e9c-b8b3-95f36d382598"],
 " exactly ",
 Cell[BoxData[
  FormBox["22", TraditionalForm]],ExpressionUUID->
  "1d4374fb-33d5-4897-9c61-d29c9143d10d"],
 " times.  We could all agree that ",
 Cell[BoxData[
  FormBox["22", TraditionalForm]],ExpressionUUID->
  "d525252c-5034-45cb-a0c3-afa5fc5cdb97"],
 " is somehow not representative of the five values. The median would be more \
appropriate to use as a measure of central tendency in our example of the \
values 1, 2, 3, 4, and 100, e.g. in the case of outliers. The median chooses \
a value for which half of the total number of values are ",
 StyleBox["less than",
  FontSlant->"Italic"],
 " and the other half are ",
 StyleBox["more than",
  FontSlant->"Italic"],
 " it. In our example of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], TraditionalForm]],
  ExpressionUUID->"602fbf19-475e-409f-8940-85d37df60c2c"],
 " and ",
 Cell[BoxData[
  FormBox["100", TraditionalForm]],ExpressionUUID->
  "d799eefb-e88f-4ce9-a8f2-3637ff13f6cb"],
 ", there are five numbers. The number 3 would be the median since there are \
two numbers, 1 and 2 that are less than it and two numbers, 4 and 100 that \
are greater than it. You would agree that the number 3 is a more \
representative point estimate for our five numbers than the average, which \
was 22."
}], "Text",
 CellChangeTimes->{
  3.7529815277694654`*^9, {3.7572454642975225`*^9, 3.7572454643305225`*^9}, {
   3.757245528157522*^9, 3.757245528192522*^9}, {3.75726560703708*^9, 
   3.757265686378013*^9}, {3.7572658558709607`*^9, 3.7572658640487785`*^9}, {
   3.7573377419246025`*^9, 3.757337743163727*^9}, {3.776795311897237*^9, 
   3.7767953394555607`*^9}, 3.77679540885667*^9, 3.812381458743368*^9, {
   3.815757455330678*^9, 3.815757458548686*^9}},
 CellID->259674245,ExpressionUUID->"43e787d2-aea0-4ecf-a3ed-871a6938847d"],

Cell[TextData[{
 "If there are an even number of values, we simply take the average of the \
middle two, e.g. the median of 1, 2, 3, 4 is 2.5 since the middle two values \
are 2 and 3 and their mean is 2.5. In the Wolfram Language, we use the ",
 ButtonBox["Median",
  BaseStyle->"Link"],
 " function. Let\[CloseCurlyQuote]s calculate the median for our two \
numerical variables."
}], "Text",
 CellChangeTimes->{{3.752981575794849*^9, 3.752981580873352*^9}, {
  3.757245464341522*^9, 3.7572454643535223`*^9}, {3.757245528204522*^9, 
  3.7572455282155223`*^9}, {3.7572658693453083`*^9, 3.7572659331726904`*^9}},
 CellID->448741141,ExpressionUUID->"4d630c55-24ba-4cbf-ae4d-b77de97c3f07"],

Cell[TextData[{
 "Calculate the median of ",
 Cell[BoxData[
 "age"], "InlineCode",ExpressionUUID->"4325c4e0-21fe-4c1e-b5b3-d2715adf7566"],
 ": "
}], "CodeCaption",
 CellChangeTimes->{{3.757265941585531*^9, 3.757265949752348*^9}},
 CellID->328236803,ExpressionUUID->"d14a15c5-9d86-4cb3-8f75-c56d698dc750"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Median", "[", "age", "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.752981631543707*^9, 3.752981638554731*^9}},
 CellLabel->"In[14]:=",
 CellID->169934939,ExpressionUUID->"c7f425fb-a378-4179-a058-082b033a05fa"],

Cell[BoxData["49.`"], "Output",
 CellChangeTimes->{3.752981638867158*^9, 3.812381248809959*^9},
 CellLabel->"Out[14]=",
 CellID->300079681,ExpressionUUID->"fa520dc2-f671-4053-ae7a-7e172b2da999"]
}, Open  ]],

Cell[TextData[{
 "Calculate the median of ",
 Cell[BoxData[
 "height"], "InlineCode",ExpressionUUID->
  "218b0ad0-a524-4bc4-9915-554a266798e4"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7572659621725903`*^9, 3.7572659733047028`*^9}},
 CellID->234852868,ExpressionUUID->"97776c20-3227-4cd4-aef8-25e92ddfc1cb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Median", "[", "height", "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.752981659910088*^9, 3.75298166650549*^9}},
 CellLabel->"In[15]:=",
 CellID->592891692,ExpressionUUID->"63774072-6694-4c63-b8c6-a662596a5e9c"],

Cell[BoxData["175.`"], "Output",
 CellChangeTimes->{3.752981666864786*^9, 3.812381248817215*^9},
 CellLabel->"Out[15]=",
 CellID->1147595411,ExpressionUUID->"0670725f-543d-46c3-8204-fb359f354574"]
}, Open  ]],

Cell["\<\
Notice how close they are to the means of these two variables. The message \
that we can take away from this is that there probably are not many outliers \
(at least in one direction, i.e. either very small or very large) in the List \
objects for age and height. We will learn much more about this in Chapter 10, \
which is all about parametric tests.\
\>", "Text",
 CellChangeTimes->{{3.7529816933882723`*^9, 3.7529817546954145`*^9}, {
   3.7572454643655224`*^9, 3.757245464375522*^9}, {3.757245528227522*^9, 
   3.757245528237522*^9}, {3.7572660036197343`*^9, 3.757266012868659*^9}, 
   3.7572663222995987`*^9},
 CellID->509335719,ExpressionUUID->"1d633715-047f-4e8b-b6ce-6325567a268d"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mode", "Subsubsection",
 CellChangeTimes->{{3.7529817624767647`*^9, 3.75298176294543*^9}},
 CellID->8801344,ExpressionUUID->"37f1f65c-e48b-4e49-8b0d-d536568b41e0"],

Cell["\<\
The mode is the data point value that occurs most frequently in a set. As \
such, it is convenient to use when the variable is of categorical type. At \
times, there might be more than one data point value that occurs most \
frequently. In such cases, the set is multimodal.\
\>", "Text",
 CellChangeTimes->{
  3.7529817803273525`*^9, {3.757245464385522*^9, 3.7572454644065223`*^9}, {
   3.7572455282485223`*^9, 3.7572455282685223`*^9}, 3.7572663399963684`*^9},
 CellID->187234623,ExpressionUUID->"60cf7823-67de-4753-b9ce-ddd57f70d2c5"],

Cell[TextData[{
 "In the Wolfram Language, we make use of the ",
 ButtonBox["Counts",
  BaseStyle->"Link"],
 " function. It will count the number of occurrences (frequency) of each \
unique data point value in a List object. In the code below, we use it to \
count the frequency at which the five countries appear in the ",
 Cell[BoxData[
 "countries"], "InlineCodeText",ExpressionUUID->
  "01cc7964-df8f-4872-9fdd-df5cc74d9259"],
 " variable."
}], "Text",
 CellChangeTimes->{{3.75298179141226*^9, 3.7529818375001125`*^9}, {
  3.7572454644175224`*^9, 3.757245464428522*^9}, {3.757245528279522*^9, 
  3.757245528291522*^9}, {3.757266344772846*^9, 3.7572663576881375`*^9}, {
  3.7572667419655614`*^9, 3.757266753170682*^9}},
 CellID->19755650,ExpressionUUID->"ad9252e7-b9db-44c0-a385-188bdd432c96"],

Cell["\<\
Count how many times each unique country appears in the List object:\
\>", "CodeCaption",
 CellChangeTimes->{{3.757266759670332*^9, 3.7572667731096754`*^9}},
 CellID->33320821,ExpressionUUID->"c16d87cf-8f82-409b-86a0-f22077800075"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Counts", "[", "country", "]"}]], "Input",
 CellChangeTimes->{{3.752981911564051*^9, 3.752981917033676*^9}},
 CellLabel->"In[16]:=",
 CellID->224054317,ExpressionUUID->"94ee0277-fdd2-4962-ad00-c322e90fb466"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"France\"\>", "\[Rule]", "9"}], ",", 
   RowBox[{"\<\"Canada\"\>", "\[Rule]", "15"}], ",", 
   RowBox[{"\<\"Great Britain\"\>", "\[Rule]", "9"}], ",", 
   RowBox[{"\<\"USA\"\>", "\[Rule]", "8"}], ",", 
   RowBox[{"\<\"Germany\"\>", "\[Rule]", "9"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.752981917361725*^9, 3.8123812488359833`*^9},
 CellLabel->"Out[16]=",
 CellID->1085438970,ExpressionUUID->"43fc8814-39e6-48d7-b142-49bd13b2e539"]
}, Open  ]],

Cell[TextData[{
 "You may be wondering what type of object the ",
 ButtonBox["Counts",
  BaseStyle->"Link"],
 " function returns. We can always use the ",
 ButtonBox["Head",
  BaseStyle->"Link"],
 " function to find out. Below we pass the function ",
 ButtonBox["Counts,",
  BaseStyle->"Link"],
 " with its own argument of ",
 Cell[BoxData[
 "country"], "InlineCodeText",ExpressionUUID->
  "7ade4845-78f0-4ffc-8c99-eb2f5809a4fb"],
 ", as the argument of the ",
 ButtonBox["Head",
  BaseStyle->"Link"],
 " function."
}], "Text",
 CellChangeTimes->{{3.7529819321290565`*^9, 3.7529819752462893`*^9}, {
  3.757245464440522*^9, 3.757245464451522*^9}, {3.757245528302522*^9, 
  3.7572455283145223`*^9}, {3.7572668761169753`*^9, 3.757266938578221*^9}, {
  3.757267100495411*^9, 3.7572671265740185`*^9}},
 CellID->488786617,ExpressionUUID->"3f0fb221-4401-4d16-bcd9-f058ef12e3e6"],

Cell[TextData[{
 "Evaluate the code to find out what object the function ",
 ButtonBox["Head",
  BaseStyle->"Link"],
 " returns:"
}], "CodeCaption",
 CellChangeTimes->{{3.7572672937147307`*^9, 3.757267313430702*^9}},
 CellID->475498080,ExpressionUUID->"5a20a27b-4663-41d9-a9cc-e2dfced1b9c3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Head", "[", 
  RowBox[{"Counts", "[", "country", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.752982002900422*^9, 3.752982010336276*^9}},
 CellLabel->"In[17]:=",
 CellID->82206001,ExpressionUUID->"584a40c6-7d41-4c06-8f06-c4c102242c0b"],

Cell[BoxData["Association"], "Output",
 CellChangeTimes->{3.752982011883404*^9, 3.812381248843546*^9},
 CellLabel->"Out[17]=",
 CellID->99187525,ExpressionUUID->"1d417346-6a4a-43d7-aa18-3504ffa5fad5"]
}, Open  ]],

Cell[TextData[{
 "Each unique ",
 StyleBox["key",
  FontSlant->"Italic"],
 " (country) is associated with a ",
 StyleBox["value",
  FontSlant->"Italic"],
 " (a count in this case), hence, an ",
 ButtonBox["Association",
  BaseStyle->"Link"],
 " object."
}], "Text",
 CellChangeTimes->{{3.7529820266954203`*^9, 3.752982038118698*^9}, {
   3.757267353797738*^9, 3.7572673559499536`*^9}, 3.768273035184051*^9, 
   3.776795659662978*^9, 3.815757491537712*^9},
 CellID->281282940,ExpressionUUID->"357a1ef2-edd6-458e-b40b-26aee1cbc8c3"],

Cell[TextData[{
 "Another Wolfram Language function that we can use is the ",
 ButtonBox["Tally",
  BaseStyle->"Link"],
 " function. It returns a nested List object. Each subList object contains \
two elements. The first is the unique data point value and the second is the \
number of times it appears."
}], "Text",
 CellChangeTimes->{{3.7529820551480784`*^9, 3.7529820799130516`*^9}, {
   3.7572454644645224`*^9, 3.757245464484522*^9}, {3.757245528326522*^9, 
   3.757245528348522*^9}, {3.7572676833015575`*^9, 3.7572676905086737`*^9}, 
   3.8164486572334642`*^9},
 CellID->102507820,ExpressionUUID->"009b18ef-908a-4d16-bcd1-748c3fd9d184"],

Cell[TextData[{
 ButtonBox["Tally",
  BaseStyle->"Link"],
 " is an alternative function to count frequencies:"
}], "CodeCaption",
 CellChangeTimes->{{3.7572678273648396`*^9, 3.757267843727203*^9}},
 CellID->414916958,ExpressionUUID->"58bb99ae-17b2-4372-b673-b9c300e31307"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Tally", "[", "country", "]"}]], "Input",
 CellChangeTimes->{{3.7529821091193914`*^9, 3.7529821132150736`*^9}},
 CellLabel->"In[18]:=",
 CellID->231885944,ExpressionUUID->"674db0b3-d709-4116-b8e5-a905eb348a48"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"France\"\>", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Canada\"\>", ",", "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Great Britain\"\>", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"USA\"\>", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Germany\"\>", ",", "9"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7529821135274963`*^9, 3.812381248850963*^9},
 CellLabel->"Out[18]=",
 CellID->597422603,ExpressionUUID->"e0c96c9b-aac3-44ed-8aae-878e9d94503d"]
}, Open  ]],

Cell[TextData[{
 "We can use the",
 Cell[BoxData[
  RowBox[{" ", 
   ButtonBox["Sort",
    BaseStyle->"Link"]}]], "InlineCodeText",ExpressionUUID->
  "abe781a8-0170-4836-b5e7-e43be89eef2c"],
 " function to sort the values in the ",
 ButtonBox["Association",
  BaseStyle->"Link"],
 " created by the ",
 Cell[BoxData[
  ButtonBox["Counts",
   BaseStyle->"Link"]], "InlineCodeText",ExpressionUUID->
  "9b306596-7910-4a9d-8789-656366fa6933"],
 " function. It can take a second argument to sort the return in ascending or \
descending order. In the case below, we use ",
 ButtonBox["Greater",
  BaseStyle->"Link"],
 " to indicate that we want the sorting in descending order (i.e. greatest \
first)."
}], "Text",
 CellChangeTimes->{{3.7529821317044783`*^9, 3.752982169502681*^9}, {
   3.757245464496522*^9, 3.757245464506522*^9}, {3.7572455283605223`*^9, 
   3.7572455283725224`*^9}, {3.757267850224553*^9, 3.7572678981267624`*^9}, 
   3.776795752600484*^9, 3.815757720802766*^9},
 CellID->14493398,ExpressionUUID->"fcab1a87-c6e9-463f-bddc-beb621500492"],

Cell["Sort the counts in descending order:", "CodeCaption",
 CellChangeTimes->{{3.7572679153190427`*^9, 3.7572679286777067`*^9}},
 CellID->763508147,ExpressionUUID->"5fb456bc-a8bc-4902-b2dd-c12df03d559f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sort", "[", 
  RowBox[{
   RowBox[{"Counts", "[", "country", "]"}], ",", "Greater"}], "]"}]], "Input",
 CellChangeTimes->{{3.752982211616085*^9, 3.7529822257721796`*^9}},
 CellLabel->"In[19]:=",
 CellID->52820684,ExpressionUUID->"fe4d7fa2-ec3d-4e8d-9337-95b590dc33e5"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"Canada\"\>", "\[Rule]", "15"}], ",", 
   RowBox[{"\<\"Germany\"\>", "\[Rule]", "9"}], ",", 
   RowBox[{"\<\"Great Britain\"\>", "\[Rule]", "9"}], ",", 
   RowBox[{"\<\"France\"\>", "\[Rule]", "9"}], ",", 
   RowBox[{"\<\"USA\"\>", "\[Rule]", "8"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.752982226069063*^9, 3.8123812488597116`*^9},
 CellLabel->"Out[19]=",
 CellID->1395638896,ExpressionUUID->"55a4dada-9635-49ab-b602-cb75db77fe98"]
}, Open  ]],

Cell["\<\
The value, or sometimes values, that occurs most commonly is the mode of the \
List object.\
\>", "Text",
 CellChangeTimes->{{3.752982245395192*^9, 3.7529822660786695`*^9}, 
   3.7572679433882356`*^9, {3.7572686313264794`*^9, 3.7572686425324793`*^9}},
 CellID->134055874,ExpressionUUID->"b3db0a91-3070-4374-b355-aab5f5f0d601"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Measures of Dispersion", "Subsection",
 CellChangeTimes->{{3.7529822565569687`*^9, 3.752982260635624*^9}, {
  3.757243979154842*^9, 3.7572439806579924`*^9}},
 CellID->512356652,ExpressionUUID->"eb8c1125-20ee-4077-8460-7fa885d3a199"],

Cell["\<\
Whereas point estimates summarize data point values by using a single value, \
measures of dispersion give us an idea of how spread out the values are. \
Together with point estimates, they give us an excellent summary of our data. \
Let\[CloseCurlyQuote]s have a look at some common measures.\
\>", "Text",
 CellChangeTimes->{{3.7529828021301117`*^9, 3.7529828181519976`*^9}, {
  3.7572454645165224`*^9, 3.757245464526522*^9}, {3.757245528382522*^9, 
  3.757245528392522*^9}},
 CellID->106981525,ExpressionUUID->"1cfe59fe-48cd-4a05-a5db-edb103490ff1"],

Cell[CellGroupData[{

Cell["Range", "Subsubsection",
 CellChangeTimes->{{3.752982839976596*^9, 3.7529828410393286`*^9}},
 CellID->248217019,ExpressionUUID->"6df9f035-2e2e-4a87-a263-34ffcbd4a1da"],

Cell["\<\
The range is simply the difference between the minimum and maximum numerical \
values in a set. A common variable to express as a range is age, where we may \
want to report the youngest and oldest patient in a set.\
\>", "Text",
 CellChangeTimes->{3.752982891387927*^9, 3.757245464536522*^9, 
  3.7572455284035225`*^9, 3.776795799685832*^9},
 CellID->348069,ExpressionUUID->"b66748f7-be92-4eb8-8f6c-cafad94c2070"],

Cell[TextData[{
 "To get the minimum value in a List object that contains numerical data \
point values, we use the ",
 ButtonBox["Min",
  BaseStyle->"Link"],
 " function, and for the maximum value, we use the ",
 ButtonBox["Max",
  BaseStyle->"Link"],
 " function. The range is simply the difference between the two."
}], "Text",
 CellChangeTimes->{{3.752982920447736*^9, 3.752982946789306*^9}, 
   3.757245464548522*^9, 3.757245528414522*^9, {3.757268203626479*^9, 
   3.757268223930479*^9}},
 CellID->215131657,ExpressionUUID->"6913f8b5-d212-4594-a74b-04109c74f4cc"],

Cell["Find the minimum age:", "CodeCaption",
 CellChangeTimes->{{3.7572682345724792`*^9, 3.757268240067479*^9}},
 CellID->814049000,ExpressionUUID->"d7275b83-f1d9-413e-aa2e-557d27212116"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Min", "[", "age", "]"}]], "Input",
 CellChangeTimes->{{3.7529829816772184`*^9, 3.7529829839346743`*^9}},
 CellLabel->"In[20]:=",
 CellID->40406701,ExpressionUUID->"83cdabc4-e177-4d3d-ae06-df96d868c493"],

Cell[BoxData["19"], "Output",
 CellChangeTimes->{3.752982984247098*^9, 3.812381248876316*^9},
 CellLabel->"Out[20]=",
 CellID->1686532538,ExpressionUUID->"77e64aec-b7cb-4ba7-a25e-8109175b7342"]
}, Open  ]],

Cell["Find the maximum age:", "CodeCaption",
 CellChangeTimes->{{3.7572682510754795`*^9, 3.757268254211479*^9}},
 CellID->111046139,ExpressionUUID->"f220cf4f-f04c-4678-874f-a9a46abc8b8c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Max", "[", "age", "]"}]], "Input",
 CellChangeTimes->{{3.752982994717321*^9, 3.7529829968894167`*^9}},
 CellLabel->"In[21]:=",
 CellID->328555674,ExpressionUUID->"66ccb6c9-36ca-4c06-b61f-23d5d9b988ba"],

Cell[BoxData["79"], "Output",
 CellChangeTimes->{3.752982999186475*^9, 3.81238124888475*^9},
 CellLabel->"Out[21]=",
 CellID->915709413,ExpressionUUID->"802922a0-1528-4c18-bf9f-3cfd1a7c8ab5"]
}, Open  ]],

Cell["Calculate the range: ", "CodeCaption",
 CellChangeTimes->{{3.7572685001644793`*^9, 3.7572685079954796`*^9}},
 CellID->683938649,ExpressionUUID->"458de427-7d74-41a1-b325-4e35999a15f3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Max", "[", "age", "]"}], "-", 
  RowBox[{"Min", "[", "age", "]"}]}]], "Input",
 CellChangeTimes->{{3.752983035182588*^9, 3.752983045592328*^9}},
 CellLabel->"In[22]:=",
 CellID->323082817,ExpressionUUID->"246e9454-4a86-4194-adbb-96879c724a7e"],

Cell[BoxData["60"], "Output",
 CellChangeTimes->{3.752983048233136*^9, 3.8123812489027357`*^9},
 CellLabel->"Out[22]=",
 CellID->1460289889,ExpressionUUID->"3706b5d3-b496-447e-a356-82176a34cac7"]
}, Open  ]],

Cell[TextData[{
 "Use the ",
 ButtonBox["MinMax",
  BaseStyle->"Link"],
 " function to return both of these descriptive values:"
}], "Text",
 CellChangeTimes->{{3.77605183382125*^9, 3.776051867252766*^9}, {
  3.776795952927219*^9, 3.776795974005755*^9}, {3.7767960555015507`*^9, 
  3.776796056069059*^9}, {3.7776515995870876`*^9, 3.7776516149220877`*^9}},
 CellID->690301446,ExpressionUUID->"9e740c9e-e0a2-4c19-9cb0-60d96e1ceb72"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MinMax", "[", "age", "]"}]], "Input",
 CellChangeTimes->{{3.776051868898009*^9, 3.7760518731006403`*^9}},
 CellLabel->"In[23]:=",
 CellID->180363100,ExpressionUUID->"575f1795-0c2a-4eeb-af9d-c5979948309c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"19", ",", "79"}], "}"}]], "Output",
 CellChangeTimes->{3.776051873397444*^9, 3.8123812489095573`*^9},
 CellLabel->"Out[23]=",
 CellID->1649046507,ExpressionUUID->"dcc8a176-c210-4717-8c95-4b923061c2a3"]
}, Open  ]],

Cell["\<\
Together with the mean, we may now report the minimum and maximum values or \
range in a paper.\
\>", "Text",
 CellChangeTimes->{{3.7529830626419663`*^9, 3.7529830659547873`*^9}, 
   3.776051888891699*^9},
 CellID->746051815,ExpressionUUID->"2ad8c588-3233-4e52-bae4-565cca436172"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quartiles", "Subsubsection",
 CellChangeTimes->{{3.7529830860821257`*^9, 3.752983087754303*^9}},
 CellID->804518277,ExpressionUUID->"7e876004-4c9e-480e-bc35-e93e184f6729"],

Cell["\<\
Whereas the median divides a set of data point values into halves, quartiles \
divide it into quarters. Quartiles have a zeroth value, which represents the \
minimum value of a set of values, and a fourth quartile, which represents the \
maximum value.\
\>", "Text",
 CellChangeTimes->{3.7529830953529854`*^9, 3.757245464558522*^9, 
  3.7572455284245224`*^9, 3.776796037237947*^9, 3.815848775719417*^9},
 CellID->21192205,ExpressionUUID->"6815908a-d1ce-4cbd-aa84-bfa59e34b60a"],

Cell["\<\
The first quartile represents the value in the data point set that divides \
the set into two parts, the first of which represents a quarter of the \
values, all being smaller than the first quartile value, and the second part, \
consisting of three quarters of the values, all being larger than that first \
quartile value.\
\>", "Text",
 CellChangeTimes->{{3.752983130384765*^9, 3.7529831456413054`*^9}, {
  3.7572701453894796`*^9, 3.7572701465094795`*^9}},
 CellID->138583012,ExpressionUUID->"120b8ec6-f235-4e0e-862b-78bd2278bb3e"],

Cell["\<\
The second quartile value divides the data point set into equal parts and is \
nothing other than the median.\
\>", "Text",
 CellChangeTimes->{{3.7760519709738116`*^9, 3.776051982297205*^9}, {
  3.812381556984336*^9, 3.8123815571999693`*^9}},
 CellID->518682269,ExpressionUUID->"b3db89ea-89bc-4e8c-bef7-5758afc7f686"],

Cell["\<\
As you must have inferred by now, the third quartile represents the value in \
the data point set that divides the set into two parts, with three quarters \
of the values being smaller than the third quartile value and one quarter \
being larger than that value.\
\>", "Text",
 CellChangeTimes->{{3.752983162854205*^9, 3.7529831727482557`*^9}, {
  3.776052025572442*^9, 3.776052061164562*^9}, {3.8157653287211933`*^9, 
  3.815765350903232*^9}},
 CellID->896210326,ExpressionUUID->"661cc3d9-1b02-4614-9630-85278f55df89"],

Cell[TextData[{
 "The ",
 ButtonBox["Quartiles",
  BaseStyle->"Link"],
 " function in the Wolfram Language returns the values for the first, second, \
and third quartiles. In the code cell below, we calculate these values for \
our ",
 Cell[BoxData[
 "age"], "InlineCodeText",ExpressionUUID->
  "3ec874aa-daaf-417c-9255-c3ee02680737"],
 " List object."
}], "Text",
 CellChangeTimes->{{3.752983224334832*^9, 3.75298325038988*^9}, 
   3.757245464569522*^9, 3.757245528435522*^9, {3.7572701642094793`*^9, 
   3.7572701736304793`*^9}, {3.7572705600064793`*^9, 3.7572705656234794`*^9}},
 CellID->597892723,ExpressionUUID->"80005f58-356f-43f6-96ed-7cc460f483d7"],

Cell["\<\
Calculate the values for the first, second, and third quartiles: \
\>", "CodeCaption",
 CellChangeTimes->{{3.7572705751094794`*^9, 3.7572705835164795`*^9}},
 CellID->53957691,ExpressionUUID->"a87fdbb6-9be1-4c9d-bae4-603849d5ef9f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Quartiles", "[", "age", "]"}]], "Input",
 CellChangeTimes->{{3.752983292894385*^9, 3.7529832982386293`*^9}, {
  3.7760520768285885`*^9, 3.7760520772063437`*^9}},
 CellLabel->"In[24]:=",
 CellID->12793013,ExpressionUUID->"14802c3c-1f7d-44c0-97e1-e815eef0be9a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"33", ",", "49", ",", "67"}], "}"}]], "Output",
 CellChangeTimes->{3.752983298551416*^9, 3.7760520776909356`*^9, 
  3.812381248929702*^9},
 CellLabel->"Out[24]=",
 CellID->100694967,ExpressionUUID->"5d757909-3806-4ecd-8299-581772c8818c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Interquartile Range", "Subsubsection",
 CellChangeTimes->{{3.7529833123710003`*^9, 3.752983317580014*^9}, {
  3.757243985930519*^9, 3.757243986154542*^9}},
 CellID->766731257,ExpressionUUID->"b69a151a-1238-4de6-af78-4ac819cf1c9a"],

Cell[TextData[{
 "The interquartile range (IQR) is the difference between the first and third \
quartile values. The function that accomplishes this task is ",
 ButtonBox["InterquartileRange",
  BaseStyle->"Link"],
 "."
}], "Text",
 CellChangeTimes->{{3.752983329898957*^9, 3.75298334888918*^9}, 
   3.7572454645805225`*^9, 3.757245528446522*^9, {3.7572705974934797`*^9, 
   3.7572706094014797`*^9}, 3.812381636440473*^9},
 CellID->111640486,ExpressionUUID->"be507d6b-e215-4d11-8840-e89ad618daff"],

Cell["Calculate the interquartile range:", "CodeCaption",
 CellChangeTimes->{{3.7572706532094793`*^9, 3.7572706592734795`*^9}},
 CellID->17523753,ExpressionUUID->"9784c8a9-1f60-4676-9aec-301a9b846ae1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"InterquartileRange", "[", "age", "]"}]], "Input",
 CellChangeTimes->{{3.7529833680614147`*^9, 3.752983374166596*^9}},
 CellLabel->"In[25]:=",
 CellID->384855720,ExpressionUUID->"cfa989e6-44a5-4827-b6b9-d659da39aca2"],

Cell[BoxData["34"], "Output",
 CellChangeTimes->{3.752983374494707*^9, 3.812381248935485*^9},
 CellLabel->"Out[25]=",
 CellID->163196533,ExpressionUUID->"0f0f7b47-10bb-4332-aba8-cd72fc0d32f8"]
}, Open  ]],

Cell[TextData[{
 "As an exercise, we can use indexing on the List object of values returned \
by the ",
 ButtonBox["Quartiles",
  BaseStyle->"Link"],
 " function to check if the IQR returned by the ",
 ButtonBox["Interquartile",
  BaseStyle->"Link"],
 " function is correct. This is accomplished by subtracting the first value \
from the third."
}], "Text",
 CellChangeTimes->{{3.752983401908499*^9, 3.752983496092696*^9}, 
   3.757245464591522*^9, 3.7572455284575224`*^9, {3.7572708001464796`*^9, 
   3.757270860456479*^9}},
 CellID->201343223,ExpressionUUID->"8f75676d-d01d-4a23-a7d4-4c6a84b39b57"],

Cell["Verify that our IQR is correct:", "CodeCaption",
 CellChangeTimes->{{3.7572708787094793`*^9, 3.7572708928994794`*^9}, {
  3.7572709502334795`*^9, 3.7572709558564796`*^9}},
 CellID->740028483,ExpressionUUID->"9ada7226-6e88-43bc-b17d-9db09da37f3e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Quartiles", "[", "age", "]"}], "\[LeftDoubleBracket]", "3", 
   "\[RightDoubleBracket]"}], "-", 
  RowBox[{
   RowBox[{"Quartiles", "[", "age", "]"}], "\[LeftDoubleBracket]", "1", 
   "\[RightDoubleBracket]"}]}]], "Input",
 CellChangeTimes->{{3.7529835354058867`*^9, 3.752983557777705*^9}},
 CellLabel->"In[26]:=",
 CellID->837722883,ExpressionUUID->"ded89676-645b-4173-9d10-14eb3d281910"],

Cell[BoxData["34"], "Output",
 CellChangeTimes->{3.7529835591529226`*^9, 3.812381248949544*^9},
 CellLabel->"Out[26]=",
 CellID->507512912,ExpressionUUID->"4228326f-04ad-49e9-af19-491a7ca9cb4b"]
}, Open  ]],

Cell["\<\
The IQR is useful when looking for outliers. If we multiply the IQR by 1.5 \
and add this value to the third quartile value and similarly subtract it from \
the first quartile value, we will have created a new maximum and minimum \
value, beyond which any data point values in a set can be considered \
statistical outliers. This is beautifully demonstrated in a box-and-whisker \
plot, which we will see in the next chapter.\
\>", "Text",
 CellChangeTimes->{
  3.7529835828758154`*^9, {3.752983620396386*^9, 3.7529836431777844`*^9}, {
   3.757245464602522*^9, 3.7572454646135225`*^9}, {3.757245528468522*^9, 
   3.7572455284785223`*^9}, {3.7572709635614796`*^9, 
   3.7572709792234793`*^9}, {3.7572711362944794`*^9, 3.7572711444064794`*^9}, 
   3.8157653976314497`*^9},
 CellID->938072121,ExpressionUUID->"e747d2ca-df8f-4499-8ca4-c59b1301c029"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quantiles", "Subsubsection",
 CellChangeTimes->{{3.7529845094510765`*^9, 3.752984511482666*^9}},
 CellID->155437044,ExpressionUUID->"72b3c025-47ee-4824-83a6-0caefdf037e9"],

Cell["\<\
Whereas quartiles simply divide a set of values into four equal parts, we can \
be much more precise with the division of a List object using quantiles. With \
quantiles, we can specify any division of the data point values.\
\>", "Text",
 CellChangeTimes->{{3.7529845173048105`*^9, 3.752984569259804*^9}, {
   3.752984629894039*^9, 3.7529846659163857`*^9}, {3.752984727163683*^9, 
   3.7529847379268966`*^9}, {3.7572454646235223`*^9, 3.757245464632522*^9}, {
   3.7572455284885225`*^9, 3.7572455284985223`*^9}, {3.7572713893114796`*^9, 
   3.7572714392274795`*^9}, 3.7767964940210114`*^9},
 CellID->570985137,ExpressionUUID->"7e9997f0-dbbf-466a-b5ef-bd4ffa429c4e"],

Cell[TextData[{
 "The ",
 Cell[BoxData[
  ButtonBox["Quantile",
   BaseStyle->"Link"]], "InlineCodeText",ExpressionUUID->
  "9000629a-c1c7-40d9-b3fc-82c2b162e161"],
 " function in the Wolfram Language takes two arguments. The first is the \
List object and the second is either a single value or another List object \
specifying the division, in both cases, provided as decimals. In the code \
below, we calculate the quantiles ",
 Cell[BoxData[
  FormBox["0.1", TraditionalForm]],ExpressionUUID->
  "0144373e-3ded-48f7-9453-fc3a820f5cfc"],
 " through ",
 Cell[BoxData[
  FormBox["0.9", TraditionalForm]],ExpressionUUID->
  "629d87b1-6db1-4de0-8dfc-f24528f25a11"],
 ". It is common to see the term ",
 StyleBox["percentiles",
  FontSlant->"Italic"],
 ", which simply expressed the fractions of division of the data as \
percentages. In this case, the code below therefore calculates the 10",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Null]", "th"], TraditionalForm]],ExpressionUUID->
  "995b8558-07cf-4980-a4cb-1ecd75f05543"],
 " to the 90",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Null]", "th"], TraditionalForm]],ExpressionUUID->
  "58490336-440c-4437-943f-e47e6f0366de"],
 " percentile. "
}], "Text",
 CellChangeTimes->{{3.7529846681197853`*^9, 3.7529848229282246`*^9}, 
   3.7529849388642178`*^9, {3.7760522129299927`*^9, 3.776052361857774*^9}, 
   3.812381707936194*^9, {3.8157654144634647`*^9, 3.8157654418520927`*^9}, {
   3.8157655117457743`*^9, 3.815765519755599*^9}, {3.815765605656052*^9, 
   3.815765706302887*^9}},
 CellID->2132678793,ExpressionUUID->"90044844-785c-4b28-b164-8f894949fd0f"],

Cell[TextData[{
 "Quantiles (or percentiles) are easy to interpret. The ",
 Cell[BoxData[
  FormBox["0.1", TraditionalForm]],ExpressionUUID->
  "3d4c09ce-4209-418b-aa39-fd1762029bd9"],
 " quantile (10",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Null]", "th"], TraditionalForm]],ExpressionUUID->
  "24e2ebef-4e8a-40dc-8f56-dc6e6b448960"],
 " percentile) will return the value in the List object for which ",
 Cell[BoxData[
  FormBox["10", TraditionalForm]],ExpressionUUID->
  "eb3b3fb4-bb55-47f7-8deb-f42795ab391c"],
 "% of the values are less than and ",
 Cell[BoxData[
  FormBox["90", TraditionalForm]],ExpressionUUID->
  "6bf5eca9-380c-4805-910b-aba208e28e9a"],
 "% are greater than."
}], "Text",
 CellChangeTimes->{{3.7529848307761765`*^9, 3.7529849283319683`*^9}, 
   3.757245464687522*^9, 3.757245528553522*^9, {3.757329885049263*^9, 
   3.757329889222263*^9}, {3.768273247449191*^9, 3.7682732662177887`*^9}, {
   3.815765612094475*^9, 3.8157656125104322`*^9}, 3.8157656918061028`*^9},
 CellID->248180374,ExpressionUUID->"ecacb2e6-e53f-47f2-9757-85908fca2ebc"],

Cell["Calculate the quantile values 0.1 through 0.9:", "CodeCaption",
 CellChangeTimes->{{3.7573299117832627`*^9, 3.7573299216872625`*^9}},
 CellID->518861597,ExpressionUUID->"1c0d71b1-38f3-47c5-bc81-c3dabeb4e1eb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Quantile", "[", 
  RowBox[{"age", ",", 
   RowBox[{"{", 
    RowBox[{
    "0.1", ",", "0.2", ",", "0.3", ",", "0.4", ",", "0.5", ",", "0.6", ",", 
     "0.7", ",", "0.8", ",", "0.9"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.752984571416187*^9, 3.7529846215505266`*^9}},
 CellLabel->"In[27]:=",
 CellID->96857314,ExpressionUUID->"aa34803a-4f26-4afd-95a2-fdd37e98e935"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "25", ",", "31", ",", "37", ",", "43", ",", "48", ",", "55", ",", "60", ",",
    "71", ",", "75"}], "}"}]], "Output",
 CellChangeTimes->{3.7529846233006954`*^9, 3.8123812489563227`*^9},
 CellLabel->"Out[27]=",
 CellID->2111949747,ExpressionUUID->"379224f9-e460-4367-a791-7737edbb2ce1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Variance and Standard Deviation", "Subsubsection",
 CellChangeTimes->{{3.7529836605399637`*^9, 3.752983666588807*^9}, {
  3.7572439903149576`*^9, 3.7572439937623024`*^9}},
 CellID->449441989,ExpressionUUID->"a44fe5f8-722f-4458-ab9f-5f8a153f7945"],

Cell[TextData[{
 "The method of describing the extent of dispersion or spread of data point \
values in relation to the mean is referred to as the",
 StyleBox[" variance",
  FontSlant->"Italic"],
 ". We often use the square root of the variance, which is called the ",
 StyleBox["standard deviation",
  FontSlant->"Italic"],
 " (SD)."
}], "Text",
 CellChangeTimes->{
  3.752983683409855*^9, {3.757329936295263*^9, 3.757329946582263*^9}, {
   3.7573299815402627`*^9, 3.757329982499263*^9}, 3.7767966989647913`*^9, {
   3.815765772143021*^9, 3.8157657818302526`*^9}},
 CellID->47295283,ExpressionUUID->"481d25d4-5790-4f88-abeb-03754b511451"],

Cell[TextData[{
 "Imagine all the data point values in a set are represented by dots on a \
straight line, i.e. the familiar ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]],ExpressionUUID->
  "db782868-4adc-4ab9-8b56-358a9a65c49a"],
 " axis from graphs at school. A dot can also be placed on this line \
representing the mean value. Now the ",
 StyleBox["distance",
  FontSlant->"Italic"],
 " between each point and the mean is taken, creating a new set of values, \
which is then averaged in order to get an average distance, i.e. how far all \
the points are from the mean. Note that we want distance away from the mean, \
i.e. not negative values (some values will be smaller than the mean). For \
this mathematical reason, all the differences are squared, resulting in all \
positive values, resulting in the variance."
}], "Text",
 CellChangeTimes->{{3.752983695473879*^9, 3.7529837237543335`*^9}, {
  3.757245464698522*^9, 3.757245464718522*^9}, {3.7572455285645223`*^9, 
  3.757245528585522*^9}, {3.757329998580263*^9, 3.7573299987322626`*^9}, {
  3.757330034320263*^9, 3.7573300378572626`*^9}, {3.776796752852895*^9, 
  3.776796770797017*^9}},
 CellID->466298140,ExpressionUUID->"67e5b62c-3596-439d-a5c1-df621c5e0659"],

Cell["The mathematical equation for the variance is given in (3).", "Text",
 CellChangeTimes->{{3.7529837626812286`*^9, 3.7529837685265565`*^9}},
 CellID->119967477,ExpressionUUID->"4d5fe90c-4861-45d3-867e-b0b985356e5b"],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"\[Sum]", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["x", "i"], "-", "\[Mu]"}], ")"}], "2"]}], "n"], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{
  3.7529837822979965`*^9, {3.757330160120263*^9, 3.7573301827652626`*^9}},
 CellID->437284930,ExpressionUUID->"5b41fb6a-9e9d-4c02-a2da-5e1b780a4bcd"],

Cell[TextData[{
 "Here the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "i"], TraditionalForm]],ExpressionUUID->
  "56794b14-23d4-49df-90ac-d2accfc71cc7"],
 " values again represent each of the values in the set. The mean is \
subtracted from each in turn and this subtraction is squared. All of these \
are summed and then divided by the number of values in the set."
}], "Text",
 CellChangeTimes->{
  3.7529838048669386`*^9, {3.757245464730522*^9, 3.7572454647405224`*^9}, {
   3.7572455285965223`*^9, 3.757245528606522*^9}},
 CellID->7108945,ExpressionUUID->"cb8e5e11-2457-4ed3-b05e-eb36f9792988"],

Cell["\<\
The square root of this is then the SD, the average distance that all the \
data points are away from the mean, or more appropriately stated as the \
difference between the values and the mean.\
\>", "Text",
 CellChangeTimes->{
  3.7529838165448847`*^9, {3.7760525334908977`*^9, 3.776052576514776*^9}, {
   3.815765831069964*^9, 3.8157658313096027`*^9}},
 CellID->1024519671,ExpressionUUID->"082841b0-cb9c-456a-9f08-9272296d4ef5"],

Cell[TextData[{
 "You will note that some texts divide by one less than the number of data \
point values in a set as shown in equation (4). This equation is used to \
calculate the variance of a ",
 StyleBox["sample",
  FontSlant->"Italic"],
 ", whereas dividing by the number of data point values is used to calculate \
the variance in a whole population."
}], "Text",
 CellChangeTimes->{
  3.7529838372565007`*^9, {3.7760526028100853`*^9, 3.776052607075622*^9}, 
   3.815765521361863*^9},
 CellID->578228851,ExpressionUUID->"4b69fd4d-64a1-49db-b618-960fbb349e15"],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"\[Sum]", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["x", "i"], "-", 
       FormBox[
        OverscriptBox["x", "_"],
        TraditionalForm]}], ")"}], "2"]}], 
   RowBox[{"n", "-", "1"}]], TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{
  3.7529837822979965`*^9, {3.757330160120263*^9, 3.7573301827652626`*^9}, {
   3.7767980503864403`*^9, 3.7767980600021143`*^9}},
 CellID->217120131,ExpressionUUID->"c202e8f6-c674-48fa-a6ab-be0c9ec02313"],

Cell["\<\
As an illustration, the data values of 1, 2, 3, 20, 38, 39, and 40 have a \
much wider spread (standard deviation) than 17, 18, 19, 20, 21, 22, and 23. \
Both sets have an average of 20, but the first has a much wider spread, or SD.\
\>", "Text",
 CellChangeTimes->{{3.7529838684736176`*^9, 3.752983873442786*^9}, {
  3.7760527557841825`*^9, 3.776052756535446*^9}, {3.815766425364571*^9, 
  3.8157664489107027`*^9}},
 CellID->928796082,ExpressionUUID->"59af1877-b705-4e54-b2dc-b2a41f44d762"],

Cell[TextData[{
 "We use the ",
 ButtonBox["Variance",
  BaseStyle->"Link"],
 " and ",
 ButtonBox["StandardDeviation ",
  BaseStyle->"Link"],
 "functions to calculate variance and standard deviation."
}], "Text",
 CellChangeTimes->{{3.752983885062912*^9, 3.752983926561072*^9}, {
  3.757330621315263*^9, 3.757330662872263*^9}},
 CellID->50433138,ExpressionUUID->"dd31f0a8-d8d7-48b1-89fe-2f4f1bb78c64"],

Cell[TextData[{
 "Calculate the variance of ",
 Cell[BoxData[
 "age"], "InlineCode",ExpressionUUID->"6e8ee31b-d303-4354-85af-d8952bdc4301"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.757330682179263*^9, 3.7573306900102625`*^9}},
 CellID->570313128,ExpressionUUID->"0b207916-114c-4c04-a3cb-80312c43d779"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Variance", "[", "age", "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.7529839582040496`*^9, 3.75298396453294*^9}},
 CellLabel->"In[28]:=",
 CellID->69156752,ExpressionUUID->"66f87ad3-2023-4338-a491-e0dceaffe48d"],

Cell[BoxData["332.3791836734694`"], "Output",
 CellChangeTimes->{3.752983964876614*^9, 3.812381248969112*^9},
 CellLabel->"Out[28]=",
 CellID->1929680213,ExpressionUUID->"d87065e1-8ba0-48ee-9e84-4db6740d5d71"]
}, Open  ]],

Cell[TextData[{
 "Calculate the standard deviation of ",
 Cell[BoxData[
 "age"], "InlineCode",ExpressionUUID->"ded77f93-f10f-46b1-9e92-5ba6fa6782b5"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7573307062982626`*^9, 3.757330716019263*^9}},
 CellID->225304084,ExpressionUUID->"458514e1-c9b7-4a50-bfc9-f1f090bcee55"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"StandardDeviation", "[", "age", "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.7529839866844897`*^9, 3.7529839944667788`*^9}},
 CellLabel->"In[29]:=",
 CellID->70526387,ExpressionUUID->"6b96c094-ff59-4ec2-a105-7c0588cb8461"],

Cell[BoxData["18.231269392817094`"], "Output",
 CellChangeTimes->{3.752983994826091*^9, 3.8123812489750032`*^9},
 CellLabel->"Out[29]=",
 CellID->837302897,ExpressionUUID->"57dfbc44-237c-4494-b709-c495f6dd6d5b"]
}, Open  ]],

Cell[TextData[{
 "Note that the SD is the square root of the variance. We can use the ",
 ButtonBox["Sqrt",
  BaseStyle->"Link"],
 " function to check this."
}], "Text",
 CellChangeTimes->{
  3.752984005303194*^9, {3.7529840439434257`*^9, 3.7529840633816643`*^9}, 
   3.757245464762522*^9, 3.757245528628522*^9, {3.757330733413263*^9, 
   3.7573307463692627`*^9}},
 CellID->431932050,ExpressionUUID->"462eef8a-1028-449d-966a-b3422a70163a"],

Cell[TextData[{
 "Calculate the square root of the variance of ",
 Cell[BoxData[
 "age"], "InlineCode",ExpressionUUID->"8ef9426e-7966-4004-a0df-55ae25c9834c"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.757330754663263*^9, 3.7573307663034625`*^9}},
 CellID->366121988,ExpressionUUID->"ed14f6d0-d496-4c15-8a04-ea904c7a57be"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Sqrt", "[", 
   RowBox[{"Variance", "[", "age", "]"}], "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.7529840265242453`*^9, 3.752984039958585*^9}},
 CellLabel->"In[30]:=",
 CellID->418702052,ExpressionUUID->"43a8cee5-5563-484d-b1a1-7a1c478dcb6c"],

Cell[BoxData["18.231269392817094`"], "Output",
 CellChangeTimes->{3.7529840403803988`*^9, 3.812381248980289*^9},
 CellLabel->"Out[30]=",
 CellID->89451088,ExpressionUUID->"c307ef9f-d458-4440-813e-64672504970d"]
}, Open  ]],

Cell["\<\
We are now well equipped to summarize our data through descriptive statistics.\
\>", "Text",
 CellChangeTimes->{3.7529840820801387`*^9},
 CellID->317185331,ExpressionUUID->"6584046e-75e6-4e71-a250-69fb9063066c"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox["Exercises",
  $Line = 0; Null]], "ExerciseSection",
 CellLabel->"In[31]:=",
 CellID->88855921,ExpressionUUID->"1c9e7ea6-e293-406b-b8db-394e92699a8b"],

Cell[TextData[{
 "Create the following ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object: ",
 Cell[BoxData[
  RowBox[{"variable", "=", 
   RowBox[{"{", 
    RowBox[{
    "5", ",", "2", ",", "9", ",", "9", ",", "3", ",", "8", ",", "6", ",", "5",
      ",", "5", ",", "4", ",", "7", ",", "9", ",", "8", ",", "9", ",", "3", 
     ",", "3", ",", "3", ",", "8", ",", "1", ",", "6"}], "}"}]}]], 
  "InlineCode",ExpressionUUID->"3b980021-ee9d-4e04-9434-72f43df30ed2"],
 "."
}], "Exercise",
 CellChangeTimes->{
  3.812381772120023*^9, {3.815766592993066*^9, 3.81576661663046*^9}, 
   3.815766996918352*^9, {3.81576739750731*^9, 3.815767408452354*^9}, {
   3.8158301049998713`*^9, 3.8158301074793797`*^9}},
 CellID->1158101041,ExpressionUUID->"726db2e1-46f2-4db4-a73e-766281f7cc73"],

Cell["Calculate the mean value of the List object.", "Exercise",
 CellID->1559903326,ExpressionUUID->"8e4e802e-7c89-4481-a119-0ac8a4e02a3b"],

Cell["Calculate the median value of the List object.", "Exercise",
 CellID->814837506,ExpressionUUID->"b8d73c48-9d1a-4ec4-8521-658a10a6c0b7"],

Cell[TextData[{
 "Calculate the mode(s) of ",
 Cell[BoxData[
 "variable"], "InlineCode",ExpressionUUID->
  "fcbce787-26f7-49a8-b5ce-bcb57a7b3b76"],
 ". (Note that numerical variables can also have a mode.)"
}], "Exercise",
 CellChangeTimes->{{3.7262286590360723`*^9, 3.72622873894293*^9}, {
   3.7262287716961455`*^9, 3.7262287754399443`*^9}, {3.726228865544318*^9, 
   3.7262288824469132`*^9}, {3.7262290096722617`*^9, 
   3.7262290542473125`*^9}, {3.7262295602878523`*^9, 3.726229562391164*^9}, 
   3.726842073467464*^9, {3.726842199040183*^9, 3.726842199141012*^9}, {
   3.7477659616730633`*^9, 3.74776596922626*^9}, {3.747766013016721*^9, 
   3.7477660144880943`*^9}, {3.752557757913641*^9, 3.7525577734935055`*^9}, {
   3.7528971012862883`*^9, 3.7528971184191046`*^9}, {3.752984219736761*^9, 
   3.7529842399780006`*^9}, 3.7572454647745223`*^9, 3.7572455286395226`*^9, {
   3.757330920453876*^9, 3.7573309276575966`*^9}},
 CellID->19996096,ExpressionUUID->"0da746c0-cd56-4d08-9138-7e743eeab3c1"],

Cell["\<\
Calculate the standard deviation and variance of the List object.\
\>", "Exercise",
 CellID->470746423,ExpressionUUID->"754a0f9b-01bd-40fd-9bf1-c1885b399069"],

Cell[TextData[{
 "Calculate the minimum and maximum values of ",
 Cell[BoxData[
 "variable"], "InlineCode",ExpressionUUID->
  "afeefd7a-e918-4fa4-9ad9-615915b8fc20"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7262286590360723`*^9, 3.72622873894293*^9}, {
   3.7262287716961455`*^9, 3.7262287754399443`*^9}, {3.726228865544318*^9, 
   3.7262288824469132`*^9}, {3.7262290096722617`*^9, 
   3.7262290542473125`*^9}, {3.7262295602878523`*^9, 3.726229562391164*^9}, 
   3.726842073467464*^9, {3.726842199040183*^9, 3.726842199141012*^9}, {
   3.7477659616730633`*^9, 3.74776596922626*^9}, {3.747766013016721*^9, 
   3.7477660144880943`*^9}, {3.752557757913641*^9, 3.7525577734935055`*^9}, {
   3.7528971012862883`*^9, 3.7528971184191046`*^9}, {3.75298431604113*^9, 
   3.752984319025736*^9}, {3.757330953103141*^9, 3.7573309592607565`*^9}},
 CellID->264232693,ExpressionUUID->"55a3018e-d665-4912-8fca-5e99bdb679be"],

Cell["Calculate the quartile values of the List object.", "Exercise",
 CellID->505375813,ExpressionUUID->"bba04c65-e1a8-461a-9988-c9260fd181ab"],

Cell[TextData[{
 "Calculate the interquartile range of ",
 Cell[BoxData[
 "variable"], "InlineCode",ExpressionUUID->
  "268d51c2-6a69-4ae3-ba2d-c951a2f1835a"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7262286590360723`*^9, 3.72622873894293*^9}, {
   3.7262287716961455`*^9, 3.7262287754399443`*^9}, {3.726228865544318*^9, 
   3.7262288824469132`*^9}, {3.7262290096722617`*^9, 
   3.7262290542473125`*^9}, {3.7262295602878523`*^9, 3.726229562391164*^9}, 
   3.726842073467464*^9, {3.726842199040183*^9, 3.726842199141012*^9}, {
   3.7477659616730633`*^9, 3.74776596922626*^9}, {3.747766013016721*^9, 
   3.7477660144880943`*^9}, {3.752557757913641*^9, 3.7525577734935055`*^9}, {
   3.7528971012862883`*^9, 3.7528971184191046`*^9}, {3.752984352720001*^9, 
   3.7529843561111193`*^9}, {3.7573324339832563`*^9, 3.757332441458256*^9}, {
   3.815830304465973*^9, 3.815830304466*^9}},
 CellID->19813770,ExpressionUUID->"c327f47e-aebc-43c5-abbd-589beb129bfe"],

Cell[TextData[{
 "Select only the values in ",
 Cell[BoxData[
 "variable"], "InlineCode",ExpressionUUID->
  "0178a122-e2f1-466c-b155-40188a15dbef"],
 " that are greater than ",
 Cell[BoxData[
  FormBox["4", TraditionalForm]],ExpressionUUID->
  "bcf32420-56e1-4f74-9569-1203f1a5ed55"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7262286590360723`*^9, 3.72622873894293*^9}, {
   3.7262287716961455`*^9, 3.7262287754399443`*^9}, {3.726228865544318*^9, 
   3.7262288824469132`*^9}, {3.7262290096722617`*^9, 
   3.7262290542473125`*^9}, {3.7262295602878523`*^9, 3.726229562391164*^9}, 
   3.726842073467464*^9, {3.726842199040183*^9, 3.726842199141012*^9}, {
   3.7477659616730633`*^9, 3.74776596922626*^9}, {3.747766013016721*^9, 
   3.7477660144880943`*^9}, {3.752557757913641*^9, 3.7525577734935055`*^9}, {
   3.7528971012862883`*^9, 3.7528971184191046`*^9}, {3.752984379914344*^9, 
   3.7529844900638847`*^9}, {3.757245464815522*^9, 3.757245464885522*^9}, {
   3.7572455286795225`*^9, 3.757245528746522*^9}, {3.757332446143256*^9, 
   3.757332468632256*^9}, {3.757332913301256*^9, 3.7573329602412558`*^9}, {
   3.757336352170249*^9, 3.757336464618249*^9}, 3.7682735633205853`*^9, {
   3.768273650047386*^9, 3.768273656358904*^9}, {3.8158303064815702`*^9, 
   3.815830306481596*^9}},
 CellID->847531054,ExpressionUUID->"85addc87-08ea-4913-a841-e96eeb676011"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tech Notes", "TechNoteSection",
 CellID->874797650,ExpressionUUID->"50c8eb57-e671-4d8e-bb56-f8c140139ced"],

Cell[TextData[{
 "As Mathematica can provide results as fractions, using postfix notation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"//", "\[NegativeThinSpace]", 
    StyleBox["N",
     FontSlant->"Plain"]}], TraditionalForm]], "InlineCode",ExpressionUUID->
  "036ea51c-2221-4c54-9f62-301788273428"],
 " will assure a numeric value in the output."
}], "TechNote",
 CellChangeTimes->{{3.651515120816633*^9, 3.651515125814807*^9}, 
   3.6515155174947033`*^9, 3.768271955427816*^9, 3.7682720455775433`*^9, 
   3.768272083398427*^9, {3.768272706085225*^9, 3.768272752343297*^9}, {
   3.81583040755188*^9, 3.815830419207562*^9}, 3.819039938837302*^9},
 CellID->564397392,ExpressionUUID->"f26267a1-7b70-418e-ae3b-38451f448c76"],

Cell[TextData[{
 "Use the ",
 Cell[BoxData[
  ButtonBox["Select",
   BaseStyle->"CodeLink"]], "InlineCode",ExpressionUUID->
  "ce09a2c7-4055-475c-bd2c-de59a035e67b"],
 " function. Pass as variables the List object name and set the selection by \
using the ",
 Cell[BoxData[
  ButtonBox["#",
   BaseStyle->"Link",
   ButtonData->"Slot"]], "InlineCode",ExpressionUUID->
  "a37cc711-02c7-4527-a20f-169336575a19"],
 " placeholder. You will note that the solution follows from selections in \
Dataset objects. Whereas we use ",
 Cell[BoxData[
  RowBox[{"datasetname", "[", 
   RowBox[{
    ButtonBox["Select",
     BaseStyle->"CodeLink"], "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       StyleBox[
        RowBox[{"#", 
         StyleBox["column", "TI"]}]], 
       StyleBox[" ", "TI"], 
       StyleBox["name", "TI"]}], ">", 
      StyleBox["value", "TI"]}], "&"}], "]"}], "]"}]], "InlineCode",
  ExpressionUUID->"c844433f-2df5-455d-83c0-47fa8f4386b9"],
 " for Dataset objects, we can use ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Select",
    BaseStyle->"CodeLink"], "[", 
   RowBox[{
    StyleBox[
     RowBox[{"list", " ", "name"}], "TI"], ",", " ", 
    StyleBox["criteria", "TI"]}], "]"}]], "InlineCode",ExpressionUUID->
  "7aa25b68-8287-4a68-9f96-4c9c2814e7e5"],
 " directly on a List object, just as we did ",
 Cell[BoxData[
  RowBox[{"datasetname", "[", 
   RowBox[{
    ButtonBox["Mean",
     BaseStyle->"CodeLink"], ",", 
    StyleBox[
     RowBox[{"column", " ", "name"}], "TI"]}], "]"}]], "InlineCode",
  ExpressionUUID->"01efdee9-7147-40b8-b86e-471a9e4db97c"],
 " for a Dataset object and ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Mean",
    BaseStyle->"CodeLink"], "[", 
   StyleBox[
    RowBox[{"list", " ", "name"}], "TI"], "]"}]], "InlineCode",ExpressionUUID->
  "bcca04ad-0e80-4afd-81fe-5c24b0fd9d1a"],
 " for a List object when calculating a mean."
}], "TechNote",
 CellChangeTimes->{{3.651515120816633*^9, 3.651515125814807*^9}, 
   3.6515155174947033`*^9, 3.768271955427816*^9, 3.7682720455775433`*^9, 
   3.768272083398427*^9, {3.768272706085225*^9, 3.768272752343297*^9}, 
   3.768273580026041*^9, 3.7682737284393044`*^9, {3.815830338456047*^9, 
   3.815830377840013*^9}, {3.8164488397793303`*^9, 3.816448839779426*^9}, {
   3.8164488747553043`*^9, 3.8164488747553883`*^9}, {3.819039983986616*^9, 
   3.8190400023956633`*^9}},
 CellID->463241785,ExpressionUUID->"c61089a0-54eb-44e5-8935-c7f0726e579b"],

Cell[TextData[{
 ButtonBox["Part",
  BaseStyle->"Link"],
 " (",
 Cell[BoxData[
  RowBox[{"[", 
   RowBox[{"[", "\[Ellipsis]", "]"}], "]"}]], "InlineFormula",ExpressionUUID->
  "c86c7974-7c0e-420a-8453-8c6b4a1d4a37"],
 ") notation can be used to pick out an element or multiple elements of an \
expression."
}], "TechNote",
 CellChangeTimes->{{3.651515120816633*^9, 3.651515125814807*^9}, 
   3.6515155174947033`*^9, 3.768271955427816*^9, 3.7682720455775433`*^9, 
   3.768272083398427*^9},
 CellID->173252925,ExpressionUUID->"a0776490-3b1d-431d-9759-a92453e8f410"]
}, Open  ]],

Cell[CellGroupData[{

Cell["More to Explore", "MoreExploreSection",
 CellID->110963034,ExpressionUUID->"62227e52-55e5-4896-b02f-2799c544228e"],

Cell[TextData[{
 StyleBox[ButtonBox["The Documentation Center has many resources on \
descriptive statistics ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/guide/DescriptiveStatistics.\
html"], None},
  ButtonNote->
   "http://reference.wolfram.com/language/guide/DescriptiveStatistics.html"],
  BaseStyle -> "Hyperlink"],
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/QuPgmeKO",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://wolfr.am/QuPgmeKO"], None},
  ButtonNote->"http://wolfr.am/QuPgmeKO"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{
  3.746269404508712*^9, {3.7462857234063983`*^9, 3.746285751218179*^9}, {
   3.7462858072927856`*^9, 3.746285809571014*^9}, {3.757099714283596*^9, 
   3.757099720243217*^9}},
 CellID->26626102,ExpressionUUID->"537a1efc-f173-45eb-9517-ee7f147fa435"],

Cell[TextData[{
 StyleBox[ButtonBox["S.R. Colwell submitted an excellent  Demonstration on \
the single factor analysis of variance ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SingleFactorAnalysisOfVariance"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SingleFactorAnalysisOfVariance"],
  BaseStyle -> "Hyperlink"],
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/DYeSw9bO",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://wolfr.am/DYeSw9bO"], None},
  ButtonNote->"http://wolfr.am/DYeSw9bO"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{
  3.746269404508712*^9, {3.7462857234063983`*^9, 3.746285751218179*^9}, {
   3.7462858072927856`*^9, 3.746285809571014*^9}, {3.757099714283596*^9, 
   3.757099720243217*^9}},
 CellID->97754487,ExpressionUUID->"47780696-e75b-4feb-bed2-f90e4aa50d61"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
Editable->False,
Saveable->False,
WindowSize->{808, 911},
WindowPersistentStyles->{
 WindowFrame, WindowMargins, WindowSize, Magnification},
DockedCells->{
  Cell[
   BoxData[
    TagBox[
     GridBox[{{
        TemplateBox[{"\[ThinSpace]", "\[ThinSpace]", 
          StyleBox[
          "Introduction to Statistics\t\t\t\t\t\nwith the Wolfram Language", 
           LineSpacing -> {1, 1}, FontFamily -> "Source Sans Pro", FontSize -> 
           24, FontColor -> GrayLevel[1]], "\[ThinSpace]"}, 
         "RowWithSeparators"], 
        PaneBox[
         StyleBox["\[VeryThinSpace]", ShowStringCharacters -> False], 
         Alignment -> Right, ImageSize -> {65, 75}], 
        PaneBox[
         PaneBox[
          TemplateBox[{"\[ThinSpace]", "\" \"", 
            TagBox[
             TooltipBox[
              PaneSelectorBox[{False -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"05-Klopper-DataTypes.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                  None, Evaluator -> Automatic, Method -> "Preemptive"], True -> 
                ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"05-Klopper-DataTypes.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                  None, Background -> GrayLevel[0.2], Evaluator -> Automatic, 
                  Method -> "Preemptive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], ImageSize -> Automatic, 
               FrameMargins -> 0], "\"Chapter 5\"", TooltipDelay -> 0.15, 
              LabelStyle -> "TextStyling"], 
             Annotation[#, "Chapter 5", "Tooltip"]& ], 
            InterpretationBox[
             StyleBox[
              
              GraphicsBox[{}, ImageSize -> {5, 0}, BaselinePosition -> 
               Baseline], "CacheGraphics" -> False], 
             Spacer[5], Selectable -> False], 
            TagBox[
             TooltipBox[
              PaneSelectorBox[{False -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"07-Klopper-VisualizingData.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Evaluator -> 
                  Automatic, Method -> "Preemptive"], True -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"07-Klopper-VisualizingData.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Background -> 
                  GrayLevel[0.2], Evaluator -> Automatic, Method -> 
                  "Preemptive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], ImageSize -> Automatic, 
               FrameMargins -> 0], "\"Chapter 7\"", TooltipDelay -> 0.15, 
              LabelStyle -> "TextStyling"], 
             Annotation[#, "Chapter 7", "Tooltip"]& ]}, "RowWithSeparators"], 
          Alignment -> Right], ImageSize -> {100, 30}, 
         FrameMargins -> {{0, 6}, {0, 0}}, Alignment -> Right], 
        ActionMenuBox[
         PaneSelectorBox[{True -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> GrayLevel[0.2], 
             ImageSize -> {35, 30}, Alignment -> Center], False -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> RGBColor[0.12, 0.18, 0.26], 
             ImageSize -> {35, 30}, Alignment -> Center]}, 
          Dynamic[
           CurrentValue["MouseOver"]]], {
         "1 | Introduction" :> 
          NotebookLocate[{"01-Klopper-IntroDataAnalysis.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "2 | Evaluating Basic Math" :> 
          NotebookLocate[{"02-Klopper-BasicMath.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "3 | Collections" :> 
          NotebookLocate[{"03-Klopper-Collections.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "4 | Working with Datasets" :> 
          NotebookLocate[{"04-Klopper-WorkingWithData.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "5 | Data Types" :> 
          NotebookLocate[{"05-Klopper-DataTypes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "6 | Simple Descriptive Statistics" :> 
          NotebookLocate[{"06-Klopper-DescriptiveStatistics.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "7 | Visualizing Data" :> 
          NotebookLocate[{"07-Klopper-VisualizingData.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "8 | Distributions" :> 
          NotebookLocate[{"08-Klopper-Distributions.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "9 | Hypothesis Testing" :> 
          NotebookLocate[{"09-Klopper-HypothesisTesting.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], 
          "10 | Parametric Tests, Comparing Means" :> 
          NotebookLocate[{"10-Klopper-ParametricTests.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "11 | Correlation" :> 
          NotebookLocate[{"11-Klopper-Correlation.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "12 | Linear Regression" :> 
          NotebookLocate[{"12-Klopper-LinearRegression.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "13 | Comparing Categorical Variables" :> 
          NotebookLocate[{"13-Klopper-ComparingCategoricalVariables.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "14 | Nonparametric Tests" :> 
          NotebookLocate[{"14-Klopper-NonparametricTests.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "15 | A Research Project Demonstration" :> 
          NotebookLocate[{"15-Klopper-ResearchProject.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}]}, Appearance -> None]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Center}}}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]], 
   "Text", ShowCellBracket -> False, CellFrame -> {{0, 0}, {3, 0}}, 
   Selectable -> False, CellFrameColor -> RGBColor[0.12, 0.18, 0.26], 
   CellMargins -> {{0, 0}, {0, -1}}, CellFrameMargins -> {{27, 0}, {1, 7}}, 
   Background -> RGBColor[0.12, 0.18, 0.26], CellTags -> 
   "DockedCellLogoCell"], 
  Cell["JUAN H. KLOPPER", "Text", FontFamily -> "Source Sans Pro", FontWeight -> 
   "Light", FontSize -> 15, CellFrame -> {{0, 0}, {3, 0}}, ShowCellBracket -> 
   False, CellMargins -> {{0, 0}, {-1, -1}}, 
   CellFrameMargins -> {{27, 0}, {2, 4}}, CellFrameColor -> 
   RGBColor[1., 0.7, 0.1], FontTracking -> "Extended", FontColor -> 
   GrayLevel[1], Background -> RGBColor[0.9, 0.4, 0.], CellTags -> 
   "DockedCellLogoCell"]},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page"], "PageNumber"], 
      StyleBox[
      "    Introduction to Statistics with the Wolfram Language", "Header"]}],
     "Header", CellMargins -> {{37, Inherited}, {Inherited, Inherited}}], 
   None, None}, {None, None, 
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Section"], "Header"], 
      StyleBox["  |  Simple Descriptive Statistics", "Header"], 
      StyleBox["    ", "Header"], 
      StyleBox[
       CounterBox["Page"], "PageNumber"]}], "Header", 
    CellMargins -> {{Inherited, 34}, {Inherited, Inherited}}]}},
ShowAutoSpellCheck->False,
FrontEndVersion->"12.2 for Mac OS X x86 (64-bit) (December 12, 2020)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell[
      "Style Environments", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9}], 
      Cell[
       StyleData[All, "Working"], CellInsertionPointCell -> 
       FEPrivate`FrontEndResource["FEExpressions", "CellInsertionMenu"], 
       CreateCellID -> True, $CellContext`GhostCellInEmptyNotebook -> False], 
      Cell[
       StyleData[All, "Printout"], 
       PrintingOptions -> {
        "PageSize" -> {504, 720}, "PrintRegistrationMarks" -> True}, 
       Magnification -> 0.6]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Headers and Footers", "Section"], 
      Cell[
       StyleData["Header"], StyleMenuListing -> None, FontFamily -> 
       "Source San Pro", FontSize -> 8, FontWeight -> "Plain", FontSlant -> 
       "Plain", FontColor -> GrayLevel[0.45]], 
      Cell[
       StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
       StyleMenuListing -> None, FontFamily -> "Source San Pro", FontSize -> 
       8, FontWeight -> "Bold", FontSlant -> "Plain", FontColor -> 
       GrayLevel[0]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Custom Styles", "Section", 
       CellChangeTimes -> {{3.646611660445352*^9, 3.646611669493331*^9}}], 
      Cell[
       StyleData["Notebook"], PageWidth :> 700, 
       PrintingOptions -> {
        "InnerOuterMargins" -> {35, 16}, "PaperOrientation" -> "Portrait", 
         "PaperSize" -> {504, 720}, 
         "PrintingMargins" -> {{20, 20}, {54, 54}}}, CellLabelAutoDelete -> 
       False, ShowSyntaxStyles -> True, 
       AutoStyleOptions -> {
        "FormattingErrorTooltips" -> False, "HighlightComments" -> False, 
         "HighlightEmphasizedSyntaxErrors" -> False, 
         "HighlightExcessArguments" -> False, "HighlightFormattingErrors" -> 
         False, "HighlightGlobalToLocalScopeConflicts" -> False, 
         "HighlightGraphicsCompatibilityProblems" -> False, 
         "HighlightLocalScopeConflicts" -> False, "HighlightMissingArguments" -> 
         False, "HighlightNoKernelPresent" -> False, 
         "HighlightOrderOfEvaluationConflicts" -> False, "HighlightStrings" -> 
         True, "HighlightSymbolContexts" -> False, "HighlightSymbolShadowing" -> 
         False, "HighlightSyntaxErrors" -> False, "HighlightUndefinedSymbols" -> 
         False, "HighlightUnknownOptions" -> False, 
         "HighlightUnwantedAssignments" -> False}, MenuSortingValue -> None, 
       GraphicsBoxOptions -> {ImageSize -> 240}, 
       Graphics3DBoxOptions -> {ImageSize -> 240}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], CellMargins -> {{64, Inherited}, {50, 72}}, 
          MenuCommandKey :> None, FontFamily -> "Verdana", FontSize -> 42, 
          FontWeight -> "Bold", FontColor -> GrayLevel[0.4]], 
         Cell[
          StyleData["Title", "Printout"], 
          CellMargins -> {{64, Inherited}, {50, 72}}]}, Open]], 
      Cell[
       StyleData["Chapter"], MenuCommandKey :> None], 
      Cell[
       StyleData["Subchapter"], MenuCommandKey :> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, CellDingbat -> 
          Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{96, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["Section", "Printout"], 
          CellMargins -> {{96, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionDoubleDigit"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellDingbat -> Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{112, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionDoubleDigit", "Printout"], 
          CellMargins -> {{112, Inherited}, {12, 2}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNumber"], CellBaseline -> Baseline, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 26, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionInline"], FontFamily -> 
          "Source Sans Pro Semibold", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionInline", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNoDingbat"], 
          CellMargins -> {{64, Inherited}, {12, 64}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionNoDingbat", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 2}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesSubsection"], 
          CellMargins -> {{64, Inherited}, {4, 16}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesSubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 16}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 24}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["VocabularySection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 24}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyTable", StyleDefinitions -> StyleData["Text"]],
           SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"VocabularyCode", Inherited, Inherited}, 
              "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "VocabularyTable3Column", StyleDefinitions -> StyleData["Text"]], 
          SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {
               "VocabularyCode", Inherited, "VocabularyCode", Inherited, 
                Inherited}, "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable3Column", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["VocabularyText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyCode", StyleDefinitions -> StyleData["Text"]], 
          Deletable -> False, FontFamily -> "Source Sans Pro", FontSize -> 14,
           FontWeight -> "Bold", FontColor -> GrayLevel[0.25], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["VocabularyCode", "Printout"], FontColor -> 
          GrayLevel[0.25]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GrayPointSix"], FontColor -> GrayLevel[0.6]], 
         Cell[
          StyleData["GrayPointSix", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabDivColor"], FontColor -> GrayLevel[0.8]], 
         Cell[
          StyleData["VocabDivColor", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, ShowCellLabel -> False, CellFrameMargins -> {{8, 8}, {4, 6}},
           CellFrameColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ExerciseSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Exercise"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Exercise"]}], "ExerciseNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          ShowGroupOpener -> True, CellMargins -> {{108, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, DefaultNewCellStyle -> 
          "ExerciseInput", CounterIncrements -> "Exercise", MenuSortingValue -> 
          10020, MenuCommandKey :> "2", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Exercise", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{110, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsection"], PageWidth :> 500, 
          CellFrame -> {{False, False}, {1, False}}, 
          CellMargins -> {{64, Inherited}, {8, 18}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6], FontFamily -> "Source Sans Pro", FontSize -> 
          18, FontSlant -> "Italic", FontColor -> RGBColor[0.65, 0.6, 0.6]], 
         Cell[
          StyleData["ExerciseSubsection", "Printout"], 
          CellFrame -> {{False, False}, {1, False}}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNote"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNote", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QASection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Question", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["QASection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Question"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {2, 12}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, DefaultReturnCreatedCellStyle -> 
          "Answer", CounterIncrements -> "Question", MenuSortingValue -> 
          10030, MenuCommandKey :> "3", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["Question", "Printout"], 
          CellMargins -> {{65, Inherited}, {2, 12}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Answer"], PageWidth :> 700, 
          CellMargins -> {{66, 10}, {4, 1}}, ReturnCreatesNewCell -> True, 
          DefaultReturnCreatedCellStyle -> "Question", 
          LineSpacing -> {1.125, 1., 2.}, MenuSortingValue -> 10032, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Answer", "Printout"], 
          CellMargins -> {{66, 10}, {4, 1}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QuestionNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["QuestionNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["TechNoteSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNote"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"\[FilledSmallSquare]"}], FontSize -> 12, FontColor -> 
            GrayLevel[0.5]], CellMargins -> {{78, Inherited}, {4, 8}}, 
          ReturnCreatesNewCell -> True, CellFrameLabelMargins -> 3, 
          CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9}, 
            3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          MenuSortingValue -> 10040, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["TechNote", "Printout"], 
          CellMargins -> {{82, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExplore"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExplore", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreShortURL"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          FontFamily -> "Source Sans Pro Light", FontSize -> 14, FontSlant -> 
          "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExploreShortURL", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], CellMargins -> {{66, 10}, {4, 12}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Baskerville", FontSize -> 
          18, FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Text", "Printout"], CellMargins -> {{66, 10}, {7, 7}}]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesText"], CellMargins -> {{66, 10}, {2, 0}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesText", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesLink"], CellMargins -> {{66, 10}, {2, 0}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Italic", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesLink", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 
          1, FontSize -> 15], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{99, 10}, {3, 7}}]},
         Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 
          15], 
         Cell[
          StyleData["Output", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{99, 10}, {25, 10}}, 
          SpanMaxSize -> 1, MenuSortingValue -> 1500, FontSize -> 15], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{99, 10}, {15, 10}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"], 
          CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
          LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
          "Helvetica Neue", FontSize -> 9, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> GrayLevel[0.5]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.5]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Message"], Editable -> False, 
          CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> "OutputGrouping", TextClipboardType -> 
          "PlainText", StripStyleOnPaste -> True, PageBreakWithin -> False, 
          GroupPageBreakWithin -> False, GeneratedCell -> True, 
          CellAutoOverwrite -> True, ShowCellLabel -> False, 
          DefaultFormatType -> DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Output"], 
          ShowAutoStyles -> False, ShowSyntaxStyles -> False, 
          AutoStyleOptions -> {
           "StringStyle" -> None, "SyntaxErrorStyle" -> None}, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, AutoQuoteCharacters -> {}, 
          PasteAutoQuoteCharacters -> {}, LanguageCategory -> None, 
          FormatType -> InputForm, ShowStringCharacters -> False, 
          CounterIncrements -> "Message", MenuSortingValue -> 1600, 
          StyleMenuListing -> None, FontFamily :> 
          CurrentValue["PanelFontFamily"], FontSize -> 11, FontColor -> 
          RGBColor[0.5072, 0.16933, 0.15221]], 
         Cell[
          StyleData["Message", "Printout"], 
          CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, FontColor -> 
          GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{88, 10}, {4, 7}}, 
          GeneratedCellStyles -> {"Output" -> "ExerciseOutput"}, 
          ShowCellLabel -> False, SpanMaxSize -> 1, FontSize -> 14], 
         Cell[
          StyleData["ExerciseInput", "Printout"], 
          CellMargins -> {{88, 10}, {4, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExerciseOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{88, 10}, {10, 4}}, ShowCellLabel -> False, 
          FontSize -> 14], 
         Cell[
          StyleData["ExerciseOutput", "Printout"], 
          CellMargins -> {{88, 10}, {10, 4}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Picture"], CellMargins -> {{66, 10}, {10, 10}}, 
          CellGroupingRules -> "GraphicsGrouping", StyleMenuListing -> None], 
         Cell[
          StyleData["Picture", "Printout"], 
          CellMargins -> {{66, 10}, {8, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Comment"], FontFamily -> "Verdana", FontSize -> 13, 
          FontColor -> RGBColor[0.3, 0.3, 0.2], Background -> 
          RGBColor[1, 0.9, 0.8]], 
         Cell[
          StyleData["Comment", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Suggestion"], 
          CellFrameLabels -> {{Inherited, Inherited}, {Inherited, 
             Cell[
              BoxData[
               TagBox[
                GridBox[{{
                   ButtonBox[
                   "\"  Insert  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`ReplaceWithSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    ContentPadding -> False, Appearance -> Automatic, Method -> 
                    "Queued"], 
                   ButtonBox[
                   "\"  Stet  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; DocuTools`StetSuggestion[]), 
                    Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "    ", 
                   ButtonBox[
                   "\"  Next  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindNextSuggestion[]), Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], 
                   ButtonBox[
                   "\"  Previous  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindPreviousSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "\"\""}}, 
                 AutoDelete -> False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                "Grid"]], ShowStringCharacters -> False, Background -> 
              None]}}, Background -> RGBColor[1, 0.8, 0.8]], 
         Cell[
          StyleData["Suggestion", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Tentative"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[
             0.30000000000000016`, 0.6000000000000003, 0.7000000000000003], 
            "Thickness" -> 5}, Evaluatable -> False, CellFrameMargins -> 4, 
          StyleMenuListing -> None, Background -> 
          RGBColor[0.8500000000000003, 0.9500000000000003, 1]], 
         Cell[
          StyleData["Tentative", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WebOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.91, 0.92, 0.9], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.91, 0.92, 0.86]], 
         Cell[
          StyleData["WebOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Lockdown"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.8, 0.5, 0.4], "Thickness" -> 3}, Evaluatable -> 
       False, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["IndexField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["IndexField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExplanationField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["ExplanationField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EnglishHighlight"], FontFamily -> "WolframCodeSans"], 
         Cell[
          StyleData["EnglishHighlight", "Printout"]]}, Open]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Inline and special formatting", "Section", 
       CellChangeTimes -> {{3.646681732592888*^9, 3.646681749414035*^9}}], 
      Cell[
       StyleData["Graphics"], MenuSortingValue -> None], 
      Cell[
       StyleData["Graphics3D"], MenuSortingValue -> None], 
      Cell[
       StyleData["StandardForm"], 
       InputAutoReplacements -> {
        "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> "\[LessEqual]", 
         ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", "==" -> "\[Equal]",
          "@>" -> "\\[InlinePart]", "<->" -> "\[UndirectedEdge]", ParentList},
        LineSpacing -> {1.25, 0, 2}, SingleLetterItalics -> False, 
       StyleMenuListing -> None, FontFamily -> "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       StyleData["OutputForm"], PageWidth :> Infinity, TextAlignment -> Left, 
       LineSpacing -> {0.6, 1}, AutoQuoteCharacters -> {}, 
       PasteAutoQuoteCharacters -> {}, StyleMenuListing -> None, FontFamily -> 
       "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       StyleData["InputForm"], PageWidth :> Infinity, 
       InputAutoReplacements -> {}, AllowInlineCells -> False, Hyphenation -> 
       False, AutoQuoteCharacters -> {}, PasteAutoQuoteCharacters -> {}, 
       AutoSpacing -> False, NumberMarks -> True, AutoNumberFormatting -> 
       False, StyleMenuListing -> None, FontFamily -> "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Link"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Link", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DetailsLink"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0], 
          ButtonBoxOptions -> {
           ButtonFunction :> (Function[
             t, NotebookFind[t, "Notes", All, CellStyle]; 
              NotebookFind[
               t, "NotesSection", All, CellStyle, AutoScroll -> Top]][
              Documentation`HelpLookup[
               StringJoin["ref/", #]]]& ), ButtonSource -> ButtonContents, 
            Evaluator -> Automatic}], 
         Cell[
          StyleData["DetailsLink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["LinkAlt"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["LinkAlt", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Hyperlink"], MenuSortingValue -> None, FontColor -> 
          RGBColor[0.3, 0.35, 0.5]], 
         Cell[
          StyleData["Hyperlink", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Crosslink"], 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               
               NotebookLocate[#2, "OpenInNewWindow" -> 
                CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None,
             Method -> "Queued"}], 
         Cell[
          StyleData["Crosslink", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeLink"], 
          ButtonBoxOptions -> {
           Appearance -> None, ButtonFunction :> (Documentation`HelpLookup[
              Part[#, 1]]& ), ButtonSource -> ButtonContents, Evaluator -> 
            Automatic}], 
         Cell[
          StyleData["CodeLink", "Printout"]]}, Open]], 
      Cell[
       StyleData["VocabularyLink"], FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       StyleData["InlineCode"], SpanMaxSize -> 0, FontColor -> GrayLevel[0]], 
      Cell[
       StyleData["InlineCodeText"], SpanMaxSize -> 0, FontFamily -> 
       "Source Sans Pro", FontSize -> Inherited 0.95], 
      Cell[
       StyleData["NoLabel"], 
       GeneratedCellStyles -> {"Output" -> "ExerciseOutput"}, ShowCellLabel -> 
       False], 
      Cell[
       StyleData["MenuName"], FontFamily -> "Verdana", FontWeight -> "Bold", 
       FontColor -> GrayLevel[0.286275]], 
      Cell[
       StyleData["KeyEvent"], CellFrame -> {{0.5, 0.5}, {0.5, 0.5}}, 
       CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> GrayLevel[0.7],
        FontFamily -> "Verdana", FontColor -> GrayLevel[0.4]], 
      Cell[
       StyleData["KeyEventDelimiter"], FontColor -> GrayLevel[0.5]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariable"], FontFamily -> "Times", FontSize -> 
          Inherited 1.05, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariable", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariableLrg"], FontFamily -> "Times", FontSize -> 
          Inherited 1.1, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariableLrg", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Key Styles", "Subsubsection"], 
         Cell[
          StyleData["Key0"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {"Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key1"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {2 -> GrayLevel[0.8352941176470589]}, 
                  "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key2"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {
                   2 -> GrayLevel[0.8352941176470589], 3 -> 
                    GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key3"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #4, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {
                   2 -> GrayLevel[0.8352941176470589], 3 -> 
                    GrayLevel[0.8352941176470589], 4 -> 
                    GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Entity styles", "Subsubsection"], 
         Cell[
          StyleData["Entity"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneSelectorBox[{True -> GridBox[{{
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "WolframCodeSans", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontFamily -> "WolframCodeSans", 
                    FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 1}], False -> 
                 PaneBox[#, 
                   BaseStyle -> {
                    FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                   BaselinePosition -> Baseline]}, 
                Dynamic[
                 CurrentValue[Evaluatable]], ImageSize -> Automatic, 
                BaselinePosition -> Baseline, 
                BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
               RGBColor[1., 0.504768, 0.], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {0.5, 3}}, 
               ImageMargins -> {{2, 2}, {1, 1}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityFrameless"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              PaneSelectorBox[{True -> GridBox[{{
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontFamily -> "Source Sans Pro", 
                    FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 1}], False -> 
                PaneBox[#, 
                  BaseStyle -> {
                   FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                  BaselinePosition -> Baseline]}, 
               Dynamic[
                CurrentValue[Evaluatable]], ImageSize -> Automatic, 
               BaselinePosition -> Baseline, 
               BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
              BaseStyle -> {
               ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {
                 FontWeight -> "Plain", "OperatorSubstitution" -> False}}]& ),
             Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityFramelessHot"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {
           DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                   
                   StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0]], 
                   StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                    False]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 1}], False -> 
               PaneBox[#, BaseStyle -> {FontColor -> GrayLevel[0]}, 
                 BaselinePosition -> Baseline]}, 
              Dynamic[
               CurrentValue[Evaluatable]], ImageSize -> Automatic, 
              BaselinePosition -> Baseline, 
              BaseStyle -> {
               FontWeight -> "Plain", FontFamily -> "Helvetica", 
                ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClass"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneSelectorBox[{True -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 2}], False -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 2}]}, 
                Dynamic[
                 CurrentValue[Evaluatable]], ImageSize -> Automatic, 
                BaselinePosition -> Baseline, 
                BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
               RGBColor[1., 0.504768, 0.], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClassFrameless"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              PaneSelectorBox[{True -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 2}], False -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 2}]}, 
               Dynamic[
                CurrentValue[Evaluatable]], ImageSize -> Automatic, 
               BaselinePosition -> Baseline, 
               BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClassFramelessHot"], ShowStringCharacters -> False,
           TemplateBoxOptions -> {
           DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                   
                   StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0]], 
                   StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                    False]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}], False -> GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                   StyleBox[#, FontColor -> GrayLevel[0]]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}]}, 
              Dynamic[
               CurrentValue[Evaluatable]], ImageSize -> Automatic, 
              BaselinePosition -> Baseline, 
              BaseStyle -> {
               FontWeight -> "Plain", FontFamily -> "Helvetica", 
                ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityProperty"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               
               PaneBox[#, 
                BaseStyle -> {
                 FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
                Baseline], FrameStyle -> 
               RGBColor[0.94227, 0.703639, 0.033387], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityPropertyClass"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneBox[
                GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], #}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}], 
                BaseStyle -> {
                 FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
                Baseline], FrameStyle -> 
               RGBColor[0.94227, 0.703639, 0.033387], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityValue"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              
              GridBox[{{#, #2}}, GridBoxAlignment -> {"Rows" -> {{Baseline}}},
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0}}}, 
               BaselinePosition -> {1, 1}], Background -> 
              RGBColor[{0.9921568627450981, 0.9529411764705882, 
                0.8509803921568627}], BaselinePosition -> Baseline, 
              FrameMargins -> {{1, 1}, {1, 1}}, ImageMargins -> 2, FrameStyle -> 
              RGBColor[{0.9333333333333333, 0.8470588235294118, 
                0.5529411764705883}], RoundingRadius -> 5]& )}]}, Open]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Specialized for Klopper", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9, {3.7114709033696413`*^9, 
         3.711470909048764*^9}, {3.73531219927332*^9, 3.735312227736931*^9}, {
         3.745680245296091*^9, 3.7456802496393538`*^9}, {3.745930022124992*^9,
          3.7459300236362534`*^9}, {3.746546663993486*^9, 
         3.7465466650968523`*^9}}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellMargins -> {{64, Inherited}, {2, 32}}, 
          FontFamily -> "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 32}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 60}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["MoreExploreSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeCaption"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {4, 12}}, PageBreakBelow -> False, 
          CellFrameColor -> GrayLevel[0.4], LineSpacing -> {1.3, 1., 2.}, 
          MenuSortingValue -> 10010, MenuCommandKey :> "1", FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeCaption", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"], 
          CellMargins -> {{99, Inherited}, {2, 12}}, StripStyleOnPaste -> 
          True, DefaultFormatType -> DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           LanguageCategory -> "Formula", ScriptLevel -> 0, 
          SingleLetterItalics -> True, MenuSortingValue -> 1700, FontFamily -> 
          "Baskerville", FontSize -> 16, FontWeight -> "Regular", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[0.2], 
          UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}], 
              "DisplayFormulaEquationNumber"]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered", MenuSortingValue -> 
          1710, FontFamily -> "Baskerville", FontSize -> 16, FontWeight -> 
          "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       StyleData["InitializationCell"], Background -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], CellMargins -> {{99, 10}, {4, 4}}, FontSize -> 
          15], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{100, Inherited}, {1.5 Inherited, 1.5 Inherited}}], 
         Cell[
          StyleData["Print", "SlideShow"], 
          CellMargins -> {{
            0.135 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          FontSize -> 18], 
         Cell[
          StyleData["Print", "Condensed"], 
          CellMargins -> {{18, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "PrintoutGray"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox["\[FilledSmallSquare]", Alignment -> Baseline, 
            RGBColor[0.8, 0.043, 0.008]], CellMargins -> {{81, 10}, {4, 8}}, 
          ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "Subitem", "*" -> "Subitem"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15], 
         Cell[
          StyleData["Item", "Printout"], CellDingbat -> 
          StyleBox["\[FilledSmallSquare]", Alignment -> Baseline, 
            GrayLevel[0.2]], 
          CellMargins -> {{80, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontColor -> GrayLevel[0.2]], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{80, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{85, 10}, {4, 8}}, ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 15], 
         Cell[
          StyleData["ItemNumbered", "Printout"], 
          CellMargins -> {{90, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteItem"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontSize -> 12, FontWeight -> 
            Bold, FontColor -> GrayLevel[0.25]], 
          CellMargins -> {{93, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, CellFrameLabelMargins -> 4, 
          CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9}, 
            3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          CounterIncrements -> "ItemNumbered", MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["TechNoteItem", "Printout"], 
          CellMargins -> {{93, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Epigraph"], CellMargins -> {{100, 78}, {6, 24}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, TextAlignment -> Left, Hyphenation -> 
          True, HyphenationOptions -> {"HyphenationMinLengths" -> {3, 5}}, 
          LineSpacing -> {1, 2}, TabSpacings -> {1.2, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontWeight -> "Plain", FontSlant -> 
          "Plain"], 
         Cell[
          StyleData["Epigraph", "Printout", StyleDefinitions -> None]]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EpigraphAuthor"], CellMargins -> {{125, 100}, {12, 12}}, 
          TextAlignment -> Left, LineSpacing -> {1, 2}, 
          ParagraphIndent -> -17, TabSpacings -> {1.5, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> -0.05], 
         Cell[
          StyleData["EpigraphAuthor", "Printout", StyleDefinitions -> None]]},
         Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ReferenceSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 60}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ReferenceSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Reference"], CellDingbat -> Cell[
            TextData[{
              CounterBox["Reference"]}], "SR", FontSize -> 13, 
            CellSize -> {30, Inherited}, TextAlignment -> Right], 
          CellMargins -> {{80, 10}, {3, 4}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, 
          CellChangeTimes -> {{3.7385995432110577`*^9, 3.738599549834622*^9}},
           LineSpacing -> {1, 2}, ParagraphIndent -> -8, 
          TabSpacings -> {0.7, 2.5}, CounterIncrements -> "Reference", 
          MenuSortingValue -> 1870, FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["Reference", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{66, 10}, {3, 4}}, TabSpacings -> {1.2, 2.5}]}, 
        Open]]}, Closed]]}, Visible -> False, FrontEndVersion -> 
  "12.2 for Mac OS X x86 (64-bit) (December 12, 2020)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"],
ExpressionUUID->"a5b8c85f-94a4-4367-baf2-c49c9d472b5d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "C:6"->{
  Cell[422, 15, 533, 12, 113, "Section",ExpressionUUID->"324da235-4689-4a3f-8313-385d4b1f76eb",
   CounterAssignments->{{"Section", 5}, {"Subsection", 5}, {"Subsubsection", 5}, {"Exercise", 5}, {"Question", 5}},
   CellTags->"C:6",
   CellID->818845388]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"C:6", 172117, 3947}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[422, 15, 533, 12, 113, "Section",ExpressionUUID->"324da235-4689-4a3f-8313-385d4b1f76eb",
 CounterAssignments->{{"Section", 5}, {"Subsection", 5}, {"Subsubsection", 5}, {"Exercise", 5}, {"Question", 5}},
 CellTags->"C:6",
 CellID->818845388],
Cell[958, 29, 633, 10, 113, "Text",ExpressionUUID->"a0e08406-2341-4309-a87c-c81391be10fa",
 CellID->534460736],
Cell[1594, 41, 451, 8, 88, "Text",ExpressionUUID->"fe4684fa-f740-478a-8e7f-d5838fdd5ec8",
 CellID->30510669],
Cell[2048, 51, 649, 10, 113, "Text",ExpressionUUID->"32df5279-882f-4002-be6d-65dfa3a1d197",
 CellID->277822520],
Cell[2700, 63, 427, 8, 63, "Text",ExpressionUUID->"0f742b62-3f17-48b4-85d8-1dfe01d7306c",
 CellID->150316316]
}, Open  ]],
Cell[CellGroupData[{
Cell[3164, 76, 232, 3, 57, "Subsection",ExpressionUUID->"a64386b7-83c5-4511-bb78-69adaca940d6",
 CellID->69666475],
Cell[3399, 81, 718, 15, 114, "Text",ExpressionUUID->"4b871744-0d6f-411f-bfd9-afafab64630e",
 CellID->351041172],
Cell[4120, 98, 784, 16, 114, "Text",ExpressionUUID->"380acd3f-744a-4a82-a68b-14c96e803039",
 CellID->2596419],
Cell[4907, 116, 727, 13, 113, "Text",ExpressionUUID->"b255e21c-866d-4e2c-9db1-b1940485a621",
 CellID->497268013],
Cell[5637, 131, 439, 10, 38, "Text",ExpressionUUID->"9b7ed253-eae7-4109-9cbc-9e13518eef60",
 CellID->32568243],
Cell[6079, 143, 459, 7, 20, "CodeCaption",ExpressionUUID->"6129e406-5b2c-498c-8bed-ca27d2a81f61",
 CellID->295848607],
Cell[CellGroupData[{
Cell[6563, 154, 476, 10, 52, "Input",ExpressionUUID->"91ed5e52-85aa-4143-9976-63479077cd98",
 CellID->204895937],
Cell[7042, 166, 905, 15, 77, "Output",ExpressionUUID->"b0833436-0a37-4593-afba-79652c793c97",
 CellID->2078800851]
}, Open  ]],
Cell[7962, 184, 1642, 31, 173, "Text",ExpressionUUID->"2e9d0df9-f3be-490b-bb9a-869e4470ee55",
 CellID->38537442],
Cell[9607, 217, 466, 9, 37, "CodeCaption",ExpressionUUID->"425a7f79-2bec-4c2c-9292-32e06baef40d",
 CellID->530911708],
Cell[CellGroupData[{
Cell[10098, 230, 403, 9, 54, "Input",ExpressionUUID->"32f4ff08-1913-426f-8e72-745829f80a8f",
 CellID->929029132],
Cell[10504, 241, 798, 13, 65, "Output",ExpressionUUID->"bde24d30-03fb-486c-adfe-53a994690306",
 CellID->994449714]
}, Open  ]],
Cell[11317, 257, 1156, 30, 138, "Text",ExpressionUUID->"ca890f41-47e7-4d90-b2a0-64a135fa5e0e",
 CellID->206684519],
Cell[12476, 289, 1116, 23, 164, "Text",ExpressionUUID->"1ef3e455-bf2a-4123-ba0c-d3a4c0808fbf",
 CellID->266776295],
Cell[13595, 314, 253, 3, 37, "CodeCaption",ExpressionUUID->"18111f8d-44f5-495f-9d96-ae4527b39e4d",
 CellID->800456117],
Cell[CellGroupData[{
Cell[13873, 321, 425, 10, 54, "Input",ExpressionUUID->"6a3c5b8f-eda7-4abb-ab10-3d11bb3329f9",
 CellID->12073147],
Cell[14301, 333, 747, 12, 65, "Output",ExpressionUUID->"695907db-4a28-461d-8c47-7b2bb0ff101b",
 CellID->1998602244]
}, Open  ]],
Cell[15063, 348, 1240, 26, 164, "Text",ExpressionUUID->"ed00cb4e-3078-4389-b290-dc3d5b57a65b",
 CellID->391404766],
Cell[16306, 376, 475, 11, 37, "CodeCaption",ExpressionUUID->"a264b882-5364-45f4-bd31-1c8a2620d068",
 CellID->323663336],
Cell[CellGroupData[{
Cell[16806, 391, 517, 12, 54, "Input",ExpressionUUID->"9fa79db9-dc4b-4233-9220-535f2a157f0c",
 CellID->6237191],
Cell[17326, 405, 1487, 23, 161, "Output",ExpressionUUID->"9830c9b9-c530-4944-ad4b-7f26a1799490",
 CellID->1716192181]
}, Open  ]],
Cell[18828, 431, 1058, 26, 114, "Text",ExpressionUUID->"acb49101-e378-4cbd-84e2-0cf9e666ef68",
 CellID->128795397],
Cell[19889, 459, 271, 5, 66, "CodeCaption",ExpressionUUID->"710cf709-7388-4134-b819-4536a6342a39",
 CellID->601095566],
Cell[CellGroupData[{
Cell[20185, 468, 408, 9, 54, "Input",ExpressionUUID->"fd5b6b9d-761b-432b-b266-a60a404fa9c2",
 CellID->161363401],
Cell[20596, 479, 853, 14, 89, "Output",ExpressionUUID->"206ed589-d58c-4eca-898e-986e5c40a494",
 CellID->1189123210]
}, Open  ]],
Cell[21464, 496, 589, 9, 113, "Text",ExpressionUUID->"54ce1bc5-0bbd-473b-92bb-f106c60aefbb",
 CellID->207033495],
Cell[22056, 507, 540, 9, 113, "Text",ExpressionUUID->"d7026f19-aeb2-4fb9-b26c-e96bc91b1d30",
 CellID->234016758],
Cell[22599, 518, 512, 13, 88, "Text",ExpressionUUID->"7632c91d-07be-4549-8767-da27b285fecf",
 CellID->360984305],
Cell[23114, 533, 897, 25, 113, "Text",ExpressionUUID->"9a8d7c23-6981-4408-905c-4af5a1a5b980",
 CellID->456476296]
}, Open  ]],
Cell[CellGroupData[{
Cell[24048, 563, 239, 3, 57, "Subsection",ExpressionUUID->"dbe187f3-b2b3-4bdd-b087-96c30ca1dc10",
 CellID->672880010],
Cell[24290, 568, 616, 10, 113, "Text",ExpressionUUID->"f0b897fc-9623-4e40-81e6-f3f2ccd3394c",
 CellID->184994670],
Cell[24909, 580, 369, 6, 88, "Text",ExpressionUUID->"e3fb2751-af7e-41de-8f55-3894928b14b7",
 CellID->117676252],
Cell[CellGroupData[{
Cell[25303, 590, 172, 2, 55, "Subsubsection",ExpressionUUID->"a303e090-08ac-4f51-8bee-5170b24c5ab1",
 CellID->725963921],
Cell[25478, 594, 658, 11, 113, "Text",ExpressionUUID->"ff0c75fb-34aa-4053-b412-d2945301f249",
 CellID->263450830],
Cell[26139, 607, 242, 4, 38, "Text",ExpressionUUID->"13be7150-486e-4eb1-8c55-92265c3ed585",
 CellID->608599085],
Cell[26384, 613, 429, 11, 55, "DisplayFormulaNumbered",ExpressionUUID->"79e23f54-2390-4dfc-91fd-d4088293ae0b",
 CellID->17602149],
Cell[26816, 626, 2306, 53, 195, "Text",ExpressionUUID->"33097f99-fba3-4564-a8e4-7d11adf71329",
 CellID->87727975],
Cell[29125, 681, 1034, 21, 113, "Text",ExpressionUUID->"413b6998-91ef-461b-bee3-1ac4684aa42a",
 CellID->433791376],
Cell[30162, 704, 305, 7, 37, "CodeCaption",ExpressionUUID->"bdd5ae59-edfc-4969-94c4-a9ab595205c3",
 CellID->322088256],
Cell[CellGroupData[{
Cell[30492, 715, 249, 5, 29, "Input",ExpressionUUID->"b80bc8f7-4a62-4df4-82b0-ca99fad2c058",
 CellID->42666726],
Cell[30744, 722, 199, 3, 40, "Output",ExpressionUUID->"e438dc69-0438-4b90-9a4d-020c03ed2e40",
 CellID->1110971488]
}, Open  ]],
Cell[30958, 728, 307, 8, 37, "CodeCaption",ExpressionUUID->"cb0145fe-3acc-42be-8ca2-243ec4ee333a",
 CellID->143292418],
Cell[CellGroupData[{
Cell[31290, 740, 254, 5, 29, "Input",ExpressionUUID->"cf2aa98b-8d5d-42e2-b25a-62fc6890fd58",
 CellID->23945333],
Cell[31547, 747, 200, 3, 40, "Output",ExpressionUUID->"5c844e2b-8cc5-47b9-ac1d-462ef59521e0",
 CellID->1874971798]
}, Open  ]],
Cell[31762, 753, 843, 18, 114, "Text",ExpressionUUID->"8eb77f07-f1e1-4fb1-b977-fff934bf9d66",
 CellID->64293075],
Cell[32608, 773, 315, 8, 42, "DisplayFormulaNumbered",ExpressionUUID->"d204cf54-f999-4828-9c30-93703766685f",
 CellID->428512762],
Cell[32926, 783, 784, 19, 64, "Text",ExpressionUUID->"801ecdba-bb59-4be3-9cbc-537246262bb3",
 CellID->645207473],
Cell[33713, 804, 319, 8, 37, "CodeCaption",ExpressionUUID->"a2a46e3a-26f9-4e76-aa3a-6dfc2313898c",
 CellID->234625030],
Cell[CellGroupData[{
Cell[34057, 816, 264, 5, 29, "Input",ExpressionUUID->"612d4487-fc9a-4b16-a1c6-897d9b368797",
 CellID->100317924],
Cell[34324, 823, 239, 4, 40, "Output",ExpressionUUID->"dca99d14-0613-4bcc-b5bd-acfa03b8a324",
 CellID->475972908]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[34612, 833, 174, 2, 55, "Subsubsection",ExpressionUUID->"53c140fc-1f29-40fa-ab32-c5f945db7377",
 CellID->572478379],
Cell[34789, 837, 3175, 81, 292, "Text",ExpressionUUID->"43e787d2-aea0-4ecf-a3ed-871a6938847d",
 CellID->259674245],
Cell[37967, 920, 686, 12, 113, "Text",ExpressionUUID->"4d630c55-24ba-4cbf-ae4d-b77de97c3f07",
 CellID->448741141],
Cell[38656, 934, 304, 7, 37, "CodeCaption",ExpressionUUID->"d14a15c5-9d86-4cb3-8f75-c56d698dc750",
 CellID->328236803],
Cell[CellGroupData[{
Cell[38985, 945, 250, 5, 29, "Input",ExpressionUUID->"c7f425fb-a378-4179-a058-082b033a05fa",
 CellID->169934939],
Cell[39238, 952, 194, 3, 40, "Output",ExpressionUUID->"fa520dc2-f671-4053-ae7a-7e172b2da999",
 CellID->300079681]
}, Open  ]],
Cell[39447, 958, 313, 8, 37, "CodeCaption",ExpressionUUID->"97776c20-3227-4cd4-aef8-25e92ddfc1cb",
 CellID->234852868],
Cell[CellGroupData[{
Cell[39785, 970, 252, 5, 29, "Input",ExpressionUUID->"63774072-6694-4c63-b8c6-a662596a5e9c",
 CellID->592891692],
Cell[40040, 977, 196, 3, 40, "Output",ExpressionUUID->"0670725f-543d-46c3-8204-fb359f354574",
 CellID->1147595411]
}, Open  ]],
Cell[40251, 983, 699, 11, 113, "Text",ExpressionUUID->"1d633715-047f-4e8b-b6ce-6325567a268d",
 CellID->509335719]
}, Open  ]],
Cell[CellGroupData[{
Cell[40987, 999, 169, 2, 55, "Subsubsection",ExpressionUUID->"37f1f65c-e48b-4e49-8b0d-d536568b41e0",
 CellID->8801344],
Cell[41159, 1003, 546, 9, 113, "Text",ExpressionUUID->"60cf7823-67de-4753-b9ce-ddd57f70d2c5",
 CellID->187234623],
Cell[41708, 1014, 796, 16, 113, "Text",ExpressionUUID->"ad9252e7-b9db-44c0-a385-188bdd432c96",
 CellID->19755650],
Cell[42507, 1032, 241, 4, 37, "CodeCaption",ExpressionUUID->"c16d87cf-8f82-409b-86a0-f22077800075",
 CellID->33320821],
Cell[CellGroupData[{
Cell[42773, 1040, 230, 4, 29, "Input",ExpressionUUID->"94ee0277-fdd2-4962-ad00-c322e90fb466",
 CellID->224054317],
Cell[43006, 1046, 528, 11, 40, "Output",ExpressionUUID->"43fc8814-39e6-48d7-b142-49bd13b2e539",
 CellID->1085438970]
}, Open  ]],
Cell[43549, 1060, 871, 23, 88, "Text",ExpressionUUID->"3f0fb221-4401-4d16-bcd9-f058ef12e3e6",
 CellID->488786617],
Cell[44423, 1085, 291, 7, 37, "CodeCaption",ExpressionUUID->"5a20a27b-4663-41d9-a9cc-e2dfced1b9c3",
 CellID->475498080],
Cell[CellGroupData[{
Cell[44739, 1096, 260, 5, 29, "Input",ExpressionUUID->"584a40c6-7d41-4c06-8f06-c4c102242c0b",
 CellID->82206001],
Cell[45002, 1103, 200, 3, 40, "Output",ExpressionUUID->"1d417346-6a4a-43d7-aa18-3504ffa5fad5",
 CellID->99187525]
}, Open  ]],
Cell[45217, 1109, 530, 15, 63, "Text",ExpressionUUID->"357a1ef2-edd6-458e-b40b-26aee1cbc8c3",
 CellID->281282940],
Cell[45750, 1126, 641, 12, 88, "Text",ExpressionUUID->"009b18ef-908a-4d16-bcd1-748c3fd9d184",
 CellID->102507820],
Cell[46394, 1140, 272, 6, 37, "CodeCaption",ExpressionUUID->"58bb99ae-17b2-4372-b673-b9c300e31307",
 CellID->414916958],
Cell[CellGroupData[{
Cell[46691, 1150, 233, 4, 29, "Input",ExpressionUUID->"674db0b3-d709-4116-b8e5-a905eb348a48",
 CellID->231885944],
Cell[46927, 1156, 584, 15, 40, "Output",ExpressionUUID->"e0c96c9b-aac3-44ed-8aae-878e9d94503d",
 CellID->597422603]
}, Open  ]],
Cell[47526, 1174, 1049, 26, 115, "Text",ExpressionUUID->"fcab1a87-c6e9-463f-bddc-beb621500492",
 CellID->14493398],
Cell[48578, 1202, 204, 2, 37, "CodeCaption",ExpressionUUID->"5fb456bc-a8bc-4902-b2dd-c12df03d559f",
 CellID->763508147],
Cell[CellGroupData[{
Cell[48807, 1208, 292, 6, 29, "Input",ExpressionUUID->"fe4d7fa2-ec3d-4e8d-9337-95b590dc33e5",
 CellID->52820684],
Cell[49102, 1216, 528, 11, 40, "Output",ExpressionUUID->"55a4dada-9635-49ab-b602-cb75db77fe98",
 CellID->1395638896]
}, Open  ]],
Cell[49645, 1230, 336, 6, 63, "Text",ExpressionUUID->"b3db0a91-3070-4374-b355-aab5f5f0d601",
 CellID->134055874]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[50030, 1242, 238, 3, 57, "Subsection",ExpressionUUID->"eb8c1125-20ee-4077-8460-7fa885d3a199",
 CellID->512356652],
Cell[50271, 1247, 562, 9, 113, "Text",ExpressionUUID->"1cfe59fe-48cd-4a05-a5db-edb103490ff1",
 CellID->106981525],
Cell[CellGroupData[{
Cell[50858, 1260, 173, 2, 55, "Subsubsection",ExpressionUUID->"6df9f035-2e2e-4a87-a263-34ffcbd4a1da",
 CellID->248217019],
Cell[51034, 1264, 424, 7, 88, "Text",ExpressionUUID->"b66748f7-be92-4eb8-8f6c-cafad94c2070",
 CellID->348069],
Cell[51461, 1273, 569, 13, 88, "Text",ExpressionUUID->"6913f8b5-d212-4594-a74b-04109c74f4cc",
 CellID->215131657],
Cell[52033, 1288, 187, 2, 37, "CodeCaption",ExpressionUUID->"d7275b83-f1d9-413e-aa2e-557d27212116",
 CellID->814049000],
Cell[CellGroupData[{
Cell[52245, 1294, 226, 4, 29, "Input",ExpressionUUID->"83cdabc4-e177-4d3d-ae06-df96d868c493",
 CellID->40406701],
Cell[52474, 1300, 193, 3, 40, "Output",ExpressionUUID->"77e64aec-b7cb-4ba7-a25e-8109175b7342",
 CellID->1686532538]
}, Open  ]],
Cell[52682, 1306, 187, 2, 37, "CodeCaption",ExpressionUUID->"f220cf4f-f04c-4678-874f-a9a46abc8b8c",
 CellID->111046139],
Cell[CellGroupData[{
Cell[52894, 1312, 225, 4, 29, "Input",ExpressionUUID->"66ccb6c9-36ca-4c06-b61f-23d5d9b988ba",
 CellID->328555674],
Cell[53122, 1318, 191, 3, 40, "Output",ExpressionUUID->"802922a0-1528-4c18-bf9f-3cfd1a7c8ab5",
 CellID->915709413]
}, Open  ]],
Cell[53328, 1324, 189, 2, 37, "CodeCaption",ExpressionUUID->"458de427-7d74-41a1-b325-4e35999a15f3",
 CellID->683938649],
Cell[CellGroupData[{
Cell[53542, 1330, 278, 6, 29, "Input",ExpressionUUID->"246e9454-4a86-4194-adbb-96879c724a7e",
 CellID->323082817],
Cell[53823, 1338, 195, 3, 40, "Output",ExpressionUUID->"3706b5d3-b496-447e-a356-82176a34cac7",
 CellID->1460289889]
}, Open  ]],
Cell[54033, 1344, 430, 9, 38, "Text",ExpressionUUID->"9e740c9e-e0a2-4c19-9cb0-60d96e1ceb72",
 CellID->690301446],
Cell[CellGroupData[{
Cell[54488, 1357, 228, 4, 29, "Input",ExpressionUUID->"575f1795-0c2a-4eeb-af9d-c5979948309c",
 CellID->180363100],
Cell[54719, 1363, 241, 5, 40, "Output",ExpressionUUID->"dcc8a176-c210-4717-8c95-4b923061c2a3",
 CellID->1649046507]
}, Open  ]],
Cell[54975, 1371, 290, 6, 63, "Text",ExpressionUUID->"2ad8c588-3233-4e52-bae4-565cca436172",
 CellID->746051815]
}, Open  ]],
Cell[CellGroupData[{
Cell[55302, 1382, 177, 2, 55, "Subsubsection",ExpressionUUID->"7e876004-4c9e-480e-bc35-e93e184f6729",
 CellID->804518277],
Cell[55482, 1386, 487, 8, 88, "Text",ExpressionUUID->"6815908a-d1ce-4cbd-aa84-bfa59e34b60a",
 CellID->21192205],
Cell[55972, 1396, 544, 9, 113, "Text",ExpressionUUID->"120b8ec6-f235-4e0e-862b-78bd2278bb3e",
 CellID->138583012],
Cell[56519, 1407, 327, 6, 63, "Text",ExpressionUUID->"b3db89ea-89bc-4e8c-bef7-5758afc7f686",
 CellID->518682269],
Cell[56849, 1415, 529, 9, 88, "Text",ExpressionUUID->"661cc3d9-1b02-4614-9630-85278f55df89",
 CellID->896210326],
Cell[57381, 1426, 656, 15, 88, "Text",ExpressionUUID->"80005f58-356f-43f6-96ed-7cc460f483d7",
 CellID->597892723],
Cell[58040, 1443, 240, 4, 37, "CodeCaption",ExpressionUUID->"a87fdbb6-9be1-4c9d-bae4-603849d5ef9f",
 CellID->53957691],
Cell[CellGroupData[{
Cell[58305, 1451, 283, 5, 29, "Input",ExpressionUUID->"14802c3c-1f7d-44c0-97e1-e815eef0be9a",
 CellID->12793013],
Cell[58591, 1458, 276, 6, 40, "Output",ExpressionUUID->"5d757909-3806-4ecd-8299-581772c8818c",
 CellID->100694967]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[58916, 1470, 236, 3, 55, "Subsubsection",ExpressionUUID->"b69a151a-1238-4de6-af78-4ac819cf1c9a",
 CellID->766731257],
Cell[59155, 1475, 497, 10, 63, "Text",ExpressionUUID->"be507d6b-e215-4d11-8840-e89ad618daff",
 CellID->111640486],
Cell[59655, 1487, 201, 2, 37, "CodeCaption",ExpressionUUID->"9784c8a9-1f60-4676-9aec-301a9b846ae1",
 CellID->17523753],
Cell[CellGroupData[{
Cell[59881, 1493, 240, 4, 29, "Input",ExpressionUUID->"cfa989e6-44a5-4827-b6b9-d659da39aca2",
 CellID->384855720],
Cell[60124, 1499, 192, 3, 40, "Output",ExpressionUUID->"0f0f7b47-10bb-4332-aba8-cd72fc0d32f8",
 CellID->163196533]
}, Open  ]],
Cell[60331, 1505, 600, 14, 88, "Text",ExpressionUUID->"8f75676d-d01d-4a23-a7d4-4c6a84b39b57",
 CellID->201343223],
Cell[60934, 1521, 252, 3, 37, "CodeCaption",ExpressionUUID->"9ada7226-6e88-43bc-b17d-9db09da37f3e",
 CellID->740028483],
Cell[CellGroupData[{
Cell[61211, 1528, 436, 10, 29, "Input",ExpressionUUID->"ded89676-645b-4173-9d10-14eb3d281910",
 CellID->837722883],
Cell[61650, 1540, 194, 3, 40, "Output",ExpressionUUID->"4228326f-04ad-49e9-af19-491a7ca9cb4b",
 CellID->507512912]
}, Open  ]],
Cell[61859, 1546, 855, 14, 138, "Text",ExpressionUUID->"e747d2ca-df8f-4499-8ca4-c59b1301c029",
 CellID->938072121]
}, Open  ]],
Cell[CellGroupData[{
Cell[62751, 1565, 177, 2, 55, "Subsubsection",ExpressionUUID->"72b3c025-47ee-4824-83a6-0caefdf037e9",
 CellID->155437044],
Cell[62931, 1569, 675, 10, 88, "Text",ExpressionUUID->"7e9997f0-dbbf-466a-b5ef-bd4ffa429c4e",
 CellID->570985137],
Cell[63609, 1581, 1615, 38, 166, "Text",ExpressionUUID->"90044844-785c-4b28-b164-8f894949fd0f",
 CellID->2132678793],
Cell[65227, 1621, 1070, 24, 90, "Text",ExpressionUUID->"ecacb2e6-e53f-47f2-9757-85908fca2ebc",
 CellID->248180374],
Cell[66300, 1647, 214, 2, 37, "CodeCaption",ExpressionUUID->"1c0d71b1-38f3-47c5-bc81-c3dabeb4e1eb",
 CellID->518861597],
Cell[CellGroupData[{
Cell[66539, 1653, 400, 9, 29, "Input",ExpressionUUID->"aa34803a-4f26-4afd-95a2-fdd37e98e935",
 CellID->96857314],
Cell[66942, 1664, 327, 7, 40, "Output",ExpressionUUID->"379224f9-e460-4367-a791-7737edbb2ce1",
 CellID->2111949747]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[67318, 1677, 252, 3, 55, "Subsubsection",ExpressionUUID->"a44fe5f8-722f-4458-ab9f-5f8a153f7945",
 CellID->449441989],
Cell[67573, 1682, 639, 14, 88, "Text",ExpressionUUID->"481d25d4-5790-4f88-abeb-03754b511451",
 CellID->47295283],
Cell[68215, 1698, 1229, 22, 214, "Text",ExpressionUUID->"67e5b62c-3596-439d-a5c1-df621c5e0659",
 CellID->466298140],
Cell[69447, 1722, 220, 2, 38, "Text",ExpressionUUID->"4d5fe90c-4861-45d3-867e-b0b985356e5b",
 CellID->119967477],
Cell[69670, 1726, 400, 11, 59, "DisplayFormulaNumbered",ExpressionUUID->"5b41fb6a-9e9d-4c02-a2da-5e1b780a4bcd",
 CellID->437284930],
Cell[70073, 1739, 605, 13, 90, "Text",ExpressionUUID->"cb8e5e11-2457-4ed3-b05e-eb36f9792988",
 CellID->7108945],
Cell[70681, 1754, 440, 8, 88, "Text",ExpressionUUID->"082841b0-cb9c-456a-9f08-9272296d4ef5",
 CellID->1024519671],
Cell[71124, 1764, 566, 12, 113, "Text",ExpressionUUID->"4b69fd4d-64a1-49db-b618-960fbb349e15",
 CellID->578228851],
Cell[71693, 1778, 542, 15, 59, "DisplayFormulaNumbered",ExpressionUUID->"c202e8f6-c674-48fa-a6ab-be0c9ec02313",
 CellID->217120131],
Cell[72238, 1795, 501, 8, 88, "Text",ExpressionUUID->"59af1877-b705-4e54-b2dc-b2a41f44d762",
 CellID->928796082],
Cell[72742, 1805, 401, 11, 63, "Text",ExpressionUUID->"dd31f0a8-d8d7-48b1-89fe-2f4f1bb78c64",
 CellID->50433138],
Cell[73146, 1818, 307, 7, 37, "CodeCaption",ExpressionUUID->"0b207916-114c-4c04-a3cb-80312c43d779",
 CellID->570313128],
Cell[CellGroupData[{
Cell[73478, 1829, 252, 5, 29, "Input",ExpressionUUID->"66f87ad3-2023-4338-a491-e0dceaffe48d",
 CellID->69156752],
Cell[73733, 1836, 209, 3, 40, "Output",ExpressionUUID->"d87065e1-8ba0-48ee-9e84-4db6740d5d71",
 CellID->1929680213]
}, Open  ]],
Cell[73957, 1842, 317, 7, 37, "CodeCaption",ExpressionUUID->"458514e1-c9b7-4a50-bfc9-f1f090bcee55",
 CellID->225304084],
Cell[CellGroupData[{
Cell[74299, 1853, 264, 5, 29, "Input",ExpressionUUID->"6b96c094-ff59-4ec2-a105-7c0588cb8461",
 CellID->70526387],
Cell[74566, 1860, 211, 3, 40, "Output",ExpressionUUID->"57dfbc44-237c-4494-b709-c495f6dd6d5b",
 CellID->837302897]
}, Open  ]],
Cell[74792, 1866, 439, 10, 63, "Text",ExpressionUUID->"462eef8a-1028-449d-966a-b3422a70163a",
 CellID->431932050],
Cell[75234, 1878, 326, 7, 37, "CodeCaption",ExpressionUUID->"ed14f6d0-d496-4c15-8a04-ea904c7a57be",
 CellID->366121988],
Cell[CellGroupData[{
Cell[75585, 1889, 286, 6, 29, "Input",ExpressionUUID->"43a8cee5-5563-484d-b1a1-7a1c478dcb6c",
 CellID->418702052],
Cell[75874, 1897, 210, 3, 40, "Output",ExpressionUUID->"c307ef9f-d458-4440-813e-64672504970d",
 CellID->89451088]
}, Open  ]],
Cell[76099, 1903, 221, 4, 38, "Text",ExpressionUUID->"6584046e-75e6-4e71-a250-69fb9063066c",
 CellID->317185331],
Cell[CellGroupData[{
Cell[76345, 1911, 183, 4, 71, "ExerciseSection",ExpressionUUID->"1c9e7ea6-e293-406b-b8db-394e92699a8b",
 CellID->88855921],
Cell[76531, 1917, 777, 19, 31, "Exercise",ExpressionUUID->"726db2e1-46f2-4db4-a73e-766281f7cc73",
 CellID->1158101041],
Cell[77311, 1938, 140, 1, 26, "Exercise",ExpressionUUID->"8e4e802e-7c89-4481-a119-0ac8a4e02a3b",
 CellID->1559903326],
Cell[77454, 1941, 141, 1, 26, "Exercise",ExpressionUUID->"b8d73c48-9d1a-4ec4-8521-658a10a6c0b7",
 CellID->814837506],
Cell[77598, 1944, 1000, 17, 27, "Exercise",ExpressionUUID->"0da746c0-cd56-4d08-9138-7e743eeab3c1",
 CellID->19996096],
Cell[78601, 1963, 168, 3, 26, "Exercise",ExpressionUUID->"754a0f9b-01bd-40fd-9bf1-c1885b399069",
 CellID->470746423],
Cell[78772, 1968, 911, 16, 27, "Exercise",ExpressionUUID->"55a3018e-d665-4912-8fca-5e99bdb679be",
 CellID->264232693],
Cell[79686, 1986, 144, 1, 26, "Exercise",ExpressionUUID->"bba04c65-e1a8-461a-9988-c9260fd181ab",
 CellID->505375813],
Cell[79833, 1989, 953, 17, 27, "Exercise",ExpressionUUID->"c327f47e-aebc-43c5-abbd-589beb129bfe",
 CellID->19813770],
Cell[80789, 2008, 1356, 25, 27, "Exercise",ExpressionUUID->"85addc87-08ea-4913-a841-e96eeb676011",
 CellID->847531054]
}, Open  ]],
Cell[CellGroupData[{
Cell[82182, 2038, 112, 1, 70, "TechNoteSection",ExpressionUUID->"50c8eb57-e671-4d8e-bb56-f8c140139ced",
 CellID->874797650],
Cell[82297, 2041, 719, 14, 55, "TechNote",ExpressionUUID->"f26267a1-7b70-418e-ae3b-38451f448c76",
 CellID->564397392],
Cell[83019, 2057, 2428, 66, 132, "TechNote",ExpressionUUID->"c61089a0-54eb-44e5-8935-c7f0726e579b",
 CellID->463241785],
Cell[85450, 2125, 563, 14, 33, "TechNote",ExpressionUUID->"a0776490-3b1d-431d-9759-a92453e8f410",
 CellID->173252925]
}, Open  ]],
Cell[CellGroupData[{
Cell[86050, 2144, 120, 1, 100, "MoreExploreSection",ExpressionUUID->"62227e52-55e5-4896-b02f-2799c544228e",
 CellID->110963034],
Cell[86173, 2147, 954, 23, 30, "MoreExplore",ExpressionUUID->"537a1efc-f173-45eb-9517-ee7f147fa435",
 CellID->26626102],
Cell[87130, 2172, 968, 23, 49, "MoreExplore",ExpressionUUID->"47780696-e75b-4feb-bed2-f90e4aa50d61",
 CellID->97754487]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

