(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    236618,       5388]
NotebookOptionsPosition[    129461,       3178]
NotebookOutlinePosition[    214401,       4961]
CellTagsIndexPosition[    214296,       4955]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 InterpretationBox[Cell[
  "Correlation", "SectionInline",ExpressionUUID->
   "a2c00220-b55f-4fcb-b3d2-6e244d5d4b98"],
  $Line = 0; Null]], "Section",
 CellChangeTimes->{
  3.652728456208679*^9, 3.652728527108994*^9, {3.76200839270086*^9, 
   3.7620083927008753`*^9}},
 CounterAssignments->{{"Section", 10}, {"Subsection", 10}, {
   "Subsubsection", 10}, {"Exercise", 10}},
 CellTags->"C:11",
 CellLabel->"In[1]:=",
 CellID->868451339,ExpressionUUID->"e2da1931-2efd-424a-9c39-e953d993343b"],

Cell[TextData[{
 "In the previous chapter, we compared the mean of data point values for a \
single variable between groups. The groups were created from the sample space \
of a categorical variable, i.e. group A and group B for the variable ",
 Cell[BoxData[
 "group"], "InlineCodeText",ExpressionUUID->
  "067a0611-70e7-4928-82a3-75d98cb3257b"],
 "."
}], "Text",
 CellChangeTimes->{{3.715920772458987*^9, 3.7159209177791753`*^9}, {
   3.71600519039447*^9, 3.716005202667095*^9}, {3.7263727164131784`*^9, 
   3.726372735228676*^9}, {3.753500605971281*^9, 3.753500685566641*^9}, {
   3.753503932558652*^9, 3.7535039345276265`*^9}, 3.762008576314476*^9, 
   3.762086606560258*^9, 3.7661394208743525`*^9, 3.7661396636533527`*^9, 
   3.816019800507751*^9},
 CellID->878677765,ExpressionUUID->"15553e84-1935-4407-bf57-7bc2c434e639"],

Cell["\<\
In this chapter, we continue our journey through the exciting world of \
parametric tests but compare two separate numerical variables to see if there \
is a relationship between them. To do so, I will introduce concepts of linear \
regression, which will be covered in more detail in the next chapter, that \
might help us in understanding correlation.\
\>", "Text",
 CellChangeTimes->{{3.7535039360748177`*^9, 3.75350398712013*^9}, 
   3.7620866066056967`*^9, {3.7661396408303523`*^9, 3.766139655366352*^9}, 
   3.7661397100587406`*^9, {3.766139812189953*^9, 3.7661398379435277`*^9}, {
   3.7661398765773907`*^9, 3.766139877129446*^9}},
 CellID->151754191,ExpressionUUID->"2d95ca5e-d012-45a5-8645-6f21178ed84c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Relationships", "Subsection",
 CellChangeTimes->{{3.753500692494464*^9, 3.7535006958654857`*^9}},
 CellID->42873,ExpressionUUID->"56fe3c5e-bc69-4f49-9327-a7624909715c"],

Cell[TextData[{
 "Correlation is all about the relationship between numerical values for two \
variables. High-school algebra should have made you familiar with a function \
like ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", 
    RowBox[{"3", "x"}]}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "a947ea3b-3ffe-488d-87cd-0d5ddb40f954"],
 ". For every value of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath",ExpressionUUID->
  "bc910013-f372-479a-89cc-c777ac5047d3"],
 " that we plug in to the equation, we get a ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath",ExpressionUUID->
  "51f120fa-7309-43c4-86eb-3c5a9a791e00"],
 " value. In that way, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath",ExpressionUUID->
  "c9708558-3a8c-43fa-8d19-364e42266468"],
 " is dependent on ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath",ExpressionUUID->
  "531bd9a6-b239-45cf-8040-a9ce7ae24df3"],
 ". That\[CloseCurlyQuote]s why we use terms such as the independent \
variable, ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath",ExpressionUUID->
  "26ba270d-2cf1-4267-a47a-30293adb3c3a"],
 ", and the dependent variable, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath",ExpressionUUID->
  "442ddaa2-78cb-438e-92f7-d61813abb395"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7535007037411423`*^9, {3.762086606653201*^9, 3.762086606796502*^9}, 
   3.766139971909923*^9, {3.766140016225354*^9, 3.7661400354242735`*^9}},
 CellID->16159013,ExpressionUUID->"bd7b5e42-45ea-4fb5-8683-3b62f82800a4"],

Cell[TextData[{
 "If we consider ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath",ExpressionUUID->
  "729728ba-1e16-4468-b270-24ac6816f7d6"],
 " a continuous, numerical variable that can take any value in the closed \
domain 0 to 10, which means 0 and 10 are included, we can plot this function. \
The ",
 ButtonBox["Plot",
  BaseStyle->"Link"],
 " function, as used in the first example, takes two arguments. The first is \
the expression on the right-hand side of the equation. The second argument is \
a list (therefore in curly braces) that explains the closed domain for the ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath",ExpressionUUID->
  "1c0123d7-1225-4d6c-acfa-20d636a3784d"],
 " values."
}], "Text",
 CellChangeTimes->{{3.753500734634843*^9, 3.7535007519390464`*^9}, {
   3.762008642689171*^9, 3.762008700020976*^9}, {3.762086606844185*^9, 
   3.762086606987915*^9}, {3.7661401958163114`*^9, 3.7661401995446844`*^9}, {
   3.766140283244053*^9, 3.766140293492078*^9}, {3.7661408631263065`*^9, 
   3.7661408690053062`*^9}, 3.7816302682846317`*^9},
 CellID->295707558,ExpressionUUID->"abd69e77-3b89-461c-8644-df212012c40e"],

Cell[TextData[{
 "Plot the equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", 
    RowBox[{"3", " ", "x"}]}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "f0f50a07-c4ee-45d5-89c4-76060a65b8f7"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535008320246587`*^9}, {3.762008714592882*^9, 3.762008746051153*^9}, {
   3.766140309620691*^9, 3.7661403106997986`*^9}, 3.781630262637889*^9, {
   3.799579486443652*^9, 3.799579503921419*^9}, {3.801233387855785*^9, 
   3.801233387858349*^9}},
 CellID->24066037,ExpressionUUID->"661d7a6d-2994-4d02-825a-9cc20db5a8f8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"3", " ", "x"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.75350083379048*^9, 3.7535008434529967`*^9}},
 CellLabel->"In[1]:=",
 CellID->374401810,ExpressionUUID->"3e26f184-54f0-4fa0-9ebd-e3d35d7d404d"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVkms0lAkAhtXUJtExJEOYGd+gxrh1ocHnexm7IZxKatPVGJctl2VNF13I
JnSRYktaK5O0ZV3qTHapZCdLKjquMwepNdlOUo3GYKi19sdznn/Pr4ctTNgU
OVdHRydolv9ddEz4lYvotNf4QEsj53SpV2MnK3Ar6zuq8xfGIW9FOjXTVP8j
i3WIokyeCxmKC1RRw1nmfFY2tX/DLTlNIaFiSXHcBPMyRf9gekErv0N1Tsfk
q5g3qYH7wQljchm1oG/Q7j2zlvqaM/xiVN5BlTwpTnzHbKG0crefVPJBqrIq
uy/WsZeSCW6UtkvUVDTVfnkkSUmZv6z9R8j7QsUPrVBKK99SRrG7by0Q0KDH
PmH3cq2KOufyzb3gUF3kGD7lluxRU90Fzg2jhgYQ9m1+SHs2Tp0qTX0+14yO
xL9OCBPspiiTfGV2XpExbn+vH8Lw/0JlbPb36hg3QcnhfcPOW3WQxC/Z3ZLO
QHrx541jI3Mg+DiVEq80h07nK9xPoSHNc2O4+VpL2CZHHdzMnQ9+5WXpsYdM
vNZc2rLowVfYNzma9tiAjYChvUcvJOpi0t5wwCHUGsGvc+2trPTgXv7b1YsX
CQw/EqY9rlgElVHAni0yDhzpPZaC3QYYPLNnS9ICW+hRmvB+9WL4fTzgP+Rq
h3XvwyasQw0xHKH7gzR1ORQy0ZwwHh2+HNO5mbIVuJvVuIulocOw1Tan+iMX
UfPFr9rajGCWVbXB1ZWHiKTDd/ULjZFvzzc0jnaAU7R9W2D4EjSZe69Rn3fE
cyPeIjHfBK4WslynHifcq0y/wqMthT5Nkhye7ozDc7gbnr1YCovjTM9tti7Q
60/xi5eaQtdmR82mZhcMlbHzi48wwCPNqg7sXIn85WbzakPNkDBg9ChAZxVy
C6Oaw1nmGFGfCfUvWIWw/J1t+m/M4evUVOjvsBqTvte1xfXLUKf2mJ5oWw3l
kM9BWaYF9vJW9rZHroGEdFnWGm4J9w+irm0LXVGRIaZHO1jBh8MIMpC4IjM0
Yj1NYwWbtFMHZW5uWNNfcjOzlYnlkfyHNr1uKFhxpaJ1PQui+pgT0sS1SG04
W7C+loX6q12iURM+gpaFXn/CYWPs15kJp9/58I5v3k7PZkNoU76wMMgdxRZC
zjMNGx+4ea53VO7gPLpxMXi7NWpKp//WZHkg10HG7ai3xre+BDysPBGlntfe
wiVgFpdZ69jgCeHtT6zscwSM9WJvB20lEZse8jngPAGJ4GiKahsJcYhUrp9H
wPlojiBvB4ksjTgnd/aTQFV1tyKcRCVfO32piEBGj0YbEUtC++dMT1k5gXFJ
qk/KcRK5HfpnG5sJKDzyOsvKSRRei4s52UIgWlz6s38liWvJbQK/pwTGKu9G
jlSTqFmaO/W0jQDdWjHhUkOiP8w4prObQICupcWDBhJ2SjPBoJJAXVeZqLOb
hLM0xap0iIDf4j8c9itIuGf0aSPfEJCvaxln9JEItCuqfjtM4FPdu6xdr0gk
7WNZjY4SsC9xrng7TOKI53HtHfVsr9d7/5n3JDIMBruSNbO9JSGUk4pEQdW1
05OTBESZ4vZkDQlJ2rzouikC6oaThaaTJMo3Rvoc+UwgbepSRN0UCal1k6XX
vwQWr77J2/mFRL3aVjszQ6Aork4zM0PiP5yKKfs=
       "]]},
     Annotation[#, "Charting`Private`Tag$4272#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 10}, {0., 29.9999993877551}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.753500844265402*^9, 3.762086716243259*^9, 
  3.8012371562864723`*^9},
 CellLabel->"Out[1]=",
 CellID->1880599731,ExpressionUUID->"b3af2726-9e7a-48b0-929b-62f75054f16d"]
}, Open  ]],

Cell[TextData[{
 "Imagine now that the ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath",ExpressionUUID->
  "68bce4c3-fefb-466e-babe-9b544bd7854c"],
 " values represent a numerical variable such as length",
 StyleBox[". ",
  FontSlant->"Italic"],
 "The ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath",ExpressionUUID->
  "9c8b6051-8760-42a5-8aca-2c3caab73d34"],
 " values can represent another numerical variable such as width",
 StyleBox[". ",
  FontSlant->"Italic"],
 "What we have here then is a model that predicts the value of the width (",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath",ExpressionUUID->
  "cb317b27-c666-4a8a-893b-b1c2557d3f9c"],
 ") given a value for the length (",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath",ExpressionUUID->
  "16f36c53-f2eb-476a-988f-9d70c01a19a9"],
 "). For a simple model such as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", 
    RowBox[{"3", "x"}]}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "c0b3e73e-4058-4bdf-ab89-cf4abe9efd30"],
 ", we have a perfect correlation between these two variables. As the length \
increases, the width increases threefold. We can create a function using the \
Wolfram Language to express this. Note the use of a trailing underscore for \
the dependent variable and the colon and equal sign. The trailing underscore \
(",
 ButtonBox["_",
  BaseStyle->"Link",
  ButtonData->"Blank"],
 ") identifies this as the independent variable and the colon before the \
equal sign (",
 ButtonBox[":=",
  BaseStyle->"Link",
  ButtonData->"SetDelayed"],
 ") tells the Wolfram Language not to execute the code but to hang on until \
it is called (used). This syntax represents ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "=", 
    RowBox[{"y", "=", 
     RowBox[{"3", "x"}]}]}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "9aa69d35-3ab0-4b43-85d9-6f7356e2e2f9"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7535008759510193`*^9, {3.7535009089588356`*^9, 3.753501005038218*^9}, {
   3.762086607038156*^9, 3.762086607384088*^9}, {3.7661415536183066`*^9, 
   3.7661415765203066`*^9}, {3.7661416109703064`*^9, 
   3.7661416186493063`*^9}, {3.7661419276426516`*^9, 3.766141976951582*^9}, 
   3.781630440933524*^9, 3.7995778518051696`*^9, {3.8160198786580343`*^9, 
   3.816019898610511*^9}},
 CellID->141225772,ExpressionUUID->"6dd64f02-69c1-4f26-bc95-344ebf1dc2ea"],

Cell[TextData[{
 "Create a Wolfram Language function called ",
 Cell[BoxData[
 "f"], "InlineCode",ExpressionUUID->"cb498929-d75a-40b8-aeda-72e22f94a6fe"],
 " that takes an argument ",
 Cell[BoxData[
 "x"], "InlineCode",ExpressionUUID->"a4122dfd-5834-4b2f-b112-3ef7072a77bf"],
 " and returns the value that is 3 times ",
 Cell[BoxData[
 "x"], "InlineCode",ExpressionUUID->"7f644cf0-a2bc-4786-b01b-8d591f3b35e9"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535010198112073`*^9, {3.76200971872611*^9, 
   3.76200974426888*^9}, {3.7661416279773064`*^9, 3.7661416360793066`*^9}, {
   3.7661416739263067`*^9, 3.7661416788383064`*^9}, {3.801233450838727*^9, 
   3.801233459640934*^9}, {3.801233554396618*^9, 3.801233565956853*^9}},
 CellID->34970058,ExpressionUUID->"98bdc19b-f875-4de9-8011-e0cfb5a909f7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], ":=", 
  RowBox[{"3", " ", "x"}]}]], "Input",
 CellChangeTimes->{{3.753501022873996*^9, 3.753501026456093*^9}},
 CellLabel->"In[2]:=",
 CellID->884175558,ExpressionUUID->"0c86fd68-938b-4e2d-9616-3bf1e8a3fd7d"],

Cell[TextData[{
 "We can now pass values for ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath",ExpressionUUID->
  "a6212e86-0178-4baf-aae2-a29ba3b3f29f"],
 " (length), which will return a value for ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath",ExpressionUUID->
  "77e89459-3679-4a8e-8087-8a9714ca34a7"],
 " (width)."
}], "Text",
 CellChangeTimes->{3.7535010389465694`*^9},
 CellID->15057185,ExpressionUUID->"fe978b00-dbd5-4f7c-a845-7346c3328070"],

Cell["Calculate the width for a height of 4:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.7535010647152877`*^9, 3.753501074847219*^9}, 
   3.7620097631980467`*^9, {3.7661416911093063`*^9, 3.7661416987973065`*^9}},
 CellID->121526939,ExpressionUUID->"f8ef3fe6-529d-43e9-a240-904febedb47e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", "4", "]"}]], "Input",
 CellChangeTimes->{{3.7535010685639224`*^9, 3.753501070768263*^9}},
 CellLabel->"In[3]:=",
 CellID->150497467,ExpressionUUID->"ba4b21cf-724e-4fad-9bf8-e5a680006dcf"],

Cell[BoxData["12"], "Output",
 CellChangeTimes->{3.7535010767536907`*^9, 3.7620867162676*^9, 
  3.801237156339052*^9},
 CellLabel->"Out[3]=",
 CellID->2143990603,ExpressionUUID->"1883bb7c-e513-444f-b597-af3a057f1344"]
}, Open  ]],

Cell[TextData[{
 "The solution is 12. Carrying on with our example experiment, let\
\[CloseCurlyQuote]s consider a single hypothetical subject. It has a length \
of 3 and a width of 9. We can plot this point together with our model using \
the ",
 ButtonBox["Show",
  BaseStyle->"Link"],
 " function. This function allows for the creation of more than one plot on \
the same Cartesian grid."
}], "Text",
 CellChangeTimes->{{3.7535010888556337`*^9, 3.753501111302867*^9}, {
  3.762009777837796*^9, 3.762009798586089*^9}, {3.7620866074349194`*^9, 
  3.762086607584155*^9}, {3.7661420822801137`*^9, 3.7661420852324085`*^9}},
 CellID->1387466,ExpressionUUID->"775d448c-cf97-4eb1-a457-772407b973ec"],

Cell[TextData[{
 "Plot both the line, using the ",
 ButtonBox["Plot",
  BaseStyle->"Link"],
 " function, and the point, using the ",
 ButtonBox["ListPlot",
  BaseStyle->"Link"],
 " function:"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.753501129492408*^9, {3.762009806238071*^9, 
   3.762009824398035*^9}, {3.7661420944333286`*^9, 3.7661421316670523`*^9}},
 CellID->356353602,ExpressionUUID->"5263bb45-fd38-44d4-ba11-6ca1a697de5f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"3", " ", "x"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}], ",", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"3", ",", "9"}], "}"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"PointSize", "[", "Large", "]"}]}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8134776834134607`*^9, 3.813477683414765*^9}},
 CellLabel->"In[4]:=",
 CellID->1549013418,ExpressionUUID->"6247b116-7844-4bdc-9689-d169657bf2b3"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVkms0lAkAhtXUJtExJEOYGd+gxrh1ocHnexm7IZxKatPVGJctl2VNF13I
JnSRYktaK5O0ZV3qTHapZCdLKjquMwepNdlOUo3GYKi19sdznn/Pr4ctTNgU
OVdHRydolv9ddEz4lYvotNf4QEsj53SpV2MnK3Ar6zuq8xfGIW9FOjXTVP8j
i3WIokyeCxmKC1RRw1nmfFY2tX/DLTlNIaFiSXHcBPMyRf9gekErv0N1Tsfk
q5g3qYH7wQljchm1oG/Q7j2zlvqaM/xiVN5BlTwpTnzHbKG0crefVPJBqrIq
uy/WsZeSCW6UtkvUVDTVfnkkSUmZv6z9R8j7QsUPrVBKK99SRrG7by0Q0KDH
PmH3cq2KOufyzb3gUF3kGD7lluxRU90Fzg2jhgYQ9m1+SHs2Tp0qTX0+14yO
xL9OCBPspiiTfGV2XpExbn+vH8Lw/0JlbPb36hg3QcnhfcPOW3WQxC/Z3ZLO
QHrx541jI3Mg+DiVEq80h07nK9xPoSHNc2O4+VpL2CZHHdzMnQ9+5WXpsYdM
vNZc2rLowVfYNzma9tiAjYChvUcvJOpi0t5wwCHUGsGvc+2trPTgXv7b1YsX
CQw/EqY9rlgElVHAni0yDhzpPZaC3QYYPLNnS9ICW+hRmvB+9WL4fTzgP+Rq
h3XvwyasQw0xHKH7gzR1ORQy0ZwwHh2+HNO5mbIVuJvVuIulocOw1Tan+iMX
UfPFr9rajGCWVbXB1ZWHiKTDd/ULjZFvzzc0jnaAU7R9W2D4EjSZe69Rn3fE
cyPeIjHfBK4WslynHifcq0y/wqMthT5Nkhye7ozDc7gbnr1YCovjTM9tti7Q
60/xi5eaQtdmR82mZhcMlbHzi48wwCPNqg7sXIn85WbzakPNkDBg9ChAZxVy
C6Oaw1nmGFGfCfUvWIWw/J1t+m/M4evUVOjvsBqTvte1xfXLUKf2mJ5oWw3l
kM9BWaYF9vJW9rZHroGEdFnWGm4J9w+irm0LXVGRIaZHO1jBh8MIMpC4IjM0
Yj1NYwWbtFMHZW5uWNNfcjOzlYnlkfyHNr1uKFhxpaJ1PQui+pgT0sS1SG04
W7C+loX6q12iURM+gpaFXn/CYWPs15kJp9/58I5v3k7PZkNoU76wMMgdxRZC
zjMNGx+4ea53VO7gPLpxMXi7NWpKp//WZHkg10HG7ai3xre+BDysPBGlntfe
wiVgFpdZ69jgCeHtT6zscwSM9WJvB20lEZse8jngPAGJ4GiKahsJcYhUrp9H
wPlojiBvB4ksjTgnd/aTQFV1tyKcRCVfO32piEBGj0YbEUtC++dMT1k5gXFJ
qk/KcRK5HfpnG5sJKDzyOsvKSRRei4s52UIgWlz6s38liWvJbQK/pwTGKu9G
jlSTqFmaO/W0jQDdWjHhUkOiP8w4prObQICupcWDBhJ2SjPBoJJAXVeZqLOb
hLM0xap0iIDf4j8c9itIuGf0aSPfEJCvaxln9JEItCuqfjtM4FPdu6xdr0gk
7WNZjY4SsC9xrng7TOKI53HtHfVsr9d7/5n3JDIMBruSNbO9JSGUk4pEQdW1
05OTBESZ4vZkDQlJ2rzouikC6oaThaaTJMo3Rvoc+UwgbepSRN0UCal1k6XX
vwQWr77J2/mFRL3aVjszQ6Aork4zM0PiP5yKKfs=
        "]]},
      Annotation[#, "Charting`Private`Tag$5503#1"]& ]}, {}}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[Large], 
     AbsoluteThickness[1.6], PointBox[{{3., 9.}, {3., 9.}}]}, {{}, {}}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 10}, {0., 29.9999993877551}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.813477686760697*^9},
 CellLabel->"Out[4]=",
 CellID->324263745,ExpressionUUID->"049d3539-b958-476c-b50b-a036fefb7d5d"]
}, Open  ]],

Cell["\<\
To be sure, this is a very idealized experiment. As mentioned, there is \
perfect correlation between our two numerical variables. For every single \
unit increase in length, there is a threefold increase in width. A real \
experiment will most probably not have these values.\
\>", "Text",
 CellChangeTimes->{{3.7535011538346205`*^9, 3.753501173690065*^9}, {
   3.762086607636033*^9, 3.762086607733924*^9}, 3.8160199631060266`*^9},
 CellID->206679906,ExpressionUUID->"ef3ea728-79c2-461d-af20-88196ad76dc5"],

Cell["\<\
Let\[CloseCurlyQuote]s recreate a more realistic example. Next we\
\[CloseCurlyQuote]ll create a nested List object with paired values for \
length and width for five specimens.\
\>", "Text",
 CellChangeTimes->{{3.7535011884243784`*^9, 3.753501203013481*^9}, 
   3.762086607783839*^9, {3.766142155562441*^9, 3.766142165059391*^9}, {
   3.816019994334778*^9, 3.816020005195356*^9}},
 CellID->79876728,ExpressionUUID->"13d5e912-6d93-4b55-9c84-0d0cac2be412"],

Cell["\<\
Manually create five subjects, each with data point values for two variables:\
\
\>", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.753501214546116*^9, 3.7535012318705254`*^9}, 
   3.762009843645886*^9, {3.7661424247743597`*^9, 3.766142429886871*^9}},
 CellID->380498097,ExpressionUUID->"7222ab0a-459e-4bbb-b498-a302087ea168"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"experimentValues", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1.1", ",", " ", "3.8"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3.3", ",", " ", "8.5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2.1", ",", " ", "7.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6.1", ",", " ", "15.3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"7.5", ",", " ", "27"}], "}"}]}], "}"}]}]], "Input",
 CellLabel->"In[5]:=",
 CellID->73802981,ExpressionUUID->"435bbb14-2699-4065-ac37-b22e6bf382f9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1.1`", ",", "3.8`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.3`", ",", "8.5`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.1`", ",", "7.2`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.1`", ",", "15.3`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.5`", ",", "27"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7535012417787533`*^9, 3.762086716466782*^9, 
  3.8012371565538893`*^9},
 CellLabel->"Out[5]=",
 CellID->792929370,ExpressionUUID->"f84275c7-ceaa-40e6-9309-7b4a942f6cf7"]
}, Open  ]],

Cell["Let\[CloseCurlyQuote]s plot those together with our idealized model.", \
"Text",
 CellChangeTimes->{3.7535012553219795`*^9},
 CellID->8879590,ExpressionUUID->"e4827ceb-c2e1-4c34-85d6-72ad216e1a93"],

Cell["Plot our idealized line and the five subjects:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535012706024084`*^9, 3.762009852693823*^9, {
   3.7661424469115734`*^9, 3.7661424510319853`*^9}},
 CellID->43542080,ExpressionUUID->"0f0268f4-ba2d-4c5b-a460-c9b1d694cf58"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"3", " ", "x"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}], ",", 
   RowBox[{"ListPlot", "[", "experimentValues", "]"}]}], "]"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->693706549,ExpressionUUID->"e9aa7e5d-ebd1-4677-a33d-f5d64957cb62"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVkms0lAkAhtXUJtExJEOYGd+gxrh1ocHnexm7IZxKatPVGJctl2VNF13I
JnSRYktaK5O0ZV3qTHapZCdLKjquMwepNdlOUo3GYKi19sdznn/Pr4ctTNgU
OVdHRydolv9ddEz4lYvotNf4QEsj53SpV2MnK3Ar6zuq8xfGIW9FOjXTVP8j
i3WIokyeCxmKC1RRw1nmfFY2tX/DLTlNIaFiSXHcBPMyRf9gekErv0N1Tsfk
q5g3qYH7wQljchm1oG/Q7j2zlvqaM/xiVN5BlTwpTnzHbKG0crefVPJBqrIq
uy/WsZeSCW6UtkvUVDTVfnkkSUmZv6z9R8j7QsUPrVBKK99SRrG7by0Q0KDH
PmH3cq2KOufyzb3gUF3kGD7lluxRU90Fzg2jhgYQ9m1+SHs2Tp0qTX0+14yO
xL9OCBPspiiTfGV2XpExbn+vH8Lw/0JlbPb36hg3QcnhfcPOW3WQxC/Z3ZLO
QHrx541jI3Mg+DiVEq80h07nK9xPoSHNc2O4+VpL2CZHHdzMnQ9+5WXpsYdM
vNZc2rLowVfYNzma9tiAjYChvUcvJOpi0t5wwCHUGsGvc+2trPTgXv7b1YsX
CQw/EqY9rlgElVHAni0yDhzpPZaC3QYYPLNnS9ICW+hRmvB+9WL4fTzgP+Rq
h3XvwyasQw0xHKH7gzR1ORQy0ZwwHh2+HNO5mbIVuJvVuIulocOw1Tan+iMX
UfPFr9rajGCWVbXB1ZWHiKTDd/ULjZFvzzc0jnaAU7R9W2D4EjSZe69Rn3fE
cyPeIjHfBK4WslynHifcq0y/wqMthT5Nkhye7ozDc7gbnr1YCovjTM9tti7Q
60/xi5eaQtdmR82mZhcMlbHzi48wwCPNqg7sXIn85WbzakPNkDBg9ChAZxVy
C6Oaw1nmGFGfCfUvWIWw/J1t+m/M4evUVOjvsBqTvte1xfXLUKf2mJ5oWw3l
kM9BWaYF9vJW9rZHroGEdFnWGm4J9w+irm0LXVGRIaZHO1jBh8MIMpC4IjM0
Yj1NYwWbtFMHZW5uWNNfcjOzlYnlkfyHNr1uKFhxpaJ1PQui+pgT0sS1SG04
W7C+loX6q12iURM+gpaFXn/CYWPs15kJp9/58I5v3k7PZkNoU76wMMgdxRZC
zjMNGx+4ea53VO7gPLpxMXi7NWpKp//WZHkg10HG7ai3xre+BDysPBGlntfe
wiVgFpdZ69jgCeHtT6zscwSM9WJvB20lEZse8jngPAGJ4GiKahsJcYhUrp9H
wPlojiBvB4ksjTgnd/aTQFV1tyKcRCVfO32piEBGj0YbEUtC++dMT1k5gXFJ
qk/KcRK5HfpnG5sJKDzyOsvKSRRei4s52UIgWlz6s38liWvJbQK/pwTGKu9G
jlSTqFmaO/W0jQDdWjHhUkOiP8w4prObQICupcWDBhJ2SjPBoJJAXVeZqLOb
hLM0xap0iIDf4j8c9itIuGf0aSPfEJCvaxln9JEItCuqfjtM4FPdu6xdr0gk
7WNZjY4SsC9xrng7TOKI53HtHfVsr9d7/5n3JDIMBruSNbO9JSGUk4pEQdW1
05OTBESZ4vZkDQlJ2rzouikC6oaThaaTJMo3Rvoc+UwgbepSRN0UCal1k6XX
vwQWr77J2/mFRL3aVjszQ6Aork4zM0PiP5yKKfs=
        "]]},
      Annotation[#, "Charting`Private`Tag$4506#1"]& ]}, {}}, {{}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], 
      PointBox[{{1.1, 3.8}, {3.3, 8.5}, {2.1, 7.2}, {6.1, 15.3}, {7.5, 
       27.}}]}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], AbsoluteThickness[1.6]}, {}}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], AbsoluteThickness[1.6]}, {}}}, {{}, {}}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 10}, {0., 29.9999993877551}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.7535012811867385`*^9, 3.762086716604226*^9, 
  3.801237156718903*^9},
 CellLabel->"Out[6]=",
 CellID->1440629297,ExpressionUUID->"d44029a4-0f30-4d97-be42-e170afd054ed"]
}, Open  ]],

Cell["\<\
Our model would predict a width of 3.3 given a length of 1.1 as we can see \
below. In reality, the value was 3.8. \
\>", "Text",
 CellChangeTimes->{
  3.7535013069342794`*^9, {3.762009863789299*^9, 3.762009877485135*^9}, {
   3.762086607835948*^9, 3.7620866078862247`*^9}},
 CellID->13901354,ExpressionUUID->"73ece23e-a987-4ef6-abc3-0aff06c9dc71"],

Cell["Calculate the width for a height of 1.1:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535013225345354`*^9, 3.762009882261016*^9, {
   3.7661424619040723`*^9, 3.76614246437632*^9}},
 CellID->136317414,ExpressionUUID->"af4b4339-2ae5-4b0e-9764-aa8d762de2fa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", "1.1", "]"}]], "Input",
 CellChangeTimes->{{3.7535013251913137`*^9, 3.753501327144703*^9}},
 CellLabel->"In[7]:=",
 CellID->83268965,ExpressionUUID->"2875174e-c63b-4659-b8f8-6b80f623845b"],

Cell[BoxData["3.3000000000000003`"], "Output",
 CellChangeTimes->{3.7535013274628215`*^9, 3.7620867166206703`*^9, 
  3.801237156735993*^9},
 CellLabel->"Out[7]=",
 CellID->1925958401,ExpressionUUID->"50fd6b9b-347d-46a0-8c3b-5be77b420b20"]
}, Open  ]],

Cell[TextData[{
 "Our model is still very valid. Given a new specimen that was not part of \
the experiment, we can predict the width if the length is measured. These \
variables are correlated. This is perhaps a good opportunity to mention the \
obvious, ",
 StyleBox["correlation does not infer causation",
  FontSlant->"Italic"],
 ". It does not mean that causation is not present. It is just that showing \
correlation, as in ",
 StyleBox["the length and width are correlated",
  FontSlant->"Italic"],
 ", is not proof that the value for the width is somehow caused by the value \
of the length."
}], "Text",
 CellChangeTimes->{
  3.753501383872508*^9, {3.762086607936108*^9, 3.762086608141739*^9}, {
   3.762086765277068*^9, 3.7620867731169367`*^9}, {3.7661428468332653`*^9, 
   3.7661428507302656`*^9}, {3.7661429652752657`*^9, 3.7661429685322657`*^9}},
 
 CellID->436189101,ExpressionUUID->"f2561e2c-99e5-40ba-8da7-0a68517431d7"],

Cell[TextData[{
 "The last thing to consider here is the direction of correlation. The \
straight line above points to the upper right. This indicates a ",
 StyleBox["positive correlation",
  FontSlant->"Italic"],
 ". As the values for one variable increase, so do the values for the other. \
We could also get ",
 StyleBox["negative correlation,",
  FontSlant->"Italic"],
 " with a decrease in the dependent variable as the independent variable \
increases. In this case the, line will point to the lower right."
}], "Text",
 CellChangeTimes->{{3.753501406236806*^9, 3.7535014343784237`*^9}, {
   3.7620866081924334`*^9, 3.76208660839673*^9}, 3.79957827732017*^9, {
   3.799578385267644*^9, 3.7995783896731577`*^9}, 3.813477761528935*^9, 
   3.813477802356018*^9, {3.81602005304932*^9, 3.816020061601021*^9}},
 CellID->797353843,ExpressionUUID->"98c61041-89b2-49d9-9621-75fa34c5d109"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Error", "Subsection",
 CellChangeTimes->{{3.7535014404451838`*^9, 3.753501441226407*^9}},
 CellID->755119960,ExpressionUUID->"1d9b229a-3edb-46d9-bce8-a29c4e357621"],

Cell[TextData[{
 "It is obvious to note that our experiment above contained errors. In fact, \
for the example of a length of 1.1 and real width of 3.8, we can write the \
following using our model: ",
 Cell[BoxData[
  FormBox[
   RowBox[{"3.8", "=", 
    RowBox[{
     RowBox[{"3", "\[Times]", "1.1"}], "+", "0.5"}]}], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"3d381e12-23c3-4988-91a5-6259fb02d2ec"],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", 
    RowBox[{
     RowBox[{"3", " ", "x"}], "+", "\[Epsilon]"}]}], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"d654b398-23d8-49f9-b862-04e4af9bf5bc"],
 ". Here, the symbol ",
 Cell[BoxData[
  FormBox["\[Epsilon]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "704315e7-9dfb-4fda-9f48-4ed6022f0c55"],
 " is an error value. Indeed, for every true value ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", "i"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "c7fdfb19-f6fc-4ae5-9dfc-5bc4ad8d3c99"],
 ", we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "i"], "=", 
    RowBox[{
     SubscriptBox["\[Beta]x", "i"], "+", 
     SubscriptBox["\[Epsilon]", "i"]}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"e9f76dab-3fd4-416d-a351-04fc5cf851ee"],
 ". The subscript ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]], "InlineMath",ExpressionUUID->
  "12ce85aa-6898-4575-b5e4-ac87e49f3826"],
 " notation is commonly used in statistics. If we have five specimens, we can \
view ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]], "InlineMath",ExpressionUUID->
  "190e93af-fee1-40f4-909c-834b0dad2331"],
 " as holding the values 1, 2, 3, 4, 5. Again referring to our example, we \
note ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "1"], "=", "1.1"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"0fe6126b-f601-416e-9872-a7d4a3efbb53"],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "1"], "=", "3.8"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"9e044d48-cb79-4a90-be69-cfe44cddc2cc"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "2"], "=", "3.3"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"088773be-797f-4752-81c2-fbf230dccce6"],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "2"], "=", "8.5"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"d20284a2-3f77-40c9-a806-80381a6c54df"],
 ", and so on. Every pair will have its own error. The first error is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Epsilon]", "1"], "=", "0.5"}], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"f1f94db0-a841-4481-b33c-00e17c8907ec"],
 ", the second error is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Epsilon]", "2"], "=", 
    RowBox[{"-", "1.4"}]}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "9754435c-4fe7-4571-9e86-7721d6920878"],
 " (since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"3", "\[Times]", "3.3"}], "=", "9.9"}], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"51a53cac-c096-4b0a-a2da-1023494b0a51"],
 " and the true value was 8.5, with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"8.5", "-", "9.9"}], "=", 
    RowBox[{"-", "1.4"}]}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "a96274a0-71e0-4daf-8dac-b07da6eb09ca"],
 "), and so on. The ",
 Cell[BoxData[
  FormBox["\[Beta]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "33ee813b-f868-4dde-8161-a4eed8a32738"],
 " in the equation represents the actual relationship in the model (the slope \
of the line)."
}], "Text",
 CellChangeTimes->{
  3.7535014741299086`*^9, {3.7620841466409063`*^9, 3.7620841691685867`*^9}, {
   3.7620866084532967`*^9, 3.762086608885144*^9}, {3.762086792201612*^9, 
   3.762086801254848*^9}, {3.7661433274882655`*^9, 3.7661433607892656`*^9}, 
   3.7661449492390013`*^9, {3.7995164207610397`*^9, 3.79951642375873*^9}, {
   3.8160200883615828`*^9, 3.816020116561158*^9}},
 CellID->65716824,ExpressionUUID->"3b89ec65-b975-41d2-abc4-9cb553cd0b52"],

Cell[TextData[{
 "As we will see in the next chapter on linear regression, we calculate our \
linear model (the equation for our straight line) by minimizing this error, \
and this will give us a value for ",
 Cell[BoxData[
  FormBox["\[Beta]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "b3eb5ee4-5af0-4fd9-a462-5fb93945ee9b"],
 "."
}], "Text",
 CellChangeTimes->{{3.753501538802043*^9, 3.753501557864173*^9}, 
   3.753501989979061*^9, 3.7661434028962655`*^9},
 CellID->32850017,ExpressionUUID->"9246cfe3-5710-406b-be53-3267effd4cbf"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Covariance", "Subsection",
 CellChangeTimes->{{3.7535015817728314`*^9, 3.7535015833512535`*^9}},
 CellID->268103257,ExpressionUUID->"d5e5050d-4bfc-4772-bddb-b7a8b079e638"],

Cell["\<\
We are well underway in understanding how to create a correlation model given \
a set of paired values from an experiment.\
\>", "Text",
 CellChangeTimes->{3.753501595523849*^9},
 CellID->256453806,ExpressionUUID->"c606cf39-f4b5-44cb-9b36-e6a531f12ab3"],

Cell[TextData[{
 "Next up on our list of requirements is understanding ",
 StyleBox["covariance. ",
  FontSlant->"Italic"],
 "You will recognize the ",
 StyleBox["variance",
  FontSlant->"Italic"],
 " part of the word. Remember that variance is the square of the average \
difference between each data point value for a variable and its mean. The \
square root of the variance is the standard deviation given in equation (1)."
}], "Text",
 CellChangeTimes->{{3.753501606686123*^9, 3.753501658930752*^9}, {
  3.762086608938283*^9, 3.762086609043985*^9}, {3.7661434247362657`*^9, 
  3.7661434250712657`*^9}, {3.816020207385674*^9, 3.8160202074647207`*^9}},
 CellID->49259686,ExpressionUUID->"ce745ab0-37b9-49bd-925a-2c356863f195"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[Sigma]", "2"], "=", 
       FractionBox[
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"i", "=", "1"}], "n"], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["x", "i"], "-", 
            OverscriptBox["x", "_"]}], ")"}], "2"]}], 
        RowBox[{"n", "-", "1"}],
        FractionLine->0.2]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.7620842999378843`*^9, 3.762084310221274*^9}, 
   3.7661434500972652`*^9},
 CellID->1284815827,ExpressionUUID->"9aa69fdf-12d1-4a4a-aa86-d166a771fc28"],

Cell[TextData[{
 "Here ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["x", "_"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "5eb121ca-6887-49f1-b3e4-6d7fb0ccc95a"],
 " is the mean and ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]], "InlineMath",ExpressionUUID->
  "db2e973e-dd61-4e13-8fb2-02f483e94f18"],
 " is the number of data point values for a variable. Since we subtract ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]],ExpressionUUID->
  "13f61c3b-b457-4022-af11-7948aa7a3923"],
 " from the sample size, the variance and standard deviation is the",
 StyleBox[" sample",
  FontSlant->"Italic"],
 " variance and standard deviation. This is opposed to the ",
 StyleBox["population",
  FontSlant->"Italic"],
 " variance and standard deviation."
}], "Text",
 CellChangeTimes->{
  3.753501678290861*^9, 3.7661449558216596`*^9, {3.7995164791792235`*^9, 
   3.7995164839812436`*^9}, 3.799516567194519*^9},
 CellID->566212263,ExpressionUUID->"193bfe71-6791-4471-b662-3c65283c9775"],

Cell[TextData[{
 "Now consider our length and width experiment. If these two variables are \
indeed correlated, we should see one variable deviate from its mean just as \
the other would. The difference between a data point value and its mean is \
called the ",
 StyleBox["deviation",
  FontSlant->"Italic"],
 " or the ",
 StyleBox["residual",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7535016910043993`*^9, {3.762086609102612*^9, 3.762086609155064*^9}},
 CellID->341567828,ExpressionUUID->"269995b4-564a-4107-93e0-96ff67134dd1"],

Cell["\<\
If we consider a pair of values for a specimen in our experiment, where each \
one of the values in the pair belongs to a variable, we might see one below \
its mean in the same way as the other. This would indicate that we will find \
a correlation between the two variables.\
\>", "Text",
 CellChangeTimes->{
  3.7535017226520233`*^9, 3.762086609208646*^9, {3.7661434793242655`*^9, 
   3.7661434811892653`*^9}},
 CellID->222800757,ExpressionUUID->"7375fe47-afa2-403c-aa20-70a790366e98"],

Cell[TextData[{
 "Multiplying the differences that each pair has with their respective means \
gives us an equation that represents a correlation between the residuals. \
This is called covariance, ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]], "InlineMath",ExpressionUUID->
  "61149b9b-d16a-4622-a5e5-f8249ffcdd10"],
 ", and for samples (instead of a population), this is given by equation \
(2)."
}], "Text",
 CellChangeTimes->{{3.753501744591841*^9, 3.7535017678193817`*^9}, 
   3.7620866092614117`*^9, {3.7661437292462654`*^9, 3.7661437646922655`*^9}},
 CellID->18404900,ExpressionUUID->"8872b259-b60a-4d76-a1bc-87e566d08617"],

Cell[BoxData[
 FormBox[GridBox[{
    {
     RowBox[{"c", "=", 
      FractionBox[
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"i", "=", "1"}], "n"], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["x", "i"], "-", 
           OverscriptBox["x", "_"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["y", "i"], "-", 
           OverscriptBox["y", "_"]}], ")"}]}]}], 
       RowBox[{"n", "-", "1"}],
       FractionLine->0.2]}]}
   },
   GridBoxAlignment->{"Columns" -> {{"Center"}}}], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.76208436576081*^9, 3.7620843730412617`*^9}, 
   3.766143848285266*^9},
 CellID->117924619,ExpressionUUID->"48174f5b-2f4d-452d-a4ac-cc4573e3b1cf"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s create two lists of data point values from our \
example and calculate the covariance using the ",
 ButtonBox["Covariance",
  BaseStyle->"Link"],
 " function in the Wolfram Language."
}], "Text",
 CellChangeTimes->{{3.7535017928987455`*^9, 3.753501812462369*^9}, {
  3.762084383256955*^9, 3.762084399358923*^9}, {3.7661438593762655`*^9, 
  3.7661438601282654`*^9}},
 CellID->18093037,ExpressionUUID->"9399a247-988e-4030-b88e-ee6dfd28d5b3"],

Cell["All the first elements in the pairs:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.753501827895203*^9, 3.762084412143239*^9},
 CellID->756491819,ExpressionUUID->"3499771a-e1f8-4d9f-9353-78a791fba9be"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"length", "=", 
  RowBox[{"experimentValues", "\[LeftDoubleBracket]", 
   RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}]], "Input",
 CellLabel->"In[8]:=",
 CellID->249441706,ExpressionUUID->"67a02f39-d400-4044-9577-40ebbf22348d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.1`", ",", "3.3`", ",", "2.1`", ",", "6.1`", ",", "7.5`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.75350183735716*^9, 3.762086716642951*^9, 
  3.801237156772263*^9},
 CellLabel->"Out[8]=",
 CellID->1277807090,ExpressionUUID->"89cdd67c-f3e1-42d5-a23e-cf299d4d44cb"]
}, Open  ]],

Cell["All the second elements in the pairs:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535018522749357`*^9, 3.76208441635919*^9},
 CellID->698678748,ExpressionUUID->"89730798-cd64-4b76-a262-7edc19d89140"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"width", "=", 
  RowBox[{"experimentValues", "\[LeftDoubleBracket]", 
   RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}]}]], "Input",
 CellLabel->"In[9]:=",
 CellID->129605745,ExpressionUUID->"2edce101-2600-4923-a960-a9253ac5561b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3.8`", ",", "8.5`", ",", "7.2`", ",", "15.3`", ",", "27"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.753501860785799*^9, 3.762086716686619*^9, 
  3.801237156786147*^9},
 CellLabel->"Out[9]=",
 CellID->1267291630,ExpressionUUID->"d6529da7-0194-4daf-b23d-a6a7bbf9b9b0"]
}, Open  ]],

Cell["Calculate the covariance:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.7535018705839148`*^9, 3.7535018767143593`*^9}, 
   3.762084419767152*^9, {3.7661439536802654`*^9, 3.7661439540482655`*^9}},
 CellID->13064357,ExpressionUUID->"9a3a9ab9-d3c4-44d7-b97c-f4e43c309896"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Covariance", "[", 
  RowBox[{"length", ",", "width"}], "]"}]], "Input",
 CellChangeTimes->{{3.753501879433316*^9, 3.7535018883131323`*^9}},
 CellLabel->"In[10]:=",
 CellID->76582780,ExpressionUUID->"9dc808aa-f2b3-42b7-998b-1eb1f66a97cd"],

Cell[BoxData["23.686`"], "Output",
 CellChangeTimes->{3.7535018887357893`*^9, 3.7620867167211*^9, 
  3.8012371568222523`*^9},
 CellLabel->"Out[10]=",
 CellID->784219264,ExpressionUUID->"ac4f1cfa-20e3-44da-a100-e85a837e0b59"]
}, Open  ]],

Cell[TextData[{
 "A positive value indicates positive correlation and a negative value \
indicates negative correlation. Unfortunately, the magnitude of the \
covariance does not help us when it comes to the magnitude of the \
correlation. The actual value, instead, depends on the data point values. If \
our experiment used micrometers for the unit of the length and width, \
covariance would be measured in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Mu]m", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"b84f5eeb-c1bc-4cd9-bc61-99ad59da625c"],
 ". If it was measured in millimeters, it would be in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["mm", "2"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "734fbf82-24c1-43dc-befb-e2dd7fc8d92e"],
 ". In order to express the magnitude, we need to ",
 StyleBox["standardize",
  FontSlant->"Italic"],
 " the covariance."
}], "Text",
 CellChangeTimes->{
  3.7535018996983204`*^9, {3.762086609320225*^9, 3.762086636743712*^9}, {
   3.7661439873932657`*^9, 3.7661439877382655`*^9}, 3.8160202435769987`*^9},
 CellID->77892108,ExpressionUUID->"a5ffa025-62e1-40d7-91af-5de11b0277b2"],

Cell[TextData[{
 "One useful way of doing this is to express the value in units of standard \
deviation, i.e. divide by the standard deviation. In the evaluation of a \
sample, the standardized covariance is known as the correlation coefficient, \
denoted by the symbol ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]], "InlineMath",ExpressionUUID->
  "9d229f09-e953-4d32-8217-b7c5509f61bd"],
 ". It is also known as the ",
 StyleBox["Pearson product-moment correlation coefficient,",
  FontSlant->"Italic"],
 " or the ",
 StyleBox["Pearson correlation coefficient",
  FontSlant->"Italic"],
 " for short, and is shown in equation (3)."
}], "Text",
 CellChangeTimes->{{3.753501951980595*^9, 3.753501963325553*^9}, {
   3.762084466031945*^9, 3.762084466906262*^9}, {3.762086609601186*^9, 
   3.762086609656767*^9}, {3.7661448986139393`*^9, 3.7661449007341514`*^9}, 
   3.813478147357072*^9, {3.8160202548805027`*^9, 3.816020258448475*^9}},
 CellID->86053382,ExpressionUUID->"a7f463e0-d4e7-40b4-bedd-8636d8c82f3b"],

Cell[BoxData[
 FormBox[
  RowBox[{GridBox[{
     {
      RowBox[{"r", "=", 
       FractionBox[
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"i", "=", "1"}], "n"], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["x", "i"], "-", 
            OverscriptBox["x", "_"]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["y", "i"], "-", 
            OverscriptBox["y", "_"]}], ")"}]}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], " ", 
         SubscriptBox["s", "x"], " ", 
         SubscriptBox["s", "y"]}],
        FractionLine->0.2]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]"}], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.762084483136487*^9, 3.7620844895259333`*^9}, 
   3.7661449204211197`*^9, {3.813478167791449*^9, 3.8134781712390738`*^9}},
 CellID->879165768,ExpressionUUID->"fa6ca032-35fd-42b7-b448-6b4191b041c7"],

Cell[TextData[{
 "Here, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["s", "x"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "d1c0c8a5-563d-4fbe-914b-ba3016c69445"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["s", "y"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "aab87d5e-5f3a-4624-8334-e29f3e678d25"],
 " are the standard deviations for the two variables. We can calculate this \
using the ",
 ButtonBox["Correlation",
  BaseStyle->"Link"],
 " function in the Wolfram Language."
}], "Text",
 CellChangeTimes->{{3.7535020076690655`*^9, 3.753502013786987*^9}, {
   3.7620845449106903`*^9, 3.76208455920435*^9}, 3.7620866097123423`*^9, {
   3.7661450537244487`*^9, 3.7661450539784746`*^9}, 3.81602029896148*^9},
 CellID->181011417,ExpressionUUID->"1a48801b-044b-4daa-b50e-0c89f65a84d5"],

Cell["Calculate the correlation coefficient:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.7535020224751377`*^9, 3.7535020344189587`*^9}, 
   3.762084567910639*^9, {3.7661450633244085`*^9, 3.7661450647305493`*^9}},
 CellID->339111771,ExpressionUUID->"86fa5063-f841-4045-bc36-55bb7b2ccb20"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Correlation", "[", 
  RowBox[{"length", ",", "width"}], "]"}]], "Input",
 CellLabel->"In[11]:=",
 CellID->428666200,ExpressionUUID->"f6fe96df-32e3-4da7-809a-87987bff4701"],

Cell[BoxData["0.9545233745022562`"], "Output",
 CellChangeTimes->{3.7535020379075813`*^9, 3.7620867167540283`*^9, 
  3.8012371568348*^9},
 CellLabel->"Out[11]=",
 CellID->1266028409,ExpressionUUID->"17203f4b-89a8-4df1-943e-081216cb26df"]
}, Open  ]],

Cell["\<\
The same can be achieved by calculating the ratio of the covariance (in the \
numerator) and the product of the standard deviations of the two variables \
(in the denominator), shown in equation (4).\
\>", "Text",
 CellChangeTimes->{{3.753502055197381*^9, 3.753502067842161*^9}, {
  3.766145077331809*^9, 3.76614507853893*^9}},
 CellID->357033539,ExpressionUUID->"dced616b-a511-42b1-9ab3-947ce1d88adc"],

Cell[BoxData[
 FormBox[
  RowBox[{"r", "=", 
   FractionBox["c", 
    RowBox[{
     SubscriptBox["s", "x"], " ", 
     SubscriptBox["s", "y"]}],
    FractionLine->0.2]}], TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.762084583279581*^9, 3.7620845899784307`*^9}, 
   3.7661450844025164`*^9},
 CellID->127017115,ExpressionUUID->"6dad3a3c-7a28-46bd-be52-9813b78a49da"],

Cell["\<\
Now try dividing the covariance by the product of the two standard deviations:\
\>", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535020870457125`*^9, 3.7620845976704283`*^9, 
   3.7661450912201977`*^9, {3.8134782971553383`*^9, 3.8134782994711657`*^9}},
 CellID->694620567,ExpressionUUID->"39ada32b-dbd7-45e5-8bf9-c85d888a7a82"],

Cell[CellGroupData[{

Cell[BoxData[
 FractionBox[
  RowBox[{"Covariance", "[", 
   RowBox[{"length", ",", "width"}], "]"}], 
  RowBox[{
   RowBox[{"StandardDeviation", "[", "length", "]"}], "*", 
   RowBox[{"StandardDeviation", "[", "width", "]"}]}],
  FractionLine->0.45]], "Input",
 CellLabel->"In[12]:=",
 CellID->70902269,ExpressionUUID->"b893a94c-dc16-45dc-b1fb-99df86df7090"],

Cell[BoxData["0.9545233745022562`"], "Output",
 CellChangeTimes->{3.753502094601718*^9, 3.762086716803319*^9, 
  3.801237156869899*^9},
 CellLabel->"Out[12]=",
 CellID->650444398,ExpressionUUID->"70375781-699d-4a4a-a666-f3bf7952248a"]
}, Open  ]],

Cell[TextData[{
 "The value for ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]], "InlineMath",ExpressionUUID->
  "3c73794c-52fb-4b40-b66d-239c8f853316"],
 " will always fall in the closed domain ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "1"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "f3cd7623-ec28-4d9e-8901-b61614cb6942"],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"+", "1"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "4cb896ef-42ff-41f6-9e52-f555d19c4c76"],
 ". The former indicates a perfect negative correlation and the latter \
indicates effective positive correlation."
}], "Text",
 CellChangeTimes->{3.753502104421425*^9, 3.762086609772396*^9, 
  3.781630802802306*^9},
 CellID->191828699,ExpressionUUID->"d6b1975d-a22c-4c34-a00e-d2c096287b30"],

Cell[TextData[{
 "As some fields in science move away from the ubiquitous use of ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "96a39651-ddc0-43c5-b90d-f31faa6e8339"],
 "-values, we see more and more reports stipulating an effect size. The \
Pearson correlation coefficient is a perfect example of the measure of effect \
size. Values between ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", "0.1"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"b9606425-6274-46e1-997d-56194d56447b"],
 " show very little correlation. Values between 0.1 and 0.3 or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "0.1"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "94eb6adb-5a69-4b42-a904-2477fb2fcf9d"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "0.3"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "33ea4f44-4582-4bcc-a4ce-8a44dd7d80c1"],
 " indicate a small effect. Values between 0.30 and 0.5 or between ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "0.3"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "dbe8859f-2485-4f52-a589-015b1e20ac86"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "0.5"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "b59cdcb7-c2d9-431d-9e17-1a9dac73fddc"],
 " show a medium effect, and values between 0.5 and 1.0 or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "0.5"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "15844aa5-2f63-46f9-b783-9d6084951c35"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "1.0"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "be990879-31f5-47fa-bb50-4568869a0a71"],
 " show a large effect. These are simply rules of thumb, though, and you \
should always view the results in the context of the experiment and the \
outcomes."
}], "Text",
 CellChangeTimes->{{3.753502123490858*^9, 3.753502146452551*^9}, {
   3.7620846672704487`*^9, 3.762084710197853*^9}, {3.762086609827963*^9, 
   3.762086610053887*^9}, {3.7661454983019023`*^9, 3.766145500287101*^9}, 
   3.7661458598802605`*^9, 3.7995787745432696`*^9, 3.799578850080389*^9, 
   3.8160203246094503`*^9},
 CellID->120550060,ExpressionUUID->"b2a999e3-01bb-49af-9572-9738f777f847"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Hypothesis Testing", "Subsection",
 CellChangeTimes->{{3.753502182749*^9, 3.7535021865619807`*^9}, 
   3.7620085357453117`*^9},
 CellID->999882122,ExpressionUUID->"c78a5a31-0aaa-4f3d-a8fe-190fd9dd799d"],

Cell[TextData[{
 "Having mentioned ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "d8aafa42-cb4a-4728-81b1-0e0c96d521c2"],
 "-values, though, we can look at the probability of a specific ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]], "InlineMath",ExpressionUUID->
  "6124c67f-730f-45c0-83db-4bfe729b7c37"],
 "-value, i.e. testing the hypothesis that the correlation is different from \
zero, indicating no correlation (the null hypothesis)."
}], "Text",
 CellChangeTimes->{
  3.753502198886992*^9, {3.762084719327147*^9, 3.762084720121195*^9}, {
   3.7661459970702605`*^9, 3.7661459972792606`*^9}, {3.7661461511592607`*^9, 
   3.766146151374261*^9}},
 CellID->729633546,ExpressionUUID->"1109f5dd-6f5e-4098-829b-d7a7212c1be9"],

Cell[TextData[{
 "The theoretical distribution of the Pearson correlation coefficient, ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]],ExpressionUUID->
  "e710afb4-46f7-4fc2-8def-6499661f4784"],
 ", is not known. We can convert it to a test statistic by transforming it, \
though. This is shown in equation (5)."
}], "Text",
 CellChangeTimes->{{3.753502235068322*^9, 3.7535022588618007`*^9}, 
   3.762086610109655*^9, 3.7995167269962673`*^9, 3.799516763262756*^9, 
   3.816020339731482*^9},
 CellID->16675787,ExpressionUUID->"a84e68ee-92f4-4c05-b8b1-769e736dc41a"],

Cell[BoxData[
 FormBox[GridBox[{
    {
     RowBox[{
      RowBox[{
       SubscriptBox["z", "r"], "=", 
       RowBox[{
        FractionBox["1", "2",
         FractionLine->0.2], "ln", Cell[TextData[Cell[BoxData[
         FormBox[
          RowBox[{"(", 
           FractionBox[
            RowBox[{"1", "+", "r"}], 
            RowBox[{"1", "-", "r"}],
            FractionLine->0.2]}], TraditionalForm]],ExpressionUUID->
         "881e9116-e5fa-40f9-a474-c60e2ddaed0b"]],ExpressionUUID->
         "1b9a3770-ab8c-4092-823a-22330c9fc563"]}]}], ")"}]}
   },
   GridBoxAlignment->{"Columns" -> {{"Center"}}}], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.762084762367704*^9, 3.7620847694765587`*^9}},
 CellID->364540504,ExpressionUUID->"a3d71e4f-cfef-4156-8d0f-3b30b8995db7"],

Cell[TextData[{
 "This ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "r"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "7153f6fd-9572-4e97-a14a-0419ef390c9b"],
 " has a standard error shown in equation (6)."
}], "Text",
 CellChangeTimes->{{3.709108940820269*^9, 3.709108966807046*^9}, {
  3.7535023045682545`*^9, 3.7535023098394823`*^9}},
 CellID->421501321,ExpressionUUID->"af7434d8-1c6f-4a37-8e0f-ee85f79378f4"],

Cell[BoxData[
 FormBox[GridBox[{
    {
     RowBox[{
      SubscriptBox["S", "z"], "=", 
      FractionBox["1", 
       SqrtBox[
        RowBox[{"n", "-", "3"}]],
       FractionLine->0.2]}]}
   },
   GridBoxAlignment->{"Columns" -> {{"Center"}}}], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.762084787351233*^9, 3.7620847944051657`*^9}},
 CellID->1255751899,ExpressionUUID->"210c069e-49cb-405f-82ab-bbf6eb6514ae"],

Cell[TextData[{
 "Using the values for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "r"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "c89803ae-cdea-4fa1-8a9b-150c17cb8abb"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["s", "r"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "cb9bb234-d97c-4acb-93a4-0cd149e073d5"],
 ", we can finally calculate the test statistic, called a ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]], "InlineMath",ExpressionUUID->
  "28e0aabd-b475-4a8d-8387-e5626993336b"],
 "-score (also known as the ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]], "InlineMath",ExpressionUUID->
  "c76bd2b5-06d5-4594-ba56-d7ea5559f38b"],
 "-statistic), as shown in equation (7)."
}], "Text",
 CellChangeTimes->{{3.753502333394927*^9, 3.753502380959531*^9}, {
   3.762084810807061*^9, 3.762084811997139*^9}, {3.7661462085962605`*^9, 
   3.7661462088352604`*^9}, {3.7661462589032607`*^9, 3.7661462591042604`*^9}, 
   3.799578939679586*^9, {3.7995796030588055`*^9, 3.7995796032222476`*^9}, 
   3.7995796478521047`*^9},
 CellID->467841091,ExpressionUUID->"4a13431a-08ce-4074-8d06-b1f635dc24b1"],

Cell[BoxData[
 FormBox[GridBox[{
    {
     RowBox[{"z", "=", 
      FractionBox[
       SubscriptBox["z", "r"], 
       SubscriptBox["S", "z"],
       FractionLine->0.2]}]}
   },
   GridBoxAlignment->{"Columns" -> {{"Center"}}}], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.7620848199270983`*^9, 3.7620848267154512`*^9}},
 CellID->299513764,ExpressionUUID->"0eb9a04d-4f45-40c4-8958-59b9eb7dd056"],

Cell[TextData[{
 "In the following example, we use the ",
 ButtonBox["Log",
  BaseStyle->"Link"],
 " function, which calculates the natural logarithm."
}], "Text",
 CellChangeTimes->{{3.7535024073629684`*^9, 3.753502413852526*^9}, {
  3.762084839812727*^9, 3.76208484415698*^9}, {3.7661462840562606`*^9, 
  3.7661462910692606`*^9}},
 CellID->101182430,ExpressionUUID->"be754cbb-ee82-401e-b42e-5d5e3c11a06b"],

Cell[TextData[{
 "Use ",
 ButtonBox["Log",
  BaseStyle->"Link"],
 " and the correlation that was calculated previously and save it to the \
computer variable ",
 Cell[BoxData[
 "zr"], "InlineCode",ExpressionUUID->"96e2e6d9-fbbe-4a2b-8b39-71017b2e1ff1"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.7535024314880624`*^9, 
   3.7535024352698307`*^9}, {3.762084852693397*^9, 3.762084867675749*^9}, {
   3.766146300935261*^9, 3.7661463212292604`*^9}},
 CellID->434277863,ExpressionUUID->"ec946063-3802-4588-96fd-e1e4aba2e1db"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"zr", "=", 
  RowBox[{
   FractionBox["1", "2"], "*", 
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"Correlation", "[", 
       RowBox[{"length", ",", "width"}], "]"}]}], 
     RowBox[{"1", "-", 
      RowBox[{"Correlation", "[", 
       RowBox[{"length", ",", "width"}], "]"}]}],
     FractionLine->0.45], "]"}]}]}]], "Input",
 CellLabel->"In[13]:=",
 CellID->148176283,ExpressionUUID->"8fe5d83d-4892-4ff0-9a99-d4464afc5141"],

Cell[BoxData["1.8803515879283799`"], "Output",
 CellChangeTimes->{3.7535024451929893`*^9, 3.762086716837235*^9, 
  3.801237156881771*^9},
 CellLabel->"Out[13]=",
 CellID->1327233956,ExpressionUUID->"0be3e743-7e71-4296-8739-fe46580aade3"]
}, Open  ]],

Cell[TextData[{
 "The standard error is easy to calculate. For our example, which had five \
pairs of values, we use ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "5"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "9eda9890-658f-48ea-b769-56cc3d4911ca"],
 "."
}], "Text",
 CellChangeTimes->{
  3.753502463065154*^9, 3.7620848883326817`*^9, 3.762086610165764*^9, {
   3.766146332051261*^9, 3.7661463397482605`*^9}},
 CellID->261651717,ExpressionUUID->"d9d0c298-3dbd-4321-a454-b8b57b014b86"],

Cell[TextData[{
 "Calculate the standard error and save it in the computer variable ",
 Cell[BoxData[
 "sz"], "InlineCode",ExpressionUUID->"a08922cd-0402-47fe-b309-35766727f1d0"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535024774779935`*^9, {3.76208489085244*^9, 
   3.762084894453423*^9}, {3.7661463422352605`*^9, 3.7661463574012604`*^9}},
 CellID->500145814,ExpressionUUID->"acfdf57a-b5ba-4bc7-a56a-76971d51b329"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sz", "=", 
  RowBox[{
   FractionBox["1", 
    SqrtBox[
     RowBox[{"5", "-", "3"}]],
    FractionLine->0.45], "//", "N"}]}]], "Input",
 CellLabel->"In[14]:=",
 CellID->365324840,ExpressionUUID->"a1a4bf23-0100-40f2-aa04-83577672f3d6"],

Cell[BoxData["0.7071067811865475`"], "Output",
 CellChangeTimes->{3.753502483463095*^9, 3.762086716871291*^9, 
  3.8012371569127893`*^9},
 CellLabel->"Out[14]=",
 CellID->295804184,ExpressionUUID->"376864f4-85ed-4651-8e22-b30137a84988"]
}, Open  ]],

Cell[TextData[{
 "Now we can calculate the ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]], "InlineMath",ExpressionUUID->
  "3a3cfda4-57da-4883-9927-1732274b6006"],
 "-score."
}], "Text",
 CellChangeTimes->{{3.7535024929991503`*^9, 3.75350250456291*^9}, {
   3.7661463635292606`*^9, 3.7661463637522607`*^9}, {3.7816309194111423`*^9, 
   3.7816309306466837`*^9}, 3.7995789330662327`*^9},
 CellID->9949041,ExpressionUUID->"370d1288-1b9f-4471-a7d4-5d6202f26874"],

Cell[TextData[{
 "Calculate the ",
 Cell[BoxData[
 "z"], "InlineMath",ExpressionUUID->"083a621c-8fb0-44fc-a934-5e12180386db"],
 "-score and saving it in the computer variable ",
 Cell[BoxData[
 "z"], "InlineMath",ExpressionUUID->"0a8faf55-4a90-4818-95e4-a242ac9c5899"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.753502518057222*^9, 3.7535025218089094`*^9}, {
   3.7620849087570677`*^9, 3.76208492035776*^9}, {3.766146366289261*^9, 
   3.7661463947512608`*^9}, {3.816488668970804*^9, 3.816488669138502*^9}},
 CellID->614205639,ExpressionUUID->"63577768-79da-4246-904e-e06e62efed96"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"z", "=", 
  FractionBox["zr", "sz",
   FractionLine->0.45]}]], "Input",
 CellChangeTimes->{{3.801234468553911*^9, 3.8012344735857487`*^9}},
 CellLabel->"In[15]:=",
 FractionLine -> 0.05,ExpressionUUID->"4d331e60-c131-4dea-ade1-485584eb807f"],

Cell[BoxData["2.6592187176781`"], "Output",
 CellChangeTimes->{3.7535025294665976`*^9, 3.7620867169051447`*^9, 
  3.801237156922593*^9},
 CellLabel->"Out[15]=",
 CellID->156277683,ExpressionUUID->"666e70bc-7045-4a44-8898-c6fa412692ac"]
}, Open  ]],

Cell[TextData[{
 "Since we are dealing with a sampling distribution, we can use ",
 ButtonBox["CDF",
  BaseStyle->"Link"],
 " to find the cumulative distribution function. For positive values of ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]], "InlineMath",ExpressionUUID->
  "13d56a3d-711a-488b-895e-7be6f3548f0a"],
 ", we calculate ",
 Cell[BoxData[
  RowBox[{"1", "-", 
   ButtonBox["CDF",
    BaseStyle->"Link",
    ButtonData->"CDF"]}]], "InlineCodeText",ExpressionUUID->
  "e94439a3-b407-49b5-8e75-223cb0facda8"],
 ", and for negative values, we calculate ",
 ButtonBox["CDF",
  BaseStyle->"Link"],
 ". "
}], "Text",
 CellChangeTimes->{{3.7535025414098434`*^9, 3.75350254961934*^9}, {
  3.76208493582049*^9, 3.762084939745741*^9}, {3.7620866102283363`*^9, 
  3.7620866102841187`*^9}, {3.7661466185872602`*^9, 3.766146650211261*^9}, {
  3.766148875928252*^9, 3.766149010331252*^9}, {3.781631029676243*^9, 
  3.7816310309438953`*^9}},
 CellID->375277144,ExpressionUUID->"e288c8a3-ffe1-4af7-836d-e8436db2fece"],

Cell[TextData[{
 "Calculate a one-tailed ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "f783f3ae-6295-4e40-8324-bb72aeab122e"],
 "-value:"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.75350256584632*^9, {3.762084951996098*^9, 
   3.7620849557908163`*^9}, {3.7661466574722605`*^9, 3.766146715518261*^9}, {
   3.7995995135399523`*^9, 3.7995995235638967`*^9}, {3.79960144243145*^9, 
   3.799601444525279*^9}, {3.816488685690897*^9, 3.816488685890275*^9}},
 CellID->369519850,ExpressionUUID->"d32e0c72-6184-4a10-ac76-095efa8a1a24"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"1", "-", 
  RowBox[{"CDF", "[", 
   RowBox[{
    RowBox[{"NormalDistribution", "[", 
     RowBox[{"0", ",", "1"}], "]"}], ",", "z"}], "]"}]}]], "Input",
 CellLabel->"In[16]:=",
 CellID->940934,ExpressionUUID->"393d3d20-fc81-4b29-a3d1-6d3d13b8f1f1"],

Cell[BoxData["0.0039161049783452695`"], "Output",
 CellChangeTimes->{3.7535025738157473`*^9, 3.7620867169531803`*^9, 
  3.801237156957224*^9},
 CellLabel->"Out[16]=",
 CellID->205732568,ExpressionUUID->"684582e1-e174-4c21-bd52-32eff6199346"]
}, Open  ]],

Cell["For a two-tailed hypothesis, we simply multiply this by 2.", "Text",
 CellChangeTimes->{{3.753502581569763*^9, 3.753502587039257*^9}, {
   3.76208497402736*^9, 3.762084975164131*^9}, 3.762085009300169*^9, 
   3.762086610339613*^9, {3.766146709263261*^9, 3.7661467223252606`*^9}},
 CellID->774318792,ExpressionUUID->"001030d9-729a-4574-8067-945d780d18d5"],

Cell[TextData[{
 "Calculate a two-tailed ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "a10d6731-f956-46a9-b435-1c69c90c1d01"],
 "-value:"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.753502598779755*^9, {3.762084962909534*^9, 
   3.762084964516799*^9}, {3.766146726645261*^9, 3.7661467361162605`*^9}, {
   3.816488770282529*^9, 3.8164887971389017`*^9}},
 CellID->11323500,ExpressionUUID->"4fece026-bbac-45bf-aac8-96ee861c969d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{"CDF", "[", 
     RowBox[{
      RowBox[{"NormalDistribution", "[", 
       RowBox[{"0", ",", "1"}], "]"}], ",", "z"}], "]"}]}], ")"}], "*", 
  "2"}]], "Input",
 CellLabel->"In[17]:=",
 CellID->555763737,ExpressionUUID->"fe95f245-60c2-453b-a78f-6acb4a845b63"],

Cell[BoxData["0.007832209956690539`"], "Output",
 CellChangeTimes->{3.753502608334916*^9, 3.762086716986322*^9, 
  3.80123715696725*^9},
 CellLabel->"Out[17]=",
 CellID->298598706,ExpressionUUID->"4e980692-b09e-42d0-856c-85fc917c1cfb"]
}, Open  ]],

Cell[TextData[{
 "The add-on package Hypothesis Testing, which we used in a previous chapter, \
has a function called ",
 ButtonBox["NormalPValue",
  BaseStyle->"Link"],
 ". We pass the calculated ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]], "InlineMath",ExpressionUUID->
  "d72dbdd4-4678-4bb3-ad06-6ee8fc4bc35d"],
 "-score to it and can specify that we want a two-tailed ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "df6f0c65-622e-4ead-8d9b-5a1069bf8c2b"],
 "-value."
}], "Text",
 CellChangeTimes->{{3.7535026182871256`*^9, 3.7535026547148075`*^9}, 
   3.762085047381432*^9, {3.7620850927255573`*^9, 3.762085108124298*^9}, 
   3.7620866103965693`*^9, {3.7661469021347117`*^9, 3.7661469191051054`*^9}, {
   3.766147172522518*^9, 3.76614717944221*^9}, 3.8134784469961042`*^9, 
   3.816020703720663*^9, 3.819019722764411*^9},
 CellID->684416603,ExpressionUUID->"ec898a14-5e3a-49af-b0e0-06661e97d37c"],

Cell["Import the package:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535026762493844`*^9, 3.76208511295615*^9, {
   3.799579139178178*^9, 3.7995791394966855`*^9}},
 CellID->504211589,ExpressionUUID->"0b58a1c6-1302-4b9e-9d4a-d6b0d87920d9"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<HypothesisTesting`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.753502678562147*^9, 3.7535026828907433`*^9}},
 CellLabel->"In[18]:=",
 CellID->24174306,ExpressionUUID->"adfae4ae-ed06-4a8c-a467-476f2ac58a58"],

Cell["The default is a one-tailed test:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535027003545218`*^9, 3.762085115667404*^9},
 CellID->348642862,ExpressionUUID->"c3a0ac9c-74cb-4b9c-87b6-171a39d0271a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NormalPValue", "[", 
  RowBox[{"z", ",", 
   RowBox[{"TwoSided", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[19]:=",
 CellID->428375906,ExpressionUUID->"dc1a7f37-c7e5-43bd-b2b1-2bc17ba79445"],

Cell[BoxData[
 RowBox[{"TwoSidedPValue", "\[Rule]", "0.007832209956690515`"}]], "Output",
 CellChangeTimes->{3.753502711043833*^9, 3.762086717060067*^9, 
  3.8012371571272173`*^9},
 CellLabel->"Out[19]=",
 CellID->1930740803,ExpressionUUID->"a67f18fa-33ac-461a-b326-4e8a601d81bb"]
}, Open  ]],

Cell["\<\
We can also construct 95% confidence intervals around the Pearson correlation \
coefficient. Note that a confidence level of 95% is represented by a standard \
error of about 1.96. This will be different for different confidence levels. \
The equation is shown in (8).\
\>", "Text",
 CellChangeTimes->{{3.7535027217017727`*^9, 3.753502755094164*^9}, {
   3.7620851276676817`*^9, 3.762085143421569*^9}, {3.7620866104605627`*^9, 
   3.7620866105720463`*^9}, 3.76208669535716*^9, {3.76614720694596*^9, 
   3.7661472084891143`*^9}},
 CellID->7189707,ExpressionUUID->"d707b128-4839-4618-ae99-10a005dce837"],

Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["z", "r"], "\[PlusMinus]", 
   RowBox[{"(", 
    RowBox[{"1.96", "\[Times]", 
     SubscriptBox["S", "z"]}], ")"}]}], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.762085160101967*^9, 3.762085168338896*^9}},
 CellID->1026402730,ExpressionUUID->"5a2889c4-4aed-4298-8f32-6552cc4726e5"],

Cell["\<\
Let\[CloseCurlyQuote]s calculate the lower and the upper bounds for a 95% \
confidence level.\
\>", "Text",
 CellChangeTimes->{{3.753502780241536*^9, 3.7535027982410803`*^9}, {
  3.762085187339344*^9, 3.762085187419306*^9}},
 CellID->118363217,ExpressionUUID->"8636017b-25cd-4e09-a2cc-5bd88f7c72ba"],

Cell["The lower limit of the 95% confidence interval:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535028141698074`*^9, 3.762085189891066*^9, {
   3.7661472226905346`*^9, 3.7661472236906347`*^9}, {3.7995793449564743`*^9, 
   3.7995793595687017`*^9}},
 CellID->732493635,ExpressionUUID->"967b6c19-8b8b-4116-adab-0083b82045ef"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lowerBoundzr", "=", 
  RowBox[{"zr", "-", 
   RowBox[{"(", 
    RowBox[{"1.96", "*", "sz"}], ")"}]}]}]], "Input",
 CellLabel->"In[20]:=",
 CellID->647317213,ExpressionUUID->"52471225-f93c-4337-9563-5f10dccd9e35"],

Cell[BoxData["0.49442229680274696`"], "Output",
 CellChangeTimes->{3.753502823848154*^9, 3.762086717102768*^9, 
  3.801237157135023*^9},
 CellLabel->"Out[20]=",
 CellID->1482769851,ExpressionUUID->"cfa985bc-a908-4bed-bd9f-a5441c6de052"]
}, Open  ]],

Cell["The upper limit of the 95% confidence interval:", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535028395140033`*^9, 3.7620851961790237`*^9, {
   3.7661472305953245`*^9, 3.766147231892454*^9}, {3.79957935088829*^9, 
   3.7995793548041077`*^9}},
 CellID->379388,ExpressionUUID->"51a6f7e5-b818-4564-b59a-00a97a54b254"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"upperBoundzr", "=", 
  RowBox[{"zr", "+", 
   RowBox[{"(", 
    RowBox[{"1.96", "*", "sz"}], ")"}]}]}]], "Input",
 CellLabel->"In[21]:=",
 CellID->524993047,ExpressionUUID->"e1ef9244-9b46-4ff7-86ac-b587724f6cc4"],

Cell[BoxData["3.2662808790540128`"], "Output",
 CellChangeTimes->{3.7535028472960215`*^9, 3.7620867171359873`*^9, 
  3.801237157160077*^9},
 CellLabel->"Out[21]=",
 CellID->505353971,ExpressionUUID->"7a44fd1c-45b6-4eed-87fc-ceb9f34fe67b"]
}, Open  ]],

Cell[TextData[{
 "These values can be converted back to ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]], "InlineMath",ExpressionUUID->
  "aca11833-f327-4754-ac62-39fd653eedd9"],
 "-values as shown in equation (9)."
}], "Text",
 CellChangeTimes->{{3.7535028621708093`*^9, 3.753502871817602*^9}, {
  3.766147244100675*^9, 3.766147244282693*^9}},
 CellID->628287383,ExpressionUUID->"44e1579b-14f6-4283-90c8-fb23b102f280"],

Cell[BoxData[
 FormBox[GridBox[{
    {
     RowBox[{"r", "=", 
      FractionBox[
       RowBox[{
        SuperscriptBox["e", 
         RowBox[{"(", 
          RowBox[{"2", "\[Times]", 
           SubscriptBox["z", "r"]}], ")"}]], "-", "1"}], 
       RowBox[{
        SuperscriptBox["e", 
         RowBox[{"(", 
          RowBox[{"2", "\[Times]", 
           SubscriptBox["z", "r"]}], ")"}]], "+", "1"}],
       FractionLine->0.2]}]}
   },
   GridBoxAlignment->{"Columns" -> {{"Center"}}}], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.762085221125305*^9, 3.7620852273276043`*^9}},
 CellID->1300796578,ExpressionUUID->"ed141a4d-3c02-448b-bb25-0530103cba74"],

Cell[TextData[{
 "Here the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "r"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "7c2ff9c5-203c-45e3-8a6e-69f42c7c31e9"],
 "-values refer to the lower and upper bound values."
}], "Text",
 CellChangeTimes->{
  3.7535028977053*^9, {3.766147259141179*^9, 3.7661472687661414`*^9}},
 CellID->10746519,ExpressionUUID->"7c4e0494-d8fb-482b-99b8-994aae0fac65"],

Cell[TextData[{
 "Lower ",
 Cell[BoxData[
  StyleBox["r", "TI",
   FontSlant->"Italic"]], "InlineFormula",ExpressionUUID->
  "d796e901-c167-4d47-ac03-b3fe6718f147"],
 "-value:"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.753502911383807*^9, {3.7620852400597963`*^9, 
   3.762085244402055*^9}, {3.799579387237851*^9, 3.7995793874398184`*^9}, 
   3.79957944438496*^9, {3.7995796634761887`*^9, 3.799579727399869*^9}, {
   3.816020830466103*^9, 3.816020830466138*^9}},
 CellID->120670238,ExpressionUUID->"59ebb8f0-ee7c-4068-a093-f7372971f1d2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rLower", "=", 
  FractionBox[
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{"2", "*", "lowerBoundzr"}], "]"}], "-", "1"}], 
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{"2", "*", "lowerBoundzr"}], "]"}], "+", "1"}],
   FractionLine->0.45]}]], "Input",
 CellLabel->"In[22]:=",
 CellID->119243408,ExpressionUUID->"edfc5326-7cde-4c13-812b-bf5c3fbb5339"],

Cell[BoxData["0.45771929511234816`"], "Output",
 CellChangeTimes->{3.753502917728033*^9, 3.762086717204904*^9, 
  3.801237157168057*^9},
 CellLabel->"Out[22]=",
 CellID->186366712,ExpressionUUID->"4b4e7afe-5f70-4380-9e16-c2fd1ecbc6cf"]
}, Open  ]],

Cell[TextData[{
 "Upper ",
 Cell[BoxData[
  StyleBox["r",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "4b206c91-c448-48d1-9cf7-72ffd95045e8"],
 "-value:"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.753502928420712*^9, {3.762085262540476*^9, 
   3.762085264731596*^9}, {3.799579390053726*^9, 3.799579390267468*^9}, 
   3.7995797340086126`*^9, 3.816020833184451*^9},
 CellID->391214920,ExpressionUUID->"f63e1d88-0fa7-458f-a9bd-35ece92545d9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rUpper", "=", 
  FractionBox[
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{"2", "*", "upperBoundzr"}], "]"}], "-", "1"}], 
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{"2", "*", "upperBoundzr"}], "]"}], "+", "1"}],
   FractionLine->0.45]}]], "Input",
 CellLabel->"In[23]:=",
 CellID->151764174,ExpressionUUID->"a0dec96d-77dc-48d3-8e02-bfb036e00d7f"],

Cell[BoxData["0.9970936834578806`"], "Output",
 CellChangeTimes->{3.7535029373122916`*^9, 3.7620867172535267`*^9, 
  3.801237157199435*^9},
 CellLabel->"Out[23]=",
 CellID->1003280663,ExpressionUUID->"b5eaa0ea-732e-44ad-a4b9-106bc7b293b7"]
}, Open  ]],

Cell[TextData[{
 "We can now finally conclude that there is a significant correlation between \
length and width with a Pearson correlation coefficient, ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]], "InlineMath",ExpressionUUID->
  "4904d541-1eac-431c-8cb6-4c0be9ea229e"],
 ", of 0.96 (a 95% confidence interval from 0.46 to 1), with a ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "6cc18e58-a16a-448a-9dea-59ac2b479bb9"],
 "-value of less than 0.01."
}], "Text",
 CellChangeTimes->{
  3.7535029463652*^9, {3.762085281910725*^9, 3.762085299667292*^9}, {
   3.7661472822704916`*^9, 3.7661472824765124`*^9}, 3.8134785254997387`*^9, {
   3.816020862007896*^9, 3.816020872447103*^9}},
 CellID->103477735,ExpressionUUID->"37682d5e-defa-45a9-8752-1b6d2de5e2ed"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Comparing Correlation Coefficients", "Subsection",
 CellChangeTimes->{{3.7535029666530485`*^9, 3.7535029728624268`*^9}, {
  3.7620085415925913`*^9, 3.762008545208531*^9}},
 CellID->325450600,ExpressionUUID->"33344491-acf0-42c3-b28b-aea8106c78e3"],

Cell["\<\
It may also be warranted to compare two correlation coefficients. This need \
arises when the data point values for the numerical variables can be split by \
another categorical variable. In the next example, we create paired data \
point values for two species. \
\>", "Text",
 CellChangeTimes->{
  3.753502997469775*^9, {3.762086610626129*^9, 3.762086610690613*^9}, {
   3.766147874367696*^9, 3.766147885462805*^9}},
 CellID->209188264,ExpressionUUID->"50d10978-b6ed-4eab-be72-9c38c3dc9624"],

Cell["\<\
Create a theoretical (population) distribution with a mean of 20 and a \
standard deviation of 5:\
\>", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535029328586206`*^9, 3.753503021493326*^9, 
   3.762085322955284*^9, {3.766147898384097*^9, 3.766147898799138*^9}},
 CellID->25024752,ExpressionUUID->"48bfb05b-b535-4b8f-b4e4-577e42144e06"],

Cell[BoxData[
 RowBox[{
  RowBox[{"populationDistribution", "=", 
   RowBox[{"NormalDistribution", "[", 
    RowBox[{"20", ",", "5"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753503037375451*^9, 3.753503043934413*^9}},
 CellLabel->"In[24]:=",
 CellID->28533203,ExpressionUUID->"0c6c0313-87ff-4b82-8527-2137adda55f4"],

Cell[TextData[{
 "In the next code cell, we create two sets of 30 paired values taken at \
random from the population distribution. Each value in a pair represents one \
of two numerical variables for which we want to find a correlation. We will \
use the computer variable names ",
 Cell[BoxData[
 "speciesA"], "InlineCodeText",ExpressionUUID->
  "e7a7f93d-b302-432c-a891-dec0b05845c6"],
 " and ",
 Cell[BoxData[
 "speciesB"], "InlineCodeText",ExpressionUUID->
  "ec9797f4-d4c8-4726-9f0e-34bfe6efa60b"],
 "."
}], "Text",
 CellChangeTimes->{{3.753503061825386*^9, 3.753503112560627*^9}, {
   3.762085341501821*^9, 3.7620853650591927`*^9}, {3.762086610747464*^9, 
   3.762086610802197*^9}, {3.7661479200802665`*^9, 3.76614792121738*^9}, 
   3.816020940024362*^9},
 CellID->804359849,ExpressionUUID->"964bffbb-9455-427e-9972-29b403aa5555"],

Cell["\<\
Create two groups, each with 30 pairs of values taken from the population \
distribution:\
\>", "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535031481591797`*^9, 3.762085370803091*^9, {
   3.766147933776636*^9, 3.766147934137672*^9}},
 CellID->158461811,ExpressionUUID->"6c456a83-67aa-4e1a-ad20-8a421c2d3456"],

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "123", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"speciesA", "=", 
   RowBox[{"RandomVariate", "[", 
    RowBox[{"populationDistribution", ",", 
     RowBox[{"{", 
      RowBox[{"30", ",", "2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"speciesB", "=", 
   RowBox[{"RandomVariate", "[", 
    RowBox[{"populationDistribution", ",", 
     RowBox[{"{", 
      RowBox[{"30", ",", "2"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.753503160369259*^9, 3.753503186942869*^9}},
 CellLabel->"In[25]:=",
 CellID->556893268,ExpressionUUID->"d68f98d4-c7b5-4436-a680-5651e027cff0"],

Cell[TextData[{
 "Now we use the ",
 ButtonBox["ListPlot",
  BaseStyle->"Link"],
 " function to plot the data point value pairs for the two groups. In this \
case, you will note the use of the ",
 ButtonBox["Labeled",
  BaseStyle->"Link"],
 " function as one of the arguments. It, in turn, allows us to pass two \
arguments. The first is the list of paired values and the second is a string \
name to label the values. Note also that the two sets that are to be plotted \
are stipulated as a ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object."
}], "Text",
 CellChangeTimes->{{3.7160068298905315`*^9, 3.7160069904302673`*^9}, {
   3.7263745146753397`*^9, 3.7263745470024824`*^9}, {3.753503204761478*^9, 
   3.753503255410431*^9}, {3.76208538158705*^9, 3.762085430609786*^9}, {
   3.7620866108595657`*^9, 3.762086611039418*^9}, 3.7661479499162493`*^9, {
   3.7661479857598333`*^9, 3.7661479890321608`*^9}, {3.8134786024148207`*^9, 
   3.813478603014208*^9}},
 CellID->699943640,ExpressionUUID->"48e6190b-34c3-4fa4-a3c5-231164eec400"],

Cell[TextData[{
 "Show both sets of pairs and label them at the same time using ",
 ButtonBox["Labeled",
  BaseStyle->"Link"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.753503270792058*^9, 3.7535032868002434`*^9}, {
   3.762085436799411*^9, 3.76208543915489*^9}, {3.7661479928855457`*^9, 
   3.766148007453003*^9}},
 CellID->36476815,ExpressionUUID->"7e368f9d-52f9-48d2-8e75-6fbb3d87ad88"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Labeled", "[", 
     RowBox[{"speciesA", ",", "\"\<A\>\""}], "]"}], ",", 
    RowBox[{"Labeled", "[", 
     RowBox[{"speciesB", ",", "\"\<B\>\""}], "]"}]}], "}"}], "]"}]], "Input",
 CellLabel->"In[28]:=",
 CellID->244489474,ExpressionUUID->"cf3f739c-5009-4de1-a331-8feee9cb9c32"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwB8QEO/iFib1JlAgAAAB4AAAACAAAASyZ62S41OkA5d70iJSEzQIdYpBJo
qTVATU6qpBCZM0B2Pduzst4oQHSW1XQdmzVArbp8NZ86JkBPLVRiGMU7QBnQ
wRzHKjVAKrljUmU3K0A4ELrzUvgmQBzcIfSRQSZAUOQUkc2/OkD7d1l20Es4
QN6ZIgyN/DVApFSkKe2fNUAEgdJROhk7QN8fYB4yBDBA+0aXLnShO0D/Oj+f
YIM5QKR3vmaV6i1A9v+QRDGCN0CsSYYcEYYzQB8t9+sdGjVAaEGKwqOUMkDS
Agwy/RQ+QP4dlC4KozFA6P2WLTcsL0CrxUYN1y8nQFEtLgjxbjRAeMJtucfJ
LUBMKM1olV4yQI6kkq3yRTBABBRX+rN7LkA6vUPOJyMyQGT8PevTUStAAr5f
VssnNUDW3gO7uDMzQDcVYX6rNzJAnkhjbscPMkBw51U1L2crQBnVWSRSqjZA
pIREqdxuLUAVKYebz5E0QHIygDHgTz1Au908UN3QMUDk5L3uX2geQNxFCbWL
SjRA0lMn1WbnOUDl1OUrh3U0QEy1+KY0RTlA2LQCN3jVNkCKi4UkIpsvQGyV
rUzJuC5AlvSEMvslMUDmPlhiHAouQDBPOr6n/S9AIITqBzVvNkBGxwidVyA0
QGwx7VRCfjNAg3PHag==
       "]]},
     Annotation[#, {{Labeled}, Charting`Private`Tag$71858, {1}}]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwB8QEO/iFib1JlAgAAAB4AAAACAAAAAf2pxZcgM0Dm7U540tA8QIKQpe36
QzBAnamaVz1iOEBI9rEnq+wtQOpRmPHT2jNAq8YA1zbQL0BnGdnt5z43QDoa
Nu6YgTlA3A6i4XwJMkBK2pHYQbIpQCqwi53KATZAqHwXs2ezNEAZ53OULdc2
QIydcUDCgjFA9SlZU2QOJUAJLimOEvU0QHipZj6gxzRA4jPnsKORNUCCWy3x
M4YiQLzcRbQ6/y1A9JT1CL0kNEAku/4EFvs0QB/3zLOnvSZAnzoon14fMUAI
7WRHsGE1QJRq0HujgTZAXThmxV0EMkCB3XXF8qo0QK8/LYwnzTRA6JQ1Pa1K
L0Au6F8jSXsrQKcya6iszTZA/LC9Sk7+M0AplVZGlCAxQC4f3S+FKz5AiuOS
dJdzL0BUvlYvTP0pQIm0k7hXUjhA6OrocGIfPkDkqwsMoUAzQCtNf+LyrzhA
v7APK8DgLkCULNsazho2QClA+4WoNzZAshozWQ2wMkDZqxx3HqMlQD4VFqrY
zilAtgZO1gLuK0AFJT8GI6MwQAZs4bosSTBAZfKeeSiuNEAdZk7zgvAsQBB4
ATE9GzNApm8sXOf2MECZLQrGi2g3QDQre/Az/j9ASFQUomq6L0BOb71QBCM4
QPYkZXTMrTZAoL3O2w==
       "]]},
     Annotation[#, {{Labeled}, Charting`Private`Tag$71858, {2}}]& ], {}}, {{
     GraphicsGroupBox[{
       {GrayLevel[1], AbsoluteThickness[4], Opacity[
         NCache[
          Rational[2, 3], 0.6666666666666666]], CapForm["Butt"], JoinForm[
        "Round"], 
        BSplineCurveBox[{
         Offset[{0, 0}, {32.501126939914904`, 15.864094796163172`}], 
          Offset[{0, 0}, {32.501126939914904`, 15.864094796163172`}], 
          Offset[{0., 0.}, {32.74503745569755, 15.864094796163172`}], 
          Offset[{0., 0.}, {32.74503745569755, 15.864094796163172`}], 
          Offset[{0., 0.}, {32.988947971480194`, 15.864094796163172`}], 
          Offset[{0, 0}, {33.476769403919604`, 15.864093308604613`}], 
          Offset[{5., 1.1102230246251565`*^-15}, {33.476769403919604`, 
           15.864093308604613`}], 
          Offset[{10., 2.220446049250313*^-15}, {33.476769403919604`, 
           15.864093308604613`}], 
          Offset[{10., 2.220446049250313*^-15}, {33.476769403919604`, 
           15.864093308604613`}]}]}, 
       {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
        AbsoluteThickness[1.25], 
        BSplineCurveBox[{
         Offset[{0, 0}, {32.501126939914904`, 15.864094796163172`}], 
          Offset[{0, 0}, {32.501126939914904`, 15.864094796163172`}], 
          Offset[{0., 0.}, {32.74503745569755, 15.864094796163172`}], 
          Offset[{0., 0.}, {32.74503745569755, 15.864094796163172`}], 
          Offset[{0., 0.}, {32.988947971480194`, 15.864094796163172`}], 
          Offset[{0, 0}, {33.476769403919604`, 15.864093308604613`}], 
          Offset[{5., 1.1102230246251565`*^-15}, {33.476769403919604`, 
           15.864093308604613`}], 
          Offset[{10., 2.220446049250313*^-15}, {33.476769403919604`, 
           15.864093308604613`}], 
          Offset[{10., 2.220446049250313*^-15}, {33.476769403919604`, 
           15.864093308604613`}]}]}, 
       {EdgeForm[None], FaceForm[{GrayLevel[1], Opacity[
         NCache[
          Rational[2, 3], 0.6666666666666666]]}], 
        PolygonBox[{
         Offset[{23., 7.000000000000005}, {33.476769403919604`, 
           15.864093308604613`}], 
          Offset[{23., -6.999999999999995}, {33.476769403919604`, 
           15.864093308604613`}], 
          Offset[{10.000000000000002`, -6.999999999999998}, {
           33.476769403919604`, 15.864093308604613`}], 
          Offset[{9.999999999999998, 7.000000000000002}, {33.476769403919604`,
            15.864093308604613`}]}]}, 
       {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
        AbsoluteThickness[1.25], EdgeForm[None]}, {}, InsetBox[
        RotationBox["\<\"B\"\>",
         BoxRotation->0.], 
        Offset[{16.5, 3.6637359812630166*^-15}, \
{33.476769403919604, 15.864093308604613}], {0, 0}]}], GraphicsGroupBox[{
       {GrayLevel[1], AbsoluteThickness[4], Opacity[
         NCache[
          Rational[2, 3], 0.6666666666666666]], CapForm["Butt"], JoinForm[
        "Round"], 
        BSplineCurveBox[{
         Offset[{0, 0}, {25.75815569087446, 22.8338655835731}], 
          Offset[{0, 0}, {25.75815569087446, 22.8338655835731}], 
          Offset[{0., 0.}, {25.75815569087446, 22.8338655835731}], 
          Offset[{0., 0.}, {25.75815569087446, 22.8338655835731}], 
          Offset[{0., 0.}, {25.75815569087446, 22.8338655835731}], 
          Offset[{0, 0}, {33.476769403919604`, 22.833866765242863`}], 
          Offset[{5., 1.1102230246251565`*^-15}, {33.476769403919604`, 
           22.833866765242863`}], 
          Offset[{10., 2.220446049250313*^-15}, {33.476769403919604`, 
           22.833866765242863`}], 
          Offset[{10., 2.220446049250313*^-15}, {33.476769403919604`, 
           22.833866765242863`}]}]}, 
       {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
        AbsoluteThickness[1.25], 
        BSplineCurveBox[{
         Offset[{0, 0}, {25.75815569087446, 22.8338655835731}], 
          Offset[{0, 0}, {25.75815569087446, 22.8338655835731}], 
          Offset[{0., 0.}, {25.75815569087446, 22.8338655835731}], 
          Offset[{0., 0.}, {25.75815569087446, 22.8338655835731}], 
          Offset[{0., 0.}, {25.75815569087446, 22.8338655835731}], 
          Offset[{0, 0}, {33.476769403919604`, 22.833866765242863`}], 
          Offset[{5., 1.1102230246251565`*^-15}, {33.476769403919604`, 
           22.833866765242863`}], 
          Offset[{10., 2.220446049250313*^-15}, {33.476769403919604`, 
           22.833866765242863`}], 
          Offset[{10., 2.220446049250313*^-15}, {33.476769403919604`, 
           22.833866765242863`}]}]}, 
       {EdgeForm[None], FaceForm[{GrayLevel[1], Opacity[
         NCache[
          Rational[2, 3], 0.6666666666666666]]}], 
        PolygonBox[{
         Offset[{23., 7.000000000000005}, {33.476769403919604`, 
           22.833866765242863`}], 
          Offset[{23., -6.999999999999995}, {33.476769403919604`, 
           22.833866765242863`}], 
          Offset[{10.000000000000002`, -6.999999999999998}, {
           33.476769403919604`, 22.833866765242863`}], 
          Offset[{9.999999999999998, 7.000000000000002}, {33.476769403919604`,
            22.833866765242863`}]}]}, 
       {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
        AbsoluteThickness[1.25], EdgeForm[None]}, {}, InsetBox[
        RotationBox["\<\"A\"\>",
         BoxRotation->0.], 
        Offset[{16.5, 3.6637359812630166*^-15}, \
{33.476769403919604, 22.833866765242863}], {0, 0}]}]}, {}}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{7.220818272859509, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{All, 38.75}, {All, All}},
  ImageSize->{561., Automatic},
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{7.60192845376989, 31.992980032034396`}, {
    0, 30.170001021847547`}},
  PlotRangeClipping->False,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.753503289300352*^9, 3.762086717913488*^9},
 CellLabel->"Out[28]=",
 CellID->368072939,ExpressionUUID->"d6cdb735-6439-4ba4-837d-3e4980092a90"]
}, Open  ]],

Cell[TextData[{
 "To compare the correlation coefficients, we need to extract each group of \
data point values from the ",
 Cell[BoxData[
 "speciesA"], "InlineCodeText",ExpressionUUID->
  "56893b8f-53d7-4b66-a254-7e5faca76bdb"],
 " and ",
 Cell[BoxData[
 "speciesB"], "InlineCodeText",ExpressionUUID->
  "44c5c302-78e0-4db0-ada7-c3825be6dbdb"],
 " nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects. We can achieve this using addressing. Since each set contains two \
variables, we will use the computer variables ",
 Cell[BoxData[
 "speciesAVar1"], "InlineCodeText",ExpressionUUID->
  "c61dea26-c4a0-4202-9ac9-4355aa80057f"],
 ", ",
 Cell[BoxData[
 "speciesAVar2"], "InlineCodeText",ExpressionUUID->
  "014b26e1-15c6-44a7-be4e-54a4eb92ca5f"],
 ", ",
 Cell[BoxData[
 "speciesBVar1"], "InlineCodeText",ExpressionUUID->
  "179d448c-f71a-4cab-9d92-eb01ba1847ab"],
 ", and ",
 Cell[BoxData[
 "speciesBVar2"], "InlineCodeText",ExpressionUUID->
  "4a1e4d51-758d-4ac7-9947-2749652b201d"],
 " for descriptive purposes to help us later when we review the code or give \
it to someone else to view."
}], "Text",
 CellChangeTimes->{{3.7535033041501675`*^9, 3.753503324047184*^9}, {
  3.762085446367701*^9, 3.762085482426865*^9}, {3.762086611097395*^9, 
  3.7620866111639853`*^9}, {3.7661482469292517`*^9, 3.766148276708252*^9}, {
  3.7995174356681433`*^9, 3.799517437174348*^9}},
 CellID->420718834,ExpressionUUID->"4d3a05f1-6ddf-490f-bfc6-c4481417bff0"],

Cell[TextData[{
 "Extract the first element of each pair in ",
 Cell[BoxData[
 "speciesA"], "InlineCode",ExpressionUUID->
  "5364f305-db7c-45e8-9451-2845c75e4b55"],
 " (nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object):"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.7535033579707193`*^9, 
   3.7535033707390223`*^9}, {3.7620854871145973`*^9, 3.76208550130867*^9}, {
   3.766148401277252*^9, 3.766148409314252*^9}, {3.766148446761252*^9, 
   3.766148495858252*^9}, {3.766148545189252*^9, 3.7661485808492517`*^9}, {
   3.781631563032997*^9, 3.781631571338051*^9}},
 CellID->905514833,ExpressionUUID->"1e1880c4-a508-40cb-88d4-61d28d25a98e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"speciesAVar1", "=", 
   RowBox[{"speciesA", "\[LeftDoubleBracket]", 
    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], ";"}]], "Input",
 CellLabel->"In[29]:=",
 CellID->628230734,ExpressionUUID->"6f9cf89d-997c-44b0-9fa6-274ee1ad4e56"],

Cell[TextData[{
 "Extract the second element of each pair in ",
 Cell[BoxData[
 "speciesA"], "InlineCode",ExpressionUUID->
  "9dba6156-ddec-46ae-802b-5ddd9c41b3f0"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.7535033579707193`*^9, 
   3.7535034006389074`*^9}, {3.762085489937937*^9, 3.762085506971479*^9}, {
   3.766148411859252*^9, 3.766148419202252*^9}, {3.766148490854252*^9, 
   3.766148491167252*^9}, {3.7661485852892523`*^9, 3.766148591616252*^9}},
 CellID->19017190,ExpressionUUID->"fecbbfb4-ec52-4eee-af92-7ac0e64543e6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"speciesAVar2", "=", 
   RowBox[{"speciesA", "\[LeftDoubleBracket]", 
    RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}]}], ";"}]], "Input",
 CellLabel->"In[30]:=",
 CellID->73728581,ExpressionUUID->"75444974-13bf-4e54-9a21-ee36a4d49953"],

Cell[TextData[{
 "Extract the first element of each pair in ",
 Cell[BoxData[
 "speciesB"], "InlineCode",ExpressionUUID->
  "e0c6c322-12dc-4231-b159-3848976ca84d"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.7535033579707193`*^9, 
   3.7535033707390223`*^9}, {3.762085508395384*^9, 3.762085512298645*^9}, {
   3.766148424313252*^9, 3.7661484345282516`*^9}, {3.766148502496252*^9, 
   3.766148505461252*^9}, {3.766148595642252*^9, 3.766148602895252*^9}},
 CellID->4206411,ExpressionUUID->"36120c01-f0d8-4980-a4c1-3c11b8e14616"],

Cell[BoxData[
 RowBox[{
  RowBox[{"speciesBVar1", "=", 
   RowBox[{"speciesB", "\[LeftDoubleBracket]", 
    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], ";"}]], "Input",
 CellLabel->"In[31]:=",
 CellID->117750082,ExpressionUUID->"91d84bdf-ec57-4624-ba92-a1685163f46c"],

Cell[TextData[{
 "Extract the second element of each pair in ",
 Cell[BoxData[
 "speciesB"], "InlineCode",ExpressionUUID->
  "b58cbcfc-2005-4c97-a8c3-6e0ecd25b3d2"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.7535033579707193`*^9, 
   3.7535033925333786`*^9}, {3.7620855094434032`*^9, 3.762085514265867*^9}, {
   3.766148440385252*^9, 3.766148442328252*^9}, {3.766148512877252*^9, 
   3.766148513189252*^9}, {3.766148604935252*^9, 3.766148611375252*^9}, {
   3.799597195495573*^9, 3.7995971958577147`*^9}},
 CellID->104833427,ExpressionUUID->"d3e57090-65d0-4c51-b553-f3df9c468370"],

Cell[BoxData[
 RowBox[{
  RowBox[{"speciesBVar2", "=", 
   RowBox[{"speciesB", "\[LeftDoubleBracket]", 
    RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}]}], ";"}]], "Input",
 CellLabel->"In[32]:=",
 CellID->60722499,ExpressionUUID->"7b845233-108e-4883-8990-d6d6f7abaebf"],

Cell[TextData[{
 "Next up, we calculate the correlation coefficient for the ",
 Cell[BoxData[
 "speciesA"], "InlineCodeText",ExpressionUUID->
  "e47a8d8a-b1d2-45c1-a80a-bbd3eca704b4"],
 " group and the ",
 Cell[BoxData[
 "speciesB"], "InlineCodeText",ExpressionUUID->
  "e411be2b-f11f-4249-9fd9-af2b040d2a53"],
 " group using the separated ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects. We will use ",
 Cell[BoxData[
 "rA"], "InlineCodeText",ExpressionUUID->
  "8657a1b7-dfee-4bbf-8e64-a2aa03f6d6a1"],
 " and ",
 Cell[BoxData[
 "rB"], "InlineCodeText",ExpressionUUID->
  "08abd708-9b1b-4003-b545-2562461dbc5c"],
 " for the two correlation coefficients."
}], "Text",
 CellChangeTimes->{{3.753503437142008*^9, 3.753503452338995*^9}, {
   3.7620855252860193`*^9, 3.7620855436632347`*^9}, 3.762086611220046*^9, {
   3.766148677684252*^9, 3.766148687353252*^9}, 3.816020973719853*^9},
 CellID->383480746,ExpressionUUID->"bb943854-14d6-44e0-b413-5e85507b467e"],

Cell[TextData[{
 "Calculate the correlation coefficient for the ",
 Cell[BoxData[
 "speciesA"], "InlineCode",ExpressionUUID->
  "791b8f26-6c2c-42ad-a194-6ff7a0375477"],
 " group and save it as variable ",
 Cell[BoxData[
 "rA"], "InlineCode",ExpressionUUID->"0db655cc-f7c7-498b-8f34-c139bb351a30"],
 ":"
}], "CodeCaption",
 PageBreakAbove->True,
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535034643824186`*^9, {3.762085548218285*^9, 
   3.762085580262233*^9}, {3.7661486943702517`*^9, 3.7661487000252523`*^9}, {
   3.813478699070341*^9, 3.813478701773836*^9}},
 CellID->309263145,ExpressionUUID->"32262036-9063-4746-aa9c-de60648afaf3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rA", "=", 
  RowBox[{"Correlation", "[", 
   RowBox[{"speciesAVar1", ",", "speciesAVar2"}], "]"}]}]], "Input",
 CellLabel->"In[33]:=",
 CellID->185556812,ExpressionUUID->"c6fce6ec-6d50-410b-954d-7503af1f6a01"],

Cell[BoxData["0.04321895266422566`"], "Output",
 CellChangeTimes->{3.7535034751846905`*^9, 3.762086717957511*^9, 
  3.801237157755011*^9},
 CellLabel->"Out[33]=",
 CellID->639583694,ExpressionUUID->"08f22194-de17-49af-ad13-03128270a57c"]
}, Open  ]],

Cell[TextData[{
 "Calculate the correlation coefficient for the ",
 Cell[BoxData[
 "speciesB"], "InlineCode",ExpressionUUID->
  "e15ad30e-f4dd-45bc-8fc5-08955ebe024a"],
 " group and save it as variable ",
 Cell[BoxData[
 "rB"], "InlineCode",ExpressionUUID->"fe5d8212-637b-4bd0-96fc-6893ed7cc264"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535034845263586`*^9, {3.7620855640104094`*^9, 
   3.76208557408983*^9}, {3.766148703978252*^9, 3.766148708018252*^9}, {
   3.813478707909782*^9, 3.8134787162296963`*^9}},
 CellID->682691815,ExpressionUUID->"5994d9d1-4d25-4673-9752-64a63c5bba11"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rB", "=", 
  RowBox[{"Correlation", "[", 
   RowBox[{"speciesBVar1", ",", "speciesBVar2"}], "]"}]}]], "Input",
 CellLabel->"In[34]:=",
 CellID->92726320,ExpressionUUID->"43350b18-caeb-4d0a-9f0a-e61b8fe6118b"],

Cell[BoxData["0.027299392788030535`"], "Output",
 CellChangeTimes->{3.753503494074314*^9, 3.762086718003375*^9, 
  3.8012371577809*^9},
 CellLabel->"Out[34]=",
 CellID->377011241,ExpressionUUID->"b789fd11-dbd1-4325-b642-4a615791af2c"]
}, Open  ]],

Cell[TextData[{
 "We need to calculate a ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]], "InlineMath",ExpressionUUID->
  "354306fe-d510-48ad-b5b2-4fa819549da5"],
 "-score for the difference between these two correlation coefficients. The \
equation for this, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "z"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"d84d8078-a307-40cb-a2b1-276b9b312342"],
 ", is shown in equation (10)."
}], "Text",
 CellChangeTimes->{{3.7535035077276845`*^9, 3.7535035238385506`*^9}, {
   3.766148723000252*^9, 3.766148723417252*^9}, 3.799517811444867*^9, 
   3.799517855095033*^9, {3.799597255186062*^9, 3.7995972553920293`*^9}},
 CellID->620873752,ExpressionUUID->"e227ca86-598a-4dcb-b2ad-c56c9fbfd81a"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{"\[Delta]z", "=", 
   FractionBox[
    RowBox[{
     SubscriptBox["r", "1"], "-", 
     SubscriptBox["r", "2"]}], 
    SqrtBox[
     RowBox[{
      FractionBox["1", 
       RowBox[{
        SubscriptBox["n", "1"], "-", "3"}],
       FractionLine->0.2], "+", 
      FractionBox["1", 
       RowBox[{
        SubscriptBox["n", "2"], "-", "3"}],
       FractionLine->0.2]}]],
    FractionLine->0.2]}], 
  TraditionalForm]],ExpressionUUID->"6d896333-7dcd-42e5-8a36-a6829e3ec98c"]], \
"DisplayFormulaNumbered",
 CellChangeTimes->{3.8012349574075127`*^9},
 CellID->813266433,ExpressionUUID->"8864e86d-388a-4b78-a366-505c3b39371e"],

Cell[TextData[{
 "Here, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["r", "1"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "dab5bd72-d454-42bd-bb6b-baa7c6403cc9"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["r", "2"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "36f707dc-1dab-489b-bf3d-caf7b69f0f2d"],
 " are the two correlation coefficients that we calculated previously. The ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", "1"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "4d6db0bb-26c8-4407-9608-b30680f2f104"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", "2"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "2a6d4a54-da22-4a99-8de2-331ab235e466"],
 " variables are the sample sizes. As always, we can calculate the sample \
size using the ",
 ButtonBox["Length",
  BaseStyle->"Link"],
 " function."
}], "Text",
 CellChangeTimes->{{3.753503541443467*^9, 3.7535035489757147`*^9}, {
   3.762085638369565*^9, 3.76208564306065*^9}, {3.762086611278904*^9, 
   3.7620866113361807`*^9}, {3.766148734735252*^9, 3.766148738218252*^9}, 
   3.8160209944477873`*^9},
 CellID->864841894,ExpressionUUID->"94af11a9-f3db-4d6d-af94-1ddd2e28ab54"],

Cell[TextData[{
 "Calculate ",
 Cell[BoxData[
  SubscriptBox["\[Delta]", "z"]], "InlineMath",ExpressionUUID->
  "f8ed23d9-98f6-4e44-b5a2-20acc9a8e039"],
 " and save it in the computer variable ",
 Cell[BoxData[
 "dz"], "InlineCode",ExpressionUUID->"59d3bc66-8713-4679-8523-ba1ae4c5e94b"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, {3.753503559789691*^9, 3.753503563899502*^9}, {
   3.7535035967103653`*^9, 3.7535035973353453`*^9}, {3.762085648129912*^9, 
   3.7620856990182743`*^9}, {3.7661487450322523`*^9, 3.766148748094252*^9}, 
   3.7995972809881363`*^9},
 CellID->147113432,ExpressionUUID->"818a1b52-ea3d-4c58-9bd3-d03fd12a3b2f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dz", "=", 
  FractionBox[
   RowBox[{"rA", "-", "rB"}], 
   SqrtBox[
    RowBox[{
     FractionBox["1", 
      RowBox[{
       RowBox[{"Length", "[", "speciesAVar1", "]"}], "-", "3"}],
      FractionLine->0.45], "+", 
     FractionBox["1", 
      RowBox[{
       RowBox[{"Length", "[", "speciesBVar1", "]"}], "-", "3"}],
      FractionLine->0.45]}]],
   FractionLine->0.45]}]], "Input",
 CellChangeTimes->{{3.7535035913502483`*^9, 3.7535035923973827`*^9}},
 CellLabel->"In[35]:=",
 CellID->454132720,ExpressionUUID->"dc6a7e03-be9b-42cf-b9e8-86a9fecc6d63"],

Cell[BoxData["0.05849219793954389`"], "Output",
 CellChangeTimes->{3.75350360507835*^9, 3.762086718053234*^9, 
  3.801237157788765*^9},
 CellLabel->"Out[35]=",
 CellID->1351168837,ExpressionUUID->"a284c1d8-1641-4f11-b707-fa3f923a1495"]
}, Open  ]],

Cell[TextData[{
 "Once again, depending on whether the value is negative or positive, we use ",
 Cell[BoxData[
  RowBox[{"1", "-", 
   ButtonBox["CDF",
    BaseStyle->"CodeLink"]}]], "InlineCodeText",ExpressionUUID->
  "074ba606-991a-4339-8da0-5e4cd67e8617"],
 " or ",
 ButtonBox["CDF",
  BaseStyle->"Link"],
 " to calculate a ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "a8ceb003-97b0-422b-a879-5472582aa0f5"],
 "-value and multiply it by 2 for a two-tailed null hypothesis."
}], "Text",
 CellChangeTimes->{{3.7535036204437923`*^9, 3.7535036606970124`*^9}, {
  3.762085747004077*^9, 3.762085819256682*^9}, {3.766148760281252*^9, 
  3.766148765553252*^9}, {3.7995972999559836`*^9, 3.7995972999569817`*^9}},
 CellID->28665508,ExpressionUUID->"773d01fc-3d54-4d09-84a0-e0155446759d"],

Cell[TextData[{
 "Calculate the ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "5e879bc3-f783-4589-ab5c-3ab8337a1090"],
 "-value for ",
 Cell[BoxData[
  SubscriptBox["\[Delta]", "z"]], "InlineMath",
  CellChangeTimes->{{3.7091905043539495`*^9, 3.7091905311293507`*^9}, {
    3.7160075750750513`*^9, 3.7160076186532145`*^9}, 3.7268956285840683`*^9},
  ExpressionUUID->"91e6a6bc-5226-402d-b8d5-419354459ec5"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7270988078629246`*^9, 3.7270988245702534`*^9}, 
   3.7270988961329637`*^9, {3.7464411651040597`*^9, 3.7464411663750596`*^9}, 
   3.7464433799318533`*^9, {3.7464549145722275`*^9, 3.746454922050976*^9}, {
   3.747756866972815*^9, 3.747756873256716*^9}, {3.7535007873522835`*^9, 
   3.7535007934768295`*^9}, 3.7535037033560123`*^9, {3.7620858545051603`*^9, 
   3.7620858767696753`*^9}, {3.766148773143252*^9, 3.7661487846062517`*^9}, {
   3.801235218339332*^9, 3.8012352286072607`*^9}, {3.8012352817694798`*^9, 
   3.801235290210161*^9}, {3.8160210095938*^9, 3.8160210095958757`*^9}},
 CellID->639207096,ExpressionUUID->"475b7bbf-a572-4a5e-93b1-f5c16bd59bd8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{"CDF", "[", 
     RowBox[{
      RowBox[{"NormalDistribution", "[", 
       RowBox[{"0", ",", "1"}], "]"}], ",", "dz"}], "]"}]}], ")"}], "*", 
  "2"}]], "Input",
 CellChangeTimes->{{3.753503717894662*^9, 3.7535037184487195`*^9}},
 CellLabel->"In[36]:=",
 CellID->778566942,ExpressionUUID->"5fa81628-5e4d-493c-8754-5b46e57305e6"],

Cell[BoxData["0.9533565769984129`"], "Output",
 CellChangeTimes->{{3.753503710971619*^9, 3.7535037189642625`*^9}, 
   3.762086718087329*^9, 3.801237157814753*^9},
 CellLabel->"Out[36]=",
 CellID->1215268674,ExpressionUUID->"a7d3f12d-d674-466b-83ac-509075e9b822"]
}, Open  ]],

Cell[TextData[{
 "For a chosen ",
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "5beef00f-802a-471f-a9ca-a58d0a4c0a85"],
 "-value of ",
 Cell[BoxData[
  FormBox["0.05", TraditionalForm]],ExpressionUUID->
  "acd5b6a2-c644-4203-90a6-62118fdbacb9"],
 ", we cannot reject the null hypothesis that there is no difference between \
the correlation coefficients. There is no difference in the correlation \
between the two numerical variables for the two species."
}], "Text",
 CellChangeTimes->{
  3.79951820373178*^9, {3.799518289333897*^9, 3.799518301069544*^9}, {
   3.8160210248790607`*^9, 3.8160210252386017`*^9}},
 CellID->248342936,ExpressionUUID->"535882c3-26aa-4ab1-b11c-53616dd8fbe6"],

Cell[TextData[{
 "That\[CloseCurlyQuote]s it for correlations and their comparisons. Now you \
can create your own ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects of numerical variables and test if there are correlations between \
them. One standard way to do so is to use linear regression, which we will \
look at in depth next."
}], "Text",
 CellChangeTimes->{{3.7535037266750727`*^9, 3.753503742837999*^9}, 
   3.762086611402216*^9, 3.762086697869169*^9, {3.766148811805252*^9, 
   3.766148817564252*^9}, 3.781631627424796*^9, {3.799577220047944*^9, 
   3.7995772663728976`*^9}},
 CellID->343671234,ExpressionUUID->"58a47e7a-e242-4f59-a2b3-6755c9b42587"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox["Exercises",
  $Line = 0; Null]], "ExerciseSection",
 CellChangeTimes->{{3.7535037873392963`*^9, 3.7535037959303627`*^9}},
 CellLabel->"In[37]:=",
 CellID->566065673,ExpressionUUID->"7d9f19ec-ebbb-46a0-af31-b4fe53822559"],

Cell[TextData[{
 "Create a ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object holding 30 data point values for a variable called ",
 Cell[BoxData[
  FormBox[
   RowBox[{"var1", "."}], TraditionalForm]], "InlineCode",ExpressionUUID->
  "0e5060ed-ee40-4a6d-81b3-73eb6b5e7ad8"],
 " Take the values from a normal distribution with a mean of 100 and a \
standard deviation of 10."
}], "Exercise",
 CellChangeTimes->{{3.7262286590360723`*^9, 3.72622873894293*^9}, {
   3.7262287716961455`*^9, 3.7262287754399443`*^9}, {3.726228865544318*^9, 
   3.7262288824469132`*^9}, {3.7262290096722617`*^9, 
   3.7262290542473125`*^9}, {3.7262295602878523`*^9, 3.726229562391164*^9}, 
   3.726842073467464*^9, {3.726842199040183*^9, 3.726842199141012*^9}, {
   3.7477659616730633`*^9, 3.74776596922626*^9}, {3.747766013016721*^9, 
   3.7477660144880943`*^9}, {3.7535037976739645`*^9, 3.7535038097756343`*^9}, 
   3.762085905436019*^9, {3.76208598575998*^9, 3.762085995121418*^9}, {
   3.7620867001971703`*^9, 3.7620867029809923`*^9}, 3.766149162136252*^9},
 CellID->123280140,ExpressionUUID->"9f334852-2eb4-4833-8b31-a9f3b6f6d9ce"],

Cell[TextData[{
 "Create a ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object holding 30 data point values for a variable called ",
 Cell[BoxData[
  FormBox["var2", TraditionalForm]], "InlineCode",ExpressionUUID->
  "74da14e5-2281-440c-bb65-4c57e0c3ba2e"],
 ". To do this, use simple elementwise addition of ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects and add a random value with a mean of 5 and a standard deviation \
of 2 to each of the 30 elements in ",
 Cell[BoxData[
  FormBox["var1", TraditionalForm]], "InlineCode",ExpressionUUID->
  "b0c4a989-f4af-450c-9c0f-095ccb07240f"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.726228748018307*^9, 3.7262288631760774`*^9}, {
   3.7262288935428853`*^9, 3.726228921543979*^9}, {3.746529695196211*^9, 
   3.746529695627211*^9}, 3.7535038231930275`*^9, 3.762085917394745*^9, {
   3.7620859581721582`*^9, 3.762085981208026*^9}, 3.762086020248106*^9, {
   3.766149173523252*^9, 3.766149181321252*^9}, {3.799575307617798*^9, 
   3.799575321480666*^9}},
 CellID->141359314,ExpressionUUID->"91d2a5ef-4cb7-43a7-b052-bbd26c1e65f9"],

Cell[TextData[{
 "Using the ",
 ButtonBox["Table",
  BaseStyle->"Link"],
 " function, create a nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object of each of the ",
 Cell[BoxData[
  FormBox["30", TraditionalForm]],ExpressionUUID->
  "6a42981e-03c7-48e0-acaf-d961df1358e0"],
 " data point values in the two variables, ",
 Cell[BoxData[
  FormBox["var1", TraditionalForm]], "InlineCode",ExpressionUUID->
  "63781fba-46a9-471a-bb94-25f6bfc4d0a5"],
 " and ",
 Cell[BoxData[
  FormBox["var2", TraditionalForm]], "InlineCode",ExpressionUUID->
  "fbb7e2a8-4032-4784-a978-67cad74b4582"],
 ", above. Name it ",
 Cell[BoxData[
  FormBox["var12", TraditionalForm]], "InlineCode",ExpressionUUID->
  "ae86893b-a535-4f37-8a07-2ddfbae8548f"],
 ". The result should be a nested ",
 ButtonBox["List ",
  BaseStyle->"Link"],
 "object in the form ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"101.4", ",", "102.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"104.8", ",", "108", ",", "4"}], "}"}], ",", 
    StyleBox["\[Ellipsis]",
     FontColor->GrayLevel[0.6]], ",", 
    RowBox[{"{", 
     RowBox[{"99", ",", "9", ",", "105.2"}], "}"}]}], "}"}]], "InlineCode",
  ExpressionUUID->"82a1bb2c-4f7c-4318-b43f-eb437c13d5c4"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7262289295702744`*^9, 3.726228976510738*^9}, {
   3.7262298270959935`*^9, 3.726229839750589*^9}, {3.726842199208551*^9, 
   3.7268421992586803`*^9}, 3.747765975313822*^9, 3.753503832167759*^9, 
   3.753503903017989*^9, {3.762085973201665*^9, 3.7620860090168123`*^9}, 
   3.7620866114613657`*^9, {3.766149194287252*^9, 3.766149218527252*^9}, {
   3.799575412820606*^9, 3.79957549020354*^9}, {3.7995974064584403`*^9, 
   3.7995974521140265`*^9}, {3.799597544530515*^9, 3.799597553890726*^9}},
 CellID->64011863,ExpressionUUID->"b3f2c3eb-ce2a-4e10-9c3d-b62e54fe1364"],

Cell[TextData[{
 "Create a scatter plot of ",
 Cell[BoxData[
  FormBox["var12", TraditionalForm]], "InlineCode",ExpressionUUID->
  "aa1a7395-4db4-47da-8926-50468b57d28a"],
 " using the ",
 ButtonBox["ListPlot",
  BaseStyle->"Link"],
 " function."
}], "Exercise",
 CellChangeTimes->{{3.726229157842061*^9, 3.7262291993992033`*^9}, {
   3.746530166713211*^9, 3.7465301668482113`*^9}, 3.7477659791690283`*^9, 
   3.7535038402103934`*^9, 3.7535039068153744`*^9, {3.7620860347697477`*^9, 
   3.7620860439714327`*^9}, {3.7661492335652523`*^9, 3.766149236060252*^9}},
 CellID->416311685,ExpressionUUID->"8980aac1-379b-4d02-a4fe-e9257d68f918"],

Cell[TextData[{
 "Using the ",
 ButtonBox["Correlation",
  BaseStyle->"Link"],
 " function, calculate the correlation coefficient for ",
 Cell[BoxData[
 "var1"], "InlineCode",ExpressionUUID->"33cc79bd-1339-47c7-b91b-45680448d879"],
 " and ",
 Cell[BoxData[
 "var2"], "InlineCode",ExpressionUUID->"5b0cac94-9fe5-4bb8-8865-a49126c30e57"],
 ". Save the coefficient as the computer variable ",
 Cell[BoxData[
 "r"], "InlineCode",ExpressionUUID->"1c0dbc8b-f052-45fc-a2c5-5f73fc0ce8c1"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7262289854750276`*^9, 3.7262290027998576`*^9}, {
   3.7262290588479567`*^9, 3.726229071255257*^9}, {3.7262291247517605`*^9, 
   3.7262291444871144`*^9}, {3.726842199308242*^9, 3.7268421993580112`*^9}, {
   3.746440260987338*^9, 3.746440261211383*^9}, 3.747765986481744*^9, 
   3.7535038491802187`*^9, 3.753503894481763*^9, {3.762086056151867*^9, 
   3.762086089715362*^9}, 3.762086611522162*^9},
 CellID->33034166,ExpressionUUID->"c7ad89ff-162c-4ec7-a7c0-71b62f811476"],

Cell[TextData[{
 "Using the computer variables ",
 Cell[BoxData[
 "zr"], "InlineCode",ExpressionUUID->"daee7eb9-6731-48fc-bc43-795574f5b4d1"],
 ", ",
 Cell[BoxData[
 "zs"], "InlineCode",ExpressionUUID->"08d6a844-589d-4672-8aa6-fb9df29e727a"],
 ", and ",
 Cell[BoxData[
 "z"], "InlineCode",ExpressionUUID->"79437f4a-6924-4f52-91da-7727f7259abf"],
 ", calculate the ",
 Cell[BoxData[
  StyleBox["z",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "93ae4a91-7057-4a7f-b1b8-7bd982209b5e"],
 "-score as used in equations (5), (6), and (7) in this chapter."
}], "Exercise",
 CellChangeTimes->{{3.7262290793221188`*^9, 3.726229098193971*^9}, {
   3.746530047904211*^9, 3.7465300490732107`*^9}, 3.7535038591626306`*^9, {
   3.762086096642749*^9, 3.7620861226714773`*^9}, {3.766149287089252*^9, 
   3.766149296366252*^9}, 3.799597598257722*^9, {3.8160211057438803`*^9, 
   3.816021135776794*^9}},
 FontTracking->0.1,
 CellID->482980621,ExpressionUUID->"fe62211d-2826-4f85-a91b-0d418cf51f56"],

Cell[TextData[{
 "Import the Hypothesis Testing Package and calculate the two-tailed ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "e7d4e6de-c4a7-45cb-a4f0-4c0ac3399591"],
 "-value for the correlation coefficient."
}], "Exercise",
 CellChangeTimes->{{3.726229233770355*^9, 3.726229294103078*^9}, {
   3.726230215439643*^9, 3.7262302247748566`*^9}, 3.726842136959337*^9, {
   3.746530212767211*^9, 3.7465302165582113`*^9}, 3.7535038660699406`*^9, {
   3.762086136857357*^9, 3.7620861675479527`*^9}, {3.766149305536252*^9, 
   3.7661493119952517`*^9}, {3.816021115466546*^9, 3.816021115469659*^9}},
 FontTracking->-0.2,
 CellID->135554252,ExpressionUUID->"ae2294f2-8c13-4f16-83fd-d5bd04609ac2"],

Cell["\<\
Using equations (8) and (9), calculate the lower and upper bounds of the \
correlation coefficient for a confidence level of 95%.\
\>", "Exercise",
 CellChangeTimes->{{3.726229327482026*^9, 3.726229437287052*^9}, {
   3.726842099061895*^9, 3.726842101914075*^9}, {3.72684219942413*^9, 
   3.726842199476267*^9}, {3.7465303105142107`*^9, 3.746530310865211*^9}, {
   3.746530392909211*^9, 3.746530393957211*^9}, {3.747765998234042*^9, 
   3.747766007954041*^9}, 3.7535038730376973`*^9, {3.7620861932392483`*^9, 
   3.762086196823134*^9}, {3.766149316869252*^9, 3.766149318494252*^9}},
 CellID->196921243,ExpressionUUID->"d1aedfd8-e595-4114-8d9a-1df6c98a6ff5"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tech Notes", "TechNoteSection",
 CellID->874797650,ExpressionUUID->"7e033fed-ba9c-4084-a2b6-602bcc33572d"],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["_",
   BaseStyle->"Link",
   ButtonData->"Blank"]], "InlineCode",ExpressionUUID->
  "b32ff5d9-2e9e-440e-b9cb-b458aa6c5452"],
 " or ",
 Cell[BoxData[
  ButtonBox["Blank",
   BaseStyle->"CodeLink"]], "InlineCode",ExpressionUUID->
  "9d82677a-6175-4891-89ee-088a9a35fbf5"],
 " is a pattern object that can stand for any Wolfram Language expression."
}], "TechNote",
 CellChangeTimes->{{3.651515120816633*^9, 3.651515125814807*^9}, 
   3.6515155174947033`*^9, 3.768271955427816*^9, 3.7682720455775433`*^9, 
   3.768272083398427*^9, {3.768272706085225*^9, 3.768272752343297*^9}, {
   3.781630385028719*^9, 3.7816304111942797`*^9}, {3.781630453329487*^9, 
   3.78163045852354*^9}, {3.7816316473855467`*^9, 3.781631647673155*^9}},
 CellID->564397392,ExpressionUUID->"a7e1b209-2918-432b-9756-70d246f4fd29"],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{"lhs", ":=", "rhs"}]], "InlineCode",ExpressionUUID->
  "9d44a0d0-ce67-4b18-a2b1-deaa3e6409a3"],
 " (left-hand side and right-hand side) assigns ",
 Cell[BoxData[
 "rhs"], "InlineCode",ExpressionUUID->
  "85a7d3b0-03f3-4ed2-99fc-16ef4601fdf1"],
 " to be the delayed value of ",
 Cell[BoxData[
 "lhs"], "InlineCode",ExpressionUUID->
  "bbc547a6-f2fc-46f1-b0e7-c2d4743f367f"],
 ". ",
 Cell[BoxData[
 "rhs"], "InlineCode",ExpressionUUID->
  "46ad7528-9663-4c2f-9dfa-34ba02390737"],
 " is maintained in an unevaluated form. When ",
 Cell[BoxData[
 "lhs"], "InlineCode",ExpressionUUID->
  "37a9221a-f9f1-4505-a195-e535fb3cf8ae"],
 " appears, it is replaced by ",
 Cell[BoxData[
 "rhs"], "InlineCode",ExpressionUUID->
  "9077b74d-6f1f-48fa-b22e-21c8b83ec3aa"],
 ", evaluated afresh each time."
}], "TechNote",
 CellChangeTimes->{{3.651515120816633*^9, 3.651515125814807*^9}, 
   3.6515155174947033`*^9, 3.768271955427816*^9, 3.7682720455775433`*^9, 
   3.768272083398427*^9, {3.768272706085225*^9, 3.768272752343297*^9}, {
   3.781630385028719*^9, 3.7816304111942797`*^9}, {3.781630453329487*^9, 
   3.78163045852354*^9}, {3.7816305103644333`*^9, 3.7816305704438343`*^9}, {
   3.7995976297274218`*^9, 3.7995977177591267`*^9}},
 CellID->1299342755,ExpressionUUID->"327d1a80-f6b8-423b-9417-0c52eacc475b"]
}, Open  ]],

Cell[CellGroupData[{

Cell["More to Explore", "MoreExploreSection",
 CellID->835199206,ExpressionUUID->"755398bb-88f9-4cc8-898e-8e9bfab974d9"],

Cell[TextData[{
 StyleBox[ButtonBox["Check out this tutorial on convolutions and correlations \
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/tutorial/\
NumericalOperationsOnData.html#25264"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/tutorial/NumericalOperationsOnData.\
html#25264"],
  BaseStyle -> "Hyperlink"],
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/ConvolutionsCorrelations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/ConvolutionsCorrelations"], None},
  ButtonNote->"https://wolfr.am/ConvolutionsCorrelations"], 
  "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{{3.7661496120322523`*^9, 3.766149630325252*^9}, {
  3.7995991809076624`*^9, 3.799599181439603*^9}},
 CellTags->"LastCellOfAPage",
 CellID->26626102,ExpressionUUID->"1350883b-df04-4ac5-87ea-9bad2963e949"],

Cell[TextData[{
 StyleBox[ButtonBox["This Demonstration by I. McLeod provides a bird\
\[CloseCurlyQuote]s-eye view of the visualization of correlations ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/VisualizingCorrelations/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/VisualizingCorrelations/"],
  BaseStyle -> "Hyperlink"],
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/VisualizingCorrelations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://wolfr.am/VisualizingCorrelations"], None},
  ButtonNote->"wolfr.am/VisualizingCorrelations"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{
  3.7620865701587067`*^9, {3.766149648542252*^9, 3.766149667044252*^9}, {
   3.766149809358252*^9, 3.766149809996252*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1554366849,ExpressionUUID->"f71c9d8c-c613-4f32-8d60-b880516c4b45"]
}, Open  ]]
}, Open  ]]
},
Editable->False,
Saveable->False,
WindowSize->{808, 911},
WindowPersistentStyles->{
 WindowFrame, WindowMargins, WindowSize, Magnification},
DockedCells->{
  Cell[
   BoxData[
    TagBox[
     GridBox[{{
        TemplateBox[{"\[ThinSpace]", "\[ThinSpace]", 
          StyleBox[
          "Introduction to Statistics\t\t\t\t\t\nwith the Wolfram Language", 
           LineSpacing -> {1, 1}, FontFamily -> "Source Sans Pro", FontSize -> 
           24, FontColor -> GrayLevel[1]], "\[ThinSpace]"}, 
         "RowWithSeparators"], 
        PaneBox[
         StyleBox["\[VeryThinSpace]", ShowStringCharacters -> False], 
         Alignment -> Right, ImageSize -> {65, 75}], 
        PaneBox[
         PaneBox[
          TemplateBox[{"\[ThinSpace]", "\" \"", 
            TagBox[
             TooltipBox[
              PaneSelectorBox[{False -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 
                    0}}, {0, 255}, ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"10-Klopper-ParametricTests.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                  None, Evaluator -> Automatic, Method -> "Preemptive"], True -> 
                ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 
                    0}}, {0, 255}, ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"10-Klopper-ParametricTests.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                  None, Background -> GrayLevel[0.2], Evaluator -> Automatic, 
                  Method -> "Preemptive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], ImageSize -> Automatic, 
               FrameMargins -> 0], "\"Chapter 10\"", TooltipDelay -> 0.15, 
              LabelStyle -> "TextStyling"], 
             Annotation[#, "Chapter 10", "Tooltip"]& ], 
            InterpretationBox[
             StyleBox[
              
              GraphicsBox[{}, ImageSize -> {5, 0}, BaselinePosition -> 
               Baseline], "CacheGraphics" -> False], 
             Spacer[5], Selectable -> False], 
            TagBox[
             TooltipBox[
              PaneSelectorBox[{False -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"12-Klopper-LinearRegression.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Evaluator -> 
                  Automatic, Method -> "Preemptive"], True -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"12-Klopper-LinearRegression.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Background -> 
                  GrayLevel[0.2], Evaluator -> Automatic, Method -> 
                  "Preemptive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], ImageSize -> Automatic, 
               FrameMargins -> 0], "\"Chapter 12\"", TooltipDelay -> 0.15, 
              LabelStyle -> "TextStyling"], 
             Annotation[#, "Chapter 12", "Tooltip"]& ]}, "RowWithSeparators"],
           Alignment -> Right], ImageSize -> {100, 30}, 
         FrameMargins -> {{0, 6}, {0, 0}}, Alignment -> Right], 
        ActionMenuBox[
         PaneSelectorBox[{True -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> 
                RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> GrayLevel[0.2], 
             ImageSize -> {35, 30}, Alignment -> Center], False -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> 
                RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> RGBColor[0.12, 0.18, 0.26], 
             ImageSize -> {35, 30}, Alignment -> Center]}, 
          Dynamic[
           CurrentValue["MouseOver"]]], {
         "1 | Introduction" :> 
          NotebookLocate[{"01-Klopper-IntroDataAnalysis.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "2 | Evaluating Basic Math" :> 
          NotebookLocate[{"02-Klopper-BasicMath.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "3 | Collections" :> 
          NotebookLocate[{"03-Klopper-Collections.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "4 | Working with Datasets" :> 
          NotebookLocate[{"04-Klopper-WorkingWithData.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "5 | Data Types" :> 
          NotebookLocate[{"05-Klopper-DataTypes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "6 | Simple Descriptive Statistics" :> 
          NotebookLocate[{"06-Klopper-DescriptiveStatistics.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "7 | Visualizing Data" :> 
          NotebookLocate[{"07-Klopper-VisualizingData.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "8 | Distributions" :> 
          NotebookLocate[{"08-Klopper-Distributions.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "9 | Hypothesis Testing" :> 
          NotebookLocate[{"09-Klopper-HypothesisTesting.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], 
          "10 | Parametric Tests, Comparing Means" :> 
          NotebookLocate[{"10-Klopper-ParametricTests.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "11 | Correlation" :> 
          NotebookLocate[{"11-Klopper-Correlation.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "12 | Linear Regression" :> 
          NotebookLocate[{"12-Klopper-LinearRegression.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "13 | Comparing Categorical Variables" :> 
          NotebookLocate[{"13-Klopper-ComparingCategoricalVariables.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "14 | Nonparametric Tests" :> 
          NotebookLocate[{"14-Klopper-NonparametricTests.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "15 | A Research Project Demonstration" :> 
          NotebookLocate[{"15-Klopper-ResearchProject.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}]}, Appearance -> None]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Center}}}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]], 
   "Text", ShowCellBracket -> False, CellFrame -> {{0, 0}, {3, 0}}, 
   Selectable -> False, CellFrameColor -> RGBColor[0.12, 0.18, 0.26], 
   CellMargins -> {{0, 0}, {0, -1}}, CellFrameMargins -> {{27, 0}, {1, 7}}, 
   Background -> RGBColor[0.12, 0.18, 0.26], CellTags -> 
   "DockedCellLogoCell"], 
  Cell["JUAN H. KLOPPER", "Text", FontFamily -> "Source Sans Pro", FontWeight -> 
   "Light", FontSize -> 15, CellFrame -> {{0, 0}, {3, 0}}, ShowCellBracket -> 
   False, CellMargins -> {{0, 0}, {-1, -1}}, 
   CellFrameMargins -> {{27, 0}, {2, 4}}, CellFrameColor -> 
   RGBColor[1., 0.7, 0.1], FontTracking -> "Extended", FontColor -> 
   GrayLevel[1], Background -> RGBColor[0.9, 0.4, 0.], CellTags -> 
   "DockedCellLogoCell"]},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page"], "PageNumber"], 
      StyleBox[
      "    Introduction to Statistics with the Wolfram Language", "Header"]}],
     "Header", CellMargins -> {{37, Inherited}, {Inherited, Inherited}}], 
   None, None}, {None, None, 
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Section"], "Header"], 
      StyleBox["  |  Correlation", "Header"], 
      StyleBox["    ", "Header"], 
      StyleBox[
       CounterBox["Page"], "PageNumber"]}], "Header", 
    CellMargins -> {{Inherited, 34}, {Inherited, Inherited}}]}},
PrintingOptions->{"FirstPageFooter"->False,
"FirstPageHeader"->False},
ShowAutoSpellCheck->False,
FrontEndVersion->"12.2 for Mac OS X x86 (64-bit) (December 12, 2020)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell[
      "Style Environments", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9}], 
      Cell[
       StyleData[All, "Working"], CellInsertionPointCell -> 
       FEPrivate`FrontEndResource["FEExpressions", "CellInsertionMenu"], 
       CreateCellID -> True, $CellContext`GhostCellInEmptyNotebook -> False], 
      
      Cell[
       StyleData[All, "Printout"], 
       PrintingOptions -> {
        "PageSize" -> {504, 720}, "PrintRegistrationMarks" -> True}, 
       Magnification -> 0.6]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Headers and Footers", "Section"], 
      Cell[
       StyleData["Header"], StyleMenuListing -> None, FontFamily -> 
       "Source San Pro", FontSize -> 8, FontWeight -> "Plain", FontSlant -> 
       "Plain", FontColor -> GrayLevel[0.45]], 
      Cell[
       StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
       StyleMenuListing -> None, FontFamily -> "Source San Pro", FontSize -> 
       8, FontWeight -> "Bold", FontSlant -> "Plain", FontColor -> 
       GrayLevel[0]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Custom Styles", "Section", 
       CellChangeTimes -> {{3.646611660445352*^9, 3.646611669493331*^9}}], 
      Cell[
       StyleData["Notebook"], PageWidth :> 700, 
       PrintingOptions -> {
        "InnerOuterMargins" -> {35, 16}, "PaperOrientation" -> "Portrait", 
         "PaperSize" -> {504, 720}, 
         "PrintingMargins" -> {{20, 20}, {54, 54}}}, CellLabelAutoDelete -> 
       False, ShowSyntaxStyles -> True, 
       AutoStyleOptions -> {
        "FormattingErrorTooltips" -> False, "HighlightComments" -> False, 
         "HighlightEmphasizedSyntaxErrors" -> False, 
         "HighlightExcessArguments" -> False, "HighlightFormattingErrors" -> 
         False, "HighlightGlobalToLocalScopeConflicts" -> False, 
         "HighlightGraphicsCompatibilityProblems" -> False, 
         "HighlightLocalScopeConflicts" -> False, "HighlightMissingArguments" -> 
         False, "HighlightNoKernelPresent" -> False, 
         "HighlightOrderOfEvaluationConflicts" -> False, "HighlightStrings" -> 
         True, "HighlightSymbolContexts" -> False, "HighlightSymbolShadowing" -> 
         False, "HighlightSyntaxErrors" -> False, "HighlightUndefinedSymbols" -> 
         False, "HighlightUnknownOptions" -> False, 
         "HighlightUnwantedAssignments" -> False}, MenuSortingValue -> None, 
       GraphicsBoxOptions -> {ImageSize -> 240}, 
       Graphics3DBoxOptions -> {ImageSize -> 240}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], CellMargins -> {{64, Inherited}, {50, 72}}, 
          MenuCommandKey :> None, FontFamily -> "Verdana", FontSize -> 42, 
          FontWeight -> "Bold", FontColor -> GrayLevel[0.4]], 
         Cell[
          StyleData["Title", "Printout"], 
          CellMargins -> {{64, Inherited}, {50, 72}}]}, Open]], 
      Cell[
       StyleData["Chapter"], MenuCommandKey :> None], 
      Cell[
       StyleData["Subchapter"], MenuCommandKey :> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, CellDingbat -> 
          Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{96, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["Section", "Printout"], 
          CellMargins -> {{96, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionDoubleDigit"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellDingbat -> Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{112, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionDoubleDigit", "Printout"], 
          CellMargins -> {{112, Inherited}, {12, 2}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNumber"], CellBaseline -> Baseline, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 26, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionInline"], FontFamily -> 
          "Source Sans Pro Semibold", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionInline", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNoDingbat"], 
          CellMargins -> {{64, Inherited}, {12, 64}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionNoDingbat", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 2}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesSubsection"], 
          CellMargins -> {{64, Inherited}, {4, 16}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesSubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 16}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 24}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["VocabularySection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 24}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyTable", StyleDefinitions -> StyleData["Text"]],
           SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"VocabularyCode", Inherited, Inherited}, 
              "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "VocabularyTable3Column", StyleDefinitions -> StyleData["Text"]], 
          SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {
               "VocabularyCode", Inherited, "VocabularyCode", Inherited, 
                Inherited}, "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable3Column", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["VocabularyText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyCode", StyleDefinitions -> StyleData["Text"]], 
          Deletable -> False, FontFamily -> "Source Sans Pro", FontSize -> 14,
           FontWeight -> "Bold", FontColor -> GrayLevel[0.25], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["VocabularyCode", "Printout"], FontColor -> 
          GrayLevel[0.25]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GrayPointSix"], FontColor -> GrayLevel[0.6]], 
         Cell[
          StyleData["GrayPointSix", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabDivColor"], FontColor -> GrayLevel[0.8]], 
         Cell[
          StyleData["VocabDivColor", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, ShowCellLabel -> False, CellFrameMargins -> {{8, 8}, {4, 6}},
           CellFrameColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ExerciseSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Exercise"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Exercise"]}], "ExerciseNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          ShowGroupOpener -> True, CellMargins -> {{108, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, DefaultNewCellStyle -> 
          "ExerciseInput", CounterIncrements -> "Exercise", MenuSortingValue -> 
          10020, MenuCommandKey :> "2", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Exercise", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{110, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsection"], PageWidth :> 500, 
          CellFrame -> {{False, False}, {1, False}}, 
          CellMargins -> {{64, Inherited}, {8, 18}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6], FontFamily -> "Source Sans Pro", FontSize -> 
          18, FontSlant -> "Italic", FontColor -> RGBColor[0.65, 0.6, 0.6]], 
         Cell[
          StyleData["ExerciseSubsection", "Printout"], 
          CellFrame -> {{False, False}, {1, False}}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNote"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNote", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QASection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Question", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["QASection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Question"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {2, 12}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, DefaultReturnCreatedCellStyle -> 
          "Answer", CounterIncrements -> "Question", MenuSortingValue -> 
          10030, MenuCommandKey :> "3", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["Question", "Printout"], 
          CellMargins -> {{65, Inherited}, {2, 12}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Answer"], PageWidth :> 700, 
          CellMargins -> {{66, 10}, {4, 1}}, ReturnCreatesNewCell -> True, 
          DefaultReturnCreatedCellStyle -> "Question", 
          LineSpacing -> {1.125, 1., 2.}, MenuSortingValue -> 10032, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Answer", "Printout"], 
          CellMargins -> {{66, 10}, {4, 1}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QuestionNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["QuestionNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["TechNoteSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNote"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"\[FilledSmallSquare]"}], FontSize -> 12, FontColor -> 
            GrayLevel[0.5]], CellMargins -> {{78, Inherited}, {4, 8}}, 
          ReturnCreatesNewCell -> True, CellFrameLabelMargins -> 3, 
          CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9}, 
            3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          MenuSortingValue -> 10040, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["TechNote", "Printout"], 
          CellMargins -> {{82, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExplore"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExplore", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreShortURL"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          FontFamily -> "Source Sans Pro Light", FontSize -> 14, FontSlant -> 
          "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExploreShortURL", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], CellMargins -> {{66, 10}, {4, 12}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Baskerville", FontSize -> 
          18, FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Text", "Printout"], CellMargins -> {{66, 10}, {7, 7}}]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesText"], CellMargins -> {{66, 10}, {2, 0}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesText", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesLink"], CellMargins -> {{66, 10}, {2, 0}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Italic", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesLink", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 
          1, FontSize -> 15], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{99, 10}, {3, 7}}]},
         Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 
          15], 
         Cell[
          StyleData["Output", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{99, 10}, {25, 10}}, 
          SpanMaxSize -> 1, MenuSortingValue -> 1500, FontSize -> 15], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{99, 10}, {15, 10}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"], 
          CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
          LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
          "Helvetica Neue", FontSize -> 9, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> GrayLevel[0.5]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.5]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Message"], Editable -> False, 
          CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> "OutputGrouping", TextClipboardType -> 
          "PlainText", StripStyleOnPaste -> True, PageBreakWithin -> False, 
          GroupPageBreakWithin -> False, GeneratedCell -> True, 
          CellAutoOverwrite -> True, ShowCellLabel -> False, 
          DefaultFormatType -> DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Output"], 
          ShowAutoStyles -> False, ShowSyntaxStyles -> False, 
          AutoStyleOptions -> {
           "StringStyle" -> None, "SyntaxErrorStyle" -> None}, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, AutoQuoteCharacters -> {}, 
          PasteAutoQuoteCharacters -> {}, LanguageCategory -> None, 
          FormatType -> InputForm, ShowStringCharacters -> False, 
          CounterIncrements -> "Message", MenuSortingValue -> 1600, 
          StyleMenuListing -> None, FontFamily :> 
          CurrentValue["PanelFontFamily"], FontSize -> 11, FontColor -> 
          RGBColor[0.5072, 0.16933, 0.15221]], 
         Cell[
          StyleData["Message", "Printout"], 
          CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, FontColor -> 
          GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{88, 10}, {4, 7}}, 
          GeneratedCellStyles -> {"Output" -> "ExerciseOutput"}, 
          ShowCellLabel -> False, SpanMaxSize -> 1, FontSize -> 14], 
         Cell[
          StyleData["ExerciseInput", "Printout"], 
          CellMargins -> {{88, 10}, {4, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExerciseOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{88, 10}, {10, 4}}, ShowCellLabel -> False, 
          FontSize -> 14], 
         Cell[
          StyleData["ExerciseOutput", "Printout"], 
          CellMargins -> {{88, 10}, {10, 4}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Picture"], CellMargins -> {{66, 10}, {10, 10}}, 
          CellGroupingRules -> "GraphicsGrouping", StyleMenuListing -> None], 
         
         Cell[
          StyleData["Picture", "Printout"], 
          CellMargins -> {{66, 10}, {8, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Comment"], FontFamily -> "Verdana", FontSize -> 13, 
          FontColor -> RGBColor[0.3, 0.3, 0.2], Background -> 
          RGBColor[1, 0.9, 0.8]], 
         Cell[
          StyleData["Comment", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Suggestion"], 
          CellFrameLabels -> {{Inherited, Inherited}, {Inherited, 
             Cell[
              BoxData[
               TagBox[
                GridBox[{{
                   ButtonBox[
                   "\"  Insert  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`ReplaceWithSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    ContentPadding -> False, Appearance -> Automatic, Method -> 
                    "Queued"], 
                   ButtonBox[
                   "\"  Stet  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; DocuTools`StetSuggestion[]), 
                    Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "    ", 
                   ButtonBox[
                   "\"  Next  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindNextSuggestion[]), Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], 
                   ButtonBox[
                   "\"  Previous  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindPreviousSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "\"\""}}, 
                 AutoDelete -> False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                "Grid"]], ShowStringCharacters -> False, Background -> 
              None]}}, Background -> RGBColor[1, 0.8, 0.8]], 
         Cell[
          StyleData["Suggestion", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Tentative"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[
             0.30000000000000016`, 0.6000000000000003, 0.7000000000000003], 
            "Thickness" -> 5}, Evaluatable -> False, CellFrameMargins -> 4, 
          StyleMenuListing -> None, Background -> 
          RGBColor[0.8500000000000003, 0.9500000000000003, 1]], 
         Cell[
          StyleData["Tentative", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WebOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.91, 0.92, 0.9], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.91, 0.92, 0.86]], 
         Cell[
          StyleData["WebOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Lockdown"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.8, 0.5, 0.4], "Thickness" -> 3}, Evaluatable -> 
       False, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["IndexField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["IndexField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExplanationField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["ExplanationField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EnglishHighlight"], FontFamily -> "WolframCodeSans"], 
         Cell[
          StyleData["EnglishHighlight", "Printout"]]}, Open]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Inline and special formatting", "Section", 
       CellChangeTimes -> {{3.646681732592888*^9, 3.646681749414035*^9}}], 
      Cell[
       StyleData["Graphics"], MenuSortingValue -> None], 
      Cell[
       StyleData["Graphics3D"], MenuSortingValue -> None], 
      Cell[
       StyleData["StandardForm"], 
       InputAutoReplacements -> {
        "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> "\[LessEqual]", 
         ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", "==" -> "\[Equal]",
          "@>" -> "\\[InlinePart]", "<->" -> "\[UndirectedEdge]", ParentList},
        LineSpacing -> {1.25, 0, 2}, SingleLetterItalics -> False, 
       StyleMenuListing -> None, FontFamily -> "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       StyleData["OutputForm"], PageWidth :> Infinity, TextAlignment -> Left, 
       LineSpacing -> {0.6, 1}, AutoQuoteCharacters -> {}, 
       PasteAutoQuoteCharacters -> {}, StyleMenuListing -> None, FontFamily -> 
       "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       StyleData["InputForm"], PageWidth :> Infinity, 
       InputAutoReplacements -> {}, AllowInlineCells -> False, Hyphenation -> 
       False, AutoQuoteCharacters -> {}, PasteAutoQuoteCharacters -> {}, 
       AutoSpacing -> False, NumberMarks -> True, AutoNumberFormatting -> 
       False, StyleMenuListing -> None, FontFamily -> "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Link"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Link", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DetailsLink"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0], 
          ButtonBoxOptions -> {
           ButtonFunction :> (Function[
             t, NotebookFind[t, "Notes", All, CellStyle]; 
              NotebookFind[
               t, "NotesSection", All, CellStyle, AutoScroll -> Top]][
              Documentation`HelpLookup[
               StringJoin["ref/", #]]]& ), ButtonSource -> ButtonContents, 
            Evaluator -> Automatic}], 
         Cell[
          StyleData["DetailsLink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["LinkAlt"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["LinkAlt", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Hyperlink"], MenuSortingValue -> None, FontColor -> 
          RGBColor[0.3, 0.35, 0.5]], 
         Cell[
          StyleData["Hyperlink", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Crosslink"], 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               
               NotebookLocate[#2, "OpenInNewWindow" -> 
                CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None,
             Method -> "Queued"}], 
         Cell[
          StyleData["Crosslink", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeLink"], 
          ButtonBoxOptions -> {
           Appearance -> None, ButtonFunction :> (Documentation`HelpLookup[
              Part[#, 1]]& ), ButtonSource -> ButtonContents, Evaluator -> 
            Automatic}], 
         Cell[
          StyleData["CodeLink", "Printout"]]}, Open]], 
      Cell[
       StyleData["VocabularyLink"], FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       StyleData["InlineCode"], SpanMaxSize -> 0, FontColor -> GrayLevel[0]], 
      
      Cell[
       StyleData["InlineCodeText"], SpanMaxSize -> 0, FontFamily -> 
       "Source Sans Pro", FontSize -> Inherited 0.95], 
      Cell[
       StyleData["NoLabel"], 
       GeneratedCellStyles -> {"Output" -> "ExerciseOutput"}, ShowCellLabel -> 
       False], 
      Cell[
       StyleData["MenuName"], FontFamily -> "Verdana", FontWeight -> "Bold", 
       FontColor -> GrayLevel[0.286275]], 
      Cell[
       StyleData["KeyEvent"], CellFrame -> {{0.5, 0.5}, {0.5, 0.5}}, 
       CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> GrayLevel[0.7],
        FontFamily -> "Verdana", FontColor -> GrayLevel[0.4]], 
      Cell[
       StyleData["KeyEventDelimiter"], FontColor -> GrayLevel[0.5]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariable"], FontFamily -> "Times", FontSize -> 
          Inherited 1.05, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariable", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariableLrg"], FontFamily -> "Times", FontSize -> 
          Inherited 1.1, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariableLrg", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Key Styles", "Subsubsection"], 
         Cell[
          StyleData["Key0"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {"Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key1"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {2 -> GrayLevel[0.8352941176470589]}, 
                  "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key2"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {
                   2 -> GrayLevel[0.8352941176470589], 3 -> 
                    GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key3"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #4, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {
                   2 -> GrayLevel[0.8352941176470589], 3 -> 
                    GrayLevel[0.8352941176470589], 4 -> 
                    GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Entity styles", "Subsubsection"], 
         Cell[
          StyleData["Entity"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneSelectorBox[{True -> GridBox[{{
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "WolframCodeSans", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontFamily -> "WolframCodeSans", 
                    FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 1}], False -> 
                 PaneBox[#, 
                   BaseStyle -> {
                    FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                   BaselinePosition -> Baseline]}, 
                Dynamic[
                 CurrentValue[Evaluatable]], ImageSize -> Automatic, 
                BaselinePosition -> Baseline, 
                BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
               RGBColor[1., 0.504768, 0.], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {0.5, 3}}, 
               ImageMargins -> {{2, 2}, {1, 1}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityFrameless"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              PaneSelectorBox[{True -> GridBox[{{
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontFamily -> "Source Sans Pro", 
                    FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 1}], False -> 
                PaneBox[#, 
                  BaseStyle -> {
                   FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                  BaselinePosition -> Baseline]}, 
               Dynamic[
                CurrentValue[Evaluatable]], ImageSize -> Automatic, 
               BaselinePosition -> Baseline, 
               BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
              BaseStyle -> {
               ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {
                 FontWeight -> "Plain", "OperatorSubstitution" -> False}}]& ),
             Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityFramelessHot"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {
           DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                   
                   StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0]], 
                   StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                    False]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 1}], False -> 
               PaneBox[#, BaseStyle -> {FontColor -> GrayLevel[0]}, 
                 BaselinePosition -> Baseline]}, 
              Dynamic[
               CurrentValue[Evaluatable]], ImageSize -> Automatic, 
              BaselinePosition -> Baseline, 
              BaseStyle -> {
               FontWeight -> "Plain", FontFamily -> "Helvetica", 
                ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClass"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneSelectorBox[{True -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 2}], False -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 2}]}, 
                Dynamic[
                 CurrentValue[Evaluatable]], ImageSize -> Automatic, 
                BaselinePosition -> Baseline, 
                BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
               RGBColor[1., 0.504768, 0.], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClassFrameless"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              PaneSelectorBox[{True -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 2}], False -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 2}]}, 
               Dynamic[
                CurrentValue[Evaluatable]], ImageSize -> Automatic, 
               BaselinePosition -> Baseline, 
               BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClassFramelessHot"], ShowStringCharacters -> False,
           TemplateBoxOptions -> {
           DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                   
                   StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0]], 
                   StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                    False]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}], False -> GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                   StyleBox[#, FontColor -> GrayLevel[0]]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}]}, 
              Dynamic[
               CurrentValue[Evaluatable]], ImageSize -> Automatic, 
              BaselinePosition -> Baseline, 
              BaseStyle -> {
               FontWeight -> "Plain", FontFamily -> "Helvetica", 
                ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityProperty"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneBox[#, 
                BaseStyle -> {
                 FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
                Baseline], FrameStyle -> 
               RGBColor[0.94227, 0.703639, 0.033387], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityPropertyClass"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneBox[
                GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], #}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}], 
                BaseStyle -> {
                 FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
                Baseline], FrameStyle -> 
               RGBColor[0.94227, 0.703639, 0.033387], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityValue"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              
              GridBox[{{#, #2}}, GridBoxAlignment -> {"Rows" -> {{Baseline}}},
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0}}}, 
               BaselinePosition -> {1, 1}], Background -> 
              RGBColor[{0.9921568627450981, 0.9529411764705882, 
                0.8509803921568627}], BaselinePosition -> Baseline, 
              FrameMargins -> {{1, 1}, {1, 1}}, ImageMargins -> 2, FrameStyle -> 
              RGBColor[{0.9333333333333333, 0.8470588235294118, 
                0.5529411764705883}], RoundingRadius -> 5]& )}]}, Open]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Specialized for Klopper", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9, {3.7114709033696413`*^9, 
         3.711470909048764*^9}, {3.73531219927332*^9, 3.735312227736931*^9}, {
         3.745680245296091*^9, 3.7456802496393538`*^9}, {3.745930022124992*^9,
          3.7459300236362534`*^9}, {3.746546663993486*^9, 
         3.7465466650968523`*^9}}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellMargins -> {{64, Inherited}, {2, 32}}, 
          FontFamily -> "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 32}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 60}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["MoreExploreSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeCaption"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {4, 12}}, PageBreakBelow -> False, 
          CellFrameColor -> GrayLevel[0.4], LineSpacing -> {1.3, 1., 2.}, 
          MenuSortingValue -> 10010, MenuCommandKey :> "1", FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeCaption", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"], 
          CellMargins -> {{99, Inherited}, {2, 12}}, StripStyleOnPaste -> 
          True, DefaultFormatType -> DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           LanguageCategory -> "Formula", ScriptLevel -> 0, 
          SingleLetterItalics -> True, MenuSortingValue -> 1700, FontFamily -> 
          "Baskerville", FontSize -> 16, FontWeight -> "Regular", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[0.2], 
          UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}], 
              "DisplayFormulaEquationNumber"]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered", MenuSortingValue -> 
          1710, FontFamily -> "Baskerville", FontSize -> 16, FontWeight -> 
          "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      
      Cell[
       StyleData["InitializationCell"], Background -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], CellMargins -> {{99, 10}, {4, 4}}, FontSize -> 
          15], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{100, Inherited}, {1.5 Inherited, 1.5 Inherited}}], 
         
         Cell[
          StyleData["Print", "SlideShow"], 
          CellMargins -> {{
            0.135 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          FontSize -> 18], 
         Cell[
          StyleData["Print", "Condensed"], 
          CellMargins -> {{18, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "PrintoutGray"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox["\[FilledSmallSquare]", Alignment -> Baseline, 
            RGBColor[0.8, 0.043, 0.008]], CellMargins -> {{81, 10}, {4, 8}}, 
          ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "Subitem", "*" -> "Subitem"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15], 
         Cell[
          StyleData["Item", "Printout"], CellDingbat -> 
          StyleBox["\[FilledSmallSquare]", Alignment -> Baseline, 
            GrayLevel[0.2]], 
          CellMargins -> {{80, Inherited}, {Inherited, Inherited}}]}, Open]], 
      
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontColor -> GrayLevel[0.2]], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{80, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{85, 10}, {4, 8}}, ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 15], 
         Cell[
          StyleData["ItemNumbered", "Printout"], 
          CellMargins -> {{90, Inherited}, {Inherited, Inherited}}]}, Open]], 
      
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteItem"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontSize -> 12, FontWeight -> 
            Bold, FontColor -> GrayLevel[0.25]], 
          CellMargins -> {{93, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, CellFrameLabelMargins -> 4, 
          CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9}, 
            3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          CounterIncrements -> "ItemNumbered", MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["TechNoteItem", "Printout"], 
          CellMargins -> {{93, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Epigraph"], CellMargins -> {{100, 78}, {6, 24}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, TextAlignment -> Left, Hyphenation -> 
          True, HyphenationOptions -> {"HyphenationMinLengths" -> {3, 5}}, 
          LineSpacing -> {1, 2}, TabSpacings -> {1.2, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontWeight -> "Plain", FontSlant -> 
          "Plain"], 
         Cell[
          StyleData["Epigraph", "Printout", StyleDefinitions -> None]]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EpigraphAuthor"], CellMargins -> {{125, 100}, {12, 12}}, 
          TextAlignment -> Left, LineSpacing -> {1, 2}, 
          ParagraphIndent -> -17, TabSpacings -> {1.5, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> -0.05], 
         Cell[
          StyleData["EpigraphAuthor", "Printout", StyleDefinitions -> None]]},
         Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ReferenceSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 60}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ReferenceSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Reference"], CellDingbat -> Cell[
            TextData[{
              CounterBox["Reference"]}], "SR", FontSize -> 13, 
            CellSize -> {30, Inherited}, TextAlignment -> Right], 
          CellMargins -> {{80, 10}, {3, 4}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, 
          CellChangeTimes -> {{3.7385995432110577`*^9, 3.738599549834622*^9}},
           LineSpacing -> {1, 2}, ParagraphIndent -> -8, 
          TabSpacings -> {0.7, 2.5}, CounterIncrements -> "Reference", 
          MenuSortingValue -> 1870, FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["Reference", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{66, 10}, {3, 4}}, TabSpacings -> {1.2, 2.5}]}, 
        Open]]}, Closed]]}, Visible -> False, FrontEndVersion -> 
  "12.2 for Mac OS X x86 (64-bit) (December 12, 2020)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"],
ExpressionUUID->"7fca0dbc-4ec0-4b00-a182-2b510dd8518e"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "C:11"->{
  Cell[580, 22, 504, 12, 113, "Section",ExpressionUUID->"e2da1931-2efd-424a-9c39-e953d993343b",
   CounterAssignments->{{"Section", 10}, {"Subsection", 10}, {"Subsubsection", 10}, {"Exercise", 10}},
   CellTags->"C:11",
   CellID->868451339]},
 "LastCellOfAPage"->{
  Cell[127467, 3127, 978, 24, 30, "MoreExplore",ExpressionUUID->"1350883b-df04-4ac5-87ea-9bad2963e949",
   CellTags->"LastCellOfAPage",
   CellID->26626102],
  Cell[128448, 3153, 985, 21, 49, "MoreExplore",ExpressionUUID->"f71c9d8c-c613-4f32-8d60-b880516c4b45",
   CellTags->"LastCellOfAPage",
   CellID->1554366849]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"C:11", 213688, 4940},
 {"LastCellOfAPage", 213954, 4945}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 504, 12, 113, "Section",ExpressionUUID->"e2da1931-2efd-424a-9c39-e953d993343b",
 CounterAssignments->{{"Section", 10}, {"Subsection", 10}, {"Subsubsection", 10}, {"Exercise", 10}},
 CellTags->"C:11",
 CellID->868451339],
Cell[1087, 36, 828, 15, 88, "Text",ExpressionUUID->"15553e84-1935-4407-bf57-7bc2c434e639",
 CellID->878677765],
Cell[1918, 53, 723, 11, 138, "Text",ExpressionUUID->"2d95ca5e-d012-45a5-8645-6f21178ed84c",
 CellID->151754191]
}, Open  ]],
Cell[CellGroupData[{
Cell[2678, 69, 174, 2, 57, "Subsection",ExpressionUUID->"56fe3c5e-bc69-4f49-9327-a7624909715c",
 CellID->42873],
Cell[2855, 73, 1578, 39, 145, "Text",ExpressionUUID->"bd7b5e42-45ea-4fb5-8683-3b62f82800a4",
 CellID->16159013],
Cell[4436, 114, 1165, 23, 140, "Text",ExpressionUUID->"abd69e77-3b89-461c-8644-df212012c40e",
 CellID->295707558],
Cell[5604, 139, 855, 17, 37, "CodeCaption",ExpressionUUID->"661d7a6d-2994-4d02-825a-9cc20db5a8f8",
 CellID->24066037],
Cell[CellGroupData[{
Cell[6484, 160, 329, 8, 29, "Input",ExpressionUUID->"3e26f184-54f0-4fa0-9ebd-e3d35d7d404d",
 CellID->374401810],
Cell[6816, 170, 3495, 77, 173, "Output",ExpressionUUID->"b3af2726-9e7a-48b0-929b-62f75054f16d",
 CellID->1880599731]
}, Open  ]],
Cell[10326, 250, 2437, 60, 271, "Text",ExpressionUUID->"6dd64f02-69c1-4f26-bc95-344ebf1dc2ea",
 CellID->141225772],
Cell[12766, 312, 1109, 20, 66, "CodeCaption",ExpressionUUID->"98bdc19b-f875-4de9-8011-e0cfb5a909f7",
 CellID->34970058],
Cell[13878, 334, 266, 6, 29, "Input",ExpressionUUID->"0c86fd68-938b-4e2d-9616-3bf1e8a3fd7d",
 CellID->884175558],
Cell[14147, 342, 480, 12, 40, "Text",ExpressionUUID->"fe978b00-dbd5-4f7c-a845-7346c3328070",
 CellID->15057185],
Cell[14630, 356, 590, 7, 37, "CodeCaption",ExpressionUUID->"f8ef3fe6-529d-43e9-a240-904febedb47e",
 CellID->121526939],
Cell[CellGroupData[{
Cell[15245, 367, 220, 4, 29, "Input",ExpressionUUID->"ba4b21cf-724e-4fad-9bf8-e5a680006dcf",
 CellID->150497467],
Cell[15468, 373, 217, 4, 40, "Output",ExpressionUUID->"1883bb7c-e513-444f-b597-af3a057f1344",
 CellID->2143990603]
}, Open  ]],
Cell[15700, 380, 694, 13, 113, "Text",ExpressionUUID->"775d448c-cf97-4eb1-a457-772407b973ec",
 CellID->1387466],
Cell[16397, 395, 735, 15, 37, "CodeCaption",ExpressionUUID->"5263bb45-fd38-44d4-ba11-6ca1a697de5f",
 CellID->356353602],
Cell[CellGroupData[{
Cell[17157, 414, 620, 17, 29, "Input",ExpressionUUID->"6247b116-7844-4bdc-9689-d169657bf2b3",
 CellID->1549013418],
Cell[17780, 433, 3595, 78, 173, "Output",ExpressionUUID->"049d3539-b958-476c-b50b-a036fefb7d5d",
 CellID->324263745]
}, Open  ]],
Cell[21390, 514, 517, 8, 113, "Text",ExpressionUUID->"ef3ea728-79c2-461d-af20-88196ad76dc5",
 CellID->206679906],
Cell[21910, 524, 465, 8, 63, "Text",ExpressionUUID->"13d5e912-6d93-4b55-9c84-0d0cac2be412",
 CellID->79876728],
Cell[22378, 534, 635, 10, 37, "CodeCaption",ExpressionUUID->"7222ab0a-459e-4bbb-b498-a302087ea168",
 CellID->380498097],
Cell[CellGroupData[{
Cell[23038, 548, 538, 15, 29, "Input",ExpressionUUID->"435bbb14-2699-4065-ac37-b22e6bf382f9",
 CellID->73802981],
Cell[23579, 565, 568, 16, 40, "Output",ExpressionUUID->"f84275c7-ceaa-40e6-9309-7b4a942f6cf7",
 CellID->792929370]
}, Open  ]],
Cell[24162, 584, 203, 3, 38, "Text",ExpressionUUID->"e4827ceb-c2e1-4c34-85d6-72ad216e1a93",
 CellID->8879590],
Cell[24368, 589, 571, 7, 37, "CodeCaption",ExpressionUUID->"0f0268f4-ba2d-4c5b-a460-c9b1d694cf58",
 CellID->43542080],
Cell[CellGroupData[{
Cell[24964, 600, 376, 10, 29, "Input",ExpressionUUID->"e9aa7e5d-ebd1-4677-a33d-f5d64957cb62",
 CellID->693706549],
Cell[25343, 612, 3963, 85, 173, "Output",ExpressionUUID->"d44029a4-0f30-4d97-be42-e170afd054ed",
 CellID->1440629297]
}, Open  ]],
Cell[29321, 700, 358, 7, 63, "Text",ExpressionUUID->"73ece23e-a987-4ef6-abc3-0aff06c9dc71",
 CellID->13901354],
Cell[29682, 709, 563, 7, 37, "CodeCaption",ExpressionUUID->"af4b4339-2ae5-4b0e-9764-aa8d762de2fa",
 CellID->136317414],
Cell[CellGroupData[{
Cell[30270, 720, 221, 4, 29, "Input",ExpressionUUID->"2875174e-c63b-4659-b8f8-6b80f623845b",
 CellID->83268965],
Cell[30494, 726, 238, 4, 40, "Output",ExpressionUUID->"50fd6b9b-347d-46a0-8c3b-5be77b420b20",
 CellID->1925958401]
}, Open  ]],
Cell[30747, 733, 936, 19, 163, "Text",ExpressionUUID->"f2561e2c-99e5-40ba-8da7-0a68517431d7",
 CellID->436189101],
Cell[31686, 754, 885, 16, 138, "Text",ExpressionUUID->"98c61041-89b2-49d9-9621-75fa34c5d109",
 CellID->797353843]
}, Open  ]],
Cell[CellGroupData[{
Cell[32608, 775, 170, 2, 57, "Subsection",ExpressionUUID->"1d9b229a-3edb-46d9-bce8-a29c4e357621",
 CellID->755119960],
Cell[32781, 779, 4032, 108, 275, "Text",ExpressionUUID->"3b89ec65-b975-41d2-abc4-9cb553cd0b52",
 CellID->65716824],
Cell[36816, 889, 543, 11, 89, "Text",ExpressionUUID->"9246cfe3-5710-406b-be53-3267effd4cbf",
 CellID->32850017]
}, Open  ]],
Cell[CellGroupData[{
Cell[37396, 905, 177, 2, 57, "Subsection",ExpressionUUID->"d5e5050d-4bfc-4772-bddb-b7a8b079e638",
 CellID->268103257],
Cell[37576, 909, 263, 5, 63, "Text",ExpressionUUID->"c606cf39-f4b5-44cb-9b36-e6a531f12ab3",
 CellID->256453806],
Cell[37842, 916, 728, 14, 113, "Text",ExpressionUUID->"ce745ab0-37b9-49bd-925a-2c356863f195",
 CellID->49259686],
Cell[38573, 932, 1021, 29, 44, "DisplayFormulaNumbered",ExpressionUUID->"9aa69fdf-12d1-4a4a-aa86-d166a771fc28",
 CellID->1284815827],
Cell[39597, 963, 992, 25, 115, "Text",ExpressionUUID->"193bfe71-6791-4471-b662-3c65283c9775",
 CellID->566212263],
Cell[40592, 990, 552, 14, 113, "Text",ExpressionUUID->"269995b4-564a-4107-93e0-96ff67134dd1",
 CellID->341567828],
Cell[41147, 1006, 498, 9, 113, "Text",ExpressionUUID->"7375fe47-afa2-403c-aa20-70a790366e98",
 CellID->222800757],
Cell[41648, 1017, 635, 12, 89, "Text",ExpressionUUID->"8872b259-b60a-4d76-a1bc-87e566d08617",
 CellID->18404900],
Cell[42286, 1031, 794, 24, 42, "DisplayFormulaNumbered",ExpressionUUID->"48174f5b-2f4d-452d-a4ac-cc4573e3b1cf",
 CellID->117924619],
Cell[43083, 1057, 480, 10, 63, "Text",ExpressionUUID->"9399a247-988e-4030-b88e-ee6dfd28d5b3",
 CellID->18093037],
Cell[43566, 1069, 506, 6, 37, "CodeCaption",ExpressionUUID->"3499771a-e1f8-4d9f-9353-78a791fba9be",
 CellID->756491819],
Cell[CellGroupData[{
Cell[44097, 1079, 260, 5, 29, "Input",ExpressionUUID->"67a02f39-d400-4044-9577-40ebbf22348d",
 CellID->249441706],
Cell[44360, 1086, 308, 7, 40, "Output",ExpressionUUID->"89cdd67c-f3e1-42d5-a23e-cf299d4d44cb",
 CellID->1277807090]
}, Open  ]],
Cell[44683, 1096, 508, 6, 37, "CodeCaption",ExpressionUUID->"89730798-cd64-4b76-a262-7edc19d89140",
 CellID->698678748],
Cell[CellGroupData[{
Cell[45216, 1106, 259, 5, 29, "Input",ExpressionUUID->"2edce101-2600-4923-a960-a9253ac5561b",
 CellID->129605745],
Cell[45478, 1113, 308, 7, 40, "Output",ExpressionUUID->"d6529da7-0194-4daf-b23d-a6a7bbf9b9b0",
 CellID->1267291630]
}, Open  ]],
Cell[45801, 1123, 576, 7, 37, "CodeCaption",ExpressionUUID->"9a3a9ab9-d3c4-44d7-b97c-f4e43c309896",
 CellID->13064357],
Cell[CellGroupData[{
Cell[46402, 1134, 261, 5, 29, "Input",ExpressionUUID->"9dc808aa-f2b3-42b7-998b-1eb1f66a97cd",
 CellID->76582780],
Cell[46666, 1141, 224, 4, 40, "Output",ExpressionUUID->"ac4f1cfa-20e3-44da-a100-e85a837e0b59",
 CellID->784219264]
}, Open  ]],
Cell[46905, 1148, 1148, 24, 190, "Text",ExpressionUUID->"a5ffa025-62e1-40d7-91af-5de11b0277b2",
 CellID->77892108],
Cell[48056, 1174, 1013, 20, 139, "Text",ExpressionUUID->"a7f463e0-d4e7-40b4-bedd-8636d8c82f3b",
 CellID->86053382],
Cell[49072, 1196, 1264, 36, 46, "DisplayFormulaNumbered",ExpressionUUID->"fa6ca032-35fd-42b7-b448-6b4191b041c7",
 CellID->879165768],
Cell[50339, 1234, 808, 20, 66, "Text",ExpressionUUID->"1a48801b-044b-4daa-b50e-0c89f65a84d5",
 CellID->181011417],
Cell[51150, 1256, 590, 7, 37, "CodeCaption",ExpressionUUID->"86fa5063-f841-4045-bc36-55bb7b2ccb20",
 CellID->339111771],
Cell[CellGroupData[{
Cell[51765, 1267, 195, 4, 29, "Input",ExpressionUUID->"f6fe96df-32e3-4da7-809a-87987bff4701",
 CellID->428666200],
Cell[51963, 1273, 237, 4, 40, "Output",ExpressionUUID->"17203f4b-89a8-4df1-943e-081216cb26df",
 CellID->1266028409]
}, Open  ]],
Cell[52215, 1280, 412, 7, 88, "Text",ExpressionUUID->"dced616b-a511-42b1-9ab3-947ce1d88adc",
 CellID->357033539],
Cell[52630, 1289, 386, 10, 53, "DisplayFormulaNumbered",ExpressionUUID->"6dad3a3c-7a28-46bd-be52-9813b78a49da",
 CellID->127017115],
Cell[53019, 1301, 638, 9, 37, "CodeCaption",ExpressionUUID->"39ada32b-dbd7-45e5-8bf9-c85d888a7a82",
 CellID->694620567],
Cell[CellGroupData[{
Cell[53682, 1314, 359, 9, 55, "Input",ExpressionUUID->"b893a94c-dc16-45dc-b1fb-99df86df7090",
 CellID->70902269],
Cell[54044, 1325, 234, 4, 40, "Output",ExpressionUUID->"70375781-699d-4a4a-a666-f3bf7952248a",
 CellID->650444398]
}, Open  ]],
Cell[54293, 1332, 783, 20, 64, "Text",ExpressionUUID->"d6b1975d-a22c-4c34-a00e-d2c096287b30",
 CellID->191828699],
Cell[55079, 1354, 2188, 51, 219, "Text",ExpressionUUID->"b2a999e3-01bb-49af-9572-9738f777f847",
 CellID->120550060]
}, Open  ]],
Cell[CellGroupData[{
Cell[57304, 1410, 208, 3, 57, "Subsection",ExpressionUUID->"c78a5a31-0aaa-4f3d-a8fe-190fd9dd799d",
 CellID->999882122],
Cell[57515, 1415, 767, 16, 90, "Text",ExpressionUUID->"1109f5dd-6f5e-4098-829b-d7a7212c1be9",
 CellID->729633546],
Cell[58285, 1433, 567, 11, 89, "Text",ExpressionUUID->"a84e68ee-92f4-4c05-b8b1-769e736dc41a",
 CellID->16675787],
Cell[58855, 1446, 799, 21, 42, "DisplayFormulaNumbered",ExpressionUUID->"a3d71e4f-cfef-4156-8d0f-3b30b8995db7",
 CellID->364540504],
Cell[59657, 1469, 424, 10, 39, "Text",ExpressionUUID->"af7434d8-1c6f-4a37-8e0f-ee85f79378f4",
 CellID->421501321],
Cell[60084, 1481, 440, 13, 42, "DisplayFormulaNumbered",ExpressionUUID->"210c069e-49cb-405f-82ab-bbf6eb6514ae",
 CellID->1255751899],
Cell[60527, 1496, 1130, 26, 65, "Text",ExpressionUUID->"4a13431a-08ce-4074-8d06-b1f635dc24b1",
 CellID->467841091],
Cell[61660, 1524, 423, 12, 40, "DisplayFormulaNumbered",ExpressionUUID->"0eb9a04d-4f45-40c4-8958-59b9eb7dd056",
 CellID->299513764],
Cell[62086, 1538, 407, 9, 63, "Text",ExpressionUUID->"be754cbb-ee82-401e-b42e-5d5e3c11a06b",
 CellID->101182430],
Cell[62496, 1549, 832, 17, 66, "CodeCaption",ExpressionUUID->"ec946063-3802-4588-96fd-e1e4aba2e1db",
 CellID->434277863],
Cell[CellGroupData[{
Cell[63353, 1570, 483, 14, 55, "Input",ExpressionUUID->"8fe5d83d-4892-4ff0-9a99-d4464afc5141",
 CellID->148176283],
Cell[63839, 1586, 237, 4, 40, "Output",ExpressionUUID->"0be3e743-7e71-4296-8739-fe46580aade3",
 CellID->1327233956]
}, Open  ]],
Cell[64091, 1593, 500, 12, 64, "Text",ExpressionUUID->"d9d0c298-3dbd-4321-a454-b8b57b014b86",
 CellID->261651717],
Cell[64594, 1607, 729, 12, 37, "CodeCaption",ExpressionUUID->"acfdf57a-b5ba-4bc7-a56a-76971d51b329",
 CellID->500145814],
Cell[CellGroupData[{
Cell[65348, 1623, 259, 8, 60, "Input",ExpressionUUID->"a1a4bf23-0100-40f2-aa04-83577672f3d6",
 CellID->365324840],
Cell[65610, 1633, 236, 4, 40, "Output",ExpressionUUID->"376864f4-85ed-4651-8e22-b30137a84988",
 CellID->295804184]
}, Open  ]],
Cell[65861, 1640, 462, 10, 39, "Text",ExpressionUUID->"370d1288-1b9f-4471-a7d4-5d6202f26874",
 CellID->9949041],
Cell[66326, 1652, 893, 16, 37, "CodeCaption",ExpressionUUID->"63577768-79da-4246-904e-e06e62efed96",
 CellID->614205639],
Cell[CellGroupData[{
Cell[67244, 1672, 265, 6, 49, "Input",ExpressionUUID->"4d331e60-c131-4dea-ade1-485584eb807f"],
Cell[67512, 1680, 235, 4, 40, "Output",ExpressionUUID->"666e70bc-7045-4a44-8898-c6fa412692ac",
 CellID->156277683]
}, Open  ]],
Cell[67762, 1687, 1016, 25, 89, "Text",ExpressionUUID->"e288c8a3-ffe1-4af7-836d-e8436db2fece",
 CellID->375277144],
Cell[68781, 1714, 868, 15, 39, "CodeCaption",ExpressionUUID->"d32e0c72-6184-4a10-ac76-095efa8a1a24",
 CellID->369519850],
Cell[CellGroupData[{
Cell[69674, 1733, 272, 7, 29, "Input",ExpressionUUID->"393d3d20-fc81-4b29-a3d1-6d3d13b8f1f1",
 CellID->940934],
Cell[69949, 1742, 241, 4, 40, "Output",ExpressionUUID->"684582e1-e174-4c21-bd52-32eff6199346",
 CellID->205732568]
}, Open  ]],
Cell[70205, 1749, 360, 4, 38, "Text",ExpressionUUID->"001030d9-729a-4574-8067-945d780d18d5",
 CellID->774318792],
Cell[70568, 1755, 769, 14, 39, "CodeCaption",ExpressionUUID->"4fece026-bbac-45bf-aac8-96ee861c969d",
 CellID->11323500],
Cell[CellGroupData[{
Cell[71362, 1773, 333, 10, 29, "Input",ExpressionUUID->"fe95f245-60c2-453b-a78f-6acb4a845b63",
 CellID->555763737],
Cell[71698, 1785, 235, 4, 40, "Output",ExpressionUUID->"4e980692-b09e-42d0-856c-85fc917c1cfb",
 CellID->298598706]
}, Open  ]],
Cell[71948, 1792, 944, 20, 91, "Text",ExpressionUUID->"ec898a14-5e3a-49af-b0e0-06661e97d37c",
 CellID->684416603],
Cell[72895, 1814, 542, 7, 37, "CodeCaption",ExpressionUUID->"0b58a1c6-1302-4b9e-9d4a-d6b0d87920d9",
 CellID->504211589],
Cell[73440, 1823, 249, 4, 29, "Input",ExpressionUUID->"adfae4ae-ed06-4a8c-a467-476f2ac58a58",
 CellID->24174306],
Cell[73692, 1829, 505, 6, 37, "CodeCaption",ExpressionUUID->"c3a0ac9c-74cb-4b9c-87b6-171a39d0271a",
 CellID->348642862],
Cell[CellGroupData[{
Cell[74222, 1839, 227, 5, 29, "Input",ExpressionUUID->"dc1a7f37-c7e5-43bd-b2b1-2bc17ba79445",
 CellID->428375906],
Cell[74452, 1846, 280, 5, 40, "Output",ExpressionUUID->"a67f18fa-33ac-461a-b326-4e8a601d81bb",
 CellID->1930740803]
}, Open  ]],
Cell[74747, 1854, 611, 10, 113, "Text",ExpressionUUID->"d707b128-4839-4618-ae99-10a005dce837",
 CellID->7189707],
Cell[75361, 1866, 358, 9, 35, "DisplayFormulaNumbered",ExpressionUUID->"5a2889c4-4aed-4298-8f32-6552cc4726e5",
 CellID->1026402730],
Cell[75722, 1877, 309, 6, 38, "Text",ExpressionUUID->"8636017b-25cd-4e09-a2cc-5bd88f7c72ba",
 CellID->118363217],
Cell[76034, 1885, 627, 8, 37, "CodeCaption",ExpressionUUID->"967b6c19-8b8b-4116-adab-0083b82045ef",
 CellID->732493635],
Cell[CellGroupData[{
Cell[76686, 1897, 236, 6, 29, "Input",ExpressionUUID->"52471225-f93c-4337-9563-5f10dccd9e35",
 CellID->647317213],
Cell[76925, 1905, 236, 4, 40, "Output",ExpressionUUID->"cfa985bc-a908-4bed-bd9f-a5441c6de052",
 CellID->1482769851]
}, Open  ]],
Cell[77176, 1912, 621, 8, 37, "CodeCaption",ExpressionUUID->"51a6f7e5-b818-4564-b59a-00a97a54b254",
 CellID->379388],
Cell[CellGroupData[{
Cell[77822, 1924, 236, 6, 29, "Input",ExpressionUUID->"e1ef9244-9b46-4ff7-86ac-b587724f6cc4",
 CellID->524993047],
Cell[78061, 1932, 238, 4, 40, "Output",ExpressionUUID->"7a44fd1c-45b6-4eed-87fc-ceb9f34fe67b",
 CellID->505353971]
}, Open  ]],
Cell[78314, 1939, 421, 9, 39, "Text",ExpressionUUID->"44e1579b-14f6-4283-90c8-fb23b102f280",
 CellID->628287383],
Cell[78738, 1950, 682, 20, 42, "DisplayFormulaNumbered",ExpressionUUID->"ed141a4d-3c02-448b-bb25-0530103cba74",
 CellID->1300796578],
Cell[79423, 1972, 405, 10, 39, "Text",ExpressionUUID->"7c4e0494-d8fb-482b-99b8-994aae0fac65",
 CellID->10746519],
Cell[79831, 1984, 843, 16, 38, "CodeCaption",ExpressionUUID->"59ebb8f0-ee7c-4068-a093-f7372971f1d2",
 CellID->120670238],
Cell[CellGroupData[{
Cell[80699, 2004, 383, 11, 54, "Input",ExpressionUUID->"edfc5326-7cde-4c13-812b-bf5c3fbb5339",
 CellID->119243408],
Cell[81085, 2017, 235, 4, 40, "Output",ExpressionUUID->"4b4e7afe-5f70-4380-9e16-c2fd1ecbc6cf",
 CellID->186366712]
}, Open  ]],
Cell[81335, 2024, 757, 15, 37, "CodeCaption",ExpressionUUID->"f63e1d88-0fa7-458f-a9bd-35ece92545d9",
 CellID->391214920],
Cell[CellGroupData[{
Cell[82117, 2043, 383, 11, 54, "Input",ExpressionUUID->"a0dec96d-77dc-48d3-8e02-bfb036e00d7f",
 CellID->151764174],
Cell[82503, 2056, 239, 4, 40, "Output",ExpressionUUID->"b5eaa0ea-732e-44ad-a4b9-106bc7b293b7",
 CellID->1003280663]
}, Open  ]],
Cell[82757, 2063, 798, 16, 91, "Text",ExpressionUUID->"37682d5e-defa-45a9-8752-1b6d2de5e2ed",
 CellID->103477735]
}, Open  ]],
Cell[CellGroupData[{
Cell[83592, 2084, 252, 3, 57, "Subsection",ExpressionUUID->"33344491-acf0-42c3-b28b-aea8106c78e3",
 CellID->325450600],
Cell[83847, 2089, 503, 9, 113, "Text",ExpressionUUID->"50d10978-b6ed-4eab-be72-9c38c3dc9624",
 CellID->209188264],
Cell[84353, 2100, 648, 10, 37, "CodeCaption",ExpressionUUID->"48bfb05b-b535-4b8f-b4e4-577e42144e06",
 CellID->25024752],
Cell[85004, 2112, 324, 7, 29, "Input",ExpressionUUID->"0c6c0313-87ff-4b82-8527-2137adda55f4",
 CellID->28533203],
Cell[85331, 2121, 837, 18, 113, "Text",ExpressionUUID->"964bffbb-9455-427e-9972-29b403aa5555",
 CellID->804359849],
Cell[86171, 2141, 619, 10, 37, "CodeCaption",ExpressionUUID->"6c456a83-67aa-4e1a-ad20-8a421c2d3456",
 CellID->158461811],
Cell[86793, 2153, 667, 17, 78, "Input",ExpressionUUID->"d68f98d4-c7b5-4436-a680-5651e027cff0",
 CellID->556893268],
Cell[87463, 2172, 1035, 22, 138, "Text",ExpressionUUID->"48e6190b-34c3-4fa4-a3c5-231164eec400",
 CellID->699943640],
Cell[88501, 2196, 701, 13, 37, "CodeCaption",ExpressionUUID->"7e368f9d-52f9-48d2-8e75-6fbb3d87ad88",
 CellID->36476815],
Cell[CellGroupData[{
Cell[89227, 2213, 361, 9, 29, "Input",ExpressionUUID->"cf3f739c-5009-4de1-a331-8feee9cb9c32",
 CellID->244489474],
Cell[89591, 2224, 8561, 170, 348, "Output",ExpressionUUID->"d6cdb735-6439-4ba4-837d-3e4980092a90",
 CellID->368072939]
}, Open  ]],
Cell[98167, 2397, 1455, 37, 138, "Text",ExpressionUUID->"4d3a05f1-6ddf-490f-bfc6-c4481417bff0",
 CellID->420718834],
Cell[99625, 2436, 953, 19, 37, "CodeCaption",ExpressionUUID->"1e1880c4-a508-40cb-88d4-61d28d25a98e",
 CellID->905514833],
Cell[100581, 2457, 279, 6, 29, "Input",ExpressionUUID->"6f9cf89d-997c-44b0-9fa6-274ee1ad4e56",
 CellID->628230734],
Cell[100863, 2465, 839, 15, 37, "CodeCaption",ExpressionUUID->"fecbbfb4-ec52-4eee-af92-7ac0e64543e6",
 CellID->19017190],
Cell[101705, 2482, 278, 6, 29, "Input",ExpressionUUID->"75444974-13bf-4e54-9a21-ee36a4d49953",
 CellID->73728581],
Cell[101986, 2490, 837, 15, 37, "CodeCaption",ExpressionUUID->"36120c01-f0d8-4980-a4c1-3c11b8e14616",
 CellID->4206411],
Cell[102826, 2507, 279, 6, 29, "Input",ExpressionUUID->"91d84bdf-ec57-4624-ba92-a1685163f46c",
 CellID->117750082],
Cell[103108, 2515, 892, 16, 37, "CodeCaption",ExpressionUUID->"d3e57090-65d0-4c51-b553-f3df9c468370",
 CellID->104833427],
Cell[104003, 2533, 278, 6, 29, "Input",ExpressionUUID->"7b845233-108e-4883-8990-d6d6f7abaebf",
 CellID->60722499],
Cell[104284, 2541, 963, 25, 88, "Text",ExpressionUUID->"bb943854-14d6-44e0-b413-5e85507b467e",
 CellID->383480746],
Cell[105250, 2568, 921, 18, 37, "CodeCaption",ExpressionUUID->"32262036-9063-4746-aa9c-de60648afaf3",
 PageBreakAbove->True,
 CellID->309263145],
Cell[CellGroupData[{
Cell[106196, 2590, 233, 5, 29, "Input",ExpressionUUID->"c6fce6ec-6d50-410b-954d-7503af1f6a01",
 CellID->185556812],
Cell[106432, 2597, 237, 4, 40, "Output",ExpressionUUID->"08f22194-de17-49af-ad13-03128270a57c",
 CellID->639583694]
}, Open  ]],
Cell[106684, 2604, 897, 17, 37, "CodeCaption",ExpressionUUID->"5994d9d1-4d25-4673-9752-64a63c5bba11",
 CellID->682691815],
Cell[CellGroupData[{
Cell[107606, 2625, 232, 5, 29, "Input",ExpressionUUID->"43350b18-caeb-4d0a-9f0a-e61b8fe6118b",
 CellID->92726320],
Cell[107841, 2632, 234, 4, 40, "Output",ExpressionUUID->"b789fd11-dbd1-4325-b642-4a615791af2c",
 CellID->377011241]
}, Open  ]],
Cell[108090, 2639, 752, 16, 66, "Text",ExpressionUUID->"e227ca86-598a-4dcb-b2ad-c56c9fbfd81a",
 CellID->620873752],
Cell[108845, 2657, 672, 21, 52, "DisplayFormulaNumbered",ExpressionUUID->"8864e86d-388a-4b78-a366-505c3b39371e",
 CellID->813266433],
Cell[109520, 2680, 1185, 31, 92, "Text",ExpressionUUID->"94af11a9-f3db-4d6d-af94-1ddd2e28ab54",
 CellID->864841894],
Cell[110708, 2713, 943, 18, 37, "CodeCaption",ExpressionUUID->"818a1b52-ea3d-4c58-9bd3-d03fd12a3b2f",
 CellID->147113432],
Cell[CellGroupData[{
Cell[111676, 2735, 579, 17, 74, "Input",ExpressionUUID->"dc6a7e03-be9b-42cf-b9e8-86a9fecc6d63",
 CellID->454132720],
Cell[112258, 2754, 235, 4, 40, "Output",ExpressionUUID->"a284c1d8-1641-4f11-b707-fa3f923a1495",
 CellID->1351168837]
}, Open  ]],
Cell[112508, 2761, 820, 19, 66, "Text",ExpressionUUID->"773d01fc-3d54-4d09-84a0-e0155446759d",
 CellID->28665508],
Cell[113331, 2782, 1155, 22, 37, "CodeCaption",ExpressionUUID->"475b7bbf-a572-4a5e-93b1-f5c16bd59bd8",
 CellID->639207096],
Cell[CellGroupData[{
Cell[114511, 2808, 402, 11, 29, "Input",ExpressionUUID->"5fa81628-5e4d-493c-8754-5b46e57305e6",
 CellID->778566942],
Cell[114916, 2821, 262, 4, 40, "Output",ExpressionUUID->"a7d3f12d-d674-466b-83ac-509075e9b822",
 CellID->1215268674]
}, Open  ]],
Cell[115193, 2828, 730, 16, 89, "Text",ExpressionUUID->"535882c3-26aa-4ab1-b11c-53616dd8fbe6",
 CellID->248342936],
Cell[115926, 2846, 665, 13, 88, "Text",ExpressionUUID->"58a47e7a-e242-4f59-a2b3-6755c9b42587",
 CellID->343671234],
Cell[CellGroupData[{
Cell[116616, 2863, 254, 5, 71, "ExerciseSection",ExpressionUUID->"7d9f19ec-ebbb-46a0-af31-b4fe53822559",
 CellID->566065673],
Cell[116873, 2870, 1116, 21, 50, "Exercise",ExpressionUUID->"9f334852-2eb4-4833-8b31-a9f3b6f6d9ce",
 CellID->123280140],
Cell[117992, 2893, 1081, 24, 66, "Exercise",ExpressionUUID->"91d2a5ef-4cb7-43a7-b052-bbd26c1e65f9",
 CellID->141359314],
Cell[119076, 2919, 1856, 48, 67, "Exercise",ExpressionUUID->"b3f2c3eb-ce2a-4e10-9c3d-b62e54fe1364",
 CellID->64011863],
Cell[120935, 2969, 635, 14, 27, "Exercise",ExpressionUUID->"8980aac1-379b-4d02-a4fe-e9257d68f918",
 CellID->416311685],
Cell[121573, 2985, 994, 21, 47, "Exercise",ExpressionUUID->"c7ad89ff-162c-4ec7-a7c0-71b62f811476",
 CellID->33034166],
Cell[122570, 3008, 993, 23, 46, "Exercise",ExpressionUUID->"fe62211d-2826-4f85-a91b-0d418cf51f56",
 CellID->482980621],
Cell[123566, 3033, 738, 14, 46, "Exercise",ExpressionUUID->"ae2294f2-8c13-4f16-83fd-d5bd04609ac2",
 CellID->135554252],
Cell[124307, 3049, 667, 10, 45, "Exercise",ExpressionUUID->"d1aedfd8-e595-4114-8d9a-1df6c98a6ff5",
 CellID->196921243]
}, Open  ]],
Cell[CellGroupData[{
Cell[125011, 3064, 112, 1, 70, "TechNoteSection",ExpressionUUID->"7e033fed-ba9c-4084-a2b6-602bcc33572d",
 CellID->874797650],
Cell[125126, 3067, 842, 18, 32, "TechNote",ExpressionUUID->"a7e1b209-2918-432b-9756-70d246f4fd29",
 CellID->564397392],
Cell[125971, 3087, 1336, 32, 56, "TechNote",ExpressionUUID->"327d1a80-f6b8-423b-9417-0c52eacc475b",
 CellID->1299342755]
}, Open  ]],
Cell[CellGroupData[{
Cell[127344, 3124, 120, 1, 100, "MoreExploreSection",ExpressionUUID->"755398bb-88f9-4cc8-898e-8e9bfab974d9",
 CellID->835199206],
Cell[127467, 3127, 978, 24, 30, "MoreExplore",ExpressionUUID->"1350883b-df04-4ac5-87ea-9bad2963e949",
 CellTags->"LastCellOfAPage",
 CellID->26626102],
Cell[128448, 3153, 985, 21, 49, "MoreExplore",ExpressionUUID->"f71c9d8c-c613-4f32-8d60-b880516c4b45",
 CellTags->"LastCellOfAPage",
 CellID->1554366849]
}, Open  ]]
}, Open  ]]
}
]
*)

