(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    360838,       7843]
NotebookOptionsPosition[    248436,       5522]
NotebookOutlinePosition[    333749,       7307]
CellTagsIndexPosition[    333552,       7297]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 InterpretationBox[Cell[
  "Comparing Categorical Variables", "SectionInline",ExpressionUUID->
   "19ff3261-e6c4-4d0c-94ec-5bafda939f7d"],
  $Line = 0; Null]], "Section",
 CellChangeTimes->{
  3.652728456208679*^9, 3.652728527108994*^9, {3.76200839270086*^9, 
   3.7620083927008753`*^9}, {3.777662677488593*^9, 3.7776626774886007`*^9}},
 CounterAssignments->{{"Section", 12}, {"Subsection", 12}, {
   "Subsubsection", 12}, {"Exercise", 12}},
 CellTags->"C:13",
 CellLabel->"In[1]:=",
 CellID->868451339,ExpressionUUID->"68f07092-4629-4751-9c9e-e94668859d85"],

Cell[TextData[{
 "In Chapter 8, we came across the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"ebc6bb7e-8bee-44d9-8275-b0f4ecbfed0b"],
 " distribution. It is dependent on the concept of degrees of freedom. This \
distribution is well suited to see if the counts of a set of data point \
values for a variable follows a specific distribution, using it as a ",
 StyleBox["goodness-of-fit",
  FontSlant->"Italic"],
 " test. In its more common form, we look at the independence of categorical \
groups and perform the well-known ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"2fe21af6-9fa6-498c-8272-b5c211ab308b"],
 " test of independence."
}], "Text",
 CellChangeTimes->{{3.753675413632147*^9, 3.7536754388257256`*^9}, {
   3.753675566481559*^9, 3.7536756190013466`*^9}, 3.7682181622333803`*^9, {
   3.7686724649087048`*^9, 3.768672468541068*^9}, {3.7701337171803527`*^9, 
   3.770133723389353*^9}, 3.7701391113365326`*^9, 3.8160890529467173`*^9},
 CellID->548364053,ExpressionUUID->"434a39c8-e116-4016-9b2d-542d15dce198"],

Cell[TextData[{
 "Just as a reminder, let\[CloseCurlyQuote]s plot the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"f3b662f7-0852-4b62-8d48-f84b2a336f5e"],
 " distribution for 2, 6, and 20 degrees of freedom."
}], "Text",
 CellChangeTimes->{
  3.753675627815997*^9, {3.8020846147179775`*^9, 3.802084632956405*^9}},
 CellID->635490556,ExpressionUUID->"aae91558-e680-4828-88b8-9ba64a63c7dd"],

Cell[TextData[{
 "Plot three ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"4a34acbb-f47f-4f5f-aa6d-d418dd90e891"],
 " distributions with varying degrees of freedom:"
}], "CodeCaption",
 CellChangeTimes->{
  3.78215556538135*^9, {3.7821556197129793`*^9, 3.782155627508685*^9}},
 CellID->2109549225,ExpressionUUID->"7f7fc806-28cd-4e3a-9f90-08843628f4a7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"PDF", "[", 
       RowBox[{
        RowBox[{"ChiSquareDistribution", "[", "\[Delta]", "]"}], ",", "x"}], 
       "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Delta]", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "6", ",", "20"}], "}"}]}], "}"}]}], "]"}], "//", 
    "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "50"}], "}"}], ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", 
    "\"\<\!\(\*SuperscriptBox[\(\[Chi]\), \(2\)]\) Distributions\>\""}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\>\"", ",", "\"\<Probability\>\""}], "}"}]}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<2\>\"", ",", "\"\<6\>\"", ",", "\"\<20\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.753675671265643*^9, 3.7536756745854597`*^9}, 
   3.81350965911519*^9},
 CellLabel->"In[1]:=",
 CellID->66391042,ExpressionUUID->"bd4a8ea1-e2fc-478f-894b-e91bcddc7f95"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{
     GraphicsComplexBox[CompressedData["
1:eJw822k0ld/fx3EJCSljyBSRMfPs2vtrVoqSeU4pc2ZRpEhSxojILFMqhESE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      "], {{{}, {
         EdgeForm[], 
         Directive[
          RGBColor[0.368417, 0.506779, 0.709798], 
          Opacity[0.2]], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwl1lOUnQcbhuGJbauN09i2nca2bTtNY6MxGjW2bdu2beu/Jv/Btfb33LPf
k1kzeyZRw3YV2wYNCAgIQoJg/3+tEDogoCKZPMfT/vaGuF5f+OJAz3E81/D8
nL/s2PZ+701hb6W89oBGWnX7GQPsWN43UfvAcO13bT0Z7X0k17bwp3afhlo1
+yn97ZjuJ2jvGab9pq0jg72XZNpmymn3aKBVtZ/Qz47hfrz2jqFaAm0t6e09
JNU2UVa7S32tiv2YvnZ09+O0twzR4mtrSGfvJom2kTLaHepple1H9LGjuR+r
vWGwFk9bTVp7F4m1DZTWblNXq2Q/pLcd1f0Y7TWDtLjaKtLYO0mkraeUdos6
WkX7Ab3sKO5Ha6/4W4ujrSS1vYOE2jpKajepHfizYN+npx3Z/SjtJQO12NoK
Utnb+V1bSwntBrW08vY9etiR3I/UXvCXFktbTkp7G79payiuXaem9qd9l+52
RPcjtOcM0GJqy/jD3hr486utpph2jRpaOfsO3ewI7odrz+ivxdCWksLeQnxt
FUW1q1TXytq36WqHdz9Me0o/Lbq2hOT25sDfFW0lRbQrVNPK2LfoYodzP1R7
Ql8tmraYZPYm4morKKxdpqpW2r5JZzus+yHaY/poUbVFJLU3EkdbTiHtElW0
UvYNOtlh3A/WHtFbi6ItJIm9gdjaMgpqF6mslbSv09EO7X6Q9pBeWmTtPxLb
64mlLaWAdoFKWgn7Gh3sUIGfJdoDemqRtAUkstcRU1tCfu08FbXi9lXa2yHd
D9Tu00OLqM0nob2WGNpi8mnnqKAVs6/Qzg7h/i/tHt21CNo8frfXEF1bRF7t
LOW1ovZlAj8kg7sfoN2lmxZem8tv9mqiaQvJo53hT62IfYk2djD3/bU7dNXC
aXNIYK8iqvYfubXTlNMK2xdpbQd130+7TRctrPYv8e2VRNEWkEs7RVmtkH2B
VnYQ9321W3TWwmiziWevILI2n5zaScpoBe3ztAz8I+G+j5ebdNJCa7MC/zbY
y4mkzSOHdoLSWgH7HC3sn/TWbtBRC2XPJI69jIjaXLJrxyml5bfP0tz+QS/t
Oh20kPYMYttLiaDNIZt2jJJaPvsMzezv9NSu0V4LYU8nlr2E8Nq/ZNWOUkLL
a5+mqf2NHtpV2mnB7WnEtBcTTptNFu0IxbU89ima2F/prl2hrRbMnkoMexFh
tVlk1g5TTMttn6Sx/YVu2mXaaEHtKUS3FxJGm0km7RBFtVz2CRrZn+mqXaK1
FsSeTDT7P0JrM8ioHaSIltM+TkP7E120i7TSAuxJRPW4gFDadDJoByis5bCP
0cD+SGftAi21n/yjRbHnE9KeRnptP4W07PZR6tsf6KSdp4X2g4laZHseIeyp
pNP2UVDLZh+hnv2ejto5mmvfmaBFsucS3J5CWm0vBbSs9mHq2u/ooJ2lmfaN
8VpEe07gr4c9mTTaHvJrWexD1LHf0l47Q1PtK+O0CPa/gd9OexKptd3k0zLb
B6ltv6Gddpom2hfGauHt2QQJ/H6SSttFXi2TfYBa9mvaaqdorH1mjBbOnhUQ
8Oufv4mk1HaSR8po76em/Yo22kkaaZ8YrYW1Z/KTCdof2g5y2xnsfdSwX9Ja
O0FD7SOjtDD2DH4wXkuhbSeXnd7eS3X7Ba204zTQPjBS869qwHS+M05Lrm0j
p53O3kM1+zkttWPU194zQgtlT+MbY7Vk2lZy2Gnt3VS1n9FCO0o97R3DtZD2
VL4yRkuqbSG7ncbeRRX7Kc21I9TV3jJMC2FP4QujtSTaZrLZqe2dVLaf0Ew7
TB3tDUO14PZkPjNKS6xtIqudyt5BJfsxTbVD1NZeMyTor4/1gEl8YqSWSNtI
FjulvZ2K9iOaaAeppb1icNBfHwMB//CREVpCYQOZ7T/sbVSwH9JYO0BN7SWD
tP8B0YuF5g==
            "]]}]}, {}, {
         EdgeForm[], 
         Directive[
          RGBColor[0.880722, 0.611041, 0.142051], 
          Opacity[0.2]], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwV1mWYVVUAhtFLKSFYSEgjgiDdKdLNDCDd3SEg0ird3SkloYRgIN1t0EqX
tCDd6No/1nP2997LM8zM4VzSNetcvVPMSCQSg7kOKWNFIlFxI5FoqjivjROJ
5GQ5a2JHIhldF/Cx8xJSOE/jT+/Na8/idXsUfbWi9kKS2pP4VnvV7swFGmuV
tePksWeSSBtJH20Zr2idOE8jvZJ2jNz2DBJqI+itFbEXkMSeyFItjt2RczTU
KmpHyWVP5zVtOL20JcTWOnCWBnoF7Qg57Wkk0IbRU1tMLK09Z6ivl9cOk8Oe
SnxtKJ9rhe35vGNP4Bstpt2O09TTymmHyG5PIZ42hB7aImJobTlFXb2sdpBs
9mTiaoP5TFtIRGvDSeroZbQ/yGpP4lVtEN21QvY8Etvjw+9a+4/W2glqa6Xt
3/nQnsgr2kC6afN5SSv9L2rppezfyGJPII42gK7aPF7QUv+TmnpJ+1cy2+OJ
rX3Fp9rXPKeFfpxP9BL2AT6wxxFL+5Iu2lye0Vw/Ro1w79r7yWSPJab2BZ21
OTylmX6U6npxex8Z7THE0PrTSZvNE5rqR6imf2Tv5X17NBGtHx21WTymiX6Y
aL2YvYcM9ij+o6/eQZvJIxprh4jSi9q7ec8eyUv66O21GTykkXaQqnoRexfp
7RG8oLfeTpvOAxpqf1BFL2zvJJ09nOf00ttq07hPA+13KuuF7B2ktYfxjJ56
G20q96iv/UYlvaC9nTT2UJ7yud5am8Jd6mm/UlEvYG8jtT2EJ/TQW2mTuUNd
7QAV9Pz2VlLZg3nMZ3pLbRL/UkfbT3k9n72FlPYgHtFdb6FN5Da1tX2U0/Pa
m0lhD+Qh3fTm2gRuUUvbS1k9j72Jd+0BPKCr3kwbzz/U1PZQRs9tbyS5/RX3
+VRvqo3jJp9ouymt57I3kMz+knt00ZtoY7lBDW0XpcLz3F5PUvsL7tJZb6yN
4TrVtZ2U1HPY60hi9+cOnfRG2miuUU3bQQk9u/0L79j9+JeOekNtFFeJ1rbz
sZ7NXkvicN9zmw56A20kV4jStlFcz2r/zNvhvucW7fX62gguU1Xbykf6h/ZP
vBXue/6hnV5PG87fVNG2UEzPYv/Im+G+5yZt9braMC5RWdtMUT2z/QNvhPue
G7TR62hDuUglbRNF9A/sNbwe7nuu01qvrQ3hAhW1jRTWM9mrSRTue67RSq+l
DeY8FbQNFNIz2t+TMNz3XKWlXlMbxDnKa+spqL8f7icGcpZy+joKeC1DeM6E
Z0e4hxjAGcp6/Rfye086u7jzYt61p7JKW2Gnc57Da+HfFFdoYVcPf0fnDM7z
wjPBOYvrYr52ftt1XHjue18212Xh/w76atfUzOR0+D2FnyeLwuea11e6rnXN
55o23Cfh/uU7VutrwvfL/PCctn8K9wdLwmexvco1OVNY6c9nD1+X5V5L6zqb
BM6Zw/vDZ57zZZo7V/P+Vc7vhe8hPLec5/KW89jwmeT1ZXYq5xmcskvbP5PX
TmMXc15EMnsyK7Tv7DTOs4gfnh38TTM72uv5nefwpj0mfJZpJykVvj/yhJ+Z
vZx44VnCJZrqUVp/TlBS+5HceqrwdYkbniVcpIleVVvpnN55bnh2Os/mDefR
4XPO61ldlwb6964pmc5f4d9JuJ9ZSAmvr3D9wTWX6/+gvE1g
            "]]}]}, {}, {
         EdgeForm[], 
         Directive[
          RGBColor[0.560181, 0.691569, 0.194885], 
          Opacity[0.2]], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwV1mW4VUUYhuFNpyggrZIC0iolrYDSSNkCYoKEAoKEQVjYtKKIgChIK90d
Kh3S3Uh3en8/nuuNmbX2illzTt5WHRq3T5pIJJLgG6Z1qkSiQepE4niKRKI+
HSEXp5lpb9zJj06ZSFzFG/JFNOS/xkE0kffGPL40OmMVyuuW4ZjzNpC/wgE0
1u1BBv5hdMJKlNMtxdG4DvlL7Ecj3W7cwT+EjliBsrolOGJ+PfkL7MOTul1I
zz+It7EcZXSLcdj8uvLn2IuGup1Ix5fCW1gW96JbhEPm15H7YQ8a6HYgLV8S
HbA07kW3EAfNry1/ht2or9uONHwJtMeSuBfdAhwwv5b8KXahnm4bUvPF0Q6L
415087Hf/CfkT7ATdXX/IhVfDG2xKO5FNw/7zH9c/hg7UEe3FSn5ongTC+Ne
dHPjXZpfU/4I21FbtwUp+CJogwVxL7o58S7NryH3xTbU0m1Gcv4BtMb8uBfd
7HiX5ieTC8d6wry4bv2seG/GksqF8DrmxjXqZ8Y7MpZELojXMCeuRz8j3oex
hHw/XsXs+G399Hj2xm6jgO4VzIrf1k+L56y/hfy6lzEzflv/ZzxT/U3k07XC
jPht/R/x/PRbsBmbsBEbsB7rsBZrcAN5HfcSpsf1OXYq/tFXl/vgXzyh24Tr
+jxyS0xDAd0U/K0fJV+J5yJfwGN8b2zF4/JGXDPve/k0mssnkJtP0A64gRax
dujdvus/+fz8ZPzl2J9oMX0m2iu+UX6kOQP4PPzl+O7oa/J5PBrrQ/6OL0hT
0Yq0C01Gexl/jH4uZ6dbYh3TmvIGXI1vUf6Bf4Cmp1Voj1j/cV7zv+bv4U/x
L/LHcR9/O76leGZoHuubZjbvDz4fPwmrnT8j/TD2D2M/G7sUa0Q+h2p8SvoO
khr/UN6MGvJ6XHH8UPk/vBB7Ge6N68BU5JUnYpV5VeUPsAnVdetwWT9EPonn
Y2+Le4lzYQryyBOw0rwq8vvYGM9MtxaX9LniWExGbt14rNBfRE7dc5iE+/S/
Y7l+GZZiCS4gh/FnMRH3mjMu9kJ9Zfk9bMCjujXxXvXZ5WcwAffoxsZeqK8k
98R6VIt1HM9Rn01+GuORS/db7IX6inIPrEPVWMc4qx8sn4hrj/0bWfmn8Dty
yr/G3mjeCPlifLdxHCrw3bEWVWLN4ox5g+TjcY/yYWThm2EccshjYu+M9S1f
iG89jsMjfAraGUm8/27yGlSOtYPTjhkoH4vnIR+K74a/hXbxvaEpPxbZ+V9i
z3XMXfQDpHfO4cbOxx4S50N5PjnthITxd+V/UCnWEU45Ph3tjlTGBxg7Gs9X
PhhrnL+JtvH9oAn/Ec1k7m98Nn405jrPnfR9pDP2o7H+sR/w52JPit9COT4Z
7Yjb6Cr3o9nM+5uvGOsT/zlfWtoNKY31N/YVn4s/Eu+PPxDXwQ+m+fU3+Dfj
O0Jjvi/NqP+Vz8qPwhznHU6L6jPQ95A29gRzvo1vnT/Ll6Et4zpQVh5K79cl
jXVB36a30MXYZ7GmdH/xpWiF+GZw0m8No4V1aWjleP40Bf02vnv6pZyTHpYf
ps3k/XHdsU/Lg/h89LpcnraJ7xyN4puQ+/B30TFyCZpFHonZ8X9KvAe+CL2D
VqU9aRo6zPya9JvYY+gZuTRtEdeNMnIteQhfgCaJ9UvfojfxTnzD8qex/ulq
uSR9JPYEnIj/Y+Tv+UI0Na1Eu9Lk8buxb9Ev5Bz0kPwQbSrvi3uKvzPyQD4v
vSaXo/8DG+FXwA==
            "]]}]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, {{}, {}, 
        TagBox[{
          Directive[
           Opacity[1.], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]], 
          LineBox[CompressedData["
1:eJwl12OwnlcYhtEvJ7ZtmzVTK2Xq2LZtW22SIrZt27Zt2+na0x+rOfc12TP5
8bxnplkr1S9ZL1okEkkfPRIJf3aNikRu+qEUG+wqXNR+YJmWh1e0BXYWetsP
7T8wI93855ZWmo12VS5pJVmu5eVVbaGdlT72I/tP/BMi3bXbWhk22dW4rP3I
Ci0fr2mL7Gz0tR/bQ4lBD+2OVpbNdnWuaD+xUsvP69piOzv97Cf2MGLSU7ur
lWOLXYOr2s+s0grwhrbEzkF/+6k9nFj00u5p5dlq1+Sa9gurtYK8qS21czLA
fmb/RWx6a/e1Cmyza3Fd+5U1WiHe0pbZuRhoP7f/Jg59tAdaRbbbtbmh/cZa
rTBva8vt3AyyX9j/EJe+2kOtEjvsOtzUfmedVoR3tBV2HgbbL+1/iUc/7ZFW
mZ12XW5ppVivFeVdbaWdlyHh6Bjhj/j01x7bVdhl1+O2VpoNWjHe01bZ+fjD
jsZILQEDtCd2VXbb9bmjlWFjuF3e11bb+fnTjmKUlpCB2lO7GnvsBtzVyrIp
3C7FtTV2AYba0RmtJWKQ9syuzl67Ife0cmwOt8sH2lq7IMPsGIzREjNYe27X
YJ/diPtaebaE2+VDbZ1diOF2TMZqSRiivbBrst9uzAOtAlvD7fKRtt4uzF92
LMZpScN3rL20a3HAbsJDrSLbwu3ysbbBLsLfdmzGa8nCdxz1/y+C2tpBPzbl
kV2J7eF2+UTbaBflHzsOE7Tk4TvWolFHO2Q347FdmR3hdvlU22QX4187LhO1
FOE71qKoqx22m/PErsLOcLt8pm22X2GEHY9JWsrwHWvRCb8Uj9gteGpXZVe4
XT7XttivMtKOz2QtVfiOtRjU147aLXlmV2N3uF2+0LbarzHKTsAULXX4jrWY
NNCO2a14bldnT7hdvtS22a8z2k7IVC1N+I61WDTUjtuteWHXYG+4Xb7Stttv
MMZOxDQtbfiOtdg00k7YbXhp12RfuF1KaDvsNxlrJ2a6lo4RWhwaayfttoRf
7LW0/eF2+Vraab/FODsJM7T0jNTi0kQ7ZbcLvx68r60dCLfLN9ou+23G20mZ
qWVglBaPptppu304R+/raAfD7fKtttt+hwl2MmZpGRmtxaeZdsbuEP753tfV
DoXb5Tttj/0uE+3kzNYyMUZLQHPtrN2RGN7X0w6H2+V7ba/9HpPsFMzRMjNW
S0gL7ZzdiZje19eOhNvlB22f/T6T7ZTM1bIwTktES+283ZlY3jfQjobbpaS2
3y7OFDsV87SsjNcS00q7YHchtvcNtWPhdvlRO2B/wFQ7NfO1bEzQktBau2h3
JY73jbTj4Xb5STtof8g0Ow0LtOxM1JLSRrtkdyOu9421E+F2+Vk7ZH/EdDst
C7UcTNKS0Va7bHcnnvdNtJPhdvlFO2x/zAw7HYu0nEzWktNOu2L3IL73TbVT
4Xb5VTtif8JMOz2LtVxM0VLQXrtq9ySB98200+F2+U07an/KLDsDS7TcTNVS
0kG7ZvcioffNtTPhdvldO2Z/xmw7I0u1PEzTUtFRu273JpH3LbSz4XYppR23
P2eOnYllWl6ma6nppN2w+5DY+5bauXC7lNZO2F8w187Mci0fM7Q0dNZu2n1J
4n0r7Xy4XcpoJ+0vmWdnYYWWn5laWrpot+x+JPW+tXYh3C5ltVP2V8y3s7JS
K8AsLR1dtdt2f5J530a7GG6XctppuwQL7Gys0goyW0tPN+2OPYDk3rfVLoXb
pbx2xv6ahXZ2VmuFmKNloLt21x5ICu/baZfD7VJBO2t/wyI7B2u0wszVMtJD
u2cPIqX37bUr4XapqJ2zv2WxnZO1WhHmaZnoqd23B5PK+w7a1XC7VNLO29+x
xM7FOq0o87XM9NIe2ENI7X1H7Vq4XSprF+zvWWrnZr2Wxt/rpF0PNxq+S7uz
fSN8Y37uEvX//2cU83f/A7TYhS8=
           "]]}, Annotation[#, "Charting`Private`Tag$1391#1"]& ], 
        TagBox[{
          Directive[
           Opacity[1.], 
           RGBColor[0.880722, 0.611041, 0.142051], 
           AbsoluteThickness[1.6]], 
          LineBox[CompressedData["
1:eJwV1Xe4FlIcB/C3hRAlo629d2lKpCEk2jsaSjRUSnvvqJC09y7R0i6jNLVU
KGmgpUKhic/vj89zzvd73nuf7u38zs3WomOtDkkSicTUpIlEpmSJRLEUicTK
5InEx9anrHOseaLje+cTrZn4lIXOF1oL0sfZO9bUTNU/xnT77Cyzf8H5y/an
7TtxF0t0mSmuXyVX4ge5LzV5Rf+z7k1SslSXhRL61fLTHJX78a4uDdN0pXhR
10L+xb4zdzNFfpQl8fM5H2+fjrlyBR7VlZQ/s6/MMXmSnJlFcn95jP0DTJdL
M8M+B5/Yv+S8pf2v9l2YZ5+Pe+ynWrOy1H6xtXD8Xnz+Q2v6+HrmOVtgLRA/
H0/Is6y5WMHy+J1Zi8S/Mb6fr3/Muka/zFrFOteaN36f/Oh8sjVLfC2LnS+y
FmKAs7HWtMzQz7fmp4z9TGvO+D+2r+VzrezP2HflXqbJ2fjY/hPnE+wzMF+u
SDZdKXmtfVWOywOpTXZykJPSPrPOeTV+kgdRh1yUcbZe/wwn5MHUpbX+rO4t
UvGpLjdl9Rvk6pyUh1CPV/XndN24j+W6PJTTb5Sf5ZQ8lPq00Z/Xded+Vujy
Ul6/SX6O0/IwGtBWf0H3NqlZqcvH4/rN8vP8LA+nIa/pf9P1IA2rdPmpoN8i
1+AXeQSNaKe/qOvJA6zWFeAJ/ecxV/wqj6Qxr+sv6XqRls90Bamo/0KuyRl5
FE14Q39Z15sHWaMrxJP6L2OOOCuPpint9b/r+vAQa3WFeUr/VcwA5+ItoBkd
9H/o+vIw63RFqKTfGveL8zG/NKej/k9dPx5hva4oT+u3ybW5EHMY7wmd9Fdi
NknHhnjDqKz/Wq7Db3HX4z3hTf1V3QDSszHeH6rot8t1uSiPi/eDzvq/dAPJ
wKZ4f6iq3yHX45L8Xsw+XfR/6waRkc3xplBNv1Ouz2X5/Zgruur/0Q0mE1ti
pnlGv0tuwO/yB3H3eUt/TTeEzHwes0Z1/W65IX/E2xZ3n27667qhZOGLmDue
1e+RG/FnvENx9+muv6EbFu8hX8Ys8pz+G7kxV2Lm4+7ztv6mbjhZ+Spmkef1
e+UmXJU/irtPD/0t3Yh4J9gas0gN/T65KX/JE+Pu01N/WzeS7GyLWeQF/X65
GX/Lk+Lu00v/r24UOfg6ZpGa+gNyc/6RJ8fdp7f+P91ocrI9ZpEX9Qfll7km
T4m7Tx99gnf0udgRs8hLum/lV7guT427T199Et7V52ZnzCK1dIfkFtyQp8Xd
p58+KWP0edgVs0ht3WG5JTfl6XH36a9Pxlh9XnbHLFJHd0RuxS15Rtx9BuiT
M06fjz0xi9TVfSe35rY8M+4+A/UpeE+fn29iFqmn+15+lX/lWXH3GaS/g/f1
Bdgbs0h93Q9yG/6TZ8eM6R5kpq4sXXWD5Tv5QC7IvphNGuiOym1JMCdmgSH6
uxivK8T+mE0a6o7Jr5GEuTELDNWn5ENdYQ7EbNIo/l7K7UjKvJhp3UPMksvR
XTdMvpsJchEOxqzSWHdcfp1kzI/ZYHj8/ecjXVG+jVmlie4n+Q2SsyBmgxH6
e5moK8ahmFWa6k7I7UnBwnhDdA8zWy5PT91IORWT5OIcjtmlme6k3IE7WBSz
wij9fUzWleBIzC7NdafkjtzJ4niDdI8wR36c3rrR8v1MkUvyXcy6nJEF8pPM
ts/NCvul1qKsoYbP/g8f9kyt
           "]]}, Annotation[#, "Charting`Private`Tag$1391#2"]& ], 
        TagBox[{
          Directive[
           Opacity[1.], 
           RGBColor[0.560181, 0.691569, 0.194885], 
           AbsoluteThickness[1.6]], 
          LineBox[CompressedData["
1:eJwV1He8jmUcx/GHcKxCpLTsXbY0SLasJLMlCtmKyIrsrZRRoVDJ3srISmWn
sktlr5Kdrffvj8/rO67rvu9znmvkbN6xXodkiURibPJEYlnKRGJKUiKRBV+k
SiTq4hLfGmVSJxJX5Zz0Q7kqzSgf4OujhHxEzkZHyJXoe3IK2k0uS1PT/PRj
WoOe8r0f+MdQVN5k/l10iFyBviXf4DvFHDkZzUPH0+q0tPG/+aYoJZ+RH4jv
ylXoJ3Ia2ksuT2+nhegkWosu9/2p/F0oIn9pfkbaX36KPiv/x7fBo/I1ORcd
K1ejmeSDfAOUlI/K99KRcmX6vpySvi2Xo2logfi76N++/SN9HMV0m83NSofK
Xfmb9I0Y1yWneekE+oixf+grKK07Kz8Y35In8mn53vwdKMxPpit8axrNiunm
ZNIP4Ovxl2lbXOdz68fxd/KHaEMc4+/Tj+LH8Kn47nxa/OO9G+gT2GLsbmPD
+G78Lfombou9I5+mzXCOz27eGH4Sn45/h8+Ald73Ob0bXxm709hA/jn+Cm2H
G3xmHOYb4Tj/AZLM7SGnw2nv2Rh7DluNvY2E8c5yilhL+V/aHOf5yUhvvI+c
Ed96/gt6D2YYq4+rfHvc5LPgCN8YJ/gP432e2RTrjG1ydyTzzi5yyti/8hn6
Ki7wn2KVZ76Us2Gm3CD2P47KTXCSHxvPmbdZfhI/yT3wOM7Kr+Ei/xlWmzdd
vhez5Iaxp3BMfh6n+HHxnHlb4kxgu9wTT2CN/ivdfZgtN4o1xTn91jgT+Fnu
hbJYq5+hux9z5Ma4B+f12+IM4xe5N8phnX6m7gHMlZvEfYEL+u+wHt/HnYBZ
5jyIecafj3OFi3FmMFufHfN1L8T+jHtK/5OuIn6V38GT2KCfo8uBBfKLuB/H
5RfiHPLj45ybtz3uLeyQ+6A8Nurn6nJiofxS3DE4Ib8YZ4CfEOfIvJ/j3GOn
3BfJ4w6TU8VvF78jbYFL/BTcbryvnAmbPD+P5sKi2OPGBvEv89doB9yKs46T
/Euxz+N/MW80/xGfmu8Z+4SmpwXpRFqTXvH+X/gqKC7virWiw+M3o+/Kt9Gu
cZ5pEs1HP6JP0wqxrnzLuIPk/+Qc9AN5Kn9HvCPuDjzEf0o3++Z8mhuL49zo
B/NN+eu0IxKxlvKp+F/xL/9xnDfP/ipXxW65HyrGXpFb4TI/DVvMWyDnwRL5
lfi74jfT79BVwx65Pyphq36hLi+Wys2QM/6e2LOxh2IfxFrG7xV/Q7wHO7EL
u7Eofht87bnmyIUb+j1YrM+Pb3Svxp2Km/q9WKIvgGW615An7kn9PiyN9cJy
XQvkjTsLvxn7Wl8IK+SWyBd3C3439o2+MFbKrZA/9h32G1sWaxH3mfw6CsQa
4w9jy/UPY5XcGgWRAjt11bGXH4DK+NP8FboiWC23QSGkxK7YH9jHD0QV/GX+
Sl1RrJHbojBSYbeuBn7jB6EqDpj/ra4Y1srt8BCSsCf2L37nB6MaDpq/KvYx
1snt8XDsf+zV1cJ+fgiq45D5q3Ul8J3cAUWQBvt0tfEHPxRP47D5a3QlsV7u
iKJIG+uhq4M/+WGogSPmr9WVwvdyJxRDulgj3TP4ix+Omjhq/jpdafwgv4Hi
SB/rpquLA/wI1MKxuB/j3OFH+U2UiPsj1lL3LA7yI1Ebx+Mu1ZXBBrkzSsYZ
jbXU1cMhfhTq4ETcu7pHsVHuglLIEGupew6H+dF4Bhfl13GF/zzmOdf95Myx
p/jP4jelJ733f2ajWuw=
           "]]}, Annotation[#, "Charting`Private`Tag$1391#3"]& ]}}], {}}, {
    DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
     AxesOrigin -> {0, 0}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, DisplayFunction -> Identity, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox["\"\"", TraditionalForm], 
       FormBox["\"Probability\"", TraditionalForm]}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None,
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}, "AxesInFront" -> True}, PlotLabel -> 
     FormBox["\"\\!\\(\\*SuperscriptBox[\\(\[Chi]\\), \\(2\\)]\\) \
Distributions\"", TraditionalForm], PlotRange -> {All, All}, 
     PlotRangeClipping -> True, 
     PlotRangePadding -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{"\"2\"", "\"6\"", "\"20\""}, "LineLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.753675678677698*^9, 3.8048706347848816`*^9, 
  3.8048721397318816`*^9, 3.8104094229168262`*^9, 3.813509430136153*^9, 
  3.8135097023285418`*^9},
 CellLabel->"Out[1]=",
 CellID->1337328050,ExpressionUUID->"b8b7a1a9-ef35-4529-936e-073c447d1f19"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"de940401-e6df-4297-b3a5-8e50bba682d1"],
 " Test of Goodness of Fit"
}], "Subsection",
 CellChangeTimes->{{3.7536756982754035`*^9, 3.7536757095057845`*^9}, {
  3.768672360080223*^9, 3.768672365641779*^9}},
 CellID->210464355,ExpressionUUID->"4f99dad9-012a-4015-909c-a5bc20551b9d"],

Cell[TextData[{
 "With this test, we want to calculate whether a set of data point values for \
a variable follows a certain predicted proportion of counts. When we compared \
two means using parametric tests, we made use of the normal or ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "0f69c1ec-aef1-401b-8723-e4b8cb8c5883"],
 " distributions. When we consider categorial variables, we make use of the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"655b71a2-6e4d-43ac-8786-d9b4e750b651"],
 " distribution."
}], "Text",
 CellChangeTimes->{{3.7536757242953253`*^9, 3.753675782281985*^9}, {
   3.770133728611353*^9, 3.7701337326833525`*^9}, {3.8019297604483395`*^9, 
   3.8019298561171875`*^9}, 3.801929903789012*^9, 3.8020843411183434`*^9},
 CellID->20209672,ExpressionUUID->"45cdc947-de66-4ce6-8552-5ba09829fb58"],

Cell[TextData[{
 "As an example, let\[CloseCurlyQuote]s consider a survey in which \
participants could choose one of five answers to a statement. Even though \
these are numbers, they represent an ordinal categorical variable. Our \
experiment will have ",
 Cell[BoxData[
  FormBox["100", TraditionalForm]],ExpressionUUID->
  "3381c0a4-13d4-4e9b-a140-84096358f6d0"],
 " participants."
}], "Text",
 CellChangeTimes->{{3.7536758026587934`*^9, 3.753675833798791*^9}, {
  3.770133734955353*^9, 3.770133740090353*^9}, {3.782147466167124*^9, 
  3.7821474823367977`*^9}},
 CellID->797299831,ExpressionUUID->"2352526a-da48-4e99-9ec1-1db4b71b176f"],

Cell["\<\
Create a list of 100 data point values from the sample space 1 through 5:\
\>", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.7536756539837627`*^9, 
   3.753675837085207*^9, 3.7701391923875327`*^9, {3.7701395451905327`*^9, 
   3.770139551160533*^9}},
 CellID->373262443,ExpressionUUID->"6943c36f-95a8-4df8-a41a-9ef197f42c10"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "123", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"data", "=", 
  RowBox[{"RandomInteger", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "5"}], "}"}], ",", "100"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.753675840820711*^9, 3.7536758586337767`*^9}, 
   3.8104095211637983`*^9},
 CellLabel->"In[2]:=",
 CellID->200608365,ExpressionUUID->"0bf3bdb0-8c41-48de-b45d-027eab3f8e19"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "4", ",", "2", ",", "3", ",", "1", ",", "1", ",", "3", ",", "4", ",", "2", 
   ",", "2", ",", "5", ",", "1", ",", "2", ",", "5", ",", "4", ",", "3", ",", 
   "3", ",", "5", ",", "5", ",", "3", ",", "5", ",", "2", ",", "2", ",", "5", 
   ",", "3", ",", "1", ",", "2", ",", "2", ",", "1", ",", "5", ",", "1", ",", 
   "5", ",", "4", ",", "2", ",", "2", ",", "3", ",", "5", ",", "2", ",", "1", 
   ",", "4", ",", "3", ",", "4", ",", "4", ",", "2", ",", "4", ",", "2", ",", 
   "2", ",", "4", ",", "2", ",", "3", ",", "1", ",", "2", ",", "2", ",", "3", 
   ",", "3", ",", "5", ",", "1", ",", "4", ",", "3", ",", "2", ",", "5", ",", 
   "3", ",", "1", ",", "2", ",", "1", ",", "4", ",", "5", ",", "4", ",", "1", 
   ",", "3", ",", "5", ",", "5", ",", "4", ",", "1", ",", "4", ",", "3", ",", 
   "3", ",", "3", ",", "2", ",", "5", ",", "3", ",", "4", ",", "2", ",", "5", 
   ",", "5", ",", "5", ",", "3", ",", "1", ",", "2", ",", "1", ",", "1", ",", 
   "2", ",", "2", ",", "1", ",", "4", ",", "3", ",", "2", ",", "1", ",", "4", 
   ",", "5", ",", "5"}], "}"}]], "Output",
 CellChangeTimes->{
  3.753675863701975*^9, 3.8048706351948814`*^9, 3.8048721400588818`*^9, {
   3.81040951640385*^9, 3.810409522249466*^9}, 3.813509430164661*^9, 
   3.813509702357795*^9},
 CellLabel->"Out[3]=",
 CellID->908686848,ExpressionUUID->"5abe89f9-b29f-415f-9a9e-f091deebd4c8"]
}, Open  ]],

Cell[TextData[{
 "We can check on the proportion of choices using the ",
 ButtonBox["Tally",
  BaseStyle->"Link"],
 " function."
}], "Text",
 CellChangeTimes->{{3.7536759055147*^9, 3.7536759288011274`*^9}, {
   3.753679494845103*^9, 3.7536795009240975`*^9}, {3.7701391709725327`*^9, 
   3.7701391868745327`*^9}, 3.782155721572233*^9, {3.8160891540659513`*^9, 
   3.816089154449581*^9}},
 CellID->50303420,ExpressionUUID->"8026f81a-e7be-4e5b-bb6e-869075df9490"],

Cell["\<\
Count the occurrence of each of the unique data point values:\
\>", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.75367594202871*^9, {
   3.770139547774533*^9, 3.770139553118533*^9}},
 CellID->494384287,ExpressionUUID->"6f1399c4-1e0b-4ee3-8818-e03fe09a3726"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SortBy", "[", 
  RowBox[{
   RowBox[{"Tally", "[", "data", "]"}], ",", "Greater"}], "]"}]], "Input",
 CellChangeTimes->{{3.753679507749857*^9, 3.7536795086204123`*^9}, {
  3.7536795394616437`*^9, 3.7536795469396377`*^9}},
 CellLabel->"In[4]:=",
 CellID->31986643,ExpressionUUID->"8a6c9776-6ab0-4ec5-b29e-bd1998a53c73"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "18"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "17"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "20"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7536759520096617`*^9, 3.753679509488474*^9, 
  3.7536795472764835`*^9, 3.8048706354498816`*^9, 3.8048721403038816`*^9, 
  3.8104095855108147`*^9, 3.81350943020056*^9, 3.813509702398744*^9},
 CellLabel->"Out[4]=",
 CellID->50060184,ExpressionUUID->"28b1804a-9d2a-4de6-8459-9a76399b97ed"]
}, Open  ]],

Cell[TextData[{
 "We note that choice 1 occurred 18 times, 2 occurred 25 times, 3 occurred 20 \
times, 4 occurred 17 times, and 5 occurred 20 times. We can save the counts \
as a ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object and calculate the total number of data point values using the ",
 ButtonBox["Length",
  BaseStyle->"Link"],
 " function. We can then store these in appropriately named computer \
variables for later use."
}], "Text",
 CellChangeTimes->{{3.753675982311768*^9, 3.7536760624824986`*^9}, {
  3.753679557205336*^9, 3.7536796755088654`*^9}, {3.7536799686847253`*^9, 
  3.753679990437215*^9}, {3.7701337447543526`*^9, 3.770133747626353*^9}, {
  3.7701410187555327`*^9, 3.7701410620485325`*^9}, {3.770374353091275*^9, 
  3.7703743535623226`*^9}, {3.802084668805069*^9, 3.80208472148928*^9}, {
  3.802084972490697*^9, 3.802084981875864*^9}},
 CellID->896689637,ExpressionUUID->"64496fb3-2518-4e91-8d99-988e07595c15"],

Cell["Store the counts and the sample size:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753676075565365*^9, {
   3.7536796883636246`*^9, 3.753679695556328*^9}, {3.770141070654533*^9, 
   3.770141073790533*^9}},
 CellID->649742467,ExpressionUUID->"efbdd162-0e43-47a5-a6ab-5dfacaac9019"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"counts", "=", 
  RowBox[{"{", 
   RowBox[{"18", ",", "25", ",", "20", ",", "17", ",", "20"}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.7536760768372617`*^9, 3.7536760809617243`*^9}, {
  3.753679699413587*^9, 3.753679739724313*^9}, {3.7536797723338327`*^9, 
  3.753679773004079*^9}, {3.753679995414215*^9, 3.753680033044571*^9}, {
  3.810409655504416*^9, 3.810409659933009*^9}},
 CellLabel->"In[5]:=",
 CellID->164184511,ExpressionUUID->"69b9347a-e269-4d18-9d5f-5bdda9fb4098"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"18", ",", "25", ",", "20", ",", "17", ",", "20"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7536760812614164`*^9, {3.753679727212086*^9, 3.7536797400404673`*^9}, 
   3.753679773596979*^9, 3.7536800371288896`*^9, 3.8048706357068815`*^9, 
   3.8048721405468817`*^9, 3.810409589722838*^9, 3.810409660894732*^9, 
   3.813509430220804*^9, 3.813509702418605*^9},
 CellLabel->"Out[5]=",
 CellID->1695406511,ExpressionUUID->"ad30b717-55d8-4d7f-8bff-08b0f4c14547"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "=", 
  RowBox[{"Length", "[", "data", "]"}]}]], "Input",
 CellLabel->"In[6]:=",
 CellID->1686968141,ExpressionUUID->"9c24c6d7-3aec-4df9-88bb-ac57350dd0ec"],

Cell[BoxData["100"], "Output",
 CellChangeTimes->{
  3.7536760812614164`*^9, {3.753679727212086*^9, 3.7536797400404673`*^9}, 
   3.753679773596979*^9, 3.7536800371288896`*^9, 3.8048706357068815`*^9, 
   3.8048721405468817`*^9, 3.810409589724956*^9, 3.8104096617120256`*^9, 
   3.813509430253182*^9, 3.813509702457246*^9},
 CellLabel->"Out[6]=",
 CellID->1369098028,ExpressionUUID->"3b0e1e29-5299-49d9-ab4b-7d34b13de579"]
}, Open  ]],

Cell["\<\
Imagine, though, that we expected the chosen answers to appear with equal \
proportion. That means that we expected 20% of people to have chosen 1, 20% \
to have chosen 2, and so on. The question is: How does our observed count \
distribution differ from this expected count distribution?\
\>", "Text",
 CellChangeTimes->{
  3.7536760946665883`*^9, {3.753676138409918*^9, 3.753676205050495*^9}, {
   3.753680054468528*^9, 3.753680054804633*^9}, {3.770133752321353*^9, 
   3.770133759385353*^9}, {3.8020850451601157`*^9, 3.802085077707117*^9}, 
   3.8160891810008707`*^9},
 CellID->62099045,ExpressionUUID->"5acc3eaf-18cf-4bf1-b560-f1ba5b16fd13"],

Cell[TextData[{
 "The ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"d5d12620-6e73-4154-b908-8ad35cf179b2"],
 " tests are based on equation (",
 
 CounterBox["DisplayFormulaNumbered", "Eq:1"],
 "). These tests are a form of ratio between what the observed counts in our \
experiments are and what we expected the counts to be."
}], "Text",
 CellChangeTimes->{{3.7536800878202577`*^9, 3.7536801149566355`*^9}, {
   3.753680177644079*^9, 3.7536801812448063`*^9}, {3.7536802121404076`*^9, 
   3.7536802579455843`*^9}, 3.770133763161353*^9, {3.782155849420144*^9, 
   3.7821558557680683`*^9}},
 CellID->84843935,ExpressionUUID->"634632e3-aa36-4a81-8872-dccff1a551f8"],

Cell[BoxData[
 FormBox[
  RowBox[{
   SuperscriptBox["\[Chi]", "2"], "=", 
   RowBox[{"\[Sum]", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"observed", "-", "expected"}], ")"}], "2"], "expected"]}]}], 
  TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.782148152314189*^9, 3.782148247522812*^9}, {
  3.7821485497946997`*^9, 3.782148563960895*^9}},
 CellTags->"Eq:1",
 CellID->518297099,ExpressionUUID->"6fc4ee4f-eb8f-4a30-a449-3f70cabda5bb"],

Cell[TextData[{
 "In the specific case of goodness of fit, we have equation (",
 
 CounterBox["DisplayFormulaNumbered", "Eq:2"],
 ")."
}], "Text",
 CellChangeTimes->{{3.753680185148739*^9, 3.7536801974846716`*^9}, 
   3.7536802617889943`*^9, 3.782155862979583*^9},
 CellID->31168638,ExpressionUUID->"f9e8dcfa-cf1f-4382-9c2d-441fc7cfc353"],

Cell[BoxData[
 FormBox[
  RowBox[{
   SuperscriptBox["\[Chi]", "2"], "=", 
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"i", "=", "1"}], "n"], 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["y", "i"], "-", 
        SubscriptBox["np", "i"]}], ")"}], "2"], 
     SubscriptBox["np", "i"]]}]}], TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.7821485762982283`*^9, 3.782148590479135*^9}},
 CellTags->"Eq:2",
 CellID->1044226425,ExpressionUUID->"0837eca7-64e9-4e0f-8eca-25231c8e48d7"],

Cell[TextData[{
 "Here, ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "bebc8907-e05f-40a5-ab95-479f8d73a79f"],
 " is the sample size; every ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", "i"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "8e13740e-67ee-409e-ace0-654a08d54988"],
 " is a count of a specific, unique sample space value as observed; and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "i"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "cf2048fd-b88f-47d8-b467-593546a15cdf"],
 " is the expected proportion for each specific, unique sample space data \
point value, so in our example, we would have ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "100"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "77bd6058-dc04-4567-ae28-32e31a0d5378"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "1"], "=", "18"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"32242293-85ac-4bd6-9a31-58c4515d368e"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "2"], "=", "25"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"d16fb01c-00e5-4f5b-8e4e-b8fcf116ddba"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "3"], "=", "20"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"d7c32aac-b7a1-4c1a-a440-bcbc36972a25"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "4"], "=", "17"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"b83a4fb5-cc8e-4737-baf3-4f62da2c4222"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "5"], "=", "20"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"4219cd21-c0d7-43b8-9b05-bab8999d130f"],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["p", "1"], "=", 
    RowBox[{
     SubscriptBox["p", "2"], "=", 
     RowBox[{
      SubscriptBox["p", "3"], "=", 
      RowBox[{
       SubscriptBox["p", "4"], "=", 
       RowBox[{
        SubscriptBox["p", "5"], "=", "0.2"}]}]}]}]}], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"0492f628-630f-4340-9f2d-eb0ff1aac8e6"],
 ". Note that all the probabilities sum to 1.0, as they should. First, let\
\[CloseCurlyQuote]s create a ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object to hold the probabilities."
}], "Text",
 CellChangeTimes->{{3.753680311236817*^9, 3.7536805455970383`*^9}, {
   3.7536806097891083`*^9, 3.7536806224373436`*^9}, {3.7701337676813526`*^9, 
   3.770133775569353*^9}, {3.770141155427533*^9, 3.7701412024425325`*^9}, 
   3.7703744329392595`*^9, {3.8020851602857003`*^9, 3.8020851646943336`*^9}, {
   3.8135549529657*^9, 3.813554953421071*^9}},
 CellID->45180632,ExpressionUUID->"6f4e06d4-29be-45e0-b709-8274df8ba542"],

Cell[TextData[{
 "Create a ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object of the probabilities, using ",
 ButtonBox["Table",
  BaseStyle->"Link"],
 " to repeat the values:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.7536762919185753`*^9, 
   3.7536762953622737`*^9}, {3.753680652556365*^9, 3.753680662028308*^9}, {
   3.770139559021533*^9, 3.7701395617985325`*^9}, 3.7701412072305326`*^9, {
   3.770374444467412*^9, 3.7703744447134366`*^9}, {3.80218677608537*^9, 
   3.8021867945642176`*^9}},
 CellID->156423500,ExpressionUUID->"e24e1212-4c01-4be0-964f-2002b000b400"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"p", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"0.2", ",", 
    RowBox[{"{", "5", "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7536806639679832`*^9, 3.753680672477741*^9}, {
  3.7857307018722396`*^9, 3.7857307147803516`*^9}},
 CellLabel->"In[7]:=",
 CellID->353730046,ExpressionUUID->"5dab3039-b580-49f7-8271-05a883eed3ef"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.2`", ",", "0.2`", ",", "0.2`", ",", "0.2`", ",", "0.2`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7536806763214827`*^9, 3.753682487261488*^9, 
  3.7857307157391253`*^9, 3.8048706361868815`*^9, 3.8048721409878817`*^9, 
  3.810409870957075*^9, 3.813509430275764*^9, 3.813509702478862*^9},
 CellLabel->"Out[7]=",
 CellID->143278991,ExpressionUUID->"d58aa4f7-2f3b-4f7c-b0ff-7a53d593c92e"]
}, Open  ]],

Cell[TextData[{
 "Next, we simply plug these values into the equation and save it in the \
computer variable ",
 Cell[BoxData[
 "chiSquare"], "InlineCodeText",ExpressionUUID->
  "cd670a1c-c862-4934-9a96-742122855a97"],
 "."
}], "Text",
 CellChangeTimes->{{3.753680555044583*^9, 3.7536805738125334`*^9}, {
  3.753680731381077*^9, 3.753680745028658*^9}, {3.770139566477533*^9, 
  3.770139588691533*^9}, {3.7701412128555326`*^9, 3.7701412145275326`*^9}},
 CellID->154394243,ExpressionUUID->"7619c13e-7391-4b6a-8a5e-48b3af598a02"],

Cell[TextData[{
 "Store the values in ",
 Cell[BoxData[
 "chiSquare"], "InlineCode",ExpressionUUID->
  "4900417a-b677-4d73-b934-d52ee9e18423"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7701412410485325`*^9, 3.770141257323533*^9}},
 CellID->2734003,ExpressionUUID->"f02c4429-fe77-49e3-9972-990b9139a2fb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"chiSquare", "=", 
  RowBox[{"Total", "[", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"counts", "-", 
       RowBox[{"n", "\[Times]", "p"}]}], ")"}], "2"], 
    RowBox[{"n", "\[Times]", "p"}],
    FractionLine->0.2], "]"}]}]], "Input",
 CellChangeTimes->{{3.753680581727868*^9, 3.753680587182209*^9}, {
  3.75368068257438*^9, 3.7536807163984118`*^9}, {3.7536807502297373`*^9, 
  3.7536807520456467`*^9}},
 CellLabel->"In[8]:=",
 CellID->681969588,ExpressionUUID->"7d465c56-75cb-41af-895c-dac481ae8931"],

Cell[BoxData["1.9`"], "Output",
 CellChangeTimes->{{3.753680704359565*^9, 3.753680719234726*^9}, 
   3.753680752951232*^9, {3.753682483502013*^9, 3.75368248937821*^9}, 
   3.8048706364448814`*^9, 3.8048721412588816`*^9, 3.81040987277936*^9, 
   3.813509430309155*^9, 3.813509702517312*^9},
 CellLabel->"Out[8]=",
 CellID->54266434,ExpressionUUID->"45fed6ed-971e-4636-a06d-123ce8756101"]
}, Open  ]],

Cell[TextData[{
 "We can calculate a ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "e3d6aed1-7304-4cd0-a9c3-c4f2022e8aae"],
 "-value for ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Chi]", "2"], "=", "1.9"}], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"613740c7-cc36-4e05-8b4b-8e9c3d98d1b5"],
 " for a specific degree of freedom. In this case, the latter is 4. We get \
this from subtracting the number of the variable, 1 in this case, from the \
number of unique sample space elements, which is 5."
}], "Text",
 CellChangeTimes->{{3.753680771180894*^9, 3.7536808084925227`*^9}, {
  3.753680854556799*^9, 3.7536809064933186`*^9}, {3.7701337784893527`*^9, 
  3.7701337818643527`*^9}, {3.7701396088675327`*^9, 3.770139623698533*^9}, {
  3.770141272844533*^9, 3.7701412910275326`*^9}, {3.7703744658435497`*^9, 
  3.7703744660675716`*^9}, {3.8020855487521963`*^9, 3.8020855658159027`*^9}, {
  3.816089268921557*^9, 3.816089269001196*^9}},
 CellID->109753641,ExpressionUUID->"8b0b73b4-6cd5-4754-bdd4-75736eda6484"],

Cell[TextData[{
 "Since we need the area under the curve from our ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"3eead164-b179-431d-9864-cf5d6d74c4e7"],
 " value out toward positive infinity, we use the ",
 ButtonBox["CDF",
  BaseStyle->"Link"],
 " function subtracted from 1."
}], "Text",
 CellChangeTimes->{{3.7536809304445295`*^9, 3.7536809900995846`*^9}, {
  3.7701396311055326`*^9, 3.7701396565535326`*^9}, {3.7701413022845325`*^9, 
  3.770141349208533*^9}, {3.8020855770130863`*^9, 3.8020855816015415`*^9}, {
  3.8135549763334913`*^9, 3.813554976500846*^9}},
 CellID->266601147,ExpressionUUID->"a472986c-3d82-40c7-93fd-bd5f71e21ff1"],

Cell[TextData[{
 "Calculate a ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "6d6d31d6-56b9-47b6-9077-78f6113592b0"],
 StyleBox["-",
  Deletable->True],
 "value:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.75367718057061*^9, 
   3.753677188114585*^9}, {3.7536772218339834`*^9, 3.7536772220028486`*^9}, {
   3.753677912987013*^9, 3.7536779381227465`*^9}, {3.7536810310771556`*^9, 
   3.7536810360371943`*^9}, 3.7701396478155327`*^9, {3.7701413546715326`*^9, 
   3.770141367096533*^9}, 3.7701417593545327`*^9, {3.770374473883353*^9, 
   3.770374479229888*^9}, {3.7703746684868116`*^9, 3.7703746875587187`*^9}, {
   3.770374913662795*^9, 3.770374937767795*^9}, {3.816089282846964*^9, 
   3.816089282849689*^9}},
 CellID->449019242,ExpressionUUID->"0b7c1b1f-1bf2-402f-9a40-4f8d89308c3e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"1", "-", 
  RowBox[{"CDF", "[", 
   RowBox[{
    RowBox[{"ChiSquareDistribution", "[", "4", "]"}], ",", "chiSquare"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.753681039688312*^9, 3.7536810579091315`*^9}, {
  3.7536822473918858`*^9, 3.753682255422616*^9}},
 CellLabel->"In[9]:=",
 CellID->287274661,ExpressionUUID->"842ca76c-f24f-4039-914c-828ea248e666"],

Cell[BoxData["0.7541449957362774`"], "Output",
 CellChangeTimes->{3.7536810581445365`*^9, 3.8048706367248816`*^9, 
  3.8048721415008817`*^9, 3.810409875315155*^9, 3.813509430329363*^9, 
  3.81350970253753*^9},
 CellLabel->"Out[9]=",
 CellID->1522889910,ExpressionUUID->"f517c927-14f3-4c9b-b0dd-c83dbd73a8d3"]
}, Open  ]],

Cell[TextData[{
 "For a visual representation, a plot of the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"a32ecd3e-2735-4ec1-9abf-dd2ff1bad61a"],
 " distribution with 4 degrees of freedom, together with our specific ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"f7f0d2ae-cae4-4a0c-be21-b11a4b40ad9a"],
 " value drawn as a vertical line at 1.9, shows the large area under the \
curve toward positive infinity, i.e. the large ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "075128ce-a33f-4ba8-a17f-5a61f4e39975"],
 "-value."
}], "Text",
 CellChangeTimes->{{3.753682565518182*^9, 3.753682672518778*^9}, 
   3.770141917431533*^9, {3.7703744913641014`*^9, 3.7703744915561204`*^9}, {
   3.782222506831911*^9, 3.782222518164949*^9}, {3.802085589494149*^9, 
   3.8020856064505453`*^9}},
 CellID->851080812,ExpressionUUID->"dd1ddc70-06f9-4863-b528-94c44fc7d1fb"],

Cell[TextData[{
 "Plot the appropriate curve with the calculated ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"77ab4d33-f83a-493c-85f4-176b6b6da7c9"],
 " value:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.75367718057061*^9, 
   3.753677188114585*^9}, {3.7536772218339834`*^9, 3.7536772220028486`*^9}, {
   3.753677912987013*^9, 3.7536779381227465`*^9}, {3.7536810310771556`*^9, 
   3.7536810360371943`*^9}, {3.753682754742259*^9, 3.7536827736060085`*^9}, {
   3.7701396983975325`*^9, 3.770139702878533*^9}},
 CellID->53871561,ExpressionUUID->"1a1d6b3b-4c33-4748-bc38-0c7e95c68a6f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"PDF", "[", 
    RowBox[{
     RowBox[{"ChiSquareDistribution", "[", "4", "]"}], ",", "x"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "20"}], "}"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", 
    "\"\<\!\(\*SuperscriptBox[\(\[Chi]\), \(2\)]\) Distribution with 4 \
Degrees of Freedom\>\""}], ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"chiSquare", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"chiSquare", ",", "0.2"}], "}"}]}], "}"}], "]"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.753682171742313*^9, 3.7536822877980213`*^9}, {
  3.7536824268798885`*^9, 3.7536824715755205`*^9}, {3.753682509951451*^9, 
  3.753682554038169*^9}, {3.813509668987018*^9, 3.813509679507079*^9}},
 CellLabel->"In[10]:=",
 CellID->76299643,ExpressionUUID->"aa1c3b14-6f93-4b4a-a0ee-006b2d29cc22"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJw1WHk01dv7PhxTRaYmkuEms+MMmePdmRIiYyVRh5DKVELmZEzCldCNMpch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    "], {{{}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl03e4zXUcwPFzbl1klpDNrWzJVvZIMjJuNpGbPe5Nyx5lh2yFCEWTUBRF
dtlb2WRVlFH2fH354/W8P9/n3Oc5v9/ne25cQlJ8YkwkEokSF73f3NH7c3Fz
Lv1DH9N5uo+05nf0U7YT69xKezKNX7jJczTmNSbwM/9TjGo0IonxrOA/ilKV
hiQyjuVc5Gmq8BLdGMtPXKAIlYmnK2P4kfM8RSUa0IX3WcY5ClOR+nRmNEv5
l0JUoB6dGMUP/ENBylOXjozke85SgHK8SAfeYwlnyE8+8pKHJ3mCx8P+w+7D
zslJDrKTjaxkIXO4CzKRkQw8Snoe4WHShTsiDalJRUoeoix1aM8IFvM3KXiZ
HkxlPTd4ltq0Yzjf8RfJGcgnbONBv4GW+gV7wvc5v61TWMd1nuErfgvP5fN+
eig8u3mmbiZqrqVHwruZ5+rO8H3mtmEfuj+8ow4L+9Bv9U+Shb05Hwv70a/D
7vT3sAsdEHaqh8POdHbYqW7VB7SFHg17NX8edq67w970LT0Q9mv+UNdyjTJ8
yd6wZ5/11YPhLswf66ZI5N4/VU2Zw47wnM6v6lAWcZpY+jOLLcT4m+b6GbvC
/Ti/qR+whquUpg8z2MgdXiCBISzkVLgbmvEGk1nNFUrRm+ls4DY1aMNgFnAy
7IamvM4kVnGZkvTiI37lFs/zCoP4hhPhXWhCdyaykkuUoDqteZf5HOcukFSD
qw==
         "]]]}, {}, {}}, {{}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl1GWw1FUYwOGlEUEJlTDoBmmwkJKQ7m5p5F4RASlJFZBGpVG6OwSULknp
EBSQkO7u5wwfnvt7/7M7s3vec2fTNo2uGhUjEomk9if0NPPpQyNKko87rONH
2lOLmJxhAX1pTCme8Cfj6UJ+7rKen/iS2sTiLAvpRxNK85RtTKArBbjHBn6m
A3WIzTkW8S1NKcMztjORbhTkPhsZxVfEd9j9OoO64Syed+kkviEO/7OY7/iM
uN6zV6fxKWFhO+QXkpiPa3deNh/S2RTiAZsYTWKvHdOOvGQ+oKl0pr6uJ7Ve
2I15t6bUyZpM/9W3tacm0iP6ps7VN/SUvqNx9TxLSOH5e31V/9a3tJnG0306
ndfMJ7RsOJJ5p/5KUvM/2oOE5sM6h/d4yGbG0IkEXj+os6gf7sbzXzqFXuHz
uMBS+tOccrzPI7Ywls40CPfDRZYxgBaU54Owt/B5Yc/he4Vd8Eo4Y9hvuIvw
3cPOwtnCXsN+SB72EXYadh52F/YRdhr2RmrSkJZ0pCcDGclEZrJwieUMpCUV
+JCsXOY3fqAVFfmIbFxhBYNoTSUKk52rrGQwbajMx+TgGqsYQluqUIScXOd3
hvI5VSnKu9zgD4bRjmoUIxc3Wc1woqhOcXJzizWMIJoalCAPt1nLSL6gJp/w
mK2M42saEsf/wB6dSu9wR56P6rxwF+b/Ii9+d/Lqc3gMg2Q=
         "]]},
       Annotation[#, "Charting`Private`Tag$1652#1"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Epilog->LineBox[{{1.9, 0}, {1.9, 0.2}}],
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  ImageSize->{485., Automatic},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotLabel->FormBox[
   "\"\\!\\(\\*SuperscriptBox[\\(\[Chi]\\), \\(2\\)]\\) Distribution with 4 \
Degrees of Freedom\"", TraditionalForm],
  PlotRange->{{0, 20}, {0., 0.18393967833661656`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.753682290156584*^9, {3.753682430804102*^9, 3.753682511461753*^9}, 
   3.753682555545868*^9, 3.8048706376788816`*^9, 3.8048721420718813`*^9, 
   3.810409876998103*^9, 3.813509430433131*^9, 3.813509702648477*^9},
 CellLabel->"Out[10]=",
 CellID->380032330,ExpressionUUID->"9790dc6f-eb8a-4d27-8b30-29fc85f86799"]
}, Open  ]],

Cell[TextData[{
 "With some care, we can also do this test using the ",
 ButtonBox["DistrubutionFitTest",
  BaseStyle->"Link"],
 " function. This will only work when we have a discrete set of observed \
values and a discrete uniform distribution, i.e. the expected proportions are \
equal. It is intended as a function with broader applicability to testing an \
observed set of data point values against a known distribution. It is \
commonly used in that setting and not for a goodness-of-fit test as we intend \
here."
}], "Text",
 CellChangeTimes->{
  3.7536761630327396`*^9, {3.753676212258088*^9, 3.7536762701540017`*^9}, {
   3.7536811331108284`*^9, 3.753681150549245*^9}, {3.7536811957509246`*^9, 
   3.7536812664060955`*^9}, {3.7536813336463695`*^9, 
   3.7536814150071335`*^9}, {3.7536817937518897`*^9, 3.75368197320874*^9}, {
   3.770133784904353*^9, 3.7701337977993526`*^9}, {3.7701419304235325`*^9, 
   3.7701419702065325`*^9}, {3.801931144521633*^9, 3.8019311475209312`*^9}, {
   3.801931959858732*^9, 3.801931961185802*^9}},
 CellID->31566609,ExpressionUUID->"4d57382b-851d-43bd-a680-7ba522379385"],

Cell[TextData[{
 "If used in our simple example case, the first argument is our data. The \
second argument is the distribution that we expected. In this case, it was \
the discrete normal distribution of the values 1 through 5, intended as an \
ordinal categorical data type. Using the ",
 Cell[BoxData[
 "\"\<TestDataTable\>\""], "InlineCodeText",ExpressionUUID->
  "92329adf-4cda-4541-9949-9d6eb01d137a"],
 " argument will give us the appropriate test (in this case, it will be the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"036203af-b461-4207-b34b-13b9c8e2fa19"],
 " test of goodness of fit, called Pearson ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"279f4779-26ea-4dc9-a781-41b07c9a54b6"],
 "), with its statistic and ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "80298505-6aa1-4d9f-bc27-d6cbc09db3fc"],
 "-value."
}], "Text",
 CellChangeTimes->{
  3.753681975215667*^9, {3.770133800432353*^9, 3.770133805979353*^9}, {
   3.770141985220533*^9, 3.770142034936533*^9}, {3.770374500500015*^9, 
   3.770374500676032*^9}, {3.8020856952457047`*^9, 3.802085710253108*^9}},
 CellID->225615433,ExpressionUUID->"0c3a04bc-2617-4721-b64e-9986a6ced8da"],

Cell[TextData[{
 "Use the ",
 ButtonBox["DistributionFitTest",
  BaseStyle->"Link"],
 " function and specify a suspected ",
 ButtonBox["DiscreteUniformDistribution",
  BaseStyle->"Link"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.7536762919185753`*^9, 
   3.7536762953622737`*^9}, {3.753681989917591*^9, 3.7536819951257973`*^9}, {
   3.7682181764237995`*^9, 3.7682181815273094`*^9}, {3.770139709996533*^9, 
   3.7701397465975327`*^9}},
 CellID->22013171,ExpressionUUID->"f6062761-d3f6-4091-844e-df4572c57933"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DistributionFitTest", "[", 
  RowBox[{"data", ",", 
   RowBox[{"DiscreteUniformDistribution", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "5"}], "}"}], "]"}], ",", "\"\<TestDataTable\>\""}], 
  "]"}]], "Input",
 CellLabel->"In[11]:=",
 CellID->588789000,ExpressionUUID->"e525f8d3-40fe-44c1-9647-4464ef97162d"],

Cell[BoxData[
 StyleBox[
  TagBox[GridBox[{
     {"\<\"\"\>", "\<\"Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
     {"\<\"Pearson \\!\\(\\*SuperscriptBox[\\(\[Chi]\\),\\(2\\)]\\)\"\>", 
      "1.9`", "0.7541449957362774`"}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
    GridBoxDividers->{
     "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
      "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"], "DialogStyle",
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.7536763151934085`*^9, 3.8048706386208816`*^9, 
  3.804872142360882*^9, 3.810409879708537*^9, 3.8135094671024218`*^9, 
  3.8135097032186317`*^9},
 CellLabel->"Out[11]=",
 CellID->1248568122,ExpressionUUID->"073cb82d-f93d-4399-8adb-477f37df57fb"]
}, Open  ]],

Cell[TextData[{
 "For a chosen ",
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "0fa74c39-a1d5-430b-8093-d2663e1d5635"],
 "-value of 0.05, we note that we cannot reject the null hypothesis. The ",
 Cell[BoxData[
 "\"\<TestConclusion\>\""], "InlineCodeText",ExpressionUUID->
  "c231f2d7-1f3a-481b-9a3f-9dda46f497b2"],
 " property will state this explicitly."
}], "Text",
 CellChangeTimes->{
  3.75367633396819*^9, {3.7536775487308683`*^9, 3.753677572996026*^9}, 
   3.770133809014353*^9, {3.7701420546635327`*^9, 3.770142079014533*^9}, {
   3.770375481065795*^9, 3.7703755374397955`*^9}, {3.770375622272795*^9, 
   3.7703756224727955`*^9}, {3.782153470591346*^9, 3.78215348430882*^9}, {
   3.782153521607188*^9, 3.782153527343315*^9}, {3.782153562620295*^9, 
   3.7821535819426003`*^9}, {3.8020857474971824`*^9, 3.8020857547051625`*^9}},
 CellID->176167564,ExpressionUUID->"284dea62-4350-4caf-ba24-653e584e4cb1"],

Cell[TextData[{
 "Use the ",
 Cell[BoxData[
 "\"\<TestConclusion\>\""], "InlineCode",ExpressionUUID->
  "ac12bf17-afd9-4c92-91c1-78cf4972860c"],
 " property:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.7536763421007195`*^9, 
   3.7536763451777616`*^9}, {3.770139750250533*^9, 3.770139767010533*^9}},
 CellID->921914198,ExpressionUUID->"3083df1c-6b4b-4e06-9b09-e2da31db0610"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DistributionFitTest", "[", 
  RowBox[{"data", ",", 
   RowBox[{"DiscreteUniformDistribution", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "5"}], "}"}], "]"}], ",", "\"\<TestConclusion\>\""}], 
  "]"}]], "Input",
 CellLabel->"In[12]:=",
 CellID->437438854,ExpressionUUID->"66c0fb07-5516-4197-8e33-f331634a7aaf"],

Cell[BoxData[
 TemplateBox[{"\"The null hypothesis that \"", 
   TemplateBox[{"\"the data is distributed according to the \"", 
     RowBox[{"DiscreteUniformDistribution", "[", 
       RowBox[{"{", 
         RowBox[{"1", ",", "5"}], "}"}], "]"}], "\" \""}, "RowDefault"], 
   "\"is not rejected at the \"", 
   TemplateBox[{"5", "\" percent level \""}, "RowDefault"], 
   TemplateBox[{
    "\"based on the \"", 
     "\"Pearson \\!\\(\\*SuperscriptBox[\\(\[Chi]\\),\\(2\\)]\\)\"", 
     "\" test.\""}, "RowDefault"]},
  "RowDefault"]], "Output",
 CellChangeTimes->{3.8048706389278817`*^9, 3.8048721426058817`*^9, 
  3.810409881251092*^9, 3.813509467254799*^9, 3.813509703383547*^9},
 CellLabel->"Out[12]=",
 CellID->169308177,ExpressionUUID->"a16e190c-5fe6-4e55-a4a4-37355dd3e51f"]
}, Open  ]],

Cell[TextData[{
 "It is easy to change the chosen ",
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "589b5fc8-beaf-4b1d-97d9-5e3ad79f09a0"],
 "-value using the ",
 ButtonBox["SignificanceLevel",
  BaseStyle->"Link"],
 " argument. Next, we set it to \[NegativeThinSpace] 0.01. Notice the change \
in the wording of the conclusion to reflect our choice of 1%."
}], "Text",
 CellChangeTimes->{{3.753677633211521*^9, 3.7536776904267254`*^9}, {
   3.7536777649311314`*^9, 3.7536778006351223`*^9}, 3.7701338128063526`*^9, {
   3.7701420926735325`*^9, 3.770142134580533*^9}, 3.770375547293795*^9, {
   3.7703756352257953`*^9, 3.770375635553795*^9}, {3.782153607546338*^9, 
   3.782153654318712*^9}, {3.802085772815443*^9, 3.8020857918030367`*^9}},
 CellID->343887168,ExpressionUUID->"15e93580-c002-43e5-9542-8da2871dcd57"],

Cell[TextData[{
 "Set ",
 Cell[BoxData[
 "\[Alpha]"], "InlineFormula",ExpressionUUID->
  "85527edb-f63f-4f32-ac94-15ecdb5c7501"],
 " to 0.01:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.75367718057061*^9, 
   3.753677188114585*^9}, {3.7536772218339834`*^9, 3.7536772220028486`*^9}, {
   3.753677702907188*^9, 3.753677716043416*^9}, {3.7701397699615326`*^9, 
   3.7701397741375327`*^9}, {3.770375087311795*^9, 3.7703751069657955`*^9}},
 CellID->37245325,ExpressionUUID->"d8eec1be-15bd-4db6-8ae6-9cd4cb33dc70"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DistributionFitTest", "[", 
  RowBox[{"data", ",", 
   RowBox[{"DiscreteUniformDistribution", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "5"}], "}"}], "]"}], ",", "\"\<TestConclusion\>\"", 
   ",", 
   RowBox[{"SignificanceLevel", "\[Rule]", "0.01"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7536777281950846`*^9, 3.753677754402981*^9}},
 CellLabel->"In[13]:=",
 CellID->630908430,ExpressionUUID->"51560f8e-40fc-49fc-9b43-d719fa9d621f"],

Cell[BoxData[
 TemplateBox[{"\"The null hypothesis that \"", 
   TemplateBox[{"\"the data is distributed according to the \"", 
     RowBox[{"DiscreteUniformDistribution", "[", 
       RowBox[{"{", 
         RowBox[{"1", ",", "5"}], "}"}], "]"}], "\" \""}, "RowDefault"], 
   "\"is not rejected at the \"", 
   TemplateBox[{"1.`", "\" percent level \""}, "RowDefault"], 
   TemplateBox[{
    "\"based on the \"", 
     "\"Pearson \\!\\(\\*SuperscriptBox[\\(\[Chi]\\),\\(2\\)]\\)\"", 
     "\" test.\""}, "RowDefault"]},
  "RowDefault"]], "Output",
 CellChangeTimes->{{3.753677738859355*^9, 3.753677755238591*^9}, 
   3.8048706392918816`*^9, 3.8048721428548813`*^9, 3.810409883445346*^9, 
   3.813509467284925*^9, 3.81350970341543*^9},
 CellLabel->"Out[13]=",
 CellID->448693702,ExpressionUUID->"548f71a4-380c-4a3f-9e48-5b80d66e972e"]
}, Open  ]],

Cell[TextData[{
 "As we have done before, we can create a ",
 Cell[BoxData[
  ButtonBox["HypothesisTestData",
   BaseStyle->"CodeLink"]], "InlineCodeText",ExpressionUUID->
  "9054c19f-3724-4a15-90a6-4bb6762afa69"],
 " object from which we can extract all the properties instead of using them \
as arguments as we did above."
}], "Text",
 CellChangeTimes->{{3.7536771334500465`*^9, 3.753677167722824*^9}, {
   3.7536775826579723`*^9, 3.753677601419139*^9}, 3.7703758524712124`*^9},
 CellID->115316054,ExpressionUUID->"c8f70c25-9105-40bc-b477-819d22398164"],

Cell[TextData[{
 "Create a ",
 ButtonBox["HypothesisTestData",
  BaseStyle->"Link"],
 " object using the key combination ",
 Cell[BoxData[
  TemplateBox[{"esc"},
   "Key0"]], "InlineCode",ExpressionUUID->
  "e542bb0e-b723-4de5-a982-b3b5016a38d4"],
 " scH ",
 Cell[BoxData[
  TemplateBox[{"esc"},
   "Key0"]], "InlineCode",ExpressionUUID->
  "54381ca6-a348-452c-80aa-f4898b0ccb98"],
 " to create the ",
 Cell[BoxData[
  FormBox["\[ScriptCapitalH]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "a933393e-253a-41bf-8feb-4ed08cc0cd82"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.75367718057061*^9, 
   3.753677188114585*^9}, {3.7536772218339834`*^9, 3.7536772220028486`*^9}, {
   3.753677912987013*^9, 3.7536779381227465`*^9}, {3.770139796128533*^9, 
   3.770139892156533*^9}, {3.770375112914795*^9, 3.7703751486047955`*^9}, {
   3.7703752911257954`*^9, 3.7703753185877953`*^9}, {3.782153750651175*^9, 
   3.7821537654255447`*^9}, {3.782222608320682*^9, 3.782222633271916*^9}},
 CellID->275538747,ExpressionUUID->"c12a93b4-c8ee-4e40-a1ee-280c4ff42ec3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[ScriptCapitalH]", "=", 
  RowBox[{"DistributionFitTest", "[", 
   RowBox[{"data", ",", 
    RowBox[{"DiscreteUniformDistribution", "[", 
     RowBox[{"{", 
      RowBox[{"1", ",", "5"}], "}"}], "]"}], ",", 
    "\"\<HypothesisTestData\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7536771902536087`*^9, 3.753677215995389*^9}},
 CellLabel->"In[14]:=",
 CellID->181136567,ExpressionUUID->"addc316e-c913-45f3-9edf-f0ff903da06c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["HypothesisTestData",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              BaseStyle -> {}, Evaluator -> Automatic, Method -> 
              "Preemptive"], Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            GraphicsBox[
             GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGAwA2IQvV+g6N7//+IHyh7/qMr9uMOO7VZyUp+w2IFfkzYn
Sh58Z/f9/5/PG/4KH7htIzfPZbOi/dT38+JNuIUOmB3ymyXb6m1/7+Zl7nol
gQMZNpuWcacV2C9yTOjercBzwDCs3j3VbqL9wyStzVbOHAccTwR7F91faV9i
6/ztoRDLgZ4iRasJkQfs90qxlOq/+b9ffvGd3Q7y5+2dHy5JlXP4sd/n3Lw9
E6Ku2T82OSa5+877/Ru23tpo2nHTfsmXDguHkAf75f3161YvvWYvNsdi39f5
C/f3Rm5wuMtywX7Rd151p+v37C+xnJ1uxHHQnsFk9Sara+/saywuavluXWtf
4Oz1SfLYd/seR+51+6ZPsjdi+tzx8+d/e4sDRVPXWhfZK/ruua11gdlhc3uy
xl9Wf/ur8RuuG3xjd9jltzUx46GivcH9SfKlV7kd4veWPWBI+2Q3J0h42Qlm
AQfhYtWiqpoddl+sTlXzCws56M1lWjdVvMpuQWRF+dd/wg7Ohid4Eh2t7BZJ
16e6i4g5TDt7qs1T4YMtNPwdPDeu6MsQWwLjH0jZLlQ6c4aNPSw+vI9XlDDK
BtjD4iPkrcf+e2ZJ8Pjov7jnbGJEETw+1r3m/37NpBEeH4eOZy+78rofHh/M
fWfi7PfPgsdHX6aSxfEXS+HxwWV2y7Ro8QZ4fLDO/HZputp2eHy0LHnA+J1z
Pzw+rtv/zTtudBgeH51P9674FnoMHh+acsv3TN1wAh4f5z4H3TdoPwmPj/X1
pobmp07A40O35vzB6K5j8PjYe9+N71nBYXh8NH4U7n/EvR8eHwEfWhe9Xbfd
HhYf7kcSN7h3bLCHxUfegdOy63cttYfFR7ef4ONnq2fbw+LDYUfsm8Un+u1h
8dFwaIvgx0+NMP4BBiiAyaPxccoDAAUJngM=
              "], {{{}, {
                 EdgeForm[], 
                 Directive[
                  Opacity[0.2], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 GraphicsGroupBox[{
                   
                   PolygonBox[{{1, 53, 54, 25, 24, 23, 22, 21, 20, 19, 18, 17,
                     16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 
                    2}}]}]}, {}, {
                 EdgeForm[], 
                 Directive[
                  Opacity[0.2], 
                  GrayLevel[0.65], 
                  AbsoluteThickness[1.5]], 
                 GraphicsGroupBox[{
                   
                   PolygonBox[{{26, 51, 52, 50, 49, 48, 47, 46, 45, 44, 43, 
                    42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 
                    28, 27}}]}]}, {}, {}, {}, {}, {}, {}}, {{}, {}, {
                 Directive[
                  Opacity[1.], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 
                 LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 
                  16, 17, 18, 19, 20, 21, 22, 23, 24, 25}]}, {
                 Directive[
                  Opacity[1.], 
                  GrayLevel[0.65], 
                  AbsoluteThickness[1.5]], 
                 
                 LineBox[{26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 
                  39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50}]}}}], {
             DisplayFunction -> Identity, AspectRatio -> 1, 
              Axes -> {False, False}, AxesLabel -> {None, None}, 
              AxesOrigin -> {0, 0.}, Background -> GrayLevel[0.93], 
              BaseStyle -> {FontFamily -> "Arial"}, DisplayFunction :> 
              Identity, Frame -> {{True, True}, {True, True}}, 
              FrameLabel -> {{None, None}, {None, None}}, FrameStyle -> 
              Directive[
                Thickness[Tiny], 
                GrayLevel[0.7]], FrameTicks -> {{None, None}, {None, None}}, 
              GridLines -> {None, None}, GridLinesStyle -> Directive[
                GrayLevel[0.5, 0.4]], ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], LabelStyle -> {FontFamily -> "Arial"}, 
              Method -> {"ScalingFunctions" -> None, "AxesInFront" -> True}, 
              PlotRange -> {All, All}, PlotRangeClipping -> True, 
              PlotRangePadding -> {{0, 0}, {0, 0.1}}, 
              Ticks -> {Automatic, Automatic}}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["DistributionFitTest", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"p-Value: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.7541449957362774`", "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              BaseStyle -> {}, Evaluator -> Automatic, Method -> 
              "Preemptive"], Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            GraphicsBox[
             GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGAwA2IQvV+g6N7//+IHyh7/qMr9uMOO7VZyUp+w2IFfkzYn
Sh58Z/f9/5/PG/4KH7htIzfPZbOi/dT38+JNuIUOmB3ymyXb6m1/7+Zl7nol
gQMZNpuWcacV2C9yTOjercBzwDCs3j3VbqL9wyStzVbOHAccTwR7F91faV9i
6/ztoRDLgZ4iRasJkQfs90qxlOq/+b9ffvGd3Q7y5+2dHy5JlXP4sd/n3Lw9
E6Ku2T82OSa5+877/Ru23tpo2nHTfsmXDguHkAf75f3161YvvWYvNsdi39f5
C/f3Rm5wuMtywX7Rd151p+v37C+xnJ1uxHHQnsFk9Sara+/saywuavluXWtf
4Oz1SfLYd/seR+51+6ZPsjdi+tzx8+d/e4sDRVPXWhfZK/ruua11gdlhc3uy
xl9Wf/ur8RuuG3xjd9jltzUx46GivcH9SfKlV7kd4veWPWBI+2Q3J0h42Qlm
AQfhYtWiqpoddl+sTlXzCws56M1lWjdVvMpuQWRF+dd/wg7Ohid4Eh2t7BZJ
16e6i4g5TDt7qs1T4YMtNPwdPDeu6MsQWwLjH0jZLlQ6c4aNPSw+vI9XlDDK
BtjD4iPkrcf+e2ZJ8Pjov7jnbGJEETw+1r3m/37NpBEeH4eOZy+78rofHh/M
fWfi7PfPgsdHX6aSxfEXS+HxwWV2y7Ro8QZ4fLDO/HZputp2eHy0LHnA+J1z
Pzw+rtv/zTtudBgeH51P9674FnoMHh+acsv3TN1wAh4f5z4H3TdoPwmPj/X1
pobmp07A40O35vzB6K5j8PjYe9+N71nBYXh8NH4U7n/EvR8eHwEfWhe9Xbfd
HhYf7kcSN7h3bLCHxUfegdOy63cttYfFR7ef4ONnq2fbw+LDYUfsm8Un+u1h
8dFwaIvgx0+NMP4BBiiAyaPxccoDAAUJngM=
              "], {{{}, {
                 EdgeForm[], 
                 Directive[
                  Opacity[0.2], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 GraphicsGroupBox[{
                   
                   PolygonBox[{{1, 53, 54, 25, 24, 23, 22, 21, 20, 19, 18, 17,
                     16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 
                    2}}]}]}, {}, {
                 EdgeForm[], 
                 Directive[
                  Opacity[0.2], 
                  GrayLevel[0.65], 
                  AbsoluteThickness[1.5]], 
                 GraphicsGroupBox[{
                   
                   PolygonBox[{{26, 51, 52, 50, 49, 48, 47, 46, 45, 44, 43, 
                    42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 
                    28, 27}}]}]}, {}, {}, {}, {}, {}, {}}, {{}, {}, {
                 Directive[
                  Opacity[1.], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 
                 LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 
                  16, 17, 18, 19, 20, 21, 22, 23, 24, 25}]}, {
                 Directive[
                  Opacity[1.], 
                  GrayLevel[0.65], 
                  AbsoluteThickness[1.5]], 
                 LineBox[{26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 
                  39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50}]}}}], {
             DisplayFunction -> Identity, AspectRatio -> 1, 
              Axes -> {False, False}, AxesLabel -> {None, None}, 
              AxesOrigin -> {0, 0.}, Background -> GrayLevel[0.93], 
              BaseStyle -> {FontFamily -> "Arial"}, DisplayFunction :> 
              Identity, Frame -> {{True, True}, {True, True}}, 
              FrameLabel -> {{None, None}, {None, None}}, FrameStyle -> 
              Directive[
                Thickness[Tiny], 
                GrayLevel[0.7]], FrameTicks -> {{None, None}, {None, None}}, 
              GridLines -> {None, None}, GridLinesStyle -> Directive[
                GrayLevel[0.5, 0.4]], ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], LabelStyle -> {FontFamily -> "Arial"}, 
              Method -> {"ScalingFunctions" -> None, "AxesInFront" -> True}, 
              PlotRange -> {All, All}, PlotRangeClipping -> True, 
              PlotRangePadding -> {{0, 0}, {0, 0.1}}, 
              Ticks -> {Automatic, Automatic}}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["DistributionFitTest", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"p-Value: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.7541449957362774`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Test: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"PearsonChiSquare\"", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Test statistic: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1.9`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Data: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"Univariate\"", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Conclusion: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  InterpretationBox[
                   Cell[
                   "The null hypothesis that the data is distributed \
according to the DiscreteUniformDistribution[{1, 5}] is not rejected at the 5 \
percent level based on the          2\nPearson \[Chi] test.", 
                    CellSize -> {300, Automatic}], 
                   TextCell[
                   "The null hypothesis that the data is distributed \
according to the DiscreteUniformDistribution[{1, 5}] is not rejected at the 5 \
percent level based on the          2\nPearson \[Chi] test.", 
                    CellSize -> {300, Automatic}]], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  HypothesisTestData[
  DistributionFitTest, {{1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
     2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
    2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4,
     4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 
    5, 5, 5, 5, 5, 5, 5, 5, 5}, "SampleToNull", 1, 
    Rational[1, 20], {
     DiscreteUniformDistribution[{1, 5}], Automatic}, Automatic, {}}, {
   "Normality" -> 0, "EqualVariance" -> 0, "Symmetry" -> 0}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.753677225021509*^9, 3.8048706398788815`*^9, 
  3.8048721431208816`*^9, 3.810409897838943*^9, 3.813509467320841*^9, 
  3.813509703449757*^9},
 CellLabel->"Out[14]=",
 CellID->2080542022,ExpressionUUID->"b828803a-ae5c-44ca-b394-929c77ba85cd"]
}, Open  ]],

Cell["Let\[CloseCurlyQuote]s look at all of the available properties.", "Text",
 CellChangeTimes->{{3.7536772330585423`*^9, 3.7536772429306154`*^9}, {
  3.802085836274168*^9, 3.8020858364595995`*^9}},
 CellID->52353170,ExpressionUUID->"8d2ef6a9-04a8-4af9-a8e6-6fd3b12898a7"],

Cell[TextData[{
 "List the properties of the ",
 ButtonBox["HypothesisTestData",
  BaseStyle->"Link"],
 " object:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.7536772672502384`*^9, 
   3.753677281178503*^9}, {3.770139907825533*^9, 3.7701399181705327`*^9}},
 CellID->265032834,ExpressionUUID->"99377d18-8895-444c-89ea-640b675c9c66"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[ScriptCapitalH]", "[", "\"\<Properties\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.753677284204195*^9, 3.753677290779022*^9}},
 CellLabel->"In[15]:=",
 CellID->437234067,ExpressionUUID->"a5549b5c-0b31-4b7e-9b17-7c6fdd503c2e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"AllTests\"\>", ",", "\<\"AndersonDarling\"\>", 
   ",", "\<\"AutomaticTest\"\>", ",", "\<\"BaringhausHenze\"\>", 
   ",", "\<\"CramerVonMises\"\>", ",", "\<\"DegreesOfFreedom\"\>", 
   ",", "\<\"DistanceToBoundary\"\>", ",", "\<\"FittedDistribution\"\>", 
   ",", "\<\"FittedDistributionParameters\"\>", 
   ",", "\<\"HypothesisTestData\"\>", ",", "\<\"JarqueBeraALM\"\>", 
   ",", "\<\"KolmogorovSmirnov\"\>", ",", "\<\"Kuiper\"\>", 
   ",", "\<\"MardiaCombined\"\>", ",", "\<\"MardiaKurtosis\"\>", 
   ",", "\<\"MardiaSkewness\"\>", ",", "\<\"PearsonChiSquare\"\>", 
   ",", "\<\"Properties\"\>", ",", "\<\"PValue\"\>", 
   ",", "\<\"PValueTable\"\>", ",", "\<\"ShapiroWilk\"\>", 
   ",", "\<\"ShortTestConclusion\"\>", ",", "\<\"SzekelyEnergy\"\>", 
   ",", "\<\"TestConclusion\"\>", ",", "\<\"TestData\"\>", 
   ",", "\<\"TestDataTable\"\>", ",", "\<\"TestEntries\"\>", 
   ",", "\<\"TestStatistic\"\>", ",", "\<\"TestStatisticTable\"\>", 
   ",", "\<\"WatsonUSquare\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.7536772911154475`*^9, 3.8048706401598816`*^9, 
  3.8048721434168816`*^9, 3.810409900138174*^9, 3.813509467356185*^9, 
  3.8135097034753523`*^9},
 CellLabel->"Out[15]=",
 CellID->193539653,ExpressionUUID->"fe7b9c92-a594-4a91-8b5f-67d61912ac7f"]
}, Open  ]],

Cell[TextData[{
 "The ",
 Cell[BoxData[
 "\"\<AllTests\>\""], "InlineCodeText",ExpressionUUID->
  "da30b464-7abc-4552-83d2-9c4307cc0e10"],
 " property will list all the tests appropriate to our data and the \
distribution against which it is being measured."
}], "Text",
 CellChangeTimes->{{3.753677314770714*^9, 3.7536773542618103`*^9}, {
  3.753677428826689*^9, 3.753677437562293*^9}, {3.7703760170936728`*^9, 
  3.770376033333297*^9}},
 CellID->517362077,ExpressionUUID->"cf4e5f6d-bc4a-4c17-908d-91a1057b0461"],

Cell["Look at all of the appropriate tests for our data:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.753676825922017*^9, 
   3.7536768440674396`*^9}, {3.7536773657868805`*^9, 
   3.7536773818903236`*^9}, {3.770139922344533*^9, 3.7701399259215326`*^9}, {
   3.7703760379007535`*^9, 3.7703760503169947`*^9}, {3.8020858511620903`*^9, 
   3.802085851394702*^9}},
 CellID->447729248,ExpressionUUID->"80903e02-b6ab-4932-99c9-78bb2cf0dad8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[ScriptCapitalH]", "[", "\"\<AllTests\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.75367738514012*^9, 3.753677401466792*^9}},
 CellLabel->"In[16]:=",
 CellID->1939005,ExpressionUUID->"a1d964b6-ec97-4305-babf-7d23e143ef9d"],

Cell[BoxData[
 RowBox[{"{", "\<\"PearsonChiSquare\"\>", "}"}]], "Output",
 CellChangeTimes->{3.753677401725751*^9, 3.804870640452882*^9, 
  3.8048721436588817`*^9, 3.810409902703207*^9, 3.813509467387662*^9, 
  3.81350970350631*^9},
 CellLabel->"Out[16]=",
 CellID->1498234526,ExpressionUUID->"05e30f60-d60f-48d4-9c72-ad5b5822f8b8"]
}, Open  ]],

Cell[TextData[{
 "The Pearson ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"b45a49c4-4db1-41a7-82e6-52bd41420775"],
 " test of goodness of fit is indeed the appropriate test. As mentioned, we \
are dealing with a simple example where the probability proportions were \
equal. In another example, we might expect probabilities of 0.1, 0.2, 0.3, \
0.25, and 0.15. In the code below, we change the ",
 Cell[BoxData[
 "p"], "InlineCodeText",ExpressionUUID->
  "77885ea6-3708-422e-a88a-a22c44e031ed"],
 " computer variable values and rerun the calculation."
}], "Text",
 CellChangeTimes->{{3.753677870210548*^9, 3.753677896459367*^9}, {
  3.7536814289178886`*^9, 3.753681590086179*^9}, {3.770133815878353*^9, 
  3.7701338227733526`*^9}, {3.7703760790158644`*^9, 3.7703760920491676`*^9}, {
  3.8020867355711155`*^9, 3.8020867800438743`*^9}},
 CellID->245394241,ExpressionUUID->"b890ae59-09ad-404f-9d3a-dd32face0138"],

Cell[TextData[{
 "Create a new probability ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.753676825922017*^9, 
   3.7536768440674396`*^9}, {3.7536773657868805`*^9, 
   3.7536773818903236`*^9}, {3.753681604526539*^9, 3.7536816363495803`*^9}, {
   3.7701399308245325`*^9, 3.770139933592533*^9}, 3.77037609996896*^9},
 CellID->690646440,ExpressionUUID->"fb3800ac-c7ee-41f7-9ef1-4f2124b10456"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"p", "=", 
  RowBox[{"{", 
   RowBox[{"0.1", ",", "0.2", ",", "0.3", ",", "0.25", ",", "0.1"}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.7536816137125397`*^9, 3.753681627005597*^9}},
 CellLabel->"In[17]:=",
 CellID->21935701,ExpressionUUID->"78803df0-128b-40fe-99ca-006ba68878a0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.1`", ",", "0.2`", ",", "0.3`", ",", "0.25`", ",", "0.1`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7536816279281316`*^9, 3.7536827285925665`*^9, 
  3.804870640702882*^9, 3.8048721439038815`*^9, 3.8104099212233677`*^9, 
  3.81350946740758*^9, 3.813509703526572*^9},
 CellLabel->"Out[17]=",
 CellID->1581917407,ExpressionUUID->"646fe49f-9c11-4141-a023-ac9e9288a6d2"]
}, Open  ]],

Cell[TextData[{
 "Calculate a new ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"4893616e-1ad7-4486-b6c9-bb5b697621b4"],
 " value:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.753681640052792*^9, 
   3.7536816488138704`*^9}, {3.770139936511533*^9, 3.7701399412965326`*^9}},
 CellID->3286345,ExpressionUUID->"747c602a-c39f-455c-802f-9e7f1cfc3695"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"chiSquare", "=", 
  RowBox[{"Total", "[", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"counts", "-", 
       RowBox[{"n", "*", "p"}]}], ")"}], "2"], 
    RowBox[{"n", "*", "p"}]], "]"}]}]], "Input",
 CellChangeTimes->{{3.7536816505682817`*^9, 3.753681666960005*^9}, {
  3.8048709820888815`*^9, 3.8048709865178814`*^9}},
 CellLabel->"In[18]:=",
 CellID->16525694,ExpressionUUID->"142e02d3-376f-420c-9416-06beec9ec8ff"],

Cell[BoxData["23.543333333333337`"], "Output",
 CellChangeTimes->{3.753681668763565*^9, 3.7536827309832926`*^9, 
  3.8048706409618816`*^9, 3.8048721441448812`*^9, 3.8104099238041363`*^9, 
  3.8135094674382763`*^9, 3.813509703557193*^9},
 CellLabel->"Out[18]=",
 CellID->1314518282,ExpressionUUID->"ce2a2a15-462f-4f2c-bfc3-9144af9992e6"]
}, Open  ]],

Cell[TextData[{
 "Calculate a new ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "c9a2749c-fb92-46fc-b0b8-660a5cd59bc2"],
 "-value:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.75367718057061*^9, 
   3.753677188114585*^9}, {3.7536772218339834`*^9, 3.7536772220028486`*^9}, {
   3.753677912987013*^9, 3.7536779381227465`*^9}, {3.7536810310771556`*^9, 
   3.7536810360371943`*^9}, {3.753681712245019*^9, 3.7536817127975435`*^9}, {
   3.7701399450205326`*^9, 3.7701399718615327`*^9}, {3.7703745150054655`*^9, 
   3.770374515165481*^9}, {3.7703761096479273`*^9, 3.7703761179767604`*^9}, {
   3.782222688615199*^9, 3.782222693197753*^9}, {3.782222835078537*^9, 
   3.782222840125458*^9}, 3.816089357001337*^9},
 CellID->275701964,ExpressionUUID->"57c08ac8-8252-4adb-922f-3806e744f6f3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"1", "-", 
  RowBox[{"CDF", "[", 
   RowBox[{
    RowBox[{"ChiSquareDistribution", "[", "4", "]"}], ",", "chiSquare"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.753681039688312*^9, 3.7536810579091315`*^9}},
 CellLabel->"In[19]:=",
 CellID->321143195,ExpressionUUID->"847023b0-6568-4b20-ac4c-0fabdb1b8e08"],

Cell[BoxData["0.00009860017801688326`"], "Output",
 CellChangeTimes->{3.753681714913169*^9, 3.7536827346354437`*^9, 
  3.8048706412138815`*^9, 3.8048721443878813`*^9, 3.8104099264731007`*^9, 
  3.8135094674581833`*^9, 3.81350970357793*^9},
 CellLabel->"Out[19]=",
 CellID->1944488885,ExpressionUUID->"087ec7bc-e754-4ccb-9d32-7d4dcde7aacb"]
}, Open  ]],

Cell[TextData[{
 "A plot, similar to the previous one, visualizes the difference in ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "4e36c92f-ab27-48eb-8db0-06fbc0e67147"],
 "-value."
}], "Text",
 CellChangeTimes->{{3.753682698821835*^9, 3.7536827236063576`*^9}, {
   3.7703745194859133`*^9, 3.7703745196609306`*^9}, {3.7703761336813307`*^9, 
   3.7703761458815503`*^9}, {3.782222902326433*^9, 3.782222902630171*^9}, 
   3.8160893944983807`*^9},
 CellID->261596717,ExpressionUUID->"7a482c87-3bea-476d-9e4f-1e09ebd70126"],

Cell[TextData[{
 "Plot the appropriate curve with the calculated ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"444554d6-8f59-46fd-b7eb-95d1141d2498"],
 " value:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.75367718057061*^9, 
   3.753677188114585*^9}, {3.7536772218339834`*^9, 3.7536772220028486`*^9}, {
   3.753677912987013*^9, 3.7536779381227465`*^9}, {3.7536810310771556`*^9, 
   3.7536810360371943`*^9}, {3.753682754742259*^9, 3.7536827736060085`*^9}, {
   3.770139979886533*^9, 3.7701399830535326`*^9}},
 CellID->289656733,ExpressionUUID->"d8e13664-393c-49bf-9271-a8731ba45842"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"PDF", "[", 
    RowBox[{
     RowBox[{"ChiSquareDistribution", "[", "4", "]"}], ",", "x"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", 
    "\"\<\!\(\*SuperscriptBox[\(\[Chi]\), \(2\)]\) Distribution with 4 \
Degrees of Freedom\>\""}], ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"chiSquare", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"chiSquare", ",", "0.2"}], "}"}]}], "}"}], "]"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.753682171742313*^9, 3.7536822877980213`*^9}, {
  3.7536824268798885`*^9, 3.7536824715755205`*^9}, {3.753682509951451*^9, 
  3.753682554038169*^9}, {3.753682800831688*^9, 3.753682800903499*^9}, {
  3.813509640292017*^9, 3.813509648506978*^9}},
 CellLabel->"In[20]:=",
 CellID->70924012,ExpressionUUID->"55ac2f06-bce5-498d-8157-2bd6fd462d3d"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJw1mnc01//7/41EC9lZWdnzZa/ndUmR8aaFSMgohCQRkhkqJGVLkspKaCFk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    "], {{{}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1mWUlVUUBmAYGhSQbgRE6e7uRukUkDBAGpTukFBK6ZJG6U6lO5VOabDp
Dp8jP561z/veM7PmfvvOmknXokOt9hGRIkWKzAcRr+f7Ea/PeZyrm6eV5cy2
5lGKOcc0W7CbPPJSd1/SQN5MJl1TeQRnyaebRFR9bnkJL6iv28R7+ibycM6Q
VzeRKPpc8mKeU0+3kXf1H8rDOE0e3QQi9DnlRTyjrm4DGfWN5a84RW7deCLr
c8g/8pQ6uvW8o28kD+UkuXTfhYejz278wBNq69aRQd9QHsIJcuq+5RXZ5IU8
ppa8lvTuN5AHc5wcunG8JKu8gEfUlNeQzv368iCOkV03lhdkkefzkBryat52
v548kF/JphvDczLL83gQdi6vIq37deUB/EJW3WiehV3Kc7kfPhvyStK4X0fu
z1Gy6EbxNOxSnsO98PmRV5Da/dpyP46QWfcNT8Iu5dncpZq8nFTu15L7cphM
uq95HHYpz+IOVeVlpHS/ptyHQ7ynG8mjsEv5e25TRV5KCvdryL05yLu6ETwM
u5Rn8i+V5SUkD78Tci8OkFE3nAdhl/IM/qGSvJhk7r8v92Q/7+iGcT/sUp7O
31SUF5HU/epyD/aRQfcV98Iu5Wn8RQX5R5K4X03uzl7S64ZyN+xSnsqflJd/
ILH7VeVu7CGdbgh3wi7lKfxBOXkhidyvIn/Jbt7WDeZ22KU8md8pKy8gofuV
5S/YRVrdIP4Nu5QncYsy8nwSuF9J7spO0ugG8k/YpTyRm5SW5/GW+xXlLuwg
tW4Af4ddyhO4QSl5LvHdryB3ZjupdP35K+xSHs91SspziOd+ebkT20ip68ef
YZfyd1yjhDybuO6XkzuylRS6vvwRdil/y1WKy7N40/2ycge2kFzXh9/DLuVx
XKGY/D1vuF9Gbs/PJNP15lbYpTyWyxSVZxLH/dJyO34iqa4XN8Mu5TFcoog8
g9jul5Lbspkkup7cCLsMz4XP2URiXQ+uh72FZ0AbNpJI151rYUfh/dKaDSTU
deNq2Ed4b3zGehLovuRKePbhffAp63hL9wWXw3MOPzOfsJb4uq5cCs9ULszH
rCGergu/hecnxyE2sYhJDArRitXEda8zF4kuj+a38D3l6cTyjArKUZybsI3s
upa6Vbwpd+IC0cLzMo9Q1J0YZnN2kVseFd6f8wEKyhflX51LOBcypxHTuYC+
mnlSLmO2NiuZh8zCZoRZxTxmlgx/A80K5lYzm9nC11c1T8ilzVZmRXOvmc9c
6fXK5i9ycfMNs7zZ0TxPVK+fMsvq2piHKeIc3TxOKeePzJ3kcv4m7MZ5PwXk
C3JB56nEkPOHnTsfpFD4/8JszBayys293tJ5D3nlFWFvzh04RxQ5mtmMHeR0
5+uwc+d95JfPywWcp4Q9yvnk8I9MI34mS/iZVcvD50Fuz9nI//8pjxTVbMp2
cihG6s6RX54c9qrLK7+iofwTmXXN5GXhsyW34wz/ATSpDw4=
         "]]]}, {}, {}}, {{}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl1mWYlVUUgNEBCWkQUEq6u1tBursRg+5upA1a6e5ukEZCECSVTqW7UUJA
Qdd5/LHc37vvQWbumTuapmmnWh0jRUREVI0cERHmOf/oQAxW60/J4rXtuiH/
6nxEtZuqC/CbHklOu936E6IgI86b4S+IyRr9GVm9sEM3Cn8h+Y1odtM8F+R3
XUAf8NyCUTqX/snzp0TlLbvfzE7EYm34upzZ57kZn+tseqfnxkSisD5stg5f
t9ej6+meC3FBF9QHPbdktM6t93j+jJKeT5rRKOr5V7MtpT2fCd+v87+bnSlr
F9v8wDxmVjS/93p+c78ubzY3PzJPmZXNpl7Pbv6oy5kfmyXME2YlM7JZxPzF
rGC2MUuZp80qZkF//m1zRvg++dDzcfOifSHPhzy3YozOo/eG94joFNNHzHbh
vfX6BbMLcVinm5HDmV26SXjvw3tmF8NuZvi6uKS/DffIRd2VuKzXzSkc3u/w
NYY/R0xiEZtLznUjHht0C4oQh8t23YnPRt2SosTlil0PErBJt6IY8bhq15N3
2KxbU5z4XLPrRUK26DZ8QAKu2/UmEVt1Wz7kHW7Y9SExP+h2lCAhN+368i7b
dHtKhu/TezQr/MxwWX9HIm7pfrzHdt2Bj8J74vzscCdc0WNJzG39BUnYoTtS
Krx/zs+xK85VPY53uaP7k5SduhOlw3vq/Nzws8k1PZ73uKsHkIwfdWfKhPfZ
+Xnh54nregJJuKcHkpxdugtlw3vv/Pzws8sNPZGk3NeDSMFu3ZVy4T6cXxA+
X9zUk0jGAz2Y9/lJd6N8uCPnF4bPDrf0ZJLzUA8hJXt0dyqEe3N+UfiscFtP
IQWP9FBSsVf3oGK4S+cXh881d/RU3uex/pLU/Kx7UincpfNL7MpwV08jJX/o
r0jDPt2LyuEunV8afkdwT08nFX/qr0nLft2bKuEunV8WfidwX88gNU/0N6Tj
gO5D1XCXzi8Pv2N4oGeShqd6GOk5qPtSLdyl8yvC7xQe6lmk5ZkeTgYO6X5U
D3fp/Eq7ijzSs0nHcz2CjBzWX1Aj3KXzq+wq8VjPIT1/6ZFk4hfdn5rhLp1f
bVeZP/RcMvBCjyIzv+oB1Ap36fwauyr8qeeRkZd6NFk4ogdSO9yl82vtqvJE
zycTr/QYsnJUD6JOuMvwu9uuGk/1AjLzt/6WbBzTg6kb7tL5dXbVeaYXkoV/
9Hdk57geQr1wl86vt6vBc72IrLzWY8nBCT2U+uEund9gV5O/9GKy8UaPIycn
9Zc0CHfp/Ea7WrzQS8jOv3o8uTilv6JhuEvnN9nV5qVeSg7Cf8wn2OXmtPya
RuEu7Tfb1eGVXkZOItlPtMvDGf0NjcNd2m+xq8vfejm5wr/efpJdXs7qYXwc
7tJ+q109/tEryM1b9pPt8nFOD6dJuEv7H+zq81qvJA9R7KfY5ee8HsEn4S7t
t9k14I1eRV67n3VT3qa4Pmq2D59zz2cj/f//S3md/Q8qOA5p
         "]]},
       Annotation[#, "Charting`Private`Tag$3001#1"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Epilog->LineBox[{{23.543333333333337`, 0}, {23.543333333333337`, 0.2}}],
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  ImageSize->{585., Automatic},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotLabel->FormBox[
   "\"\\!\\(\\*SuperscriptBox[\\(\[Chi]\\), \\(2\\)]\\) Distribution with 4 \
Degrees of Freedom\"", TraditionalForm],
  PlotRange->{{0, 30}, {0., 0.18393948902465532`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.7536828049182043`*^9, 3.8048706418718815`*^9, 
  3.8048721450508814`*^9, 3.810409929073915*^9, 3.813509467597746*^9, 
  3.8135097041884413`*^9},
 CellLabel->"Out[20]=",
 CellID->179563232,ExpressionUUID->"c6033b65-45a9-470f-8c81-d71317624a10"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"newDist", " ", "=", "\n", "  ", 
   RowBox[{"ProbabilityDistribution", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<PDF\>\"", ",", "\n", "    ", 
       RowBox[{
        RowBox[{"0.1", "*", 
         RowBox[{"Boole", "[", 
          RowBox[{"x", " ", "==", " ", "1"}], "]"}]}], " ", "+", " ", 
        RowBox[{"0.2", "*", 
         RowBox[{"Boole", "[", 
          RowBox[{"x", " ", "==", " ", "2"}], "]"}]}], " ", "+", " ", 
        RowBox[{"0.3", "*", 
         RowBox[{"Boole", "[", 
          RowBox[{"x", " ", "==", " ", "3"}], "]"}]}], " ", "+", "\n", 
        "     ", 
        RowBox[{"0.25", " ", "*", 
         RowBox[{"Boole", "[", 
          RowBox[{"x", " ", "==", " ", "4"}], "]"}]}], " ", "+", " ", 
        RowBox[{"0.1", "*", 
         RowBox[{"Boole", "[", 
          RowBox[{"x", " ", "==", " ", "5"}], "]"}]}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", " ", "1", ",", " ", "5", ",", " ", "1"}], "}"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8048719827158813`*^9, 3.8048719901678815`*^9}, {
   3.8048720361928816`*^9, 3.8048720471478815`*^9}, {3.8048720799708815`*^9, 
   3.804872086367882*^9}, 3.8048722359108815`*^9, 3.8048727129708815`*^9, 
   3.8048727891123505`*^9},
 CellLabel->"In[21]:=",
 CellID->17446106,ExpressionUUID->"91e4a28b-343a-4e5e-9b2e-7bf0761f372a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DistributionFitTest", "[", 
  RowBox[{"data", ",", " ", "newDist", ",", " ", "\"\<TestDataTable\>\""}], 
  "]"}]], "Input",
 CellLabel->"In[22]:=",
 CellID->16301402,ExpressionUUID->"dfaa65d7-ca74-4801-9dd0-afa513d616d8"],

Cell[BoxData[
 StyleBox[
  TagBox[GridBox[{
     {"\<\"\"\>", "\<\"Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
     {"\<\"Pearson \\!\\(\\*SuperscriptBox[\\(\[Chi]\\),\\(2\\)]\\)\"\>", 
      "23.54333333333334`", "0.00009860017801686737`"}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
    GridBoxDividers->{
     "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
      "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"], "DialogStyle",
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.8048725362318816`*^9, 3.8048727335028815`*^9, 
  3.804872792845216*^9, 3.810409944338439*^9, 3.8135094681997633`*^9, 
  3.8135097048576736`*^9},
 CellLabel->"Out[22]=",
 CellID->704716189,ExpressionUUID->"6b245a34-0fe9-40fd-b8b1-2a3914de600b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"4647f8b4-8048-416a-acb6-7b4bc7a8514b"],
 " Test of Independence"
}], "Subsection",
 CellChangeTimes->{{3.7536828363202753`*^9, 3.7536828445026855`*^9}, {
  3.7686723758648014`*^9, 3.76867237835505*^9}},
 CellID->32934428,ExpressionUUID->"6dddbd96-5a22-421a-ab5d-76e08a12ab65"],

Cell["\<\
Here we want to compare the proportion of counts for two categorical \
variables for independence from each other. Imagine then that we have an \
experiment with 101 hypertensive patients (high blood pressure) and 17 \
non-hypertensive patients. For the sake of simplicity, we will stick to a \
dichotomous second categorical variable, with a participant being in group I \
or in group II, with 13 group I and 105 group II patients. Our null \
hypothesis is that the group and hypertensive variables are independent from \
each other, i.e. that group assignment does not influence the presence of \
hypertension.\
\>", "Text",
 CellChangeTimes->{{3.7536828662760744`*^9, 3.753682915943019*^9}, {
  3.753682946759266*^9, 3.75368300548726*^9}, {3.753683044854969*^9, 
  3.753683058383049*^9}, {3.770133825661353*^9, 3.770133832557353*^9}, {
  3.8020868489084454`*^9, 3.802086853177434*^9}},
 CellID->407779745,ExpressionUUID->"68b6bf23-b049-4c9d-9dbb-86a5be5829ee"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s create a nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object that represents the following findings for our experiment. For \
group I patients, we have 13 hypertensive patients and one non-hypertensive \
patient. In group II, we have 88 hypertensive patients and 17 \
non-hypertensives patients. We will store this object in the computer \
variable ",
 Cell[BoxData[
 "obs"], "InlineCodeText",ExpressionUUID->
  "c9f11712-b589-489c-8bfb-017f14897590"],
 "."
}], "Text",
 CellChangeTimes->{{3.753683080604165*^9, 3.753683166847034*^9}, 
   3.7701338352613525`*^9, 3.7703766208220396`*^9, {3.770376677418699*^9, 
   3.77037668413037*^9}, {3.801932313474821*^9, 3.801932361563995*^9}, 
   3.8020142673821683`*^9, {3.8020868850243998`*^9, 3.802086907187834*^9}},
 CellID->526589898,ExpressionUUID->"e1d1f881-5c3e-4b04-90ed-03573e539e3d"],

Cell[TextData[{
 "Create a nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object to hold our experimental findings:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.7536831451876907`*^9, {
   3.770139988452533*^9, 3.7701399916145325`*^9}, 3.7703766879277496`*^9},
 CellID->290807576,ExpressionUUID->"720a58da-5023-4cf6-8042-5f33ba6c74b1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"obs", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"13", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"88", ",", "17"}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.7536831813269644`*^9, 3.7536831813907647`*^9}},
 CellLabel->"In[23]:=",
 CellID->146922465,ExpressionUUID->"77535e26-6e0f-4b3f-82aa-baa1d9e91359"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"13", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"88", ",", "17"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7536832274248977`*^9, 3.7857310264363832`*^9, 
  3.7857322069429054`*^9, 3.8048706421378813`*^9, 3.810409992989102*^9, 
  3.810410976008985*^9, 3.813509468289845*^9, 3.81350970497121*^9},
 CellLabel->"Out[23]=",
 CellID->1516739030,ExpressionUUID->"04eee66f-09b2-4844-9c2e-832ff5b21817"]
}, Open  ]],

Cell["Let\[CloseCurlyQuote]s display it in matrix form for visual \
inspection.", "Text",
 CellChangeTimes->{{3.753683193559046*^9, 3.753683203854865*^9}},
 CellID->635005258,ExpressionUUID->"ec907704-67ff-4c40-88a7-507e2799589f"],

Cell[TextData[{
 "Display the nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object in matrix form:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.7536832179055805`*^9, {
   3.770139994404533*^9, 3.7701399968285327`*^9}, 3.770376696701627*^9},
 CellID->164489009,ExpressionUUID->"76a627ca-0454-48b5-be88-fc6c950ff6ca"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"obs", "//", "MatrixForm"}]], "Input",
 CellLabel->"In[24]:=",
 CellID->43239577,ExpressionUUID->"5e88d7ec-b49d-4f1f-9969-20283ee99fa1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"13", "1"},
     {"88", "17"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.753683224736107*^9, 3.753683229605651*^9}, 
   3.7857322087426424`*^9, 3.8048706423908815`*^9, 3.810409996044526*^9, 
   3.810410977521975*^9, 3.8135094683102083`*^9, 3.813509704998231*^9},
 CellLabel->"Out[24]//MatrixForm=",
 CellID->1201987320,ExpressionUUID->"767f2533-c2ba-4c13-aec5-68f56532ccf8"]
}, Open  ]],

Cell[TextData[{
 "We can use the ",
 ButtonBox["TableForm",
  BaseStyle->"Link"],
 " function to make this visual inspection very illustrative. This function \
has a ",
 ButtonBox["TableHeadings",
  BaseStyle->"Link"],
 " option. We will pass a nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object to it. The nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object is named ",
 Cell[BoxData[
 "rc"], "InlineCodeText",ExpressionUUID->
  "e8124c29-26d5-4ac6-8164-5f8108f841fb"],
 " and contains two subList objects. The first will make up our row names and \
the second our column names."
}], "Text",
 CellChangeTimes->{{3.7536832400076675`*^9, 3.7536832921833677`*^9}, {
  3.770133838149353*^9, 3.7701338479243526`*^9}, {3.770376701851142*^9, 
  3.7703767578887453`*^9}, {3.8019328999624596`*^9, 3.8019329035120263`*^9}, {
  3.816089477745425*^9, 3.816089479200821*^9}},
 CellID->411802495,ExpressionUUID->"87eb5fd7-b810-4956-ad99-83a8020d75b8"],

Cell["Create an informative table display:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.753683313566793*^9, 
   3.753683327182948*^9}, {3.7701399994285326`*^9, 3.770140001804533*^9}},
 CellID->23816165,ExpressionUUID->"e145c761-6660-484c-b6f3-348564d1eb3e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"rc", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<Group I\>\"", ",", "\"\<Group II\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<Hypertensive\>\"", ",", "\"\<Non-hypertensive\>\""}], 
      "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"obs", ",", 
   RowBox[{"TableHeadings", "\[Rule]", "rc"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7536833345908337`*^9, 3.753683358646823*^9}},
 CellLabel->"In[25]:=",
 CellID->135012569,ExpressionUUID->"255bf76f-5523-4920-9407-bfa3881d0bc1"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox["\<\"Hypertensive\"\>",
       HoldForm], 
      TagBox["\<\"Non-hypertensive\"\>",
       HoldForm]},
     {
      TagBox["\<\"Group I\"\>",
       HoldForm], "13", "1"},
     {
      TagBox["\<\"Group II\"\>",
       HoldForm], "88", "17"}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {{"Group I", "Group II"}, {
      "Hypertensive", "Non-hypertensive"}}]]]], "Output",
 CellChangeTimes->{{3.753683341961501*^9, 3.753683359247246*^9}, 
   3.785732176483955*^9, 3.7857322116933537`*^9, 3.8048706426798816`*^9, 
   3.810409999000114*^9, 3.810410979066236*^9, 3.813509468341894*^9, 
   3.813509705040698*^9},
 CellLabel->"Out[26]//TableForm=",
 CellID->1441196653,ExpressionUUID->"2be16802-d992-4e68-9531-554cfcb2271d"]
}, Open  ]],

Cell[TextData[{
 "The table above is named an ",
 StyleBox["observed table",
  FontSlant->"Italic"],
 " and, in general, such tables that count the number of cases for \
categorical variables are termed ",
 StyleBox["contingency tables",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.75368337633553*^9, 
   3.7536834168802133`*^9}, {3.7703767760935655`*^9, 3.7703767773256884`*^9}},
 CellID->436241630,ExpressionUUID->"c1757680-7588-4ccc-bcd8-e749a6fafc3d"],

Cell[TextData[{
 "Calculating simple percentages from the counts, we have 119 patients of \
which 84.9% are hypertensive and 11.8% are in group I. Given these \
percentages, we can calculate an ",
 StyleBox["expected table",
  FontSlant->"Italic"],
 ". For the value in row one, column one of this expected table, we look at \
the observed table and multiply the first row total and the first column \
total and divide by the overall total. That would be ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"14", "\[Times]", 
     RowBox[{"101", "\[Divide]", "119"}]}], "=", " ", "11.9"}], 
   TraditionalForm]], "InlineMath",ExpressionUUID->
  "8152cbc9-c7fa-422d-80e8-df11e8045b82"],
 " (see group I hypertensives in the table on page ",
 StyleBox[ButtonBox["176",
  BaseStyle->"Hyperlink",
  ButtonData->"Table-I"],
  FontColor->RGBColor[1, 0.5, 0]],
 "). Given the proportions, we would expect 11.9 group I hypertensives."
}], "Text",
 CellChangeTimes->{{3.7536834222969584`*^9, 3.7536835189933352`*^9}, {
   3.753683655928125*^9, 3.753683671676895*^9}, {3.7701338547403526`*^9, 
   3.7701338615553527`*^9}, {3.770376794599416*^9, 3.7703768253764935`*^9}, 
   3.8020869673252335`*^9, {3.813555067119783*^9, 3.813555080588642*^9}, {
   3.813555330734651*^9, 3.813555330736458*^9}, {3.8160894902886753`*^9, 
   3.816089491304338*^9}, {3.8190200454630404`*^9, 3.819020046754798*^9}, {
   3.819109961565159*^9, 3.819109976697434*^9}, {3.819110029147152*^9, 
   3.819110034464479*^9}},
 CellID->897185104,ExpressionUUID->"20ab418f-e21a-458b-be67-ecb5beb719b3"],

Cell[TextData[{
 "We repeat this process for each value using its respective row and column \
totals. This is easily done using the following code. We will store the \
expected table in the ",
 Cell[BoxData[
 "fit"], "InlineCodeText",ExpressionUUID->
  "440efdbd-e0d5-4c18-bb8a-8c31ff058fe5"],
 " computer variable. Note that the expression of the table-in-table form \
with table headings is not part of the calculation. It is only done for the \
sake of illustrating the example. The ",
 Cell[BoxData[
 "fit"], "InlineCodeText",ExpressionUUID->
  "7f3b0041-ab4b-4ef2-9244-2807974f8108"],
 " nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object is used for the actual calculation. The same goes for the use of \
the table form with table headings in the rest of this chapter."
}], "Text",
 CellChangeTimes->{{3.7536834222969584`*^9, 3.7536835187432904`*^9}, {
   3.770133864691353*^9, 3.7701338741073527`*^9}, 3.770134058083136*^9, {
   3.7703768390078564`*^9, 3.770376879562911*^9}, {3.8020871749009566`*^9, 
   3.8020871773815975`*^9}},
 CellID->7903030,ExpressionUUID->"4d93754e-5f7b-4628-924b-9e19b8e6e1fb"],

Cell["\<\
Let\[CloseCurlyQuote]s do all of these calculations in steps, making use of \
explanatory computer variable names for ease of understanding.\
\>", "Text",
 CellChangeTimes->{{3.785731189873663*^9, 3.7857312586198497`*^9}, 
   3.8020142395562544`*^9, {3.8020143412686543`*^9, 3.8020143418087344`*^9}},
 CellID->377538460,ExpressionUUID->"a544a226-4635-4f59-ad87-6591b7fd22fd"],

Cell["Calculate the total sum of patients:", "CodeCaption",
 CellChangeTimes->{{3.802014329213889*^9, 3.8020143366013007`*^9}},
 CellID->123103104,ExpressionUUID->"634c00a6-33c3-46c8-8ddb-e86afbeed320"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"total", "=", 
  RowBox[{"Total", "[", 
   RowBox[{"Flatten", "[", "obs", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.785731263924148*^9, 3.785731275264027*^9}},
 CellLabel->"In[27]:=",
 CellID->366955197,ExpressionUUID->"e758f2d9-23ec-4159-9f1c-dacfb10a2800"],

Cell[BoxData["119"], "Output",
 CellChangeTimes->{3.785731275884505*^9, 3.804870642931882*^9, 
  3.810410007961953*^9, 3.810410982122414*^9, 3.8135094683622293`*^9, 
  3.8135097050651493`*^9},
 CellLabel->"Out[27]=",
 CellID->724092458,ExpressionUUID->"733d2786-1a52-48eb-a0af-48915d4b0aff"]
}, Open  ]],

Cell[TextData[{
 "Now, we calculate the fraction of hypertensive patients. This would be the \
sum of the values in column 1, i.e. ",
 Cell[BoxData[
  FormBox[
   RowBox[{"13", "+", "88"}], TraditionalForm]],ExpressionUUID->
  "04a5ed9d-ab81-4276-a358-2bc2a271cee1"],
 " divided by the total number of patients."
}], "Text",
 CellChangeTimes->{{3.7857313758107185`*^9, 3.7857314342578707`*^9}, 
   3.8020142724566293`*^9, {3.8020143611826577`*^9, 3.802014363527196*^9}},
 CellID->253695482,ExpressionUUID->"b564129b-ec6a-4844-b98f-da0769f781e9"],

Cell["Calculate the fraction of hypertensive patients:", "CodeCaption",
 CellChangeTimes->{{3.802014380415265*^9, 3.802014389839614*^9}},
 CellID->354830062,ExpressionUUID->"b7940a7e-177b-416c-8031-60b80a9f4b36"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"hypertensionRatio", "=", 
  FractionBox[
   RowBox[{"Total", "[", 
    RowBox[{"obs", "\[LeftDoubleBracket]", 
     RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], "]"}], "total",
   FractionLine->0.2]}]], "Input",
 CellChangeTimes->{{3.785731291867281*^9, 3.7857313326444225`*^9}},
 CellLabel->"In[28]:=",
 CellID->687387613,ExpressionUUID->"4714962b-c531-416d-9f3b-27a27f05ed27"],

Cell[BoxData[
 FractionBox["101", "119"]], "Output",
 CellChangeTimes->{
  3.785731335499305*^9, 3.785732218285347*^9, 3.8048706431918817`*^9, 
   3.8104100117493668`*^9, {3.810410970021181*^9, 3.810410983668559*^9}, 
   3.813509468392761*^9, 3.813509705102676*^9},
 CellLabel->"Out[28]=",
 CellID->1045083937,ExpressionUUID->"0334ff29-d54c-4949-aa42-50a4ad1ba53c"]
}, Open  ]],

Cell[TextData[{
 "This is followed by calculating the fraction of patients in group I, i.e. ",
 Cell[BoxData[
  FormBox[
   RowBox[{"13", "+", "1"}], TraditionalForm]],ExpressionUUID->
  "80fbdd91-5d68-4923-9b22-42eaa29d2ada"],
 " divided by the total."
}], "Text",
 CellChangeTimes->{{3.78573144598967*^9, 3.7857314832389526`*^9}},
 CellID->375099966,ExpressionUUID->"d412e56f-cea1-47e3-b586-22a70e61f227"],

Cell["Calculate the fraction of patients in group I: ", "CodeCaption",
 CellChangeTimes->{{3.8020144102674713`*^9, 3.802014417283762*^9}},
 CellID->698433291,ExpressionUUID->"97faf8f4-fe00-4473-bf9f-7b80d88f6999"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"groupIRatio", "=", 
  FractionBox[
   RowBox[{"Total", "[", 
    RowBox[{"obs", "\[LeftDoubleBracket]", 
     RowBox[{"1", ",", "All"}], "\[RightDoubleBracket]"}], "]"}], "total",
   FractionLine->0.2]}]], "Input",
 CellChangeTimes->{{3.785731485563588*^9, 3.7857315169012628`*^9}},
 CellLabel->"In[29]:=",
 CellID->248814113,ExpressionUUID->"e46eaa03-d9d5-404f-a081-0b9837abdb6e"],

Cell[BoxData[
 FractionBox["2", "17"]], "Output",
 CellChangeTimes->{3.7857315173146133`*^9, 3.7857322205439744`*^9, 
  3.8048706434428816`*^9, 3.810410016270997*^9, 3.8104109861093607`*^9, 
  3.813509468412587*^9, 3.8135097051282663`*^9},
 CellLabel->"Out[29]=",
 CellID->456980346,ExpressionUUID->"a9f43248-ac14-4722-ab2f-8b352ac81e15"]
}, Open  ]],

Cell["\<\
Note that the fraction has been simplified. From here it is easy to calculate \
the non-hypertensive ratio (fraction) and the group II patient ratio.\
\>", "Text",
 CellChangeTimes->{{3.785731574687605*^9, 3.785731675236761*^9}, {
  3.80201424866628*^9, 3.802014254020786*^9}, {3.8020872625200953`*^9, 
  3.802087263962245*^9}, {3.819110383182868*^9, 3.819110383901123*^9}},
 CellID->31637400,ExpressionUUID->"b9693d67-8240-4d39-a53f-8309fc386807"],

Cell["Calculate the ratios:", "CodeCaption",
 CellChangeTimes->{{3.8020144462547975`*^9, 3.8020144489041214`*^9}},
 CellID->679503960,ExpressionUUID->"8be71f4b-c7d0-4eea-b944-1c33c7a5b6c1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nonHypertensionRatio", "=", 
  FractionBox[
   RowBox[{"Total", "[", 
    RowBox[{"obs", "\[LeftDoubleBracket]", 
     RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}], "]"}], "total",
   FractionLine->0.2]}]], "Input",
 CellChangeTimes->{{3.810410945160203*^9, 3.810410955521268*^9}},
 CellLabel->"In[30]:=",
 CellID->79067842,ExpressionUUID->"418c1245-ad25-4ccb-a542-bfa74d03efac"],

Cell[BoxData[
 FractionBox["18", "119"]], "Output",
 CellChangeTimes->{{3.8104109531937647`*^9, 3.810410956073104*^9}, 
   3.810410987986225*^9, 3.8135094684433928`*^9, 3.813509705166037*^9},
 CellLabel->"Out[30]=",
 CellID->1236459776,ExpressionUUID->"e6c91ae1-d161-4703-9a8f-ae754c65f260"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"groupIIRatio", "=", 
  FractionBox[
   RowBox[{"Total", "[", 
    RowBox[{"obs", "\[LeftDoubleBracket]", 
     RowBox[{"2", ",", "All"}], "\[RightDoubleBracket]"}], "]"}], "total",
   FractionLine->0.2]}]], "Input",
 CellChangeTimes->{{3.810410993128878*^9, 3.810411001097229*^9}},
 CellLabel->"In[31]:=",
 CellID->759689919,ExpressionUUID->"a5103245-6efc-4d6e-b9f0-236ee324b011"],

Cell[BoxData[
 FractionBox["15", "17"]], "Output",
 CellChangeTimes->{3.810411001828038*^9, 3.81350946846285*^9, 
  3.81350970519039*^9},
 CellLabel->"Out[31]=",
 CellID->2127686860,ExpressionUUID->"f5d1c567-5c69-415e-8c16-f5b9f1e2570f"]
}, Open  ]],

Cell["Check if the corresponding ratios add up to 1:", "CodeCaption",
 CellChangeTimes->{{3.8020144462547975`*^9, 3.8020144489041214`*^9}, {
  3.810411017000293*^9, 3.810411059681087*^9}},
 CellID->2081070545,ExpressionUUID->"bc23c74e-9da4-4521-b05c-df57e5bb2afe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"nonHypertensionRatio", "+", "hypertensionRatio"}], ",", 
   RowBox[{"groupIIRatio", "+", "groupIRatio"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.785731684630862*^9, 3.7857317097264934`*^9}, {
   3.78573194062192*^9, 3.7857319419743147`*^9}, 3.7857321421394944`*^9, {
   3.810411039928706*^9, 3.810411051094453*^9}},
 CellLabel->"In[32]:=",
 CellID->315282176,ExpressionUUID->"82715479-0b0a-408a-b671-f6da1f4af89d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.785731710342845*^9, 3.78573195006872*^9, 
  3.7857321430770073`*^9, 3.7857322228378897`*^9, 3.8048706437178817`*^9, 
  3.8104100189342937`*^9, 3.810411051508202*^9, 3.813509468493444*^9, 
  3.813509705228652*^9},
 CellLabel->"Out[32]=",
 CellID->1597270488,ExpressionUUID->"3e2880bc-c2b9-42c0-98fd-19febb825ef4"]
}, Open  ]],

Cell[TextData[{
 "The expected values can now be calculated. They are saved as ",
 Cell[BoxData[
 "fit"], "InlineCode",ExpressionUUID->"82421d93-a5db-4658-a4f2-d99401477267"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7857317988604*^9, 3.7857318223851085`*^9}, 
   3.7857322800271587`*^9, 3.802014262683916*^9, {3.8020144536031623`*^9, 
   3.802014486272583*^9}, {3.8020145738522053`*^9, 3.8020146052392406`*^9}, 
   3.8135557286769342`*^9},
 CellID->124230678,ExpressionUUID->"ee4023a5-8703-4558-88e1-dea9855793cb"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"hypertensionRatio", "*", "groupIRatio"}], ",", 
         RowBox[{"nonHypertensionRatio", "*", "groupIRatio"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"hypertensionRatio", "*", "groupIIRatio"}], ",", 
         RowBox[{"nonHypertensionRatio", "*", "groupIIRatio"}]}], "}"}]}], 
      "}"}], "*", "total"}], "//", "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"fit", ",", 
   RowBox[{"TableHeadings", "\[Rule]", "rc"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7857319793897905`*^9, 3.7857321680297537`*^9}, {
  3.7857323018937197`*^9, 3.7857323023465395`*^9}},
 CellLabel->"In[33]:=",
 CellID->194035443,ExpressionUUID->"47082f77-b6b1-40ba-9474-60003b4b99d2"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox["\<\"Hypertensive\"\>",
       HoldForm], 
      TagBox["\<\"Non-hypertensive\"\>",
       HoldForm]},
     {
      TagBox["\<\"Group I\"\>",
       HoldForm], "11.882352941176471`", "2.1176470588235294`"},
     {
      TagBox["\<\"Group II\"\>",
       HoldForm], "89.11764705882354`", "15.882352941176471`"}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {{"Group I", "Group II"}, {
      "Hypertensive", "Non-hypertensive"}}]]]], "Output",
 CellChangeTimes->{{3.7857321315168133`*^9, 3.785732188505782*^9}, 
   3.7857322430819283`*^9, 3.7857323026807294`*^9, 3.804870644162882*^9, 
   3.8104100239352617`*^9, 3.8104111341553698`*^9, 3.813509468514275*^9, 
   3.81350970525768*^9},
 CellLabel->"Out[34]//TableForm=",
 CellID->1779504316,ExpressionUUID->"6f04f6c7-a19a-4a77-96e1-6ea1189aeb35"]
}, Open  ]],

Cell[TextData[{
 "Now that we have values for both an observed and an expected table, we can \
calculate the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"82fb1b7a-541f-48be-8627-3e0c427f3d28"],
 " value. It is a rather simple equation, shown in (",
 
 CounterBox["DisplayFormulaNumbered", "Eq:3"],
 "), and it is based on equation (",
 
 CounterBox["DisplayFormulaNumbered", "Eq:1"],
 ")."
}], "Text",
 CellChangeTimes->{{3.7536836953803873`*^9, 3.75368374330259*^9}, {
   3.7701338764903526`*^9, 3.770133878922353*^9}, {3.7703775762205935`*^9, 
   3.770377577395593*^9}, 3.782155918387581*^9, 3.782223011897602*^9, {
   3.802087287164856*^9, 3.8020872881446123`*^9}, {3.8135558204276648`*^9, 
   3.813555820786653*^9}, 3.816089546496545*^9},
 CellID->838781591,ExpressionUUID->"87b4f706-2f21-4223-89ca-12a7f2c433ab"],

Cell[BoxData[
 FormBox[
  RowBox[{
   SuperscriptBox["\[Chi]", "2"], "=", 
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"i", "=", "1"}], "n"], 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["O", "i"], "-", 
        SubscriptBox["E", "i"]}], ")"}], "2"], 
     SubscriptBox["E", "i"]]}]}], TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.782148614513196*^9, 3.782148625105838*^9}},
 CellTags->"Eq:3",
 CellID->1589592941,ExpressionUUID->"37228225-52a7-469b-ae07-723ef92416ed"],

Cell[TextData[{
 "Here, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["O", "i"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "182c2f51-cf88-4bf4-ba03-a376823149e4"],
 " is each individual value in our observed table and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "i"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "c5c5e30b-af54-4844-a3a1-46d38bc544cf"],
 " is each corresponding value in the expected table. We therefore need to \
subtract each respective expected value from its corresponding observed \
value, square this difference, and divide it by the corresponding expected \
value. For our example, that leaves us with four values, just as in our \
contingency table (i.e. ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Times]", "2"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"d87f3d42-320c-4c2b-aee2-f06e24a7c86f"],
 "), and we sum all of these four values to get the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"3fcc619b-e6a0-4b67-9696-623d68caec81"],
 " value. In the calculations that follow, we break this equation down into \
computational steps."
}], "Text",
 CellChangeTimes->{{3.7265625003841753`*^9, 3.726562601231541*^9}, {
   3.726566956535404*^9, 3.7265670852082305`*^9}, {3.770133881538353*^9, 
   3.7701338867543526`*^9}, {3.7703776248245935`*^9, 3.7703776773125935`*^9}, 
   3.816089554576391*^9},
 CellID->131407952,ExpressionUUID->"55eb2f45-4c8f-44e8-9527-4f55b7c25990"],

Cell[TextData[{
 "In step 1, we are interested in the difference between the observed and the \
expected values. We will store this in the computer variable named ",
 Cell[BoxData[
 "residual"], "InlineCodeText",ExpressionUUID->
  "b1968bef-f5e4-472a-b638-06173624f273"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7536838147203856`*^9, 3.7701338894823527`*^9, {3.770377688317593*^9, 
   3.770377723419593*^9}},
 CellID->200920417,ExpressionUUID->"3503a021-dec2-4b32-a2c7-3b538739d8f0"],

Cell["\<\
Calculate the difference between each corresponding observed and fitted value:\
\>", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753683833249942*^9, {
   3.770140009748533*^9, 3.770140013460533*^9}},
 CellID->61382760,ExpressionUUID->"c0c5435d-edbc-4aa0-81ff-b05d941037ac"],

Cell[BoxData[
 RowBox[{
  RowBox[{"residual", "=", 
   RowBox[{"obs", "-", "fit"}]}], ";"}]], "Input",
 CellLabel->"In[35]:=",
 CellID->952235887,ExpressionUUID->"c1bdb6e4-e35c-45b5-bb66-1e14a4b5f138"],

Cell["Express the difference in formatted-table form:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.7536838676329055`*^9, {
   3.7701400164995327`*^9, 3.770140019523533*^9}, {3.7703777347465935`*^9, 
   3.7703777349465933`*^9}},
 CellID->413229003,ExpressionUUID->"38661f62-1767-4cd4-aaa9-5d49d65dd103"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"residual", "//", "N"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", "rc"}]}], "]"}]], "Input",
 CellTags->"Table-I",
 CellLabel->"In[36]:=",
 CellID->600271471,ExpressionUUID->"a9b40d72-3c34-4074-b5f0-3d23cf6745a4"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox["\<\"Hypertensive\"\>",
       HoldForm], 
      TagBox["\<\"Non-hypertensive\"\>",
       HoldForm]},
     {
      TagBox["\<\"Group I\"\>",
       HoldForm], "1.117647058823529`", 
      RowBox[{"-", "1.1176470588235294`"}]},
     {
      TagBox["\<\"Group II\"\>",
       HoldForm], 
      RowBox[{"-", "1.117647058823536`"}], "1.117647058823529`"}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {{"Group I", "Group II"}, {
      "Hypertensive", "Non-hypertensive"}}]]]], "Output",
 CellChangeTimes->{3.7536838767565002`*^9, 3.804870644426882*^9, 
  3.810410050290781*^9, 3.810411185256442*^9, 3.8135094685648327`*^9, 
  3.81350970532113*^9},
 CellLabel->"Out[36]//TableForm=",
 CellID->1284714145,ExpressionUUID->"150586c6-402d-47ce-9d0c-0832b2d5bcc6"]
}, Open  ]],

Cell[TextData[{
 "In step 2, each of the values are squared and divided by the expected \
value. We will save this result in the ",
 Cell[BoxData[
 "\[Chi]2array"], "InlineCodeText",ExpressionUUID->
  "9671d4a9-2a48-4892-9e61-cea83400e2d3"],
 " computer variable."
}], "Text",
 CellChangeTimes->{{3.7536838952951574`*^9, 3.753683931431918*^9}, {
   3.7701338917943525`*^9, 3.7701338944103527`*^9}, {3.770377748346593*^9, 
   3.7703777554205933`*^9}, 3.770377791027593*^9},
 CellID->67995229,ExpressionUUID->"269a1ea3-701e-409f-b7ff-929a9d3d9542"],

Cell["\<\
Calculate the differences squared and divide by the expected value for each \
of the four values:\
\>", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.7536839328279405`*^9, {
   3.770140024267533*^9, 3.770140052425533*^9}},
 CellID->147128741,ExpressionUUID->"d9cb7ade-9648-4372-925b-fe197f42c02c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Chi]2array", "=", 
   FractionBox[
    SuperscriptBox["residual", "2"], "fit"]}], ";"}]], "Input",
 CellChangeTimes->{{3.785732385475299*^9, 3.785732396789131*^9}},
 CellLabel->"In[37]:=",
 CellID->45702512,ExpressionUUID->"a82f98aa-51cc-46ae-83a2-49a75d234c80"],

Cell["Express the calculations in formatted-table form:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.75368395681674*^9, {
   3.770377805629593*^9, 3.770377815726593*^9}},
 CellID->183643843,ExpressionUUID->"180e0552-fec8-49b5-9a9f-26dfac7ccc17"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"\[Chi]2array", "//", "N"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", "rc"}]}], "]"}]], "Input",
 CellLabel->"In[38]:=",
 CellID->175928409,ExpressionUUID->"7a02fd0a-7af2-491f-a05b-966e2fc3fa5c"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox["\<\"Hypertensive\"\>",
       HoldForm], 
      TagBox["\<\"Non-hypertensive\"\>",
       HoldForm]},
     {
      TagBox["\<\"Group I\"\>",
       HoldForm], "0.10512521840419328`", "0.5898692810457516`"},
     {
      TagBox["\<\"Group II\"\>",
       HoldForm], "0.014016695787225947`", "0.07864923747276682`"}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {{"Group I", "Group II"}, {
      "Hypertensive", "Non-hypertensive"}}]]]], "Output",
 CellChangeTimes->{3.7536839659613767`*^9, 3.7857324026698976`*^9, 
  3.8048706447088814`*^9, 3.810410060356845*^9, 3.810411218532134*^9, 
  3.813509468615093*^9, 3.8135097053842087`*^9},
 CellLabel->"Out[38]//TableForm=",
 CellID->648861022,ExpressionUUID->"b2841779-5eac-4709-aceb-9aa433369767"]
}, Open  ]],

Cell[TextData[{
 "In step 3, the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"f659c346-4636-46d7-bded-9b13b765d12c"],
 " value is the sum of all of the values above."
}], "Text",
 CellChangeTimes->{{3.7536839796309595`*^9, 3.753683983190117*^9}, 
   3.770133897017353*^9, {3.7703778211105933`*^9, 3.770377829325593*^9}},
 CellID->56954705,ExpressionUUID->"21d0d02e-8713-4fe5-a5b2-082573a4fe3f"],

Cell[TextData[{
 "Use ",
 ButtonBox["Total",
  BaseStyle->"Link"],
 " after flattening the nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.7536840018711367`*^9, 
   3.753684023935358*^9}, 3.7536842133328047`*^9, {3.770140060368533*^9, 
   3.770140076705533*^9}, {3.770377933936593*^9, 3.7703779575835934`*^9}, {
   3.802449230159458*^9, 3.8024492390653486`*^9}},
 CellID->247186660,ExpressionUUID->"f0ca3849-9e6d-41d4-81c8-6a0b58dad308"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Chi]2", "=", 
   RowBox[{"Total", "[", 
    RowBox[{"Flatten", "[", "\[Chi]2array", "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"\[Chi]2", "//", "N"}]}], "Input",
 CellChangeTimes->{{3.785732435895343*^9, 3.7857324701970224`*^9}},
 CellLabel->"In[39]:=",
 CellID->513837680,ExpressionUUID->"eeee18a5-e6b2-4de3-86c6-1f4a7208778a"],

Cell[BoxData["0.7876604327099377`"], "Output",
 CellChangeTimes->{3.785732470749432*^9, 3.8048706449588814`*^9, 
  3.810410062823235*^9, 3.810411234296185*^9, 3.813509468646265*^9, 
  3.8135097054264727`*^9},
 CellLabel->"Out[40]=",
 CellID->2016902477,ExpressionUUID->"a4107fe7-826f-48d5-be34-be39adcc381e"]
}, Open  ]],

Cell[TextData[{
 "To calculate a ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "01c10cd5-16c8-41a5-a09f-28d5ebd18616"],
 "-value, we require a value for the degrees of freedom. We calculate it as \
follows, starting with the dimensions of our contingency table."
}], "Text",
 CellChangeTimes->{{3.711088589340458*^9, 3.7110886033882704`*^9}, {
   3.7265627355755672`*^9, 3.7265627720355186`*^9}, {3.7536840644866114`*^9, 
   3.753684080519252*^9}, {3.7857325414314723`*^9, 3.7857325550845547`*^9}, 
   3.802015670062852*^9, {3.8020157148346963`*^9, 3.8020157315655336`*^9}},
 CellID->37614571,ExpressionUUID->"7f8e9052-7589-4649-bcdd-a30ff92aded5"],

Cell["Calculate the dimensions of the contingency table:", "CodeCaption",
 CellChangeTimes->{{3.802015828047287*^9, 3.8020158348147917`*^9}, {
  3.802449593601799*^9, 3.802449609292368*^9}},
 CellID->370154590,ExpressionUUID->"61386532-dbda-4bee-8b18-74a73e97fb6f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dimensions", "=", 
  RowBox[{"Dimensions", "[", "obs", "]"}]}]], "Input",
 CellChangeTimes->{{3.7857325587004557`*^9, 3.7857325645613303`*^9}},
 CellLabel->"In[41]:=",
 CellID->375036381,ExpressionUUID->"fb8f705e-8a0a-4fa9-a7c8-dda7534759d7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{3.7857325648186417`*^9, 3.804870645214882*^9, 
  3.8104100681152353`*^9, 3.810411238426113*^9, 3.813509468666726*^9, 
  3.813509705449871*^9},
 CellLabel->"Out[41]=",
 CellID->50563044,ExpressionUUID->"b667ed8c-021a-4f66-9af5-c7b66268d9c2"]
}, Open  ]],

Cell[TextData[{
 "Our ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Times]", "2"}], TraditionalForm]],ExpressionUUID->
  "6e41aba6-0e1f-4e43-9101-ee1225aa8910"],
 " contingency table does indeed have two rows and two columns. With only two \
elements in our",
 StyleBox[" ",
  FontWeight->"Bold"],
 Cell[BoxData[
 "Dimensions"], "InlineCodeText",ExpressionUUID->
  "164b6c1d-212a-47cd-9b4d-5b01a99273b6"],
 " ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object, we can use the ",
 ButtonBox["First",
  BaseStyle->"Link"],
 " and ",
 ButtonBox["Last",
  BaseStyle->"Link"],
 " Wolfram Language functions for each of these elements."
}], "Text",
 CellChangeTimes->{{3.785732603145892*^9, 3.785732621422954*^9}, {
  3.785732669143634*^9, 3.7857327281779766`*^9}, {3.8020156762723937`*^9, 
  3.802015677292588*^9}, {3.802015844917004*^9, 3.8020159044579496`*^9}, {
  3.8020159395539155`*^9, 3.8020159646710587`*^9}, {3.8020162287392297`*^9, 
  3.8020162518685846`*^9}, {3.8020163056067*^9, 3.802016306171289*^9}, {
  3.8024496433927774`*^9, 3.8024496436518035`*^9}},
 CellID->93773784,ExpressionUUID->"3cc20e16-f842-41d0-9a64-cd8ad527c7d6"],

Cell[TextData[{
 ButtonBox["First",
  BaseStyle->"Link"],
 ", ",
 ButtonBox["Last",
  BaseStyle->"Link"],
 ", ",
 ButtonBox["Part",
  BaseStyle->"Link"],
 ", ",
 ButtonBox["Take",
  BaseStyle->"Link"],
 ", and ",
 ButtonBox["Drop",
  BaseStyle->"Link"],
 " are all useful functions for manipulating ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects:"
}], "CodeCaption",
 CellChangeTimes->{{3.8024498771721535`*^9, 3.8024498790853443`*^9}, {
  3.8024499338668222`*^9, 3.802449977715206*^9}},
 CellID->30029424,ExpressionUUID->"f4cbb115-3b3d-4b83-aa56-80fa6098104e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"First", "[", "dimensions", "]"}]], "Input",
 CellChangeTimes->{{3.78573275261292*^9, 3.785732756032735*^9}},
 CellLabel->"In[42]:=",
 CellID->683181870,ExpressionUUID->"13010a8f-7bad-4883-b5ec-78f3b7c490e2"],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.785732756346899*^9, 3.8048706454668818`*^9, 
  3.810410075974021*^9, 3.81041124303615*^9, 3.813509468697709*^9, 
  3.8135097054917088`*^9},
 CellLabel->"Out[42]=",
 CellID->2088452394,ExpressionUUID->"c92355ac-3d45-4e8d-a616-bcdad65d3ba9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Last", "[", "dimensions", "]"}]], "Input",
 CellChangeTimes->{{3.785732775134726*^9, 3.785732782300685*^9}},
 CellLabel->"In[43]:=",
 CellID->209672785,ExpressionUUID->"a6b55c91-d6e3-4eb6-bd40-76259217547c"],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{{3.785732778463687*^9, 3.7857327828199606`*^9}, 
   3.8048706457178817`*^9, 3.8104100767272*^9, 3.8104112440784273`*^9, 
   3.8135094687187634`*^9, 3.81350970551975*^9},
 CellLabel->"Out[43]=",
 CellID->2146659390,ExpressionUUID->"162b01a4-4e5e-4dfa-8c10-204340eb9655"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dof", "=", 
  RowBox[{
   RowBox[{"Total", "[", "dimensions", "]"}], "-", 
   RowBox[{"First", "[", "dimensions", "]"}], "-", 
   RowBox[{"Last", "[", "dimensions", "]"}], "+", "1"}]}]], "Input",
 CellChangeTimes->{{3.7857327929687686`*^9, 3.7857328150406704`*^9}},
 CellLabel->"In[44]:=",
 CellID->169234057,ExpressionUUID->"d3443823-55bb-406a-90d5-e9408f6017d0"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.7536841603110275`*^9, 3.7857328156809483`*^9, 
  3.8048706459918814`*^9, 3.810410077809409*^9, 3.810411244676201*^9, 
  3.813509468749682*^9, 3.813509705560958*^9},
 CellLabel->"Out[44]=",
 CellID->1798883703,ExpressionUUID->"ffcb131c-3df1-411c-89a0-791adec0a2ff"]
}, Open  ]],

Cell[TextData[{
 "Finally, we can calculate a ",
 Cell[BoxData[
  FormBox[
   StyleBox["p", "TI"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "27ed7f2b-eeb6-4527-b935-6edd88951494"],
 "-value for this statistic using ",
 ButtonBox["CDF",
  BaseStyle->"Link"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.753684144228806*^9, 3.7536841494223537`*^9}, {
  3.7703745465436187`*^9, 3.770374546718636*^9}, {3.7703780288745933`*^9, 
  3.770378061434593*^9}, {3.770396913535759*^9, 3.770396924087759*^9}, {
  3.7822231287256317`*^9, 3.782223135098064*^9}},
 CellID->457195558,ExpressionUUID->"0eb01021-0f4b-40ea-9fb0-18f13514185b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "-", 
   RowBox[{"CDF", "[", 
    RowBox[{
     RowBox[{"ChiSquareDistribution", "[", "dof", "]"}], ",", "\[Chi]2"}], 
    "]"}]}], "//", "N"}]], "Input",
 CellLabel->"In[45]:=",
 CellID->411863700,ExpressionUUID->"239c07bd-6a33-4e3b-b97b-4526da39afb9"],

Cell[BoxData["0.37480849807444006`"], "Output",
 CellChangeTimes->{3.753684169509207*^9, 3.8048706462388816`*^9, 
  3.8104100848273077`*^9, 3.810411246365055*^9, 3.813509468770905*^9, 
  3.813509705584564*^9},
 CellLabel->"Out[45]=",
 CellID->1563613855,ExpressionUUID->"911fcd88-f050-4276-bdd8-99538ab59c10"]
}, Open  ]],

Cell[TextData[{
 "For a chosen ",
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "469c9342-502c-4a16-abe5-80fa6664450d"],
 "-value of 0.05, we cannot reject the null hypothesis, which, in the case of \
a ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"692da0d6-92ec-4241-8ec4-bcd2c208bb3c"],
 " test for independence, states that the two variables are independent of \
each other. In the case of our experiment, that means that the presence of \
hypertension is independent of the group to which the patient belongs."
}], "Text",
 CellChangeTimes->{{3.7536841819093866`*^9, 3.7536842072957077`*^9}, 
   3.7701339027613525`*^9, {3.7703745567516394`*^9, 3.770374556920656*^9}, 
   3.770375746877795*^9, {3.770378067745593*^9, 3.7703780765125933`*^9}, {
   3.770396980362759*^9, 3.770396988921759*^9}, {3.782154102429034*^9, 
   3.7821541101017313`*^9}, {3.802087412181752*^9, 3.802087419072899*^9}, 
   3.8160896548905487`*^9},
 CellID->485381457,ExpressionUUID->"8adeb8a2-24eb-493b-879e-300c9270830a"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Fisher\[CloseCurlyQuote]s Exact Test", "Subsection",
 CellChangeTimes->{{3.7536842222721844`*^9, 3.7536842299190903`*^9}, {
  3.7686723846166763`*^9, 3.768672387120927*^9}},
 CellID->962179499,ExpressionUUID->"04c30eee-9256-4412-b18f-1d5778bdc1c7"],

Cell["\<\
Fisher\[CloseCurlyQuote]s exact test is also used to analyze contingency \
tables (counts of categorical variables). It becomes particularly useful when \
dealing with small sample sizes but can, in essence, be used for large sample \
sizes as well.\
\>", "Text",
 CellChangeTimes->{
  3.7536842432646084`*^9, 3.770133905369353*^9, {3.770397017855759*^9, 
   3.7703970206627593`*^9}},
 CellID->107627299,ExpressionUUID->"5c82c9ae-c814-4aff-af5f-20594cb14ee8"],

Cell[TextData[{
 "Do not be fooled by the term ",
 StyleBox["exact",
  FontSlant->"Italic"],
 ". It does not mean that we get a ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "2452f0eb-2426-4a37-8d11-757d91b19346"],
 "-value that is somehow superior to other statistical tests such as the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"3ac54c17-e48f-4ecc-b2c4-78465d850295"],
 " test of independence. It simply refers to the fact that the ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "76756031-84df-4d1c-9d9c-aa8efd959d74"],
 "-value can be calculated directly instead of using a test statistic, as we \
have been doing up to now."
}], "Text",
 CellChangeTimes->{{3.753684257621525*^9, 3.753684298935621*^9}, {
  3.770133907793353*^9, 3.770133910362353*^9}, {3.770374563368301*^9, 
  3.770374568504814*^9}, {3.7703757866596317`*^9, 3.7703758213811035`*^9}, {
  3.7703970479427595`*^9, 3.7703970556617594`*^9}, {3.782223189709735*^9, 
  3.782223189981168*^9}},
 CellID->91737242,ExpressionUUID->"1bab985c-dd85-4a37-a574-b258b744076d"],

Cell[TextData[{
 "Although methods exist that allow for the use of large contingency tables, \
it is perhaps best to use the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"fe88a88c-4500-4393-8466-bd163c0c2388"],
 " test of independence in these circumstances. The standard method for using \
the Fisher\[CloseCurlyQuote]s exact test calls for a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Times]", "2"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"cfbd7491-2ac3-4221-909c-418a235c6365"],
 " contingency table."
}], "Text",
 CellChangeTimes->{{3.7536843180056276`*^9, 3.7536843363430786`*^9}, 
   3.770133913512353*^9, {3.770397487768367*^9, 3.770397506362943*^9}, {
   3.7822232192648478`*^9, 3.782223236389699*^9}},
 CellID->52360954,ExpressionUUID->"2a623e34-3eed-4ef4-b5dc-717e549e94f3"],

Cell[TextData[{
 "Imagine then that we have a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"4", "\[Times]", "4"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"cbf9b0d7-88a8-410f-bb87-03b0acd70f72"],
 " contingency table with unique sample space data point value counts for two \
categorical variables as shown below."
}], "Text",
 CellChangeTimes->{{3.7536843700682955`*^9, 3.753684428984085*^9}, {
  3.7703972622257595`*^9, 3.7703972675777593`*^9}, {3.7703975108522897`*^9, 
  3.770397525686739*^9}, {3.7822232441366053`*^9, 3.78222324981293*^9}},
 CellID->16005262,ExpressionUUID->"92839e6a-7d2f-4d0a-a5b2-3cd83a36ae4f"],

Cell[TextData[{
 "A ",
 Cell[BoxData[
  FormBox[
   RowBox[{"4", "\[Times]", "4"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"881afbf9-f3af-4a42-8702-8c24967a797a"],
 " contingency table:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.7536844391636276`*^9, 
   3.7701400817445326`*^9, {3.782223267164427*^9, 3.782223283740601*^9}},
 CellID->424979709,ExpressionUUID->"3ddb71c6-3ad9-4ba0-a269-48c0af83b359"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"obs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"obs", "//", "MatrixForm"}]}], "Input",
 CellLabel->"In[46]:=",
 CellID->155198756,ExpressionUUID->"2c73f8af-e302-484a-a275-21e131e96496"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "2", "0", "0"},
     {"1", "0", "0", "1"},
     {"2", "3", "1", "0"},
     {"1", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.753684448691325*^9, 3.7857328381116076`*^9, 
  3.8048706464888816`*^9, 3.81041009086446*^9, 3.810411430065239*^9, 
  3.8135094688019457`*^9, 3.8135097056173964`*^9},
 CellLabel->"Out[47]//MatrixForm=",
 CellID->1874931690,ExpressionUUID->"be229ddf-8d8f-40c4-8d89-020dcf9a49b3"]
}, Open  ]],

Cell[TextData[{
 "These could represent four sets of individuals (groups A through D), \
choosing between four answers (I through IV) for a survey question. Let\
\[CloseCurlyQuote]s use the ",
 ButtonBox["TableForm",
  BaseStyle->"Link"],
 " function to better illustrate our hypothetical example."
}], "Text",
 CellChangeTimes->{{3.7166154218409634`*^9, 3.7166154722094116`*^9}, {
   3.7265632570564423`*^9, 3.7265632755834975`*^9}, {3.7265633339045196`*^9, 
   3.726563347784788*^9}, 3.753684470977515*^9, 3.770133916488353*^9, {
   3.770397569331828*^9, 3.7703975795188837`*^9}},
 CellID->497961885,ExpressionUUID->"98d8919b-f191-4f78-b275-fd31968a713d"],

Cell["Create a visual table representation:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.7536844820665083`*^9, {
   3.7701400857115326`*^9, 3.770140088568533*^9}},
 CellID->56478430,ExpressionUUID->"5e7c4f36-fece-4f3f-8269-db1828f5aeb7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{"obs", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<Group A\>\"", ",", "\"\<Group B\>\"", ",", "\"\<Group C\>\"", 
        ",", "\"\<Group D\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<I\>\"", ",", "\"\<II\>\"", ",", "\"\<III\>\"", ",", 
        "\"\<IV\>\""}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[48]:=",
 CellID->172686890,ExpressionUUID->"be820394-2521-4196-a5d9-dc3a44c2e865"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox["\<\"I\"\>",
       HoldForm], 
      TagBox["\<\"II\"\>",
       HoldForm], 
      TagBox["\<\"III\"\>",
       HoldForm], 
      TagBox["\<\"IV\"\>",
       HoldForm]},
     {
      TagBox["\<\"Group A\"\>",
       HoldForm], "1", "2", "0", "0"},
     {
      TagBox["\<\"Group B\"\>",
       HoldForm], "1", "0", "0", "1"},
     {
      TagBox["\<\"Group C\"\>",
       HoldForm], "2", "3", "1", "0"},
     {
      TagBox["\<\"Group D\"\>",
       HoldForm], "1", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {{"Group A", "Group B", "Group C", "Group D"}, {
      "I", "II", "III", "IV"}}]]]], "Output",
 CellChangeTimes->{3.753684490548273*^9, 3.7857328412834735`*^9, 
  3.8048706467378817`*^9, 3.810410093595592*^9, 3.810411441940184*^9, 
  3.8135094688226843`*^9, 3.813509705637594*^9},
 CellLabel->"Out[48]//TableForm=",
 CellID->1949361399,ExpressionUUID->"d88328f5-9644-44a4-9298-4563fbff716c"]
}, Open  ]],

Cell[TextData[{
 "These are small numbers indeed. The ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"90ab2fcf-d724-4f7d-bef2-e8099b8bf380"],
 " distribution might not give an accurate calculation for the ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "90a2dc7f-1078-4223-9ced-f5b72b874c20"],
 "-value in this example. By mutual agreement and specific to the research in \
this case, the researchers could reduce this continency table to a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Times]", "2"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"b7050d74-940d-4f01-8118-5064c9634db7"],
 " table by grouping, for instance, the subjects in groups A and B and then C \
and D and then by grouping the answer selections into S (for I and II) and T \
(for III and IV). The contingency table would then look like the next table."
}], "Text",
 CellChangeTimes->{{3.753684511775035*^9, 3.7536845511202955`*^9}, {
   3.7536846328080425`*^9, 3.753684635912551*^9}, {3.7701339191533527`*^9, 
   3.770133924418353*^9}, {3.770374574002364*^9, 3.770374574171381*^9}, {
   3.770397592507779*^9, 3.770397634595402*^9}, {3.770398016265132*^9, 
   3.770398022578763*^9}, {3.782223322645372*^9, 3.782223337400404*^9}, {
   3.8020881655293694`*^9, 3.8020881678784447`*^9}, 3.81608966966395*^9},
 CellID->965599619,ExpressionUUID->"476fc3f2-03ae-454b-935c-a94bdab0353c"],

Cell["New contingency table:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.7536845609721727`*^9, 
   3.7701400935515327`*^9},
 CellID->16678880,ExpressionUUID->"5f6dac45-be66-4b05-b7c9-7a02e9ff9480"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"newObs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4", ",", " ", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "2"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"newObs", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<Group A and B\>\"", ",", "\"\<Group C and D\>\""}], "}"}],
       ",", 
      RowBox[{"{", 
       RowBox[{"\"\<S\>\"", ",", "\"\<T\>\""}], "}"}]}], "}"}]}]}], 
  "]"}]}], "Input",
 CellLabel->"In[49]:=",
 CellID->12634889,ExpressionUUID->"ba1be9ed-6e7e-4b54-a100-2eb3dec8d8d4"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox["\<\"S\"\>",
       HoldForm], 
      TagBox["\<\"T\"\>",
       HoldForm]},
     {
      TagBox["\<\"Group A and B\"\>",
       HoldForm], "4", "1"},
     {
      TagBox["\<\"Group C and D\"\>",
       HoldForm], "6", "2"}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {{"Group A and B", "Group C and D"}, {
      "S", "T"}}]]]], "Output",
 CellChangeTimes->{3.7536845691940904`*^9, 3.78573284606109*^9, 
  3.804870647018882*^9, 3.810410096563683*^9, 3.810411467383922*^9, 
  3.8135094688547173`*^9, 3.813509705669832*^9},
 CellLabel->"Out[50]//TableForm=",
 CellID->1684546033,ExpressionUUID->"9326f64a-d8b9-41ef-be20-e1ed5af912d1"]
}, Open  ]],

Cell["\<\
This was achieved by simply summing the counts in each of the original \
contingency table values.\
\>", "Text",
 CellChangeTimes->{{3.7166159180322104`*^9, 3.716615969640313*^9}, 
   3.7166160002556705`*^9},
 CellID->516373456,ExpressionUUID->"bc0e2afa-bc64-423c-9819-775f7b7c5da1"],

Cell[TextData[{
 "In order to understand the equation for the ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "e62deb6b-f3e5-41f8-a2cf-a04a722b3705"],
 "-value, we will use the following table."
}], "Text",
 CellChangeTimes->{{3.753684597784848*^9, 3.753684600703483*^9}, {
  3.7703745796569295`*^9, 3.7703745798169456`*^9}, {3.7703980345059557`*^9, 
  3.7703980434098463`*^9}, {3.7822233583728657`*^9, 3.7822233585964193`*^9}},
 CellID->354256991,ExpressionUUID->"127f9322-4032-46b8-adf8-8f69adc23380"],

Cell["Generic table:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753684611010859*^9, 
   3.770140098070533*^9},
 CellID->145481672,ExpressionUUID->"7c227d8d-dbca-4fb8-90c6-0cbf44402f74"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}]}], "}"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<Group A and B\>\"", ",", "\"\<Group C and D\>\""}], "}"}],
       ",", 
      RowBox[{"{", 
       RowBox[{"\"\<S\>\"", ",", "\"\<T\>\""}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellLabel->"In[51]:=",
 CellID->894891542,ExpressionUUID->"73ac47ae-f585-4c77-8ae0-22666e0be1bb"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox["\<\"S\"\>",
       HoldForm], 
      TagBox["\<\"T\"\>",
       HoldForm]},
     {
      TagBox["\<\"Group A and B\"\>",
       HoldForm], "a", "b"},
     {
      TagBox["\<\"Group C and D\"\>",
       HoldForm], "c", "d"}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {{"Group A and B", "Group C and D"}, {
      "S", "T"}}]]]], "Output",
 CellChangeTimes->{3.7536846448268604`*^9, 3.8048706472708817`*^9, 
  3.810410099053337*^9, 3.8104114894606752`*^9, 3.813509468875593*^9, 
  3.813509705689971*^9},
 CellLabel->"Out[51]//TableForm=",
 CellID->1888258230,ExpressionUUID->"9a4c8b62-c15a-4840-af07-5f4b3076c980"]
}, Open  ]],

Cell[TextData[{
 "For a total of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]], "InlineMath",ExpressionUUID->
  "0620db0a-98e4-42cd-b058-8ed09958da85"],
 " participants, we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", 
    RowBox[{"a", "+", "b", "+", "c", "+", "d"}]}], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"364c8206-e65d-4fb9-99ef-81d832037301"],
 ", the equation for the directly calculated and therefore exact ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "90a097ba-a22f-4f1e-b1bc-d2b986e13830"],
 "-value is then shown in equation (",
 
 CounterBox["DisplayFormulaNumbered", "Eq:4"],
 ") below."
}], "Text",
 CellChangeTimes->{{3.753684666013003*^9, 3.7536846845113506`*^9}, {
   3.7536847647433167`*^9, 3.7536847779837103`*^9}, {3.770374584529417*^9, 
   3.7703745847054343`*^9}, 3.7821559298754587`*^9, {3.7822233984768333`*^9, 
   3.782223413193215*^9}, 3.802088204506923*^9},
 CellID->787207463,ExpressionUUID->"b50b030a-7401-44db-8d49-cb8459cfe7d4"],

Cell[BoxData[
 FormBox[
  RowBox[{"p", "=", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "+", "b"}], ")"}], "!"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"c", "+", "d"}], ")"}], "!"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "+", "c"}], ")"}], "!"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"b", "+", "d"}], ")"}], "!"}]}], 
    RowBox[{
     RowBox[{"a", "!"}], 
     RowBox[{"b", "!"}], 
     RowBox[{"c", "!"}], 
     RowBox[{"d", "!"}], 
     RowBox[{"n", "!"}]}]]}], TraditionalForm]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.78214864715448*^9, 3.782148655898652*^9}},
 CellTags->"Eq:4",
 CellID->937722521,ExpressionUUID->"ca68c328-0a52-4597-9ca5-dabaa6054b18"],

Cell[TextData[{
 "Here, the exclamation mark (",
 ButtonBox["!",
  BaseStyle->"Link",
  ButtonData->"Factorial"],
 ") means ",
 StyleBox["factorial",
  FontSlant->"Italic"],
 ". ",
 ButtonBox["Factorial",
  BaseStyle->"Link"],
 " is a way of multiplying all the counting numbers below a given number with \
the number itself, i.e. ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"3", "!=", 
     RowBox[{"3", "\[Times]", "2", "\[Times]", "1"}]}], "=", "6"}], 
   TraditionalForm]], "InlineMath",ExpressionUUID->
  "5f433d37-c23e-4bcc-8352-0f89590dbece"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"4", "!=", 
     RowBox[{"4", "\[Times]", "3", "\[Times]", "2", "\[Times]", "1"}]}], "=", 
    "24"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "7354bbd5-3443-4567-a2bc-d6ec50902601"],
 ". These numbers get big very quickly. (Always remember that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"0", "!=", "1"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "11cabc84-ca90-4566-9102-733f3babe92a"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "!=", "1"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "b4ac83cc-cb0b-419c-a0bd-372a28f8b3b4"],
 ".) "
}], "Text",
 CellChangeTimes->{{3.753684794079641*^9, 3.7536848527915764`*^9}, {
   3.770133927040353*^9, 3.770133929361353*^9}, {3.770134012025323*^9, 
   3.7701340179050865`*^9}, {3.7703984227947807`*^9, 
   3.7703984721487155`*^9}, {3.770398585356035*^9, 3.7703985912976294`*^9}, {
   3.770399198574351*^9, 3.7703992099564886`*^9}, {3.7703996597454634`*^9, 
   3.7703996817206607`*^9}, {3.782154189576248*^9, 3.782154215400587*^9}, 
   3.782154346295969*^9, {3.782154377077433*^9, 3.782154377572712*^9}, 
   3.8020172489645615`*^9, {3.802088223224275*^9, 3.8020882265200825`*^9}, {
   3.8160896876719933`*^9, 3.816089697984065*^9}},
 CellID->265533933,ExpressionUUID->"0646e3f4-57bb-4c51-a452-57637023b08d"],

Cell["\<\
Calculate the factorial of 0 and the first 10 natural numbers:\
\>", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.7536848666511765`*^9, {
   3.770140102318533*^9, 3.7701401054545326`*^9}},
 CellID->95295107,ExpressionUUID->"46ddfc85-9d95-4098-942f-61940002b095"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factorial", "[", 
  RowBox[{"Range", "[", 
   RowBox[{"1", ",", "10"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.7536849012949395`*^9},
 CellLabel->"In[52]:=",
 CellID->7068394,ExpressionUUID->"d7e94c17-e6d7-40d4-8f5a-2dd89f7c4862"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "6", ",", "24", ",", "120", ",", "720", ",", "5040", 
   ",", "40320", ",", "362880", ",", "3628800"}], "}"}]], "Output",
 CellChangeTimes->{{3.7536848745458145`*^9, 3.7536849028680115`*^9}, 
   3.8048706475208817`*^9, 3.810410103405078*^9, 3.81041150533521*^9, 
   3.8135094689066553`*^9, 3.813509705721017*^9},
 CellLabel->"Out[52]=",
 CellID->1598146319,ExpressionUUID->"1109398f-5511-4af3-b0ec-0d86d8294b3e"]
}, Open  ]],

Cell[TextData[{
 "If we plot the factorial against the exponential, we see how quickly it \
grows. In fact, in the next plot, the exponential barely leaves the ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath",ExpressionUUID->
  "2f8400c2-2d36-46c8-938f-0b4ebd7545ca"],
 " axis."
}], "Text",
 CellChangeTimes->{{3.753684914925702*^9, 3.753684922135549*^9}, 
   3.7701340207129283`*^9, {3.77047737748927*^9, 3.77047739337527*^9}},
 CellID->521345367,ExpressionUUID->"48863f63-64a2-4bfb-9e1f-837da5979513"],

Cell["Factorial versus exponential growth (just for fun):", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, {3.7536849525914416`*^9, 
   3.7536849666394124`*^9}, 3.770140111174533*^9},
 CellID->69625924,ExpressionUUID->"62362e52-9ef3-410f-a931-58da6a648731"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Factorial", "[", 
      RowBox[{"Range", "[", 
       RowBox[{"1", ",", "10"}], "]"}], "]"}], ",", 
     RowBox[{"Exp", "[", 
      RowBox[{"Range", "[", 
       RowBox[{"1", ",", "10"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Growth\>\""}], ",", 
   RowBox[{"PlotLabels", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Factorial\>\"", ",", "\"\<Exponential\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.8104115153834*^9},
 CellLabel->"In[53]:=",
 CellID->379337979,ExpressionUUID->"914092ef-319e-46ca-9dbc-4118533590f8"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      NCache[
       Rational[7, 360], 0.019444444444444445`]], AbsoluteThickness[1.6], 
     LineBox[{{1., 1.}, {2., 2.}, {3., 6.}, {4., 24.}, {5., 120.}, {6., 
      720.}, {7., 5040.}, {8., 40320.}, {9., 362880.}, {10., 3.6288*^6}}]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
      NCache[
       Rational[7, 360], 0.019444444444444445`]], AbsoluteThickness[1.6], 
     LineBox[{{1., 2.718281828459045}, {2., 7.38905609893065}, {3., 
      20.085536923187668`}, {4., 54.598150033144236`}, {5., 
      148.4131591025766}, {6., 403.4287934927351}, {7., 
      1096.6331584284585`}, {8., 2980.9579870417283`}, {9., 
      8103.083927575384}, {10., 
      22026.465794806718`}}]}}, {{{{}, {GraphicsGroupBox[{
         {GrayLevel[1], AbsoluteThickness[4], Opacity[
           NCache[
            Rational[2, 3], 0.6666666666666666]], CapForm["Butt"], JoinForm[
          "Round"], 
          BSplineCurveBox[{
           Offset[{0, 0}, {10.19140625, 3.6288*^6}], 
            Offset[{0, 0}, {10.19140625, 3.6288*^6}], 
            Offset[{0., 0.}, {10.28328125, 3.6288*^6}], 
            Offset[{0., 0.}, {10.28328125, 3.6288*^6}], 
            Offset[{0., 0.}, {10.37515625, 3.6288*^6}], 
            Offset[{0, 0}, {10.618396748846326`, 3.6288*^6}], 
            Offset[{5., 1.1102230246251565`*^-15}, {10.618396748846326`, 
             3.6288*^6}], 
            Offset[{10., 2.220446049250313*^-15}, {10.618396748846326`, 
             3.6288*^6}], 
            Offset[{10., 2.220446049250313*^-15}, {10.618396748846326`, 
             3.6288*^6}]}]}, 
         {RGBColor[
          0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
          AbsoluteThickness[1.25], 
          BSplineCurveBox[{
           Offset[{0, 0}, {10.19140625, 3.6288*^6}], 
            Offset[{0, 0}, {10.19140625, 3.6288*^6}], 
            Offset[{0., 0.}, {10.28328125, 3.6288*^6}], 
            Offset[{0., 0.}, {10.28328125, 3.6288*^6}], 
            Offset[{0., 0.}, {10.37515625, 3.6288*^6}], 
            Offset[{0, 0}, {10.618396748846326`, 3.6288*^6}], 
            Offset[{5., 1.1102230246251565`*^-15}, {10.618396748846326`, 
             3.6288*^6}], 
            Offset[{10., 2.220446049250313*^-15}, {10.618396748846326`, 
             3.6288*^6}], 
            Offset[{10., 2.220446049250313*^-15}, {10.618396748846326`, 
             3.6288*^6}]}]}, 
         {EdgeForm[None], FaceForm[{GrayLevel[1], Opacity[
           NCache[
            Rational[2, 3], 0.6666666666666666]]}], 
          PolygonBox[{
           Offset[{54., 6.500000000000012}, {10.618396748846326`, 3.6288*^6}],
             Offset[{54., -6.499999999999988}, {10.618396748846326`, 
             3.6288*^6}], 
            Offset[{10., -6.499999999999998}, {10.618396748846326`, 
             3.6288*^6}], 
            Offset[{10., 6.500000000000002}, {10.618396748846326`, 
             3.6288*^6}]}]}, 
         {RGBColor[
          0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
          AbsoluteThickness[1.25], EdgeForm[None]}, {}, InsetBox[
          StyleBox[
           RotationBox["\<\"Factorial\"\>",
            BoxRotation->0.],
           StripOnInput->False,
           LineOpacity->1,
           FrontFaceOpacity->1,
           BackFaceOpacity->1,
           Opacity->1,
           FontOpacity->1], 
          Offset[{32., 7.105427357601002*^-15}, \
{10.618396748846326, 3.6288*^6}], 
          ImageScaled[{Rational[1, 2], Rational[1, 2]}]]}], GraphicsGroupBox[{
         {GrayLevel[1], AbsoluteThickness[4], Opacity[
           NCache[
            Rational[2, 3], 0.6666666666666666]], CapForm["Butt"], JoinForm[
          "Round"], 
          BSplineCurveBox[{
           Offset[{0, 0}, {10.19140625, 22026.465794806718`}], 
            Offset[{0, 0}, {10.19140625, 22026.465794806718`}], 
            Offset[{0., 0.}, {10.28328125, 22026.465794806718`}], 
            Offset[{0., 0.}, {10.28328125, 22026.465794806718`}], 
            Offset[{0., 0.}, {10.37515625, 22026.465794806718`}], 
            Offset[{0, 0}, {10.618396748846326`, 92517.60774208813}], 
            Offset[{5., 1.1102230246251565`*^-15}, {10.618396748846326`, 
             92517.60774208813}], 
            Offset[{10., 2.220446049250313*^-15}, {10.618396748846326`, 
             92517.60774208813}], 
            Offset[{10., 2.220446049250313*^-15}, {10.618396748846326`, 
             92517.60774208813}]}]}, 
         {RGBColor[
          0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
          AbsoluteThickness[1.25], 
          BSplineCurveBox[{
           Offset[{0, 0}, {10.19140625, 22026.465794806718`}], 
            Offset[{0, 0}, {10.19140625, 22026.465794806718`}], 
            Offset[{0., 0.}, {10.28328125, 22026.465794806718`}], 
            Offset[{0., 0.}, {10.28328125, 22026.465794806718`}], 
            Offset[{0., 0.}, {10.37515625, 22026.465794806718`}], 
            Offset[{0, 0}, {10.618396748846326`, 92517.60774208813}], 
            Offset[{5., 1.1102230246251565`*^-15}, {10.618396748846326`, 
             92517.60774208813}], 
            Offset[{10., 2.220446049250313*^-15}, {10.618396748846326`, 
             92517.60774208813}], 
            Offset[{10., 2.220446049250313*^-15}, {10.618396748846326`, 
             92517.60774208813}]}]}, 
         {EdgeForm[None], FaceForm[{GrayLevel[1], Opacity[
           NCache[
            Rational[2, 3], 0.6666666666666666]]}], 
          PolygonBox[{
           Offset[{68., 7.500000000000015}, {10.618396748846326`, 
             92517.60774208813}], 
            Offset[{68., -7.499999999999985}, {10.618396748846326`, 
             92517.60774208813}], 
            Offset[{10., -7.499999999999997}, {10.618396748846326`, 
             92517.60774208813}], 
            Offset[{10., 7.500000000000003}, {10.618396748846326`, 
             92517.60774208813}]}]}, 
         {RGBColor[
          0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
          AbsoluteThickness[1.25], EdgeForm[None]}, {}, InsetBox[
          StyleBox[
           RotationBox["\<\"Exponential\"\>",
            BoxRotation->0.],
           StripOnInput->False,
           LineOpacity->1,
           FrontFaceOpacity->1,
           BackFaceOpacity->1,
           Opacity->1,
           FontOpacity->1], 
          Offset[{39., 8.659739592076221*^-15}, \
{10.618396748846326, 92517.60774208813}], 
          ImageScaled[{Rational[1, 2], Rational[1, 2]}]]}]}}, {}}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0.8125000000000003, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{All, 88.73105628132544}, {All, All}},
  ImageSize->{535., Automatic},
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox["\"Growth\"", TraditionalForm],
  PlotRange->{{0.8125000000000003, 10.}, {0, 3.6288*^6}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.08090169943749476]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7536849731691275`*^9, 3.8048706497308817`*^9, 3.810410110423148*^9, {
   3.810411507674024*^9, 3.810411516656786*^9}, 3.8104115665209417`*^9, 
   3.8135094692756643`*^9, 3.813509705870008*^9},
 CellLabel->"Out[53]=",
 CellID->227714725,ExpressionUUID->"a2e1ae0d-7ade-4e90-8079-ea8805e83bb0"]
}, Open  ]],

Cell[TextData[{
 "Using the Wolfram Language ",
 ButtonBox["Factorial",
  BaseStyle->"Link"],
 " function, we would thus calculate the ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "9dd7a923-bb67-47b2-ad32-2fba2f92904f"],
 "-value."
}], "Text",
 CellChangeTimes->{{3.7536849903043127`*^9, 3.753684996627878*^9}, {
  3.770140115984533*^9, 3.7701401249395328`*^9}, {3.770374589321896*^9, 
  3.7703745895059147`*^9}, {3.77047772327927*^9, 3.77047772345327*^9}, {
  3.7704777957972703`*^9, 3.77047779870727*^9}, {3.77047786616727*^9, 
  3.77047786885427*^9}, {3.78222346324435*^9, 3.7822234635001173`*^9}},
 CellID->516301591,ExpressionUUID->"efeae43b-5d3f-49b9-ae4c-293eb17c3974"],

Cell[TextData[{
 "Calculate the ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "48396510-7807-4529-ba00-5bf2baf3a60e"],
 "-value:"
}], "CodeCaption",
 CellChangeTimes->{{3.77047787596427*^9, 3.77047789273427*^9}, {
   3.782223473868073*^9, 3.7822234782950983`*^9}, 3.8160897333283033`*^9},
 CellID->261485368,ExpressionUUID->"7c927c3c-db36-486c-891b-92ee65854cc8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Factorial", "[", "5", "]"}], "*", 
     RowBox[{"Factorial", "[", "8", "]"}], "*", 
     RowBox[{"Factorial", "[", "10", "]"}], "*", 
     RowBox[{"Factorial", "[", "3", "]"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Factorial", "[", "4", "]"}], "*", 
     RowBox[{"Factorial", "[", "1", "]"}], "*", 
     RowBox[{"Factorial", "[", "6", "]"}], "*", 
     RowBox[{"Factorial", "[", "2", "]"}], "*", 
     RowBox[{"Factorial", "[", "13", "]"}]}], ")"}]}], "//", "N"}]], "Input",
 CellLabel->"In[54]:=",
 CellID->328330024,ExpressionUUID->"4f2103e5-6c35-4071-8c5e-71a26130f654"],

Cell[BoxData["0.48951048951048953`"], "Output",
 CellChangeTimes->{3.7536850423506145`*^9, 3.8048706500408816`*^9, 
  3.810410115282333*^9, 3.8104115870479527`*^9, 3.8135094693535624`*^9, 
  3.813509705954962*^9},
 CellLabel->"Out[54]=",
 CellID->385524121,ExpressionUUID->"2f23d348-6328-45e0-bf86-1de97947c9aa"]
}, Open  ]],

Cell[TextData[{
 "There you have it. Create your own ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects and have fun analyzing categorical variables."
}], "Text",
 CellChangeTimes->{{3.753685080808462*^9, 3.753685088319909*^9}, 
   3.7536852335564313`*^9, 3.7701340232256823`*^9, 3.7704779183272705`*^9, 
   3.813556026787896*^9},
 CellID->158054213,ExpressionUUID->"357c0e01-47f5-4b48-a56c-489f50a75fcd"],

Cell[CellGroupData[{

Cell[BoxData["Exercises"], "ExerciseSection",
 CellChangeTimes->{{3.7682182180399604`*^9, 3.7682182233604927`*^9}},
 CellLabel->"In[55]:=",
 CellID->566065673,ExpressionUUID->"e4a2a75f-b2a9-4937-bf6c-2357be6a70a0"],

Cell[TextData[{
 "Create a contingency table for an experiment in which there are two groups \
(rows), each with three conditions (columns) such that the first row has \
values 87, 101, 31 and the second 88, 29, 99. Save this as the computer \
variable ",
 Cell[BoxData[
 "obs"], "InlineCode",ExpressionUUID->"f2168e4b-b358-4f59-b89f-605a7428a7f4"],
 ". This could represent the counts for an experiment in which there are two \
groups (unique data point values for a variable called Group) and three \
possible outcomes (unique data point values for a variable called Response)."
}], "Exercise",
 CellChangeTimes->{{3.7262286590360723`*^9, 3.72622873894293*^9}, {
   3.7262287716961455`*^9, 3.7262287754399443`*^9}, {3.726228865544318*^9, 
   3.7262288824469132`*^9}, {3.7262290096722617`*^9, 
   3.7262290542473125`*^9}, {3.7262295602878523`*^9, 3.726229562391164*^9}, 
   3.726842073467464*^9, {3.726842199040183*^9, 3.726842199141012*^9}, {
   3.7477659616730633`*^9, 3.74776596922626*^9}, {3.747766013016721*^9, 
   3.7477660144880943`*^9}, 3.753685118620987*^9, {3.7701340264286423`*^9, 
   3.7701340302127776`*^9}, {3.77047793812227*^9, 3.77047794475927*^9}, {
   3.77047797524027*^9, 3.7704779824422703`*^9}, {3.8020883419399767`*^9, 
   3.802088368858801*^9}, {3.8024500628077145`*^9, 3.8024500766450987`*^9}, {
   3.816089771767652*^9, 3.816089792686903*^9}},
 CellID->313618646,ExpressionUUID->"8ff12a99-63bc-4dc3-b9bb-2799453a1eb5"],

Cell[TextData[{
 "Express this contingency table in ",
 ButtonBox["TableForm",
  BaseStyle->"Link"],
 " with row headers ",
 StyleBox["GroupA",
  FontSlant->"Italic"],
 " and ",
 StyleBox["GroupB",
  FontSlant->"Italic"],
 " and column headers ",
 StyleBox["ResponseA",
  FontSlant->"Italic"],
 ", ",
 StyleBox["ResponseB",
  FontSlant->"Italic"],
 ", and ",
 StyleBox["ResponseC",
  FontSlant->"Italic"],
 ". First save these as table headings in the computer variable ",
 Cell[BoxData[
 "rc"], "InlineCode",ExpressionUUID->"8341aa52-0576-44fa-be7f-baf9eaea4bd0"],
 " and then print the table to the screen."
}], "Exercise",
 CellChangeTimes->{{3.726228748018307*^9, 3.7262288631760774`*^9}, {
   3.7262288935428853`*^9, 3.726228921543979*^9}, {3.746529695196211*^9, 
   3.746529695627211*^9}, 3.753685147009468*^9, 3.7701340333487177`*^9, {
   3.7704780157772703`*^9, 3.77047804564427*^9}, {3.816089845078713*^9, 
   3.816089868222939*^9}, {3.81650101501361*^9, 3.816501061702567*^9}, {
   3.819020168142848*^9, 3.819020182194248*^9}},
 CellID->429554189,ExpressionUUID->"85000010-7f8a-4cbb-9773-db4cfbe7fb6f"],

Cell[TextData[{
 "Calculate a table of expected values and store it in the computer variable ",
 Cell[BoxData[
 "fit"], "InlineCode",ExpressionUUID->"9876df8b-ec8d-4b47-8559-5cd22394ea6b"],
 ". Print this to the screen without table headings."
}], "Exercise",
 CellChangeTimes->{{3.7262289295702744`*^9, 3.726228976510738*^9}, {
   3.7262298270959935`*^9, 3.726229839750589*^9}, {3.726842199208551*^9, 
   3.7268421992586803`*^9}, 3.747765975313822*^9, 3.75368515908049*^9, 
   3.7701340359655027`*^9, {3.77047805335427*^9, 3.77047805913027*^9}},
 CellID->92516614,ExpressionUUID->"926333dd-0cb0-4e93-9cce-0e6b04e8ec12"],

Cell[TextData[{
 "Calculate the difference between each of the six observed and expected \
values and save it in the computer variable ",
 Cell[BoxData[
 "residual"], "InlineCode",ExpressionUUID->
  "a8d6cc45-b06d-46a7-92f0-5879ca768804"],
 ". Print this table to the screen."
}], "Exercise",
 CellChangeTimes->{{3.726229157842061*^9, 3.7262291993992033`*^9}, {
   3.746530166713211*^9, 3.7465301668482113`*^9}, 3.7477659791690283`*^9, 
   3.75368516796871*^9, 3.770134038998412*^9, {3.7704780688742704`*^9, 
   3.77047807816127*^9}, {3.8160899008230247`*^9, 3.8160899012387953`*^9}},
 CellID->462802995,ExpressionUUID->"1d7dc44a-9d2d-4e97-b347-8fc454c11fe2"],

Cell[TextData[{
 "Calculate a table of squared differences divided by each respective \
expected value. Save the table in the computer variable ",
 Cell[BoxData[
 "\[Chi]2array"], "InlineCode",ExpressionUUID->
  "9c71f5d5-7bfd-4d6b-a496-e84f74b926ea"],
 " and print it to the screen."
}], "Exercise",
 CellChangeTimes->{{3.7262289854750276`*^9, 3.7262290027998576`*^9}, {
   3.7262290588479567`*^9, 3.726229071255257*^9}, {3.7262291247517605`*^9, 
   3.7262291444871144`*^9}, {3.726842199308242*^9, 3.7268421993580112`*^9}, {
   3.746440260987338*^9, 3.746440261211383*^9}, 3.747765986481744*^9, 
   3.753685177124502*^9, 3.7701340418062544`*^9, {3.77047809597627*^9, 
   3.77047809657627*^9}, 3.77047814858927*^9},
 CellID->116633910,ExpressionUUID->"676a5613-0169-4202-a00f-c67469e5505b"],

Cell[TextData[{
 "Calculate the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"3e640fd0-4232-4521-9903-d0d9e7730003"],
 " value and save it in the computer variable ",
 Cell[BoxData[
  FormBox["\[Chi]2", TraditionalForm]], "InlineCode",ExpressionUUID->
  "8521cf2f-e7f8-4832-93b8-2ead4a529b35"],
 ". Print the value to the screen."
}], "Exercise",
 CellChangeTimes->{{3.7262290793221188`*^9, 3.726229098193971*^9}, {
   3.746530047904211*^9, 3.7465300490732107`*^9}, 3.753685184977773*^9, 
   3.7701340446641116`*^9, 3.77047815789227*^9, 3.782223600702759*^9, {
   3.8020914469129715`*^9, 3.8020914830563498`*^9}, {3.8165011325362453`*^9, 
   3.816501132536296*^9}},
 CellID->237952745,ExpressionUUID->"924e22bc-3f74-4c91-b931-9ed62cd7e2d9"],

Cell[TextData[{
 "Calculate the degrees of freedom and save to the computer variable ",
 Cell[BoxData[
 "dof"], "InlineCode",ExpressionUUID->"2b293b14-e12c-43df-90ca-792ea5d8fba1"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.726229233770355*^9, 3.726229294103078*^9}, {
   3.726230215439643*^9, 3.7262302247748566`*^9}, 3.726842136959337*^9, {
   3.746530212767211*^9, 3.7465302165582113`*^9}, 3.7536851915523186`*^9, {
   3.7701340472718935`*^9, 3.7701340474479465`*^9}, {3.77047816438027*^9, 
   3.7704781712512703`*^9}, {3.813556132266124*^9, 3.813556132377733*^9}},
 CellID->1215592,ExpressionUUID->"bcb72071-90ed-4ba4-9318-e37b53f03a6c"],

Cell[TextData[{
 "Calculate the ",
 Cell[BoxData[
  FormBox[
   StyleBox["p", "TI"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "aa66f989-ded4-4f66-a9ca-e98cbcfbe499"],
 "-value for this ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"77fa9290-b795-4ab2-835f-333dfb2b77bf"],
 " value."
}], "Exercise",
 CellChangeTimes->{{3.726229327482026*^9, 3.726229437287052*^9}, {
   3.726842099061895*^9, 3.726842101914075*^9}, {3.72684219942413*^9, 
   3.726842199476267*^9}, {3.7465303105142107`*^9, 3.746530310865211*^9}, {
   3.746530392909211*^9, 3.746530393957211*^9}, {3.747765998234042*^9, 
   3.747766007954041*^9}, 3.7536852015609016`*^9, {3.7703746042963934`*^9, 
   3.7703746045144153`*^9}, {3.7704781770112705`*^9, 
   3.7704781827632704`*^9}, {3.782223620142705*^9, 3.782223633306612*^9}},
 CellID->82041004,ExpressionUUID->"ddfad29f-25bc-442f-a200-fbea81094314"],

Cell[CellGroupData[{

Cell[TextData[{
 "Consider an experiment in which there are only nine participants. They can \
be divided into two groups, A and B, and two responses, I and II, such that \
there are two I\[CloseCurlyQuote]s and two II\[CloseCurlyQuote]s in group A \
and four I\[CloseCurlyQuote]s and one II in group B (given below). Calculate \
a ",
 Cell[BoxData[
  FormBox[
   StyleBox["p", "TI"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "0c462154-8cef-427c-8b8d-9369d376f3e3"],
 "-value for this experiment using Fisher\[CloseCurlyQuote]s exact test. "
}], "Exercise",
 CellChangeTimes->{{3.7262294413218966`*^9, 3.7262294769837656`*^9}, {
   3.726842112463746*^9, 3.7268421167365093`*^9}, 3.747766002825001*^9, {
   3.753685211697298*^9, 3.7536852291086903`*^9}, {3.7701340517692423`*^9, 
   3.7701340550672317`*^9}, {3.770374613811345*^9, 3.7703746140193653`*^9}, {
   3.77047819343627*^9, 3.77047823483227*^9}, {3.7822236591078568`*^9, 
   3.782223720662574*^9}, 3.782223847276232*^9},
 CellID->306226882,ExpressionUUID->"0efd6ad5-0ee7-4cf0-a219-1f5228a8588f"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{"(", GridBox[{
     {"2", "2"},
     {"4", "1"}
    }], ")"}], 
  TraditionalForm]], \
"InlineMath",ExpressionUUID->"7f3e10f0-a12d-4d1b-974b-514855d2c849"]], \
"Exercise",
 CellDingbat->None,
 CellGroupingRules->{"SectionGrouping", 62},
 CounterIncrements->None,
 CellID->1067351554,ExpressionUUID->"257e8f1e-5e24-41ee-a346-9a530504972e"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["More to Explore", "MoreExploreSection",
 CellID->19888384,ExpressionUUID->"02d63e62-eee0-4e11-b74b-84549221c0af"],

Cell[TextData[{
 StyleBox[ButtonBox["A good overview of the various functions in the \
documentation on hypothesis tests ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/guide/HypothesisTests.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/guide/HypothesisTests.html"],
  BaseStyle -> "Hyperlink"],
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/HypothesisTests",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/HypothesisTests"], None},
  ButtonNote->"https://wolfr.am/HypothesisTests"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{{3.8020916061551366`*^9, 3.802091609737666*^9}},
 CellID->26626102,ExpressionUUID->"99388362-a405-4de9-8160-ce2379904224"],

Cell[TextData[{
 StyleBox[ButtonBox["Try this excellent Demonstration by C. Boucher on \
hypothesis tests and population mean ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://demonstrations.wolfram.com/\
HypothesisTestsAboutAPopulationMean/"], None},
  ButtonNote->
   "https://demonstrations.wolfram.com/HypothesisTestsAboutAPopulationMean/"],
  BaseStyle -> "Hyperlink"],
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/PopulationMean",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/PopulationMean"], None},
  ButtonNote->"https://wolfr.am/PopulationMean"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{{3.802091631940017*^9, 3.8020916578617454`*^9}},
 CellID->2002692313,ExpressionUUID->"1ac84daa-8869-422a-b8da-ca6ad5115297"],

Cell[TextData[{
 StyleBox[ButtonBox["An advanced read on Cauchy distributions by J. Vrbik in ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.mathematica-journal.com/2011/12/sampling-distribution-of-\
ml-estimators-cauchy-example/"], None},
  ButtonNote->
   "https://www.mathematica-journal.com/2011/12/sampling-distribution-of-ml-\
estimators-cauchy-example/"],
  BaseStyle -> "Hyperlink"],
 StyleBox[ButtonBox["The Mathematica Journal",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.mathematica-journal.com/2011/12/sampling-distribution-of-\
ml-estimators-cauchy-example/"], None},
  ButtonNote->
   "https://www.mathematica-journal.com/2011/12/sampling-distribution-of-ml-\
estimators-cauchy-example/"],
  FontSlant->"Italic",
  BaseStyle -> "Hyperlink"],
 StyleBox[ButtonBox[" ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.mathematica-journal.com/2011/12/sampling-distribution-of-\
ml-estimators-cauchy-example/"], None},
  ButtonNote->
   "https://www.mathematica-journal.com/2011/12/sampling-distribution-of-ml-\
estimators-cauchy-example/"],
  BaseStyle -> "Hyperlink"],
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/cauchy-example",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/cauchy-example"], None},
  ButtonNote->"https://wolfr.am/cauchy-example"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{{3.802088324745551*^9, 3.80208832491459*^9}},
 CellID->905983259,ExpressionUUID->"992be6b0-7868-4262-b2e0-19a4c7536433"]
}, Open  ]]
}, Open  ]]
},
Editable->False,
Saveable->False,
WindowSize->{808, 911},
WindowPersistentStyles->{
 WindowFrame, WindowMargins, WindowSize, Magnification},
DockedCells->{
  Cell[
   BoxData[
    TagBox[
     GridBox[{{
        TemplateBox[{"\[ThinSpace]", "\[ThinSpace]", 
          StyleBox[
          "Introduction to Statistics\t\t\t\t\t\nwith the Wolfram Language", 
           LineSpacing -> {1, 1}, FontFamily -> "Source Sans Pro", FontSize -> 
           24, FontColor -> GrayLevel[1]], "\[ThinSpace]"}, 
         "RowWithSeparators"], 
        PaneBox[
         StyleBox["\[VeryThinSpace]", ShowStringCharacters -> False], 
         Alignment -> Right, ImageSize -> {65, 75}], 
        PaneBox[
         PaneBox[
          TemplateBox[{"\[ThinSpace]", "\" \"", 
            TagBox[
             TooltipBox[
              PaneSelectorBox[{False -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"12-Klopper-LinearRegression.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                  None, Evaluator -> Automatic, Method -> "Preemptive"], True -> 
                ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"12-Klopper-LinearRegression.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                  None, Background -> GrayLevel[0.2], Evaluator -> Automatic, 
                  Method -> "Preemptive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], ImageSize -> Automatic, 
               FrameMargins -> 0], "\"Chapter 12\"", TooltipDelay -> 0.15, 
              LabelStyle -> "TextStyling"], 
             Annotation[#, "Chapter 12", "Tooltip"]& ], 
            InterpretationBox[
             StyleBox[
              
              GraphicsBox[{}, ImageSize -> {5, 0}, BaselinePosition -> 
               Baseline], "CacheGraphics" -> False], 
             Spacer[5], Selectable -> False], 
            TagBox[
             TooltipBox[
              PaneSelectorBox[{False -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"14-Klopper-NonparametricTests.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Evaluator -> 
                  Automatic, Method -> "Preemptive"], True -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"14-Klopper-NonparametricTests.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Background -> 
                  GrayLevel[0.2], Evaluator -> Automatic, Method -> 
                  "Preemptive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], ImageSize -> Automatic, 
               FrameMargins -> 0], "\"Chapter 14\"", TooltipDelay -> 0.15, 
              LabelStyle -> "TextStyling"], 
             Annotation[#, "Chapter 14", "Tooltip"]& ]}, "RowWithSeparators"],
           Alignment -> Right], ImageSize -> {100, 30}, 
         FrameMargins -> {{0, 6}, {0, 0}}, Alignment -> Right], 
        ActionMenuBox[
         PaneSelectorBox[{True -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> GrayLevel[0.2], 
             ImageSize -> {35, 30}, Alignment -> Center], False -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> RGBColor[0.12, 0.18, 0.26], 
             ImageSize -> {35, 30}, Alignment -> Center]}, 
          Dynamic[
           CurrentValue["MouseOver"]]], {
         "1 | Introduction" :> 
          NotebookLocate[{"01-Klopper-IntroDataAnalysis.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "2 | Evaluating Basic Math" :> 
          NotebookLocate[{"02-Klopper-BasicMath.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "3 | Collections" :> 
          NotebookLocate[{"03-Klopper-Collections.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "4 | Working with Datasets" :> 
          NotebookLocate[{"04-Klopper-WorkingWithData.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "5 | Data Types" :> 
          NotebookLocate[{"05-Klopper-DataTypes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "6 | Simple Descriptive Statistics" :> 
          NotebookLocate[{"06-Klopper-DescriptiveStatistics.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "7 | Visualizing Data" :> 
          NotebookLocate[{"07-Klopper-VisualizingData.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "8 | Distributions" :> 
          NotebookLocate[{"08-Klopper-Distributions.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "9 | Hypothesis Testing" :> 
          NotebookLocate[{"09-Klopper-HypothesisTesting.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], 
          "10 | Parametric Tests, Comparing Means" :> 
          NotebookLocate[{"10-Klopper-ParametricTests.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "11 | Correlation" :> 
          NotebookLocate[{"11-Klopper-Correlation.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "12 | Linear Regression" :> 
          NotebookLocate[{"12-Klopper-LinearRegression.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "13 | Comparing Categorical Variables" :> 
          NotebookLocate[{"13-Klopper-ComparingCategoricalVariables.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "14 | Nonparametric Tests" :> 
          NotebookLocate[{"14-Klopper-NonparametricTests.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "15 | A Research Project Demonstration" :> 
          NotebookLocate[{"15-Klopper-ResearchProject.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}]}, Appearance -> None]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Center}}}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]], 
   "Text", ShowCellBracket -> False, CellFrame -> {{0, 0}, {3, 0}}, 
   Selectable -> False, CellFrameColor -> RGBColor[0.12, 0.18, 0.26], 
   CellMargins -> {{0, 0}, {0, -1}}, CellFrameMargins -> {{27, 0}, {1, 7}}, 
   Background -> RGBColor[0.12, 0.18, 0.26], CellTags -> 
   "DockedCellLogoCell"], 
  Cell["JUAN H. KLOPPER", "Text", FontFamily -> "Source Sans Pro", FontWeight -> 
   "Light", FontSize -> 15, CellFrame -> {{0, 0}, {3, 0}}, ShowCellBracket -> 
   False, CellMargins -> {{0, 0}, {-1, -1}}, 
   CellFrameMargins -> {{27, 0}, {2, 4}}, CellFrameColor -> 
   RGBColor[1., 0.7, 0.1], FontTracking -> "Extended", FontColor -> 
   GrayLevel[1], Background -> RGBColor[0.9, 0.4, 0.], CellTags -> 
   "DockedCellLogoCell"]},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page"], "PageNumber"], 
      StyleBox[
      "    Introduction to Statistics with the Wolfram Language", "Header"]}],
     "Header", CellMargins -> {{37, Inherited}, {Inherited, Inherited}}], 
   None, None}, {None, None, 
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Section"], "Header"], 
      StyleBox["  |  Comparing Categorical Variables", "Header"], 
      StyleBox["    ", "Header"], 
      StyleBox[
       CounterBox["Page"], "PageNumber"]}], "Header", 
    CellMargins -> {{Inherited, 34}, {Inherited, Inherited}}]}},
ShowAutoSpellCheck->False,
FrontEndVersion->"12.2 for Mac OS X x86 (64-bit) (December 12, 2020)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell[
      "Style Environments", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9}], 
      Cell[
       StyleData[All, "Working"], CellInsertionPointCell -> 
       FEPrivate`FrontEndResource["FEExpressions", "CellInsertionMenu"], 
       CreateCellID -> True, $CellContext`GhostCellInEmptyNotebook -> False], 
      Cell[
       StyleData[All, "Printout"], 
       PrintingOptions -> {
        "PageSize" -> {504, 720}, "PrintRegistrationMarks" -> True}, 
       Magnification -> 0.6]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Headers and Footers", "Section"], 
      Cell[
       StyleData["Header"], StyleMenuListing -> None, FontFamily -> 
       "Source San Pro", FontSize -> 8, FontWeight -> "Plain", FontSlant -> 
       "Plain", FontColor -> GrayLevel[0.45]], 
      Cell[
       StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
       StyleMenuListing -> None, FontFamily -> "Source San Pro", FontSize -> 
       8, FontWeight -> "Bold", FontSlant -> "Plain", FontColor -> 
       GrayLevel[0]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Custom Styles", "Section", 
       CellChangeTimes -> {{3.646611660445352*^9, 3.646611669493331*^9}}], 
      Cell[
       StyleData["Notebook"], PageWidth :> 700, 
       PrintingOptions -> {
        "InnerOuterMargins" -> {35, 16}, "PaperOrientation" -> "Portrait", 
         "PaperSize" -> {504, 720}, 
         "PrintingMargins" -> {{20, 20}, {54, 54}}}, CellLabelAutoDelete -> 
       False, ShowSyntaxStyles -> True, 
       AutoStyleOptions -> {
        "FormattingErrorTooltips" -> False, "HighlightComments" -> False, 
         "HighlightEmphasizedSyntaxErrors" -> False, 
         "HighlightExcessArguments" -> False, "HighlightFormattingErrors" -> 
         False, "HighlightGlobalToLocalScopeConflicts" -> False, 
         "HighlightGraphicsCompatibilityProblems" -> False, 
         "HighlightLocalScopeConflicts" -> False, "HighlightMissingArguments" -> 
         False, "HighlightNoKernelPresent" -> False, 
         "HighlightOrderOfEvaluationConflicts" -> False, "HighlightStrings" -> 
         True, "HighlightSymbolContexts" -> False, "HighlightSymbolShadowing" -> 
         False, "HighlightSyntaxErrors" -> False, "HighlightUndefinedSymbols" -> 
         False, "HighlightUnknownOptions" -> False, 
         "HighlightUnwantedAssignments" -> False}, MenuSortingValue -> None, 
       GraphicsBoxOptions -> {ImageSize -> 240}, 
       Graphics3DBoxOptions -> {ImageSize -> 240}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], CellMargins -> {{64, Inherited}, {50, 72}}, 
          MenuCommandKey :> None, FontFamily -> "Verdana", FontSize -> 42, 
          FontWeight -> "Bold", FontColor -> GrayLevel[0.4]], 
         Cell[
          StyleData["Title", "Printout"], 
          CellMargins -> {{64, Inherited}, {50, 72}}]}, Open]], 
      Cell[
       StyleData["Chapter"], MenuCommandKey :> None], 
      Cell[
       StyleData["Subchapter"], MenuCommandKey :> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, CellDingbat -> 
          Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{96, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["Section", "Printout"], 
          CellMargins -> {{96, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionDoubleDigit"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellDingbat -> Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{112, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionDoubleDigit", "Printout"], 
          CellMargins -> {{112, Inherited}, {12, 2}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNumber"], CellBaseline -> Baseline, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 26, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionInline"], FontFamily -> 
          "Source Sans Pro Semibold", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionInline", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNoDingbat"], 
          CellMargins -> {{64, Inherited}, {12, 64}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionNoDingbat", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 2}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesSubsection"], 
          CellMargins -> {{64, Inherited}, {4, 16}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesSubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 16}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 24}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["VocabularySection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 24}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyTable", StyleDefinitions -> StyleData["Text"]],
           SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"VocabularyCode", Inherited, Inherited}, 
              "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "VocabularyTable3Column", StyleDefinitions -> StyleData["Text"]], 
          SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {
               "VocabularyCode", Inherited, "VocabularyCode", Inherited, 
                Inherited}, "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable3Column", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["VocabularyText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyCode", StyleDefinitions -> StyleData["Text"]], 
          Deletable -> False, FontFamily -> "Source Sans Pro", FontSize -> 14,
           FontWeight -> "Bold", FontColor -> GrayLevel[0.25], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["VocabularyCode", "Printout"], FontColor -> 
          GrayLevel[0.25]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GrayPointSix"], FontColor -> GrayLevel[0.6]], 
         Cell[
          StyleData["GrayPointSix", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabDivColor"], FontColor -> GrayLevel[0.8]], 
         Cell[
          StyleData["VocabDivColor", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, ShowCellLabel -> False, CellFrameMargins -> {{8, 8}, {4, 6}},
           CellFrameColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ExerciseSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Exercise"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Exercise"]}], "ExerciseNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          ShowGroupOpener -> True, CellMargins -> {{108, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, DefaultNewCellStyle -> 
          "ExerciseInput", CounterIncrements -> "Exercise", MenuSortingValue -> 
          10020, MenuCommandKey :> "2", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Exercise", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{110, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsection"], PageWidth :> 500, 
          CellFrame -> {{False, False}, {1, False}}, 
          CellMargins -> {{64, Inherited}, {8, 18}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6], FontFamily -> "Source Sans Pro", FontSize -> 
          18, FontSlant -> "Italic", FontColor -> RGBColor[0.65, 0.6, 0.6]], 
         Cell[
          StyleData["ExerciseSubsection", "Printout"], 
          CellFrame -> {{False, False}, {1, False}}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNote"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNote", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QASection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Question", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["QASection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Question"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {2, 12}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, DefaultReturnCreatedCellStyle -> 
          "Answer", CounterIncrements -> "Question", MenuSortingValue -> 
          10030, MenuCommandKey :> "3", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["Question", "Printout"], 
          CellMargins -> {{65, Inherited}, {2, 12}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Answer"], PageWidth :> 700, 
          CellMargins -> {{66, 10}, {4, 1}}, ReturnCreatesNewCell -> True, 
          DefaultReturnCreatedCellStyle -> "Question", 
          LineSpacing -> {1.125, 1., 2.}, MenuSortingValue -> 10032, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Answer", "Printout"], 
          CellMargins -> {{66, 10}, {4, 1}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QuestionNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["QuestionNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["TechNoteSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNote"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"\[FilledSmallSquare]"}], FontSize -> 12, FontColor -> 
            GrayLevel[0.5]], CellMargins -> {{78, Inherited}, {4, 8}}, 
          ReturnCreatesNewCell -> True, CellFrameLabelMargins -> 3, 
          CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9}, 
            3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          MenuSortingValue -> 10040, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["TechNote", "Printout"], 
          CellMargins -> {{82, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExplore"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExplore", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreShortURL"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          FontFamily -> "Source Sans Pro Light", FontSize -> 14, FontSlant -> 
          "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExploreShortURL", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], CellMargins -> {{66, 10}, {4, 12}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Baskerville", FontSize -> 
          18, FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Text", "Printout"], CellMargins -> {{66, 10}, {7, 7}}]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesText"], CellMargins -> {{66, 10}, {2, 0}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesText", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesLink"], CellMargins -> {{66, 10}, {2, 0}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Italic", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesLink", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 
          1, FontSize -> 15], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{99, 10}, {3, 7}}]},
         Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 
          15], 
         Cell[
          StyleData["Output", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{99, 10}, {25, 10}}, 
          SpanMaxSize -> 1, MenuSortingValue -> 1500, FontSize -> 15], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{99, 10}, {15, 10}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"], 
          CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
          LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
          "Helvetica Neue", FontSize -> 9, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> GrayLevel[0.5]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.5]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Message"], Editable -> False, 
          CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> "OutputGrouping", TextClipboardType -> 
          "PlainText", StripStyleOnPaste -> True, PageBreakWithin -> False, 
          GroupPageBreakWithin -> False, GeneratedCell -> True, 
          CellAutoOverwrite -> True, ShowCellLabel -> False, 
          DefaultFormatType -> DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Output"], 
          ShowAutoStyles -> False, ShowSyntaxStyles -> False, 
          AutoStyleOptions -> {
           "StringStyle" -> None, "SyntaxErrorStyle" -> None}, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, AutoQuoteCharacters -> {}, 
          PasteAutoQuoteCharacters -> {}, LanguageCategory -> None, 
          FormatType -> InputForm, ShowStringCharacters -> False, 
          CounterIncrements -> "Message", MenuSortingValue -> 1600, 
          StyleMenuListing -> None, FontFamily :> 
          CurrentValue["PanelFontFamily"], FontSize -> 11, FontColor -> 
          RGBColor[0.5072, 0.16933, 0.15221]], 
         Cell[
          StyleData["Message", "Printout"], 
          CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, FontColor -> 
          GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{88, 10}, {4, 7}}, 
          GeneratedCellStyles -> {"Output" -> "ExerciseOutput"}, 
          ShowCellLabel -> False, SpanMaxSize -> 1, FontSize -> 14], 
         Cell[
          StyleData["ExerciseInput", "Printout"], 
          CellMargins -> {{88, 10}, {4, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExerciseOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{88, 10}, {10, 4}}, ShowCellLabel -> False, 
          FontSize -> 14], 
         Cell[
          StyleData["ExerciseOutput", "Printout"], 
          CellMargins -> {{88, 10}, {10, 4}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Picture"], CellMargins -> {{66, 10}, {10, 10}}, 
          CellGroupingRules -> "GraphicsGrouping", StyleMenuListing -> None], 
         Cell[
          StyleData["Picture", "Printout"], 
          CellMargins -> {{66, 10}, {8, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Comment"], FontFamily -> "Verdana", FontSize -> 13, 
          FontColor -> RGBColor[0.3, 0.3, 0.2], Background -> 
          RGBColor[1, 0.9, 0.8]], 
         Cell[
          StyleData["Comment", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Suggestion"], 
          CellFrameLabels -> {{Inherited, Inherited}, {Inherited, 
             Cell[
              BoxData[
               TagBox[
                GridBox[{{
                   ButtonBox[
                   "\"  Insert  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`ReplaceWithSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    ContentPadding -> False, Appearance -> Automatic, Method -> 
                    "Queued"], 
                   ButtonBox[
                   "\"  Stet  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; DocuTools`StetSuggestion[]), 
                    Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "    ", 
                   ButtonBox[
                   "\"  Next  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindNextSuggestion[]), Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], 
                   ButtonBox[
                   "\"  Previous  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindPreviousSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "\"\""}}, 
                 AutoDelete -> False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                "Grid"]], ShowStringCharacters -> False, Background -> 
              None]}}, Background -> RGBColor[1, 0.8, 0.8]], 
         Cell[
          StyleData["Suggestion", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Tentative"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[
             0.30000000000000016`, 0.6000000000000003, 0.7000000000000003], 
            "Thickness" -> 5}, Evaluatable -> False, CellFrameMargins -> 4, 
          StyleMenuListing -> None, Background -> 
          RGBColor[0.8500000000000003, 0.9500000000000003, 1]], 
         Cell[
          StyleData["Tentative", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WebOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.91, 0.92, 0.9], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.91, 0.92, 0.86]], 
         Cell[
          StyleData["WebOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Lockdown"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.8, 0.5, 0.4], "Thickness" -> 3}, Evaluatable -> 
       False, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["IndexField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["IndexField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExplanationField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["ExplanationField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EnglishHighlight"], FontFamily -> "WolframCodeSans"], 
         Cell[
          StyleData["EnglishHighlight", "Printout"]]}, Open]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Inline and special formatting", "Section", 
       CellChangeTimes -> {{3.646681732592888*^9, 3.646681749414035*^9}}], 
      Cell[
       StyleData["Graphics"], MenuSortingValue -> None], 
      Cell[
       StyleData["Graphics3D"], MenuSortingValue -> None], 
      Cell[
       StyleData["StandardForm"], 
       InputAutoReplacements -> {
        "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> "\[LessEqual]", 
         ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", "==" -> "\[Equal]",
          "@>" -> "\\[InlinePart]", "<->" -> "\[UndirectedEdge]", ParentList},
        LineSpacing -> {1.25, 0, 2}, SingleLetterItalics -> False, 
       StyleMenuListing -> None, FontFamily -> "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       StyleData["OutputForm"], PageWidth :> Infinity, TextAlignment -> Left, 
       LineSpacing -> {0.6, 1}, AutoQuoteCharacters -> {}, 
       PasteAutoQuoteCharacters -> {}, StyleMenuListing -> None, FontFamily -> 
       "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       StyleData["InputForm"], PageWidth :> Infinity, 
       InputAutoReplacements -> {}, AllowInlineCells -> False, Hyphenation -> 
       False, AutoQuoteCharacters -> {}, PasteAutoQuoteCharacters -> {}, 
       AutoSpacing -> False, NumberMarks -> True, AutoNumberFormatting -> 
       False, StyleMenuListing -> None, FontFamily -> "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Link"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Link", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DetailsLink"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0], 
          ButtonBoxOptions -> {
           ButtonFunction :> (Function[
             t, NotebookFind[t, "Notes", All, CellStyle]; 
              NotebookFind[
               t, "NotesSection", All, CellStyle, AutoScroll -> Top]][
              Documentation`HelpLookup[
               StringJoin["ref/", #]]]& ), ButtonSource -> ButtonContents, 
            Evaluator -> Automatic}], 
         Cell[
          StyleData["DetailsLink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["LinkAlt"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["LinkAlt", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Hyperlink"], MenuSortingValue -> None, FontColor -> 
          RGBColor[0.3, 0.35, 0.5]], 
         Cell[
          StyleData["Hyperlink", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Crosslink"], 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               
               NotebookLocate[#2, "OpenInNewWindow" -> 
                CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None,
             Method -> "Queued"}], 
         Cell[
          StyleData["Crosslink", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeLink"], 
          ButtonBoxOptions -> {
           Appearance -> None, ButtonFunction :> (Documentation`HelpLookup[
              Part[#, 1]]& ), ButtonSource -> ButtonContents, Evaluator -> 
            Automatic}], 
         Cell[
          StyleData["CodeLink", "Printout"]]}, Open]], 
      Cell[
       StyleData["VocabularyLink"], FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       StyleData["InlineCode"], SpanMaxSize -> 0, FontColor -> GrayLevel[0]], 
      Cell[
       StyleData["InlineCodeText"], SpanMaxSize -> 0, FontFamily -> 
       "Source Sans Pro", FontSize -> Inherited 0.95], 
      Cell[
       StyleData["NoLabel"], 
       GeneratedCellStyles -> {"Output" -> "ExerciseOutput"}, ShowCellLabel -> 
       False], 
      Cell[
       StyleData["MenuName"], FontFamily -> "Verdana", FontWeight -> "Bold", 
       FontColor -> GrayLevel[0.286275]], 
      Cell[
       StyleData["KeyEvent"], CellFrame -> {{0.5, 0.5}, {0.5, 0.5}}, 
       CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> GrayLevel[0.7],
        FontFamily -> "Verdana", FontColor -> GrayLevel[0.4]], 
      Cell[
       StyleData["KeyEventDelimiter"], FontColor -> GrayLevel[0.5]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariable"], FontFamily -> "Times", FontSize -> 
          Inherited 1.05, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariable", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariableLrg"], FontFamily -> "Times", FontSize -> 
          Inherited 1.1, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariableLrg", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Key Styles", "Subsubsection"], 
         Cell[
          StyleData["Key0"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {"Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key1"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {2 -> GrayLevel[0.8352941176470589]}, 
                  "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key2"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {
                   2 -> GrayLevel[0.8352941176470589], 3 -> 
                    GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key3"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #4, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {
                   2 -> GrayLevel[0.8352941176470589], 3 -> 
                    GrayLevel[0.8352941176470589], 4 -> 
                    GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Entity styles", "Subsubsection"], 
         Cell[
          StyleData["Entity"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneSelectorBox[{True -> GridBox[{{
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "WolframCodeSans", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontFamily -> "WolframCodeSans", 
                    FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 1}], False -> 
                 PaneBox[#, 
                   BaseStyle -> {
                    FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                   BaselinePosition -> Baseline]}, 
                Dynamic[
                 CurrentValue[Evaluatable]], ImageSize -> Automatic, 
                BaselinePosition -> Baseline, 
                BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
               RGBColor[1., 0.504768, 0.], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {0.5, 3}}, 
               ImageMargins -> {{2, 2}, {1, 1}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityFrameless"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              PaneSelectorBox[{True -> GridBox[{{
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontFamily -> "Source Sans Pro", 
                    FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 1}], False -> 
                PaneBox[#, 
                  BaseStyle -> {
                   FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                  BaselinePosition -> Baseline]}, 
               Dynamic[
                CurrentValue[Evaluatable]], ImageSize -> Automatic, 
               BaselinePosition -> Baseline, 
               BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
              BaseStyle -> {
               ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {
                 FontWeight -> "Plain", "OperatorSubstitution" -> False}}]& ),
             Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityFramelessHot"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {
           DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                   
                   StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0]], 
                   StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                    False]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 1}], False -> 
               PaneBox[#, BaseStyle -> {FontColor -> GrayLevel[0]}, 
                 BaselinePosition -> Baseline]}, 
              Dynamic[
               CurrentValue[Evaluatable]], ImageSize -> Automatic, 
              BaselinePosition -> Baseline, 
              BaseStyle -> {
               FontWeight -> "Plain", FontFamily -> "Helvetica", 
                ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClass"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneSelectorBox[{True -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 2}], False -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 2}]}, 
                Dynamic[
                 CurrentValue[Evaluatable]], ImageSize -> Automatic, 
                BaselinePosition -> Baseline, 
                BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
               RGBColor[1., 0.504768, 0.], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClassFrameless"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              PaneSelectorBox[{True -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 2}], False -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 2}]}, 
               Dynamic[
                CurrentValue[Evaluatable]], ImageSize -> Automatic, 
               BaselinePosition -> Baseline, 
               BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClassFramelessHot"], ShowStringCharacters -> False,
           TemplateBoxOptions -> {
           DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                   
                   StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0]], 
                   StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                    False]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}], False -> GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                   StyleBox[#, FontColor -> GrayLevel[0]]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}]}, 
              Dynamic[
               CurrentValue[Evaluatable]], ImageSize -> Automatic, 
              BaselinePosition -> Baseline, 
              BaseStyle -> {
               FontWeight -> "Plain", FontFamily -> "Helvetica", 
                ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityProperty"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               
               PaneBox[#, 
                BaseStyle -> {
                 FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
                Baseline], FrameStyle -> 
               RGBColor[0.94227, 0.703639, 0.033387], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityPropertyClass"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneBox[
                GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], #}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}], 
                BaseStyle -> {
                 FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
                Baseline], FrameStyle -> 
               RGBColor[0.94227, 0.703639, 0.033387], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityValue"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              
              GridBox[{{#, #2}}, GridBoxAlignment -> {"Rows" -> {{Baseline}}},
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0}}}, 
               BaselinePosition -> {1, 1}], Background -> 
              RGBColor[{0.9921568627450981, 0.9529411764705882, 
                0.8509803921568627}], BaselinePosition -> Baseline, 
              FrameMargins -> {{1, 1}, {1, 1}}, ImageMargins -> 2, FrameStyle -> 
              RGBColor[{0.9333333333333333, 0.8470588235294118, 
                0.5529411764705883}], RoundingRadius -> 5]& )}]}, Open]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Specialized for Klopper", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9, {3.7114709033696413`*^9, 
         3.711470909048764*^9}, {3.73531219927332*^9, 3.735312227736931*^9}, {
         3.745680245296091*^9, 3.7456802496393538`*^9}, {3.745930022124992*^9,
          3.7459300236362534`*^9}, {3.746546663993486*^9, 
         3.7465466650968523`*^9}}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellMargins -> {{64, Inherited}, {2, 32}}, 
          FontFamily -> "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 32}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 60}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["MoreExploreSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeCaption"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {4, 12}}, PageBreakBelow -> False, 
          CellFrameColor -> GrayLevel[0.4], LineSpacing -> {1.3, 1., 2.}, 
          MenuSortingValue -> 10010, MenuCommandKey :> "1", FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeCaption", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"], 
          CellMargins -> {{99, Inherited}, {2, 12}}, StripStyleOnPaste -> 
          True, DefaultFormatType -> DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           LanguageCategory -> "Formula", ScriptLevel -> 0, 
          SingleLetterItalics -> True, MenuSortingValue -> 1700, FontFamily -> 
          "Baskerville", FontSize -> 16, FontWeight -> "Regular", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[0.2], 
          UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}], 
              "DisplayFormulaEquationNumber"]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered", MenuSortingValue -> 
          1710, FontFamily -> "Baskerville", FontSize -> 16, FontWeight -> 
          "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       StyleData["InitializationCell"], Background -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], CellMargins -> {{99, 10}, {4, 4}}, FontSize -> 
          15], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{100, Inherited}, {1.5 Inherited, 1.5 Inherited}}], 
         Cell[
          StyleData["Print", "SlideShow"], 
          CellMargins -> {{
            0.135 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          FontSize -> 18], 
         Cell[
          StyleData["Print", "Condensed"], 
          CellMargins -> {{18, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "PrintoutGray"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox["\[FilledSmallSquare]", Alignment -> Baseline, 
            RGBColor[0.8, 0.043, 0.008]], CellMargins -> {{81, 10}, {4, 8}}, 
          ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "Subitem", "*" -> "Subitem"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15], 
         Cell[
          StyleData["Item", "Printout"], CellDingbat -> 
          StyleBox["\[FilledSmallSquare]", Alignment -> Baseline, 
            GrayLevel[0.2]], 
          CellMargins -> {{80, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontColor -> GrayLevel[0.2]], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{80, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{85, 10}, {4, 8}}, ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 15], 
         Cell[
          StyleData["ItemNumbered", "Printout"], 
          CellMargins -> {{90, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteItem"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontSize -> 12, FontWeight -> 
            Bold, FontColor -> GrayLevel[0.25]], 
          CellMargins -> {{93, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, CellFrameLabelMargins -> 4, 
          CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9}, 
            3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          CounterIncrements -> "ItemNumbered", MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["TechNoteItem", "Printout"], 
          CellMargins -> {{93, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Epigraph"], CellMargins -> {{100, 78}, {6, 24}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, TextAlignment -> Left, Hyphenation -> 
          True, HyphenationOptions -> {"HyphenationMinLengths" -> {3, 5}}, 
          LineSpacing -> {1, 2}, TabSpacings -> {1.2, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontWeight -> "Plain", FontSlant -> 
          "Plain"], 
         Cell[
          StyleData["Epigraph", "Printout", StyleDefinitions -> None]]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EpigraphAuthor"], CellMargins -> {{125, 100}, {12, 12}}, 
          TextAlignment -> Left, LineSpacing -> {1, 2}, 
          ParagraphIndent -> -17, TabSpacings -> {1.5, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> -0.05], 
         Cell[
          StyleData["EpigraphAuthor", "Printout", StyleDefinitions -> None]]},
         Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ReferenceSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 60}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ReferenceSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Reference"], CellDingbat -> Cell[
            TextData[{
              CounterBox["Reference"]}], "SR", FontSize -> 13, 
            CellSize -> {30, Inherited}, TextAlignment -> Right], 
          CellMargins -> {{80, 10}, {3, 4}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, 
          CellChangeTimes -> {{3.7385995432110577`*^9, 3.738599549834622*^9}},
           LineSpacing -> {1, 2}, ParagraphIndent -> -8, 
          TabSpacings -> {0.7, 2.5}, CounterIncrements -> "Reference", 
          MenuSortingValue -> 1870, FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["Reference", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{66, 10}, {3, 4}}, TabSpacings -> {1.2, 2.5}]}, 
        Open]]}, Closed]]}, Visible -> False, FrontEndVersion -> 
  "12.2 for Mac OS X x86 (64-bit) (December 12, 2020)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"],
ExpressionUUID->"ee1e245a-b486-413c-b12c-ace9b0afe72f"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "C:13"->{
  Cell[580, 22, 572, 12, 113, "Section",ExpressionUUID->"68f07092-4629-4751-9c9e-e94668859d85",
   CounterAssignments->{{"Section", 12}, {"Subsection", 12}, {"Subsubsection", 12}, {"Exercise", 12}},
   CellTags->"C:13",
   CellID->868451339]},
 "Eq:1"->{
  Cell[79678, 1522, 489, 13, 58, "DisplayFormulaNumbered",ExpressionUUID->"6fc4ee4f-eb8f-4a30-a449-3f70cabda5bb",
   CellTags->"Eq:1",
   CellID->518297099]},
 "Eq:2"->{
  Cell[80511, 1547, 561, 16, 66, "DisplayFormulaNumbered",ExpressionUUID->"0837eca7-64e9-4e0f-8eca-25231c8e48d7",
   CellTags->"Eq:2",
   CellID->1044226425]},
 "Eq:3"->{
  Cell[184945, 3901, 557, 16, 63, "DisplayFormulaNumbered",ExpressionUUID->"37228225-52a7-469b-ae07-723ef92416ed",
   CellTags->"Eq:3",
   CellID->1589592941]},
 "Table-I"->{
  Cell[188642, 3992, 281, 7, 29, "Input",ExpressionUUID->"a9b40d72-3c34-4074-b5f0-3d23cf6745a4",
   CellTags->"Table-I",
   CellID->600271471]},
 "Eq:4"->{
  Cell[220018, 4838, 750, 25, 52, "DisplayFormulaNumbered",ExpressionUUID->"ca68c328-0a52-4597-9ca5-dabaa6054b18",
   CellTags->"Eq:4",
   CellID->937722521]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"C:13", 332442, 7269},
 {"Eq:1", 332697, 7274},
 {"Eq:2", 332867, 7278},
 {"Eq:3", 333038, 7282},
 {"Table-I", 333213, 7286},
 {"Eq:4", 333369, 7290}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 572, 12, 113, "Section",ExpressionUUID->"68f07092-4629-4751-9c9e-e94668859d85",
 CounterAssignments->{{"Section", 12}, {"Subsection", 12}, {"Subsubsection", 12}, {"Exercise", 12}},
 CellTags->"C:13",
 CellID->868451339],
Cell[1155, 36, 1159, 23, 140, "Text",ExpressionUUID->"434a39c8-e116-4016-9b2d-542d15dce198",
 CellID->548364053],
Cell[2317, 61, 458, 10, 39, "Text",ExpressionUUID->"aae91558-e680-4828-88b8-9ba64a63c7dd",
 CellID->635490556],
Cell[2778, 73, 421, 10, 37, "CodeCaption",ExpressionUUID->"7f7fc806-28cd-4e3a-9f90-08843628f4a7",
 CellID->2109549225],
Cell[CellGroupData[{
Cell[3224, 87, 1171, 32, 78, "Input",ExpressionUUID->"bd4a8ea1-e2fc-478f-894b-e91bcddc7f95",
 CellID->66391042],
Cell[4398, 121, 64455, 1145, 200, "Output",ExpressionUUID->"b8b7a1a9-ef35-4529-936e-073c447d1f19",
 CellID->1337328050]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[68902, 1272, 407, 9, 58, "Subsection",ExpressionUUID->"4f99dad9-012a-4015-909c-a5bc20551b9d",
 CellID->210464355],
Cell[69312, 1283, 918, 17, 115, "Text",ExpressionUUID->"45cdc947-de66-4ce6-8552-5ba09829fb58",
 CellID->20209672],
Cell[70233, 1302, 640, 13, 89, "Text",ExpressionUUID->"2352526a-da48-4e99-9ec1-1db4b71b176f",
 CellID->797299831],
Cell[70876, 1317, 499, 8, 37, "CodeCaption",ExpressionUUID->"6943c36f-95a8-4df8-a41a-9ef197f42c10",
 CellID->373262443],
Cell[CellGroupData[{
Cell[71400, 1329, 449, 11, 54, "Input",ExpressionUUID->"0bf3bdb0-8c41-48de-b45d-027eab3f8e19",
 CellID->200608365],
Cell[71852, 1342, 1396, 22, 89, "Output",ExpressionUUID->"5abe89f9-b29f-415f-9a9e-f091deebd4c8",
 CellID->908686848]
}, Open  ]],
Cell[73263, 1367, 460, 10, 38, "Text",ExpressionUUID->"8026f81a-e7be-4e5b-bb6e-869075df9490",
 CellID->50303420],
Cell[73726, 1379, 432, 7, 37, "CodeCaption",ExpressionUUID->"6f1399c4-1e0b-4ee3-8818-e03fe09a3726",
 CellID->494384287],
Cell[CellGroupData[{
Cell[74183, 1390, 342, 7, 29, "Input",ExpressionUUID->"8a6c9776-6ab0-4ec5-b29e-bd1998a53c73",
 CellID->31986643],
Cell[74528, 1399, 661, 17, 40, "Output",ExpressionUUID->"28b1804a-9d2a-4de6-8459-9a76399b97ed",
 CellID->50060184]
}, Open  ]],
Cell[75204, 1419, 940, 18, 113, "Text",ExpressionUUID->"64496fb3-2518-4e91-8d99-988e07595c15",
 CellID->896689637],
Cell[76147, 1439, 453, 6, 37, "CodeCaption",ExpressionUUID->"efbdd162-0e43-47a5-a6ab-5dfacaac9019",
 CellID->649742467],
Cell[CellGroupData[{
Cell[76625, 1449, 503, 10, 29, "Input",ExpressionUUID->"69b9347a-e269-4d18-9d5f-5bdda9fb4098",
 CellID->164184511],
Cell[77131, 1461, 496, 9, 40, "Output",ExpressionUUID->"ad30b717-55d8-4d7f-8bff-08b0f4c14547",
 CellID->1695406511]
}, Open  ]],
Cell[CellGroupData[{
Cell[77664, 1475, 184, 4, 29, "Input",ExpressionUUID->"9c24c6d7-3aec-4df9-88bb-ac57350dd0ec",
 CellID->1686968141],
Cell[77851, 1481, 420, 7, 40, "Output",ExpressionUUID->"3b0e1e29-5299-49d9-ab4b-7d34b13de579",
 CellID->1369098028]
}, Open  ]],
Cell[78286, 1491, 655, 11, 113, "Text",ExpressionUUID->"5acc3eaf-18cf-4bf1-b560-f1ba5b16fd13",
 CellID->62099045],
Cell[78944, 1504, 731, 16, 64, "Text",ExpressionUUID->"634632e3-aa36-4a81-8872-dccff1a551f8",
 CellID->84843935],
Cell[79678, 1522, 489, 13, 58, "DisplayFormulaNumbered",ExpressionUUID->"6fc4ee4f-eb8f-4a30-a449-3f70cabda5bb",
 CellTags->"Eq:1",
 CellID->518297099],
Cell[80170, 1537, 338, 8, 38, "Text",ExpressionUUID->"f9e8dcfa-cf1f-4382-9c2d-441fc7cfc353",
 CellID->31168638],
Cell[80511, 1547, 561, 16, 66, "DisplayFormulaNumbered",ExpressionUUID->"0837eca7-64e9-4e0f-8eca-25231c8e48d7",
 CellTags->"Eq:2",
 CellID->1044226425],
Cell[81075, 1565, 2710, 76, 171, "Text",ExpressionUUID->"6f4e06d4-29be-45e0-b709-8274df8ba542",
 CellID->45180632],
Cell[83788, 1643, 746, 16, 37, "CodeCaption",ExpressionUUID->"e24e1212-4c01-4be0-964f-2002b000b400",
 CellID->156423500],
Cell[CellGroupData[{
Cell[84559, 1663, 351, 8, 29, "Input",ExpressionUUID->"5dab3039-b580-49f7-8271-05a883eed3ef",
 CellID->353730046],
Cell[84913, 1673, 429, 8, 40, "Output",ExpressionUUID->"d58aa4f7-2f3b-4f7c-b0ff-7a53d593c92e",
 CellID->143278991]
}, Open  ]],
Cell[85357, 1684, 526, 11, 63, "Text",ExpressionUUID->"7619c13e-7391-4b6a-8a5e-48b3af598a02",
 CellID->154394243],
Cell[85886, 1697, 308, 8, 37, "CodeCaption",ExpressionUUID->"f02c4429-fe77-49e3-9972-990b9139a2fb",
 CellID->2734003],
Cell[CellGroupData[{
Cell[86219, 1709, 552, 14, 56, "Input",ExpressionUUID->"7d465c56-75cb-41af-895c-dac481ae8931",
 CellID->681969588],
Cell[86774, 1725, 386, 6, 40, "Output",ExpressionUUID->"45fed6ed-971e-4636-a06d-123ce8756101",
 CellID->54266434]
}, Open  ]],
Cell[87175, 1734, 1073, 21, 90, "Text",ExpressionUUID->"8b0b73b4-6cd5-4754-bdd4-75736eda6484",
 CellID->109753641],
Cell[88251, 1757, 707, 15, 64, "Text",ExpressionUUID->"a472986c-3d82-40c7-93fd-bd5f71e21ff1",
 CellID->266601147],
Cell[88961, 1774, 1000, 20, 37, "CodeCaption",ExpressionUUID->"0b7c1b1f-1bf2-402f-9a40-4f8d89308c3e",
 CellID->449019242],
Cell[CellGroupData[{
Cell[89986, 1798, 382, 9, 29, "Input",ExpressionUUID->"842ca76c-f24f-4039-914c-828ea248e666",
 CellID->287274661],
Cell[90371, 1809, 308, 5, 40, "Output",ExpressionUUID->"f517c927-14f3-4c9b-b0dd-c83dbd73a8d3",
 CellID->1522889910]
}, Open  ]],
Cell[90694, 1817, 1029, 22, 92, "Text",ExpressionUUID->"dd1ddc70-06f9-4863-b528-94c44fc7d1fb",
 CellID->851080812],
Cell[91726, 1841, 822, 15, 37, "CodeCaption",ExpressionUUID->"1a1d6b3b-4c33-4748-bc38-0c7e95c68a6f",
 CellID->53871561],
Cell[CellGroupData[{
Cell[92573, 1860, 1022, 26, 78, "Input",ExpressionUUID->"aa1c3b14-6f93-4b4a-a0ee-006b2d29cc22",
 CellID->76299643],
Cell[93598, 1888, 9921, 185, 333, "Output",ExpressionUUID->"9790dc6f-eb8a-4d27-8b30-29fc85f86799",
 CellID->380032330]
}, Open  ]],
Cell[103534, 2076, 1112, 19, 163, "Text",ExpressionUUID->"4d57382b-851d-43bd-a680-7ba522379385",
 CellID->31566609],
Cell[104649, 2097, 1327, 28, 140, "Text",ExpressionUUID->"0c3a04bc-2617-4721-b64e-9986a6ced8da",
 CellID->225615433],
Cell[105979, 2127, 687, 15, 37, "CodeCaption",ExpressionUUID->"f6062761-d3f6-4091-844e-df4572c57933",
 CellID->22013171],
Cell[CellGroupData[{
Cell[106691, 2146, 336, 8, 29, "Input",ExpressionUUID->"e525f8d3-40fe-44c1-9647-4464ef97162d",
 CellID->588789000],
Cell[107030, 2156, 924, 20, 53, "Output",ExpressionUUID->"073cb82d-f93d-4399-8adb-477f37df57fb",
 CellID->1248568122]
}, Open  ]],
Cell[107969, 2179, 953, 18, 64, "Text",ExpressionUUID->"284dea62-4350-4caf-ba24-653e584e4cb1",
 CellID->176167564],
Cell[108925, 2199, 546, 11, 37, "CodeCaption",ExpressionUUID->"3083df1c-6b4b-4e06-9b09-e2da31db0610",
 CellID->921914198],
Cell[CellGroupData[{
Cell[109496, 2214, 337, 8, 29, "Input",ExpressionUUID->"66c0fb07-5516-4197-8e33-f331634a7aaf",
 CellID->437438854],
Cell[109836, 2224, 781, 16, 89, "Output",ExpressionUUID->"a16e190c-5fe6-4e55-a4a4-37355dd3e51f",
 CellID->169308177]
}, Open  ]],
Cell[110632, 2243, 856, 16, 89, "Text",ExpressionUUID->"15e93580-c002-43e5-9542-8da2871dcd57",
 CellID->343887168],
Cell[111491, 2261, 680, 13, 39, "CodeCaption",ExpressionUUID->"d8eec1be-15bd-4db6-8ae6-9cd4cb33dc70",
 CellID->37245325],
Cell[CellGroupData[{
Cell[112196, 2278, 465, 10, 54, "Input",ExpressionUUID->"51560f8e-40fc-49fc-9b43-d719fa9d621f",
 CellID->630908430],
Cell[112664, 2290, 833, 17, 89, "Output",ExpressionUUID->"548f71a4-380c-4a3f-9e48-5b80d66e972e",
 CellID->448693702]
}, Open  ]],
Cell[113512, 2310, 555, 11, 64, "Text",ExpressionUUID->"c8f70c25-9105-40bc-b477-819d22398164",
 CellID->115316054],
Cell[114070, 2323, 1233, 28, 41, "CodeCaption",ExpressionUUID->"c12a93b4-c8ee-4e40-a1ee-280c4ff42ec3",
 CellID->275538747],
Cell[CellGroupData[{
Cell[115328, 2355, 454, 10, 29, "Input",ExpressionUUID->"addc316e-c913-45f3-9edf-f0ff903da06c",
 CellID->181136567],
Cell[115785, 2367, 13201, 263, 66, "Output",ExpressionUUID->"b828803a-ae5c-44ca-b394-929c77ba85cd",
 CellID->2080542022]
}, Open  ]],
Cell[129001, 2633, 274, 3, 38, "Text",ExpressionUUID->"8d2ef6a9-04a8-4af9-a8e6-6fd3b12898a7",
 CellID->52353170],
Cell[129278, 2638, 502, 10, 37, "CodeCaption",ExpressionUUID->"99377d18-8895-444c-89ea-640b675c9c66",
 CellID->265032834],
Cell[CellGroupData[{
Cell[129805, 2652, 252, 4, 29, "Input",ExpressionUUID->"a5549b5c-0b31-4b7e-9b17-7c6fdd503c2e",
 CellID->437234067],
Cell[130060, 2658, 1305, 22, 185, "Output",ExpressionUUID->"fe7b9c92-a594-4a91-8b5f-67d61912ac7f",
 CellID->193539653]
}, Open  ]],
Cell[131380, 2683, 513, 11, 63, "Text",ExpressionUUID->"cf4e5f6d-bc4a-4c17-908d-91a1057b0461",
 CellID->517362077],
Cell[131896, 2696, 602, 8, 37, "CodeCaption",ExpressionUUID->"80903e02-b6ab-4932-99c9-78bb2cf0dad8",
 CellID->447729248],
Cell[CellGroupData[{
Cell[132523, 2708, 247, 4, 29, "Input",ExpressionUUID->"a1d964b6-ec97-4305-babf-7d23e143ef9d",
 CellID->1939005],
Cell[132773, 2714, 332, 6, 40, "Output",ExpressionUUID->"05e30f60-d60f-48d4-9c72-ad5b5822f8b8",
 CellID->1498234526]
}, Open  ]],
Cell[133120, 2723, 979, 19, 114, "Text",ExpressionUUID->"b890ae59-09ad-404f-9d3a-dd32face0138",
 CellID->245394241],
Cell[134102, 2744, 613, 12, 37, "CodeCaption",ExpressionUUID->"fb3800ac-c7ee-41f7-9ef1-4f2124b10456",
 CellID->690646440],
Cell[CellGroupData[{
Cell[134740, 2760, 307, 7, 29, "Input",ExpressionUUID->"78803df0-128b-40fe-99ca-006ba68878a0",
 CellID->21935701],
Cell[135050, 2769, 409, 8, 40, "Output",ExpressionUUID->"646fe49f-9c11-4141-a023-ac9e9288a6d2",
 CellID->1581917407]
}, Open  ]],
Cell[135474, 2780, 585, 12, 37, "CodeCaption",ExpressionUUID->"747c602a-c39f-455c-802f-9e7f1cfc3695",
 CellID->3286345],
Cell[CellGroupData[{
Cell[136084, 2796, 467, 12, 56, "Input",ExpressionUUID->"142e02d3-376f-420c-9416-06beec9ec8ff",
 CellID->16525694],
Cell[136554, 2810, 336, 5, 40, "Output",ExpressionUUID->"ce2a2a15-462f-4f2c-bfc3-9144af9992e6",
 CellID->1314518282]
}, Open  ]],
Cell[136905, 2818, 996, 18, 37, "CodeCaption",ExpressionUUID->"57c08ac8-8252-4adb-922f-3806e744f6f3",
 CellID->275701964],
Cell[CellGroupData[{
Cell[137926, 2840, 332, 8, 29, "Input",ExpressionUUID->"847023b0-6568-4b20-ac4c-0fabdb1b8e08",
 CellID->321143195],
Cell[138261, 2850, 339, 5, 40, "Output",ExpressionUUID->"087ec7bc-e754-4ccb-9d32-7d4dcde7aacb",
 CellID->1944488885]
}, Open  ]],
Cell[138615, 2858, 556, 11, 40, "Text",ExpressionUUID->"7a482c87-3bea-476d-9e4f-1e09ebd70126",
 CellID->261596717],
Cell[139174, 2871, 823, 15, 37, "CodeCaption",ExpressionUUID->"d8e13664-393c-49bf-9271-a8731ba45842",
 CellID->289656733],
Cell[CellGroupData[{
Cell[140022, 2890, 1071, 27, 78, "Input",ExpressionUUID->"55ac2f06-bce5-498d-8157-2bd6fd462d3d",
 CellID->70924012],
Cell[141096, 2919, 17793, 313, 395, "Output",ExpressionUUID->"c6033b65-45a9-470f-8c81-d71317624a10",
 CellID->179563232]
}, Open  ]],
Cell[158904, 3235, 1374, 32, 102, "Input",ExpressionUUID->"91e4a28b-343a-4e5e-9b2e-7bf0761f372a",
 CellID->17446106],
Cell[CellGroupData[{
Cell[160303, 3271, 245, 5, 29, "Input",ExpressionUUID->"dfaa65d7-ca74-4801-9dd0-afa513d616d8",
 CellID->16301402],
Cell[160551, 3278, 941, 20, 53, "Output",ExpressionUUID->"6b245a34-0fe9-40fd-b8b1-2a3914de600b",
 CellID->704716189]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[161541, 3304, 404, 9, 58, "Subsection",ExpressionUUID->"6dddbd96-5a22-421a-ab5d-76e08a12ab65",
 CellID->32934428],
Cell[161948, 3315, 973, 15, 213, "Text",ExpressionUUID->"68b6bf23-b049-4c9d-9dbb-86a5be5829ee",
 CellID->407779745],
Cell[162924, 3332, 883, 18, 113, "Text",ExpressionUUID->"e1d1f881-5c3e-4b04-90ed-03573e539e3d",
 CellID->526589898],
Cell[163810, 3352, 511, 10, 37, "CodeCaption",ExpressionUUID->"720a58da-5023-4cf6-8042-5f33ba6c74b1",
 CellID->290807576],
Cell[CellGroupData[{
Cell[164346, 3366, 372, 10, 29, "Input",ExpressionUUID->"77535e26-6e0f-4b3f-82aa-baa1d9e91359",
 CellID->146922465],
Cell[164721, 3378, 483, 11, 40, "Output",ExpressionUUID->"04eee66f-09b2-4844-9c2e-832ff5b21817",
 CellID->1516739030]
}, Open  ]],
Cell[165219, 3392, 230, 3, 38, "Text",ExpressionUUID->"ec907704-67ff-4c40-88a7-507e2799589f",
 CellID->635005258],
Cell[165452, 3397, 493, 10, 37, "CodeCaption",ExpressionUUID->"76a627ca-0454-48b5-be88-fc6c950ff6ca",
 CellID->164489009],
Cell[CellGroupData[{
Cell[165970, 3411, 159, 3, 29, "Input",ExpressionUUID->"5e88d7ec-b49d-4f1f-9969-20283ee99fa1",
 CellID->43239577],
Cell[166132, 3416, 809, 20, 57, "Output",ExpressionUUID->"767f2533-c2ba-4c13-aec5-68f56532ccf8",
 CellID->1201987320]
}, Open  ]],
Cell[166956, 3439, 957, 25, 113, "Text",ExpressionUUID->"87eb5fd7-b810-4956-ad99-83a8020d75b8",
 CellID->411802495],
Cell[167916, 3466, 425, 5, 37, "CodeCaption",ExpressionUUID->"e145c761-6660-484c-b6f3-348564d1eb3e",
 CellID->23816165],
Cell[CellGroupData[{
Cell[168366, 3475, 601, 15, 54, "Input",ExpressionUUID->"255bf76f-5523-4920-9407-bfa3881d0bc1",
 CellID->135012569],
Cell[168970, 3492, 1378, 39, 79, "Output",ExpressionUUID->"2be16802-d992-4e68-9531-554cfcb2271d",
 CellID->1441196653]
}, Open  ]],
Cell[170363, 3534, 648, 14, 63, "Text",ExpressionUUID->"c1757680-7588-4ccc-bcd8-e749a6fafc3d",
 CellID->436241630],
Cell[171014, 3550, 1560, 31, 189, "Text",ExpressionUUID->"20ab418f-e21a-458b-be67-ecb5beb719b3",
 CellID->897185104],
Cell[172577, 3583, 1120, 23, 163, "Text",ExpressionUUID->"4d93754e-5f7b-4628-924b-9e19b8e6e1fb",
 CellID->7903030],
Cell[173700, 3608, 385, 6, 63, "Text",ExpressionUUID->"a544a226-4635-4f59-ad87-6591b7fd22fd",
 CellID->377538460],
Cell[174088, 3616, 202, 2, 37, "CodeCaption",ExpressionUUID->"634c00a6-33c3-46c8-8ddb-e86afbeed320",
 CellID->123103104],
Cell[CellGroupData[{
Cell[174315, 3622, 287, 6, 29, "Input",ExpressionUUID->"e758f2d9-23ec-4159-9f1c-dacfb10a2800",
 CellID->366955197],
Cell[174605, 3630, 291, 5, 40, "Output",ExpressionUUID->"733d2786-1a52-48eb-a0af-48915d4b0aff",
 CellID->724092458]
}, Open  ]],
Cell[174911, 3638, 545, 11, 64, "Text",ExpressionUUID->"b564129b-ec6a-4844-b98f-da0769f781e9",
 CellID->253695482],
Cell[175459, 3651, 212, 2, 37, "CodeCaption",ExpressionUUID->"b7940a7e-177b-416c-8031-60b80a9f4b36",
 CellID->354830062],
Cell[CellGroupData[{
Cell[175696, 3657, 411, 9, 53, "Input",ExpressionUUID->"4714962b-c531-416d-9f3b-27a27f05ed27",
 CellID->687387613],
Cell[176110, 3668, 365, 7, 58, "Output",ExpressionUUID->"0334ff29-d54c-4949-aa42-50a4ad1ba53c",
 CellID->1045083937]
}, Open  ]],
Cell[176490, 3678, 407, 9, 64, "Text",ExpressionUUID->"d412e56f-cea1-47e3-b586-22a70e61f227",
 CellID->375099966],
Cell[176900, 3689, 213, 2, 37, "CodeCaption",ExpressionUUID->"97faf8f4-fe00-4473-bf9f-7b80d88f6999",
 CellID->698433291],
Cell[CellGroupData[{
Cell[177138, 3695, 405, 9, 53, "Input",ExpressionUUID->"e46eaa03-d9d5-404f-a081-0b9837abdb6e",
 CellID->248814113],
Cell[177546, 3706, 338, 6, 57, "Output",ExpressionUUID->"a9f43248-ac14-4722-ab2f-8b352ac81e15",
 CellID->456980346]
}, Open  ]],
Cell[177899, 3715, 458, 7, 63, "Text",ExpressionUUID->"b9693d67-8240-4d39-a53f-8309fc386807",
 CellID->31637400],
Cell[178360, 3724, 189, 2, 37, "CodeCaption",ExpressionUUID->"8be71f4b-c7d0-4eea-b944-1c33c7a5b6c1",
 CellID->679503960],
Cell[CellGroupData[{
Cell[178574, 3730, 411, 9, 53, "Input",ExpressionUUID->"418c1245-ad25-4ccb-a542-bfa74d03efac",
 CellID->79067842],
Cell[178988, 3741, 291, 5, 58, "Output",ExpressionUUID->"e6c91ae1-d161-4703-9a8f-ae754c65f260",
 CellID->1236459776]
}, Open  ]],
Cell[CellGroupData[{
Cell[179316, 3751, 404, 9, 53, "Input",ExpressionUUID->"a5103245-6efc-4d6e-b9f0-236ee324b011",
 CellID->759689919],
Cell[179723, 3762, 237, 5, 57, "Output",ExpressionUUID->"f5d1c567-5c69-415e-8c16-f5b9f1e2570f",
 CellID->2127686860]
}, Open  ]],
Cell[179975, 3770, 264, 3, 37, "CodeCaption",ExpressionUUID->"bc23c74e-9da4-4521-b05c-df57e5bb2afe",
 CellID->2081070545],
Cell[CellGroupData[{
Cell[180264, 3777, 468, 9, 29, "Input",ExpressionUUID->"82715479-0b0a-408a-b671-f6da1f4af89d",
 CellID->315282176],
Cell[180735, 3788, 407, 8, 40, "Output",ExpressionUUID->"3e2880bc-c2b9-42c0-98fd-19febb825ef4",
 CellID->1597270488]
}, Open  ]],
Cell[181157, 3799, 520, 10, 37, "CodeCaption",ExpressionUUID->"ee4023a5-8703-4558-88e1-dea9855793cb",
 CellID->124230678],
Cell[CellGroupData[{
Cell[181702, 3813, 884, 22, 126, "Input",ExpressionUUID->"47082f77-b6b1-40ba-9474-60003b4b99d2",
 CellID->194035443],
Cell[182589, 3837, 1451, 39, 79, "Output",ExpressionUUID->"6f04f6c7-a19a-4a77-96e1-6ea1189aeb35",
 CellID->1779504316]
}, Open  ]],
Cell[184055, 3879, 887, 20, 89, "Text",ExpressionUUID->"87b4f706-2f21-4223-89ca-12a7f2c433ab",
 CellID->838781591],
Cell[184945, 3901, 557, 16, 63, "DisplayFormulaNumbered",ExpressionUUID->"37228225-52a7-469b-ae07-723ef92416ed",
 CellTags->"Eq:3",
 CellID->1589592941],
Cell[185505, 3919, 1497, 32, 192, "Text",ExpressionUUID->"55eb2f45-4c8f-44e8-9527-4f55b7c25990",
 CellID->131407952],
Cell[187005, 3953, 484, 11, 63, "Text",ExpressionUUID->"3503a021-dec2-4b32-a2c7-3b538739d8f0",
 CellID->200920417],
Cell[187492, 3966, 449, 7, 37, "CodeCaption",ExpressionUUID->"c0c5435d-edbc-4aa0-81ff-b05d941037ac",
 CellID->61382760],
Cell[187944, 3975, 201, 5, 29, "Input",ExpressionUUID->"c1bdb6e4-e35c-45b5-bb66-1e14a4b5f138",
 CellID->952235887],
Cell[188148, 3982, 469, 6, 37, "CodeCaption",ExpressionUUID->"38661f62-1767-4cd4-aaa9-5d49d65dd103",
 CellID->413229003],
Cell[CellGroupData[{
Cell[188642, 3992, 281, 7, 29, "Input",ExpressionUUID->"a9b40d72-3c34-4074-b5f0-3d23cf6745a4",
 CellTags->"Table-I",
 CellID->600271471],
Cell[188926, 4001, 1413, 40, 79, "Output",ExpressionUUID->"150586c6-402d-47ce-9d0c-0832b2d5bcc6",
 CellID->1284714145]
}, Open  ]],
Cell[190354, 4044, 546, 11, 63, "Text",ExpressionUUID->"269a1ea3-701e-409f-b7ff-929a9d3d9542",
 CellID->67995229],
Cell[190903, 4057, 471, 8, 66, "CodeCaption",ExpressionUUID->"d9cb7ade-9648-4372-925b-fe197f42c02c",
 CellID->147128741],
Cell[191377, 4067, 299, 7, 54, "Input",ExpressionUUID->"a82f98aa-51cc-46ae-83a2-49a75d234c80",
 CellID->45702512],
Cell[191679, 4076, 412, 5, 37, "CodeCaption",ExpressionUUID->"180e0552-fec8-49b5-9a9f-26dfac7ccc17",
 CellID->183643843],
Cell[CellGroupData[{
Cell[192116, 4085, 263, 6, 29, "Input",ExpressionUUID->"7a02fd0a-7af2-491f-a05b-966e2fc3fa5c",
 CellID->175928409],
Cell[192382, 4093, 1402, 38, 79, "Output",ExpressionUUID->"b2841779-5eac-4709-aceb-9aa433369767",
 CellID->648861022]
}, Open  ]],
Cell[193799, 4134, 464, 10, 39, "Text",ExpressionUUID->"21d0d02e-8713-4fe5-a5b2-082573a4fe3f",
 CellID->56954705],
Cell[194266, 4146, 667, 15, 37, "CodeCaption",ExpressionUUID->"f0ca3849-9e6d-41d4-81c8-6a0b58dad308",
 CellID->247186660],
Cell[CellGroupData[{
Cell[194958, 4165, 382, 9, 54, "Input",ExpressionUUID->"eeee18a5-e6b2-4de3-86c6-1f4a7208778a",
 CellID->513837680],
Cell[195343, 4176, 308, 5, 40, "Output",ExpressionUUID->"a4107fe7-826f-48d5-be34-be39adcc381e",
 CellID->2016902477]
}, Open  ]],
Cell[195666, 4184, 686, 12, 65, "Text",ExpressionUUID->"7f8e9052-7589-4649-bcdd-a30ff92aded5",
 CellID->37614571],
Cell[196355, 4198, 265, 3, 37, "CodeCaption",ExpressionUUID->"61386532-dbda-4bee-8b18-74a73e97fb6f",
 CellID->370154590],
Cell[CellGroupData[{
Cell[196645, 4205, 266, 5, 29, "Input",ExpressionUUID->"fb8f705e-8a0a-4fa9-a7c8-dda7534759d7",
 CellID->375036381],
Cell[196914, 4212, 333, 7, 40, "Output",ExpressionUUID->"b667ed8c-021a-4f66-9af5-c7b66268d9c2",
 CellID->50563044]
}, Open  ]],
Cell[197262, 4222, 1140, 30, 89, "Text",ExpressionUUID->"3cc20e16-f842-41d0-9a64-cd8ad527c7d6",
 CellID->93773784],
Cell[198405, 4254, 569, 22, 37, "CodeCaption",ExpressionUUID->"f4cbb115-3b3d-4b83-aa56-80fa6098104e",
 CellID->30029424],
Cell[CellGroupData[{
Cell[198999, 4280, 231, 4, 29, "Input",ExpressionUUID->"13010a8f-7bad-4883-b5ec-78f3b7c490e2",
 CellID->683181870],
Cell[199233, 4286, 289, 5, 40, "Output",ExpressionUUID->"c92355ac-3d45-4e8d-a616-bcdad65d3ba9",
 CellID->2088452394]
}, Open  ]],
Cell[CellGroupData[{
Cell[199559, 4296, 231, 4, 29, "Input",ExpressionUUID->"a6b55c91-d6e3-4eb6-bd40-76259217547c",
 CellID->209672785],
Cell[199793, 4302, 317, 5, 40, "Output",ExpressionUUID->"162b01a4-4e5e-4dfa-8c10-204340eb9655",
 CellID->2146659390]
}, Open  ]],
Cell[CellGroupData[{
Cell[200147, 4312, 388, 8, 29, "Input",ExpressionUUID->"d3443823-55bb-406a-90d5-e9408f6017d0",
 CellID->169234057],
Cell[200538, 4322, 314, 5, 40, "Output",ExpressionUUID->"ffcb131c-3df1-411c-89a0-791adec0a2ff",
 CellID->1798883703]
}, Open  ]],
Cell[200867, 4330, 633, 15, 37, "CodeCaption",ExpressionUUID->"0eb01021-0f4b-40ea-9fb0-18f13514185b",
 CellID->457195558],
Cell[CellGroupData[{
Cell[201525, 4349, 292, 8, 29, "Input",ExpressionUUID->"239c07bd-6a33-4e3b-b97b-4526da39afb9",
 CellID->411863700],
Cell[201820, 4359, 309, 5, 40, "Output",ExpressionUUID->"911fcd88-f050-4276-bdd8-99538ab59c10",
 CellID->1563613855]
}, Open  ]],
Cell[202144, 4367, 1108, 21, 115, "Text",ExpressionUUID->"8adeb8a2-24eb-493b-879e-300c9270830a",
 CellID->485381457]
}, Open  ]],
Cell[CellGroupData[{
Cell[203289, 4393, 254, 3, 57, "Subsection",ExpressionUUID->"04c30eee-9256-4412-b18f-1d5778bdc1c7",
 CellID->962179499],
Cell[203546, 4398, 469, 9, 88, "Text",ExpressionUUID->"5c82c9ae-c814-4aff-af5f-20594cb14ee8",
 CellID->107627299],
Cell[204018, 4409, 1177, 25, 118, "Text",ExpressionUUID->"1bab985c-dd85-4a37-a574-b258b744076d",
 CellID->91737242],
Cell[205198, 4436, 871, 18, 90, "Text",ExpressionUUID->"2a623e34-3eed-4ef4-b5dc-717e549e94f3",
 CellID->52360954],
Cell[206072, 4456, 625, 12, 64, "Text",ExpressionUUID->"92839e6a-7d2f-4d0a-a5b2-3cd83a36ae4f",
 CellID->16005262],
Cell[206700, 4470, 584, 12, 37, "CodeCaption",ExpressionUUID->"3ddb71c6-3ad9-4ba0-a269-48c0af83b359",
 CellID->424979709],
Cell[CellGroupData[{
Cell[207309, 4486, 596, 16, 54, "Input",ExpressionUUID->"2c73f8af-e302-484a-a275-21e131e96496",
 CellID->155198756],
Cell[207908, 4504, 855, 22, 97, "Output",ExpressionUUID->"be229ddf-8d8f-40c4-8d89-020dcf9a49b3",
 CellID->1874931690]
}, Open  ]],
Cell[208778, 4529, 657, 12, 88, "Text",ExpressionUUID->"98d8919b-f191-4f78-b275-fd31968a713d",
 CellID->497961885],
Cell[209438, 4543, 404, 5, 37, "CodeCaption",ExpressionUUID->"5e7c4f36-fece-4f3f-8269-db1828f5aeb7",
 CellID->56478430],
Cell[CellGroupData[{
Cell[209867, 4552, 555, 15, 54, "Input",ExpressionUUID->"be820394-2521-4196-a5d9-dc3a44c2e865",
 CellID->172686890],
Cell[210425, 4569, 1577, 48, 119, "Output",ExpressionUUID->"d88328f5-9644-44a4-9298-4563fbff716c",
 CellID->1949361399]
}, Open  ]],
Cell[212017, 4620, 1462, 26, 167, "Text",ExpressionUUID->"476fc3f2-03ae-454b-935c-a94bdab0353c",
 CellID->965599619],
Cell[213482, 4648, 365, 5, 37, "CodeCaption",ExpressionUUID->"5f6dac45-be66-4b05-b7c9-7a02e9ff9480",
 CellID->16678880],
Cell[CellGroupData[{
Cell[213872, 4657, 692, 21, 54, "Input",ExpressionUUID->"ba1be9ed-6e7e-4b54-a100-2eb3dec8d8d4",
 CellID->12634889],
Cell[214567, 4680, 1292, 38, 81, "Output",ExpressionUUID->"9326f64a-d8b9-41ef-be20-e1ed5af912d1",
 CellID->1684546033]
}, Open  ]],
Cell[215874, 4721, 293, 6, 63, "Text",ExpressionUUID->"bc0e2afa-bc64-423c-9819-775f7b7c5da1",
 CellID->516373456],
Cell[216170, 4729, 539, 10, 40, "Text",ExpressionUUID->"127f9322-4032-46b8-adf8-8f69adc23380",
 CellID->354256991],
Cell[216712, 4741, 354, 5, 37, "CodeCaption",ExpressionUUID->"7c227d8d-dbca-4fb8-90c6-0cbf44402f74",
 CellID->145481672],
Cell[CellGroupData[{
Cell[217091, 4750, 608, 19, 54, "Input",ExpressionUUID->"73ac47ae-f585-4c77-8ae0-22666e0be1bb",
 CellID->894891542],
Cell[217702, 4771, 1273, 38, 81, "Output",ExpressionUUID->"9a4c8b62-c15a-4840-af07-5f4b3076c980",
 CellID->1888258230]
}, Open  ]],
Cell[218990, 4812, 1025, 24, 66, "Text",ExpressionUUID->"b50b030a-7401-44db-8d49-cb8459cfe7d4",
 CellID->787207463],
Cell[220018, 4838, 750, 25, 52, "DisplayFormulaNumbered",ExpressionUUID->"ca68c328-0a52-4597-9ca5-dabaa6054b18",
 CellTags->"Eq:4",
 CellID->937722521],
Cell[220771, 4865, 1901, 49, 116, "Text",ExpressionUUID->"0646e3f4-57bb-4c51-a452-57637023b08d",
 CellID->265533933],
Cell[222675, 4916, 437, 7, 37, "CodeCaption",ExpressionUUID->"46ddfc85-9d95-4098-942f-61940002b095",
 CellID->95295107],
Cell[CellGroupData[{
Cell[223137, 4927, 260, 6, 29, "Input",ExpressionUUID->"d7e94c17-e6d7-40d4-8f5a-2dd89f7c4862",
 CellID->7068394],
Cell[223400, 4935, 474, 9, 40, "Output",ExpressionUUID->"1109398f-5511-4af3-b0ec-0d86d8294b3e",
 CellID->1598146319]
}, Open  ]],
Cell[223889, 4947, 519, 10, 64, "Text",ExpressionUUID->"48863f63-64a2-4bfb-9e1f-837da5979513",
 CellID->521345367],
Cell[224411, 4959, 418, 5, 37, "CodeCaption",ExpressionUUID->"62362e52-9ef3-410f-a931-58da6a648731",
 CellID->69625924],
Cell[CellGroupData[{
Cell[224854, 4968, 716, 19, 54, "Input",ExpressionUUID->"914092ef-319e-46ca-9dbc-4118533590f8",
 CellID->379337979],
Cell[225573, 4989, 7990, 172, 307, "Output",ExpressionUUID->"a2e1ae0d-7ade-4e90-8079-ea8805e83bb0",
 CellID->227714725]
}, Open  ]],
Cell[233578, 5164, 715, 15, 40, "Text",ExpressionUUID->"efeae43b-5d3f-49b9-ae4c-293eb17c3974",
 CellID->516301591],
Cell[234296, 5181, 409, 10, 37, "CodeCaption",ExpressionUUID->"7c927c3c-db36-486c-891b-92ee65854cc8",
 CellID->261485368],
Cell[CellGroupData[{
Cell[234730, 5195, 673, 17, 54, "Input",ExpressionUUID->"4f2103e5-6c35-4071-8c5e-71a26130f654",
 CellID->328330024],
Cell[235406, 5214, 312, 5, 40, "Output",ExpressionUUID->"2f23d348-6328-45e0-bf86-1de97947c9aa",
 CellID->385524121]
}, Open  ]],
Cell[235733, 5222, 409, 9, 63, "Text",ExpressionUUID->"357c0e01-47f5-4b48-a56c-489f50a75fcd",
 CellID->158054213],
Cell[CellGroupData[{
Cell[236167, 5235, 214, 3, 71, "ExerciseSection",ExpressionUUID->"e4a2a75f-b2a9-4937-bf6c-2357be6a70a0",
 CellID->566065673],
Cell[236384, 5240, 1444, 22, 107, "Exercise",ExpressionUUID->"8ff12a99-63bc-4dc3-b9bb-2799453a1eb5",
 CellID->313618646],
Cell[237831, 5264, 1112, 30, 65, "Exercise",ExpressionUUID->"85000010-7f8a-4cbb-9773-db4cfbe7fb6f",
 CellID->429554189],
Cell[238946, 5296, 620, 10, 46, "Exercise",ExpressionUUID->"926333dd-0cb0-4e93-9cce-0e6b04e8ec12",
 CellID->92516614],
Cell[239569, 5308, 659, 12, 46, "Exercise",ExpressionUUID->"1d7dc44a-9d2d-4e97-b347-8fc454c11fe2",
 CellID->462802995],
Cell[240231, 5322, 790, 14, 46, "Exercise",ExpressionUUID->"676a5613-0169-4202-a00f-c67469e5505b",
 CellID->116633910],
Cell[241024, 5338, 809, 17, 27, "Exercise",ExpressionUUID->"924e22bc-3f74-4c91-b931-9ed62cd7e2d9",
 CellID->237952745],
Cell[241836, 5357, 642, 11, 27, "Exercise",ExpressionUUID->"bcb72071-90ed-4ba4-9318-e37b53f03a6c",
 CellID->1215592],
Cell[242481, 5370, 941, 20, 27, "Exercise",ExpressionUUID->"ddfad29f-25bc-442f-a200-fbea81094314",
 CellID->82041004],
Cell[CellGroupData[{
Cell[243447, 5394, 1062, 18, 83, "Exercise",ExpressionUUID->"0efd6ad5-0ee7-4cf0-a219-1f5228a8588f",
 CellID->306226882],
Cell[244512, 5414, 386, 12, 47, "Exercise",ExpressionUUID->"257e8f1e-5e24-41ee-a346-9a530504972e",
 CellGroupingRules->{"SectionGrouping", 62},
 CounterIncrements->None,
 CellID->1067351554]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[244947, 5432, 119, 1, 100, "MoreExploreSection",ExpressionUUID->"02d63e62-eee0-4e11-b74b-84549221c0af",
 CellID->19888384],
Cell[245069, 5435, 855, 20, 49, "MoreExplore",ExpressionUUID->"99388362-a405-4de9-8160-ce2379904224",
 CellID->26626102],
Cell[245927, 5457, 868, 20, 49, "MoreExplore",ExpressionUUID->"1ac84daa-8869-422a-b8da-ca6ad5115297",
 CellID->2002692313],
Cell[246798, 5479, 1610, 39, 30, "MoreExplore",ExpressionUUID->"992be6b0-7868-4262-b2e0-19a4c7536433",
 CellID->905983259]
}, Open  ]]
}, Open  ]]
}
]
*)

