(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[    291886,       6658]
NotebookOptionsPosition[    184103,       4436]
NotebookOutlinePosition[    268495,       6198]
CellTagsIndexPosition[    268426,       6193]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 InterpretationBox[Cell[
  "Nonparametric Tests", "SectionInline",ExpressionUUID->
   "4e537f96-275a-47b8-8a0d-8bd52a580043"],
  $Line = 0; Null]], "Section",
 CellChangeTimes->{
  3.652728456208679*^9, 3.652728527108994*^9, {3.76200839270086*^9, 
   3.7620083927008753`*^9}, {3.777662677488593*^9, 3.7776626774886007`*^9}, {
   3.7892438801867723`*^9, 3.789243880186783*^9}},
 CounterAssignments->{{"Section", 13}, {"Subsection", 13}, {
   "Subsubsection", 13}, {"Exercise", 13}},
 CellTags->"C:14",
 CellLabel->"In[2]:=",
 CellID->868451339,ExpressionUUID->"012de059-dcd1-4e6e-bfba-95141c772443"],

Cell["\<\
In the chapters on parametric tests, correlation, and linear regression, we \
made use of tests based on some assumptions of the distribution of parameters \
in the population from which sample subjects were taken. In this chapter, we \
take a look at statistical tests that can be used when these assumptions are \
not met.\
\>", "Text",
 CellChangeTimes->{{3.75375375115197*^9, 3.7537537709839125`*^9}, 
   3.7704858900990505`*^9, 3.790820587285067*^9},
 CellID->96389585,ExpressionUUID->"6a450f4f-400d-4e27-a903-23048dd3507c"],

Cell[TextData[{
 "We will start with considering the use of the Student ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "162237ba-bf08-4c07-8139-eac9d07ae919"],
 " test by looking at the assumptions that we discussed in Chapter 10. We \
will use ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects with data point values that do not meet the assumptions for the \
use of parametric tests and introduce the nonparametric alternative, namely \
the Mann\[Dash]Whitney ",
 Cell[BoxData[
  FormBox["U", TraditionalForm]], "InlineMath",ExpressionUUID->
  "dcc07e2e-ada3-4acc-b5df-39469eed2f82"],
 "-test."
}], "Text",
 CellChangeTimes->{{3.753753786401016*^9, 3.753753899688099*^9}, {
   3.7704806682201886`*^9, 3.7704806955079174`*^9}, {3.7704810413464975`*^9, 
   3.7704810533817005`*^9}, 3.7704858913560505`*^9, 3.7704862167220507`*^9, {
   3.816094053166349*^9, 3.816094055653673*^9}},
 CellID->93700678,ExpressionUUID->"79e26ba3-6825-488f-a446-f53e61ecc8a8"],

Cell[TextData[{
 "From here, we will move on to the sign test. Initially, we will work \
through all of the individual steps needed for this test, which will serve as \
an example of how nonparametric tests work. After that, we will perform the \
same test in one step using the built-in function ",
 ButtonBox["SignTest",
  BaseStyle->"Link"],
 ". For the rest of the tests, we will skip the step-by-step creation and \
concentrate on the Wolfram Language implementations."
}], "Text",
 CellChangeTimes->{{3.7537539097044015`*^9, 3.753753951792158*^9}, 
   3.7704840676453795`*^9, {3.7704852791580505`*^9, 3.7704852825970507`*^9}, {
   3.7704854804220505`*^9, 3.7704854833060503`*^9}, {3.77048572690705*^9, 
   3.7704857350290504`*^9}, {3.7704875744290504`*^9, 3.7704875868110504`*^9}, 
   3.816094101566214*^9},
 CellID->10314883,ExpressionUUID->"cdd38630-654f-471e-9bc3-f8635f3bfccc"]
}, Open  ]],

Cell[CellGroupData[{

Cell["When Assumptions Are Not Met", "Subsection",
 CellChangeTimes->{{3.75375396665654*^9, 3.7537539713757257`*^9}, {
  3.770481099717334*^9, 3.770481100455408*^9}, {3.770481149095271*^9, 
  3.7704811560089626`*^9}},
 CellID->2920986,ExpressionUUID->"81438b96-1070-437e-87cc-4da4e0956d54"],

Cell["\<\
The two notable assumptions for the use of parametric tests that we have \
discussed are (1) the normal distribution of the variable in the underlying \
population and (2) the lack of outliers.\
\>", "Text",
 CellChangeTimes->{{3.753753983504231*^9, 3.7537540265684986`*^9}, {
  3.7704858714760504`*^9, 3.7704858718440504`*^9}},
 CellID->45758156,ExpressionUUID->"663c04ee-a8bf-49fb-b967-942fa2506eae"],

Cell[TextData[{
 "In this chapter, we will create ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects of variables that do not meet these assumptions. In the following \
code cells, we create two ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects of a single variable for two groups. We will ensure that the \
values are not from a normal distribution by specifying the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]], "InlineMath",
  ExpressionUUID->"b6f0a693-c86e-4fec-8cf4-b69e6c81c166"],
 " distribution."
}], "Text",
 CellChangeTimes->{{3.7537540350087423`*^9, 3.753754073127971*^9}, {
   3.7537553182812*^9, 3.753755352785537*^9}, {3.7704858968190503`*^9, 
   3.77048590068305*^9}, 3.77048756685505*^9, {3.77048762176105*^9, 
   3.7704876355490503`*^9}, {3.7908206316551523`*^9, 3.790820632325187*^9}, {
   3.7908206668752193`*^9, 3.790820667615204*^9}},
 CellID->40687053,ExpressionUUID->"0df9e96a-b0b2-4773-8b0d-b4012fdcd70c"],

Cell[TextData[{
 ButtonBox["List",
  BaseStyle->"Link"],
 " object for a variable in group A:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753754089819333*^9, 3.7537540959041214`*^9}, {
   3.77048765231505*^9, 3.7704876556230507`*^9}, 3.816094113685649*^9},
 CellID->447263472,ExpressionUUID->"74ce802c-15e5-416c-ac13-4cd010f24276"],

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "123", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"groupA", "=", 
   RowBox[{"RandomVariate", "[", 
    RowBox[{
     RowBox[{"ChiSquareDistribution", "[", "2", "]"}], ",", "100"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7537552056908445`*^9, 3.753755244073555*^9}},
 CellLabel->"In[1]:=",
 CellID->78085666,ExpressionUUID->"74df5085-e208-42b1-8a9a-1a3539f5a044"],

Cell[TextData[{
 ButtonBox["List",
  BaseStyle->"Link"],
 " object for a variable in group B:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753754089819333*^9, 3.7537541205927563`*^9}, 
   3.77048765823005*^9, 3.7705454870485916`*^9, 3.816094119557334*^9},
 CellID->133449351,ExpressionUUID->"3bf8473c-fe63-4360-99ed-1adced3ebf1c"],

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "123", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"groupB", "=", 
   RowBox[{
    RowBox[{"RandomVariate", "[", 
     RowBox[{
      RowBox[{"ChiSquareDistribution", "[", "3", "]"}], ",", "100"}], "]"}], 
    "-", "1"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7537552565405474`*^9, 3.7537552655456505`*^9}, {
  3.7537554186746435`*^9, 3.7537554187544594`*^9}},
 CellLabel->"In[3]:=",
 CellID->48160105,ExpressionUUID->"a7f9a3b2-dfb5-4e6a-9f4d-5fbeb91ed621"],

Cell[TextData[{
 "To investigate the assumptions for the use of parametric tests, we take a \
look at the q-q plots and the Shapiro\[Dash]Wilk test results for comparison \
with respect to the normal distribution. We also create box-and-whisker plots \
to identify possible outliers in the data values for the two ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects."
}], "Text",
 CellChangeTimes->{{3.7161768943250446`*^9, 3.7161769449230347`*^9}, {
   3.7268904233030505`*^9, 3.726890436086796*^9}, {3.7537541663840446`*^9, 
   3.7537541702405863`*^9}, {3.770546043221592*^9, 3.7705460817405915`*^9}, {
   3.790820966395276*^9, 3.7908209696054173`*^9}, {3.790821001575406*^9, 
   3.7908211738255043`*^9}, 3.8135571812011538`*^9},
 CellID->172974629,ExpressionUUID->"c2d84c64-b073-4e65-8dfd-18044deb2800"],

Cell["q-q plot of group A:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.7537541742695923`*^9, 3.7537543292247267`*^9, {
   3.7705460538595915`*^9, 3.7705460652835913`*^9}},
 CellID->638102439,ExpressionUUID->"21f7b92e-21ab-43a5-ad70-4a2e2fabb0c5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QuantilePlot", "[", 
  RowBox[{"groupA", ",", 
   RowBox[{"NormalDistribution", "[", "]"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Quantile-Quantile Plot for Group A\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7537542036907406`*^9, 3.7537542182568345`*^9}, {
  3.7908207383650723`*^9, 3.790820802945218*^9}},
 CellLabel->"In[5]:=",
 CellID->110860616,ExpressionUUID->"0545be4f-9b3d-46ac-a453-6ed9c5e478ec"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJw9lXs01GkYx8eMkVsSkx2ythJru2w6OLmU51VIVhdKuatpI+VONBtHHe1s
aZK2zckmBmelcDI0FdLrkg2LXEMkJpeM+zAYt3b3/H764z3vec95z/s+l+/3
82xkBTmdoVIolJ//W//vtie57n7ZtFItGqf4Ms8OSqeq2o2klNJ7nOP5hq4c
KDJOMfLtXMYjiezQcbtMUHRu8w19sIg/NETV7prJhMsPWNOoeR7j8b59yVdz
IbJq91yxoxRXrjfbLDR9Am6RvBAX6hxW/jEjx3FDAUwqnV0uaZvBCgJ7xdAX
BVCfwq0/Xi3BC+1B0mnDpyDTlXTBpnEan9PZElPJfwmbUwZDXYancOEeC4uH
YyVgZngfwhlTOIJTOp1SXAnX6IFy5vZiLOzNzrDsq4YECpf/Nm4SH7nx+HZ7
ay3Qc696FrdM4IWoo4cMuxrAKpabWqM/gTsprqzC0kaw588mUinjuKVmu/U9
nRbwrFM5oIVH8W6Gb27JUCvs0ix5xb4+gsvU/JWN1r2H+UyZHrHnMI7Iqi0e
1nsPvA3xY1csRDgw0Y/BdesGvcToFzYbh7DxYW/pTpkeaDLTiWWrfMYKwXPD
ty/2wI49b/YEUwdx7Q0XvYS+HtjnkJeTsNiPdYu2dWylDMBJ8zxHp8U+7BC2
LGtzbgDGfmB+NpfpwzXei+88IobAVe7l0S7FTzjXs1Jfv38INskrDDcxhbic
fWKvlZMInhqWKLze0otdExxy38IweCut6vZAPbilPn6oWXsEojdPVqfnd2Ph
7EA5S3cEzqRsW/9c1IWtPfwO2tuMwlULo9lwg04c/0fOlnafUQhrxlWnz3dg
UbUl9zs8Cofffk9TL2jDvuEVVm30CeAeH9qq+aUVP7108dhdxQkw//YWVf1w
Cz7tRg3gWk1ATuia8vT0Jswu+CIyiZwEZf+0yCBpA3ZklgWUq4nh4xX3NrvM
euz8y91bYywx6EQxjHu9/sH1vl/8IrdPQcAqi0Bl7Srcz+SrrGJIYG/36xjj
D6+xZnyKSbSZBOrdNPSr0spwmE+2g6BbApSJedvwppe4TyX1ROQnCRTR/LVk
fJ7h9E1H/io8PwMxRR7xR+af4PzkY1leITOg6ri++tX2DDx8TPDMlz0Dz8xq
fWcTruPTQaaLuYKvZ1BqkRY+FH29D+se5e/f8dPsynsQW6eXiU7NrvwHJhXs
GL7eHDCIeOBQsrX1c9YctBDxwu0yfruishTsiHwgz6um6TFTCqFEvjAYwewQ
6UlBl6gHhFAy8Ke4eegj6gXjzQVlvbILsIaoJ1g68pJ/01yAJ0S9oVCersoW
L6z0A5yLDIoG7RdX+gU74nfrbFNdWukn2HqGmaR1La30G5IKNcxvji+t6AEW
aILOrOhl8Cf0AqI0uUuplhQUQ+gJ4g9FT2tkyaBThN6AH/Q892YUFQkIPYJp
FEOD8ycVkXqF1jm1gDhdGiL1DI9KZ6H2Hg2Reof9I3cOplySRaQfYN4i6W9h
gywi/QKW6tdS+43oiPQTnKU3MouM6Yj0G1QZnDUv4dIR6Udw0qZQ8nPkUCrh
V1j9Lq7XXVceLRF+BgpTkmTUKY9MCb9DSN435mJtBUTyALIHhFOuY4qI5AVk
Go3WSdyVEckTeMFcKPOyXY1I3sCBYFtnQ74KInkEHz/oa5X9ugaRvIL7akE8
yV1VRPIMxOtahYaFaxHJO+CN+09vwGsRyUNo4Hi3sbvXolqClxCcHnvRJVwN
jRE8BVMPwc6kNjXkQfAWfCrUsjmW6ohN8BhGCjq6FFnqKJbgNVSo8G5OuTGQ
EsFzyNEI5PHtNRDJe+AZMHHjTiYi5wGqq4nT5dxnInJeoOU3v2dcuLMR/Qu7
lCUe
      "]]}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668], 
     AbsoluteThickness[1.6], Dashing[{0, Small}], 
     PointBox[{{-1.153776690784856, 0.}, {2.458697047444761, 
      5.197715679032078}}]}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Epilog->{{}, 
    StyleBox[
     LineBox[{{-1.153776690784856, 0.}, {2.458697047444761, 
      5.197715679032078}}], {
      Directive[
       RGBColor[0.368417, 0.506779, 0.709798], 
       AbsoluteThickness[1.6], 
       Dashing[{0, Small}]]}, StripOnInput -> False]},
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{438., Automatic},
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
   "\"Quantile-Quantile Plot for Group A\"", TraditionalForm],
  PlotRange->{{-2.458697047444761, 2.458697047444761}, {0, 8.788006889026288}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.753754184818285*^9, 3.7537542202850084`*^9, 3.75375527037827*^9, 
   3.789406147514102*^9, {3.7908207865651093`*^9, 3.79082080398501*^9}, 
   3.813560458953781*^9},
 CellLabel->"Out[5]=",
 CellID->242031219,ExpressionUUID->"bacbdfee-1796-4b4c-83c1-64053b5ff0d4"]
}, Open  ]],

Cell["q-q plot of group B:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.7537542334261847`*^9, 3.7537543346007595`*^9, {
   3.7705460597475915`*^9, 3.7705460679235916`*^9}},
 CellID->47826933,ExpressionUUID->"d96569ef-3559-46d6-854a-e3fa92c1144f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QuantilePlot", "[", 
  RowBox[{"groupB", ",", 
   RowBox[{"NormalDistribution", "[", "]"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", "\"\<Quantile-Quantile Plot for Group B\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7537542036907406`*^9, 3.7537542463296895`*^9}},
 CellLabel->"In[6]:=",
 CellID->576821575,ExpressionUUID->"ec3ec073-48df-4964-b270-cd8aac7adcca"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJw9lXsw1WkYx89BrhVyEloml5VKHbvYcut5qyWpSGaNDSW5NRyiI5cSbY0u
e7JqUOSSS2XWJdKWdXtUdhdZRS4VHU6uhzoclMuco92d38/+8c4778w77/tc
vt/Po+8bdtBfhsFg+P27/tsdfHiex4tk6/OTs48fKRBh/XTja/N5Rn1D51nP
nHAhVllkmwf2LKKL4ajaqnVCVP6hOzAiS4Kmp3foytWMYEKW7wx5tYB19mxH
nxXDGNVoO1ftOo+Z3Aqp9cAQHoq6He4hM4fG0l3VWWuGUKwStFjb/RnLOG9i
P303gK3ZvFb3pk84LMWjE80CZPamR9q3zWCeR7AuO1+ARtkjER7j05ivHlX5
OFyAVma3gMuaRqcHNwo5vH68tCxU3tppCmMbLexiV/RhMoNX/uKKGI0KZRzT
ub24rOSCd3XHJN5cHXRSf0sP7jjPy2k2nsSNGk77iE0bOpXPpskwJpA4Bygm
FjSh998r9+jgR5TMrC25k9aEW7Vr62Iuf0CJ13PtfoMmXLjL7J/yHscT2y/c
V7arxNvrkkTnbMaQYfk0ZVXYFfg6La7SXl+ICdMpXmMTSdBupXc+ZuUo1idK
TLxsK4Bt95fdCZkRTJ7Z6idmPoZd+8qKkyVD6DMTWRCNleBjXeZ6UDKIB1Ib
NnD0noFog9aoNXMQGa67M0scWuBH+Rq3XuUBnGP+7KNx8wUYKCqNt2u9R0de
fFSQfjs8NKtVatgowOgQJXbm23Y4oqLA9yL9WH9K3V/4ugPijMRNeQ/4eMbj
p3Y2qxP8s03XPh7rxcxE57S8nG64YGM+yzXpwUzozG299hpOvsLGY8FvMIGd
2bxQ3gMuL9bLalR04zZDlxIDER947sJN2l86UTR17omaggCsdX+R0XDpwOba
dffs1ARQHKH6NC+vHU21FfKOfRyA5SG5UWHzL9G96JVBRukg9J3z7Ha824qX
JoLKBFeHQe8My0Jw+DnKifeE1aQKgaNgE7r8q0Zs0HRzy0wXwk5+Q7zFuwa8
yT7q1joyBq2HNI0bc5+gzignA7UngTG54MBtr8H2geIw8d5JqJIN0WEGPELf
XarWJoZiiK/ySjqwcB9b3GW3+1mJQc11bVPd5nycqTAwF0ZPwSOrlsDZ5Mvo
dGlTfF3a/2cwK/qik/1yauk+5J1jyKvPzy69Bw0nPnMLNeaW/gM57/jrne5z
wKLigcPOC1tiDeahg4oXHNcof2MnuwCOVD5waCr1ocdFCURQ+QI/5mySsEIC
hlQ9IGD1vcYMYykMUvUCi7b9kpQkKahS9YSADwkarBQp3KfqDV3hofrQJ13q
B5yV8m6UbVxc6hd0RRZZVgUvLvUT+JwuPaOHi0v9htC+211NkwxC6wFKB9W5
P31ikBBKL5DnYCh3Wcgk8ZSeIGko0WrGRIYcpfQG9o7rOfXxMuQ3So9QW9oV
mc6WJbRe4eCta9+W9soRWs8wnTjG6c+RJ7TeYb+edbCyrgKh/QCW/Lbc79kK
hPYLuGpI1Em6AqH9BNtVY1IMQxUJ7Tfgq8TH+tcoEtqPYBA3KqqLUyI5lF/B
12tHYPQfSkRK+RkitlWr1ouVyDbK76CTJT3GKVYmNA/gkeVo9/FTKoTmBYj4
18zJ+ApC8wSiFtJU/eTVCM0bmAnLCAveoEZoHkHkO+/DHprqhOYV6HSvsl1v
qE5onsHmlbG+T2PUCc07KBD0dLHeaxCahyC5msosSGCRFoqXYHQgspT3jEVE
FE8hh6ljemeYRbwo3sJW1cKdu6tXkxiKx2DGNfqz3EiLnKd4DWnO937tIFpE
heI5lHI9b8g90yI07+GtnPuD67Z6hJ4HZL9y4KxmlSGh5wU5vff3jxfRiPwD
9x0d+w==
      "]]}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668], 
     AbsoluteThickness[1.6], Dashing[{0, Small}], 
     PointBox[{{-1.1895163459214741`, -0.9575650275114822}, {
      2.458697047444761, 6.651751459375024}}]}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Epilog->{{}, 
    StyleBox[
     LineBox[{{-1.1895163459214741`, -0.9575650275114822}, {2.458697047444761,
       6.651751459375024}}], {
      Directive[
       RGBColor[0.368417, 0.506779, 0.709798], 
       AbsoluteThickness[1.6], 
       Dashing[{0, Small}]]}, StripOnInput -> False]},
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{438., Automatic},
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
   "\"Quantile-Quantile Plot for Group B\"", TraditionalForm],
  PlotRange->{{-2.458697047444761, 2.458697047444761}, {-0.9575650275114821, 
   10.374083927983284`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.753754246657895*^9, 3.7537552735469985`*^9, 
  3.7537554234729757`*^9, 3.789406147665938*^9, 3.790820812345006*^9, 
  3.8135604590954*^9},
 CellLabel->"Out[6]=",
 CellID->484670315,ExpressionUUID->"4fab5f1f-93e0-428a-97ba-f9b87ae22bcb"]
}, Open  ]],

Cell[TextData[{
 "The ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "85f9b2be-3be4-4a4f-84e6-2c11003c2b2d"],
 "-value for the Shapiro\[Dash]Wilk test for group A:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537542661603436`*^9, 3.753754280912528*^9}, 
   3.7537543226883497`*^9, {3.7705461199115915`*^9, 3.770546143827592*^9}, 
   3.7705461960605917`*^9, {3.78932325768217*^9, 3.789323257684575*^9}, 
   3.81609440631116*^9},
 CellID->104497503,ExpressionUUID->"918bb98a-5e17-484c-888f-ef7340d39c2a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShapiroWilkTest", "[", "groupA", "]"}]], "Input",
 CellLabel->"In[7]:=",
 CellID->384458441,ExpressionUUID->"ad686d19-1218-456c-a745-f8533615749b"],

Cell[BoxData["1.0175315939831376`*^-7"], "Output",
 CellChangeTimes->{3.753754291676987*^9, 3.753755276206502*^9, 
  3.789406147709087*^9, 3.813560459132497*^9},
 CellLabel->"Out[7]=",
 CellID->448511134,ExpressionUUID->"ccfc5a1c-fdbc-4842-9520-c4874259945e"]
}, Open  ]],

Cell[TextData[{
 "The ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "2241d163-a783-4e2e-8f65-8807b245f66d"],
 "-value for the Shapiro\[Dash]Wilk test for group B:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537542661603436`*^9, 3.753754280912528*^9}, {
   3.753754314111948*^9, 3.753754316912317*^9}, {3.770546132544592*^9, 
   3.7705461474825916`*^9}, 3.7705461993965917`*^9, {3.789322018204805*^9, 
   3.7893220324811487`*^9}, 3.789323293102976*^9, 3.816094409686751*^9},
 CellID->9885129,ExpressionUUID->"01eef4ae-7908-4fb0-b49b-7312ae59511b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShapiroWilkTest", "[", "groupB", "]"}]], "Input",
 CellChangeTimes->{{3.753754306912979*^9, 3.7537543073617854`*^9}},
 CellLabel->"In[8]:=",
 CellID->138960624,ExpressionUUID->"b30edadd-32ff-4d28-95a4-7de6b072f3bf"],

Cell[BoxData["2.0987644351018124`*^-7"], "Output",
 CellChangeTimes->{3.753755278814958*^9, 3.7537554285942683`*^9, 
  3.789406147716399*^9, 3.813560459140315*^9},
 CellLabel->"Out[8]=",
 CellID->459028168,ExpressionUUID->"3717a92b-2bec-43c4-93b6-d9a00fb85b94"]
}, Open  ]],

Cell["Box-and-whisker plot with outliers:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.7537543787944756`*^9, 3.7705462024835916`*^9},
 CellID->66162613,ExpressionUUID->"45499209-7176-4c1b-9652-086cf2baed1a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BoxWhiskerChart", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Labeled", "[", 
      RowBox[{"groupA", ",", "\"\<Group A\>\""}], "]"}], ",", 
     RowBox[{"Labeled", "[", 
      RowBox[{"groupB", ",", "\"\<Group B\>\""}], "]"}]}], "}"}], ",", 
   "\"\<Outliers\>\"", ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Outliers\>\""}]}], "]"}]], "Input",
 CellLabel->"In[9]:=",
 CellID->159944234,ExpressionUUID->"6444e8bf-ed52-42f4-ade8-ae2cba95c83c"],

Cell[BoxData[
 GraphicsBox[{
   {Opacity[0], 
    PointBox[{{0.3836399216673073, -1.5241474752862203`}, {
     2.6163600783326926`, 10.940666375758022`}}]}, 
   {RGBColor[0.982864, 0.7431472, 0.3262672], CapForm[None], {}, 
    {RGBColor[0.982864, 0.7431472, 0.3262672], 
     {RGBColor[0.982864, 0.7431472, 0.3262672], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           GraphicsGroupBox[{Antialiasing -> False, 
             
             PolygonBox[{{0.7754133086869819, 2.626167677827608}, {
              1.2245866913130181`, 2.626167677827608}, {1.2245866913130181`, 
              0.6939966363540497}, {0.7754133086869819, 
              0.6939966363540497}}], {}, {{
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                1., 5.572943217009804}], 
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                1., 6.048651681756525}], 
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                1., 6.151878886553004}]}, {
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0.5], StripOnInput -> False], 
                  TraditionalForm]], {1., 8.788006889026288}]}}, {}, {
              GrayLevel[0], 
              GrayLevel[1], 
              
              LineBox[{{1.2245866913130181`, 1.4258221205255788`}, {
               0.7754133086869819, 1.4258221205255788`}}]}, {}, {
              GrayLevel[0], 
              GrayLevel[0.5], 
              
              LineBox[{{{1., 0.6939966363540497}, {1., 
               0.0007515553070761322}}, {{1., 2.626167677827608}, {1., 
               5.088819706815857}}}]}, {
              GrayLevel[0], 
              GrayLevel[0.5], 
              
              LineBox[{{{1.112293345656509, 0.0007515553070761322}, {
               0.8877066543434909, 0.0007515553070761322}}, {{
               1.112293345656509, 5.088819706815857}, {0.8877066543434909, 
               5.088819706815857}}}]}, {}}]},
          
          ImageSizeCache->{{100.5857864376269, 
           180.4142135623731}, {-87.37439367141793, 87.41421356237309}}],
         "DelayedMouseEffectStyle"],
        StyleBox[
         TagBox[
          GridBox[{{
             StyleBox["\"max\"", Bold, StripOnInput -> False], 
             "8.788006889026288`"}, {
             StyleBox["\"75%\"", Bold, StripOnInput -> False], 
             "2.626167677827608`"}, {
             StyleBox["\"median\"", Bold, StripOnInput -> False], 
             "1.4258221205255788`"}, {
             StyleBox["\"25%\"", Bold, StripOnInput -> False], 
             "0.6939966363540497`"}, {
             StyleBox["\"min\"", Bold, StripOnInput -> False], 
             "0.0007515553070761322`"}}, 
           GridBoxAlignment -> {"Columns" -> {Center, ".", {Left}}}, 
           AutoDelete -> False, GridBoxDividers -> {"Columns" -> {
               Directive[
                GrayLevel[0.3]], {
                Directive[
                 GrayLevel[0.3]]}, 
               Directive[
                GrayLevel[0.3]]}, "Rows" -> {
               Directive[
                GrayLevel[0.3]], {
                Directive[
                 GrayLevel[0.3]]}, 
               Directive[
                GrayLevel[0.3]]}}, 
           GridBoxFrame -> {
            "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> GrayLevel[0]}}, 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, BaseStyle -> 
           Directive[
             AbsoluteThickness[1], 
             Dashing[{}]]], "Grid"], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Grid[{{
            Style["max", Bold], 8.788006889026288}, {
            Style["75%", Bold], 2.626167677827608}, {
            Style["median", Bold], 1.4258221205255788`}, {
            Style["25%", Bold], 0.6939966363540497}, {
            Style["min", Bold], 0.0007515553070761322}}, Dividers -> {{
             Directive[
              GrayLevel[0.3]], {
              Directive[
               GrayLevel[0.3]]}, 
             Directive[
              GrayLevel[0.3]]}, {
             Directive[
              GrayLevel[0.3]], {
              Directive[
               GrayLevel[0.3]]}, 
             Directive[
              GrayLevel[0.3]]}}, Alignment -> {{Center, ".", {Left}}}, Frame -> 
          GrayLevel[0], BaseStyle -> Directive[
            AbsoluteThickness[1], 
            Dashing[{}]]], {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           GraphicsGroupBox[{Antialiasing -> False, 
             
             PolygonBox[{{1.7754133086869819`, 2.9239546798336007`}, {
              2.224586691313018, 2.9239546798336007`}, {2.224586691313018, 
              0.12301883008291092`}, {1.7754133086869819`, 
              0.12301883008291092`}}], {}, {{
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                2., 7.559153353214436}], 
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                2., 9.86345646984878}], 
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                2., 10.374083927983284`}]}, {}}, {}, {
              GrayLevel[0], 
              GrayLevel[1], 
              
              LineBox[{{2.224586691313018, 1.168867398367737}, {
               1.775413308686982, 1.168867398367737}}]}, {}, {
              GrayLevel[0], 
              GrayLevel[0.5], 
              
              LineBox[{{{2., 0.12301883008291092`}, {
               2., -0.9575650275114821}}, {{2., 2.9239546798336007`}, {2., 
               6.19044720168783}}}]}, {
              GrayLevel[0], 
              GrayLevel[0.5], 
              
              LineBox[{{{2.112293345656509, -0.9575650275114821}, {
               1.887706654343491, -0.9575650275114821}}, {{2.112293345656509, 
               6.19044720168783}, {1.887706654343491, 
               6.19044720168783}}}]}, {}}]},
          
          ImageSizeCache->{{270.5857864376269, 
           350.4142135623731}, {-117.22108172448428`, 105.41421356237312`}}],
         "DelayedMouseEffectStyle"],
        StyleBox[
         TagBox[
          GridBox[{{
             StyleBox["\"max\"", Bold, StripOnInput -> False], 
             "10.374083927983284`"}, {
             StyleBox["\"75%\"", Bold, StripOnInput -> False], 
             "2.9239546798336007`"}, {
             StyleBox["\"median\"", Bold, StripOnInput -> False], 
             "1.168867398367737`"}, {
             StyleBox["\"25%\"", Bold, StripOnInput -> False], 
             "0.12301883008291092`"}, {
             StyleBox["\"min\"", Bold, StripOnInput -> False], 
             RowBox[{"-", "0.9575650275114821`"}]}}, 
           GridBoxAlignment -> {"Columns" -> {Center, ".", {Left}}}, 
           AutoDelete -> False, GridBoxDividers -> {"Columns" -> {
               Directive[
                GrayLevel[0.3]], {
                Directive[
                 GrayLevel[0.3]]}, 
               Directive[
                GrayLevel[0.3]]}, "Rows" -> {
               Directive[
                GrayLevel[0.3]], {
                Directive[
                 GrayLevel[0.3]]}, 
               Directive[
                GrayLevel[0.3]]}}, 
           GridBoxFrame -> {
            "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> GrayLevel[0]}}, 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, BaseStyle -> 
           Directive[
             AbsoluteThickness[1], 
             Dashing[{}]]], "Grid"], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Grid[{{
            Style["max", Bold], 10.374083927983284`}, {
            Style["75%", Bold], 2.9239546798336007`}, {
            Style["median", Bold], 1.168867398367737}, {
            Style["25%", Bold], 0.12301883008291092`}, {
            Style["min", Bold], -0.9575650275114821}}, Dividers -> {{
             Directive[
              GrayLevel[0.3]], {
              Directive[
               GrayLevel[0.3]]}, 
             Directive[
              GrayLevel[0.3]]}, {
             Directive[
              GrayLevel[0.3]], {
              Directive[
               GrayLevel[0.3]]}, 
             Directive[
              GrayLevel[0.3]]}}, Alignment -> {{Center, ".", {Left}}}, Frame -> 
          GrayLevel[0], BaseStyle -> Directive[
            AbsoluteThickness[1], 
            Dashing[{}]]], {}], 
        "Tooltip"]& ]}}, {}, {}}, {{{{{{{}, {}}, {}}, {{{}, {}}, {}}}, {}}, \
{}}, {}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0.70295463955568, -1.5241474752862203`},
  DisplayFunction->Identity,
  Frame->True,
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {{{1., 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {1., 
       FormBox["\"Group A\"", TraditionalForm], 0}, {2., 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {2., 
       FormBox["\"Group B\"", TraditionalForm], 0}, {0.7754133086869819, 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}, {
      2.224586691313018, 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}}, {{1., 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {2., 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {
      0.7754133086869819, 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}, {
      2.224586691313018, 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}}}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{438.19921875, Automatic},
  PlotLabel->FormBox["\"Outliers\"", TraditionalForm],
  PlotRangePadding->{{
     Scaled[0.05], 
     Scaled[0.05]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{{{1., 
      FormBox[
       TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {1., 
      FormBox["\"Group A\"", TraditionalForm], 0}, {2., 
      FormBox[
       TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {2., 
      FormBox["\"Group B\"", TraditionalForm], 0}, {0.7754133086869819, 
      FormBox[
       TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}, {
     2.224586691313018, 
      FormBox[
       TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}}, 
    Automatic}]], "Output",
 CellChangeTimes->{3.7537543882647104`*^9, 3.7537552817792034`*^9, 
  3.7537554315458612`*^9, 3.789406147842907*^9, 3.8135604592808523`*^9},
 CellLabel->"Out[9]=",
 CellID->1963078629,ExpressionUUID->"99aec9ce-f8d3-475b-97ff-e363cd864d78"]
}, Open  ]],

Cell[TextData[{
 "We can clearly see from the q-q plots that neither of the lists follows a \
normal distribution. This is confirmed by the ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "f2117d3c-70f9-482a-bf36-480f6cd23a43"],
 "-values of the Shapiro\[Dash]Wilk tests, which for both groups are smaller \
than a chosen ",
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]],ExpressionUUID->
  "43f02c1f-60f9-4379-b80a-eac0fa246cf8"],
 "-value of ",
 Cell[BoxData[
  FormBox["0.05", TraditionalForm]],ExpressionUUID->
  "beeea6de-ee62-46f3-b749-78f79450bffd"],
 ". We also note for the box-and-whisker plots that there are various \
outliers."
}], "Text",
 CellChangeTimes->{{3.753754440129758*^9, 3.75375447842409*^9}, {
  3.753755295825529*^9, 3.7537553016572475`*^9}, {3.7704859037220507`*^9, 
  3.7704859064430504`*^9}, {3.7705461579745913`*^9, 3.770546159176592*^9}, {
  3.7705463859135914`*^9, 3.7705463876185913`*^9}, {3.770547160742219*^9, 
  3.7705471715543*^9}, {3.7908212197255926`*^9, 3.79082126369559*^9}, {
  3.816094430285694*^9, 3.8160944421741447`*^9}},
 CellID->200276446,ExpressionUUID->"a69c0022-30ac-4da4-abc2-3f579f70ef6a"],

Cell[TextData[{
 "Our goal is to compare the data between the two groups that we created. \
Even though we have not met the assumptions for the use of a parametric test \
such as the Student\[CloseCurlyQuote]s ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "1f3c9863-c962-441f-9361-26d6793da216"],
 " test, it can still be performed. Let\[CloseCurlyQuote]s have a look at the \
summary statistics of the two ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects and then compare their means by calculating a ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "9fc551c9-2de5-47e3-bd2c-0547c774198e"],
 "-value using Student\[CloseCurlyQuote]s ",
 StyleBox["t",
  FontSlant->"Italic"],
 " test."
}], "Text",
 CellChangeTimes->{
  3.7537544538817415`*^9, {3.7537544927207236`*^9, 3.7537544938486795`*^9}, 
   3.77048590950605*^9, {3.7705463479965916`*^9, 3.7705463722195916`*^9}, {
   3.7705464103635917`*^9, 3.7705464231615915`*^9}, {3.7705472180259466`*^9, 
   3.770547218288973*^9}, {3.7893225005535316`*^9, 3.789322500945188*^9}, {
   3.7908213028955917`*^9, 3.790821366578597*^9}, 3.816501423293086*^9},
 CellID->200326795,ExpressionUUID->"8be99f43-b2a8-47fd-bcef-57ef0518a546"],

Cell[TextData[{
 "We calculate the means for the two ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects using the ",
 ButtonBox["Mean",
  BaseStyle->"Link"],
 " function and the shorthand notation ",
 ButtonBox["/@",
  BaseStyle->"Link",
  ButtonData->"Map"],
 " to apply the function to the nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects that follow. We will also use ",
 ButtonBox["//",
  BaseStyle->"Link",
  ButtonData->"Postfix"],
 ButtonBox["N",
  BaseStyle->"Link"],
 " to get a numerical result. "
}], "Text",
 CellChangeTimes->{{3.770547292379381*^9, 3.770547378463989*^9}, {
  3.770547411403282*^9, 3.7705474466458063`*^9}, {3.790821415565691*^9, 
  3.7908214473857946`*^9}, {3.8135573156170053`*^9, 3.813557321622904*^9}},
 CellID->259722002,ExpressionUUID->"4c0445f2-cc09-4f87-8c33-4ff2dfcda743"],

Cell["Calculate the means:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753754512627163*^9, 3.753754565432498*^9}, {
   3.7705473854236846`*^9, 3.7705473886320057`*^9}},
 CellID->59999348,ExpressionUUID->"79885eb9-fc79-4f3a-8d6a-106e94832785"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Mean", "/@", 
   RowBox[{"{", 
    RowBox[{"groupA", ",", "groupB"}], "}"}]}], "//", "N"}]], "Input",
 CellLabel->"In[10]:=",
 CellID->190533323,ExpressionUUID->"afe9f6a0-3879-45ad-9a09-5f97e56868bc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.8662500871273318`", ",", "1.7788188028291299`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7537545745774364`*^9, 3.753755367411209*^9, 
  3.7537554363343935`*^9, 3.789406147875244*^9, 3.790821465535334*^9, 
  3.813560459295065*^9},
 CellLabel->"Out[10]=",
 CellID->1671248742,ExpressionUUID->"fc8d0fd1-51cf-4400-a54f-f69f671f2464"]
}, Open  ]],

Cell[TextData[{
 "We note a mean for group A of ",
 Cell[BoxData[
  FormBox["1.87", TraditionalForm]],ExpressionUUID->
  "9426e20b-9a25-41db-81de-27beaa02db7b"],
 " and a mean of ",
 Cell[BoxData[
  FormBox["1.78", TraditionalForm]],ExpressionUUID->
  "fa70444f-58bf-41e4-8921-ac301ecce4b6"],
 " for group B. Let\[CloseCurlyQuote]s have a look at the median and standard \
deviation for each ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object."
}], "Text",
 CellChangeTimes->{{3.753754584094355*^9, 3.753754614576392*^9}, 
   3.77048591277005*^9, 3.7705474678029213`*^9, {3.790821476005782*^9, 
   3.7908214901958213`*^9}},
 CellID->325102772,ExpressionUUID->"086d248a-94b6-4650-843e-91669433e7f1"],

Cell["Calculate the medians:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753754629179748*^9, 3.7537546369124327`*^9}, {
   3.7705478018708177`*^9, 3.7705478084531593`*^9}},
 CellID->296333623,ExpressionUUID->"7dcd05e1-3a68-410e-8da7-52b7b7c19d66"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Median", "/@", 
   RowBox[{"{", 
    RowBox[{"groupA", ",", "groupB"}], "}"}]}], "//", "N"}]], "Input",
 CellLabel->"In[11]:=",
 CellID->50827859,ExpressionUUID->"b5b804d4-e249-40a2-8aff-c7ca6c30b20e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.4258221205255788`", ",", "1.168867398367737`"}], "}"}]], "Output",
 CellChangeTimes->{3.753754643880762*^9, 3.753755370728546*^9, 
  3.753755439824068*^9, 3.789406147916607*^9, 3.7908214999357495`*^9, 
  3.813560459324245*^9},
 CellLabel->"Out[11]=",
 CellID->1738987681,ExpressionUUID->"be2ad072-6444-4499-a066-15560b23647f"]
}, Open  ]],

Cell["Calculate the standard deviations:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537546545227423`*^9, 3.7537546598723483`*^9}, {
   3.7705478114518595`*^9, 3.770547816428362*^9}},
 CellID->243831392,ExpressionUUID->"b890ca7d-a730-4372-9f9b-9ecdab86a362"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"StandardDeviation", "/@", 
   RowBox[{"{", 
    RowBox[{"groupA", ",", "groupB"}], "}"}]}], "//", "N"}]], "Input",
 CellLabel->"In[12]:=",
 CellID->36307491,ExpressionUUID->"81af5ed2-3e83-4a64-9dbc-2db8e79aad67"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.672948452301074`", ",", "2.247453148081541`"}], "}"}]], "Output",
 CellChangeTimes->{3.7537546680033603`*^9, 3.753755374064664*^9, 
  3.753755442984886*^9, 3.789406147925716*^9, 3.790821503230293*^9, 
  3.813560459330656*^9},
 CellLabel->"Out[12]=",
 CellID->2061002544,ExpressionUUID->"0c60fd0a-cd29-4e03-a351-4b53947f42cb"]
}, Open  ]],

Cell[TextData[{
 "There is a relatively large difference between the groups with respect to \
the median. Now we perform the Student ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "138cbacb-d916-4e75-bbe1-5d83e7a2f210"],
 " test to compare the means. We use the ",
 ButtonBox["VerifyTestAssumptions",
  BaseStyle->"Link"],
 " argument and set it to ",
 ButtonBox["None",
  BaseStyle->"Link"],
 " so that the Wolfram Language does not check for the parametric test \
assumptions."
}], "Text",
 CellChangeTimes->{{3.7161781680179315`*^9, 3.716178230914419*^9}, 
   3.71617841817762*^9, {3.7268906851430187`*^9, 3.7268906924141483`*^9}, {
   3.753754683176981*^9, 3.7537547217775617`*^9}, 3.7704859159230504`*^9, {
   3.7705478221487894`*^9, 3.7705478412018843`*^9}, {3.7908215195156727`*^9, 
   3.790821585435815*^9}, 3.8135573929285383`*^9, {3.816094602190572*^9, 
   3.816094607966085*^9}},
 CellID->15728450,ExpressionUUID->"ddc756fa-8db3-4883-8e1a-079bcddfed94"],

Cell[TextData[{
 "Student ",
 Cell[BoxData[
  FormBox[
   StyleBox["t", "TI"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "f070c74c-7384-484d-9d6f-35631b8e2df1"],
 " test for comparison of means:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.7537547336686954`*^9, {3.770547846302374*^9, 
   3.7705478707319307`*^9}, {3.789322540542789*^9, 3.789322540545219*^9}, {
   3.7893245222594213`*^9, 3.789324522555027*^9}, 3.816094611981824*^9},
 CellID->828186304,ExpressionUUID->"2297b023-ca47-42b3-9e36-941ae3c4d636"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TTest", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"groupA", ",", "groupB"}], "}"}], ",", 
   RowBox[{"VerifyTestAssumptions", "\[Rule]", "None"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.75375474932236*^9, 3.753754786985684*^9}},
 CellLabel->"In[13]:=",
 CellID->273372735,ExpressionUUID->"64a7173d-266c-41b2-a618-5afa1cb88288"],

Cell[BoxData["0.7553236261528117`"], "Output",
 CellChangeTimes->{{3.753754742360503*^9, 3.7537547888539104`*^9}, 
   3.753755378705014*^9, 3.753755449096076*^9, 3.789406147957719*^9, 
   3.7908215982856236`*^9, 3.8135604593605022`*^9},
 CellLabel->"Out[13]=",
 CellID->358530898,ExpressionUUID->"528b1f92-5d25-481d-a2b8-932a462ead18"]
}, Open  ]],

Cell[TextData[{
 "We note a ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "2abd0df7-da3e-4b6f-b006-be381b310265"],
 "-value of larger than a chosen ",
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]],ExpressionUUID->
  "41398d4f-30b8-49a9-8771-081a3f851ba7"],
 "-value of ",
 Cell[BoxData[
  FormBox["0.05", TraditionalForm]], "InlineMath",ExpressionUUID->
  "08025f28-0018-4343-bae8-695e62b29a6b"],
 ", which we would term an insignificant difference. We would therefore fail \
to reject the null hypothesis and conclude that there is no difference for \
our numerical variable under consideration when compared between the two \
groups."
}], "Text",
 CellChangeTimes->{{3.753754803615519*^9, 3.7537548210650997`*^9}, {
   3.7537553845790896`*^9, 3.7537553871552057`*^9}, 3.77048591838605*^9, {
   3.770546430006592*^9, 3.770546453037592*^9}, {3.770547887242575*^9, 
   3.770547912382575*^9}, {3.7908216250860295`*^9, 3.7908217107757907`*^9}, 
   3.813557376360323*^9, 3.816094721053176*^9},
 CellID->233294602,ExpressionUUID->"d2f9b879-4ffb-42a9-b491-f46bcfdf5ca0"],

Cell[TextData[{
 "This would not be a proper test to conduct, though, since we have violated \
the assumptions for the use of this test. The nonparametric alternative to \
the Student ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "a6023a3d-59a8-47a5-8e6b-352c1e789dfb"],
 " test is the Mann\[Dash]Whitney ",
 Cell[BoxData[
  FormBox["U", TraditionalForm]], "InlineMath",ExpressionUUID->
  "3d65b888-247d-4da5-a199-92e76fb8c01d"],
 "-test."
}], "Text",
 CellChangeTimes->{
  3.753754831673918*^9, 3.7704859210490503`*^9, {3.7705479497735753`*^9, 
   3.7705479784615755`*^9}, {3.7705495147385736`*^9, 
   3.7705495149795732`*^9}, {3.790821719565898*^9, 3.790821721915897*^9}, 
   3.816094738637178*^9, {3.819020355916843*^9, 3.819020356393898*^9}, {
   3.819020431292263*^9, 3.8190204321809387`*^9}},
 CellID->26557980,ExpressionUUID->"45289507-5954-4b5a-9adb-46ca0cda78d9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Mann\[Dash]Whitney ",
 Cell[BoxData[
  FormBox[
   StyleBox["U", "TI"], TraditionalForm]], "InlineMath",ExpressionUUID->
  "e3eddd0b-595c-4e5b-98f1-2bc4db1e4a3e"],
 "-Test"
}], "Subsection",
 CellChangeTimes->{{3.753754846458003*^9, 3.753754850649217*^9}, {
  3.7704813175981197`*^9, 3.7704813339277525`*^9}},
 CellID->24927249,ExpressionUUID->"9b22cf21-ddcd-4962-abc3-824e6a12116f"],

Cell[TextData[{
 "The Mann-Whitney ",
 Cell[BoxData[
  FormBox["U", TraditionalForm]], "InlineMath",ExpressionUUID->
  "10e217d8-662e-4c9f-8410-2b220ba67311"],
 "-test compares the medians of two lists of values. In the code cell below, \
we use the ",
 ButtonBox["MannWhitneyTest ",
  BaseStyle->"Link"],
 "function. The first argument is a nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object containing our two List objects. The second argument of ",
 Cell[BoxData[
  FormBox["0", TraditionalForm]],ExpressionUUID->
  "302cf01e-0910-48e4-a35f-674b4c24bbb2"],
 " denotes testing whether the medians are equal. Lastly, we ask for a table \
that will give us both the test statistic and a ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "345afa70-0f5b-4086-916c-50ff22e0c516"],
 "-value of our data",
 StyleBox[".",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.753754863385307*^9, 3.7537549058092527`*^9}, {
   3.7704813367360334`*^9, 3.770481341540514*^9}, {3.7704859249700503`*^9, 
   3.7704859358890505`*^9}, {3.7705464625105915`*^9, 3.770546471926592*^9}, {
   3.7705479915085754`*^9, 3.770548027827575*^9}, {3.7908217785158615`*^9, 
   3.7908217931358824`*^9}, {3.7908218502560587`*^9, 3.7908219331560698`*^9}, 
   3.8135574593442907`*^9},
 CellID->301135875,ExpressionUUID->"205270ae-d2f9-4e9b-a9f7-704e8b1eec0d"],

Cell[TextData[{
 "Use the ",
 ButtonBox["MannWhitneyTest",
  BaseStyle->"Link"],
 " function to compare the medians:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753754928246529*^9, 3.753754931600853*^9}, {
   3.7705480330885754`*^9, 3.770548047360575*^9}},
 CellID->138515802,ExpressionUUID->"e5f8addd-8464-4a9b-9133-8bb8238208ad"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MannWhitneyTest", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"groupA", ",", "groupB"}], "}"}], ",", "0", ",", 
   "\"\<TestDataTable\>\""}], "]"}]], "Input",
 CellChangeTimes->{3.7537549449865875`*^9},
 CellLabel->"In[14]:=",
 CellID->59531978,ExpressionUUID->"1e994819-8bd3-471c-b766-3c5808841987"],

Cell[BoxData[
 StyleBox[
  TagBox[GridBox[{
     {"\<\"\"\>", "\<\"Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
     {"\<\"Mann\[Hyphen]Whitney\"\>", "5482.`", "0.23939842757882346`"}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
    GridBoxDividers->{
     "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
      "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"], "DialogStyle",
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.753754945189147*^9, 3.7537553966089582`*^9, 
  3.753755453170063*^9, 3.789406147967784*^9, 3.790821944976009*^9, 
  3.813560459368754*^9},
 CellLabel->"Out[14]=",
 CellID->2137172851,ExpressionUUID->"4e3d13e6-9b51-4d71-b9d7-1e57ab111c96"]
}, Open  ]],

Cell[TextData[{
 "With our chosen sample values, the ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "79a26d2a-1fe0-460d-a1c6-282217b0ff97"],
 "-value is now very different to the Student ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "04b9dd33-4be5-4629-9db2-57eb1c8a7ff2"],
 " test ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "275cdce5-3c62-4181-976e-08d32153e3ff"],
 "-value. It is still larger than a chosen ",
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]],ExpressionUUID->
  "3dd91300-8c9f-4254-8b71-8fc381eb1d6d"],
 "-value of ",
 Cell[BoxData[
  FormBox["0.05", TraditionalForm]],ExpressionUUID->
  "5f80adac-5bea-44eb-91f5-79ca24cd258f"],
 " and we fail to reject our null hypothesis that there is a difference in \
the median values between the two groups."
}], "Text",
 CellChangeTimes->{{3.7537549611291695`*^9, 3.753755012697071*^9}, {
   3.753755466554281*^9, 3.753755534017893*^9}, 3.7704859397830505`*^9, {
   3.7705464816525917`*^9, 3.7705465107005916`*^9}, {3.790821962665658*^9, 
   3.790822019796137*^9}, {3.816094754197743*^9, 3.8160947577893972`*^9}},
 CellID->221638053,ExpressionUUID->"9106c9d7-88d0-48e5-bac0-a6068e250f9c"],

Cell["\<\
Although it has been shown that the nonparametric tests are less sensitive at \
detecting a true difference between samples, their use is encouraged when the \
assumptions for the use of the parametric tests are not met.\
\>", "Text",
 CellChangeTimes->{3.7908220217258387`*^9},
 CellID->91393616,ExpressionUUID->"824e519e-dd16-438c-802d-b93db1f99bd9"],

Cell[TextData[{
 "To finish this section, note that we can also use the ",
 ButtonBox["LocationTest ",
  BaseStyle->"Link"],
 "function. The Wolfram Language will determine which tests are appropriate \
for our data."
}], "Text",
 CellChangeTimes->{{3.753755564657959*^9, 3.7537556194254556`*^9}, 
   3.7704859426150503`*^9, {3.770549707590099*^9, 3.7705497232556653`*^9}, {
   3.7908220392562137`*^9, 3.7908220507636867`*^9}},
 CellID->155937532,ExpressionUUID->"7e759e92-38e3-465c-a2a8-625d8163be3e"],

Cell[TextData[{
 "Use the ",
 ButtonBox["LocationTest",
  BaseStyle->"Link"],
 " function so that Mathematica can decide on the best test to use:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753755647604721*^9, 3.7537556613376927`*^9}, {
   3.770549728279167*^9, 3.770549738648204*^9}},
 CellID->779985551,ExpressionUUID->"1968d73c-5095-4f5c-8b7d-ef924ddf16ea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LocationTest", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"groupA", ",", "groupB"}], "}"}], ",", "0", ",", 
   "\"\<TestDataTable\>\""}], "]"}]], "Input",
 CellLabel->"In[15]:=",
 CellID->447931485,ExpressionUUID->"d9f30fcb-64f0-43d7-8e58-d02d9664d7a7"],

Cell[BoxData[
 StyleBox[
  TagBox[GridBox[{
     {"\<\"\"\>", "\<\"Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
     {"\<\"Mann\[Hyphen]Whitney\"\>", "5482.`", "0.23939842757882346`"}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
    GridBoxDividers->{
     "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
      "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"], "DialogStyle",
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.753755669181593*^9, 3.7894061480256863`*^9, 
  3.7908220571860533`*^9, 3.813560459424618*^9},
 CellLabel->"Out[15]=",
 CellID->652627035,ExpressionUUID->"c72e9883-45d5-4420-9844-445f69a0f1a3"]
}, Open  ]],

Cell[TextData[{
 "The Wolfram Language indeed correctly chose the Mann\[Dash]Whitney ",
 Cell[BoxData[
  FormBox["U", TraditionalForm]], "InlineMath",ExpressionUUID->
  "133b1554-9849-4748-bc1e-6d31e6ead10d"],
 "-test."
}], "Text",
 CellChangeTimes->{{3.7537556864587107`*^9, 3.7537556943865695`*^9}, {
  3.7705497440397434`*^9, 3.770549753514691*^9}, {3.7908220679386573`*^9, 
  3.7908220688661585`*^9}},
 CellID->478302609,ExpressionUUID->"9b18ec47-65b4-4860-a808-1d091cf3eedb"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sign Test", "Subsection",
 CellChangeTimes->{{3.7537557050585403`*^9, 3.75375570641809*^9}, {
  3.7704815607284307`*^9, 3.7704815610324607`*^9}},
 CellID->80498346,ExpressionUUID->"0beef9f7-5889-4bf7-a130-d9bc1d270b88"],

Cell[TextData[{
 "The sign test can be used in place of the paired-sample ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "976490f9-d27e-4f01-880d-4b7477072a1e"],
 " test. This means that the sign test is designed to be used when the two \
List objects representing the same variable for two samples are not \
independent. For example, we might look at the data point values for the same \
variable before and after an intervention. The sign test compares the sign \
(positive, negative, or the same) resulting from the difference between each \
pair of values. The magnitude of the difference is of no consequence, only \
the sign of the difference. All data point value pairs that are equal are \
discarded."
}], "Text",
 CellChangeTimes->{{3.716260905481681*^9, 3.716261132061387*^9}, {
   3.7162635558951716`*^9, 3.7162636077305884`*^9}, {3.726890893422807*^9, 
   3.7268909031986756`*^9}, {3.7537557304905367`*^9, 3.753755765258972*^9}, {
   3.7704859456000504`*^9, 3.7704859599760504`*^9}, 3.77054976690403*^9, 
   3.770550121065442*^9, {3.789322680944523*^9, 3.789322681704268*^9}, {
   3.7908221360562057`*^9, 3.7908221810162573`*^9}, 3.813557483104*^9},
 CellID->317252591,ExpressionUUID->"8ecfae57-0507-41f5-830e-90be548a9a32"],

Cell[TextData[{
 "The sign test can also be used as a nonparametric alternative to the \
one-sample ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "316d0eab-5c85-45a1-9ebf-7af34b327640"],
 " test. One list will then contain the same value for all of its elements. \
It can also be used when dealing with ordinal categorical variables, where it \
would be inappropriate to consider such data point values as numerical."
}], "Text",
 CellChangeTimes->{
  3.7537557969631414`*^9, {3.7704859626160507`*^9, 3.7704859675360503`*^9}, {
   3.770550150106346*^9, 3.7705501576631017`*^9}},
 CellID->154990272,ExpressionUUID->"1f90e903-fe7e-490d-93d2-61ce9e806484"],

Cell[TextData[{
 "In the next code cell, we create two ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects to use for the sign test. These represent the test results for ",
 Cell[BoxData[
  FormBox["17", TraditionalForm]],ExpressionUUID->
  "3812507f-06d8-45a0-91ff-c7ff30572fb9"],
 " subjects before and after an intervention. Our interest lies in whether \
the results after the intervention were lower than before the intervention. \
The null hypothesis will be that there is no difference between the two sets \
of data, i.e. there are just as many that were lower after the intervention \
than there were values that were higher after the intervention. The \
alternative hypothesis would be that there are more values that are lower \
after the intervention. This is a one-tailed alternative hypothesis. Let\
\[CloseCurlyQuote]s collect our data."
}], "Text",
 CellChangeTimes->{{3.7537558194093103`*^9, 3.753755834330894*^9}, {
  3.77048597113605*^9, 3.77048598841405*^9}, {3.770550174197755*^9, 
  3.770550181957531*^9}, {3.7705502477131057`*^9, 3.770550250783413*^9}, {
  3.790822244606169*^9, 3.790822248289356*^9}},
 CellID->31105447,ExpressionUUID->"6be98744-b19f-4e60-9a59-8c43417b29cf"],

Cell["\<\
Create two lists representing our before and after data for the same set of \
subjects:\
\>", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.7537558696694984`*^9, {3.77055030195953*^9, 
   3.7705503206894026`*^9}},
 CellID->142817733,ExpressionUUID->"e8431a88-94f9-4802-8cf9-5689344be5e9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"before", "=", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "3", ",", "5", ",", "4", ",", "4", ",", "5", ",", "5", ",", "5",
      ",", "3", ",", "4", ",", "5", ",", "4", ",", "4", ",", "5", ",", "5", 
     ",", "5", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"after", "=", 
   RowBox[{"{", 
    RowBox[{
    "4", ",", "4", ",", "4", ",", "3", ",", "4", ",", "4", ",", "4", ",", "4",
      ",", "4", ",", "3", ",", "1", ",", "1", ",", "2", ",", "4", ",", "2", 
     ",", "1", ",", "4"}], "}"}]}], ";"}]}], "Input",
 CellLabel->"In[16]:=",
 CellID->191100724,ExpressionUUID->"49e24ae2-aa23-4947-8107-a1b7477f2c6c"],

Cell[TextData[{
 "In the next step, we count how many of the ",
 Cell[BoxData[
 "after"], "InlineCodeText",ExpressionUUID->
  "eccdda1c-8545-409a-b620-b6550562d311"],
 " data point values were actually less than the ",
 Cell[BoxData[
 "before"], "InlineCodeText",ExpressionUUID->
  "4a563ec5-50ef-44b8-9e4c-e4d71640f35b"],
 " values. The ",
 StyleBox[ButtonBox["MapThread",
  BaseStyle->"Link"], "InlineCodeText"],
 " function will compare each element of the two lists in pair-wise fashion \
and return a Boolean value, i.e. ",
 StyleBox[ButtonBox["True",
  BaseStyle->"Link"], "InlineCodeText"],
 " or ",
 StyleBox[ButtonBox["False",
  BaseStyle->"Link"], "InlineCodeText"],
 ". The ",
 StyleBox[ButtonBox["Counts",
  BaseStyle->"Link"], "InlineCodeText"],
 " function will tell us how many times each occurred."
}], "Text",
 CellChangeTimes->{{3.7537558874452944`*^9, 3.7537559550863066`*^9}, {
   3.7704859908830504`*^9, 3.7704859996470504`*^9}, {3.7705503385961933`*^9, 
   3.7705503677731104`*^9}, {3.7705504494882812`*^9, 3.770550491570489*^9}, {
   3.790822377166233*^9, 3.7908223823364305`*^9}, {3.790822491187764*^9, 
   3.790822505026682*^9}, 3.81355765125823*^9, {3.813557761567698*^9, 
   3.81355777672227*^9}, 3.813557840903942*^9, {3.8135583897693233`*^9, 
   3.813558400188692*^9}},
 CellID->214834609,ExpressionUUID->"d47b7d33-ab25-464d-9b2b-dabf36a91b46"],

Cell[TextData[{
 "We have to be careful how we order the ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects. Since we use the ",
 ButtonBox["Less",
  BaseStyle->"Link"],
 " argument, we list ",
 Cell[BoxData[
 "after"], "InlineCodeText",ExpressionUUID->
  "994df7f3-0202-4735-b4fd-2a9c3f7193b2"],
 " and then ",
 Cell[BoxData[
 "before"], "InlineCodeText",ExpressionUUID->
  "6ffbc2ce-95e2-4e01-b439-2d18676702c1"],
 " to indicate that we want to know if the ",
 Cell[BoxData[
 "after"], "InlineCodeText",ExpressionUUID->
  "a3f12bfe-2bc1-4f69-9ba3-632e8ba0682f"],
 " data point value was less than the ",
 Cell[BoxData[
 "before"], "InlineCodeText",ExpressionUUID->
  "d0d511e4-cf58-4808-b83d-f68af4e25464"],
 " data point value for each pair. (We could also have used ",
 ButtonBox["Greater",
  BaseStyle->"Link"],
 " and changed the order of the ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects.)"
}], "Text",
 CellChangeTimes->{{3.7537558874452944`*^9, 3.753755999885667*^9}, {
   3.7704860028630505`*^9, 3.7704860065820503`*^9}, {3.770550962806568*^9, 
   3.770551008879568*^9}, 3.790822547626504*^9},
 CellID->182123392,ExpressionUUID->"51f61251-bcf8-4a68-a145-3522c0bf438f"],

Cell[TextData[{
 "The ",
 ButtonBox["MapThread",
  BaseStyle->"Link"],
 " function compares the before and after values:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537560588949113`*^9, 3.7537560649939795`*^9}, {
   3.7705512097935686`*^9, 3.770551223313568*^9}, {3.7908226509265966`*^9, 
   3.790822672256467*^9}, {3.816094916549347*^9, 3.8160949167895*^9}},
 CellID->750270687,ExpressionUUID->"3fd0d5ba-2c06-44f2-a2e3-bc4265ec21fd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MapThread", "[", 
  RowBox[{"Less", ",", 
   RowBox[{"{", 
    RowBox[{"after", ",", "before"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.790822601166565*^9, 3.790822604976573*^9}},
 CellLabel->"In[18]:=",
 CellID->769245860,ExpressionUUID->"f1f3d0ea-8cfb-4d9b-b239-083f9b5dcacc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "False", ",", "False", ",", "True", ",", "True", ",", "False", ",", "True", 
   ",", "True", ",", "True", ",", "False", ",", "True", ",", "True", ",", 
   "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "False"}],
   "}"}]], "Output",
 CellChangeTimes->{{3.790822605436577*^9, 3.790822621206519*^9}, 
   3.813560459455988*^9},
 CellLabel->"Out[18]=",
 CellID->1503592016,ExpressionUUID->"8bce1f05-242c-47f4-8be0-401706465d01"]
}, Open  ]],

Cell[TextData[{
 "If we consider the first point with a value of ",
 Cell[BoxData[
  FormBox["3", TraditionalForm]],ExpressionUUID->
  "b7776cf1-28e7-4135-bf7f-f3e2c998c047"],
 " before and a value of ",
 Cell[BoxData[
  FormBox["4", TraditionalForm]],ExpressionUUID->
  "c0fc557a-96ab-41b7-80b9-925cdfac6b11"],
 " after, we do indeed see a Boolean value of ",
 StyleBox[ButtonBox["False",
  BaseStyle->"Link"], "InlineCodeText"],
 ", since ",
 Cell[BoxData[
  FormBox["4", TraditionalForm]],ExpressionUUID->
  "868a01c1-6684-4618-b158-8024aee964b6"],
 " is not less than ",
 Cell[BoxData[
  FormBox["3", TraditionalForm]],ExpressionUUID->
  "6ad2f0f1-11de-4c45-b59b-28865b63e20d"],
 ". We now pass the previous calculation as argument to the ",
 StyleBox[ButtonBox["Counts",
  BaseStyle->"Link"], "InlineCodeText"],
 " function to count the Boolean values."
}], "Text",
 CellChangeTimes->{{3.7908226765464697`*^9, 3.790822792256452*^9}, {
  3.813557908151504*^9, 3.813557937815136*^9}, {3.816095114628626*^9, 
  3.816095114829072*^9}},
 CellID->31372745,ExpressionUUID->"160a4e49-e56f-40aa-a081-0bf75d5af417"],

Cell[TextData[{
 "Wrap the ",
 ButtonBox["MapThread",
  BaseStyle->"Link"],
 " function in the ",
 ButtonBox["Counts",
  BaseStyle->"Link"],
 " function:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537560588949113`*^9, 3.7537560649939795`*^9}, {
   3.7705512097935686`*^9, 3.770551223313568*^9}},
 CellID->230716436,ExpressionUUID->"39f85cf6-ac67-4eba-9ab7-6c43523bd13b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Counts", "[", 
  RowBox[{"MapThread", "[", 
   RowBox[{"Less", ",", 
    RowBox[{"{", 
     RowBox[{"after", ",", "before"}], "}"}]}], "]"}], "]"}]], "Input",
 CellLabel->"In[19]:=",
 CellID->646710693,ExpressionUUID->"3d3476a2-4620-4860-bcd5-c2e654cd07fa"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"False", "\[Rule]", "5"}], ",", 
   RowBox[{"True", "\[Rule]", "12"}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7537560746852665`*^9, 3.789406148062847*^9, 
  3.790822804966501*^9, 3.813560459462384*^9},
 CellLabel->"Out[19]=",
 CellID->1430938663,ExpressionUUID->"295d03fd-5e7c-405a-bb40-ecc8a18fe38a"]
}, Open  ]],

Cell[TextData[{
 "We note that in five cases the ",
 Cell[BoxData[
 "after"], "InlineCodeText",ExpressionUUID->
  "73cb61b4-c532-4c66-bafc-0f34438b9bb4"],
 " data point value was not less than the ",
 Cell[BoxData[
 "before"], "InlineCodeText",ExpressionUUID->
  "437a0ba2-bdc3-496b-ad58-969de1e0efed"],
 " value. While it might not have been less than, it might have been equal to \
and, therefore, we need to find out if any of the paired data point values \
were equal. "
}], "Text",
 CellChangeTimes->{
  3.753756087360567*^9, {3.77048601360505*^9, 3.7704860176040506`*^9}, 
   3.7704860498820505`*^9, {3.7705512570085683`*^9, 3.7705512888055687`*^9}},
 CellID->617068413,ExpressionUUID->"5cf864ef-af60-4254-bd4d-c196c183cd7e"],

Cell["Check for equal values:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537561505941887`*^9, 3.753756155458933*^9}, {
   3.7705512932205687`*^9, 3.7705513019885683`*^9}},
 CellID->371583998,ExpressionUUID->"a4134cae-096a-43b3-874d-4691b3610418"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Counts", "[", 
  RowBox[{"MapThread", "[", 
   RowBox[{"Equal", ",", 
    RowBox[{"{", 
     RowBox[{"before", ",", "after"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7162617264063597`*^9, 3.716261752188813*^9}, {
  3.716261795022933*^9, 3.7162618340873857`*^9}, {3.716262611069439*^9, 
  3.716262626863742*^9}},
 CellLabel->"In[20]:=",
 CellID->84245348,ExpressionUUID->"43c95842-ad4d-4de2-bfe5-090a0be6fac5"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"False", "\[Rule]", "16"}], ",", 
   RowBox[{"True", "\[Rule]", "1"}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7537561390799837`*^9, 3.789406148070571*^9, 
  3.7908228246967278`*^9, 3.81356045946837*^9},
 CellLabel->"Out[20]=",
 CellID->116746288,ExpressionUUID->"35b8dc92-2198-47a0-bedf-5a31fdd3c7e5"]
}, Open  ]],

Cell[TextData[{
 "There was indeed one data point pair that was equal. So, we have four cases \
in which the ",
 Cell[BoxData[
 "after"], "InlineCodeText",ExpressionUUID->
  "0a5cf8bc-893f-4a67-9143-c895a576bd74"],
 " was greater than the ",
 Cell[BoxData[
 "before"], "InlineCodeText",ExpressionUUID->
  "28348950-33c3-40a5-ad30-4fe9e17ed1fd"],
 " and ",
 Cell[BoxData[
  FormBox["12", TraditionalForm]],ExpressionUUID->
  "2b0a0731-aa80-49b1-9ce7-27922a7d2d38"],
 " in which it was less. In terms of the name of this test, we would have \
four positively signed values if we subtracted the after from the before and \
12 negatively signed values. The question is: Is this a difference that will \
force us to reject our null hypothesis?"
}], "Text",
 CellChangeTimes->{
  3.7537561216487026`*^9, {3.7704860544980507`*^9, 3.7704860605050507`*^9}, {
   3.770551491827568*^9, 3.770551519648568*^9}, {3.790822915116874*^9, 
   3.790822925056835*^9}, {3.79082300080684*^9, 3.7908230521068707`*^9}, {
   3.790823166586988*^9, 3.7908232093169975`*^9}, 3.813558210634506*^9, {
   3.813558301460609*^9, 3.813558314064457*^9}, {3.816095181484082*^9, 
   3.816095182084881*^9}, {3.816501454477499*^9, 3.816501455029193*^9}},
 CellID->205155784,ExpressionUUID->"5935e5e8-1869-485e-8e24-f0aa07383e4c"],

Cell[TextData[{
 "The solution is akin to tossing a coin. It has a probability of landing \
heads up of 0.5, the same as for tails. With one instance being equal, we \
ended up with 16 trials. In four of them, the ",
 Cell[BoxData[
 "after"], "InlineCodeText",ExpressionUUID->
  "93979764-eb7f-4311-896c-f6f52fc771d8"],
 " data point values were greater than the ",
 Cell[BoxData[
 "before"], "InlineCodeText",ExpressionUUID->
  "c5fe8b82-d1d0-4fca-8668-8f222b946b15"],
 " data point values, i.e. the sign of the values were positive."
}], "Text",
 CellChangeTimes->{
  3.7537561909362926`*^9, {3.77048606307205*^9, 3.7704860686650505`*^9}, {
   3.7705515493925686`*^9, 3.770551585997568*^9}},
 CellID->213140149,ExpressionUUID->"6947f5c2-8707-42e3-8777-0007a494b407"],

Cell[TextData[{
 "This means that we can use the binomial distribution with a probability of \
success (a positive value) being 0.5. We can use the ",
 ButtonBox["CDF",
  BaseStyle->"Link"],
 " function noting four positive results. The ",
 ButtonBox["BinomialDistrubution ",
  BaseStyle->"Link"],
 "function takes two arguments. The first is the number of trials or sample \
size. This is ",
 Cell[BoxData[
  FormBox["16", TraditionalForm]],ExpressionUUID->
  "f835c7f8-46f0-4e3c-97e3-631cf22dfec2"],
 " in our instance. The second is the probability of success (positive \
signs), which is 0.5."
}], "Text",
 CellChangeTimes->{{3.75375621825653*^9, 3.7537562420973787`*^9}, {
   3.77048607124205*^9, 3.7704860881520505`*^9}, {3.7705516126995687`*^9, 
   3.7705516167955685`*^9}, {3.7705517335228825`*^9, 3.770551742018732*^9}, {
   3.770551801424672*^9, 3.7705518396074905`*^9}, 3.790823095246914*^9},
 CellID->396185678,ExpressionUUID->"4c9db0de-f085-45a8-a25a-2aa869aa643f"],

Cell[TextData[{
 "Calculate the one-tailed ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "f3a6f713-aca0-4fae-a5c8-5b3d3c2d2adc"],
 "-value:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.7537562610854993`*^9, {3.7705465333375916`*^9, 
   3.7705465469625916`*^9}, {3.7705518853760667`*^9, 
   3.7705518890084295`*^9}, {3.789322824869244*^9, 3.789322824871504*^9}, {
   3.789322909306135*^9, 3.78932290948065*^9}, {3.78932323188732*^9, 
   3.78932323219888*^9}, 3.8160952158684*^9},
 CellID->908523052,ExpressionUUID->"9497a86a-0a74-4df9-b257-7c371c5a96b8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CDF", "[", 
  RowBox[{
   RowBox[{"BinomialDistribution", "[", 
    RowBox[{"16", ",", "0.5"}], "]"}], ",", "4"}], "]"}]], "Input",
 CellLabel->"In[21]:=",
 CellID->937138854,ExpressionUUID->"e447b7fc-8ee5-4cda-8833-cad60cb3cd8e"],

Cell[BoxData["0.03840637207031265`"], "Output",
 CellChangeTimes->{3.75375627383667*^9, 3.789406148102414*^9, 
  3.81356045949597*^9},
 CellLabel->"Out[21]=",
 CellID->1502292705,ExpressionUUID->"88662541-0915-4794-8b59-486f8e720694"]
}, Open  ]],

Cell[TextData[{
 "The Wolfram Language provides the ",
 ButtonBox["SignTest ",
  BaseStyle->"Link"],
 "function. In the code cell below, we use it to indicate that we require a \
one-tailed alternative hypothesis. In order to do this, we must list the ",
 Cell[BoxData[
 "after"], "InlineCodeText",ExpressionUUID->
  "f5b13804-b9ae-4057-8f42-be0bcb74e9a1"],
 " ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object first."
}], "Text",
 CellChangeTimes->{{3.7537562836675076`*^9, 3.7537563054824147`*^9}, {
  3.77048609080105*^9, 3.7704860950560503`*^9}, {3.770551893329862*^9, 
  3.770551924455974*^9}},
 CellID->523344352,ExpressionUUID->"6fb05c86-643a-4ce7-a2ca-550d208a6a7e"],

Cell["Calculate the sign test:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537563160270233`*^9, 3.7537563204271026`*^9}, {
   3.7705519275772867`*^9, 3.7705519309306216`*^9}},
 CellID->85544000,ExpressionUUID->"244575a3-0289-42fa-b534-088c535bff10"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SignTest", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"after", ",", "before"}], "}"}], ",", "0", ",", 
   "\"\<TestDataTable\>\"", ",", 
   RowBox[{"AlternativeHypothesis", "\[Rule]", "\"\<Less\>\""}]}], 
  "]"}]], "Input",
 CellLabel->"In[22]:=",
 CellID->301224913,ExpressionUUID->"9dce7893-f6ba-40c7-87c7-58780438a4a7"],

Cell[BoxData[
 StyleBox[
  TagBox[GridBox[{
     {"\<\"\"\>", "\<\"Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
     {"\<\"Sign\"\>", "4", "0.03840637207031265`"}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
    GridBoxDividers->{
     "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
      "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"], "DialogStyle",
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.7537563230345316`*^9, 3.789406148111524*^9, 
  3.7908231275367937`*^9, 3.8135604595025177`*^9},
 CellLabel->"Out[22]=",
 CellID->1068255156,ExpressionUUID->"b13f3fbe-b8bc-4fe9-99c0-97cf645e1c5f"]
}, Open  ]],

Cell[TextData[{
 "We can now reject our null hypothesis since we have a ",
 StyleBox["p-",
  FontSlant->"Italic"],
 "value of less than a chosen ",
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]],ExpressionUUID->
  "b8330f04-ce2d-439e-a8ea-473c7a7d2181"],
 "-value of ",
 Cell[BoxData[
  FormBox["0.05", TraditionalForm]],ExpressionUUID->
  "0ab964d0-232c-40cd-bbbf-8cb2d797436a"],
 ", thereby accepting our alternative hypothesis. The alternative hypothesis \
stated that there were more values that were lower after the intervention."
}], "Text",
 CellChangeTimes->{{3.7908232528171053`*^9, 3.790823299806963*^9}, {
  3.7908233429571333`*^9, 3.7908233668770185`*^9}, {3.813558582588076*^9, 
  3.8135585852463093`*^9}, {3.8160952305090218`*^9, 3.816095245988914*^9}},
 CellID->692274767,ExpressionUUID->"08a4f00d-9afc-44c8-9c2f-3295e3639db7"],

Cell[TextData[{
 "Be very careful when using the ",
 StyleBox[ButtonBox["SignTest",
  BaseStyle->"Link"], "InlineCodeText"],
 " function and consider how the alternative hypothesis is structured as it \
also defines the null hypothesis. It is all too easy to use the List objects \
in the incorrect order of comparison."
}], "Text",
 CellChangeTimes->{{3.753756332898986*^9, 3.753756358058499*^9}, 
   3.7704860981420507`*^9, {3.7705524704645696`*^9, 3.770552489530476*^9}, 
   3.790823238416897*^9, {3.7908233854771605`*^9, 3.7908234221471324`*^9}, 
   3.813558614431714*^9},
 CellID->72322391,ExpressionUUID->"e7ee5043-bef3-4541-b8e3-12f301b44b6f"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Wilcoxon Signed Rank Test", "Subsection",
 CellChangeTimes->{{3.753756372923674*^9, 3.753756380931035*^9}, {
  3.770481618619219*^9, 3.770481622780635*^9}},
 CellID->350413459,ExpressionUUID->"9cfe06c0-f2fb-4e09-9766-7821a31c6b8f"],

Cell[TextData[{
 "As with the sign test, the Wilcoxon signed rank sum test, or the Wilcoxon \
test for short, can be used as a nonparametric alternative to the \
paired-sample ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "00768e92-4b8a-4731-bad9-9aae4b340d2c"],
 " test and the one-sample ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "0f6ad422-9e69-4d7e-be57-df277b936c6d"],
 " test, as well as for cases with ordinal categorical variables."
}], "Text",
 CellChangeTimes->{
  3.753756391300227*^9, {3.770552506019125*^9, 3.770552539059428*^9}, {
   3.790823495468856*^9, 3.790823500400032*^9}, {3.816095269524789*^9, 
   3.816095270036565*^9}},
 CellID->306921537,ExpressionUUID->"c0c0bd7d-0904-471f-a4ec-3bef8791c1dd"],

Cell[TextData[{
 "Not only do we use the sign of the difference between pairs of data point \
values (or between the data point values and a set median as in the case of a \
one-sample test), but we also rank the differences and sum them, allowing the \
calculation of the ",
 Cell[BoxData[
  FormBox["W", TraditionalForm]], "InlineMath",ExpressionUUID->
  "c8028656-836b-419c-887c-82e992950af7"],
 "-statistic. This is a more robust test than the sign test."
}], "Text",
 CellChangeTimes->{
  3.7537564119318027`*^9, 3.7704861007990503`*^9, 3.7705525606515875`*^9, {
   3.816095310771921*^9, 3.816095311804351*^9}},
 CellID->83998125,ExpressionUUID->"f7e98a4f-c2c5-404c-8c02-34d40564d46f"],

Cell[TextData[{
 "We can apply this test to similar before and after data for the same \
variable as we used in the sign test. The Wolfram Language function is ",
 ButtonBox["SignedRankTest",
  BaseStyle->"Link"],
 ". We once again create two ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects to simulate ",
 Cell[BoxData[
 "before"], "InlineCodeText",ExpressionUUID->
  "46928a40-5ee1-49d0-8252-881ee0fd7eb0"],
 " and ",
 Cell[BoxData[
 "after"], "InlineCodeText",ExpressionUUID->
  "236d12e6-5e24-4e76-99ce-c8617bfe1f2c"],
 " data point values, simulating an experiment where our variable of \
investigation was measured before and after an intervention."
}], "Text",
 CellChangeTimes->{{3.7537564338285275`*^9, 3.7537564515472803`*^9}, {
  3.7704861042000504`*^9, 3.7704861070080504`*^9}, {3.7705525753980618`*^9, 
  3.770552575869109*^9}, {3.7705526404205637`*^9, 3.7705526766661873`*^9}, {
  3.770552748967357*^9, 3.7705527605383573`*^9}, {3.7908235347373185`*^9, 
  3.7908235881273375`*^9}},
 CellID->254213015,ExpressionUUID->"64f4dd77-7dbb-4786-8bbc-44f56486c780"],

Cell[TextData[{
 "Create two new ",
 Cell[BoxData[
  ButtonBox["List",
   BaseStyle->"CodeLink"]], "InlineCode",ExpressionUUID->
  "81db74f1-63a5-46d6-9f6b-0009a314305b"],
 " objects:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537564636430044`*^9, 3.753756468395068*^9}, {
   3.770552763184357*^9, 3.7705527718963575`*^9}},
 CellID->398259635,ExpressionUUID->"cd869aa6-6f00-42b5-8f69-c3460164c8d3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"before", "=", 
   RowBox[{"{", 
    RowBox[{
    "86", ",", "71", ",", "77", ",", "68", ",", "91", ",", "72", ",", "77", 
     ",", "91", ",", "70", ",", "71", ",", "88", ",", "87"}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"after", "=", 
   RowBox[{"{", 
    RowBox[{
    "88", ",", "72", ",", "69", ",", "64", ",", "96", ",", "72", ",", "65", 
     ",", "90", ",", "65", ",", "70", ",", "81", ",", "84"}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.716281025813122*^9, 3.716281211370693*^9}, {
  3.7162825621626587`*^9, 3.716282573451624*^9}, {3.7537570438848605`*^9, 
  3.7537570453004932`*^9}, {3.753757085444853*^9, 3.753757088587864*^9}, {
  3.7537572150773325`*^9, 3.7537572169565763`*^9}, {3.753757287373846*^9, 
  3.7537572889245014`*^9}, {3.75375766941361*^9, 3.7537576712368875`*^9}},
 CellLabel->"In[2]:=",
 CellID->324495966,ExpressionUUID->"df3f4145-bb9e-49e9-84c7-cd758a224034"],

Cell[TextData[{
 "We can visualize the difference using the ",
 ButtonBox["BarChart",
  BaseStyle->"Link"],
 " function."
}], "Text",
 CellChangeTimes->{{3.753756480419459*^9, 3.753756486356818*^9}, {
  3.7705527888963575`*^9, 3.7705528001343575`*^9}},
 CellID->390422137,ExpressionUUID->"e0b7fc76-8111-4c7d-86a5-ace507489272"],

Cell["A bar chart of the differences:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.753756495973826*^9, 3.7705528040633574`*^9},
 CellID->524513634,ExpressionUUID->"b0c0dc8a-2828-4a3e-88c3-00f37829c48d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BarChart", "[", 
  RowBox[{
   RowBox[{"after", "-", "before"}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", 
    "\"\<Differences between the before and after Values\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7537565042351284`*^9, 3.7537565216667705`*^9}, {
   3.753757143213498*^9, 3.7537571522439804`*^9}, 3.813560573879307*^9, {
   3.813560738083151*^9, 3.8135607406829844`*^9}, {3.819020511664736*^9, 
   3.8190205126183357`*^9}},
 CellLabel->"In[4]:=",
 CellID->2491612,ExpressionUUID->"2d64d64b-1358-4fed-8aae-9a8be2c6c260"],

Cell[BoxData[
 GraphicsBox[{
   {Opacity[0], 
    PointBox[{{0.31753130590339895`, 0.}, {12.444681436631347`, 0.}}]}, {{}, 
    {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
     Thickness[Small]}], 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{0.5553185633686528, 0.}, {1.4446814366313472`, 2.}, 
             "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{26.6587684093245, 
            52.99868173656077}, {-64.4339367557645, -39.43565116713804}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, 2]& ,
         TagBoxNote->"2"],
        StyleBox["2", {}, StripOnInput -> False]],
       Annotation[#, 
        Style[2, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{1.5553185633686528`, 0.}, {2.444681436631347, 1.}, 
             "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{55.71317814923259, 
            82.05309147646885}, {-52.18479396145127, -39.43565116713804}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, 1]& ,
         TagBoxNote->"1"],
        StyleBox["1", {}, StripOnInput -> False]],
       Annotation[#, 
        Style[1, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{2.555318563368653, 0.}, {3.444681436631347, -8.}, 
             "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{84.76758788914067, 
            111.10750121637693`}, {-39.93565116713804, 58.55749118736781}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, -8]& ,
         TagBoxNote->"-8"],
        StyleBox[
         RowBox[{"-", "8"}], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[-8, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{3.555318563368653, 0.}, {4.444681436631347, -4.}, 
             "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{113.82199762904875`, 
            140.16191095628503`}, {-39.93565116713804, 9.560920010114884}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, -4]& ,
         TagBoxNote->"-4"],
        StyleBox[
         RowBox[{"-", "4"}], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[-4, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{4.555318563368653, 0.}, {5.444681436631347, 5.}, 
             "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{142.87640736895685`, 
            169.21632069619312`}, {-101.1813651387042, -39.43565116713804}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, 5]& ,
         TagBoxNote->"5"],
        StyleBox["5", {}, StripOnInput -> False]],
       Annotation[#, 
        Style[5, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{5.555318563368653, 0.}, {6.444681436631347, 0.}, 
             "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{171.93081710886494`, 
            198.27073043610122`}, {-39.93565116713804, -39.43565116713804}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, 0]& ,
         TagBoxNote->"0"],
        StyleBox["0", {}, StripOnInput -> False]],
       Annotation[#, 
        Style[0, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{6.555318563368653, 0.}, {7.444681436631347, -12.}, 
             "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{200.98522684877304`, 
            227.32514017600928`}, {-39.93565116713805, 107.55406236462073`}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, -12]& ,
         TagBoxNote->"-12"],
        StyleBox[
         RowBox[{"-", "12"}], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[-12, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{7.555318563368653, 0.}, {8.444681436631347, -1.}, 
             "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{230.0396365886811, 
            256.3795499159174}, {-39.93565116713804, -27.18650837282481}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, -1]& ,
         TagBoxNote->"-1"],
        StyleBox[
         RowBox[{"-", "1"}], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[-1, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{8.555318563368653, 0.}, {9.444681436631347, -5.}, 
             "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{259.0940463285892, 
            285.43395965582545`}, {-39.93565116713804, 21.810062804428114`}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, -5]& ,
         TagBoxNote->"-5"],
        StyleBox[
         RowBox[{"-", "5"}], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[-5, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{9.555318563368653, 0.}, {10.444681436631347`, -1.}, 
             "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{288.1484560684973, 
            314.48836939573357`}, {-39.93565116713804, -27.18650837282481}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, -1]& ,
         TagBoxNote->"-1"],
        StyleBox[
         RowBox[{"-", "1"}], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[-1, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{10.555318563368653`, 0.}, {
             11.444681436631347`, -7.}, "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{317.20286580840536`, 
            343.54277913564164`}, {-39.93565116713804, 46.30834839305458}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, -7]& ,
         TagBoxNote->"-7"],
        StyleBox[
         RowBox[{"-", "7"}], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[-7, {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], EdgeForm[{Opacity[0.616], 
      Thickness[Small]}], 
      TagBox[
       TooltipBox[
        TagBox[
         TagBox[
          DynamicBox[{
            FEPrivate`If[
             CurrentValue["MouseOver"], 
             EdgeForm[{
               GrayLevel[0.5], 
               AbsoluteThickness[1.5], 
               Opacity[0.66]}], {}, {}], 
            
            RectangleBox[{11.555318563368653`, 0.}, {
             12.444681436631347`, -3.}, "RoundingRadius" -> 0]},
           
           ImageSizeCache->{{346.25727554831343`, 
            372.5971888755497}, {-39.93565116713804, -2.688222784198345}}],
          "DelayedMouseEffectStyle"],
         StatusArea[#, -3]& ,
         TagBoxNote->"-3"],
        StyleBox[
         RowBox[{"-", "3"}], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[-3, {}], "Tooltip"]& ]}}, {}, {}}, {}, {}, {}, {}, 
   StyleBox[
    StyleBox[{
      {Thickness[Tiny], 
       LineBox[{{0.31753130590339895`, 0.}, {12.687224439245906`, 0.}}], 
       StyleBox[{}, "GraphicsLabel",
        StripOnInput->False]}, 
      StyleBox[{
        {Thickness[Tiny], 
         LineBox[{{0.5553185633686528, 0.}, 
           Offset[{-1.102182119232618*^-15, -6.}, {0.5553185633686528, 0.}]}],
          LineBox[{{12.444681436631347`, 0.}, 
           Offset[{-1.102182119232618*^-15, -6.}, {12.444681436631347`, 
            0.}]}], {{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}}, 
        StyleBox[{}, "GraphicsLabel",
         StripOnInput->False]}, "GraphicsTicks",
       StripOnInput->False]},
     Antialiasing->False], "GraphicsAxes",
    StripOnInput->False]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, True},
  AxesLabel->{None, None},
  AxesOrigin->{0.31753130590339895`, 0.},
  CoordinatesToolOptions:>{"DisplayFunction" -> ({
      Identity[
       Part[#, 1]], 
      Identity[
       Part[#, 2]]}& ), "CopiedValueFunction" -> ({
      Identity[
       Part[#, 1]], 
      Identity[
       Part[#, 2]]}& )},
  DisplayFunction->Identity,
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{387.88151041666606`, Automatic},
  PlotLabel->FormBox[
   "\"Differences between the before and after Values\"", TraditionalForm],
  PlotRange->{{All, All}, {All, All}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{None, Automatic}]], "Output",
 CellChangeTimes->{3.753756522305094*^9, 3.7537570480795035`*^9, 
  3.753757092039587*^9, 3.753757152822462*^9, 3.7537572201460958`*^9, 
  3.753757291883465*^9, 3.7537576746722813`*^9, 3.789406148207939*^9, 
  3.7908236060380325`*^9, 3.8135609152553062`*^9, 3.819020564743939*^9},
 CellLabel->"Out[4]=",
 CellID->1027347907,ExpressionUUID->"21814dd1-81f0-430d-94b4-ceeee025f1dc"]
}, Open  ]],

Cell[TextData[{
 "We note that in eight cases, the ",
 Cell[BoxData[
 "after"], "InlineCodeText",ExpressionUUID->
  "08027c70-7946-4d41-99dd-e5dffafa424a"],
 " value was less than the ",
 Cell[BoxData[
 "before"], "InlineCodeText",ExpressionUUID->
  "b1e30730-2fc1-4503-93bf-f0598da4e633"],
 " value for each pair of values."
}], "Text",
 CellChangeTimes->{{3.7537571915962367`*^9, 3.7537572034119153`*^9}, {
  3.753757235363989*^9, 3.753757255998212*^9}, {3.770552810991357*^9, 
  3.7705528153793573`*^9}, {3.7908236242910857`*^9, 3.790823636717351*^9}},
 CellID->360982027,ExpressionUUID->"9b7346b7-66d3-406a-9578-6cfd0585e24e"],

Cell[TextData[{
 "In the code cell below, we state that, according to our null hypothesis the \
difference between the medians is 0 and that we require both the ",
 StyleBox["W-",
  FontSlant->"Italic"],
 "statistic and a two-tailed alternative hypothesis ",
 StyleBox["p",
  FontSlant->"Italic"],
 "-value."
}], "Text",
 CellChangeTimes->{{3.7162645272452345`*^9, 3.71626469303176*^9}, {
   3.716279446338814*^9, 3.716279463763402*^9}, {3.716279599435443*^9, 
   3.7162797236754665`*^9}, {3.7162830318061247`*^9, 3.716283035958128*^9}, 
   3.7268907976920257`*^9, {3.7268914735648246`*^9, 3.726891474060746*^9}, {
   3.7705465579355917`*^9, 3.7705465634025917`*^9}, {3.7705528478203573`*^9, 
   3.7705528634983573`*^9}, {3.790823666767279*^9, 3.790823704927432*^9}, {
   3.8160955726364193`*^9, 3.816095572819759*^9}},
 CellID->274768616,ExpressionUUID->"e721f6e6-6dea-4972-8469-a7835a16d5fb"],

Cell["A two-tailed Wilcoxon signed rank sum test:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.753756567253612*^9, {3.770552875258357*^9, 
   3.7705528782023573`*^9}},
 CellID->560047910,ExpressionUUID->"4297a89e-b354-4dcd-8155-78f0dc42b413"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SignedRankTest", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"before", ",", "after"}], "}"}], ",", "0", ",", 
   "\"\<TestDataTable\>\""}], "]"}]], "Input",
 CellLabel->"In[26]:=",
 CellID->62295128,ExpressionUUID->"b18227da-143d-44c7-a84d-087cf84f81ce"],

Cell[BoxData[
 StyleBox[
  TagBox[GridBox[{
     {"\<\"\"\>", "\<\"Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
     {"\<\"Signed\[Hyphen]Rank\"\>", "52.5`", "0.09036132996776189`"}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
    GridBoxDividers->{
     "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
      "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"], "DialogStyle",
  StripOnInput->False]], "Output",
 CellChangeTimes->{
  3.7537565758682055`*^9, {3.7537570514516115`*^9, 3.75375705412239*^9}, 
   3.7537570952466316`*^9, 3.753757298098894*^9, 3.753757678251545*^9, 
   3.7894061483436403`*^9, 3.7908237110893435`*^9, 3.81356045960288*^9},
 CellLabel->"Out[26]=",
 CellID->843473604,ExpressionUUID->"dac46f8f-2795-4a5d-81e1-0483bbad422d"]
}, Open  ]],

Cell[TextData[{
 "The ",
 StyleBox["p-",
  FontSlant->"Italic"],
 "value is larger than a chosen ",
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]],ExpressionUUID->
  "7105f071-a732-4833-8f9a-27a9aa796e1f"],
 "-value of ",
 Cell[BoxData[
  FormBox["0.05", TraditionalForm]],ExpressionUUID->
  "45f5d10d-b56e-42c7-809d-dbb1806e8b40"],
 " and we fail to reject our null hypothesis."
}], "Text",
 CellChangeTimes->{{3.790823755417405*^9, 3.790823791757472*^9}, {
  3.816095630268029*^9, 3.816095635091748*^9}},
 CellID->342704572,ExpressionUUID->"a8453472-bd47-46ea-941d-fa97616b523f"],

Cell[TextData[{
 "What about one-tailed alternative hypotheses? Before we go any further, let\
\[CloseCurlyQuote]s have a look at the median values for each ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object since nonparametric tests compare the medians."
}], "Text",
 CellChangeTimes->{{3.7537565882039576`*^9, 3.7537566000996346`*^9}, 
   3.7704861094940505`*^9, {3.7705528926043572`*^9, 3.7705528955213575`*^9}, 
   3.7908238040375013`*^9, 3.8160956539081078`*^9},
 CellID->212123916,ExpressionUUID->"fbdd6f47-e2c5-4070-b3d9-e5c0642114c2"],

Cell[TextData[{
 "Find the medians for the ",
 Cell[BoxData[
 "before"], "InlineCode",ExpressionUUID->
  "d9ca9a6b-c203-43fb-b190-891626e16127"],
 " and ",
 Cell[BoxData[
 "after"], "InlineCode",ExpressionUUID->
  "172f28d5-0c58-44f9-8024-f5712b869be1"],
 " samples using shorthand notation:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.753756612694225*^9, {3.7537566614995527`*^9, 
   3.7537566664755406`*^9}, {3.770552949206357*^9, 3.770552964526357*^9}, 
   3.816095691779735*^9},
 CellID->350228334,ExpressionUUID->"d7083e71-b58d-4460-a3a6-20d35d3cab7d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Median", "/@", 
   RowBox[{"{", 
    RowBox[{"before", ",", "after"}], "}"}]}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.753756624155609*^9, 3.7537566241745586`*^9}},
 CellLabel->"In[27]:=",
 CellID->81719935,ExpressionUUID->"fa93e412-85cf-48cf-8fb8-fda794827371"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"77.`", ",", "72.`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7537566250362644`*^9, {3.7537570572108088`*^9, 3.753757059935502*^9}, 
   3.753757099011773*^9, 3.7537573018042035`*^9, 3.7537576818043847`*^9, 
   3.789406148352335*^9, 3.790823809017276*^9, 3.8135604596302633`*^9},
 CellLabel->"Out[27]=",
 CellID->721308581,ExpressionUUID->"f77cb7da-90ba-4e67-b910-563dfc615786"]
}, Open  ]],

Cell[TextData[{
 "Find the means for the ",
 Cell[BoxData[
 "before"], "InlineCode",ExpressionUUID->
  "bb875e70-d144-440b-bf7f-0809dad6e524"],
 " and ",
 Cell[BoxData[
 "after"], "InlineCode",ExpressionUUID->
  "8082b5cb-dd69-4895-9bb7-4822571f1dfd"],
 " samples using shorthand notation:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.753756621532593*^9, {3.753756674804289*^9, 
   3.753756679667259*^9}, {3.7705534749923573`*^9, 3.770553486456357*^9}, 
   3.8135587256864653`*^9},
 CellID->476500601,ExpressionUUID->"b106a70e-3097-49c2-a9a1-e54a5745b54f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Mean", "/@", 
   RowBox[{"{", 
    RowBox[{"before", ",", "after"}], "}"}]}], "//", "N"}]], "Input",
 CellLabel->"In[28]:=",
 CellID->133345853,ExpressionUUID->"6a2d2a37-27c1-47be-9bd1-80469cdb0b4e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"79.08333333333333`", ",", "76.33333333333333`"}], "}"}]], "Output",
 CellChangeTimes->{3.7537566889186673`*^9, 3.7537570636543655`*^9, 
  3.7537571040518017`*^9, 3.7537573043882885`*^9, 3.7537576845799594`*^9, 
  3.789406148385633*^9, 3.790823813237115*^9, 3.8135604596365967`*^9},
 CellLabel->"Out[28]=",
 CellID->488133552,ExpressionUUID->"595d5a24-4676-4414-a084-75edad8bc581"]
}, Open  ]],

Cell[TextData[{
 "The median has decreased and, as we suspected, so has the mean. Now, let\
\[CloseCurlyQuote]s suggest that we were testing a new intervention for which \
we hypothesize that the values would decrease after the intervention. In \
keeping with hypothesis testing, the null hypothesis would be that the ",
 StyleBox["after", "CodeText"],
 " values are equal to or larger than the before values and our alternative \
hypothesis states that the median for the ",
 StyleBox["after", "CodeText"],
 " values are less than the median for the before values. In the next code \
cell, we state the alternative hypothesis with a lesser value for the ",
 ButtonBox["AlternativeHypothesis",
  BaseStyle->"Link"],
 " argument. Let\[CloseCurlyQuote]s calculate a ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "abb752f3-cb4e-4ce6-9730-079c29f7fd01"],
 "-value."
}], "Text",
 CellChangeTimes->{{3.7537567011488094`*^9, 3.753756733580358*^9}, {
   3.7537573691251287`*^9, 3.75375741970177*^9}, {3.753757491350273*^9, 
   3.753757552887312*^9}, {3.7537575860306425`*^9, 3.753757598982365*^9}, {
   3.753768208030862*^9, 3.7537682281181765`*^9}, {3.7704861132190504`*^9, 
   3.7704861328470507`*^9}, {3.7705536191933575`*^9, 
   3.7705536194383574`*^9}, {3.7705537874172535`*^9, 3.770553812376749*^9}, {
   3.770553843952906*^9, 3.7705538861111217`*^9}, {3.790823850017213*^9, 
   3.790823873769769*^9}, {3.7908241099777517`*^9, 3.7908241126475105`*^9}, 
   3.790824158047747*^9, {3.7908242141976337`*^9, 3.79082422621774*^9}, 
   3.816095729661399*^9},
 CellID->151398330,ExpressionUUID->"718a2858-7050-47d2-8f8f-0da6751b486c"],

Cell[TextData[{
 "An alternative hypothesis for a decrease in ",
 Cell[BoxData[
 "after"], "InlineCode",ExpressionUUID->
  "3eba7cec-e613-4332-b9de-c2be8094ac6b"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753756750822382*^9, 3.753756758147433*^9}, {
   3.7705538972662373`*^9, 3.770553909525463*^9}},
 CellID->28901193,ExpressionUUID->"bda121e3-aec3-41b6-8230-eca66d5cd93e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SignedRankTest", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"after", ",", "before"}], "}"}], ",", "0", ",", 
   RowBox[{"AlternativeHypothesis", "\[Rule]", "\"\<Less\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7908241817297645`*^9, 3.790824202601917*^9}},
 CellLabel->"In[29]:=",
 CellID->28797249,ExpressionUUID->"683c0b32-4778-4f81-be3f-e861ff8c5a69"],

Cell[BoxData["0.045180664983880944`"], "Output",
 CellChangeTimes->{3.790824202787427*^9, 3.813560459663797*^9},
 CellLabel->"Out[29]=",
 CellID->673076924,ExpressionUUID->"6195b3ba-e2a1-49b9-978c-d44dc85bae46"]
}, Open  ]],

Cell[TextData[{
 "With an ",
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]], "InlineMath",ExpressionUUID->
  "a3720634-f29b-4c44-80ad-f68af032b7b0"],
 "-value of ",
 Cell[BoxData[
  FormBox["0.05", TraditionalForm]],ExpressionUUID->
  "63127708-4fb5-45f3-bbd9-ea2c5fe55c3f"],
 ", we reject the null hypothesis and accept the alternative hypothesis. We \
have shown that the intervention significantly decreases the ",
 Cell[BoxData[
 "after"], "InlineCodeText",ExpressionUUID->
  "2ea4da3f-3dd5-42fc-b892-3b887c341b9b"],
 " values."
}], "Text",
 CellChangeTimes->{
  3.7537567772500305`*^9, {3.7537576936370397`*^9, 3.753757737637149*^9}, 
   3.7704861355890503`*^9, {3.770546578122343*^9, 3.7705465801687517`*^9}, {
   3.770553955452055*^9, 3.770553974741984*^9}, 3.7908242683975782`*^9, 
   3.816095752252071*^9},
 CellID->188249743,ExpressionUUID->"1c134d31-ac2f-42e0-87bf-d25bdcdeffb3"],

Cell[TextData[{
 "It bears mentioning again that we have to be careful how the null and \
alternative hypotheses are stated. It determines the order in which we place \
the List objects and crucially, the choice of difference for the ",
 Cell[BoxData[
 "AlthenativeHypothesis"], "InlineCodeText",ExpressionUUID->
  "86bdadc3-86f9-4ed9-b584-ad5f062d3a56"],
 " argument."
}], "Text",
 CellChangeTimes->{3.790824543677989*^9, 3.813558946527063*^9, 
  3.8160957681237803`*^9},
 CellID->186285793,ExpressionUUID->"5b13cfdd-be3c-463f-92cd-f069ea31c3e2"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kruskal\[Dash]Wallis Test", "Subsection",
 CellChangeTimes->{{3.7537577559010315`*^9, 3.7537577603961463`*^9}, {
  3.770481677486105*^9, 3.770481680694426*^9}, {3.7705539777082806`*^9, 
  3.770553979222432*^9}},
 CellID->97832255,ExpressionUUID->"c86e2969-8096-4ea6-90bf-3dd4ff7781b3"],

Cell["\<\
The Kruskal\[Dash]Wallis test is the nonparametric test of choice when we \
cannot use one-way analysis of variance to compare the means of more than two \
groups.\
\>", "Text",
 CellChangeTimes->{3.753757987229286*^9, 3.8160957824430017`*^9},
 CellID->26708997,ExpressionUUID->"83f28b0d-40e5-44a7-bd4f-7e656830fa28"],

Cell[TextData[{
 "So as to have data that does not follow a normal distribution, we will once \
again use the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]],ExpressionUUID->
  "9141d767-4de2-43d1-8119-aa806738c803"],
 " distribution with the ",
 StyleBox[ButtonBox["RandomVariate",
  BaseStyle->"Link"], "InlineCodeText"],
 " function to create three random samples, each with ",
 Cell[BoxData[
  FormBox["60", TraditionalForm]],ExpressionUUID->
  "f1da30d0-a125-49b1-be0d-8f6f95bccd0e"],
 " random values."
}], "Text",
 CellChangeTimes->{{3.7537580070273466`*^9, 3.7537580318456497`*^9}, {
   3.7537581492614713`*^9, 3.7537582013817987`*^9}, {3.753758306028884*^9, 
   3.7537583066791444`*^9}, 3.77048613815705*^9, {3.7705540608005886`*^9, 
   3.7705540863621445`*^9}, 3.7908245908624425`*^9, {3.790824665718111*^9, 
   3.790824705948114*^9}, 3.813558972183321*^9},
 CellID->353361841,ExpressionUUID->"b7efaa1e-0342-4c67-b3c1-380af305108b"],

Cell[TextData[{
 "Instead of creating the three ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects that represent our three groups separately, we can create a nested \
",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object. The Wolfram Language statistical test function will take either \
form (",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects or nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects) as argument."
}], "Text",
 CellChangeTimes->{{3.7537580070273466`*^9, 3.7537580318456497`*^9}, {
   3.7537581492614713`*^9, 3.7537582013817987`*^9}, {3.753758306028884*^9, 
   3.753758386933045*^9}, {3.7704861406200504`*^9, 3.7704861462850504`*^9}, {
   3.7705540983443427`*^9, 3.770554120331541*^9}, {3.770554234072914*^9, 
   3.7705542408765945`*^9}, 3.7908247836883163`*^9},
 CellID->149430316,ExpressionUUID->"b08b171c-97c7-401a-a204-89debb45c911"],

Cell["Create our three random groups:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537582338289175`*^9, 3.7537582399890857`*^9}, {
   3.7705542454010468`*^9, 3.770554257039211*^9}},
 CellID->67788881,ExpressionUUID->"1db9b0cf-757a-4bbd-8c77-18a36460b55c"],

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "123", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lists", "=", 
   RowBox[{"RandomVariate", "[", 
    RowBox[{
     RowBox[{"ChiSquareDistribution", "[", "2", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "60"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7537582430966043`*^9, 3.7537582966859612`*^9}, 
   3.7537583403669176`*^9, 3.753758401798366*^9},
 CellLabel->"In[30]:=",
 CellID->5667722,ExpressionUUID->"8da2bebf-0691-4945-8390-fa1ea807930b"],

Cell["\<\
Our first order of business is to summarize the data. We will do so by \
looking at the mean and median values of each of the three groups.\
\>", "Text",
 CellChangeTimes->{{3.7537584124627323`*^9, 3.7537584322616787`*^9}, 
   3.7704861491080503`*^9, {3.790824798659195*^9, 3.7908247999678726`*^9}},
 CellID->132675756,ExpressionUUID->"fcb2276d-6c5a-485a-8a5d-cd373ef3d124"],

Cell["Use shorthand notation to calculate the three means:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753758447488341*^9, 3.7537584549017277`*^9}, {
   3.770554276784185*^9, 3.770554280553562*^9}},
 CellID->421793,ExpressionUUID->"8e938cb8-a209-4666-a4dd-f6212853a2dc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Mean", "/@", "lists"}]], "Input",
 CellChangeTimes->{{3.7537584573114657`*^9, 3.7537584637412834`*^9}},
 CellLabel->"In[32]:=",
 CellID->66348779,ExpressionUUID->"86ce3b51-b394-430c-b02d-82c4459761b2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.9062924367848226`", ",", "1.8002578119567145`", ",", 
   "2.1837130854864513`"}], "}"}]], "Output",
 CellChangeTimes->{3.7537584640534477`*^9, 3.789406148433976*^9, 
  3.7908248019776917`*^9, 3.813560459804886*^9},
 CellLabel->"Out[32]=",
 CellID->1607492919,ExpressionUUID->"dc8e27ee-4e1d-4e13-948d-7434a5126d30"]
}, Open  ]],

Cell["Use shorthand notation to calculate the three medians:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537584745031943`*^9, 3.753758486557226*^9}, {
   3.7705542829768043`*^9, 3.770554285721079*^9}},
 CellID->52351695,ExpressionUUID->"1bacf965-2614-4721-8ca3-632b78d1a21b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Median", "/@", "lists"}]], "Input",
 CellChangeTimes->{{3.7537584882721586`*^9, 3.753758496829931*^9}},
 CellLabel->"In[33]:=",
 CellID->230242925,ExpressionUUID->"d3203157-9364-47a2-bb63-69c5d2db0e29"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.4440722496691798`", ",", "1.346703772039875`", ",", 
   "1.4410780860686936`"}], "}"}]], "Output",
 CellChangeTimes->{3.7537584971759768`*^9, 3.789406148468556*^9, 
  3.790824806472938*^9, 3.81356045983253*^9},
 CellLabel->"Out[33]=",
 CellID->1789210373,ExpressionUUID->"d203302a-e19b-4b4c-9439-ae789662a65f"]
}, Open  ]],

Cell["\<\
Now we can test for the assumptions required for the use of parametric tests. \
We begin by looking at q-q plots for each of the three groups.\
\>", "Text",
 CellChangeTimes->{{3.753758511973705*^9, 3.753758521117936*^9}, {
  3.7704861518200502`*^9, 3.7704861525080504`*^9}, {3.770554292897796*^9, 
  3.77055429603511*^9}},
 CellID->10924856,ExpressionUUID->"af82f263-b27c-4596-b2cb-9f980b68fb97"],

Cell["Use shorthand notation to create three q-q plots:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.75375853848894*^9, 3.753758547141692*^9}, {
   3.7705542999715033`*^9, 3.7705543090754137`*^9}},
 CellID->123346395,ExpressionUUID->"20e92dce-2a5b-40ea-9669-53dcab1995fe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QuantilePlot", "/@", "lists"}]], "Input",
 CellLabel->"In[34]:=",
 CellID->55572506,ExpressionUUID->"c2a5c0a5-b7d0-4788-b2e2-63797052db57"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[{{}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.011000000000000001`], AbsoluteThickness[1.6], 
       PointBox[CompressedData["
1:eJwB0QMu/CFib1JlAgAAADwAAAACAAAAxtdOJQJ2AcCYhlayMFmGP+tGqFzr
f/i/3dB8zDf2pj+JKSY4NXHyv7/v5EOchK0/1q4WWbT+678MLqOsUSCzPxYs
O4Xe0+S/CbVKCnK4sz8k8PTtbnvdv/vYb/n0MLQ/ZFe/XkXM0r+5PTs7p+69
P2j8J0seaMK/dobA9J67xT8AiYuZdjl8v+Lhq6M+5Mk/MAni7mapvj/7fFNO
MNzQP+AfqXIcfM4/2wBZYrnA0T+4CW8FSmLWP26WaRSMWt4/BFlTgn0p3T80
T1/5MQHgP65KY4MR0eE/THP+BEVq5j+sYUxq6+vkP8pf/NZcduk/mCZxYQrq
5z+tXcUmJuXpP9yqqE9ez+o/1M6O6dMc7D+BaEh/OJ/tP+L35sJiI+w/1Dcf
LTcu8D9EXGlNSkXtP/ZRl7G5hPE/jpSsKthm7T/Ou0B/NtTyP+rJPowfv+0/
ag0L5KAd9D+0e3hUlQrwP1SsSNTSYfU/URjBbcIS8j+O7VLBkaH2P1V6lY/u
YvI/m3PuiZLd9z/OZ/9pdy3zP/khbL18Fvk/5RixDgcU9T825x1c7Uz6P6Ii
UKW5a/Y/WbujNXmB+z+ynFSoXnH2P5p0gP6utPw/Y284/K219j/CwnExGef9
PwvU+bmn6vY/sIihzT8Z/z8VqbJHL0v3P21rSQDVJQBAg80lpkBh9z8NyLfk
b78AQDXDeX+xJfg/ILJ60bVZAUBOnEREt2L4P76U0yDu9AFAkcGx2AoM+T/t
a5I6Y5ECQOd2GNnqJfk/8y7gnmMvA0BxAKO/44r6P5FPZRVDzwNA79OzweEE
+z8FH4QNXHEEQLkIBRB58vs/00fpPxEWBUBVuii650r8P7/8vabPvQVAL448
HiwQ/T/RCfroEGkGQJm5FjqN7/0/mou3X14YB0D7A7XbqH3+PwR7n+tUzAdA
sW+3rY18AkAUXC3nqYUIQNX4Em2KIwNAUI32pDFFCUBH7JNNnnsEQA/TsB7o
CwpA+juZxuLQBECaOj/P/NoKQD4TiJ/lMwVAhMTbPuOzC0BSHAAAsqwGQLwT
X7hqmAxApjPtzfVbDEBylRJI4YoNQLgY+8FeRg1Af2vWOkmODkCbEm+g9ZUQ
QIIlPGSupg9A8hXV4jC5EUBUyLCV2mwQQHCig3hYdBJA4CGkLs0XEUBmwxKr
hj4TQGE4bBCS2hFAww6gjfNaFEC4qOfK7L8SQKwWbqCxShZAQ13OjWPcE0Cg
KBi/0TEYQJ3k7hYRYBVAzcqKI4abGEDGPmxSF/sXQP7HkqN1kyFAA+rUow==

        "]]}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.011000000000000001`], AbsoluteThickness[1.6], Dashing[{0, Small}], 
       PointBox[{{-0.45548985552388394`, 0.}, {5.995206153733029, 
        4.47768955682411}}]}}, {{}, {}}},
    AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
    Axes->{False, False},
    AxesLabel->{None, None},
    AxesOrigin->{0, 0},
    DisplayFunction->Identity,
    Epilog->{{}, 
      StyleBox[
       LineBox[{{-0.45548985552388394`, 0.}, {5.995206153733029, 
        4.47768955682411}}], {
        Directive[
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{0, Small}]]}, StripOnInput -> False]},
    Frame->{{True, True}, {True, True}},
    FrameLabel->{{None, None}, {None, None}},
    FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
    GridLines->{None, None},
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
      "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
          Identity[
           Part[#, 1]], 
          Identity[
           Part[#, 2]]}& ), "CopiedValueFunction" -> ({
          Identity[
           Part[#, 1]], 
          Identity[
           Part[#, 2]]}& )}},
    PlotRange->{{-2.182621280163377, 5.995206153733028}, {
      0, 8.788006889026288}},
    PlotRangeClipping->True,
    PlotRangePadding->{{0, 0}, {0, 0}},
    Ticks->{Automatic, Automatic}], ",", 
   GraphicsBox[{{}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.011000000000000001`], AbsoluteThickness[1.6], 
       PointBox[CompressedData["
1:eJwB0QMu/CFib1JlAgAAADwAAAACAAAAdKo7LLPD+r8aA4a7gKBIP96Z0JF5
6fG/7JZ5cu9Ipj/4B+3Oqojpv8UbOSTiOK8/QPFbAbr74b9kJ1QWa827P2h9
j2aDyte/ah4qf8WxvD8wtlwrLufKv13lX/MlwcY/YGfzQJuBsb9Qi6qR2NXM
P8CDIInRLq4/3AXfEfj+0D+wDP2WSm7GP9TKLUSYHtQ/7EI+QdEZ0j88FGet
venVPyjn/Ipcidg/wRJsDDMV2j/0qUpfOZreP3aozLvrJdo/2N1wkQgu4j8J
cPjrkXjgP9SpyvWX7eQ/zItYJZDk4D9Qn+IluZDnPz+75qz/P+I/ab+mNXMb
6j8juizZKwDmP8L/Lzwekew/wnlXQkFS6j9sU/2Xi/TuP67EwU8Tquo/G1/b
txGk8D9ZkEytzz/rPzJ95WD9xvE/dzcu1n/W7D9YLEsZ8uPyP/GeFbYuF+8/
uuRkib778z9ndMNB1wXwP4hWZ9EbD/U/CMZclX0Y8D9ktXalsR72P+8M51Al
JvA/IXAophkr9z9jWgJtjEHwPwxd2iXiNPg/oeaPm5xh8T/AWAx/kDz5P3mz
/+o1d/E/ceFaF6NC+j8ecJ+HqBX0P0eGtSSTR/s/8TBhc9SW9D/euTZG1kv8
PxmOnjV9OfU/tmUg/99P/T9zZqtMtd71P0+ZoSAjVP4/5A6fV3fj9T8kPvwt
E1n/P+tUtbZnefY/a2Ml45IvAED3QTcp0BT4P0Vhvg9qswBAsF7K0qoY+T+7
V5dPTjgBQDASg7wj6/o/GDXwT4K+AUA+UaCchxn7P4jk9zlNRgJARl1zNaHc
/T9uHfnd+88CQHjtqrY7jP4/oPkFFuJbA0AXGbHZMxcAQDLROHJc6gNA6qEG
e58+AEA+4L1G0nsEQI5OffQWqAFA8DqsPLgQBUA4fBQWhpoCQNuPn5OTqQVA
qcD3P8yYA0Dw30FV/kYGQKqm1j1VpQRA+Ocy2azpBkBoBdEYujQFQFblOCV1
kgdAyChoOr2MBUBWWE/+WEIIQA3WiuFbIwhAjDrC9pP6CEAAGPWZM9sIQOby
S5GvvAlAcbAXOvIcCUBux4P6oIoKQKvm4vNZ7gpAAL87efZmC0BJcEZVMLEO
QLwNh9wfVQxA390mGsGFD0AIK7P851kNQKDvbPQgvxFAMFthBU58DkDQhl/X
ed4RQHl/fY8rxw9AOFy1MZnXEkAORoHRZKYQQFKkgOB4IhNA6Ggz6wKYEUDs
s9ncCmITQGLuyfVL4RJAUE4agVOLFUCIsmRc2hcVQF+Ajbb9vxlAIKzQSw==

        "]]}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.011000000000000001`], AbsoluteThickness[1.6], Dashing[{0, Small}], 
       PointBox[{{0.12777240450461086`, 0.}, {5.273293918272095, 
        4.991205432833679}}]}}, {{}, {}}},
    AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
    Axes->{False, False},
    AxesLabel->{None, None},
    AxesOrigin->{0, 0},
    DisplayFunction->Identity,
    Epilog->{{}, 
      StyleBox[
       LineBox[{{0.12777240450461086`, 0.}, {5.273293918272095, 
        4.991205432833679}}], {
        Directive[
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{0, Small}]]}, StripOnInput -> False]},
    Frame->{{True, True}, {True, True}},
    FrameLabel->{{None, None}, {None, None}},
    FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
    GridLines->{None, None},
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
      "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
          Identity[
           Part[#, 1]], 
          Identity[
           Part[#, 2]]}& ), "CopiedValueFunction" -> ({
          Identity[
           Part[#, 1]], 
          Identity[
           Part[#, 2]]}& )}},
    PlotRange->{{-1.672778294358662, 5.2732939182720955`}, {
      0, 6.437491276156009}},
    PlotRangeClipping->True,
    PlotRangePadding->{{0, 0}, {0, 0}},
    Ticks->{Automatic, Automatic}], ",", 
   GraphicsBox[{{}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.011000000000000001`], AbsoluteThickness[1.6], 
       PointBox[CompressedData["
1:eJwB0QMu/CFib1JlAgAAADwAAAACAAAAzZzO7w8rAcC6Poja5v9sP5TqHSvi
TPe/lvSUytNhoT9Ci2nc1uLwv0Dco8TZfrA/sMrTIu9b6L+CslLeSWe6Pzwu
1jUIxeC/5RowfCYwwz/owFqXN6bUvxNpEwKFt8U/EKFDJOyrwr9lG6mwlMXF
PwDFAMhFXYo/xY2nUs/Lyz+AjJVhYjTEP9b8r0aHitE/uB2ewKqv0j9j3sk4
EuLTP4xTVImdtdo/fklz1GUc1T9ComVywyLhP1B3CzN7vtw/1EPsnHa55D/2
/QC4ZXzdP8zKKZWSJug/qkfW4TEA4D+IOG0DPXDrP2lobCZxruQ/SLpiUnub
7j/sgwShnmXlPwJb3GI81vA/8Er88s7a5z/vrY5WXFPyP6kRs2PzH+o/9qQI
lp3G8z/V6wRGMEjrP7cSUV1MMfU/TqA40e7i6z9uYWWMi5T2PzALp9Ebt+0/
8uatxVzx9z97mZcZHdftPyhQvdOmSPk/0autUHoa8D9yn+jIOpv6P5+qAZqM
efE/usYPK9jp+z+JLqDZyhjyPzVt7mcwNf0/mpS3yNzL8z8CTg6/6X3+P0HQ
QO45IfU/xNXJw6HE/z86uzjqD1H1P8gSJ8n3hABAwO9GCCx39T9cTqbmMicB
QGM2z2otKPY/AuE5O0rJAUBlgIVfIvX3P5ccuViFawJAfeNnTh4E+z99RPs/
LA4DQLyApOepWPw/XwhZQoixA0CgmWrWapsAQMX46O3kVQRA+4FVRipDAUAC
TFgMkfsEQB3ItlFJrgFApt9rvd+iBUAlrAW0guEBQEyHAbgpTAZAfJ5gXCp4
AkDmOwm/zvcGQC2DFsggCgNAqH6tWzemB0APJppCHDgEQAOmN/PWVwhASo5b
4vvPBEDl3NtWLg0JQNrBGadPYwdAaNiY9s7GCUDp3Vl/iF0JQN4BcvBehQpA
Uz1o4axuCkDNgEdNnkkLQH+3NM1s/QpAPuEE4W0UDEA8S/kOU3kMQKy8lXzY
5gxAaoL5HHEZDkBrHqV6H8INQCi2zSijGBBAz8ZGRcynDkDxEPLgzM4RQO6k
tXDJmQ9Ayvo4wQLZEUDUNebkQ00QQKp5I8KYqhJATGvjfZvWEEAiokK4XLUS
QE4XDO4PaxFApQfIWJ//EkC5NBLynQ0SQEmH4jpqFBNAvsNlCqLCEkAKHoaf
jIoTQHjdqpffkBNAvD4ISo15FEAGkUp1vIMUQFyExHXKUBdAhHoKSPSwFUC9
OTp3eVkZQFqStxt3SxdALlOFs2CsGkAeZteIxg0aQExzvxPKKR1AwOnF3A==

        "]]}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.011000000000000001`], AbsoluteThickness[1.6], Dashing[{0, Small}], 
       PointBox[{{0.309297885529407, 0.}, {6.513452661654381, 
        6.824988281126332}}]}}, {{}, {}}},
    AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
    Axes->{False, False},
    AxesLabel->{None, None},
    AxesOrigin->{0, 0},
    DisplayFunction->Identity,
    Epilog->{{}, 
      StyleBox[
       LineBox[{{0.309297885529407, 0.}, {6.513452661654381, 
        6.824988281126332}}], {
        Directive[
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{0, Small}]]}, StripOnInput -> False]},
    Frame->{{True, True}, {True, True}},
    FrameLabel->{{None, None}, {None, None}},
    FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
    GridLines->{None, None},
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
      "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
          Identity[
           Part[#, 1]], 
          Identity[
           Part[#, 2]]}& ), "CopiedValueFunction" -> ({
          Identity[
           Part[#, 1]], 
          Identity[
           Part[#, 2]]}& )}},
    PlotRange->{{-2.14602649068147, 6.513452661654382}, {
      0, 7.290809925613598}},
    PlotRangeClipping->True,
    PlotRangePadding->{{0, 0}, {0, 0}},
    Ticks->{Automatic, Automatic}]}], "}"}]], "Output",
 CellChangeTimes->{3.7537585537072678`*^9, 3.789406148807506*^9, 
  3.7908248183478823`*^9, 3.8135604601606617`*^9},
 CellLabel->"Out[34]=",
 CellID->45230070,ExpressionUUID->"d6510578-ac51-42c6-af0e-381e8614606f"]
}, Open  ]],

Cell["\<\
As suspected, we note that the data point values do not follow along the \
normal line. To confirm our suspicions, we can conduct the Shapiro\[Dash]Wilk \
test on each of the lists.\
\>", "Text",
 CellChangeTimes->{
  3.753758566222077*^9, 3.77048615560305*^9, {3.7705461628065915`*^9, 
   3.7705461639835916`*^9}},
 CellID->349444848,ExpressionUUID->"91b79dc6-58f2-4f7c-a264-b5cf42286781"],

Cell[TextData[{
 "Calculate a ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "91bb3d31-6272-4a18-baf2-d0d90c7dd435"],
 "-value for each of the three groups:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753758588490011*^9, 3.753758592269391*^9}, {
   3.7705465878842945`*^9, 3.7705465963699913`*^9}, {3.770554323667873*^9, 
   3.7705543272282286`*^9}, {3.789324920408065*^9, 3.7893249204103117`*^9}, 
   3.816095817980288*^9},
 CellID->241725542,ExpressionUUID->"e87712a0-8695-4e77-b246-6ddaf6428c51"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShapiroWilkTest", "/@", "lists"}]], "Input",
 CellLabel->"In[35]:=",
 CellID->363226827,ExpressionUUID->"6f720f33-9bad-4c4d-a3a5-24521fbaf083"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.0409210232504503`*^-6", ",", "0.00006402314032079538`", ",", 
   "0.00008681371501118937`"}], "}"}]], "Output",
 CellChangeTimes->{3.753758600503564*^9, 3.789406148824367*^9, 
  3.790824833837983*^9, 3.813560460174285*^9},
 CellLabel->"Out[35]=",
 CellID->2120059099,ExpressionUUID->"55680117-af81-45a2-96d6-7e19f78473d6"]
}, Open  ]],

Cell[TextData[{
 "All three groups have very small ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "b5cd0013-25e5-479c-9a9e-38680b4ac907"],
 "-values. We can therefore reject the hypothesis that the data point values \
for the samples came from a population in which our variable of interest was \
normally distributed."
}], "Text",
 CellChangeTimes->{{3.753758612318981*^9, 3.753758635373875*^9}, 
   3.7704861584680505`*^9, {3.7705466022111597`*^9, 3.7705466064400053`*^9}, 
   3.7705545423487387`*^9},
 CellID->24607738,ExpressionUUID->"f28822d3-aead-44ea-8b93-922078d18a0f"],

Cell["\<\
As a final test of the assumptions for the use of parametric tests, let\
\[CloseCurlyQuote]s consider any outliers with the use of a box-and-whisker \
plot.\
\>", "Text",
 CellChangeTimes->{
  3.7537586608387985`*^9, {3.7908248532187967`*^9, 3.7908248691682315`*^9}},
 CellID->380915433,ExpressionUUID->"ab0837e1-7798-4463-a486-0d7a27c7da8e"],

Cell["A box-and-whisker plot of the three groups:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537586699980288`*^9, 3.7537586822378387`*^9}, 
   3.7705545555100546`*^9},
 CellID->103073065,ExpressionUUID->"bc26b74e-1e1e-43b5-b034-a46449ed2deb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BoxWhiskerChart", "[", 
  RowBox[{"lists", ",", "\"\<Outliers\>\"", ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Three Groups\>\""}]}], "]"}]], "Input",
 CellChangeTimes->{3.813560692979707*^9},
 CellLabel->"In[36]:=",
 CellID->673412039,ExpressionUUID->"0fc03c7b-aee4-43a7-af60-b26aa2a9b601"],

Cell[BoxData[
 GraphicsBox[{
   {Opacity[0], 
    PointBox[{{0.4756035092865898, -0.4386112113788845}, {3.52439649071341, 
     9.227369655712248}}]}, 
   {RGBColor[0.982864, 0.7431472, 0.3262672], CapForm[None], {}, 
    {RGBColor[0.982864, 0.7431472, 0.3262672], 
     {RGBColor[0.982864, 0.7431472, 0.3262672], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           GraphicsGroupBox[{Antialiasing -> False, 
             
             PolygonBox[{{0.7509076238812251, 2.476357201680293}, {
              1.2490923761187749`, 2.476357201680293}, {1.2490923761187749`, 
              0.802460429963467}, {0.7509076238812251, 
              0.802460429963467}}], {}, {{
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                1., 5.572943217009804}], 
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                1., 6.048651681756525}], 
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                1., 6.151878886553004}], 
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                1., 5.088819706815857}]}, {
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0.5], StripOnInput -> False], 
                  TraditionalForm]], {1., 8.788006889026288}]}}, {}, {
              GrayLevel[0], 
              GrayLevel[1], 
              
              LineBox[{{1.2490923761187749`, 1.4440722496691798`}, {
               0.7509076238812251, 1.4440722496691798`}}]}, {}, {
              GrayLevel[0], 
              GrayLevel[0.5], 
              
              LineBox[{{{1., 0.802460429963467}, {1., 
               0.010912304346507626`}}, {{1., 2.476357201680293}, {1., 
               4.811060593624324}}}]}, {
              GrayLevel[0], 
              GrayLevel[0.5], 
              
              LineBox[{{{1.1245461880593874`, 0.010912304346507626`}, {
               0.8754538119406126, 0.010912304346507626`}}, {{
               1.1245461880593874`, 4.811060593624324}, {0.8754538119406126, 
               4.811060593624324}}}]}, {}}]},
          
          ImageSizeCache->{{57.58578643762691, 
           117.4142135623731}, {-100.340379383113, 103.4142135623731}}],
         "DelayedMouseEffectStyle"],
        StyleBox[
         TagBox[
          GridBox[{{
             StyleBox["\"max\"", Bold, StripOnInput -> False], 
             "8.788006889026288`"}, {
             StyleBox["\"75%\"", Bold, StripOnInput -> False], 
             "2.476357201680293`"}, {
             StyleBox["\"median\"", Bold, StripOnInput -> False], 
             "1.4440722496691798`"}, {
             StyleBox["\"25%\"", Bold, StripOnInput -> False], 
             "0.802460429963467`"}, {
             StyleBox["\"min\"", Bold, StripOnInput -> False], 
             "0.010912304346507626`"}}, 
           GridBoxAlignment -> {"Columns" -> {Center, ".", {Left}}}, 
           AutoDelete -> False, GridBoxDividers -> {"Columns" -> {
               Directive[
                GrayLevel[0.3]], {
                Directive[
                 GrayLevel[0.3]]}, 
               Directive[
                GrayLevel[0.3]]}, "Rows" -> {
               Directive[
                GrayLevel[0.3]], {
                Directive[
                 GrayLevel[0.3]]}, 
               Directive[
                GrayLevel[0.3]]}}, 
           GridBoxFrame -> {
            "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> GrayLevel[0]}}, 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, BaseStyle -> 
           Directive[
             AbsoluteThickness[1], 
             Dashing[{}]]], "Grid"], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Grid[{{
            Style["max", Bold], 8.788006889026288}, {
            Style["75%", Bold], 2.476357201680293}, {
            Style["median", Bold], 1.4440722496691798`}, {
            Style["25%", Bold], 0.802460429963467}, {
            Style["min", Bold], 0.010912304346507626`}}, Dividers -> {{
             Directive[
              GrayLevel[0.3]], {
              Directive[
               GrayLevel[0.3]]}, 
             Directive[
              GrayLevel[0.3]]}, {
             Directive[
              GrayLevel[0.3]], {
              Directive[
               GrayLevel[0.3]]}, 
             Directive[
              GrayLevel[0.3]]}}, Alignment -> {{Center, ".", {Left}}}, Frame -> 
          GrayLevel[0], BaseStyle -> Directive[
            AbsoluteThickness[1], 
            Dashing[{}]]], {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           GraphicsGroupBox[{Antialiasing -> False, 
             
             PolygonBox[{{1.7509076238812251`, 2.6157372841796627`}, {
              2.249092376118775, 2.6157372841796627`}, {2.249092376118775, 
              0.6289166268669161}, {1.7509076238812251`, 
              0.6289166268669161}}], {}, {{
               InsetBox[
                BoxData[
                 FormBox[
                  StyleBox["\"\[FilledSmallCircle]\"", 10, 
                   GrayLevel[0], StripOnInput -> False], TraditionalForm]], {
                2., 6.437491276156009}]}, {}}, {}, {
              GrayLevel[0], 
              GrayLevel[1], 
              
              LineBox[{{2.249092376118775, 1.346703772039875}, {
               1.7509076238812251`, 1.346703772039875}}]}, {}, {
              GrayLevel[0], 
              GrayLevel[0.5], 
              
              LineBox[{{{2., 0.6289166268669161}, {2., 
               0.0007515553070761322}}, {{2., 2.6157372841796627`}, {2., 
               5.386060731154046}}}]}, {
              GrayLevel[0], 
              GrayLevel[0.5], 
              
              LineBox[{{{2.124546188059387, 0.0007515553070761322}, {
               1.8754538119406126`, 0.0007515553070761322}}, {{
               2.124546188059387, 5.386060731154046}, {1.8754538119406126`, 
               5.386060731154046}}}]}, {}}]},
          
          ImageSizeCache->{{170.5857864376269, 
           230.4142135623731}, {-48.403034981711485`, 103.41421356237309`}}],
         "DelayedMouseEffectStyle"],
        StyleBox[
         TagBox[
          GridBox[{{
             StyleBox["\"max\"", Bold, StripOnInput -> False], 
             "6.437491276156009`"}, {
             StyleBox["\"75%\"", Bold, StripOnInput -> False], 
             "2.6157372841796627`"}, {
             StyleBox["\"median\"", Bold, StripOnInput -> False], 
             "1.346703772039875`"}, {
             StyleBox["\"25%\"", Bold, StripOnInput -> False], 
             "0.6289166268669161`"}, {
             StyleBox["\"min\"", Bold, StripOnInput -> False], 
             "0.0007515553070761322`"}}, 
           GridBoxAlignment -> {"Columns" -> {Center, ".", {Left}}}, 
           AutoDelete -> False, GridBoxDividers -> {"Columns" -> {
               Directive[
                GrayLevel[0.3]], {
                Directive[
                 GrayLevel[0.3]]}, 
               Directive[
                GrayLevel[0.3]]}, "Rows" -> {
               Directive[
                GrayLevel[0.3]], {
                Directive[
                 GrayLevel[0.3]]}, 
               Directive[
                GrayLevel[0.3]]}}, 
           GridBoxFrame -> {
            "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> GrayLevel[0]}}, 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, BaseStyle -> 
           Directive[
             AbsoluteThickness[1], 
             Dashing[{}]]], "Grid"], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Grid[{{
            Style["max", Bold], 6.437491276156009}, {
            Style["75%", Bold], 2.6157372841796627`}, {
            Style["median", Bold], 1.346703772039875}, {
            Style["25%", Bold], 0.6289166268669161}, {
            Style["min", Bold], 0.0007515553070761322}}, Dividers -> {{
             Directive[
              GrayLevel[0.3]], {
              Directive[
               GrayLevel[0.3]]}, 
             Directive[
              GrayLevel[0.3]]}, {
             Directive[
              GrayLevel[0.3]], {
              Directive[
               GrayLevel[0.3]]}, 
             Directive[
              GrayLevel[0.3]]}}, Alignment -> {{Center, ".", {Left}}}, Frame -> 
          GrayLevel[0], BaseStyle -> Directive[
            AbsoluteThickness[1], 
            Dashing[{}]]], {}], "Tooltip"]& ]}, 
     {RGBColor[0.982864, 0.7431472, 0.3262672], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           GraphicsGroupBox[{Antialiasing -> False, 
             
             PolygonBox[{{2.750907623881225, 3.466491565777843}, {
              3.249092376118775, 3.466491565777843}, {3.249092376118775, 
              0.6574744651476909}, {2.750907623881225, 
              0.6574744651476909}}], {}, {{}, {}}, {}, {
              GrayLevel[0], 
              GrayLevel[1], 
              
              LineBox[{{3.249092376118775, 1.4410780860686936`}, {
               2.750907623881225, 1.4410780860686936`}}]}, {}, {
              GrayLevel[0], 
              GrayLevel[0.5], 
              
              LineBox[{{{3., 0.6574744651476909}, {3., 
               0.0035399922237571964`}}, {{3., 3.466491565777843}, {3., 
               7.290809925613598}}}]}, {
              GrayLevel[0], 
              GrayLevel[0.5], 
              
              LineBox[{{{3.124546188059387, 0.0035399922237571964`}, {
               2.875453811940613, 0.0035399922237571964`}}, {{
               3.124546188059387, 7.290809925613598}, {2.875453811940613, 
               7.290809925613598}}}]}, {}}]},
          
          ImageSizeCache->{{284.5857864376269, 
           344.4142135623731}, {-61.41421356237311, 103.4142135623731}}],
         "DelayedMouseEffectStyle"],
        StyleBox[
         TagBox[
          GridBox[{{
             StyleBox["\"max\"", Bold, StripOnInput -> False], 
             "7.290809925613598`"}, {
             StyleBox["\"75%\"", Bold, StripOnInput -> False], 
             "3.466491565777843`"}, {
             StyleBox["\"median\"", Bold, StripOnInput -> False], 
             "1.4410780860686936`"}, {
             StyleBox["\"25%\"", Bold, StripOnInput -> False], 
             "0.6574744651476909`"}, {
             StyleBox["\"min\"", Bold, StripOnInput -> False], 
             "0.0035399922237571964`"}}, 
           GridBoxAlignment -> {"Columns" -> {Center, ".", {Left}}}, 
           AutoDelete -> False, GridBoxDividers -> {"Columns" -> {
               Directive[
                GrayLevel[0.3]], {
                Directive[
                 GrayLevel[0.3]]}, 
               Directive[
                GrayLevel[0.3]]}, "Rows" -> {
               Directive[
                GrayLevel[0.3]], {
                Directive[
                 GrayLevel[0.3]]}, 
               Directive[
                GrayLevel[0.3]]}}, 
           GridBoxFrame -> {
            "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> GrayLevel[0]}}, 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, BaseStyle -> 
           Directive[
             AbsoluteThickness[1], 
             Dashing[{}]]], "Grid"], {}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Grid[{{
            Style["max", Bold], 7.290809925613598}, {
            Style["75%", Bold], 3.466491565777843}, {
            Style["median", Bold], 1.4410780860686936`}, {
            Style["25%", Bold], 0.6574744651476909}, {
            Style["min", Bold], 0.0035399922237571964`}}, Dividers -> {{
             Directive[
              GrayLevel[0.3]], {
              Directive[
               GrayLevel[0.3]]}, 
             Directive[
              GrayLevel[0.3]]}, {
             Directive[
              GrayLevel[0.3]], {
              Directive[
               GrayLevel[0.3]]}, 
             Directive[
              GrayLevel[0.3]]}}, Alignment -> {{Center, ".", {Left}}}, Frame -> 
          GrayLevel[0], BaseStyle -> Directive[
            AbsoluteThickness[1], 
            Dashing[{}]]], {}], 
        "Tooltip"]& ]}}, {}, {}}, {{{{{{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, \
{}}, {}}}, {}}, {}}, {}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0.6259983862693477, -0.4386112113788845},
  DisplayFunction->Identity,
  Frame->True,
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {{{1., 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {2., 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {3., 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {
      0.7509076238812251, 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}, {
      3.249092376118775, 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}}, {{1., 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {2., 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {3., 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {
      0.7509076238812251, 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}, {
      3.249092376118775, 
       FormBox[
        TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}}}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{394.4791666666666, Automatic},
  PlotLabel->FormBox["\"Three Groups\"", TraditionalForm],
  PlotRangePadding->{{
     Scaled[0.05], 
     Scaled[0.05]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{{{1., 
      FormBox[
       TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {2., 
      FormBox[
       TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {3., 
      FormBox[
       TemplateBox[{0}, "Spacer1"], TraditionalForm], {0.008, 0}}, {
     0.7509076238812251, 
      FormBox[
       TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}, {
     3.249092376118775, 
      FormBox[
       TemplateBox[{0}, "Spacer1"], TraditionalForm], {0, 0}}}, 
    Automatic}]], "Output",
 CellChangeTimes->{3.7537586909505568`*^9, 3.7894061489013853`*^9, 
  3.7908248755479307`*^9, 3.813560915665234*^9},
 CellLabel->"Out[36]=",
 CellID->431230403,ExpressionUUID->"8e6c45c2-f8b2-407a-82c5-4a06a5bf1036"]
}, Open  ]],

Cell["There are numerous outliers for the first two groups.", "Text",
 CellChangeTimes->{{3.790824880838134*^9, 3.790824906028245*^9}},
 CellID->69264025,ExpressionUUID->"71072550-af32-4459-88b5-6f09bbffc8b8"],

Cell[TextData[{
 "The Wolfram Language function that performs nonparametric tests for more \
than two groups is ",
 ButtonBox["LocationEquivalenceTest",
  BaseStyle->"Link"],
 ". In the next code cell, we specify that we require the test statistic and \
the ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "dbea0fa0-4812-454e-b57f-0f53c99ecc26"],
 "-value and ask for the Kruskal\[Dash]Wallis test by name."
}], "Text",
 CellChangeTimes->{{3.7537587034386253`*^9, 3.7537587172698045`*^9}, 
   3.7704861608660507`*^9, {3.7705466121891546`*^9, 3.770546616705058*^9}, {
   3.7705545597744813`*^9, 3.7705546030188055`*^9}, {3.790824912208246*^9, 
   3.790824914238168*^9}, {3.8160959408357058`*^9, 3.816095941227502*^9}},
 CellID->412928420,ExpressionUUID->"ce43ecfb-96bf-4d12-83e4-4d5f5a96cc79"],

Cell["Conduct the Kruskal\[Dash]Wallis test:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537587261176124`*^9, 3.753758733726096*^9}, {
   3.7705546063031335`*^9, 3.770554613647868*^9}},
 CellID->228268260,ExpressionUUID->"fdd691ea-c8a2-455a-bfca-20f56721b7c0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LocationEquivalenceTest", "[", 
  RowBox[{"lists", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<TestDataTable\>\"", ",", "\"\<KruskalWallis\>\""}], "}"}]}], 
  "]"}]], "Input",
 CellLabel->"In[37]:=",
 CellID->314188964,ExpressionUUID->"8cfda9f9-89cf-4020-93e8-7321c0a40d12"],

Cell[BoxData[
 StyleBox[
  TagBox[GridBox[{
     {"\<\"\"\>", "\<\"Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
     {"\<\"Kruskal\[Hyphen]Wallis\"\>", "0.5632535297728509`", 
      "0.7566010639231613`"}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
    GridBoxDividers->{
     "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
      "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"], "DialogStyle",
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.7537587445577917`*^9, 3.789406148932382*^9, 
  3.7908249250331297`*^9, 3.813560460283475*^9},
 CellLabel->"Out[37]=",
 CellID->1321247703,ExpressionUUID->"c2dbc3cc-6dc7-46d6-ac7f-23b9fce80f03"]
}, Open  ]],

Cell["\<\
We fail to reject a null hypothesis that there is a difference between the \
three groups.\
\>", "Text",
 CellChangeTimes->{{3.790824937118281*^9, 3.790824961928192*^9}},
 CellID->976370779,ExpressionUUID->"5abde02c-6738-4b82-89fb-74f893a802cd"],

Cell[TextData[{
 "This might not be the only test that the Wolfram Language will consider \
given the sample data. Instead of specifying the Kruskal\[Dash]Wallis test, \
we can also call for all tests using the ",
 ButtonBox["All",
  BaseStyle->"Link"],
 " argument."
}], "Text",
 CellChangeTimes->{{3.753758764582301*^9, 3.753758792812601*^9}, 
   3.7704861640210505`*^9, {3.7705546214416475`*^9, 3.7705546252190247`*^9}},
 CellID->331651047,ExpressionUUID->"b65a3a31-9db5-4e5d-b66b-b70c9380deb5"],

Cell["Call for all appropriate tests:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537588017654276`*^9, 3.7537588069180336`*^9}, {
   3.770554631944352*^9, 3.770554634536352*^9}},
 CellID->18690865,ExpressionUUID->"4a486dfa-d691-4d93-8021-7e3dcaf40519"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LocationEquivalenceTest", "[", 
  RowBox[{"lists", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<TestDataTable\>\"", ",", "All"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.753758812663166*^9},
 CellLabel->"In[38]:=",
 CellID->359238772,ExpressionUUID->"f844f9ad-4d49-4823-8406-36621ad0fe9c"],

Cell[BoxData[
 StyleBox[
  TagBox[GridBox[{
     {"\<\"\"\>", "\<\"Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
     {"\<\"Friedman Rank\"\>", "0.3461860854987427`", "0.7080968456424878`"},
     {"\<\"Kruskal\[Hyphen]Wallis\"\>", "0.5632535297728509`", 
      "0.7566010639231613`"}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
    GridBoxDividers->{
     "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
      "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Grid"], "DialogStyle",
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.753758812891526*^9, 3.78940614896618*^9, 
  3.7908249700980105`*^9, 3.813560460311686*^9},
 CellLabel->"Out[38]=",
 CellID->1229234341,ExpressionUUID->"dc0b9a29-d340-4087-a5c4-0d6fecb6902d"]
}, Open  ]],

Cell["In this case, the Friedman rank test was added.", "Text",
 CellChangeTimes->{{3.753758841727193*^9, 3.753758846119427*^9}, 
   3.770554639288352*^9},
 CellID->193180864,ExpressionUUID->"6509f28c-2014-4dd5-9644-0dc3f40665b1"],

Cell[TextData[{
 "As with most of the statistical tests in the Wolfram Language, we can \
create a ",
 ButtonBox["HypothesisTestData",
  BaseStyle->"Link"],
 " object. This allows for the extraction of many more properties than just \
the test statistic and ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "29a6aa88-fb78-4217-b46b-45e47bf9c46f"],
 "-value that we have been using throughout this chapter."
}], "Text",
 CellChangeTimes->{{3.753758841727193*^9, 3.7537588458621454`*^9}, 
   3.7704861670190506`*^9, {3.770546624981713*^9, 3.7705466316290417`*^9}, 
   3.770554650112352*^9},
 CellID->14040666,ExpressionUUID->"bd4a97e5-cf1a-47bf-be5d-8b1b6b9e33f2"],

Cell[TextData[{
 "Create a ",
 ButtonBox["HypothesisTestData",
  BaseStyle->"Link"],
 " object:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753758871929716*^9, 3.7537589184616184`*^9}, {
   3.770554692004352*^9, 3.770554731371352*^9}},
 CellID->72690358,ExpressionUUID->"527cfa6d-368a-403f-b196-fa0f1ade88fb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[ScriptCapitalH]", "=", 
  RowBox[{"LocationEquivalenceTest", "[", 
   RowBox[{"lists", ",", "\"\<HypothesisTestData\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7537588818789015`*^9, 3.7537588818988495`*^9}},
 CellLabel->"In[39]:=",
 CellID->484670475,ExpressionUUID->"7795bf00-a7c9-4aa5-92c5-54a70cef1b67"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["HypothesisTestData",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              BaseStyle -> {}, Evaluator -> Automatic, Method -> 
              "Preemptive"], Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            GraphicsBox[
             GraphicsComplexBox[CompressedData["
1:eJyd1HtMU3cUB/A7mXOyBCkF1inzQeeKTMeAWMHqPXdTW4lRwOIKOCEg1hkE
DD4w3WDQdTymNAKtA7UrpjKoExxrfHSD3stslEGzyiPQDpS5UgFZGRSyThiy
LfH3+2N/7iQnJyff/84nOWvSc/YeWkQQRPw//e/U3l46vLDAZmaGS1uCebmQ
/Mt8/OVDfkyV/9Cd+KEzoAttWG1q8GUiflYp1mh04IlO0V7z82HURaOqkpYb
EJR5k71u2JuZT1cttvDN8MEjWcylY0sYsUbznrLiPnxf/ye8FPUiEyYq/oPe
1Ad8w68e6XcEw9Hz2qgsO+wMfPss78IsnULaK5tX2uCgdOnV7I0zdPb7+rLx
kz1wpEimFpY/obs4nZzD9I/AdikNAZsG6PyO0tgcZStMNBlGJlI19IbsscrC
bY2QvIffmWawgzPkbOEJ23lI+FoJxd+Owf2bQw8Zv0IoKR+NYazTEM5OzJ3d
ngYF60+K6upmISDDqnZqAC6q76X9JCcoy3JfB2/lChiM/TClx+NFhX+ZGJzg
O0XOG2MvPApfQr1lze7dUGwmvYY6/J9+4011D6jjuGUV5Plbc6fNq3woAV+k
G3ySRC6ujVZa9L7UMfZ4dN/LXLL5XfhEIPWjJoOEvCh/x9bn96fCTrA6Dgde
QTvzSslFy9Gp2yTy2BFEeL0jcZLIQ2POjBCMsLDH+LnmSVkCH3vIFzr3VBMS
7BGh2icRSk5hj73ydlZ12znswY/MsFe4v8IewsRnv23WGbFHmUnsaV24iz3y
amJmr3C6sccPD3ZrBOJ+7BGn+PSh6jM79rgs5/v8Xt6PPVatc02bCrqxx5HJ
OyNS4z3skf9Ac1yvMGKP6gPi+IOiBuzx9FpU3NzqSkAeL5jqiKSs04A8DgRO
LTMsSgLk4a7hbtFaNgLymAuryVD1sAB5yCcC6KydThJ5oPsjD+SDPN60Rrbz
eY6tyMO9PyTHxeOSyINqyvmr35FMIo/0ASNtalKSyGOFYUL8uL6NRB4R0FiY
W+sikYfWyWpoFXKwx/W8o0XFU4A9BKXz4R8NpmKPx7vSxnZ15WOPWkW9zFql
xh4fZ7a0pr56FXtQ3pJebV4L9th8aS55n7sdeziOv/75a8t7sAeTK1+reMOG
PaTLrjdOy+zY4wv/meBbVX3Y45RLFMLy7sIeNrdZv2XUjD1GIp95wgpuYA/u
ttA8V4UOe9ju1oVm9p4B5IH+E/IgnhfK/7P/7/xv1oxx+A==
              "], {{{}, {
                 EdgeForm[], 
                 Directive[
                  Opacity[0.2], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 GraphicsGroupBox[{
                   
                   PolygonBox[{{1, 80, 81, 25, 24, 23, 22, 21, 20, 19, 18, 17,
                     16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 
                    2}}]}]}, {}, {
                 EdgeForm[], 
                 Directive[
                  Opacity[0.2], 
                  GrayLevel[0.65], 
                  AbsoluteThickness[1.5]], 
                 GraphicsGroupBox[{
                   
                   PolygonBox[{{26, 78, 79, 50, 49, 48, 47, 46, 45, 44, 43, 
                    42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 
                    28, 27}}]}]}, {}, {
                 EdgeForm[], 
                 Directive[
                  Opacity[0.2], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 GraphicsGroupBox[{
                   
                   PolygonBox[{{51, 76, 77, 75, 74, 73, 72, 71, 70, 69, 68, 
                    67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 
                    53, 52}}]}]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}}, {{}, {}, {
                 Directive[
                  Opacity[1.], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 
                 LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 
                  16, 17, 18, 19, 20, 21, 22, 23, 24, 25}]}, {
                 Directive[
                  Opacity[1.], 
                  GrayLevel[0.65], 
                  AbsoluteThickness[1.5]], 
                 
                 LineBox[{26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 
                  39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50}]}, {
                 Directive[
                  Opacity[1.], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 
                 LineBox[{51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 
                  64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75}]}}}], {
             DisplayFunction -> Identity, AspectRatio -> 1, 
              Axes -> {False, False}, AxesLabel -> {None, None}, 
              AxesOrigin -> {0, 0.}, Background -> GrayLevel[0.93], 
              BaseStyle -> {FontFamily -> "Arial"}, DisplayFunction :> 
              Identity, Frame -> {{True, True}, {True, True}}, 
              FrameLabel -> {{None, None}, {None, None}}, FrameStyle -> 
              Directive[
                Thickness[Tiny], 
                GrayLevel[0.7]], FrameTicks -> {{None, None}, {None, None}}, 
              GridLines -> {None, None}, GridLinesStyle -> Directive[
                GrayLevel[0.5, 0.4]], ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], LabelStyle -> {FontFamily -> "Arial"}, 
              Method -> {"ScalingFunctions" -> None, "AxesInFront" -> True}, 
              PlotRange -> {All, All}, PlotRangeClipping -> True, 
              PlotRangePadding -> {{0, 0}, {0, 0.1}}, 
              Ticks -> {Automatic, Automatic}}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["LocationEquivalenceTest", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"p-Value: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.7566010639231613`", "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              BaseStyle -> {}, Evaluator -> Automatic, Method -> 
              "Preemptive"], Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            GraphicsBox[
             GraphicsComplexBox[CompressedData["
1:eJyd1HtMU3cUB/A7mXOyBCkF1inzQeeKTMeAWMHqPXdTW4lRwOIKOCEg1hkE
DD4w3WDQdTymNAKtA7UrpjKoExxrfHSD3stslEGzyiPQDpS5UgFZGRSyThiy
LfH3+2N/7iQnJyff/84nOWvSc/YeWkQQRPw//e/U3l46vLDAZmaGS1uCebmQ
/Mt8/OVDfkyV/9Cd+KEzoAttWG1q8GUiflYp1mh04IlO0V7z82HURaOqkpYb
EJR5k71u2JuZT1cttvDN8MEjWcylY0sYsUbznrLiPnxf/ye8FPUiEyYq/oPe
1Ad8w68e6XcEw9Hz2qgsO+wMfPss78IsnULaK5tX2uCgdOnV7I0zdPb7+rLx
kz1wpEimFpY/obs4nZzD9I/AdikNAZsG6PyO0tgcZStMNBlGJlI19IbsscrC
bY2QvIffmWawgzPkbOEJ23lI+FoJxd+Owf2bQw8Zv0IoKR+NYazTEM5OzJ3d
ngYF60+K6upmISDDqnZqAC6q76X9JCcoy3JfB2/lChiM/TClx+NFhX+ZGJzg
O0XOG2MvPApfQr1lze7dUGwmvYY6/J9+4011D6jjuGUV5Plbc6fNq3woAV+k
G3ySRC6ujVZa9L7UMfZ4dN/LXLL5XfhEIPWjJoOEvCh/x9bn96fCTrA6Dgde
QTvzSslFy9Gp2yTy2BFEeL0jcZLIQ2POjBCMsLDH+LnmSVkCH3vIFzr3VBMS
7BGh2icRSk5hj73ydlZ12znswY/MsFe4v8IewsRnv23WGbFHmUnsaV24iz3y
amJmr3C6sccPD3ZrBOJ+7BGn+PSh6jM79rgs5/v8Xt6PPVatc02bCrqxx5HJ
OyNS4z3skf9Ac1yvMGKP6gPi+IOiBuzx9FpU3NzqSkAeL5jqiKSs04A8DgRO
LTMsSgLk4a7hbtFaNgLymAuryVD1sAB5yCcC6KydThJ5oPsjD+SDPN60Rrbz
eY6tyMO9PyTHxeOSyINqyvmr35FMIo/0ASNtalKSyGOFYUL8uL6NRB4R0FiY
W+sikYfWyWpoFXKwx/W8o0XFU4A9BKXz4R8NpmKPx7vSxnZ15WOPWkW9zFql
xh4fZ7a0pr56FXtQ3pJebV4L9th8aS55n7sdeziOv/75a8t7sAeTK1+reMOG
PaTLrjdOy+zY4wv/meBbVX3Y45RLFMLy7sIeNrdZv2XUjD1GIp95wgpuYA/u
ttA8V4UOe9ju1oVm9p4B5IH+E/IgnhfK/7P/7/xv1oxx+A==
              "], {{{}, {
                 EdgeForm[], 
                 Directive[
                  Opacity[0.2], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 GraphicsGroupBox[{
                   
                   PolygonBox[{{1, 80, 81, 25, 24, 23, 22, 21, 20, 19, 18, 17,
                     16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 
                    2}}]}]}, {}, {
                 EdgeForm[], 
                 Directive[
                  Opacity[0.2], 
                  GrayLevel[0.65], 
                  AbsoluteThickness[1.5]], 
                 GraphicsGroupBox[{
                   
                   PolygonBox[{{26, 78, 79, 50, 49, 48, 47, 46, 45, 44, 43, 
                    42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 
                    28, 27}}]}]}, {}, {
                 EdgeForm[], 
                 Directive[
                  Opacity[0.2], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 GraphicsGroupBox[{
                   
                   PolygonBox[{{51, 76, 77, 75, 74, 73, 72, 71, 70, 69, 68, 
                    67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 
                    53, 52}}]}]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}}, {{}, {}, {
                 Directive[
                  Opacity[1.], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 
                 LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 
                  16, 17, 18, 19, 20, 21, 22, 23, 24, 25}]}, {
                 Directive[
                  Opacity[1.], 
                  GrayLevel[0.65], 
                  AbsoluteThickness[1.5]], 
                 
                 LineBox[{26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 
                  39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50}]}, {
                 Directive[
                  Opacity[1.], 
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5]], 
                 
                 LineBox[{51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 
                  64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75}]}}}], {
             DisplayFunction -> Identity, AspectRatio -> 1, 
              Axes -> {False, False}, AxesLabel -> {None, None}, 
              AxesOrigin -> {0, 0.}, Background -> GrayLevel[0.93], 
              BaseStyle -> {FontFamily -> "Arial"}, DisplayFunction :> 
              Identity, Frame -> {{True, True}, {True, True}}, 
              FrameLabel -> {{None, None}, {None, None}}, FrameStyle -> 
              Directive[
                Thickness[Tiny], 
                GrayLevel[0.7]], FrameTicks -> {{None, None}, {None, None}}, 
              GridLines -> {None, None}, GridLinesStyle -> Directive[
                GrayLevel[0.5, 0.4]], ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], LabelStyle -> {FontFamily -> "Arial"}, 
              Method -> {"ScalingFunctions" -> None, "AxesInFront" -> True}, 
              PlotRange -> {All, All}, PlotRangeClipping -> True, 
              PlotRangePadding -> {{0, 0}, {0, 0.1}}, 
              Ticks -> {Automatic, Automatic}}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["LocationEquivalenceTest", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"p-Value: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.7566010639231613`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Test: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"KruskalWallis\"", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Test statistic: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.5632535297728509`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Data: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"Univariate\"", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Conclusion: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  InterpretationBox[
                   Cell[
                   "The null hypothesis that the mean are equal is not \
rejected at the 5 percent level based on the Kruskal\[Hyphen]Wallis test.", 
                    CellSize -> {300, Automatic}], 
                   TextCell[
                   "The null hypothesis that the mean are equal is not \
rejected at the 5 percent level based on the Kruskal\[Hyphen]Wallis test.", 
                    CellSize -> {300, Automatic}]], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  HypothesisTestData[LocationEquivalenceTest, {CompressedData["
1:eJwNlPk3FAgcwAdjY5KYcQxJh2Vlo/Fkm5DvV4eikiMbRYqVI4VUTIiS0QrV
RpvjMVJoUI4QskzSanKuW4jJ8Yz7GEfjWD98/oDPe5/32eHsbe0qSiAQxNYx
Wmf4JrWTr74EPY1Btfvm06HkgKFhxkQ5SBaak669K4DWRfKVSDUxtEg6fLjY
eRGyFa6y8swVUChW+DUzeBUmmws4/UQh7D3ltKQr0gcsTWpFky4V+Z+No7ZV
jMPRsScnkwOJeKmKnMU0pqAwyMaC1t0IM/KtPFqJLBpT7qcM6onjTWblXHJZ
NaTrjdcJzkmhz/OwALvrZNSvYoTkqS/Cnhgj1d0yK1AxOXAo6V4O5HkX50QH
iWIi2ZsliJPBH4bxn3iNRHwbGHA6jjQFXKflNoebI2CtQiDkZ/+ELt705ZzC
ebC9FfdwwnkG6t3WPPy1ZyGsTj0dLy4Ab2Hog7PaGJRIiMswZoRwwm+VeMRz
CIQd3ktztLfA689KMx74DF8J9s4llU0QE5ut1XFpHOJLFAyiJ1fAl5BW8T3y
B1hROVc+kGdA/lX+0T3HF+AdVcg5b7oJpXTSsq22F0AdN1KNmUjF5zstX5Zc
nof8pNOZ533nYfXfv9JuPNmBG1uWSjL481AlzYqePSuHjzl5HSSpJTjs4HHS
/Mg4DFLzpDfICSDHsVpDY3AEWupjRppVxsC2VLN02HwZnjF/z6fZM+HqUw+5
qLO94JuraDCjIonu4k3U0r3iqBSTrB+8XwD81J8CU4wJ6HJW9EqUyRQMSKec
8f8uAEbBGl/ffxpMHf30U7tXwO9S1onCXgF4qmqFVOe9hxiL4DmFTBHMPc/9
j01dAiM5t5zykVYgUAXxel8l0MzH1JaWJ41qpbs7fyUMQfWW/T/z6G+ANek1
t71CFukOhbrx7WSU9FkcfRzQB27Xq0zaxadg9HRhkRtjHja1RfafU5PA2gd2
6o8G+oBD9pLSk+8CYytWUoSSEG5m1paNqneB5QP2447WWhh7yrg2eSwdvvVo
KHPCNyM9SE6BmSCK9o9O5DTAKLRwtQ8/U20BZTFmWSjrGDQyndoZvbL4qnIB
ap+JYY2mu0F5lDh+YJw5aGLNh7GCzm6SMwWzhniz9hMk9N+n0xbSNgbs9LYD
ti+JOCk1bKmuMQU0cth7tdEf0C3+TXZxtREcB51m1TmfwNJC+Y7NA3mU+OQQ
F0ydgoBxdpFh1CqkDj1MTLo4DVA2lL0GPFgw2berUW4RVH1SIjLl52CadtGv
5ekcvP7IOUVh80FRKa9TT5GATqHRRSsVSvjHL6cVLteVwXSyfJGO4iRYvwjt
C9hJQR2b8IIL2cpoFsEz8JSjoGtouNNOwQK4/Nbgqa05D9wfdI5o57qvbIHL
7DY+pLBFEqIY0/DeWMI8miGHrlte5cZWV6/3XkHh7tqKpcb3u4bWvKB8v4E/
w14JsTvtY+ftXLA54N6ffZWEJo04sX+HALo4ShmnXDZgdXSGdcOXL8CK92zz
TCSg8I6tqdYhESSpMlOiIikYGP+30tb2cQj+7mahuv6JoOQLDloBomhQRudv
thLA3XzrXjO3UjCPOccTNhCxbfmNaURkE0zLzPTV1svioDItSINWBZWTphK7
/QWwWSPhoAqdiGNhxNRk10FwuPfxBtdSEbfWFFmZvRbB1lGiKe3YKNA2ZjRt
KR4Ho+NL0jYMKVTPFn97t18EX26osUtZI6MFi940wRsFD3cvDd/XAzBlvjxT
3zUMnneXVHyVpPHpXCy3+WIqaBbVaaZRZVA7TKFmO0kMR3rsQ+47SiL7aFu/
LqEPdj4/+M6hkIy3zfxaXFVawaX3M53Ma4Y/dVidXOoMUDwoouHF1cBmqH14
xiZjSPHeOq8VEr4PfTH8ym4ZLP036gX+0w3zK4R3rkE90JSVY3lLeQoSYotr
ur/Mwv8QfrUG
    "], "KSample", 1, 
    Rational[1, 20], {0, "Unequal", {}, {}}, Automatic, {}}, {
   "Normality" -> 1, "EqualVariance" -> 1, "Symmetry" -> 0}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.753758927145813*^9, 3.789406149029346*^9, 
  3.813560460361691*^9},
 CellLabel->"Out[39]=",
 CellID->948885047,ExpressionUUID->"da7ef29e-f063-4e64-a60d-153f499e5e00"]
}, Open  ]],

Cell["\<\
Let\[CloseCurlyQuote]s have a look at all the properties that are available \
in this object.\
\>", "Text",
 CellChangeTimes->{3.7537589340948153`*^9},
 CellID->238095023,ExpressionUUID->"610f8b97-4dc2-44a9-b640-ee66a06e2cea"],

Cell[TextData[{
 "Properties of the ",
 ButtonBox["HypothesisTestData",
  BaseStyle->"Link"],
 " object:"
}], "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, 3.7537588793200846`*^9, {3.753758942769105*^9, 
   3.753758948885764*^9}, {3.7705547404903517`*^9, 3.770554744272352*^9}},
 CellID->209025122,ExpressionUUID->"a3940b7e-65b1-488e-bd54-997def6293aa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[ScriptCapitalH]", "[", "\"\<Properties\>\"", "]"}]], "Input",
 CellLabel->"In[40]:=",
 CellID->37550599,ExpressionUUID->"854d8511-f32b-40ed-b555-7bfd62fdaa3e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"AllTests\"\>", ",", "\<\"AutomaticTest\"\>", 
   ",", "\<\"CompleteBlockF\"\>", ",", "\<\"DegreesOfFreedom\"\>", 
   ",", "\<\"FriedmanRank\"\>", ",", "\<\"HypothesisTestData\"\>", 
   ",", "\<\"KruskalWallis\"\>", ",", "\<\"KSampleT\"\>", 
   ",", "\<\"Properties\"\>", ",", "\<\"PValue\"\>", 
   ",", "\<\"PValueTable\"\>", ",", "\<\"ShortTestConclusion\"\>", 
   ",", "\<\"TestConclusion\"\>", ",", "\<\"TestData\"\>", 
   ",", "\<\"TestDataTable\"\>", ",", "\<\"TestEntries\"\>", 
   ",", "\<\"TestStatistic\"\>", ",", "\<\"TestStatisticTable\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.753758959635147*^9, 3.789406149048655*^9, 
  3.813560460373555*^9},
 CellLabel->"Out[40]=",
 CellID->697422307,ExpressionUUID->"00238601-e08a-4d37-8730-b008443596ee"]
}, Open  ]],

Cell[TextData[{
 "We notice the ",
 Cell[BoxData[
 "\"\<TestDataTable\>\""], "InlineCodeText",ExpressionUUID->
  "1e176031-f1c0-444d-bd32-9f70f02fa079"],
 " that provides us with the usual test statistic and the ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]], "InlineMath",ExpressionUUID->
  "4264f780-4548-40f8-bc53-3b4f5657102e"],
 "-value. Let\[CloseCurlyQuote]s look at some of the other properties. We \
will start with the degrees of freedom. This will show us the number of \
groups minus 1 and the total number of data point values minus the number of \
groups."
}], "Text",
 CellChangeTimes->{{3.7537589845486555`*^9, 3.7537589930859327`*^9}, {
   3.7704861699240503`*^9, 3.7704861780040503`*^9}, {3.7705466377362633`*^9, 
   3.7705466519301014`*^9}, {3.7705547498033524`*^9, 3.770554767209352*^9}, {
   3.770555104903352*^9, 3.7705551075743523`*^9}, {3.816096044747281*^9, 
   3.816096045995678*^9}, 3.816096094893776*^9},
 CellID->229319477,ExpressionUUID->"aec05fc8-e742-401d-b81d-e429bacfc680"],

Cell["Degrees of freedom:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537590018230314`*^9, 3.753759007182023*^9}, 
   3.770555139179352*^9},
 CellID->41437189,ExpressionUUID->"be2ceee9-019a-40ab-b382-a2330c966732"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[ScriptCapitalH]", "[", "\"\<DegreesOfFreedom\>\"", "]"}]], "Input",
 CellLabel->"In[41]:=",
 CellID->163063255,ExpressionUUID->"29ebf314-4256-4537-b1fd-6919d70f73c6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "177"}], "}"}]], "Output",
 CellChangeTimes->{3.753759015768566*^9, 3.789406149079557*^9, 
  3.8135604604030523`*^9},
 CellLabel->"Out[41]=",
 CellID->610968423,ExpressionUUID->"120dc3cd-fb4b-4aff-a31e-a3a3e275590b"]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
 "\"\<TestConclusion\>\""], "InlineCodeText",ExpressionUUID->
  "24ea26ca-1df7-415d-926c-a9b380406e9d"],
 " is always fun to use and can help us with writing a report of our analysis."
}], "Text",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.753759025623184*^9, 3.753759040406125*^9}, {
   3.770555154618352*^9, 3.7705551734433517`*^9}},
 CellID->661122555,ExpressionUUID->"ea9e3d8f-d0cd-4875-80a1-6806463ddd42"],

Cell["A written conclusion of the test result:", "CodeCaption",
 CellChangeTimes->{{3.727098727457966*^9, 3.727098742044507*^9}, {
   3.7464409119880595`*^9, 3.7464409156350594`*^9}, {3.747672470539421*^9, 
   3.747672472065938*^9}, 3.7536752281135163`*^9, 3.753675643696881*^9, 
   3.7537536795916777`*^9, {3.7537590465097623`*^9, 3.7537590990502825`*^9}, {
   3.7705551929833517`*^9, 3.7705551942003517`*^9}},
 CellID->794318131,ExpressionUUID->"2a18f970-04fd-4582-9b78-aafd28c9219e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[ScriptCapitalH]", "[", "\"\<TestConclusion\>\"", "]"}], "//", 
  "TraditionalForm"}]], "Input",
 CellLabel->"In[42]:=",
 CellID->46199486,ExpressionUUID->"14c7642a-336b-4069-8bd1-20dbcdba98ef"],

Cell[BoxData[
 FormBox[
  TemplateBox[{"\"The null hypothesis that \"", 
    TemplateBox[{"\"the \"", "\"mean\"", "\" are equal \""}, "RowDefault"], 
    "\"is not rejected at the \"", 
    TemplateBox[{"5", "\" percent level \""}, "RowDefault"], 
    TemplateBox[{
     "\"based on the \"", "\"Kruskal\[Hyphen]Wallis\"", "\" test.\""}, 
     "RowDefault"]},
   "RowDefault"], TraditionalForm]], "Output",
 CellChangeTimes->{3.753759067621894*^9, 3.789406149091565*^9, 
  3.8135604604104843`*^9},
 CellLabel->"Out[42]//TraditionalForm=",
 CellID->1426969054,ExpressionUUID->"6f93d05d-b5ab-4849-ad5c-399a1873ffd4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Exercises"], "ExerciseSection",
 CellChangeTimes->{{3.7687553871363335`*^9, 3.768755389110531*^9}},
 CellLabel->"In[43]:=",
 CellID->566065673,ExpressionUUID->"2929c4a0-8800-4505-acf6-0ab34018ab7f"],

Cell[TextData[{
 "Create two List objects named ",
 Cell[BoxData[
 "groupI"], "InlineCode",ExpressionUUID->
  "17f068ef-3aa9-4ec1-8741-98df5dca4e9b"],
 " and ",
 Cell[BoxData[
 "groupII"], "InlineCode",ExpressionUUID->
  "998498ba-6cfa-442f-ac0c-d21e9cae5a9a"],
 ". For ",
 Cell[BoxData[
 "groupI"], "InlineCode",ExpressionUUID->
  "78139815-285e-47eb-8af0-ea3213ee4245"],
 ", use a random seed of ",
 Cell[BoxData[
  FormBox["1234", TraditionalForm]],ExpressionUUID->
  "fe3dfa10-157f-4754-a6c2-1bb87071d621"],
 " to create ",
 Cell[BoxData[
  FormBox["100", TraditionalForm]],ExpressionUUID->
  "14394937-4386-43dd-aa3d-e3566ddde0fa"],
 " data point values for a random choice of integers in the domain ",
 Cell[BoxData[
  FormBox["90", TraditionalForm]],ExpressionUUID->
  "9edf616d-1cf7-494e-a69b-5ea72cfbe877"],
 " through ",
 Cell[BoxData[
  FormBox["110", TraditionalForm]],ExpressionUUID->
  "406bc3c3-6946-495c-be68-72abe606b42e"],
 ". For the ",
 Cell[BoxData[
 "groupII"], "InlineCode",ExpressionUUID->
  "8fa7be29-bca4-436c-8a3c-499025a3e0ce"],
 " data point values, add a random integer in the domain ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "10"}], TraditionalForm]],ExpressionUUID->
  "d8345001-003c-47a1-b011-f50842c39485"],
 " to 10 to each of the values in ",
 Cell[BoxData[
 "groupI"], "InlineCode",ExpressionUUID->
  "308490b6-1713-4474-8c0d-14ee40769e42"],
 " using a similar random seed."
}], "Exercise",
 CellChangeTimes->{{3.7262286590360723`*^9, 3.72622873894293*^9}, {
   3.7262287716961455`*^9, 3.7262287754399443`*^9}, {3.726228865544318*^9, 
   3.7262288824469132`*^9}, {3.7262290096722617`*^9, 
   3.7262290542473125`*^9}, {3.7262295602878523`*^9, 3.726229562391164*^9}, 
   3.726842073467464*^9, {3.726842199040183*^9, 3.726842199141012*^9}, {
   3.7477659616730633`*^9, 3.74776596922626*^9}, {3.747766013016721*^9, 
   3.7477660144880943`*^9}, 3.753685118620987*^9, {3.7537591651341887`*^9, 
   3.753759168211488*^9}, {3.7704862045700502`*^9, 3.7704862076090508`*^9}, {
   3.770560149501644*^9, 3.770560195351739*^9}},
 CellID->313618646,ExpressionUUID->"e7212e6a-3d3e-477f-a68e-1a74ff92035c"],

Cell[TextData[{
 "Create q-q plots for the two ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects using ",
 ButtonBox["/@",
  BaseStyle->"Link",
  ButtonData->"Map"],
 " shorthand notation."
}], "Exercise",
 CellChangeTimes->{{3.726228748018307*^9, 3.7262288631760774`*^9}, {
   3.7262288935428853`*^9, 3.726228921543979*^9}, {3.746529695196211*^9, 
   3.746529695627211*^9}, 3.753685147009468*^9, 3.753759189625146*^9, {
   3.770560202917739*^9, 3.770560215493739*^9}},
 CellID->429554189,ExpressionUUID->"fb5bba8d-c0c8-45aa-a13e-91704a13f31f"],

Cell[TextData[{
 "Test for normality and calculate the ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "6ea74ea4-0d7f-4d40-b1f7-ff49ada06a9d"],
 "-value for the Shapiro\[Dash]Wilk test for each of the ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects."
}], "Exercise",
 CellChangeTimes->{{3.7262289295702744`*^9, 3.726228976510738*^9}, {
   3.7262298270959935`*^9, 3.726229839750589*^9}, {3.726842199208551*^9, 
   3.7268421992586803`*^9}, 3.747765975313822*^9, 3.75368515908049*^9, 
   3.7537591968637753`*^9, {3.7705461693735914`*^9, 3.770546170504592*^9}, {
   3.7705466643805914`*^9, 3.770546672141143*^9}, 3.770560223644739*^9, {
   3.789325077017988*^9, 3.789325077021843*^9}, {3.790825053367488*^9, 
   3.7908251013383937`*^9}, {3.816096183709515*^9, 3.81609618371249*^9}, 
   3.816096250691516*^9},
 CellID->92516614,ExpressionUUID->"7c81e4de-5cdd-4fb8-8ec5-20d7b1ca835f"],

Cell[TextData[{
 "Create a box-and-whisker plot for each of the two ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " objects."
}], "Exercise",
 CellChangeTimes->{{3.726229157842061*^9, 3.7262291993992033`*^9}, {
   3.746530166713211*^9, 3.7465301668482113`*^9}, 3.7477659791690283`*^9, 
   3.75368516796871*^9, 3.7537592042226706`*^9, 3.770560229840739*^9},
 CellID->462802995,ExpressionUUID->"95f22842-b34c-48af-a188-e731c476f9d5"],

Cell[TextData[{
 "Since the ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "cd3cd55c-3b10-4369-b350-4c1b99abb48c"],
 "-values were less than a chosen ",
 Cell[BoxData[
 "\[Alpha]"], "InlineMath",ExpressionUUID->
  "95d4bcac-29d9-483c-9c5b-40fe063677c3"],
 "-value of 0.05, use the Mann\[Dash]Whitney ",
 Cell[BoxData[
  StyleBox["U", "TI"]], "InlineFormula",ExpressionUUID->
  "22fa1aa8-7e5c-4666-bab9-be89bd1d58c0"],
 "-test specifying a 0 difference in medians and express it as a test data \
table."
}], "Exercise",
 CellChangeTimes->{{3.7262289854750276`*^9, 3.7262290027998576`*^9}, {
   3.7262290588479567`*^9, 3.726229071255257*^9}, {3.7262291247517605`*^9, 
   3.7262291444871144`*^9}, {3.726842199308242*^9, 3.7268421993580112`*^9}, {
   3.746440260987338*^9, 3.746440261211383*^9}, 3.747765986481744*^9, 
   3.753685177124502*^9, 3.7537592149455557`*^9, {3.770546678021319*^9, 
   3.770546714010515*^9}, {3.7705602462367387`*^9, 3.770560297649739*^9}, {
   3.78932510165694*^9, 3.7893251016597853`*^9}, 3.7893251400335207`*^9, {
   3.81356015800429*^9, 3.813560161092022*^9}, 3.81356019582798*^9, {
   3.816096207732143*^9, 3.816096225895969*^9}},
 CellID->116633910,ExpressionUUID->"3febb0e0-a4ef-4905-b6ee-15112306ddec"],

Cell[TextData[{
 "Create a third set of data point values, named ",
 Cell[BoxData[
 "groupIII"], "InlineCode",ExpressionUUID->
  "6785e84f-2b36-4a5b-a45e-68aaf2ff2a49"],
 ", to simulate a third group. Use a similar random seed as above to create ",
 Cell[BoxData[
  FormBox["100", TraditionalForm]],ExpressionUUID->
  "ed977a82-dbc8-4339-8c0a-24a308f7df0e"],
 " random integer values in the domain ",
 Cell[BoxData[
  FormBox["100", TraditionalForm]],ExpressionUUID->
  "31134f29-af4c-4936-92cb-e5b4b06ef2ae"],
 " through ",
 Cell[BoxData[
  FormBox["140", TraditionalForm]],ExpressionUUID->
  "792356b2-3259-410d-89f1-1b442d0d02d6"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7262290793221188`*^9, 3.726229098193971*^9}, {
   3.746530047904211*^9, 3.7465300490732107`*^9}, 3.753685184977773*^9, 
   3.7537592243998814`*^9, 3.7704862114570503`*^9, {3.770560304047739*^9, 
   3.770560307688739*^9}},
 CellID->237952745,ExpressionUUID->"2230536f-62ad-43c6-905f-c40d87008c41"],

Cell[TextData[{
 "Create a q-q plot for ",
 Cell[BoxData[
 "groupIII"], "InlineCode",ExpressionUUID->
  "752ffc9a-23d9-4bcb-b5ca-16dbe782e559"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.726229233770355*^9, 3.726229294103078*^9}, {
   3.726230215439643*^9, 3.7262302247748566`*^9}, 3.726842136959337*^9, {
   3.746530212767211*^9, 3.7465302165582113`*^9}, 3.7536851915523186`*^9, 
   3.753759235926982*^9, {3.770560332766739*^9, 3.770560341464739*^9}},
 CellID->1215592,ExpressionUUID->"36fcf759-8294-41a4-8164-381f6edccd0c"],

Cell[TextData[{
 "Calculate a ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "0208e1f5-56f4-4a36-9462-d597490be8cd"],
 "-value for ",
 Cell[BoxData[
 "groupIII"], "InlineCode",ExpressionUUID->
  "75b1e25a-313d-49f6-90d9-ea6f5f50fedc"],
 " using the Shapiro\[Dash]Wilk test."
}], "Exercise",
 CellChangeTimes->{{3.726229327482026*^9, 3.726229437287052*^9}, {
   3.726842099061895*^9, 3.726842101914075*^9}, {3.72684219942413*^9, 
   3.726842199476267*^9}, {3.7465303105142107`*^9, 3.746530310865211*^9}, {
   3.746530392909211*^9, 3.746530393957211*^9}, {3.747765998234042*^9, 
   3.747766007954041*^9}, 3.7536852015609016`*^9, 3.7537592424550285`*^9, {
   3.7705461759095917`*^9, 3.7705461773115916`*^9}, {3.7705467213079743`*^9, 
   3.770546748688449*^9}, 3.770560350566739*^9, 3.816096213788207*^9},
 CellID->82041004,ExpressionUUID->"baa52122-a71c-4d8d-8437-bf335ab0611f"],

Cell[TextData[{
 "Create a box-and-whisker plot of ",
 Cell[BoxData[
 "groupIII"], "InlineCode",ExpressionUUID->
  "18b74793-5613-4a53-8b9f-d24b1ea563a7"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7262294413218966`*^9, 3.7262294769837656`*^9}, {
   3.726842112463746*^9, 3.7268421167365093`*^9}, 3.747766002825001*^9, {
   3.753685211697298*^9, 3.7536852291086903`*^9}, 3.7537592543767433`*^9, 
   3.770560356247739*^9},
 CellID->306226882,ExpressionUUID->"8c612ecb-ff9c-4e65-b8d8-5b97e3a57c6b"],

Cell[TextData[{
 "Create a nested ",
 ButtonBox["List",
  BaseStyle->"Link"],
 " object of the three sets of data point values using the ",
 ButtonBox["Table",
  BaseStyle->"Link"],
 " function. Name this List object ",
 Cell[BoxData[
 "lists"], "InlineCode",ExpressionUUID->
  "d1a66cc2-085d-42f4-b273-27921d5e5a09"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7262294413218966`*^9, 3.7262294769837656`*^9}, {
   3.726842112463746*^9, 3.7268421167365093`*^9}, 3.747766002825001*^9, {
   3.753685211697298*^9, 3.7536852291086903`*^9}, {3.753759259975867*^9, 
   3.753759268134907*^9}, 3.7704862140480504`*^9, {3.770560360146739*^9, 
   3.770560379457739*^9}},
 CellID->41159148,ExpressionUUID->"baa586af-fc12-4b2f-8193-5bcd14a79398"],

Cell[TextData[{
 "Calculate a test statistic and ",
 Cell[BoxData[
  StyleBox["p",
   FontSlant->"Italic"]], "InlineMath",ExpressionUUID->
  "e0656069-7c1c-45e7-88e0-959215d79bf6"],
 "-value for ",
 Cell[BoxData[
 "lists"], "InlineCode",ExpressionUUID->
  "0425dca9-9898-47b9-9f70-471df9a0a46f"],
 " using the Kruskal\[Dash]Wallis test."
}], "Exercise",
 CellChangeTimes->{{3.7262294413218966`*^9, 3.7262294769837656`*^9}, {
   3.726842112463746*^9, 3.7268421167365093`*^9}, 3.747766002825001*^9, {
   3.753685211697298*^9, 3.7536852291086903`*^9}, 3.753759291711461*^9, {
   3.770546755672846*^9, 3.7705467637384586`*^9}, {3.770560388898739*^9, 
   3.770560400628739*^9}, 3.789325176601244*^9, 3.8160962203881063`*^9},
 CellID->97408759,ExpressionUUID->"36ab36fa-72e4-4922-8863-62075d47a75d"]
}, Open  ]],

Cell[CellGroupData[{

Cell["More to Explore", "MoreExploreSection",
 CellID->19888384,ExpressionUUID->"af38bce4-ee9c-4709-9972-0e2b508107cc"],

Cell[TextData[{
 StyleBox[ButtonBox["Find the interval where the null hypothesis cannot be \
rejected with this Demonstration by O. E. Prokopchenko ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://demonstrations.wolfram.com/\
SamplingStatisticsAndStatisticalEstimation"], None},
  ButtonNote->
   "https://demonstrations.wolfram.com/\
SamplingStatisticsAndStatisticalEstimation"],
  BaseStyle -> "Hyperlink"],
 StyleBox[ButtonBox["(",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com"], None},
  ButtonNote->"https://reference.wolfram.com"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[ButtonBox["wolfr.am/SamplingStatistics",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/SamplingStatistics"], None},
  ButtonNote->"https://wolfr.am/SamplingStatistics"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[ButtonBox[")",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com"], None},
  ButtonNote->"https://reference.wolfram.com"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"]
}], "MoreExplore",
 CellChangeTimes->{3.813560345553308*^9},
 CellID->26626102,ExpressionUUID->"783fce63-5401-453b-a3e8-97373a75a7b2"],

Cell[TextData[{
 StyleBox[ButtonBox["Try this excellent Demonstration by C. Boucher on \
hypothesis tests and population mean in the Wolfram Cloud ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://demonstrations.wolfram.com/\
HypothesisTestsAboutAPopulationMean/"], None},
  ButtonNote->
   "https://demonstrations.wolfram.com/HypothesisTestsAboutAPopulationMean/"],
  BaseStyle -> "Hyperlink"],
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/PopulationMean",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/PopulationMean"], None},
  ButtonNote->"https://wolfr.am/PopulationMean"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellID->187736320,ExpressionUUID->"c014b608-8dfe-40c8-b913-dc88a8cae5ed"],

Cell[TextData[{
 StyleBox[ButtonBox["The Documentation Center has a substantial section on \
the Mann\[Dash]Whitney test ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MannWhitneyTest.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/MannWhitneyTest.html"],
  BaseStyle -> "Hyperlink"],
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/MannWhitney",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/MannWhitney"], None},
  ButtonNote->"https://wolfr.am/MannWhitney"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellID->137136397,ExpressionUUID->"5574d696-c8a6-4af1-98d0-8d8ba87c63b4"]
}, Open  ]]
}, Open  ]]
},
Editable->False,
Saveable->False,
WindowSize->{808, 911},
WindowPersistentStyles->{
 WindowFrame, WindowMargins, WindowSize, Magnification},
DockedCells->{
  Cell[
   BoxData[
    TagBox[
     GridBox[{{
        TemplateBox[{"\[ThinSpace]", "\[ThinSpace]", 
          StyleBox[
          "Introduction to Statistics\t\t\t\t\t\nwith the Wolfram Language", 
           LineSpacing -> {1, 1}, FontFamily -> "Source Sans Pro", FontSize -> 
           24, FontColor -> GrayLevel[1]], "\[ThinSpace]"}, 
         "RowWithSeparators"], 
        PaneBox[
         StyleBox["\[VeryThinSpace]", ShowStringCharacters -> False], 
         Alignment -> Right, ImageSize -> {65, 75}], 
        PaneBox[
         PaneBox[
          TemplateBox[{"\[ThinSpace]", "\" \"", 
            TagBox[
             TooltipBox[
              PaneSelectorBox[{False -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{
                    "13-Klopper-ComparingCategoricalVariables.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                  None, Evaluator -> Automatic, Method -> "Preemptive"], True -> 
                ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{
                    "13-Klopper-ComparingCategoricalVariables.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                  None, Background -> GrayLevel[0.2], Evaluator -> Automatic, 
                  Method -> "Preemptive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], ImageSize -> Automatic, 
               FrameMargins -> 0], "\"Chapter 13\"", TooltipDelay -> 0.15, 
              LabelStyle -> "TextStyling"], 
             Annotation[#, "Chapter 13", "Tooltip"]& ], 
            InterpretationBox[
             StyleBox[
              
              GraphicsBox[{}, ImageSize -> {5, 0}, BaselinePosition -> 
               Baseline], "CacheGraphics" -> False], 
             Spacer[5], Selectable -> False], 
            TagBox[
             TooltipBox[
              PaneSelectorBox[{False -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"15-Klopper-ResearchProject.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Evaluator -> 
                  Automatic, Method -> "Preemptive"], True -> ButtonBox[
                  PaneBox[
                   GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                     ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                    ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                   Alignment -> Center], 
                  ButtonFunction :> (
                   NotebookLocate[{"15-Klopper-ResearchProject.nb", ""}, 
                    FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Background -> 
                  GrayLevel[0.2], Evaluator -> Automatic, Method -> 
                  "Preemptive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], ImageSize -> Automatic, 
               FrameMargins -> 0], "\"Chapter 15\"", TooltipDelay -> 0.15, 
              LabelStyle -> "TextStyling"], 
             Annotation[#, "Chapter 15", "Tooltip"]& ]}, "RowWithSeparators"],
           Alignment -> Right], ImageSize -> {100, 30}, 
         FrameMargins -> {{0, 6}, {0, 0}}, Alignment -> Right], 
        ActionMenuBox[
         PaneSelectorBox[{True -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> GrayLevel[0.2], 
             ImageSize -> {35, 30}, Alignment -> Center], False -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> RGBColor[0.12, 0.18, 0.26], 
             ImageSize -> {35, 30}, Alignment -> Center]}, 
          Dynamic[
           CurrentValue["MouseOver"]]], {
         "1 | Introduction" :> 
          NotebookLocate[{"01-Klopper-IntroDataAnalysis.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "2 | Evaluating Basic Math" :> 
          NotebookLocate[{"02-Klopper-BasicMath.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "3 | Collections" :> 
          NotebookLocate[{"03-Klopper-Collections.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "4 | Working with Datasets" :> 
          NotebookLocate[{"04-Klopper-WorkingWithData.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "5 | Data Types" :> 
          NotebookLocate[{"05-Klopper-DataTypes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "6 | Simple Descriptive Statistics" :> 
          NotebookLocate[{"06-Klopper-DescriptiveStatistics.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "7 | Visualizing Data" :> 
          NotebookLocate[{"07-Klopper-VisualizingData.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "8 | Distributions" :> 
          NotebookLocate[{"08-Klopper-Distributions.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "9 | Hypothesis Testing" :> 
          NotebookLocate[{"09-Klopper-HypothesisTesting.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], 
          "10 | Parametric Tests, Comparing Means" :> 
          NotebookLocate[{"10-Klopper-ParametricTests.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "11 | Correlation" :> 
          NotebookLocate[{"11-Klopper-Correlation.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "12 | Linear Regression" :> 
          NotebookLocate[{"12-Klopper-LinearRegression.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "13 | Comparing Categorical Variables" :> 
          NotebookLocate[{"13-Klopper-ComparingCategoricalVariables.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "14 | Nonparametric Tests" :> 
          NotebookLocate[{"14-Klopper-NonparametricTests.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "15 | A Research Project Demonstration" :> 
          NotebookLocate[{"15-Klopper-ResearchProject.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}]}, Appearance -> None]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Center}}}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]], 
   "Text", ShowCellBracket -> False, CellFrame -> {{0, 0}, {3, 0}}, 
   Selectable -> False, CellFrameColor -> RGBColor[0.12, 0.18, 0.26], 
   CellMargins -> {{0, 0}, {0, -1}}, CellFrameMargins -> {{27, 0}, {1, 7}}, 
   Background -> RGBColor[0.12, 0.18, 0.26], CellTags -> 
   "DockedCellLogoCell"], 
  Cell["JUAN H. KLOPPER", "Text", FontFamily -> "Source Sans Pro", FontWeight -> 
   "Light", FontSize -> 15, CellFrame -> {{0, 0}, {3, 0}}, ShowCellBracket -> 
   False, CellMargins -> {{0, 0}, {-1, -1}}, 
   CellFrameMargins -> {{27, 0}, {2, 4}}, CellFrameColor -> 
   RGBColor[1., 0.7, 0.1], FontTracking -> "Extended", FontColor -> 
   GrayLevel[1], Background -> RGBColor[0.9, 0.4, 0.], CellTags -> 
   "DockedCellLogoCell"]},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page"], "PageNumber"], 
      StyleBox[
      "    Introduction to Statistics with the Wolfram Language", "Header"]}],
     "Header", CellMargins -> {{37, Inherited}, {Inherited, Inherited}}], 
   None, None}, {None, None, 
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Section"], "Header"], 
      StyleBox["  |  Nonparametric Tests", "Header"], 
      StyleBox["    ", "Header"], 
      StyleBox[
       CounterBox["Page"], "PageNumber"]}], "Header", 
    CellMargins -> {{Inherited, 34}, {Inherited, Inherited}}]}},
ShowAutoSpellCheck->False,
FrontEndVersion->"12.2 for Mac OS X x86 (64-bit) (December 12, 2020)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell[
      "Style Environments", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9}], 
      Cell[
       StyleData[All, "Working"], CellInsertionPointCell -> 
       FEPrivate`FrontEndResource["FEExpressions", "CellInsertionMenu"], 
       CreateCellID -> True, $CellContext`GhostCellInEmptyNotebook -> False], 
      Cell[
       StyleData[All, "Printout"], 
       PrintingOptions -> {
        "PageSize" -> {504, 720}, "PrintRegistrationMarks" -> True}, 
       Magnification -> 0.6]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Headers and Footers", "Section"], 
      Cell[
       StyleData["Header"], StyleMenuListing -> None, FontFamily -> 
       "Source San Pro", FontSize -> 8, FontWeight -> "Plain", FontSlant -> 
       "Plain", FontColor -> GrayLevel[0.45]], 
      Cell[
       StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
       StyleMenuListing -> None, FontFamily -> "Source San Pro", FontSize -> 
       8, FontWeight -> "Bold", FontSlant -> "Plain", FontColor -> 
       GrayLevel[0]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Custom Styles", "Section", 
       CellChangeTimes -> {{3.646611660445352*^9, 3.646611669493331*^9}}], 
      Cell[
       StyleData["Notebook"], PageWidth :> 700, 
       PrintingOptions -> {
        "InnerOuterMargins" -> {35, 16}, "PaperOrientation" -> "Portrait", 
         "PaperSize" -> {504, 720}, 
         "PrintingMargins" -> {{20, 20}, {54, 54}}}, CellLabelAutoDelete -> 
       False, ShowSyntaxStyles -> True, 
       AutoStyleOptions -> {
        "FormattingErrorTooltips" -> False, "HighlightComments" -> False, 
         "HighlightEmphasizedSyntaxErrors" -> False, 
         "HighlightExcessArguments" -> False, "HighlightFormattingErrors" -> 
         False, "HighlightGlobalToLocalScopeConflicts" -> False, 
         "HighlightGraphicsCompatibilityProblems" -> False, 
         "HighlightLocalScopeConflicts" -> False, "HighlightMissingArguments" -> 
         False, "HighlightNoKernelPresent" -> False, 
         "HighlightOrderOfEvaluationConflicts" -> False, "HighlightStrings" -> 
         True, "HighlightSymbolContexts" -> False, "HighlightSymbolShadowing" -> 
         False, "HighlightSyntaxErrors" -> False, "HighlightUndefinedSymbols" -> 
         False, "HighlightUnknownOptions" -> False, 
         "HighlightUnwantedAssignments" -> False}, MenuSortingValue -> None, 
       GraphicsBoxOptions -> {ImageSize -> 240}, 
       Graphics3DBoxOptions -> {ImageSize -> 240}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], CellMargins -> {{64, Inherited}, {50, 72}}, 
          MenuCommandKey :> None, FontFamily -> "Verdana", FontSize -> 42, 
          FontWeight -> "Bold", FontColor -> GrayLevel[0.4]], 
         Cell[
          StyleData["Title", "Printout"], 
          CellMargins -> {{64, Inherited}, {50, 72}}]}, Open]], 
      Cell[
       StyleData["Chapter"], MenuCommandKey :> None], 
      Cell[
       StyleData["Subchapter"], MenuCommandKey :> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, CellDingbat -> 
          Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{96, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["Section", "Printout"], 
          CellMargins -> {{96, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionDoubleDigit"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellDingbat -> Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{112, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionDoubleDigit", "Printout"], 
          CellMargins -> {{112, Inherited}, {12, 2}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNumber"], CellBaseline -> Baseline, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 26, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionInline"], FontFamily -> 
          "Source Sans Pro Semibold", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionInline", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNoDingbat"], 
          CellMargins -> {{64, Inherited}, {12, 64}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionNoDingbat", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 2}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesSubsection"], 
          CellMargins -> {{64, Inherited}, {4, 16}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesSubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 16}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 24}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["VocabularySection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 24}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyTable", StyleDefinitions -> StyleData["Text"]],
           SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"VocabularyCode", Inherited, Inherited}, 
              "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "VocabularyTable3Column", StyleDefinitions -> StyleData["Text"]], 
          SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {
               "VocabularyCode", Inherited, "VocabularyCode", Inherited, 
                Inherited}, "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable3Column", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["VocabularyText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyCode", StyleDefinitions -> StyleData["Text"]], 
          Deletable -> False, FontFamily -> "Source Sans Pro", FontSize -> 14,
           FontWeight -> "Bold", FontColor -> GrayLevel[0.25], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["VocabularyCode", "Printout"], FontColor -> 
          GrayLevel[0.25]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GrayPointSix"], FontColor -> GrayLevel[0.6]], 
         Cell[
          StyleData["GrayPointSix", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabDivColor"], FontColor -> GrayLevel[0.8]], 
         Cell[
          StyleData["VocabDivColor", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, ShowCellLabel -> False, CellFrameMargins -> {{8, 8}, {4, 6}},
           CellFrameColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ExerciseSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Exercise"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Exercise"]}], "ExerciseNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          ShowGroupOpener -> True, CellMargins -> {{108, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, DefaultNewCellStyle -> 
          "ExerciseInput", CounterIncrements -> "Exercise", MenuSortingValue -> 
          10020, MenuCommandKey :> "2", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Exercise", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{110, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsection"], PageWidth :> 500, 
          CellFrame -> {{False, False}, {1, False}}, 
          CellMargins -> {{64, Inherited}, {8, 18}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6], FontFamily -> "Source Sans Pro", FontSize -> 
          18, FontSlant -> "Italic", FontColor -> RGBColor[0.65, 0.6, 0.6]], 
         Cell[
          StyleData["ExerciseSubsection", "Printout"], 
          CellFrame -> {{False, False}, {1, False}}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNote"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNote", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QASection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Question", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["QASection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Question"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {2, 12}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, DefaultReturnCreatedCellStyle -> 
          "Answer", CounterIncrements -> "Question", MenuSortingValue -> 
          10030, MenuCommandKey :> "3", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["Question", "Printout"], 
          CellMargins -> {{65, Inherited}, {2, 12}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Answer"], PageWidth :> 700, 
          CellMargins -> {{66, 10}, {4, 1}}, ReturnCreatesNewCell -> True, 
          DefaultReturnCreatedCellStyle -> "Question", 
          LineSpacing -> {1.125, 1., 2.}, MenuSortingValue -> 10032, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Answer", "Printout"], 
          CellMargins -> {{66, 10}, {4, 1}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QuestionNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["QuestionNumber", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["TechNoteSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNote"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"\[FilledSmallSquare]"}], FontSize -> 12, FontColor -> 
            GrayLevel[0.5]], CellMargins -> {{78, Inherited}, {4, 8}}, 
          ReturnCreatesNewCell -> True, CellFrameLabelMargins -> 3, 
          CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9}, 
            3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          MenuSortingValue -> 10040, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["TechNote", "Printout"], 
          CellMargins -> {{82, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExplore"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, PageBreakBelow -> False, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExplore", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreShortURL"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          FontFamily -> "Source Sans Pro Light", FontSize -> 14, FontSlant -> 
          "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExploreShortURL", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], CellMargins -> {{66, 10}, {4, 12}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Baskerville", FontSize -> 
          18, FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Text", "Printout"], CellMargins -> {{66, 10}, {7, 7}}]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesText"], CellMargins -> {{66, 10}, {2, 0}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesText", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesLink"], CellMargins -> {{66, 10}, {2, 0}}, 
          ReturnCreatesNewCell -> True, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Italic", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesLink", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 
          1, FontSize -> 15], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{99, 10}, {3, 7}}]},
         Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 
          15], 
         Cell[
          StyleData["Output", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{99, 10}, {25, 10}}, 
          SpanMaxSize -> 1, MenuSortingValue -> 1500, FontSize -> 15], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{99, 10}, {15, 10}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"], 
          CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
          LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
          "Helvetica Neue", FontSize -> 9, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> GrayLevel[0.5]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.5]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Message"], Editable -> False, 
          CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> "OutputGrouping", TextClipboardType -> 
          "PlainText", StripStyleOnPaste -> True, PageBreakWithin -> False, 
          GroupPageBreakWithin -> False, GeneratedCell -> True, 
          CellAutoOverwrite -> True, ShowCellLabel -> False, 
          DefaultFormatType -> DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Output"], 
          ShowAutoStyles -> False, ShowSyntaxStyles -> False, 
          AutoStyleOptions -> {
           "StringStyle" -> None, "SyntaxErrorStyle" -> None}, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, AutoQuoteCharacters -> {}, 
          PasteAutoQuoteCharacters -> {}, LanguageCategory -> None, 
          FormatType -> InputForm, ShowStringCharacters -> False, 
          CounterIncrements -> "Message", MenuSortingValue -> 1600, 
          StyleMenuListing -> None, FontFamily :> 
          CurrentValue["PanelFontFamily"], FontSize -> 11, FontColor -> 
          RGBColor[0.5072, 0.16933, 0.15221]], 
         Cell[
          StyleData["Message", "Printout"], 
          CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, FontColor -> 
          GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{88, 10}, {4, 7}}, 
          GeneratedCellStyles -> {"Output" -> "ExerciseOutput"}, 
          ShowCellLabel -> False, SpanMaxSize -> 1, FontSize -> 14], 
         Cell[
          StyleData["ExerciseInput", "Printout"], 
          CellMargins -> {{88, 10}, {4, 7}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExerciseOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{88, 10}, {10, 4}}, ShowCellLabel -> False, 
          FontSize -> 14], 
         Cell[
          StyleData["ExerciseOutput", "Printout"], 
          CellMargins -> {{88, 10}, {10, 4}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Picture"], CellMargins -> {{66, 10}, {10, 10}}, 
          CellGroupingRules -> "GraphicsGrouping", StyleMenuListing -> None], 
         Cell[
          StyleData["Picture", "Printout"], 
          CellMargins -> {{66, 10}, {8, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Comment"], FontFamily -> "Verdana", FontSize -> 13, 
          FontColor -> RGBColor[0.3, 0.3, 0.2], Background -> 
          RGBColor[1, 0.9, 0.8]], 
         Cell[
          StyleData["Comment", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Suggestion"], 
          CellFrameLabels -> {{Inherited, Inherited}, {Inherited, 
             Cell[
              BoxData[
               TagBox[
                GridBox[{{
                   ButtonBox[
                   "\"  Insert  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`ReplaceWithSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    ContentPadding -> False, Appearance -> Automatic, Method -> 
                    "Queued"], 
                   ButtonBox[
                   "\"  Stet  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; DocuTools`StetSuggestion[]), 
                    Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "    ", 
                   ButtonBox[
                   "\"  Next  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindNextSuggestion[]), Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], 
                   ButtonBox[
                   "\"  Previous  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindPreviousSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "\"\""}}, 
                 AutoDelete -> False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                "Grid"]], ShowStringCharacters -> False, Background -> 
              None]}}, Background -> RGBColor[1, 0.8, 0.8]], 
         Cell[
          StyleData["Suggestion", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Tentative"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[
             0.30000000000000016`, 0.6000000000000003, 0.7000000000000003], 
            "Thickness" -> 5}, Evaluatable -> False, CellFrameMargins -> 4, 
          StyleMenuListing -> None, Background -> 
          RGBColor[0.8500000000000003, 0.9500000000000003, 1]], 
         Cell[
          StyleData["Tentative", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WebOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.91, 0.92, 0.9], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.91, 0.92, 0.86]], 
         Cell[
          StyleData["WebOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Lockdown"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.8, 0.5, 0.4], "Thickness" -> 3}, Evaluatable -> 
       False, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["IndexField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["IndexField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExplanationField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["ExplanationField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EnglishHighlight"], FontFamily -> "WolframCodeSans"], 
         Cell[
          StyleData["EnglishHighlight", "Printout"]]}, Open]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Inline and special formatting", "Section", 
       CellChangeTimes -> {{3.646681732592888*^9, 3.646681749414035*^9}}], 
      Cell[
       StyleData["Graphics"], MenuSortingValue -> None], 
      Cell[
       StyleData["Graphics3D"], MenuSortingValue -> None], 
      Cell[
       StyleData["StandardForm"], 
       InputAutoReplacements -> {
        "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> "\[LessEqual]", 
         ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", "==" -> "\[Equal]",
          "@>" -> "\\[InlinePart]", "<->" -> "\[UndirectedEdge]", ParentList},
        LineSpacing -> {1.25, 0, 2}, SingleLetterItalics -> False, 
       StyleMenuListing -> None, FontFamily -> "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       StyleData["OutputForm"], PageWidth :> Infinity, TextAlignment -> Left, 
       LineSpacing -> {0.6, 1}, AutoQuoteCharacters -> {}, 
       PasteAutoQuoteCharacters -> {}, StyleMenuListing -> None, FontFamily -> 
       "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       StyleData["InputForm"], PageWidth :> Infinity, 
       InputAutoReplacements -> {}, AllowInlineCells -> False, Hyphenation -> 
       False, AutoQuoteCharacters -> {}, PasteAutoQuoteCharacters -> {}, 
       AutoSpacing -> False, NumberMarks -> True, AutoNumberFormatting -> 
       False, StyleMenuListing -> None, FontFamily -> "Source Sans Pro", 
       PrivateFontOptions -> {"OperatorSubstitution" -> True}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Link"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Link", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DetailsLink"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0], 
          ButtonBoxOptions -> {
           ButtonFunction :> (Function[
             t, NotebookFind[t, "Notes", All, CellStyle]; 
              NotebookFind[
               t, "NotesSection", All, CellStyle, AutoScroll -> Top]][
              Documentation`HelpLookup[
               StringJoin["ref/", #]]]& ), ButtonSource -> ButtonContents, 
            Evaluator -> Automatic}], 
         Cell[
          StyleData["DetailsLink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["LinkAlt"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["LinkAlt", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Hyperlink"], MenuSortingValue -> None, FontColor -> 
          RGBColor[0.3, 0.35, 0.5]], 
         Cell[
          StyleData["Hyperlink", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Crosslink"], 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               
               NotebookLocate[#2, "OpenInNewWindow" -> 
                CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None,
             Method -> "Queued"}], 
         Cell[
          StyleData["Crosslink", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeLink"], 
          ButtonBoxOptions -> {
           Appearance -> None, ButtonFunction :> (Documentation`HelpLookup[
              Part[#, 1]]& ), ButtonSource -> ButtonContents, Evaluator -> 
            Automatic}], 
         Cell[
          StyleData["CodeLink", "Printout"]]}, Open]], 
      Cell[
       StyleData["VocabularyLink"], FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       StyleData["InlineCode"], SpanMaxSize -> 0, FontColor -> GrayLevel[0]], 
      Cell[
       StyleData["InlineCodeText"], SpanMaxSize -> 0, FontFamily -> 
       "Source Sans Pro", FontSize -> Inherited 0.95], 
      Cell[
       StyleData["NoLabel"], 
       GeneratedCellStyles -> {"Output" -> "ExerciseOutput"}, ShowCellLabel -> 
       False], 
      Cell[
       StyleData["MenuName"], FontFamily -> "Verdana", FontWeight -> "Bold", 
       FontColor -> GrayLevel[0.286275]], 
      Cell[
       StyleData["KeyEvent"], CellFrame -> {{0.5, 0.5}, {0.5, 0.5}}, 
       CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> GrayLevel[0.7],
        FontFamily -> "Verdana", FontColor -> GrayLevel[0.4]], 
      Cell[
       StyleData["KeyEventDelimiter"], FontColor -> GrayLevel[0.5]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariable"], FontFamily -> "Times", FontSize -> 
          Inherited 1.05, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariable", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariableLrg"], FontFamily -> "Times", FontSize -> 
          Inherited 1.1, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariableLrg", "Printout"]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Key Styles", "Subsubsection"], 
         Cell[
          StyleData["Key0"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {"Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key1"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {2 -> GrayLevel[0.8352941176470589]}, 
                  "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key2"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {
                   2 -> GrayLevel[0.8352941176470589], 3 -> 
                    GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}], 
         Cell[
          StyleData["Key3"], 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              TagBox[
               GridBox[{{
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> 
                   GrayLevel[0.9333333333333333], StripOnInput -> False], 
                  ItemBox[
                   
                   TemplateBox[{"\[ThickSpace]", #4, "\[ThickSpace]"}, 
                    "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                   False]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
                False, GridBoxDividers -> {
                 "ColumnsIndexed" -> {
                   2 -> GrayLevel[0.8352941176470589], 3 -> 
                    GrayLevel[0.8352941176470589], 4 -> 
                    GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}},
                 GridBoxSpacings -> {"Columns" -> {{0}}}, 
                BaselinePosition -> {{1, 1}, Baseline}], "Grid"], 
              RoundingRadius -> 4, Background -> 
              GrayLevel[0.9333333333333333], 
              FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
                GrayLevel[0.8352941176470589], 
                AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
              StripOnInput -> False]& )}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Entity styles", "Subsubsection"], 
         Cell[
          StyleData["Entity"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneSelectorBox[{True -> GridBox[{{
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "WolframCodeSans", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontFamily -> "WolframCodeSans", 
                    FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 1}], False -> 
                 PaneBox[#, 
                   BaseStyle -> {
                    FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                   BaselinePosition -> Baseline]}, 
                Dynamic[
                 CurrentValue[Evaluatable]], ImageSize -> Automatic, 
                BaselinePosition -> Baseline, 
                BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
               RGBColor[1., 0.504768, 0.], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {0.5, 3}}, 
               ImageMargins -> {{2, 2}, {1, 1}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityFrameless"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              PaneSelectorBox[{True -> GridBox[{{
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontFamily -> "Source Sans Pro", 
                    FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 1}], False -> 
                PaneBox[#, 
                  BaseStyle -> {
                   FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                  BaselinePosition -> Baseline]}, 
               Dynamic[
                CurrentValue[Evaluatable]], ImageSize -> Automatic, 
               BaselinePosition -> Baseline, 
               BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
              BaseStyle -> {
               ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {
                 FontWeight -> "Plain", "OperatorSubstitution" -> False}}]& ),
             Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityFramelessHot"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {
           DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                   
                   StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0]], 
                   StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                    False]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 1}], False -> 
               PaneBox[#, BaseStyle -> {FontColor -> GrayLevel[0]}, 
                 BaselinePosition -> Baseline]}, 
              Dynamic[
               CurrentValue[Evaluatable]], ImageSize -> Automatic, 
              BaselinePosition -> Baseline, 
              BaseStyle -> {
               FontWeight -> "Plain", FontFamily -> "Helvetica", 
                ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClass"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneSelectorBox[{True -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 2}], False -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                   GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                   GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}},
                    BaselinePosition -> {1, 2}]}, 
                Dynamic[
                 CurrentValue[Evaluatable]], ImageSize -> Automatic, 
                BaselinePosition -> Baseline, 
                BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
               RGBColor[1., 0.504768, 0.], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClassFrameless"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              PaneSelectorBox[{True -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]], 
                    StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                    Selectable -> False]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 2}], False -> GridBox[{{
                    PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                    
                    StyleBox[#, FontColor -> 
                    RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                  BaselinePosition -> {1, 2}]}, 
               Dynamic[
                CurrentValue[Evaluatable]], ImageSize -> Automatic, 
               BaselinePosition -> Baseline, 
               BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityClassFramelessHot"], ShowStringCharacters -> False,
           TemplateBoxOptions -> {
           DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                   
                   StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0]], 
                   StyleBox[
                    RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                    "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                    False]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}], False -> GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], 
                   StyleBox[#, FontColor -> GrayLevel[0]]}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}]}, 
              Dynamic[
               CurrentValue[Evaluatable]], ImageSize -> Automatic, 
              BaselinePosition -> Baseline, 
              BaseStyle -> {
               FontWeight -> "Plain", FontFamily -> "Helvetica", 
                ShowStringCharacters -> False, LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityProperty"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               
               PaneBox[#, 
                BaseStyle -> {
                 FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
                Baseline], FrameStyle -> 
               RGBColor[0.94227, 0.703639, 0.033387], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityPropertyClass"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
              FrameBox[
               PaneBox[
                GridBox[{{
                   PaneBox[
                    DynamicBox[
                    FEPrivate`ImportImage[
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                    BaselinePosition -> Bottom], #}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                 BaselinePosition -> {1, 2}], 
                BaseStyle -> {
                 FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
                Baseline], FrameStyle -> 
               RGBColor[0.94227, 0.703639, 0.033387], Background -> 
               RGBColor[1., 0.980392, 0.921569], 
               FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
               ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline,
                RoundingRadius -> 4], #3, 
              BaseStyle -> {
               FontWeight -> "Plain", ShowStringCharacters -> False, 
                LineIndent -> 0, 
                PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
            Editable -> False, InterpretationFunction -> (#2& )}], 
         Cell[
          StyleData["EntityValue"], ShowStringCharacters -> False, 
          TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
              
              GridBox[{{#, #2}}, GridBoxAlignment -> {"Rows" -> {{Baseline}}},
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0}}}, 
               BaselinePosition -> {1, 1}], Background -> 
              RGBColor[{0.9921568627450981, 0.9529411764705882, 
                0.8509803921568627}], BaselinePosition -> Baseline, 
              FrameMargins -> {{1, 1}, {1, 1}}, ImageMargins -> 2, FrameStyle -> 
              RGBColor[{0.9333333333333333, 0.8470588235294118, 
                0.5529411764705883}], RoundingRadius -> 5]& )}]}, Open]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Specialized for Klopper", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9, {3.7114709033696413`*^9, 
         3.711470909048764*^9}, {3.73531219927332*^9, 3.735312227736931*^9}, {
         3.745680245296091*^9, 3.7456802496393538`*^9}, {3.745930022124992*^9,
          3.7459300236362534`*^9}, {3.746546663993486*^9, 
         3.7465466650968523`*^9}}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellMargins -> {{64, Inherited}, {2, 32}}, 
          FontFamily -> "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 32}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 60}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["MoreExploreSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeCaption"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {4, 12}}, PageBreakBelow -> False, 
          CellFrameColor -> GrayLevel[0.4], LineSpacing -> {1.3, 1., 2.}, 
          MenuSortingValue -> 10010, MenuCommandKey :> "1", FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeCaption", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"], 
          CellMargins -> {{99, Inherited}, {2, 12}}, StripStyleOnPaste -> 
          True, DefaultFormatType -> DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           LanguageCategory -> "Formula", ScriptLevel -> 0, 
          SingleLetterItalics -> True, MenuSortingValue -> 1700, FontFamily -> 
          "Baskerville", FontSize -> 16, FontWeight -> "Regular", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[0.2], 
          UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}], 
              "DisplayFormulaEquationNumber"]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered", MenuSortingValue -> 
          1710, FontFamily -> "Baskerville", FontSize -> 16, FontWeight -> 
          "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       StyleData["InitializationCell"], Background -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], CellMargins -> {{99, 10}, {4, 4}}, FontSize -> 
          15], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{100, Inherited}, {1.5 Inherited, 1.5 Inherited}}], 
         Cell[
          StyleData["Print", "SlideShow"], 
          CellMargins -> {{
            0.135 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          FontSize -> 18], 
         Cell[
          StyleData["Print", "Condensed"], 
          CellMargins -> {{18, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "PrintoutGray"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox["\[FilledSmallSquare]", Alignment -> Baseline, 
            RGBColor[0.8, 0.043, 0.008]], CellMargins -> {{81, 10}, {4, 8}}, 
          ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "Subitem", "*" -> "Subitem"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15], 
         Cell[
          StyleData["Item", "Printout"], CellDingbat -> 
          StyleBox["\[FilledSmallSquare]", Alignment -> Baseline, 
            GrayLevel[0.2]], 
          CellMargins -> {{80, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontColor -> GrayLevel[0.2]], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{80, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{85, 10}, {4, 8}}, ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 15], 
         Cell[
          StyleData["ItemNumbered", "Printout"], 
          CellMargins -> {{90, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteItem"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontSize -> 12, FontWeight -> 
            Bold, FontColor -> GrayLevel[0.25]], 
          CellMargins -> {{93, Inherited}, {4, 8}}, ReturnCreatesNewCell -> 
          True, CellFrameLabelMargins -> 4, 
          CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9}, 
            3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          CounterIncrements -> "ItemNumbered", MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["TechNoteItem", "Printout"], 
          CellMargins -> {{93, Inherited}, {4, 8}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Epigraph"], CellMargins -> {{100, 78}, {6, 24}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, TextAlignment -> Left, Hyphenation -> 
          True, HyphenationOptions -> {"HyphenationMinLengths" -> {3, 5}}, 
          LineSpacing -> {1, 2}, TabSpacings -> {1.2, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontWeight -> "Plain", FontSlant -> 
          "Plain"], 
         Cell[
          StyleData["Epigraph", "Printout", StyleDefinitions -> None]]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EpigraphAuthor"], CellMargins -> {{125, 100}, {12, 12}}, 
          TextAlignment -> Left, LineSpacing -> {1, 2}, 
          ParagraphIndent -> -17, TabSpacings -> {1.5, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> -0.05], 
         Cell[
          StyleData["EpigraphAuthor", "Printout", StyleDefinitions -> None]]},
         Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ReferenceSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 60}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ReferenceSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Reference"], CellDingbat -> Cell[
            TextData[{
              CounterBox["Reference"]}], "SR", FontSize -> 13, 
            CellSize -> {30, Inherited}, TextAlignment -> Right], 
          CellMargins -> {{80, 10}, {3, 4}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, 
          CellChangeTimes -> {{3.7385995432110577`*^9, 3.738599549834622*^9}},
           LineSpacing -> {1, 2}, ParagraphIndent -> -8, 
          TabSpacings -> {0.7, 2.5}, CounterIncrements -> "Reference", 
          MenuSortingValue -> 1870, FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["Reference", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{66, 10}, {3, 4}}, TabSpacings -> {1.2, 2.5}]}, 
        Open]]}, Closed]]}, Visible -> False, FrontEndVersion -> 
  "12.2 for Mac OS X x86 (64-bit) (December 12, 2020)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"],
ExpressionUUID->"195a374d-b9a7-471d-8fa0-55c30a656419"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "C:14"->{
  Cell[422, 15, 612, 13, 113, "Section",ExpressionUUID->"012de059-dcd1-4e6e-bfba-95141c772443",
   CounterAssignments->{{"Section", 13}, {"Subsection", 13}, {"Subsubsection", 13}, {"Exercise", 13}},
   CellTags->"C:14",
   CellID->868451339]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"C:14", 268159, 6185}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[422, 15, 612, 13, 113, "Section",ExpressionUUID->"012de059-dcd1-4e6e-bfba-95141c772443",
 CounterAssignments->{{"Section", 13}, {"Subsection", 13}, {"Subsubsection", 13}, {"Exercise", 13}},
 CellTags->"C:14",
 CellID->868451339],
Cell[1037, 30, 539, 9, 113, "Text",ExpressionUUID->"6a450f4f-400d-4e27-a903-23048dd3507c",
 CellID->96389585],
Cell[1579, 41, 996, 21, 115, "Text",ExpressionUUID->"79e26ba3-6825-488f-a446-f53e61ecc8a8",
 CellID->93700678],
Cell[2578, 64, 887, 15, 138, "Text",ExpressionUUID->"cdd38630-654f-471e-9bc3-f8635f3bfccc",
 CellID->10314883]
}, Open  ]],
Cell[CellGroupData[{
Cell[3502, 84, 290, 4, 57, "Subsection",ExpressionUUID->"81438b96-1070-437e-87cc-4da4e0956d54",
 CellID->2920986],
Cell[3795, 90, 412, 7, 88, "Text",ExpressionUUID->"663c04ee-a8bf-49fb-b967-942fa2506eae",
 CellID->45758156],
Cell[4210, 99, 974, 21, 114, "Text",ExpressionUUID->"0df9e96a-b0b2-4773-8b0d-b4012fdcd70c",
 CellID->40687053],
Cell[5187, 122, 553, 10, 37, "CodeCaption",ExpressionUUID->"74ce802c-15e5-416c-ac13-4cd010f24276",
 CellID->447263472],
Cell[5743, 134, 427, 10, 54, "Input",ExpressionUUID->"74df5085-e208-42b1-8a9a-1a3539f5a044",
 CellID->78085666],
Cell[6173, 146, 551, 10, 37, "CodeCaption",ExpressionUUID->"3bf8473c-fe63-4360-99ed-1adced3ebf1c",
 CellID->133449351],
Cell[6727, 158, 511, 12, 54, "Input",ExpressionUUID->"a7f9a3b2-dfb5-4e6a-9f4d-5fbeb91ed621",
 CellID->48160105],
Cell[7241, 172, 809, 14, 113, "Text",ExpressionUUID->"c2d84c64-b073-4e65-8dfd-18044deb2800",
 CellID->172974629],
Cell[8053, 188, 464, 6, 37, "CodeCaption",ExpressionUUID->"21f7b92e-21ab-43a5-ad70-4a2e2fabb0c5",
 CellID->638102439],
Cell[CellGroupData[{
Cell[8542, 198, 449, 10, 54, "Input",ExpressionUUID->"0545be4f-9b3d-46ac-a453-6ed9c5e478ec",
 CellID->110860616],
Cell[8994, 210, 3905, 83, 319, "Output",ExpressionUUID->"bacbdfee-1796-4b4c-83c1-64053b5ff0d4",
 CellID->242031219]
}, Open  ]],
Cell[12914, 296, 463, 6, 37, "CodeCaption",ExpressionUUID->"d96569ef-3559-46d6-854a-e3fa92c1144f",
 CellID->47826933],
Cell[CellGroupData[{
Cell[13402, 306, 398, 9, 54, "Input",ExpressionUUID->"ec3ec073-48df-4964-b270-cd8aac7adcca",
 CellID->576821575],
Cell[13803, 317, 3942, 83, 316, "Output",ExpressionUUID->"4fab5f1f-93e0-428a-97ba-f9b87ae22bcb",
 CellID->484670315]
}, Open  ]],
Cell[17760, 403, 769, 15, 37, "CodeCaption",ExpressionUUID->"918bb98a-5e17-484c-888f-ef7340d39c2a",
 CellID->104497503],
Cell[CellGroupData[{
Cell[18554, 422, 171, 3, 29, "Input",ExpressionUUID->"ad686d19-1218-456c-a745-f8533615749b",
 CellID->384458441],
Cell[18728, 427, 259, 4, 40, "Output",ExpressionUUID->"ccfc5a1c-fdbc-4842-9520-c4874259945e",
 CellID->448511134]
}, Open  ]],
Cell[19002, 434, 815, 15, 37, "CodeCaption",ExpressionUUID->"01eef4ae-7908-4fb0-b49b-7312ae59511b",
 CellID->9885129],
Cell[CellGroupData[{
Cell[19842, 453, 239, 4, 29, "Input",ExpressionUUID->"b30edadd-32ff-4d28-95a4-7de6b072f3bf",
 CellID->138960624],
Cell[20084, 459, 261, 4, 40, "Output",ExpressionUUID->"3717a92b-2bec-43c4-93b6-d9a00fb85b94",
 CellID->459028168]
}, Open  ]],
Cell[20360, 466, 424, 5, 37, "CodeCaption",ExpressionUUID->"45499209-7176-4c1b-9652-086cf2baed1a",
 CellID->66162613],
Cell[CellGroupData[{
Cell[20809, 475, 486, 12, 54, "Input",ExpressionUUID->"6444e8bf-ed52-42f4-ade8-ae2cba95c83c",
 CellID->159944234],
Cell[21298, 489, 12196, 297, 317, "Output",ExpressionUUID->"99aec9ce-f8d3-475b-97ff-e363cd864d78",
 CellID->1963078629]
}, Open  ]],
Cell[33509, 789, 1186, 24, 116, "Text",ExpressionUUID->"a69c0022-30ac-4da4-abc2-3f579f70ef6a",
 CellID->200276446],
Cell[34698, 815, 1251, 26, 141, "Text",ExpressionUUID->"8be99f43-b2a8-47fd-bcef-57ef0518a546",
 CellID->200326795],
Cell[35952, 843, 827, 25, 88, "Text",ExpressionUUID->"4c0445f2-cc09-4f87-8c33-4ff2dfcda743",
 CellID->259722002],
Cell[36782, 870, 461, 6, 37, "CodeCaption",ExpressionUUID->"79885eb9-fc79-4f3a-8d6a-106e94832785",
 CellID->59999348],
Cell[CellGroupData[{
Cell[37268, 880, 235, 6, 29, "Input",ExpressionUUID->"afe9f6a0-3879-45ad-9a09-5f97e56868bc",
 CellID->190533323],
Cell[37506, 888, 374, 8, 40, "Output",ExpressionUUID->"fc8d0fd1-51cf-4400-a54f-f69f671f2464",
 CellID->1671248742]
}, Open  ]],
Cell[37895, 899, 701, 18, 64, "Text",ExpressionUUID->"086d248a-94b6-4650-843e-91669433e7f1",
 CellID->325102772],
Cell[38599, 919, 466, 6, 37, "CodeCaption",ExpressionUUID->"7dcd05e1-3a68-410e-8da7-52b7b7c19d66",
 CellID->296333623],
Cell[CellGroupData[{
Cell[39090, 929, 236, 6, 29, "Input",ExpressionUUID->"b5b804d4-e249-40a2-8aff-c7ca6c30b20e",
 CellID->50827859],
Cell[39329, 937, 368, 7, 40, "Output",ExpressionUUID->"be2ad072-6444-4499-a066-15560b23647f",
 CellID->1738987681]
}, Open  ]],
Cell[39712, 947, 478, 6, 37, "CodeCaption",ExpressionUUID->"b890ca7d-a730-4372-9f9b-9ecdab86a362",
 CellID->243831392],
Cell[CellGroupData[{
Cell[40215, 957, 247, 6, 29, "Input",ExpressionUUID->"81af5ed2-3e83-4a64-9dbc-2db8e79aad67",
 CellID->36307491],
Cell[40465, 965, 367, 7, 40, "Output",ExpressionUUID->"0c60fd0a-cd29-4e03-a351-4b53947f42cb",
 CellID->2061002544]
}, Open  ]],
Cell[40847, 975, 1001, 21, 114, "Text",ExpressionUUID->"ddc756fa-8db3-4883-8e1a-079bcddfed94",
 CellID->15728450],
Cell[41851, 998, 738, 14, 37, "CodeCaption",ExpressionUUID->"2297b023-ca47-42b3-9e36-941ae3c4d636",
 CellID->828186304],
Cell[CellGroupData[{
Cell[42614, 1016, 357, 8, 29, "Input",ExpressionUUID->"64a7173d-266c-41b2-a618-5afa1cb88288",
 CellID->273372735],
Cell[42974, 1026, 335, 5, 40, "Output",ExpressionUUID->"528b1f92-5d25-481d-a2b8-932a462ead18",
 CellID->358530898]
}, Open  ]],
Cell[43324, 1034, 1111, 23, 115, "Text",ExpressionUUID->"d2f9b879-4ffb-42a9-b491-f46bcfdf5ca0",
 CellID->233294602],
Cell[44438, 1059, 910, 19, 90, "Text",ExpressionUUID->"45289507-5954-4b5a-9adb-46ca0cda78d9",
 CellID->26557980]
}, Open  ]],
Cell[CellGroupData[{
Cell[45385, 1083, 401, 10, 57, "Subsection",ExpressionUUID->"9b22cf21-ddcd-4962-abc3-824e6a12116f",
 CellID->24927249],
Cell[45789, 1095, 1375, 31, 142, "Text",ExpressionUUID->"205270ae-d2f9-4e9b-a9f7-704e8b1eec0d",
 CellID->301135875],
Cell[47167, 1128, 553, 11, 37, "CodeCaption",ExpressionUUID->"e5f8addd-8464-4a9b-9133-8bb8238208ad",
 CellID->138515802],
Cell[CellGroupData[{
Cell[47745, 1143, 326, 8, 29, "Input",ExpressionUUID->"1e994819-8bd3-471c-b766-3c5808841987",
 CellID->59531978],
Cell[48074, 1153, 878, 19, 49, "Output",ExpressionUUID->"4e3d13e6-9b51-4d71-b9d7-1e57ab111c96",
 CellID->2137172851]
}, Open  ]],
Cell[48967, 1175, 1269, 28, 92, "Text",ExpressionUUID->"9106c9d7-88d0-48e5-bac0-a6068e250f9c",
 CellID->221638053],
Cell[50239, 1205, 362, 6, 88, "Text",ExpressionUUID->"824e519e-dd16-438c-802d-b93db1f99bd9",
 CellID->91393616],
Cell[50604, 1213, 502, 10, 63, "Text",ExpressionUUID->"7e759e92-38e3-465c-a2a8-625d8163be3e",
 CellID->155937532],
Cell[51109, 1225, 582, 11, 37, "CodeCaption",ExpressionUUID->"1968d73c-5095-4f5c-8b7d-ef924ddf16ea",
 CellID->779985551],
Cell[CellGroupData[{
Cell[51716, 1240, 280, 7, 29, "Input",ExpressionUUID->"d9f30fcb-64f0-43d7-8e58-d02d9664d7a7",
 CellID->447931485],
Cell[51999, 1249, 832, 18, 49, "Output",ExpressionUUID->"c72e9883-45d5-4420-9844-445f69a0f1a3",
 CellID->652627035]
}, Open  ]],
Cell[52846, 1270, 480, 10, 39, "Text",ExpressionUUID->"9b18ec47-65b4-4860-a808-1d091cf3eedb",
 CellID->478302609]
}, Open  ]],
Cell[CellGroupData[{
Cell[53363, 1285, 225, 3, 57, "Subsection",ExpressionUUID->"0beef9f7-5889-4bf7-a130-d9bc1d270b88",
 CellID->80498346],
Cell[53591, 1290, 1273, 20, 189, "Text",ExpressionUUID->"8ecfae57-0507-41f5-830e-90be548a9a32",
 CellID->317252591],
Cell[54867, 1312, 691, 13, 114, "Text",ExpressionUUID->"1f90e903-fe7e-490d-93d2-61ce9e806484",
 CellID->154990272],
Cell[55561, 1327, 1202, 21, 214, "Text",ExpressionUUID->"6be98744-b19f-4e60-9a59-8c43417b29cf",
 CellID->31105447],
Cell[56766, 1350, 512, 9, 37, "CodeCaption",ExpressionUUID->"e8431a88-94f9-4802-8cf9-5689344be5e9",
 CellID->142817733],
Cell[57281, 1361, 677, 16, 54, "Input",ExpressionUUID->"49e24ae2-aa23-4947-8107-a1b7477f2c6c",
 CellID->191100724],
Cell[57961, 1379, 1373, 31, 113, "Text",ExpressionUUID->"d47b7d33-ab25-464d-9b2b-dabf36a91b46",
 CellID->214834609],
Cell[59337, 1412, 1191, 34, 113, "Text",ExpressionUUID->"51f61251-bcf8-4a68-a145-3522c0bf438f",
 CellID->182123392],
Cell[60531, 1448, 657, 12, 37, "CodeCaption",ExpressionUUID->"3fd0d5ba-2c06-44f2-a2e3-bc4265ec21fd",
 CellID->750270687],
Cell[CellGroupData[{
Cell[61213, 1464, 311, 7, 29, "Input",ExpressionUUID->"f1f3d0ea-8cfb-4d9b-b239-083f9b5dcacc",
 CellID->769245860],
Cell[61527, 1473, 485, 10, 65, "Output",ExpressionUUID->"8bce1f05-242c-47f4-8be0-401706465d01",
 CellID->1503592016]
}, Open  ]],
Cell[62027, 1486, 1110, 28, 90, "Text",ExpressionUUID->"160a4e49-e56f-40aa-a081-0bf75d5af417",
 CellID->31372745],
Cell[63140, 1516, 594, 14, 37, "CodeCaption",ExpressionUUID->"39f85cf6-ac67-4eba-9ab7-6c43523bd13b",
 CellID->230716436],
Cell[CellGroupData[{
Cell[63759, 1534, 281, 7, 29, "Input",ExpressionUUID->"3d3476a2-4620-4860-bcd5-c2e654cd07fa",
 CellID->646710693],
Cell[64043, 1543, 389, 8, 40, "Output",ExpressionUUID->"295d03fd-5e7c-405a-bb40-ecc8a18fe38a",
 CellID->1430938663]
}, Open  ]],
Cell[64447, 1554, 731, 16, 88, "Text",ExpressionUUID->"5cf864ef-af60-4254-bd4d-c196c183cd7e",
 CellID->617068413],
Cell[65181, 1572, 467, 6, 37, "CodeCaption",ExpressionUUID->"a4134cae-096a-43b3-874d-4691b3610418",
 CellID->371583998],
Cell[CellGroupData[{
Cell[65673, 1582, 449, 10, 29, "Input",ExpressionUUID->"43c95842-ad4d-4de2-bfe5-090a0be6fac5",
 CellID->84245348],
Cell[66125, 1594, 389, 8, 40, "Output",ExpressionUUID->"35b8dc92-2198-47a0-bedf-5a31fdd3c7e5",
 CellID->116746288]
}, Open  ]],
Cell[66529, 1605, 1290, 26, 139, "Text",ExpressionUUID->"5935e5e8-1869-485e-8e24-f0aa07383e4c",
 CellID->205155784],
Cell[67822, 1633, 768, 16, 113, "Text",ExpressionUUID->"6947f5c2-8707-42e3-8777-0007a494b407",
 CellID->213140149],
Cell[68593, 1651, 978, 20, 139, "Text",ExpressionUUID->"4c9db0de-f085-45a8-a25a-2aa869aa643f",
 CellID->396185678],
Cell[69574, 1673, 819, 16, 37, "CodeCaption",ExpressionUUID->"9497a86a-0a74-4df9-b257-7c371c5a96b8",
 CellID->908523052],
Cell[CellGroupData[{
Cell[70418, 1693, 254, 6, 29, "Input",ExpressionUUID->"e447b7fc-8ee5-4cda-8833-cad60cb3cd8e",
 CellID->937138854],
Cell[70675, 1701, 234, 4, 40, "Output",ExpressionUUID->"88662541-0915-4794-8b59-486f8e720694",
 CellID->1502292705]
}, Open  ]],
Cell[70924, 1708, 678, 17, 88, "Text",ExpressionUUID->"6fb05c86-643a-4ce7-a2ca-550d208a6a7e",
 CellID->523344352],
Cell[71605, 1727, 469, 6, 37, "CodeCaption",ExpressionUUID->"244575a3-0289-42fa-b534-088c535bff10",
 CellID->85544000],
Cell[CellGroupData[{
Cell[72099, 1737, 349, 9, 29, "Input",ExpressionUUID->"9dce7893-f6ba-40c7-87c7-58780438a4a7",
 CellID->301224913],
Cell[72451, 1748, 814, 18, 49, "Output",ExpressionUUID->"b13f3fbe-b8bc-4fe9-99c0-97cf645e1c5f",
 CellID->1068255156]
}, Open  ]],
Cell[73280, 1769, 850, 18, 90, "Text",ExpressionUUID->"08a4f00d-9afc-44c8-9c2f-3295e3639db7",
 CellID->692274767],
Cell[74133, 1789, 650, 12, 88, "Text",ExpressionUUID->"e7ee5043-bef3-4541-b8e3-12f301b44b6f",
 CellID->72322391]
}, Open  ]],
Cell[CellGroupData[{
Cell[74820, 1806, 237, 3, 57, "Subsection",ExpressionUUID->"9cfe06c0-f2fb-4e09-9766-7821a31c6b8f",
 CellID->350413459],
Cell[75060, 1811, 797, 17, 90, "Text",ExpressionUUID->"c0c0bd7d-0904-471f-a4ec-3bef8791c1dd",
 CellID->306921537],
Cell[75860, 1830, 690, 13, 114, "Text",ExpressionUUID->"f7e98a4f-c2c5-404c-8c02-34d40564d46f",
 CellID->83998125],
Cell[76553, 1845, 1077, 24, 138, "Text",ExpressionUUID->"64f4dd77-7dbb-4786-8bbc-44f56486c780",
 CellID->254213015],
Cell[77633, 1871, 622, 13, 39, "CodeCaption",ExpressionUUID->"cd869aa6-6f00-42b5-8f69-c3460164c8d3",
 CellID->398259635],
Cell[78258, 1886, 944, 21, 54, "Input",ExpressionUUID->"df3f4145-bb9e-49e9-84c7-cd758a224034",
 CellID->324495966],
Cell[79205, 1909, 327, 8, 38, "Text",ExpressionUUID->"e0b7fc76-8111-4c7d-86a5-ace507489272",
 CellID->390422137],
Cell[79535, 1919, 419, 5, 37, "CodeCaption",ExpressionUUID->"b0c0dc8a-2828-4a3e-88c3-00f37829c48d",
 CellID->524513634],
Cell[CellGroupData[{
Cell[79979, 1928, 565, 13, 29, "Input",ExpressionUUID->"2d64d64b-1358-4fed-8aae-9a8be2c6c260",
 CellID->2491612],
Cell[80547, 1943, 12985, 366, 268, "Output",ExpressionUUID->"21814dd1-81f0-430d-94b4-ceeee025f1dc",
 CellID->1027347907]
}, Open  ]],
Cell[93547, 2312, 630, 14, 63, "Text",ExpressionUUID->"9b7346b7-66d3-406a-9578-6cfd0585e24e",
 CellID->360982027],
Cell[94180, 2328, 894, 17, 88, "Text",ExpressionUUID->"e721f6e6-6dea-4972-8469-a7835a16d5fb",
 CellID->274768616],
Cell[95077, 2347, 459, 6, 37, "CodeCaption",ExpressionUUID->"4297a89e-b354-4dcd-8155-78f0dc42b413",
 CellID->560047910],
Cell[CellGroupData[{
Cell[95561, 2357, 280, 7, 29, "Input",ExpressionUUID->"b18227da-143d-44c7-a84d-087cf84f81ce",
 CellID->62295128],
Cell[95844, 2366, 954, 20, 49, "Output",ExpressionUUID->"dac46f8f-2795-4a5d-81e1-0483bbad422d",
 CellID->843473604]
}, Open  ]],
Cell[96813, 2389, 589, 16, 64, "Text",ExpressionUUID->"a8453472-bd47-46ea-941d-fa97616b523f",
 CellID->342704572],
Cell[97405, 2407, 545, 10, 88, "Text",ExpressionUUID->"fbdd6f47-e2c5-4070-b3d9-e5c0642114c2",
 CellID->212123916],
Cell[97953, 2419, 778, 17, 37, "CodeCaption",ExpressionUUID->"d7083e71-b58d-4460-a3a6-20d35d3cab7d",
 CellID->350228334],
Cell[CellGroupData[{
Cell[98756, 2440, 303, 7, 29, "Input",ExpressionUUID->"fa93e412-85cf-48cf-8fb8-fda794827371",
 CellID->81719935],
Cell[99062, 2449, 419, 8, 40, "Output",ExpressionUUID->"f77cb7da-90ba-4e67-b910-563dfc615786",
 CellID->721308581]
}, Open  ]],
Cell[99496, 2460, 776, 17, 37, "CodeCaption",ExpressionUUID->"b106a70e-3097-49c2-a9a1-e54a5745b54f",
 CellID->476500601],
Cell[CellGroupData[{
Cell[100297, 2481, 234, 6, 29, "Input",ExpressionUUID->"6a2d2a37-27c1-47be-9bd1-80469cdb0b4e",
 CellID->133345853],
Cell[100534, 2489, 420, 7, 40, "Output",ExpressionUUID->"595d5a24-4676-4414-a084-75edad8bc581",
 CellID->488133552]
}, Open  ]],
Cell[100969, 2499, 1662, 29, 215, "Text",ExpressionUUID->"718a2858-7050-47d2-8f8f-0da6751b486c",
 CellID->151398330],
Cell[102634, 2530, 603, 12, 37, "CodeCaption",ExpressionUUID->"bda121e3-aec3-41b6-8230-eca66d5cd93e",
 CellID->28901193],
Cell[CellGroupData[{
Cell[103262, 2546, 388, 9, 29, "Input",ExpressionUUID->"683c0b32-4778-4f81-be3f-e861ff8c5a69",
 CellID->28797249],
Cell[103653, 2557, 211, 3, 40, "Output",ExpressionUUID->"6195b3ba-e2a1-49b9-978c-d44dc85bae46",
 CellID->673076924]
}, Open  ]],
Cell[103879, 2563, 898, 21, 89, "Text",ExpressionUUID->"1c134d31-ac2f-42e0-87bf-d25bdcdeffb3",
 CellID->188249743],
Cell[104780, 2586, 547, 11, 88, "Text",ExpressionUUID->"5b13cfdd-be3c-463f-92cd-f069ea31c3e2",
 CellID->186285793]
}, Open  ]],
Cell[CellGroupData[{
Cell[105364, 2602, 291, 4, 57, "Subsection",ExpressionUUID->"c86e2969-8096-4ea6-90bf-3dd4ff7781b3",
 CellID->97832255],
Cell[105658, 2608, 327, 6, 63, "Text",ExpressionUUID->"83f28b0d-40e5-44a7-bd4f-7e656830fa28",
 CellID->26708997],
Cell[105988, 2616, 975, 21, 90, "Text",ExpressionUUID->"b7efaa1e-0342-4c67-b3c1-380af305108b",
 CellID->353361841],
Cell[106966, 2639, 872, 22, 88, "Text",ExpressionUUID->"b08b171c-97c7-401a-a204-89debb45c911",
 CellID->149430316],
Cell[107841, 2663, 474, 6, 37, "CodeCaption",ExpressionUUID->"1db9b0cf-757a-4bbd-8c77-18a36460b55c",
 CellID->67788881],
Cell[108318, 2671, 527, 12, 54, "Input",ExpressionUUID->"8da2bebf-0691-4945-8390-fa1ea807930b",
 CellID->5667722],
Cell[108848, 2685, 384, 6, 63, "Text",ExpressionUUID->"fcb2276d-6c5a-485a-8a5d-cd373ef3d124",
 CellID->132675756],
Cell[109235, 2693, 489, 6, 37, "CodeCaption",ExpressionUUID->"8e938cb8-a209-4666-a4dd-f6212853a2dc",
 CellID->421793],
Cell[CellGroupData[{
Cell[109749, 2703, 225, 4, 29, "Input",ExpressionUUID->"86ce3b51-b394-430c-b02d-82c4459761b2",
 CellID->66348779],
Cell[109977, 2709, 359, 8, 40, "Output",ExpressionUUID->"dc8e27ee-4e1d-4e13-948d-7434a5126d30",
 CellID->1607492919]
}, Open  ]],
Cell[110351, 2720, 495, 6, 37, "CodeCaption",ExpressionUUID->"1bacf965-2614-4721-8ca3-632b78d1a21b",
 CellID->52351695],
Cell[CellGroupData[{
Cell[110871, 2730, 226, 4, 29, "Input",ExpressionUUID->"d3203157-9364-47a2-bb63-69c5d2db0e29",
 CellID->230242925],
Cell[111100, 2736, 355, 8, 40, "Output",ExpressionUUID->"d203302a-e19b-4b4c-9439-ae789662a65f",
 CellID->1789210373]
}, Open  ]],
Cell[111470, 2747, 407, 7, 63, "Text",ExpressionUUID->"af82f263-b27c-4596-b2cb-9f980b68fb97",
 CellID->10924856],
Cell[111880, 2756, 490, 6, 37, "CodeCaption",ExpressionUUID->"20e92dce-2a5b-40ea-9669-53dcab1995fe",
 CellID->123346395],
Cell[CellGroupData[{
Cell[112395, 2766, 163, 3, 29, "Input",ExpressionUUID->"c2a5c0a5-b7d0-4788-b2e2-63797052db57",
 CellID->55572506],
Cell[112561, 2771, 9368, 207, 379, "Output",ExpressionUUID->"d6510578-ac51-42c6-af0e-381e8614606f",
 CellID->45230070]
}, Open  ]],
Cell[121944, 2981, 400, 8, 63, "Text",ExpressionUUID->"91b79dc6-58f2-4f7c-a264-b5cf42286781",
 CellID->349444848],
Cell[122347, 2991, 766, 15, 37, "CodeCaption",ExpressionUUID->"e87712a0-8695-4e77-b246-6ddaf6428c51",
 CellID->241725542],
Cell[CellGroupData[{
Cell[123138, 3010, 167, 3, 29, "Input",ExpressionUUID->"6f720f33-9bad-4c4d-a3a5-24521fbaf083",
 CellID->363226827],
Cell[123308, 3015, 367, 8, 43, "Output",ExpressionUUID->"55680117-af81-45a2-96d6-7e19f78473d6",
 CellID->2120059099]
}, Open  ]],
Cell[123690, 3026, 614, 12, 90, "Text",ExpressionUUID->"f28822d3-aead-44ea-8b93-922078d18a0f",
 CellID->24607738],
Cell[124307, 3040, 352, 7, 63, "Text",ExpressionUUID->"ab0837e1-7798-4463-a486-0d7a27c7da8e",
 CellID->380915433],
Cell[124662, 3049, 463, 6, 37, "CodeCaption",ExpressionUUID->"bc26b74e-1e1e-43b5-b034-a46449ed2deb",
 CellID->103073065],
Cell[CellGroupData[{
Cell[125150, 3059, 318, 6, 29, "Input",ExpressionUUID->"0fc03c7b-aee4-43a7-af60-b26aa2a9b601",
 CellID->673412039],
Cell[125471, 3067, 15873, 391, 283, "Output",ExpressionUUID->"8e6c45c2-f8b2-407a-82c5-4a06a5bf1036",
 CellID->431230403]
}, Open  ]],
Cell[141359, 3461, 209, 2, 38, "Text",ExpressionUUID->"71072550-af32-4459-88b5-6f09bbffc8b8",
 CellID->69264025],
Cell[141571, 3465, 828, 16, 90, "Text",ExpressionUUID->"ce43ecfb-96bf-4d12-83e4-4d5f5a96cc79",
 CellID->412928420],
Cell[142402, 3483, 480, 6, 37, "CodeCaption",ExpressionUUID->"fdd691ea-c8a2-455a-bfca-20f56721b7c0",
 CellID->228268260],
Cell[CellGroupData[{
Cell[142907, 3493, 294, 7, 29, "Input",ExpressionUUID->"8cfda9f9-89cf-4020-93e8-7321c0a40d12",
 CellID->314188964],
Cell[143204, 3502, 854, 19, 49, "Output",ExpressionUUID->"c2dbc3cc-6dc7-46d6-ac7f-23b9fce80f03",
 CellID->1321247703]
}, Open  ]],
Cell[144073, 3524, 255, 5, 38, "Text",ExpressionUUID->"5abde02c-6738-4b82-89fb-74f893a802cd",
 CellID->976370779],
Cell[144331, 3531, 498, 10, 88, "Text",ExpressionUUID->"b65a3a31-9db5-4e5d-b66b-b70c9380deb5",
 CellID->331651047],
Cell[144832, 3543, 472, 6, 37, "CodeCaption",ExpressionUUID->"4a486dfa-d691-4d93-8021-7e3dcaf40519",
 CellID->18690865],
Cell[CellGroupData[{
Cell[145329, 3553, 315, 7, 29, "Input",ExpressionUUID->"f844f9ad-4d49-4823-8406-36621ad0fe9c",
 CellID->359238772],
Cell[145647, 3562, 929, 20, 63, "Output",ExpressionUUID->"dc0b9a29-d340-4087-a5c4-0d6fecb6902d",
 CellID->1229234341]
}, Open  ]],
Cell[146591, 3585, 230, 3, 38, "Text",ExpressionUUID->"6509f28c-2014-4dd5-9644-0dc3f40665b1",
 CellID->193180864],
Cell[146824, 3590, 697, 15, 90, "Text",ExpressionUUID->"bd4a97e5-cf1a-47bf-be5d-8b1b6b9e33f2",
 CellID->14040666],
Cell[147524, 3607, 531, 11, 37, "CodeCaption",ExpressionUUID->"527cfa6d-368a-403f-b196-fa0f1ade88fb",
 CellID->72690358],
Cell[CellGroupData[{
Cell[148080, 3622, 337, 6, 29, "Input",ExpressionUUID->"7795bf00-a7c9-4aa5-92c5-54a70cef1b67",
 CellID->484670475],
Cell[148420, 3630, 16811, 335, 66, "Output",ExpressionUUID->"da7ef29e-f063-4e64-a60d-153f499e5e00",
 CellID->948885047]
}, Open  ]],
Cell[165246, 3968, 236, 5, 38, "Text",ExpressionUUID->"610f8b97-4dc2-44a9-b640-ee66a06e2cea",
 CellID->238095023],
Cell[165485, 3975, 565, 11, 37, "CodeCaption",ExpressionUUID->"a3940b7e-65b1-488e-bd54-997def6293aa",
 CellID->209025122],
Cell[CellGroupData[{
Cell[166075, 3990, 185, 3, 29, "Input",ExpressionUUID->"854d8511-f32b-40ed-b555-7bfd62fdaa3e",
 CellID->37550599],
Cell[166263, 3995, 807, 15, 113, "Output",ExpressionUUID->"00238601-e08a-4d37-8730-b008443596ee",
 CellID->697422307]
}, Open  ]],
Cell[167085, 4013, 1011, 19, 115, "Text",ExpressionUUID->"aec05fc8-e742-401d-b81d-e429bacfc680",
 CellID->229319477],
Cell[168099, 4034, 434, 6, 37, "CodeCaption",ExpressionUUID->"be2ceee9-019a-40ab-b382-a2330c966732",
 CellID->41437189],
Cell[CellGroupData[{
Cell[168558, 4044, 192, 3, 29, "Input",ExpressionUUID->"29ebf314-4256-4537-b1fd-6919d70f73c6",
 CellID->163063255],
Cell[168753, 4049, 265, 6, 40, "Output",ExpressionUUID->"120dc3cd-fb4b-4aff-a31e-a3a3e275590b",
 CellID->610968423]
}, Open  ]],
Cell[169033, 4058, 644, 11, 63, "Text",ExpressionUUID->"ea9e3d8f-d0cd-4875-80a1-6806463ddd42",
 CellID->661122555],
Cell[169680, 4071, 486, 6, 37, "CodeCaption",ExpressionUUID->"2a18f970-04fd-4582-9b78-aafd28c9219e",
 CellID->794318131],
Cell[CellGroupData[{
Cell[170191, 4081, 230, 5, 29, "Input",ExpressionUUID->"14c7642a-336b-4069-8bd1-20dbcdba98ef",
 CellID->46199486],
Cell[170424, 4088, 613, 13, 69, "Output",ExpressionUUID->"6f93d05d-b5ab-4849-ad5c-399a1873ffd4",
 CellID->1426969054]
}, Open  ]],
Cell[CellGroupData[{
Cell[171074, 4106, 212, 3, 71, "ExerciseSection",ExpressionUUID->"2929c4a0-8800-4505-acf6-0ab34018ab7f",
 CellID->566065673],
Cell[171289, 4111, 2129, 53, 93, "Exercise",ExpressionUUID->"e7212e6a-3d3e-477f-a68e-1a74ff92035c",
 CellID->313618646],
Cell[173421, 4166, 549, 14, 26, "Exercise",ExpressionUUID->"fb5bba8d-c0c8-45aa-a13e-91704a13f31f",
 CellID->429554189],
Cell[173973, 4182, 929, 19, 27, "Exercise",ExpressionUUID->"7c81e4de-5cdd-4fb8-8ec5-20d7b1ca835f",
 CellID->92516614],
Cell[174905, 4203, 430, 9, 26, "Exercise",ExpressionUUID->"95f22842-b34c-48af-a188-e731c476f9d5",
 CellID->462802995],
Cell[175338, 4214, 1277, 26, 46, "Exercise",ExpressionUUID->"3febb0e0-a4ef-4905-b6ee-15112306ddec",
 CellID->116633910],
Cell[176618, 4242, 974, 23, 48, "Exercise",ExpressionUUID->"2230536f-62ad-43c6-905f-c40d87008c41",
 CellID->237952745],
Cell[177595, 4267, 526, 11, 28, "Exercise",ExpressionUUID->"36fcf759-8294-41a4-8164-381f6edccd0c",
 CellID->1215592],
Cell[178124, 4280, 920, 19, 28, "Exercise",ExpressionUUID->"baa52122-a71c-4d8d-8437-bf335ab0611f",
 CellID->82041004],
Cell[179047, 4301, 497, 11, 28, "Exercise",ExpressionUUID->"8c612ecb-ff9c-4e65-b8d8-5b97e3a57c6b",
 CellID->306226882],
Cell[179547, 4314, 733, 18, 46, "Exercise",ExpressionUUID->"baa586af-fc12-4b2f-8193-5bcd14a79398",
 CellID->41159148],
Cell[180283, 4334, 793, 17, 27, "Exercise",ExpressionUUID->"36ab36fa-72e4-4922-8863-62075d47a75d",
 CellID->97408759]
}, Open  ]],
Cell[CellGroupData[{
Cell[181113, 4356, 119, 1, 100, "MoreExploreSection",ExpressionUUID->"af38bce4-ee9c-4709-9972-0e2b508107cc",
 CellID->19888384],
Cell[181235, 4359, 1242, 31, 49, "MoreExplore",ExpressionUUID->"783fce63-5401-453b-a3e8-97373a75a7b2",
 CellID->26626102],
Cell[182480, 4392, 820, 19, 49, "MoreExplore",ExpressionUUID->"c014b608-8dfe-40c8-b913-dc88a8cae5ed",
 CellID->187736320],
Cell[183303, 4413, 772, 19, 30, "MoreExplore",ExpressionUUID->"5574d696-c8a6-4af1-98d0-8d8ba87c63b4",
 CellID->137136397]
}, Open  ]]
}, Open  ]]
}
]
*)

